(* Yukawa matrix beta functions for the general 2HDM *)
(* This file contains the beta functions: betaYu1/u2/d1/d2/l1/l2 *)

(* Beta function for Yu[1] *)
   betaYu1 = (

       + fourpiinv * (
          + 3/4*MatrixProduct[u[1,1].Yu1]
          + 1/2*MatrixProduct[u[1,2].Yu2]
          + 1/4*MatrixProduct[u[2,2].Yu1]
          - 3/4*MatrixProduct[d[1,1].Yu1]
          - MatrixProduct[d[1,2].Yu2]
          + 1/4*MatrixProduct[d[2,2].Yu1]
          - 4*MatrixProduct[Yu1]*alpha3
          + 3/8*MatrixProduct[Yu1]*alpha2
          - 3/2*MatrixProduct[Yu1]*alpha2*Doub1
          - 1/8*MatrixProduct[Yu1]*alpha1
          - 3/10*MatrixProduct[Yu1]*alpha1*Doub1
          + 3/2*MatrixProduct[Yu1]*Tr[u[1,1]]
          + 3/2*MatrixProduct[Yu1]*Tr[d[1,1]]
          + 1/2*MatrixProduct[Yu1]*Tr[l[1,1]]
          + 3/2*MatrixProduct[Yu2]*Tr[u[1,2]]
          + 3/2*MatrixProduct[Yu2]*Tr[d[1,2]]
          + 1/2*MatrixProduct[Yu2]*Tr[l[1,2]]
          )

       + fourpiinv^2 * (
          + 3/4*MatrixProduct[u[1,1].u[1,1].Yu1]
          - 1/8*MatrixProduct[u[1,1].u[2,2].Yu1]
          - 1/8*MatrixProduct[u[1,1].d[1,1].Yu1]
          - 1/8*MatrixProduct[u[1,1].d[2,2].Yu1]
          - 3*MatrixProduct[u[1,1].Yu1]*lam[1,1,1,1]
          + 8*MatrixProduct[u[1,1].Yu1]*alpha3
          - 27/32*MatrixProduct[u[1,1].Yu1]*alpha2
          + 81/16*MatrixProduct[u[1,1].Yu1]*alpha2*Doub1
          - 107/160*MatrixProduct[u[1,1].Yu1]*alpha1
          + 33/16*MatrixProduct[u[1,1].Yu1]*alpha1*Doub1
          - 27/8*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]
          - 27/8*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]
          - 9/8*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]
          - 3*MatrixProduct[u[1,1].Yu2]*lam[1,1,1,2]
          - 9/4*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]
          - 9/4*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]
          - 3/4*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]
          + 7/8*MatrixProduct[u[1,2].u[1,1].Yu2]
          - 1/8*MatrixProduct[u[1,2].u[2,1].Yu1]
          - 1/8*MatrixProduct[u[1,2].u[2,2].Yu2]
          - 1/8*MatrixProduct[u[1,2].d[1,1].Yu2]
          - 1/8*MatrixProduct[u[1,2].d[2,2].Yu2]
          - 3*MatrixProduct[u[1,2].Yu1]*lam[1,1,2,1]
          - 27/8*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]
          - 27/8*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]
          - 9/8*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]
          - MatrixProduct[u[1,2].Yu2]*lam[1,2,2,1]
          - 2*MatrixProduct[u[1,2].Yu2]*lam[1,1,2,2]
          + 16/3*MatrixProduct[u[1,2].Yu2]*alpha3
          + 3/16*MatrixProduct[u[1,2].Yu2]*alpha2
          + 3*MatrixProduct[u[1,2].Yu2]*alpha2*Doub2
          + 73/240*MatrixProduct[u[1,2].Yu2]*alpha1
          + 9/20*MatrixProduct[u[1,2].Yu2]*alpha1*Doub1
          - 9/20*MatrixProduct[u[1,2].Yu2]*alpha1*Doub1*Doub2
          - 9/4*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]
          - 9/4*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]
          - 3/4*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]
          + 7/8*MatrixProduct[u[2,1].u[1,2].Yu1]
          - 3*MatrixProduct[u[2,1].Yu1]*lam[1,1,1,2]
          - 9/8*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]
          - 9/8*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]
          - 3/8*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]
          - 3*MatrixProduct[u[2,1].Yu2]*lam[1,2,1,2]
          + MatrixProduct[u[2,2].u[1,2].Yu2]
          - 1/8*MatrixProduct[u[2,2].u[2,2].Yu1]
          - 2*MatrixProduct[u[2,2].Yu1]*lam[1,2,2,1]
          - MatrixProduct[u[2,2].Yu1]*lam[1,1,2,2]
          + 8/3*MatrixProduct[u[2,2].Yu1]*alpha3
          - 33/32*MatrixProduct[u[2,2].Yu1]*alpha2
          + 33/16*MatrixProduct[u[2,2].Yu1]*alpha2*Doub2
          + 9/8*MatrixProduct[u[2,2].Yu1]*alpha2*Doub1
          - 9/8*MatrixProduct[u[2,2].Yu1]*alpha2*Doub1*Doub2
          - 467/480*MatrixProduct[u[2,2].Yu1]*alpha1
          + 33/16*MatrixProduct[u[2,2].Yu1]*alpha1*Doub2
          + 9/40*MatrixProduct[u[2,2].Yu1]*alpha1*Doub1
          - 9/40*MatrixProduct[u[2,2].Yu1]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]
          - 9/8*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]
          - 3/8*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]
          - 3*MatrixProduct[u[2,2].Yu2]*lam[1,2,2,2]
          - 1/2*MatrixProduct[d[1,1].u[1,1].Yu1]
          + 1/2*MatrixProduct[d[1,1].u[2,2].Yu1]
          + 11/8*MatrixProduct[d[1,1].d[1,1].Yu1]
          + 1/2*MatrixProduct[d[1,1].d[2,2].Yu1]
          - 8*MatrixProduct[d[1,1].Yu1]*alpha3
          + 15/32*MatrixProduct[d[1,1].Yu1]*alpha2
          - 3/16*MatrixProduct[d[1,1].Yu1]*alpha2*Doub1
          + 43/32*MatrixProduct[d[1,1].Yu1]*alpha1
          - 129/80*MatrixProduct[d[1,1].Yu1]*alpha1*Doub1
          + 15/8*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]
          + 15/8*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]
          + 5/8*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]
          + 3*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]
          + 3*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]
          + MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]
          - 1/2*MatrixProduct[d[1,2].u[1,1].Yu2]
          + 1/2*MatrixProduct[d[1,2].u[2,2].Yu2]
          + 3/2*MatrixProduct[d[1,2].d[1,1].Yu2]
          - 1/8*MatrixProduct[d[1,2].d[2,1].Yu1]
          + 1/2*MatrixProduct[d[1,2].d[2,2].Yu2]
          + 15/8*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]
          + 15/8*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]
          + 5/8*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]
          - MatrixProduct[d[1,2].Yu2]*lam[1,2,2,1]
          + MatrixProduct[d[1,2].Yu2]*lam[1,1,2,2]
          - 32/3*MatrixProduct[d[1,2].Yu2]*alpha3
          + 3/2*MatrixProduct[d[1,2].Yu2]*alpha2
          - 9/4*MatrixProduct[d[1,2].Yu2]*alpha2*Doub2
          - 1/30*MatrixProduct[d[1,2].Yu2]*alpha1
          - 3/20*MatrixProduct[d[1,2].Yu2]*alpha1*Doub2
          + 3*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]
          + 3*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]
          + MatrixProduct[d[1,2].Yu2]*Tr[l[2,2]]
          - MatrixProduct[d[2,1].u[1,2].Yu1]
          + 7/8*MatrixProduct[d[2,1].d[1,2].Yu1]
          - 9/8*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]
          - 9/8*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]
          - 3/8*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]
          - MatrixProduct[d[2,2].u[1,2].Yu2]
          + MatrixProduct[d[2,2].d[1,2].Yu2]
          - 1/8*MatrixProduct[d[2,2].d[2,2].Yu1]
          + MatrixProduct[d[2,2].Yu1]*lam[1,2,2,1]
          - MatrixProduct[d[2,2].Yu1]*lam[1,1,2,2]
          + 8/3*MatrixProduct[d[2,2].Yu1]*alpha3
          - 33/32*MatrixProduct[d[2,2].Yu1]*alpha2
          + 33/16*MatrixProduct[d[2,2].Yu1]*alpha2*Doub2
          + 9/8*MatrixProduct[d[2,2].Yu1]*alpha2*Doub1
          - 9/8*MatrixProduct[d[2,2].Yu1]*alpha2*Doub1*Doub2
          + 661/480*MatrixProduct[d[2,2].Yu1]*alpha1
          - 117/80*MatrixProduct[d[2,2].Yu1]*alpha1*Doub2
          - 9/40*MatrixProduct[d[2,2].Yu1]*alpha1*Doub1
          + 9/40*MatrixProduct[d[2,2].Yu1]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]
          - 9/8*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]
          - 3/8*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]
          + 1/2*MatrixProduct[Yu1]*lam[1,2,2,1]^2
          + 3/4*MatrixProduct[Yu1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 3/4*MatrixProduct[Yu1]*lam[1,2,1,2]*lam[2,1,2,1]
          + 1/2*MatrixProduct[Yu1]*lam[1,1,2,2]*lam[1,2,2,1]
          + 1/2*MatrixProduct[Yu1]*lam[1,1,2,2]^2
          + 9/4*MatrixProduct[Yu1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/4*MatrixProduct[Yu1]*lam[1,1,1,1]^2
          - 202/3*MatrixProduct[Yu1]*alpha3^2
          + 40/9*MatrixProduct[Yu1]*alpha3^2*Ng
          + 9/2*MatrixProduct[Yu1]*alpha2*alpha3
          + 381/64*MatrixProduct[Yu1]*alpha2^2
          - 3/4*MatrixProduct[Yu1]*alpha2^2*Ng
          - 3/32*MatrixProduct[Yu1]*alpha2^2*Doub2
          - 661/64*MatrixProduct[Yu1]*alpha2^2*Doub1
          + 5/4*MatrixProduct[Yu1]*alpha2^2*Doub1*Ng
          + 11/32*MatrixProduct[Yu1]*alpha2^2*Doub1*Doub2
          + 19/30*MatrixProduct[Yu1]*alpha1*alpha3
          + 9/32*MatrixProduct[Yu1]*alpha1*alpha2
          - 81/160*MatrixProduct[Yu1]*alpha1*alpha2*Doub1
          + 31/4800*MatrixProduct[Yu1]*alpha1^2
          + 13/180*MatrixProduct[Yu1]*alpha1^2*Ng
          + 61/2400*MatrixProduct[Yu1]*alpha1^2*Doub2
          + 77/4800*MatrixProduct[Yu1]*alpha1^2*Doub1
          + 1/4*MatrixProduct[Yu1]*alpha1^2*Doub1*Ng
          + 33/800*MatrixProduct[Yu1]*alpha1^2*Doub1*Doub2
          + 10*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha3
          - 117/16*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2*Doub1
          - 77/80*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1*Doub1
          - 27/8*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]
          + 3/4*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]
          - 9/4*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]
          + 3/2*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1]]
          + 3/2*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2]]
          - 9/8*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]
          + 10*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha3
          - 117/16*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2*Doub1
          - 137/80*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1*Doub1
          - 27/8*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]
          - 9/4*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]
          - 39/16*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2*Doub1
          + 21/80*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1*Doub1
          - 9/8*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1]]
          - 3/8*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]
          - 3/4*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]
          + 3/4*MatrixProduct[Yu2]*lam[1,2,2,2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[Yu2]*lam[1,2,2,2]*lam[2,2,2,2]
          + 3/4*MatrixProduct[Yu2]*lam[1,2,1,2]*lam[2,1,2,2]
          + 3/4*MatrixProduct[Yu2]*lam[1,1,2,2]*lam[1,2,2,2]
          + 3/4*MatrixProduct[Yu2]*lam[1,1,2,1]*lam[1,2,1,2]
          + 3/4*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[1,1,2,2]
          + 3/4*MatrixProduct[Yu2]*lam[1,1,1,1]*lam[1,1,1,2]
          - 27/8*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]
          + 3/8*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]
          + 10*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha3
          - 117/16*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2
          - 9/8*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*Doub2
          + 9/8*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*Doub1
          + 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*Doub1*Doub2
          - 77/80*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1
          - 9/40*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*Doub2
          + 9/40*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*Doub1
          + 81/40*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*Doub1*Doub2
          - 27/8*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]
          + 3/8*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]
          + 3/8*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]
          + 3/8*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]
          - 27/8*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]
          + 10*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha3
          - 117/16*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2
          - 9/8*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*Doub2
          + 9/8*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*Doub1
          + 81/8*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*Doub1*Doub2
          - 137/80*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1
          - 9/40*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*Doub2
          + 9/40*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*Doub1
          + 81/40*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*Doub1*Doub2
          - 27/8*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]
          - 39/16*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2
          - 3/8*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2*Doub2
          + 3/8*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2*Doub1
          + 27/8*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2*Doub1*Doub2
          + 21/80*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1
          - 3/40*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*Doub2
          + 3/40*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]
          )

       + fourpiinv^3 * (
          - 345/32*MatrixProduct[u[1,1].u[1,1].u[1,1].Yu1]
          + 9/4*MatrixProduct[u[1,1].u[1,1].u[1,1].Yu1]*z3
          - 13/32*MatrixProduct[u[1,1].u[1,1].u[2,2].Yu1]
          + 75/32*MatrixProduct[u[1,1].u[1,1].d[1,1].Yu1]
          - 19/32*MatrixProduct[u[1,1].u[1,1].d[1,2].Yu2]
          - 13/32*MatrixProduct[u[1,1].u[1,1].d[2,2].Yu1]
          + 63/4*MatrixProduct[u[1,1].u[1,1].Yu1]*lam[1,1,1,1]
          - 38*MatrixProduct[u[1,1].u[1,1].Yu1]*alpha3
          - 225/64*MatrixProduct[u[1,1].u[1,1].Yu1]*alpha2
          + 27/2*MatrixProduct[u[1,1].u[1,1].Yu1]*alpha2*z3
          + 9/64*MatrixProduct[u[1,1].u[1,1].Yu1]*alpha2*z2
          + 9/64*MatrixProduct[u[1,1].u[1,1].Yu1]*alpha2*Doub1
          - 27/2*MatrixProduct[u[1,1].u[1,1].Yu1]*alpha2*Doub1*z3
          - 9/64*MatrixProduct[u[1,1].u[1,1].Yu1]*alpha2*Doub1*z2
          + 847/80*MatrixProduct[u[1,1].u[1,1].Yu1]*alpha1
          + 27/10*MatrixProduct[u[1,1].u[1,1].Yu1]*alpha1*z3
          - 189/320*MatrixProduct[u[1,1].u[1,1].Yu1]*alpha1*z2
          - 1071/80*MatrixProduct[u[1,1].u[1,1].Yu1]*alpha1*Doub1
          - 27/10*MatrixProduct[u[1,1].u[1,1].Yu1]*alpha1*Doub1*z3
          + 189/320*MatrixProduct[u[1,1].u[1,1].Yu1]*alpha1*Doub1*z2
          - 9/8*MatrixProduct[u[1,1].u[1,1].Yu1]*Tr[u[1,1]]
          - 9/8*MatrixProduct[u[1,1].u[1,1].Yu1]*Tr[d[1,1]]
          - 3/8*MatrixProduct[u[1,1].u[1,1].Yu1]*Tr[l[1,1]]
          + 45/4*MatrixProduct[u[1,1].u[1,1].Yu2]*lam[1,1,1,2]
          - 9/4*MatrixProduct[u[1,1].u[1,1].Yu2]*Tr[u[1,2]]
          - 9/4*MatrixProduct[u[1,1].u[1,1].Yu2]*Tr[d[1,2]]
          - 3/4*MatrixProduct[u[1,1].u[1,1].Yu2]*Tr[l[1,2]]
          - 7/2*MatrixProduct[u[1,1].u[1,2].u[1,1].Yu2]
          + 3/2*MatrixProduct[u[1,1].u[1,2].u[1,1].Yu2]*z3
          - 27/16*MatrixProduct[u[1,1].u[1,2].u[2,1].Yu1]
          + 1/2*MatrixProduct[u[1,1].u[1,2].d[1,1].Yu2]
          + 3*MatrixProduct[u[1,1].u[1,2].d[1,1].Yu2]*z3
          + 55/32*MatrixProduct[u[1,1].u[1,2].d[2,1].Yu1]
          - 3*MatrixProduct[u[1,1].u[1,2].d[2,1].Yu1]*z3
          + 12*MatrixProduct[u[1,1].u[1,2].Yu1]*lam[1,1,2,1]
          - 9/16*MatrixProduct[u[1,1].u[1,2].Yu1]*Tr[u[2,1]]
          - 9/16*MatrixProduct[u[1,1].u[1,2].Yu1]*Tr[d[2,1]]
          - 3/16*MatrixProduct[u[1,1].u[1,2].Yu1]*Tr[l[2,1]]
          + 5/2*MatrixProduct[u[1,1].u[1,2].Yu2]*lam[1,2,2,1]
          + 5*MatrixProduct[u[1,1].u[1,2].Yu2]*lam[1,1,2,2]
          - 16*MatrixProduct[u[1,1].u[1,2].Yu2]*alpha3
          + 299/40*MatrixProduct[u[1,1].u[1,2].Yu2]*alpha1
          - 9/16*MatrixProduct[u[1,1].u[1,2].Yu2]*alpha1*z2
          - 233/40*MatrixProduct[u[1,1].u[1,2].Yu2]*alpha1*Doub2
          + 27/20*MatrixProduct[u[1,1].u[1,2].Yu2]*alpha1*Doub2*z3
          + 9/16*MatrixProduct[u[1,1].u[1,2].Yu2]*alpha1*Doub2*z2
          - 337/20*MatrixProduct[u[1,1].u[1,2].Yu2]*alpha1*Doub1
          + 27/20*MatrixProduct[u[1,1].u[1,2].Yu2]*alpha1*Doub1*z3
          + 9/16*MatrixProduct[u[1,1].u[1,2].Yu2]*alpha1*Doub1*z2
          + 291/20*MatrixProduct[u[1,1].u[1,2].Yu2]*alpha1*Doub1*Doub2
          - 27/10*MatrixProduct[u[1,1].u[1,2].Yu2]*alpha1*Doub1*Doub2*
         z3
          - 9/16*MatrixProduct[u[1,1].u[1,2].Yu2]*alpha1*Doub1*Doub2*z2
          - 43/8*MatrixProduct[u[1,1].u[2,1].u[1,2].Yu1]
          + 9/4*MatrixProduct[u[1,1].u[2,1].u[1,2].Yu1]*z3
          + 21/16*MatrixProduct[u[1,1].u[2,1].d[1,2].Yu1]
          + 21/2*MatrixProduct[u[1,1].u[2,1].Yu1]*lam[1,1,1,2]
          + 27/8*MatrixProduct[u[1,1].u[2,1].Yu1]*Tr[u[1,2]]
          + 27/8*MatrixProduct[u[1,1].u[2,1].Yu1]*Tr[d[1,2]]
          + 9/8*MatrixProduct[u[1,1].u[2,1].Yu1]*Tr[l[1,2]]
          + 6*MatrixProduct[u[1,1].u[2,1].Yu2]*lam[1,2,1,2]
          - 27/32*MatrixProduct[u[1,1].u[2,2].u[1,1].Yu1]
          - MatrixProduct[u[1,1].u[2,2].u[1,2].Yu2]
          + 3/2*MatrixProduct[u[1,1].u[2,2].u[1,2].Yu2]*z3
          - 1/32*MatrixProduct[u[1,1].u[2,2].u[2,2].Yu1]
          - 1/8*MatrixProduct[u[1,1].u[2,2].d[1,1].Yu1]
          - 3/32*MatrixProduct[u[1,1].u[2,2].d[1,2].Yu2]
          + 5/32*MatrixProduct[u[1,1].u[2,2].d[2,2].Yu1]
          + 4*MatrixProduct[u[1,1].u[2,2].Yu1]*lam[1,2,2,1]
          + 7/2*MatrixProduct[u[1,1].u[2,2].Yu1]*lam[1,1,2,2]
          + 3/4*MatrixProduct[u[1,1].u[2,2].Yu1]*lam[1,1,1,1]
          - 20/3*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha3
          + 105/64*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha2
          - 9/64*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha2*z2
          - 195/64*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha2*Doub2
          + 9/64*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha2*Doub2*z2
          - 423/32*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha2*Doub1
          + 27/4*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha2*Doub1*z2
          + 471/32*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha2*Doub1*Doub2
          - 9*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha2*Doub1*Doub2*z2
          - 389/960*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha1
          - 9/320*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha1*z2
          + 613/320*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha1*Doub2
          + 3/5*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha1*Doub2*z2
          - 417/64*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha1*Doub1
          + 39/20*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha1*Doub1*z3
          + 27/320*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha1*Doub1*z2
          + 1317/320*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha1*Doub1*
         Doub2
          - 9/5*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha1*Doub1*Doub2*z3
          - 27/320*MatrixProduct[u[1,1].u[2,2].Yu1]*alpha1*Doub1*Doub2*
         z2
          - 3/4*MatrixProduct[u[1,1].u[2,2].Yu1]*Tr[u[1,1]]
          + 27/16*MatrixProduct[u[1,1].u[2,2].Yu1]*Tr[u[2,2]]
          - 3/4*MatrixProduct[u[1,1].u[2,2].Yu1]*Tr[d[1,1]]
          + 27/16*MatrixProduct[u[1,1].u[2,2].Yu1]*Tr[d[2,2]]
          - 1/4*MatrixProduct[u[1,1].u[2,2].Yu1]*Tr[l[1,1]]
          + 9/16*MatrixProduct[u[1,1].u[2,2].Yu1]*Tr[l[2,2]]
          + 3*MatrixProduct[u[1,1].u[2,2].Yu2]*lam[1,2,2,2]
          + 3/4*MatrixProduct[u[1,1].u[2,2].Yu2]*lam[1,1,1,2]
          - 3/4*MatrixProduct[u[1,1].u[2,2].Yu2]*Tr[u[1,2]]
          - 3/4*MatrixProduct[u[1,1].u[2,2].Yu2]*Tr[d[1,2]]
          - 1/4*MatrixProduct[u[1,1].u[2,2].Yu2]*Tr[l[1,2]]
          + 43/16*MatrixProduct[u[1,1].d[1,1].u[1,1].Yu1]
          - MatrixProduct[u[1,1].d[1,1].u[2,2].Yu1]
          - 95/16*MatrixProduct[u[1,1].d[1,1].d[1,1].Yu1]
          + 6*MatrixProduct[u[1,1].d[1,1].d[1,1].Yu1]*z3
          + 45/32*MatrixProduct[u[1,1].d[1,1].d[1,2].Yu2]
          - MatrixProduct[u[1,1].d[1,1].d[2,2].Yu1]
          + 3/4*MatrixProduct[u[1,1].d[1,1].Yu1]*lam[1,1,1,1]
          + 14*MatrixProduct[u[1,1].d[1,1].Yu1]*alpha3
          + 4*MatrixProduct[u[1,1].d[1,1].Yu1]*alpha3*z3
          - 69/32*MatrixProduct[u[1,1].d[1,1].Yu1]*alpha2
          + 9/4*MatrixProduct[u[1,1].d[1,1].Yu1]*alpha2*z3
          - 45/64*MatrixProduct[u[1,1].d[1,1].Yu1]*alpha2*z2
          + 177/64*MatrixProduct[u[1,1].d[1,1].Yu1]*alpha2*Doub1
          - 27/8*MatrixProduct[u[1,1].d[1,1].Yu1]*alpha2*Doub1*z3
          + 45/64*MatrixProduct[u[1,1].d[1,1].Yu1]*alpha2*Doub1*z2
          - 259/160*MatrixProduct[u[1,1].d[1,1].Yu1]*alpha1
          + 7/20*MatrixProduct[u[1,1].d[1,1].Yu1]*alpha1*z3
          + 9/320*MatrixProduct[u[1,1].d[1,1].Yu1]*alpha1*z2
          + 319/320*MatrixProduct[u[1,1].d[1,1].Yu1]*alpha1*Doub1
          + 27/40*MatrixProduct[u[1,1].d[1,1].Yu1]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[u[1,1].d[1,1].Yu1]*alpha1*Doub1*z2
          + 21/8*MatrixProduct[u[1,1].d[1,1].Yu1]*Tr[u[1,1]]
          + 21/8*MatrixProduct[u[1,1].d[1,1].Yu1]*Tr[d[1,1]]
          + 7/8*MatrixProduct[u[1,1].d[1,1].Yu1]*Tr[l[1,1]]
          - 15/4*MatrixProduct[u[1,1].d[1,1].Yu2]*lam[1,1,1,2]
          - 75/16*MatrixProduct[u[1,1].d[1,1].Yu2]*Tr[u[1,2]]
          - 75/16*MatrixProduct[u[1,1].d[1,1].Yu2]*Tr[d[1,2]]
          - 25/16*MatrixProduct[u[1,1].d[1,1].Yu2]*Tr[l[1,2]]
          + 13/32*MatrixProduct[u[1,1].d[1,2].u[1,1].Yu2]
          + 17/8*MatrixProduct[u[1,1].d[1,2].u[2,1].Yu1]
          - 3/32*MatrixProduct[u[1,1].d[1,2].u[2,2].Yu2]
          - 99/32*MatrixProduct[u[1,1].d[1,2].d[1,1].Yu2]
          - 11/8*MatrixProduct[u[1,1].d[1,2].d[2,1].Yu1]
          + 6*MatrixProduct[u[1,1].d[1,2].d[2,1].Yu1]*z3
          + 13/32*MatrixProduct[u[1,1].d[1,2].d[2,2].Yu2]
          - 3/2*MatrixProduct[u[1,1].d[1,2].Yu1]*lam[1,1,2,1]
          + 225/32*MatrixProduct[u[1,1].d[1,2].Yu1]*Tr[u[2,1]]
          + 225/32*MatrixProduct[u[1,1].d[1,2].Yu1]*Tr[d[2,1]]
          + 75/32*MatrixProduct[u[1,1].d[1,2].Yu1]*Tr[l[2,1]]
          + MatrixProduct[u[1,1].d[1,2].Yu2]*lam[1,2,2,1]
          - 11/2*MatrixProduct[u[1,1].d[1,2].Yu2]*lam[1,1,2,2]
          + 3/2*MatrixProduct[u[1,1].d[1,2].Yu2]*lam[1,1,1,1]
          + 68/3*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha3
          - 8*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha3*z3
          - 291/32*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha2
          + 45/4*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha2*z3
          - 69/16*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha2*Doub2
          + 27/8*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha2*Doub2*z3
          + 27/4*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha2*Doub1
          - 27/4*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha2*Doub1*z3
          + 33/16*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha2*Doub1*Doub2
          - 9/8*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha2*Doub1*Doub2*z3
          - 3449/480*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha1
          + 7/20*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha1*z3
          + 93/80*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha1*Doub2
          - 27/40*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha1*Doub2*z3
          + 1069/160*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha1*Doub1
          - 9/20*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha1*Doub1*z2
          + 81/160*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha1*Doub1*Doub2
          + 9/40*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha1*Doub1*Doub2*z3
          - 9/80*MatrixProduct[u[1,1].d[1,2].Yu2]*alpha1*Doub1*Doub2*z2
          + 9/16*MatrixProduct[u[1,1].d[1,2].Yu2]*Tr[u[1,1]]
          + 9/16*MatrixProduct[u[1,1].d[1,2].Yu2]*Tr[u[2,2]]
          + 9/16*MatrixProduct[u[1,1].d[1,2].Yu2]*Tr[d[1,1]]
          + 9/16*MatrixProduct[u[1,1].d[1,2].Yu2]*Tr[d[2,2]]
          + 3/16*MatrixProduct[u[1,1].d[1,2].Yu2]*Tr[l[1,1]]
          + 3/16*MatrixProduct[u[1,1].d[1,2].Yu2]*Tr[l[2,2]]
          + 33/16*MatrixProduct[u[1,1].d[2,1].u[1,2].Yu1]
          - 63/32*MatrixProduct[u[1,1].d[2,1].d[1,2].Yu1]
          + 9/2*MatrixProduct[u[1,1].d[2,1].Yu1]*lam[1,1,1,2]
          + 81/32*MatrixProduct[u[1,1].d[2,1].Yu1]*Tr[u[1,2]]
          + 81/32*MatrixProduct[u[1,1].d[2,1].Yu1]*Tr[d[1,2]]
          + 27/32*MatrixProduct[u[1,1].d[2,1].Yu1]*Tr[l[1,2]]
          - 27/32*MatrixProduct[u[1,1].d[2,2].u[1,1].Yu1]
          + 5/32*MatrixProduct[u[1,1].d[2,2].u[2,2].Yu1]
          - 1/8*MatrixProduct[u[1,1].d[2,2].d[1,1].Yu1]
          - 19/32*MatrixProduct[u[1,1].d[2,2].d[1,2].Yu2]
          - 1/32*MatrixProduct[u[1,1].d[2,2].d[2,2].Yu1]
          - 1/2*MatrixProduct[u[1,1].d[2,2].Yu1]*lam[1,2,2,1]
          + 7/2*MatrixProduct[u[1,1].d[2,2].Yu1]*lam[1,1,2,2]
          + 3/4*MatrixProduct[u[1,1].d[2,2].Yu1]*lam[1,1,1,1]
          - 20/3*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha3
          + 105/64*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha2
          - 9/64*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha2*z2
          - 195/64*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha2*Doub2
          + 9/64*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha2*Doub2*z2
          - 423/32*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha2*Doub1
          + 27/4*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha2*Doub1*z2
          + 471/32*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha2*Doub1*Doub2
          - 9*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha2*Doub1*Doub2*z2
          + 5473/960*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha1
          + 9/320*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha1*z2
          - 937/320*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha1*Doub2
          + 3/10*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha1*Doub2*z2
          + 189/320*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha1*Doub1
          - 33/20*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha1*Doub1*z3
          - 27/320*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha1*Doub1*z2
          - 1317/320*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha1*Doub1*
         Doub2
          + 9/5*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha1*Doub1*Doub2*z3
          + 27/320*MatrixProduct[u[1,1].d[2,2].Yu1]*alpha1*Doub1*Doub2*
         z2
          - 3/4*MatrixProduct[u[1,1].d[2,2].Yu1]*Tr[u[1,1]]
          + 27/16*MatrixProduct[u[1,1].d[2,2].Yu1]*Tr[u[2,2]]
          - 3/4*MatrixProduct[u[1,1].d[2,2].Yu1]*Tr[d[1,1]]
          + 27/16*MatrixProduct[u[1,1].d[2,2].Yu1]*Tr[d[2,2]]
          - 1/4*MatrixProduct[u[1,1].d[2,2].Yu1]*Tr[l[1,1]]
          + 9/16*MatrixProduct[u[1,1].d[2,2].Yu1]*Tr[l[2,2]]
          + 9/4*MatrixProduct[u[1,1].d[2,2].Yu2]*lam[1,1,1,2]
          - 3/16*MatrixProduct[u[1,1].d[2,2].Yu2]*Tr[u[1,2]]
          - 3/16*MatrixProduct[u[1,1].d[2,2].Yu2]*Tr[d[1,2]]
          - 1/16*MatrixProduct[u[1,1].d[2,2].Yu2]*Tr[l[1,2]]
          - 9/16*MatrixProduct[u[1,1].Yu1]*lam[1,2,2,1]^2
          - 99/32*MatrixProduct[u[1,1].Yu1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 45/32*MatrixProduct[u[1,1].Yu1]*lam[1,2,1,2]*lam[2,1,2,1]
          + 15/16*MatrixProduct[u[1,1].Yu1]*lam[1,1,2,2]*lam[1,2,2,1]
          + 15/16*MatrixProduct[u[1,1].Yu1]*lam[1,1,2,2]^2
          + 471/32*MatrixProduct[u[1,1].Yu1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 285/32*MatrixProduct[u[1,1].Yu1]*lam[1,1,1,1]^2
          + 4*MatrixProduct[u[1,1].Yu1]*alpha3*lam[1,1,1,1]
          + 2779/12*MatrixProduct[u[1,1].Yu1]*alpha3^2
          - 102*MatrixProduct[u[1,1].Yu1]*alpha3^2*z3
          - 11*MatrixProduct[u[1,1].Yu1]*alpha3^2*Ng
          + 3/8*MatrixProduct[u[1,1].Yu1]*alpha2*lam[1,1,1,1]
          - 69/4*MatrixProduct[u[1,1].Yu1]*alpha2*lam[1,1,1,1]*Doub1
          - 241/4*MatrixProduct[u[1,1].Yu1]*alpha2*alpha3
          + 36*MatrixProduct[u[1,1].Yu1]*alpha2*alpha3*z3
          - 9/4*MatrixProduct[u[1,1].Yu1]*alpha2*alpha3*z2
          + 299/8*MatrixProduct[u[1,1].Yu1]*alpha2*alpha3*Doub1
          + 9/4*MatrixProduct[u[1,1].Yu1]*alpha2*alpha3*Doub1*z2
          - 17091/256*MatrixProduct[u[1,1].Yu1]*alpha2^2
          + 117/4*MatrixProduct[u[1,1].Yu1]*alpha2^2*z3
          + 63/128*MatrixProduct[u[1,1].Yu1]*alpha2^2*z2
          + 141/32*MatrixProduct[u[1,1].Yu1]*alpha2^2*Ng
          + 183/256*MatrixProduct[u[1,1].Yu1]*alpha2^2*Doub2
          + 59175/512*MatrixProduct[u[1,1].Yu1]*alpha2^2*Doub1
          - 603/16*MatrixProduct[u[1,1].Yu1]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[u[1,1].Yu1]*alpha2^2*Doub1*z2
          - 183/16*MatrixProduct[u[1,1].Yu1]*alpha2^2*Doub1*Ng
          - 159/64*MatrixProduct[u[1,1].Yu1]*alpha2^2*Doub1*Doub2
          + 7/8*MatrixProduct[u[1,1].Yu1]*alpha1*lam[1,1,1,1]
          - 81/20*MatrixProduct[u[1,1].Yu1]*alpha1*lam[1,1,1,1]*Doub1
          - 147/20*MatrixProduct[u[1,1].Yu1]*alpha1*alpha3
          - 36/5*MatrixProduct[u[1,1].Yu1]*alpha1*alpha3*z3
          - 9/4*MatrixProduct[u[1,1].Yu1]*alpha1*alpha3*z2
          + 1789/120*MatrixProduct[u[1,1].Yu1]*alpha1*alpha3*Doub1
          + 24/5*MatrixProduct[u[1,1].Yu1]*alpha1*alpha3*Doub1*z3
          + 9/4*MatrixProduct[u[1,1].Yu1]*alpha1*alpha3*Doub1*z2
          - 3671/640*MatrixProduct[u[1,1].Yu1]*alpha1*alpha2
          + 9/10*MatrixProduct[u[1,1].Yu1]*alpha1*alpha2*z3
          + 9/64*MatrixProduct[u[1,1].Yu1]*alpha1*alpha2*z2
          + 5149/1280*MatrixProduct[u[1,1].Yu1]*alpha1*alpha2*Doub1
          + 171/40*MatrixProduct[u[1,1].Yu1]*alpha1*alpha2*Doub1*z3
          - 9/64*MatrixProduct[u[1,1].Yu1]*alpha1*alpha2*Doub1*z2
          - 14977/19200*MatrixProduct[u[1,1].Yu1]*alpha1^2
          + 21/25*MatrixProduct[u[1,1].Yu1]*alpha1^2*z3
          - 9/128*MatrixProduct[u[1,1].Yu1]*alpha1^2*z2
          + 597/160*MatrixProduct[u[1,1].Yu1]*alpha1^2*Ng
          + 2157/6400*MatrixProduct[u[1,1].Yu1]*alpha1^2*Doub2
          + 22333/38400*MatrixProduct[u[1,1].Yu1]*alpha1^2*Doub1
          - 87/80*MatrixProduct[u[1,1].Yu1]*alpha1^2*Doub1*z3
          + 9/128*MatrixProduct[u[1,1].Yu1]*alpha1^2*Doub1*z2
          - 459/80*MatrixProduct[u[1,1].Yu1]*alpha1^2*Doub1*Ng
          - 1083/1600*MatrixProduct[u[1,1].Yu1]*alpha1^2*Doub1*Doub2
          + 45/2*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*lam[1,1,1,1]
          - 177/4*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*alpha3
          + 36*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*alpha3*z3
          + 3591/32*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*alpha2
          - 54*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*alpha2*z3
          - 27/16*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*alpha2*z2
          - 3915/32*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*alpha2*Doub1
          + 81/2*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*alpha2*Doub1*z2
          + 5757/160*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*alpha1
          - 9/2*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*alpha1*z3
          - 81/80*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*alpha1*z2
          - 6789/160*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*alpha1*Doub1
          + 27/5*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*alpha1*Doub1*z3
          + 81/80*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*alpha1*Doub1*z2
          - 81/16*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]^2
          - 81/8*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*Tr[d[1,1]]
          - 27/8*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*Tr[l[1,1]]
          + 27/2*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1].u[1,1]]
          + 9/2*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1].u[2,2]]
          + 9/2*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1].d[2,2]]
          + 27/2*MatrixProduct[u[1,1].Yu1]*Tr[u[1,2]]*lam[1,1,2,1]
          - 81/16*MatrixProduct[u[1,1].Yu1]*Tr[u[1,2]]*Tr[u[2,1]]
          - 81/16*MatrixProduct[u[1,1].Yu1]*Tr[u[1,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[u[1,1].Yu1]*Tr[u[1,2]]*Tr[l[2,1]]
          + 9*MatrixProduct[u[1,1].Yu1]*Tr[u[1,2].u[2,1]]
          - 9/2*MatrixProduct[u[1,1].Yu1]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*lam[1,1,1,2]
          - 81/16*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*Tr[l[1,2]]
          - 9/2*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1].d[1,2]]
          + 9/2*MatrixProduct[u[1,1].Yu1]*Tr[u[2,2].d[1,1]]
          + 45/2*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*lam[1,1,1,1]
          - 177/4*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*alpha3
          + 36*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*alpha3*z3
          + 3591/32*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*alpha2
          - 54*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*alpha2*z3
          - 27/16*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*alpha2*z2
          - 3915/32*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*alpha2*Doub1
          + 81/2*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*alpha2*Doub1*z2
          + 6333/160*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*alpha1
          - 36/5*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*alpha1*z3
          - 81/80*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*alpha1*z2
          - 6789/160*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*alpha1*Doub1
          + 27/5*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*alpha1*Doub1*z3
          + 81/80*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*alpha1*Doub1*z2
          - 81/16*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]^2
          - 27/8*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*Tr[l[1,1]]
          + 27/2*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1].d[1,1]]
          + 9/2*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1].d[2,2]]
          + 27/2*MatrixProduct[u[1,1].Yu1]*Tr[d[1,2]]*lam[1,1,2,1]
          - 81/16*MatrixProduct[u[1,1].Yu1]*Tr[d[1,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[u[1,1].Yu1]*Tr[d[1,2]]*Tr[l[2,1]]
          + 9*MatrixProduct[u[1,1].Yu1]*Tr[d[1,2].d[2,1]]
          + 9*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*lam[1,1,1,2]
          - 27/16*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*Tr[l[1,2]]
          + 15/2*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*lam[1,1,1,1]
          + 5/4*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*alpha3
          + 1197/32*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*alpha2
          - 18*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*alpha2*z3
          - 9/16*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*alpha2*z2
          - 1305/32*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*alpha2*Doub1*z3
          + 9/16*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*alpha2*Doub1*z2
          + 1471/160*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*alpha1
          + 3/5*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*alpha1*z3
          - 27/80*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*alpha1*z2
          - 2263/160*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*alpha1*Doub1
          + 9/5*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*alpha1*Doub1*z2
          - 9/16*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]^2
          + 9/2*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1].l[1,1]]
          + 3/2*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1].l[2,2]]
          + 9/2*MatrixProduct[u[1,1].Yu1]*Tr[l[1,2]]*lam[1,1,2,1]
          - 9/16*MatrixProduct[u[1,1].Yu1]*Tr[l[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[u[1,1].Yu1]*Tr[l[1,2].l[2,1]]
          + 3*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*lam[1,1,1,2]
          + 15/16*MatrixProduct[u[1,1].Yu2]*lam[1,2,2,2]*lam[1,2,2,1]
          - 33/16*MatrixProduct[u[1,1].Yu2]*lam[1,2,2,2]*lam[2,2,2,2]
          + 39/16*MatrixProduct[u[1,1].Yu2]*lam[1,2,1,2]*lam[2,1,2,2]
          + 39/16*MatrixProduct[u[1,1].Yu2]*lam[1,1,2,2]*lam[1,2,2,2]
          + 87/16*MatrixProduct[u[1,1].Yu2]*lam[1,1,2,1]*lam[1,2,1,2]
          + 111/16*MatrixProduct[u[1,1].Yu2]*lam[1,1,1,2]*lam[1,2,2,1]
          + 87/16*MatrixProduct[u[1,1].Yu2]*lam[1,1,1,2]*lam[1,1,2,2]
          + 159/16*MatrixProduct[u[1,1].Yu2]*lam[1,1,1,1]*lam[1,1,1,2]
          + 4*MatrixProduct[u[1,1].Yu2]*alpha3*lam[1,1,1,2]
          + 3/8*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,1,1,2]
          - 45/8*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,1,1,2]*Doub2
          - 9/4*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,1,1,2]*Doub2*z3
          - 21/4*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,1,1,2]*Doub1
          - 9*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,1,1,2]*Doub1*z3
          - 51/8*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,1,1,2]*Doub1*Doub2
          + 45/4*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,1,1,2]*Doub1*Doub2*
         z3
          + 7/8*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,1,1,2]
          + 99/40*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,1,1,2]*Doub2
          - 27/20*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,1,1,2]*Doub2*z3
          - 99/20*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,1,1,2]*Doub1
          - 27/10*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,1,1,2]*Doub1*z3
          - 63/40*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,1,1,2]*Doub1*Doub2
          + 81/20*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,1,1,2]*Doub1*Doub2*
         z3
          + 18*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*lam[1,1,1,2]
          - 27/8*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*Tr[u[1,2]]
          - 27/8*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*Tr[l[1,2]]
          + 9*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1].u[1,2]]
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*lam[1,2,2,1]
          + 9*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*lam[1,1,1,1]
          - 59/2*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha3
          + 24*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha3*z3
          + 1521/16*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha2
          - 54*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha2*z3
          - 27/16*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha2*z2
          - 1053/32*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub2
          + 81/4*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub2*z2
          - 99/2*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1
          + 81/4*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1*z2
          - 18*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1*Doub2
          - 27/32*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 253/80*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha1
          + 15/2*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha1*z3
          - 27/80*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha1*z2
          + 621/160*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub2
          - 27/10*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub2*z3
          + 27/160*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub2*z2
          - 213/160*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1
          - 27/10*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1*z2
          - 45/32*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 27/8*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*Tr[u[2,2]]
          - 27/8*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*Tr[d[1,1]]
          - 27/8*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*Tr[l[1,1]]
          - 9/8*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*Tr[l[2,2]]
          + 9*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2].u[2,2]]
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[u[2,1]]*lam[1,2,1,2]
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*lam[1,1,1,2]
          - 27/8*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*Tr[l[1,2]]
          + 18*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*lam[1,1,1,2]
          - 27/8*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*Tr[l[1,2]]
          + 9*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1].d[1,2]]
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*lam[1,2,2,1]
          + 9*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*lam[1,1,1,1]
          - 59/2*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha3
          + 24*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha3*z3
          + 1521/16*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha2
          - 54*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha2*z3
          - 27/16*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha2*z2
          - 1053/32*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub2
          + 81/4*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub2*z2
          - 99/2*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1
          + 81/4*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1*z2
          - 18*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1*Doub2
          - 27/32*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 61/80*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha1
          + 57/10*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha1*z3
          - 27/80*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha1*z2
          + 621/160*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub2
          - 27/10*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub2*z3
          + 27/160*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub2*z2
          - 213/160*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1
          - 27/10*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1*z2
          - 45/32*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 27/8*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*Tr[l[1,1]]
          - 9/8*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*Tr[l[2,2]]
          + 9*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2].d[2,2]]
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[d[2,1]]*lam[1,2,1,2]
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*lam[1,1,1,2]
          - 9/8*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*Tr[l[1,2]]
          + 6*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*lam[1,1,1,2]
          - 3/8*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*Tr[l[1,2]]
          + 3*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1].l[1,2]]
          + 3/2*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*lam[1,2,2,1]
          + 3*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*lam[1,1,2,2]
          + 3/2*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*lam[1,1,1,1]
          + 5/6*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha3
          + 507/16*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha2
          - 18*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha2*z3
          - 9/16*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha2*z2
          - 351/32*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub2
          + 27/4*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub2*z2
          - 33/2*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1
          + 27/4*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1*z3
          + 9/16*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1*z2
          - 6*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1*Doub2
          - 9/32*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 701/240*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha1
          + 39/10*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha1*z3
          - 9/80*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha1*z2
          + 207/160*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub2
          - 9/10*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub2*z3
          + 9/160*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub2*z2
          - 71/160*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1
          - 9/10*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1*z2
          - 15/32*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          - 9/160*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 3/8*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*Tr[l[2,2]]
          + 3*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2].l[2,2]]
          + 3/2*MatrixProduct[u[1,1].Yu2]*Tr[l[2,1]]*lam[1,2,1,2]
          + 3/2*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*lam[1,1,1,2]
          - 209/32*MatrixProduct[u[1,2].u[1,1].u[1,1].Yu2]
          - 55/16*MatrixProduct[u[1,2].u[1,1].u[2,1].Yu1]
          + 9/4*MatrixProduct[u[1,2].u[1,1].u[2,1].Yu1]*z3
          - 13/32*MatrixProduct[u[1,2].u[1,1].u[2,2].Yu2]
          + 85/32*MatrixProduct[u[1,2].u[1,1].d[1,1].Yu2]
          - 3*MatrixProduct[u[1,2].u[1,1].d[1,1].Yu2]*z3
          - 55/32*MatrixProduct[u[1,2].u[1,1].d[2,1].Yu1]
          + 3*MatrixProduct[u[1,2].u[1,1].d[2,1].Yu1]*z3
          - MatrixProduct[u[1,2].u[1,1].d[2,2].Yu2]
          + 45/4*MatrixProduct[u[1,2].u[1,1].Yu1]*lam[1,1,2,1]
          - 9/16*MatrixProduct[u[1,2].u[1,1].Yu1]*Tr[u[2,1]]
          - 9/16*MatrixProduct[u[1,2].u[1,1].Yu1]*Tr[d[2,1]]
          - 3/16*MatrixProduct[u[1,2].u[1,1].Yu1]*Tr[l[2,1]]
          + 25/4*MatrixProduct[u[1,2].u[1,1].Yu2]*lam[1,2,2,1]
          + 7/2*MatrixProduct[u[1,2].u[1,1].Yu2]*lam[1,1,2,2]
          + 3*MatrixProduct[u[1,2].u[1,1].Yu2]*lam[1,1,1,1]
          - 46/3*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha3
          - 345/64*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha2
          + 27/2*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha2*z3
          - 237/32*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha2*Doub2
          - 9/4*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha2*Doub2*z3
          - 111/64*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha2*Doub1
          - 27/4*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha2*Doub1*z3
          + 111/8*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha2*Doub1*Doub2
          - 27/4*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha2*Doub1*Doub2*z3
          - 3643/960*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha1
          + 27/10*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha1*z3
          - 109/32*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha1*Doub2
          + 27/20*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha1*Doub2*z3
          + 513/160*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha1*Doub1
          - 39/20*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha1*Doub1*z3
          - 9/160*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha1*Doub1*z2
          + 171/64*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[u[1,2].u[1,1].Yu2]*alpha1*Doub1*Doub2*
         z2
          + 3/16*MatrixProduct[u[1,2].u[1,1].Yu2]*Tr[u[1,1]]
          - 9/4*MatrixProduct[u[1,2].u[1,1].Yu2]*Tr[u[2,2]]
          + 3/16*MatrixProduct[u[1,2].u[1,1].Yu2]*Tr[d[1,1]]
          - 9/4*MatrixProduct[u[1,2].u[1,1].Yu2]*Tr[d[2,2]]
          + 1/16*MatrixProduct[u[1,2].u[1,1].Yu2]*Tr[l[1,1]]
          - 3/4*MatrixProduct[u[1,2].u[1,1].Yu2]*Tr[l[2,2]]
          - 35/8*MatrixProduct[u[1,2].u[1,2].u[2,1].Yu2]
          + 3/2*MatrixProduct[u[1,2].u[1,2].u[2,1].Yu2]*z3
          + 13/16*MatrixProduct[u[1,2].u[1,2].d[2,1].Yu2]
          + 15/2*MatrixProduct[u[1,2].u[1,2].Yu1]*lam[2,1,2,1]
          + 6*MatrixProduct[u[1,2].u[1,2].Yu2]*lam[2,1,2,2]
          + 3*MatrixProduct[u[1,2].u[1,2].Yu2]*lam[1,1,2,1]
          + 3/16*MatrixProduct[u[1,2].u[1,2].Yu2]*Tr[u[2,1]]
          + 3/16*MatrixProduct[u[1,2].u[1,2].Yu2]*Tr[d[2,1]]
          + 1/16*MatrixProduct[u[1,2].u[1,2].Yu2]*Tr[l[2,1]]
          - 13/16*MatrixProduct[u[1,2].u[2,1].u[1,1].Yu1]
          - 31/8*MatrixProduct[u[1,2].u[2,1].u[1,2].Yu2]
          - 3/2*MatrixProduct[u[1,2].u[2,1].u[2,2].Yu1]
          + 9/4*MatrixProduct[u[1,2].u[2,1].u[2,2].Yu1]*z3
          + 45/32*MatrixProduct[u[1,2].u[2,1].d[1,1].Yu1]
          + 21/16*MatrixProduct[u[1,2].u[2,1].d[1,2].Yu2]
          + 5/2*MatrixProduct[u[1,2].u[2,1].Yu1]*lam[1,2,2,1]
          + 5*MatrixProduct[u[1,2].u[2,1].Yu1]*lam[1,1,2,2]
          + 3/2*MatrixProduct[u[1,2].u[2,1].Yu1]*lam[1,1,1,1]
          - 38/3*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha3
          - 21/32*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha2
          + 9/32*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha2*z2
          - 81/32*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha2*Doub2
          + 9/4*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha2*Doub2*z3
          + 15/32*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha2*Doub1
          - 9/32*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha2*Doub1*z2
          + 965/192*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha1
          - 9/80*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha1*z2
          - 2959/320*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha1*Doub2
          - 3/20*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha1*Doub2*z3
          + 63/160*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha1*Doub2*z2
          - 165/64*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha1*Doub1
          + 6/5*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha1*Doub1*z3
          - 9/80*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha1*Doub1*z2
          + 1911/320*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha1*Doub1*
         Doub2
          - 9/5*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha1*Doub1*Doub2*z3
          - 27/160*MatrixProduct[u[1,2].u[2,1].Yu1]*alpha1*Doub1*Doub2*
         z2
          - 3/4*MatrixProduct[u[1,2].u[2,1].Yu1]*Tr[u[1,1]]
          + 27/16*MatrixProduct[u[1,2].u[2,1].Yu1]*Tr[u[2,2]]
          - 3/4*MatrixProduct[u[1,2].u[2,1].Yu1]*Tr[d[1,1]]
          + 27/16*MatrixProduct[u[1,2].u[2,1].Yu1]*Tr[d[2,2]]
          - 1/4*MatrixProduct[u[1,2].u[2,1].Yu1]*Tr[l[1,1]]
          + 9/16*MatrixProduct[u[1,2].u[2,1].Yu1]*Tr[l[2,2]]
          + 6*MatrixProduct[u[1,2].u[2,1].Yu2]*lam[1,2,2,2]
          + 9/2*MatrixProduct[u[1,2].u[2,1].Yu2]*lam[1,1,1,2]
          + 27/16*MatrixProduct[u[1,2].u[2,1].Yu2]*Tr[u[1,2]]
          + 27/16*MatrixProduct[u[1,2].u[2,1].Yu2]*Tr[d[1,2]]
          + 9/16*MatrixProduct[u[1,2].u[2,1].Yu2]*Tr[l[1,2]]
          - 45/32*MatrixProduct[u[1,2].u[2,2].u[1,1].Yu2]
          - 1/4*MatrixProduct[u[1,2].u[2,2].u[2,1].Yu1]
          - 33/32*MatrixProduct[u[1,2].u[2,2].u[2,2].Yu2]
          + 3/2*MatrixProduct[u[1,2].u[2,2].u[2,2].Yu2]*z3
          + 51/32*MatrixProduct[u[1,2].u[2,2].d[1,1].Yu2]
          - 5/16*MatrixProduct[u[1,2].u[2,2].d[2,1].Yu1]
          + 1/16*MatrixProduct[u[1,2].u[2,2].d[2,2].Yu2]
          + 9/2*MatrixProduct[u[1,2].u[2,2].Yu1]*lam[2,1,2,2]
          + 9/4*MatrixProduct[u[1,2].u[2,2].Yu1]*lam[1,1,2,1]
          - 3/2*MatrixProduct[u[1,2].u[2,2].Yu1]*Tr[u[2,1]]
          - 3/2*MatrixProduct[u[1,2].u[2,2].Yu1]*Tr[d[2,1]]
          - 1/2*MatrixProduct[u[1,2].u[2,2].Yu1]*Tr[l[2,1]]
          + 7/4*MatrixProduct[u[1,2].u[2,2].Yu2]*lam[1,2,2,1]
          + 3*MatrixProduct[u[1,2].u[2,2].Yu2]*lam[2,2,2,2]
          + 7/2*MatrixProduct[u[1,2].u[2,2].Yu2]*lam[1,1,2,2]
          - 38/3*MatrixProduct[u[1,2].u[2,2].Yu2]*alpha3
          - 57/64*MatrixProduct[u[1,2].u[2,2].Yu2]*alpha2
          + 63/64*MatrixProduct[u[1,2].u[2,2].Yu2]*alpha2*Doub2
          - 9/4*MatrixProduct[u[1,2].u[2,2].Yu2]*alpha2*Doub2*z3
          - 439/192*MatrixProduct[u[1,2].u[2,2].Yu2]*alpha1
          - 9/80*MatrixProduct[u[1,2].u[2,2].Yu2]*alpha1*z2
          + 447/320*MatrixProduct[u[1,2].u[2,2].Yu2]*alpha1*Doub2
          + 3/4*MatrixProduct[u[1,2].u[2,2].Yu2]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[u[1,2].u[2,2].Yu2]*alpha1*Doub2*z2
          - 327/160*MatrixProduct[u[1,2].u[2,2].Yu2]*alpha1*Doub1
          + 327/160*MatrixProduct[u[1,2].u[2,2].Yu2]*alpha1*Doub1*Doub2
          + 15/16*MatrixProduct[u[1,2].u[2,2].Yu2]*Tr[u[2,2]]
          + 15/16*MatrixProduct[u[1,2].u[2,2].Yu2]*Tr[d[2,2]]
          + 5/16*MatrixProduct[u[1,2].u[2,2].Yu2]*Tr[l[2,2]]
          + 53/32*MatrixProduct[u[1,2].d[1,1].u[1,1].Yu2]
          - 11/16*MatrixProduct[u[1,2].d[1,1].u[2,1].Yu1]
          + 3*MatrixProduct[u[1,2].d[1,1].u[2,1].Yu1]*z3
          - 29/32*MatrixProduct[u[1,2].d[1,1].u[2,2].Yu2]
          - 129/32*MatrixProduct[u[1,2].d[1,1].d[1,1].Yu2]
          + 6*MatrixProduct[u[1,2].d[1,1].d[1,1].Yu2]*z3
          - 29/16*MatrixProduct[u[1,2].d[1,1].d[2,1].Yu1]
          + 9/4*MatrixProduct[u[1,2].d[1,1].Yu1]*lam[1,1,2,1]
          - 141/32*MatrixProduct[u[1,2].d[1,1].Yu1]*Tr[u[2,1]]
          - 141/32*MatrixProduct[u[1,2].d[1,1].Yu1]*Tr[d[2,1]]
          - 47/32*MatrixProduct[u[1,2].d[1,1].Yu1]*Tr[l[2,1]]
          - 7/4*MatrixProduct[u[1,2].d[1,1].Yu2]*lam[1,2,2,1]
          + 5/2*MatrixProduct[u[1,2].d[1,1].Yu2]*lam[1,1,2,2]
          + 3*MatrixProduct[u[1,2].d[1,1].Yu2]*lam[1,1,1,1]
          - 14*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha3
          + 16*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha3*z3
          - 9/64*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha2
          - 9*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha2*z3
          - 81/32*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha2*Doub2
          + 9/4*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha2*Doub2*z3
          - 87/64*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha2*Doub1
          + 27/4*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha2*Doub1*z3
          + 63/8*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha2*Doub1*Doub2
          - 27/4*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha2*Doub1*Doub2*z3
          + 461/320*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha1
          - 2/5*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha1*z3
          + 347/160*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha1*Doub2
          - 27/20*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha1*Doub2*z3
          - 51/16*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha1*Doub1
          + 27/20*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha1*Doub1*z3
          - 9/160*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha1*Doub1*z2
          - 537/320*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha1*Doub1*Doub2
          + 27/20*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[u[1,2].d[1,1].Yu2]*alpha1*Doub1*Doub2*
         z2
          + 99/16*MatrixProduct[u[1,2].d[1,1].Yu2]*Tr[u[1,1]]
          - 21/4*MatrixProduct[u[1,2].d[1,1].Yu2]*Tr[u[2,2]]
          + 99/16*MatrixProduct[u[1,2].d[1,1].Yu2]*Tr[d[1,1]]
          - 21/4*MatrixProduct[u[1,2].d[1,1].Yu2]*Tr[d[2,2]]
          + 33/16*MatrixProduct[u[1,2].d[1,1].Yu2]*Tr[l[1,1]]
          - 7/4*MatrixProduct[u[1,2].d[1,1].Yu2]*Tr[l[2,2]]
          + 13/16*MatrixProduct[u[1,2].d[1,2].u[2,1].Yu2]
          + 3*MatrixProduct[u[1,2].d[1,2].u[2,1].Yu2]*z3
          - 35/8*MatrixProduct[u[1,2].d[1,2].d[2,1].Yu2]
          + 6*MatrixProduct[u[1,2].d[1,2].d[2,1].Yu2]*z3
          + 9/2*MatrixProduct[u[1,2].d[1,2].Yu2]*lam[1,1,2,1]
          + 27/4*MatrixProduct[u[1,2].d[1,2].Yu2]*Tr[u[2,1]]
          + 27/4*MatrixProduct[u[1,2].d[1,2].Yu2]*Tr[d[2,1]]
          + 9/4*MatrixProduct[u[1,2].d[1,2].Yu2]*Tr[l[2,1]]
          + 55/32*MatrixProduct[u[1,2].d[2,1].u[1,1].Yu1]
          - 3*MatrixProduct[u[1,2].d[2,1].u[1,1].Yu1]*z3
          + 29/16*MatrixProduct[u[1,2].d[2,1].u[1,2].Yu2]
          + 5/32*MatrixProduct[u[1,2].d[2,1].u[2,2].Yu1]
          - 3/32*MatrixProduct[u[1,2].d[2,1].d[1,1].Yu1]
          - 7/8*MatrixProduct[u[1,2].d[2,1].d[1,2].Yu2]
          - 11/16*MatrixProduct[u[1,2].d[2,1].d[2,2].Yu1]
          + 3/2*MatrixProduct[u[1,2].d[2,1].Yu1]*lam[1,2,2,1]
          - 9/2*MatrixProduct[u[1,2].d[2,1].Yu1]*lam[1,1,1,1]
          + 22*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha3
          - 12*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha3*z3
          + 189/64*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha2
          + 9/2*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha2*z3
          - 9/16*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha2*z2
          - 87/32*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha2*Doub2
          + 9/32*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha2*Doub2*z2
          - 273/64*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha2*Doub1
          + 9/16*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha2*Doub1*z2
          + 51/64*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha2*Doub1*Doub2
          + 9/8*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha2*Doub1*Doub2*z2
          + 35/64*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha1
          + 3/10*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha1*z3
          + 63/32*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha1*Doub2
          - 9/32*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha1*Doub2*z2
          - 873/320*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha1*Doub1
          + 27/80*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha1*Doub1*z2
          + 147/320*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha1*Doub1*Doub2*z3
          - 9/160*MatrixProduct[u[1,2].d[2,1].Yu1]*alpha1*Doub1*Doub2*
         z2
          + 27/32*MatrixProduct[u[1,2].d[2,1].Yu1]*Tr[u[1,1]]
          + 27/32*MatrixProduct[u[1,2].d[2,1].Yu1]*Tr[u[2,2]]
          + 27/32*MatrixProduct[u[1,2].d[2,1].Yu1]*Tr[d[1,1]]
          + 27/32*MatrixProduct[u[1,2].d[2,1].Yu1]*Tr[d[2,2]]
          + 9/32*MatrixProduct[u[1,2].d[2,1].Yu1]*Tr[l[1,1]]
          + 9/32*MatrixProduct[u[1,2].d[2,1].Yu1]*Tr[l[2,2]]
          - 3/2*MatrixProduct[u[1,2].d[2,1].Yu2]*lam[1,1,1,2]
          + 9/4*MatrixProduct[u[1,2].d[2,1].Yu2]*Tr[u[1,2]]
          + 9/4*MatrixProduct[u[1,2].d[2,1].Yu2]*Tr[d[1,2]]
          + 3/4*MatrixProduct[u[1,2].d[2,1].Yu2]*Tr[l[1,2]]
          + 1/2*MatrixProduct[u[1,2].d[2,2].u[1,1].Yu2]
          - 3*MatrixProduct[u[1,2].d[2,2].u[1,1].Yu2]*z3
          + 3/8*MatrixProduct[u[1,2].d[2,2].u[2,1].Yu1]
          + 1/16*MatrixProduct[u[1,2].d[2,2].u[2,2].Yu2]
          - 1/2*MatrixProduct[u[1,2].d[2,2].d[1,1].Yu2]
          + 9/32*MatrixProduct[u[1,2].d[2,2].d[2,1].Yu1]
          - 7/32*MatrixProduct[u[1,2].d[2,2].d[2,2].Yu2]
          - 15/4*MatrixProduct[u[1,2].d[2,2].Yu1]*lam[1,1,2,1]
          + 3/32*MatrixProduct[u[1,2].d[2,2].Yu1]*Tr[u[2,1]]
          + 3/32*MatrixProduct[u[1,2].d[2,2].Yu1]*Tr[d[2,1]]
          + 1/32*MatrixProduct[u[1,2].d[2,2].Yu1]*Tr[l[2,1]]
          + 1/4*MatrixProduct[u[1,2].d[2,2].Yu2]*lam[1,2,2,1]
          + 1/2*MatrixProduct[u[1,2].d[2,2].Yu2]*lam[1,1,2,2]
          + 10*MatrixProduct[u[1,2].d[2,2].Yu2]*alpha3
          - 8*MatrixProduct[u[1,2].d[2,2].Yu2]*alpha3*z3
          - 159/64*MatrixProduct[u[1,2].d[2,2].Yu2]*alpha2
          + 9/2*MatrixProduct[u[1,2].d[2,2].Yu2]*alpha2*z3
          - 129/64*MatrixProduct[u[1,2].d[2,2].Yu2]*alpha2*Doub2
          + 679/320*MatrixProduct[u[1,2].d[2,2].Yu2]*alpha1
          - 1/10*MatrixProduct[u[1,2].d[2,2].Yu2]*alpha1*z3
          - 671/320*MatrixProduct[u[1,2].d[2,2].Yu2]*alpha1*Doub2
          - 21/80*MatrixProduct[u[1,2].d[2,2].Yu2]*alpha1*Doub1
          + 9/80*MatrixProduct[u[1,2].d[2,2].Yu2]*alpha1*Doub1*z2
          + 21/80*MatrixProduct[u[1,2].d[2,2].Yu2]*alpha1*Doub1*Doub2
          - 9/80*MatrixProduct[u[1,2].d[2,2].Yu2]*alpha1*Doub1*Doub2*z2
          + 33/16*MatrixProduct[u[1,2].d[2,2].Yu2]*Tr[u[2,2]]
          + 33/16*MatrixProduct[u[1,2].d[2,2].Yu2]*Tr[d[2,2]]
          + 11/16*MatrixProduct[u[1,2].d[2,2].Yu2]*Tr[l[2,2]]
          - 3/32*MatrixProduct[u[1,2].Yu1]*lam[2,1,2,2]*lam[1,2,2,1]
          - 99/32*MatrixProduct[u[1,2].Yu1]*lam[2,1,2,2]*lam[2,2,2,2]
          + 45/32*MatrixProduct[u[1,2].Yu1]*lam[2,1,2,1]*lam[1,2,2,2]
          + 45/32*MatrixProduct[u[1,2].Yu1]*lam[1,1,2,2]*lam[2,1,2,2]
          + 189/32*MatrixProduct[u[1,2].Yu1]*lam[1,1,2,1]*lam[1,2,2,1]
          + 141/32*MatrixProduct[u[1,2].Yu1]*lam[1,1,2,1]*lam[1,1,2,2]
          + 141/32*MatrixProduct[u[1,2].Yu1]*lam[1,1,1,2]*lam[2,1,2,1]
          + 285/32*MatrixProduct[u[1,2].Yu1]*lam[1,1,1,1]*lam[1,1,2,1]
          + 4*MatrixProduct[u[1,2].Yu1]*alpha3*lam[1,1,2,1]
          + 3/8*MatrixProduct[u[1,2].Yu1]*alpha2*lam[1,1,2,1]
          - 45/8*MatrixProduct[u[1,2].Yu1]*alpha2*lam[1,1,2,1]*Doub2
          - 9*MatrixProduct[u[1,2].Yu1]*alpha2*lam[1,1,2,1]*Doub2*z3
          - 15/4*MatrixProduct[u[1,2].Yu1]*alpha2*lam[1,1,2,1]*Doub1
          - 63/8*MatrixProduct[u[1,2].Yu1]*alpha2*lam[1,1,2,1]*Doub1*Doub2
          + 9*MatrixProduct[u[1,2].Yu1]*alpha2*lam[1,1,2,1]*Doub1*Doub2*z3
          + 7/8*MatrixProduct[u[1,2].Yu1]*alpha1*lam[1,1,2,1]
          - 9/8*MatrixProduct[u[1,2].Yu1]*alpha1*lam[1,1,2,1]*Doub2
          - 27/10*MatrixProduct[u[1,2].Yu1]*alpha1*lam[1,1,2,1]*Doub2*z3
          - 9/20*MatrixProduct[u[1,2].Yu1]*alpha1*lam[1,1,2,1]*Doub1
          - 99/40*MatrixProduct[u[1,2].Yu1]*alpha1*lam[1,1,2,1]*Doub1*Doub2
          + 27/10*MatrixProduct[u[1,2].Yu1]*alpha1*lam[1,1,2,1]*Doub1*Doub2*
         z3
          + 9*MatrixProduct[u[1,2].Yu1]*Tr[u[1,1]]*lam[1,1,2,1]
          - 81/16*MatrixProduct[u[1,2].Yu1]*Tr[u[1,1]]*Tr[u[2,1]]
          - 81/16*MatrixProduct[u[1,2].Yu1]*Tr[u[1,1]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[u[1,2].Yu1]*Tr[u[1,1]]*Tr[l[2,1]]
          + 27/2*MatrixProduct[u[1,2].Yu1]*Tr[u[1,1].u[2,1]]
          + 9/2*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*lam[1,1,2,2]
          + 27/2*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*lam[1,1,1,1]
          - 177/4*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha3
          + 36*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha3*z3
          + 2763/32*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha2
          - 54*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha2*z3
          - 3879/128*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha2*Doub2
          + 81/4*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha2*Doub2*z3
          - 4437/128*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1
          + 81/4*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1*z3
          - 63/2*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          + 669/32*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha1
          - 9/2*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha1*z3
          - 1311/128*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha1*Doub2
          + 27/10*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha1*Doub2*z3
          - 8037/640*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1
          + 27/10*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1*z3
          - 729/160*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          - 81/16*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*Tr[u[2,2]]
          - 81/16*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*Tr[d[1,1]]
          - 81/16*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*Tr[d[2,2]]
          - 27/16*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*Tr[l[1,1]]
          - 27/16*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1].u[2,2]]
          + 27/2*MatrixProduct[u[1,2].Yu1]*Tr[u[2,2]]*lam[1,1,2,1]
          - 81/16*MatrixProduct[u[1,2].Yu1]*Tr[u[2,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[u[1,2].Yu1]*Tr[u[2,2]]*Tr[l[2,1]]
          + 9*MatrixProduct[u[1,2].Yu1]*Tr[d[1,1]]*lam[1,1,2,1]
          - 81/16*MatrixProduct[u[1,2].Yu1]*Tr[d[1,1]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[u[1,2].Yu1]*Tr[d[1,1]]*Tr[l[2,1]]
          + 27/2*MatrixProduct[u[1,2].Yu1]*Tr[d[1,1].d[2,1]]
          + 9/2*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*lam[1,1,2,2]
          + 27/2*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*lam[1,1,1,1]
          - 177/4*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha3
          + 36*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha3*z3
          + 2763/32*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha2
          - 54*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha2*z3
          - 3879/128*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha2*Doub2
          + 81/4*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha2*Doub2*z3
          - 4437/128*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1
          + 81/4*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1*z3
          - 63/2*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          + 3921/160*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha1
          - 36/5*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha1*z3
          - 1311/128*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha1*Doub2
          + 27/10*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha1*Doub2*z3
          - 8037/640*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1
          + 27/10*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1*z3
          - 729/160*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          - 81/16*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*Tr[d[2,2]]
          - 27/16*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*Tr[l[1,1]]
          - 27/16*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1].d[2,2]]
          + 27/2*MatrixProduct[u[1,2].Yu1]*Tr[d[2,2]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[u[1,2].Yu1]*Tr[d[2,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[u[1,2].Yu1]*Tr[l[1,1]]*lam[1,1,2,1]
          - 9/16*MatrixProduct[u[1,2].Yu1]*Tr[l[1,1]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[u[1,2].Yu1]*Tr[l[1,1].l[2,1]]
          + 3/2*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*lam[1,1,1,1]
          + 5/4*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha3
          + 921/32*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha2
          - 18*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha2*z3
          - 1293/128*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha2*Doub2
          + 27/4*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha2*Doub2*z3
          - 1479/128*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1
          + 27/4*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1*z3
          - 21/2*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          + 667/160*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha1
          + 3/5*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha1*z3
          - 437/128*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha1*Doub2
          + 9/10*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha1*Doub2*z3
          - 2679/640*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1
          + 9/10*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1*z3
          - 243/160*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          - 9/16*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1].l[2,2]]
          + 9/2*MatrixProduct[u[1,2].Yu1]*Tr[l[2,2]]*lam[1,1,2,1]
          + 21/8*MatrixProduct[u[1,2].Yu2]*lam[1,2,2,1]^2
          + 3/2*MatrixProduct[u[1,2].Yu2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 33/16*MatrixProduct[u[1,2].Yu2]*lam[2,2,2,2]^2
          + 21/16*MatrixProduct[u[1,2].Yu2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 15/16*MatrixProduct[u[1,2].Yu2]*lam[1,2,1,2]*lam[2,1,2,1]
          + 21/8*MatrixProduct[u[1,2].Yu2]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3*MatrixProduct[u[1,2].Yu2]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/8*MatrixProduct[u[1,2].Yu2]*lam[1,1,2,2]^2
          + 9/2*MatrixProduct[u[1,2].Yu2]*lam[1,1,2,1]*lam[1,2,2,2]
          + 9/2*MatrixProduct[u[1,2].Yu2]*lam[1,1,1,2]*lam[2,1,2,2]
          + 87/16*MatrixProduct[u[1,2].Yu2]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[u[1,2].Yu2]*lam[1,1,1,1]*lam[1,2,2,1]
          + 3*MatrixProduct[u[1,2].Yu2]*lam[1,1,1,1]*lam[1,1,2,2]
          + 4/3*MatrixProduct[u[1,2].Yu2]*alpha3*lam[1,2,2,1]
          + 8/3*MatrixProduct[u[1,2].Yu2]*alpha3*lam[1,1,2,2]
          + 2779/18*MatrixProduct[u[1,2].Yu2]*alpha3^2
          - 68*MatrixProduct[u[1,2].Yu2]*alpha3^2*z3
          - 22/3*MatrixProduct[u[1,2].Yu2]*alpha3^2*Ng
          + 9/8*MatrixProduct[u[1,2].Yu2]*alpha2*lam[1,2,2,1]
          - 45/8*MatrixProduct[u[1,2].Yu2]*alpha2*lam[1,2,2,1]*Doub2
          - 9/2*MatrixProduct[u[1,2].Yu2]*alpha2*lam[1,2,2,1]*Doub2*z3
          + 15/8*MatrixProduct[u[1,2].Yu2]*alpha2*lam[1,2,2,1]*Doub1
          - 9/4*MatrixProduct[u[1,2].Yu2]*alpha2*lam[1,2,2,1]*Doub1*z3
          - 3*MatrixProduct[u[1,2].Yu2]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 27/4*MatrixProduct[u[1,2].Yu2]*alpha2*lam[1,2,2,1]*Doub1*Doub2*
         z3
          - 3/4*MatrixProduct[u[1,2].Yu2]*alpha2*lam[1,1,2,2]
          - 45/4*MatrixProduct[u[1,2].Yu2]*alpha2*lam[1,1,2,2]*Doub2
          + 3/4*MatrixProduct[u[1,2].Yu2]*alpha2*lam[1,1,2,2]*Doub1
          - 57/2*MatrixProduct[u[1,2].Yu2]*alpha2*alpha3
          + 36*MatrixProduct[u[1,2].Yu2]*alpha2*alpha3*z3
          + MatrixProduct[u[1,2].Yu2]*alpha2*alpha3*Doub2
          - 477/64*MatrixProduct[u[1,2].Yu2]*alpha2^2
          + 9*MatrixProduct[u[1,2].Yu2]*alpha2^2*z3
          + 3/16*MatrixProduct[u[1,2].Yu2]*alpha2^2*Ng
          + 10473/256*MatrixProduct[u[1,2].Yu2]*alpha2^2*Doub2
          - 45/8*MatrixProduct[u[1,2].Yu2]*alpha2^2*Doub2*z3
          - 21/4*MatrixProduct[u[1,2].Yu2]*alpha2^2*Doub2*Ng
          + 561/128*MatrixProduct[u[1,2].Yu2]*alpha2^2*Doub1
          - 9/4*MatrixProduct[u[1,2].Yu2]*alpha2^2*Doub1*z3
          - 267/64*MatrixProduct[u[1,2].Yu2]*alpha2^2*Doub1*Doub2
          - 27/8*MatrixProduct[u[1,2].Yu2]*alpha2^2*Doub1*Doub2*z3
          + 7/24*MatrixProduct[u[1,2].Yu2]*alpha1*lam[1,2,2,1]
          + 3/40*MatrixProduct[u[1,2].Yu2]*alpha1*lam[1,2,2,1]*Doub2
          - 9/10*MatrixProduct[u[1,2].Yu2]*alpha1*lam[1,2,2,1]*Doub2*z3
          - 33/40*MatrixProduct[u[1,2].Yu2]*alpha1*lam[1,2,2,1]*Doub1
          - 9/20*MatrixProduct[u[1,2].Yu2]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 3/5*MatrixProduct[u[1,2].Yu2]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/20*MatrixProduct[u[1,2].Yu2]*alpha1*lam[1,2,2,1]*Doub1*Doub2*
         z3
          + 7/12*MatrixProduct[u[1,2].Yu2]*alpha1*lam[1,1,2,2]
          + 3/20*MatrixProduct[u[1,2].Yu2]*alpha1*lam[1,1,2,2]*Doub2
          - 9/5*MatrixProduct[u[1,2].Yu2]*alpha1*lam[1,1,2,2]*Doub2*z3
          - 33/20*MatrixProduct[u[1,2].Yu2]*alpha1*lam[1,1,2,2]*Doub1
          - 9/10*MatrixProduct[u[1,2].Yu2]*alpha1*lam[1,1,2,2]*Doub1*z3
          - 6/5*MatrixProduct[u[1,2].Yu2]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          + 27/10*MatrixProduct[u[1,2].Yu2]*alpha1*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 1411/90*MatrixProduct[u[1,2].Yu2]*alpha1*alpha3
          - 4/5*MatrixProduct[u[1,2].Yu2]*alpha1*alpha3*z3
          + 322/15*MatrixProduct[u[1,2].Yu2]*alpha1*alpha3*Doub2
          - 24/5*MatrixProduct[u[1,2].Yu2]*alpha1*alpha3*Doub2*z3
          - 47/10*MatrixProduct[u[1,2].Yu2]*alpha1*alpha3*Doub1
          + 18/5*MatrixProduct[u[1,2].Yu2]*alpha1*alpha3*Doub1*z3
          + 9/10*MatrixProduct[u[1,2].Yu2]*alpha1*alpha3*Doub1*z2
          + 47/10*MatrixProduct[u[1,2].Yu2]*alpha1*alpha3*Doub1*Doub2
          - 18/5*MatrixProduct[u[1,2].Yu2]*alpha1*alpha3*Doub1*Doub2*z3
          - 9/10*MatrixProduct[u[1,2].Yu2]*alpha1*alpha3*Doub1*Doub2*z2
          - 303/160*MatrixProduct[u[1,2].Yu2]*alpha1*alpha2
          + 9/10*MatrixProduct[u[1,2].Yu2]*alpha1*alpha2*z3
          - 193/640*MatrixProduct[u[1,2].Yu2]*alpha1*alpha2*Doub2
          + 27/10*MatrixProduct[u[1,2].Yu2]*alpha1*alpha2*Doub2*z3
          + 909/128*MatrixProduct[u[1,2].Yu2]*alpha1*alpha2*Doub1
          + 27/40*MatrixProduct[u[1,2].Yu2]*alpha1*alpha2*Doub1*z3
          - 27/320*MatrixProduct[u[1,2].Yu2]*alpha1*alpha2*Doub1*z2
          - 4257/640*MatrixProduct[u[1,2].Yu2]*alpha1*alpha2*Doub1*
         Doub2
          - 27/40*MatrixProduct[u[1,2].Yu2]*alpha1*alpha2*Doub1*Doub2*
         z3
          + 27/320*MatrixProduct[u[1,2].Yu2]*alpha1*alpha2*Doub1*Doub2*
         z2
          - 11131/14400*MatrixProduct[u[1,2].Yu2]*alpha1^2
          + 4/25*MatrixProduct[u[1,2].Yu2]*alpha1^2*z3
          - 103/240*MatrixProduct[u[1,2].Yu2]*alpha1^2*Ng
          + 14371/19200*MatrixProduct[u[1,2].Yu2]*alpha1^2*Doub2
          - 111/200*MatrixProduct[u[1,2].Yu2]*alpha1^2*Doub2*z3
          - 9/20*MatrixProduct[u[1,2].Yu2]*alpha1^2*Doub2*Ng
          + 1279/800*MatrixProduct[u[1,2].Yu2]*alpha1^2*Doub1
          - 183/200*MatrixProduct[u[1,2].Yu2]*alpha1^2*Doub1*z3
          + 9/320*MatrixProduct[u[1,2].Yu2]*alpha1^2*Doub1*z2
          - 6331/3200*MatrixProduct[u[1,2].Yu2]*alpha1^2*Doub1*Doub2
          + 18/25*MatrixProduct[u[1,2].Yu2]*alpha1^2*Doub1*Doub2*z3
          - 9/320*MatrixProduct[u[1,2].Yu2]*alpha1^2*Doub1*Doub2*z2
          + 3/2*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1]]*lam[1,2,2,1]
          + 3*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1]]*lam[1,1,2,2]
          + 54/5*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1]]*alpha1
          - 27/40*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1]]*alpha1*z2
          - 9*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1]]*alpha1*Doub2
          + 27/40*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1]]*alpha1*Doub2*z2
          - 54/5*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1]]*alpha1*Doub1*z2
          + 9*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1]]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 3*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1].u[2,2]]
          - 3*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1].d[2,2]]*z3
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[u[1,2]]*lam[1,1,2,1]
          - 27/8*MatrixProduct[u[1,2].Yu2]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/8*MatrixProduct[u[1,2].Yu2]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[u[1,2].Yu2]*Tr[u[1,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[u[1,2].Yu2]*Tr[u[1,2].u[2,1]]
          + 3*MatrixProduct[u[1,2].Yu2]*Tr[u[1,2].d[2,1]]
          - 9*MatrixProduct[u[1,2].Yu2]*Tr[u[1,2].d[2,1]]*z3
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*lam[1,2,2,2]
          + 27/2*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*lam[1,1,1,2]
          - 27/8*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*Tr[l[1,2]]
          + 3*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1].d[1,2]]
          - 9*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1].d[1,2]]*z3
          + 6*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*lam[1,2,2,1]
          + 12*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*lam[1,1,2,2]
          - 59/2*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*alpha3
          + 24*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*alpha3*z3
          + 1107/16*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*alpha2
          - 54*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*alpha2*z3
          - 2385/32*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*alpha2*Doub2
          + 81/2*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*alpha2*Doub2*z3
          - 119/16*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*alpha1
          + 15/2*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*alpha1*z3
          + 867/160*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*alpha1*Doub2
          - 27/5*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*alpha1*Doub2*z3
          - 63/16*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*alpha1*Doub1
          + 63/16*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2
          - 27/8*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]^2
          - 27/4*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*Tr[d[2,2]]
          - 9/4*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*Tr[l[2,2]]
          + 9*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2].u[2,2]]
          - 3*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2].d[1,1]]*z3
          + 3/2*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1]]*lam[1,2,2,1]
          + 3*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1]]*lam[1,1,2,2]
          + 54/5*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1]]*alpha1
          - 27/40*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1]]*alpha1*z2
          - 9*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1]]*alpha1*Doub2
          + 27/40*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1]]*alpha1*Doub2*z2
          - 54/5*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1]]*alpha1*Doub1*z2
          + 9*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1]]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 3*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1].d[2,2]]
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[d[1,2]]*lam[1,1,2,1]
          - 27/8*MatrixProduct[u[1,2].Yu2]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[u[1,2].Yu2]*Tr[d[1,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[u[1,2].Yu2]*Tr[d[1,2].d[2,1]]
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*lam[1,2,2,2]
          + 27/2*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*lam[1,1,1,2]
          - 9/8*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*Tr[l[1,2]]
          + 6*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*lam[1,2,2,1]
          + 12*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*lam[1,1,2,2]
          - 59/2*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*alpha3
          + 24*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*alpha3*z3
          + 1107/16*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*alpha2
          - 54*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*alpha2*z3
          - 2385/32*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*alpha2*Doub2
          + 81/2*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*alpha2*Doub2*z3
          - 403/80*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*alpha1
          + 57/10*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*alpha1*z3
          + 867/160*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*alpha1*Doub2
          - 27/5*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*alpha1*Doub2*z3
          - 63/16*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*alpha1*Doub1
          + 63/16*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/8*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]^2
          - 9/4*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*Tr[l[2,2]]
          + 9*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2].d[2,2]]
          + 1/2*MatrixProduct[u[1,2].Yu2]*Tr[l[1,1]]*lam[1,2,2,1]
          + MatrixProduct[u[1,2].Yu2]*Tr[l[1,1]]*lam[1,1,2,2]
          + 18/5*MatrixProduct[u[1,2].Yu2]*Tr[l[1,1]]*alpha1
          - 9/40*MatrixProduct[u[1,2].Yu2]*Tr[l[1,1]]*alpha1*z2
          - 3*MatrixProduct[u[1,2].Yu2]*Tr[l[1,1]]*alpha1*Doub2
          + 9/40*MatrixProduct[u[1,2].Yu2]*Tr[l[1,1]]*alpha1*Doub2*z2
          - 18/5*MatrixProduct[u[1,2].Yu2]*Tr[l[1,1]]*alpha1*Doub1
          + 9/40*MatrixProduct[u[1,2].Yu2]*Tr[l[1,1]]*alpha1*Doub1*z2
          + 3*MatrixProduct[u[1,2].Yu2]*Tr[l[1,1]]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[u[1,2].Yu2]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2*z2
          + MatrixProduct[u[1,2].Yu2]*Tr[l[1,1].l[2,2]]
          + 3/2*MatrixProduct[u[1,2].Yu2]*Tr[l[1,2]]*lam[1,1,2,1]
          - 3/8*MatrixProduct[u[1,2].Yu2]*Tr[l[1,2]]*Tr[l[2,1]]
          + 2*MatrixProduct[u[1,2].Yu2]*Tr[l[1,2].l[2,1]]
          + 3/2*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*lam[1,2,2,2]
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*lam[1,1,1,2]
          + 2*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]*lam[1,2,2,1]
          + 4*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]*lam[1,1,2,2]
          + 5/6*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]*alpha3
          + 369/16*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]*alpha2
          - 18*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]*alpha2*z3
          - 795/32*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]*alpha2*Doub2*z3
          - 1043/240*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]*alpha1
          + 39/10*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]*alpha1*z3
          + 289/160*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]*alpha1*Doub2
          - 9/5*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]*alpha1*Doub2*z3
          - 21/16*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]*alpha1*Doub1
          + 21/16*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2
          - 3/8*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]^2
          + 3*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2].l[2,2]]
          - 5*MatrixProduct[u[2,1].u[1,1].u[1,2].Yu1]
          + 65/32*MatrixProduct[u[2,1].u[1,1].d[1,2].Yu1]
          + 39/4*MatrixProduct[u[2,1].u[1,1].Yu1]*lam[1,1,1,2]
          - 9/4*MatrixProduct[u[2,1].u[1,1].Yu1]*Tr[u[1,2]]
          - 9/4*MatrixProduct[u[2,1].u[1,1].Yu1]*Tr[d[1,2]]
          - 3/4*MatrixProduct[u[2,1].u[1,1].Yu1]*Tr[l[1,2]]
          + 21/4*MatrixProduct[u[2,1].u[1,1].Yu2]*lam[1,2,1,2]
          - 19/4*MatrixProduct[u[2,1].u[1,2].u[1,1].Yu1]
          + 3/4*MatrixProduct[u[2,1].u[1,2].u[1,1].Yu1]*z3
          - 5/2*MatrixProduct[u[2,1].u[1,2].u[1,2].Yu2]
          - 33/16*MatrixProduct[u[2,1].u[1,2].u[2,2].Yu1]
          + 1/4*MatrixProduct[u[2,1].u[1,2].d[1,1].Yu1]
          + 3*MatrixProduct[u[2,1].u[1,2].d[1,2].Yu2]*z3
          + 37/32*MatrixProduct[u[2,1].u[1,2].d[2,2].Yu1]
          - 3*MatrixProduct[u[2,1].u[1,2].d[2,2].Yu1]*z3
          + 11/2*MatrixProduct[u[2,1].u[1,2].Yu1]*lam[1,2,2,1]
          + 7/2*MatrixProduct[u[2,1].u[1,2].Yu1]*lam[1,1,2,2]
          + 3*MatrixProduct[u[2,1].u[1,2].Yu1]*lam[1,1,1,1]
          - 46/3*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha3
          - 165/32*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha2
          + 27/2*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha2*z3
          + 9/32*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha2*z2
          - 81/32*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha2*Doub2
          - 9/2*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha2*Doub2*z3
          - 9/32*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha2*Doub2*z2
          + 159/64*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha2*Doub1
          - 9*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha2*Doub1*z3
          - 9/32*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha2*Doub1*z2
          + 111/64*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha2*Doub1*Doub2
          + 9/4*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha2*Doub1*Doub2*z3
          + 9/32*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha2*Doub1*Doub2*z2
          + 3377/960*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha1
          + 27/10*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha1*z3
          - 17/32*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha1*Doub2
          - 9/10*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha1*Doub2*z3
          - 9/32*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha1*Doub2*z2
          - 1107/160*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha1*Doub1
          - 6/5*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha1*Doub1*z3
          + 9/40*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha1*Doub1*z2
          + 171/64*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[u[2,1].u[1,2].Yu1]*alpha1*Doub1*Doub2*
         z2
          + 3/16*MatrixProduct[u[2,1].u[1,2].Yu1]*Tr[u[1,1]]
          - 9/4*MatrixProduct[u[2,1].u[1,2].Yu1]*Tr[u[2,2]]
          + 3/16*MatrixProduct[u[2,1].u[1,2].Yu1]*Tr[d[1,1]]
          - 9/4*MatrixProduct[u[2,1].u[1,2].Yu1]*Tr[d[2,2]]
          + 1/16*MatrixProduct[u[2,1].u[1,2].Yu1]*Tr[l[1,1]]
          - 3/4*MatrixProduct[u[2,1].u[1,2].Yu1]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[2,1].u[1,2].Yu2]*lam[1,2,2,2]
          + 3*MatrixProduct[u[2,1].u[1,2].Yu2]*lam[1,1,1,2]
          - 3/2*MatrixProduct[u[2,1].u[1,2].Yu2]*Tr[u[1,2]]
          - 3/2*MatrixProduct[u[2,1].u[1,2].Yu2]*Tr[d[1,2]]
          - 1/2*MatrixProduct[u[2,1].u[1,2].Yu2]*Tr[l[1,2]]
          + 9/2*MatrixProduct[u[2,1].u[2,1].Yu1]*lam[1,2,1,2]
          - 83/16*MatrixProduct[u[2,1].u[2,2].u[1,2].Yu1]
          + 3/4*MatrixProduct[u[2,1].u[2,2].u[1,2].Yu1]*z3
          + 9/8*MatrixProduct[u[2,1].u[2,2].d[1,2].Yu1]
          + 9/2*MatrixProduct[u[2,1].u[2,2].Yu1]*lam[1,2,2,2]
          + 15/4*MatrixProduct[u[2,1].u[2,2].Yu1]*lam[1,1,1,2]
          + 27/16*MatrixProduct[u[2,1].u[2,2].Yu1]*Tr[u[1,2]]
          + 27/16*MatrixProduct[u[2,1].u[2,2].Yu1]*Tr[d[1,2]]
          + 9/16*MatrixProduct[u[2,1].u[2,2].Yu1]*Tr[l[1,2]]
          + 15/4*MatrixProduct[u[2,1].u[2,2].Yu2]*lam[1,2,1,2]
          + 13/8*MatrixProduct[u[2,1].d[1,1].u[1,2].Yu1]
          - 35/8*MatrixProduct[u[2,1].d[1,1].d[1,2].Yu1]
          + 6*MatrixProduct[u[2,1].d[1,1].d[1,2].Yu1]*z3
          + 3/4*MatrixProduct[u[2,1].d[1,1].Yu1]*lam[1,1,1,2]
          + 153/32*MatrixProduct[u[2,1].d[1,1].Yu1]*Tr[u[1,2]]
          + 153/32*MatrixProduct[u[2,1].d[1,1].Yu1]*Tr[d[1,2]]
          + 51/32*MatrixProduct[u[2,1].d[1,1].Yu1]*Tr[l[1,2]]
          - 15/4*MatrixProduct[u[2,1].d[1,1].Yu2]*lam[1,2,1,2]
          + MatrixProduct[u[2,1].d[1,2].u[1,1].Yu1]
          + 1/2*MatrixProduct[u[2,1].d[1,2].u[1,2].Yu2]
          + 17/16*MatrixProduct[u[2,1].d[1,2].u[2,2].Yu1]
          - 43/32*MatrixProduct[u[2,1].d[1,2].d[1,1].Yu1]
          - 3/2*MatrixProduct[u[2,1].d[1,2].d[1,2].Yu2]
          - 11/4*MatrixProduct[u[2,1].d[1,2].d[2,2].Yu1]
          + 6*MatrixProduct[u[2,1].d[1,2].d[2,2].Yu1]*z3
          - 2*MatrixProduct[u[2,1].d[1,2].Yu1]*lam[1,2,2,1]
          + 1/2*MatrixProduct[u[2,1].d[1,2].Yu1]*lam[1,1,2,2]
          - 2*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha3
          + 12*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha3*z3
          + 339/64*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha2
          - 9*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha2*z3
          - 9/16*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha2*z2
          - 123/32*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha2*Doub2
          + 27/4*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha2*Doub2*z2
          + 327/64*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha2*Doub1
          - 9/2*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha2*Doub1*z3
          + 9/16*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha2*Doub1*z2
          - 93/64*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha2*Doub1*Doub2
          + 9/8*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha2*Doub1*Doub2*z2
          - 43/320*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha1
          - 511/160*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha1*Doub2
          + 21/20*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha1*Doub2*z3
          + 9/32*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha1*Doub2*z2
          + 539/320*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha1*Doub1
          + 3/10*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha1*Doub1*z3
          - 9/40*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha1*Doub1*z2
          + 39/64*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha1*Doub1*Doub2*z3
          - 9/160*MatrixProduct[u[2,1].d[1,2].Yu1]*alpha1*Doub1*Doub2*
         z2
          - 135/32*MatrixProduct[u[2,1].d[1,2].Yu1]*Tr[u[1,1]]
          + 153/32*MatrixProduct[u[2,1].d[1,2].Yu1]*Tr[u[2,2]]
          - 135/32*MatrixProduct[u[2,1].d[1,2].Yu1]*Tr[d[1,1]]
          + 153/32*MatrixProduct[u[2,1].d[1,2].Yu1]*Tr[d[2,2]]
          - 45/32*MatrixProduct[u[2,1].d[1,2].Yu1]*Tr[l[1,1]]
          + 51/32*MatrixProduct[u[2,1].d[1,2].Yu1]*Tr[l[2,2]]
          - 9/2*MatrixProduct[u[2,1].d[1,2].Yu2]*lam[1,2,2,2]
          + 3/2*MatrixProduct[u[2,1].d[1,2].Yu2]*lam[1,1,1,2]
          - 9/2*MatrixProduct[u[2,1].d[1,2].Yu2]*Tr[u[1,2]]
          - 9/2*MatrixProduct[u[2,1].d[1,2].Yu2]*Tr[d[1,2]]
          - 3/2*MatrixProduct[u[2,1].d[1,2].Yu2]*Tr[l[1,2]]
          + 9/2*MatrixProduct[u[2,1].d[2,1].Yu1]*lam[1,2,1,2]
          + 17/16*MatrixProduct[u[2,1].d[2,2].u[1,2].Yu1]
          - 47/32*MatrixProduct[u[2,1].d[2,2].d[1,2].Yu1]
          + 3*MatrixProduct[u[2,1].d[2,2].Yu1]*lam[1,2,2,2]
          + 3/4*MatrixProduct[u[2,1].d[2,2].Yu1]*lam[1,1,1,2]
          + 9/32*MatrixProduct[u[2,1].d[2,2].Yu1]*Tr[u[1,2]]
          + 9/32*MatrixProduct[u[2,1].d[2,2].Yu1]*Tr[d[1,2]]
          + 3/32*MatrixProduct[u[2,1].d[2,2].Yu1]*Tr[l[1,2]]
          + 9/4*MatrixProduct[u[2,1].d[2,2].Yu2]*lam[1,2,1,2]
          + 63/32*MatrixProduct[u[2,1].Yu1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 33/32*MatrixProduct[u[2,1].Yu1]*lam[1,2,2,2]*lam[2,2,2,2]
          + 111/32*MatrixProduct[u[2,1].Yu1]*lam[1,2,1,2]*lam[2,1,2,2]
          + 111/32*MatrixProduct[u[2,1].Yu1]*lam[1,1,2,2]*lam[1,2,2,2]
          + 207/32*MatrixProduct[u[2,1].Yu1]*lam[1,1,2,1]*lam[1,2,1,2]
          + 255/32*MatrixProduct[u[2,1].Yu1]*lam[1,1,1,2]*lam[1,2,2,1]
          + 207/32*MatrixProduct[u[2,1].Yu1]*lam[1,1,1,2]*lam[1,1,2,2]
          + 351/32*MatrixProduct[u[2,1].Yu1]*lam[1,1,1,1]*lam[1,1,1,2]
          + 4*MatrixProduct[u[2,1].Yu1]*alpha3*lam[1,1,1,2]
          + 3/8*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,1,1,2]
          + 27/8*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,1,1,2]*Doub2
          - 9/4*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,1,1,2]*Doub2*z3
          - 81/4*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,1,1,2]*Doub1
          - 9/2*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,1,1,2]*Doub1*z3
          - 3/8*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,1,1,2]*Doub1*Doub2
          + 27/4*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,1,1,2]*Doub1*Doub2*
         z3
          + 7/8*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,1,1,2]
          - 81/40*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,1,1,2]*Doub2
          - 27/20*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,1,1,2]*Doub2*z3
          - 9/20*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,1,1,2]*Doub1
          - 27/10*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,1,1,2]*Doub1*z3
          - 63/40*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,1,1,2]*Doub1*Doub2
          + 81/20*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,1,1,2]*Doub1*Doub2*
         z3
          + 18*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*lam[1,1,1,2]
          - 27/16*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*Tr[u[1,2]]
          - 27/16*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1].u[1,2]]
          + 9*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*lam[1,1,1,1]
          - 59/4*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha3
          + 12*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha3*z3
          + 549/32*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha2
          - 639/128*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha2*Doub2
          - 1341/128*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha2*Doub1
          - 207/32*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          + 6263/160*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha1
          - 12*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha1*z3
          - 27/40*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha1*z2
          - 11619/640*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha1*Doub2
          + 27/5*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha1*Doub2*z2
          - 16953/640*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha1*Doub1
          + 27/5*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha1*Doub1*z3
          + 27/40*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 27/16*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*Tr[u[2,2]]
          - 27/16*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*Tr[d[1,1]]
          - 27/16*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2].u[2,2]]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[u[2,1]]*lam[1,2,1,2]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2]]*lam[1,1,1,2]
          - 27/16*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2]]*Tr[l[1,2]]
          + 18*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*lam[1,1,1,2]
          - 27/16*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1].d[1,2]]
          + 9*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*lam[1,1,1,1]
          - 59/4*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha3
          + 12*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha3*z3
          + 549/32*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha2
          - 639/128*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha2*Doub2
          - 1341/128*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha2*Doub1
          - 207/32*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          + 1291/32*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha1
          - 129/10*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha1*z3
          - 27/40*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha1*z2
          - 11619/640*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha1*Doub2
          + 27/5*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha1*Doub2*z2
          - 16953/640*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha1*Doub1
          + 27/5*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha1*Doub1*z3
          + 27/40*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 27/16*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2].d[2,2]]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[d[2,1]]*lam[1,2,1,2]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[d[2,2]]*lam[1,1,1,2]
          - 9/16*MatrixProduct[u[2,1].Yu1]*Tr[d[2,2]]*Tr[l[1,2]]
          + 6*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*lam[1,1,1,2]
          - 3/16*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*Tr[l[1,2]]
          + 3/2*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1].l[1,2]]
          + 3*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*lam[1,1,2,2]
          + 3/2*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*lam[1,1,1,1]
          + 5/12*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha3
          + 183/32*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha2
          - 213/128*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha2*Doub2
          - 447/128*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha2*Doub1
          - 69/32*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          + 1163/96*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha1
          - 33/10*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha1*z3
          - 9/40*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha1*z2
          - 3873/640*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha1*Doub2
          + 9/5*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha1*Doub2*z2
          - 5651/640*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha1*Doub1
          + 9/5*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha1*Doub1*z3
          + 9/40*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha1*Doub1*z2
          + 57/160*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          - 9/80*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 3/16*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*Tr[l[2,2]]
          + 3/2*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2].l[2,2]]
          + 3/2*MatrixProduct[u[2,1].Yu1]*Tr[l[2,1]]*lam[1,2,1,2]
          + 3/2*MatrixProduct[u[2,1].Yu1]*Tr[l[2,2]]*lam[1,1,1,2]
          + 15/2*MatrixProduct[u[2,1].Yu2]*lam[1,2,2,2]^2
          + 9*MatrixProduct[u[2,1].Yu2]*lam[1,2,1,2]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[2,1].Yu2]*lam[1,2,1,2]*lam[2,2,2,2]
          + 6*MatrixProduct[u[2,1].Yu2]*lam[1,1,2,2]*lam[1,2,1,2]
          + 9*MatrixProduct[u[2,1].Yu2]*lam[1,1,1,2]*lam[1,2,2,2]
          + 15/2*MatrixProduct[u[2,1].Yu2]*lam[1,1,1,2]^2
          + 9/2*MatrixProduct[u[2,1].Yu2]*lam[1,1,1,1]*lam[1,2,1,2]
          + 4*MatrixProduct[u[2,1].Yu2]*alpha3*lam[1,2,1,2]
          + 3/8*MatrixProduct[u[2,1].Yu2]*alpha2*lam[1,2,1,2]
          - 33/8*MatrixProduct[u[2,1].Yu2]*alpha2*lam[1,2,1,2]*Doub2
          - 81/8*MatrixProduct[u[2,1].Yu2]*alpha2*lam[1,2,1,2]*Doub1
          - 9*MatrixProduct[u[2,1].Yu2]*alpha2*lam[1,2,1,2]*Doub1*z3
          - 3*MatrixProduct[u[2,1].Yu2]*alpha2*lam[1,2,1,2]*Doub1*Doub2
          + 9*MatrixProduct[u[2,1].Yu2]*alpha2*lam[1,2,1,2]*Doub1*Doub2*z3
          + 7/8*MatrixProduct[u[2,1].Yu2]*alpha1*lam[1,2,1,2]
          - 27/40*MatrixProduct[u[2,1].Yu2]*alpha1*lam[1,2,1,2]*Doub2
          - 99/40*MatrixProduct[u[2,1].Yu2]*alpha1*lam[1,2,1,2]*Doub1
          - 27/10*MatrixProduct[u[2,1].Yu2]*alpha1*lam[1,2,1,2]*Doub1*z3
          - 9/10*MatrixProduct[u[2,1].Yu2]*alpha1*lam[1,2,1,2]*Doub1*Doub2
          + 27/10*MatrixProduct[u[2,1].Yu2]*alpha1*lam[1,2,1,2]*Doub1*Doub2*
         z3
          + 27/2*MatrixProduct[u[2,1].Yu2]*Tr[u[1,1]]*lam[1,2,1,2]
          + 27/2*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*lam[1,2,2,2]
          + 9*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*lam[1,1,1,2]
          + 9*MatrixProduct[u[2,1].Yu2]*Tr[u[2,2]]*lam[1,2,1,2]
          + 27/2*MatrixProduct[u[2,1].Yu2]*Tr[d[1,1]]*lam[1,2,1,2]
          + 27/2*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*lam[1,2,2,2]
          + 9*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*lam[1,1,1,2]
          + 9*MatrixProduct[u[2,1].Yu2]*Tr[d[2,2]]*lam[1,2,1,2]
          + 9/2*MatrixProduct[u[2,1].Yu2]*Tr[l[1,1]]*lam[1,2,1,2]
          + 9/2*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*lam[1,2,2,2]
          + 3*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*lam[1,1,1,2]
          + 3*MatrixProduct[u[2,1].Yu2]*Tr[l[2,2]]*lam[1,2,1,2]
          - 9/4*MatrixProduct[u[2,2].u[1,1].u[1,2].Yu2]
          - 31/16*MatrixProduct[u[2,2].u[1,1].u[2,2].Yu1]
          + 7/4*MatrixProduct[u[2,2].u[1,1].d[1,2].Yu2]
          - 3*MatrixProduct[u[2,2].u[1,1].d[1,2].Yu2]*z3
          - 9/8*MatrixProduct[u[2,2].u[1,1].d[2,2].Yu1]
          + 3*MatrixProduct[u[2,2].u[1,1].d[2,2].Yu1]*z3
          + 5/2*MatrixProduct[u[2,2].u[1,1].Yu1]*lam[1,2,2,1]
          + 11/4*MatrixProduct[u[2,2].u[1,1].Yu1]*lam[1,1,2,2]
          - 10*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha3
          + 81/32*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha2
          - 9/64*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha2*z2
          - 45/16*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha2*Doub2
          + 9/64*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha2*Doub2*z2
          - 129/32*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha2*Doub1
          + 9/64*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha2*Doub1*z2
          + 69/16*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha2*Doub1*Doub2
          - 9/64*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha2*Doub1*Doub2*z2
          + 1497/160*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha1
          - 153/320*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha1*z2
          - 1271/80*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha1*Doub2
          + 27/20*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha1*Doub2*z3
          + 153/320*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha1*Doub2*z2
          - 973/160*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha1*Doub1
          + 27/20*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha1*Doub1*z3
          + 153/320*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha1*Doub1*z2
          + 957/80*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha1*Doub1*Doub2
          - 27/10*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha1*Doub1*Doub2*
         z3
          - 153/320*MatrixProduct[u[2,2].u[1,1].Yu1]*alpha1*Doub1*Doub2
         *z2
          + 15/4*MatrixProduct[u[2,2].u[1,1].Yu2]*lam[1,2,2,2]
          + 3*MatrixProduct[u[2,2].u[1,1].Yu2]*lam[1,1,1,2]
          - 3/2*MatrixProduct[u[2,2].u[1,1].Yu2]*Tr[u[1,2]]
          - 3/2*MatrixProduct[u[2,2].u[1,1].Yu2]*Tr[d[1,2]]
          - 1/2*MatrixProduct[u[2,2].u[1,1].Yu2]*Tr[l[1,2]]
          - 17/4*MatrixProduct[u[2,2].u[1,2].u[1,1].Yu2]
          - 1/2*MatrixProduct[u[2,2].u[1,2].u[2,1].Yu1]
          + 3/4*MatrixProduct[u[2,2].u[1,2].u[2,1].Yu1]*z3
          - 15/4*MatrixProduct[u[2,2].u[1,2].u[2,2].Yu2]
          + 3/4*MatrixProduct[u[2,2].u[1,2].d[1,1].Yu2]
          - 1/2*MatrixProduct[u[2,2].u[1,2].d[2,1].Yu1]
          - 1/4*MatrixProduct[u[2,2].u[1,2].d[2,2].Yu2]
          + 9/2*MatrixProduct[u[2,2].u[1,2].Yu1]*lam[2,1,2,2]
          + 3*MatrixProduct[u[2,2].u[1,2].Yu1]*lam[1,1,2,1]
          + 3/16*MatrixProduct[u[2,2].u[1,2].Yu1]*Tr[u[2,1]]
          + 3/16*MatrixProduct[u[2,2].u[1,2].Yu1]*Tr[d[2,1]]
          + 1/16*MatrixProduct[u[2,2].u[1,2].Yu1]*Tr[l[2,1]]
          + 4*MatrixProduct[u[2,2].u[1,2].Yu2]*lam[1,2,2,1]
          + 3*MatrixProduct[u[2,2].u[1,2].Yu2]*lam[2,2,2,2]
          + 2*MatrixProduct[u[2,2].u[1,2].Yu2]*lam[1,1,2,2]
          - 56/3*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha3
          - 9/2*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha2
          + 27/2*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha2*z3
          + 15/4*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha2*Doub2
          - 27/2*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha2*Doub2*z3
          + 3*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha2*Doub1
          - 9/2*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha2*Doub1*z3
          - 3*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha2*Doub1*Doub2
          + 9/2*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha2*Doub1*Doub2*z3
          + 179/30*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha1
          + 27/10*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha1*z3
          - 9/20*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha1*z2
          - 141/20*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha1*Doub2
          - 27/10*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha1*Doub2*z3
          + 9/20*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha1*Doub2*z2
          + 3/5*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha1*Doub1
          - 9/10*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha1*Doub1*z3
          - 3/5*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha1*Doub1*Doub2
          + 9/10*MatrixProduct[u[2,2].u[1,2].Yu2]*alpha1*Doub1*Doub2*z3
          - 3*MatrixProduct[u[2,2].u[1,2].Yu2]*Tr[u[2,2]]
          - 3*MatrixProduct[u[2,2].u[1,2].Yu2]*Tr[d[2,2]]
          - MatrixProduct[u[2,2].u[1,2].Yu2]*Tr[l[2,2]]
          - 13/16*MatrixProduct[u[2,2].u[2,1].u[1,2].Yu1]
          + 45/32*MatrixProduct[u[2,2].u[2,1].d[1,2].Yu1]
          + 3/2*MatrixProduct[u[2,2].u[2,1].Yu1]*lam[1,2,2,2]
          + 3/2*MatrixProduct[u[2,2].u[2,1].Yu1]*lam[1,1,1,2]
          - 3/4*MatrixProduct[u[2,2].u[2,1].Yu1]*Tr[u[1,2]]
          - 3/4*MatrixProduct[u[2,2].u[2,1].Yu1]*Tr[d[1,2]]
          - 1/4*MatrixProduct[u[2,2].u[2,1].Yu1]*Tr[l[1,2]]
          + 9/2*MatrixProduct[u[2,2].u[2,1].Yu2]*lam[1,2,1,2]
          - 21/4*MatrixProduct[u[2,2].u[2,2].u[1,2].Yu2]
          - 3/4*MatrixProduct[u[2,2].u[2,2].u[2,2].Yu1]
          + 3/4*MatrixProduct[u[2,2].u[2,2].u[2,2].Yu1]*z3
          + 11/4*MatrixProduct[u[2,2].u[2,2].d[1,2].Yu2]
          - 7/32*MatrixProduct[u[2,2].u[2,2].d[2,2].Yu1]
          + 5/2*MatrixProduct[u[2,2].u[2,2].Yu1]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,2].u[2,2].Yu1]*lam[2,2,2,2]
          + 11/4*MatrixProduct[u[2,2].u[2,2].Yu1]*lam[1,1,2,2]
          - 20/3*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha3
          + 15/8*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha2
          + 9/64*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha2*z2
          - 147/32*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha2*Doub2
          + 9/4*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha2*Doub2*z3
          - 9/64*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha2*Doub2*z2
          - 45/64*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha2*Doub1
          - 9/32*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha2*Doub1*z2
          + 45/64*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha2*Doub1*Doub2
          + 9/32*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha2*Doub1*Doub2*z2
          + 6631/960*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha1
          - 9/320*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha1*z2
          - 495/64*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha1*Doub2
          - 3/4*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha1*Doub2*z2
          - 21/16*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha1*Doub1
          + 21/16*MatrixProduct[u[2,2].u[2,2].Yu1]*alpha1*Doub1*Doub2
          + 15/16*MatrixProduct[u[2,2].u[2,2].Yu1]*Tr[u[2,2]]
          + 15/16*MatrixProduct[u[2,2].u[2,2].Yu1]*Tr[d[2,2]]
          + 5/16*MatrixProduct[u[2,2].u[2,2].Yu1]*Tr[l[2,2]]
          + 33/4*MatrixProduct[u[2,2].u[2,2].Yu2]*lam[1,2,2,2]
          + 3/4*MatrixProduct[u[2,2].d[1,1].u[1,2].Yu2]
          - 15/16*MatrixProduct[u[2,2].d[1,1].u[2,2].Yu1]
          + 3*MatrixProduct[u[2,2].d[1,1].u[2,2].Yu1]*z3
          - 7/4*MatrixProduct[u[2,2].d[1,1].d[1,2].Yu2]
          + 6*MatrixProduct[u[2,2].d[1,1].d[1,2].Yu2]*z3
          - 17/8*MatrixProduct[u[2,2].d[1,1].d[2,2].Yu1]
          + 5/2*MatrixProduct[u[2,2].d[1,1].Yu1]*lam[1,2,2,1]
          - 1/4*MatrixProduct[u[2,2].d[1,1].Yu1]*lam[1,1,2,2]
          + 6*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha3
          - 159/32*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha2
          + 27/4*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha2*z3
          - 9/64*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha2*z2
          + 75/16*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha2*Doub2
          - 27/4*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha2*Doub2*z2
          - 261/32*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha2*Doub1
          + 27/8*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha2*Doub1*z2
          + 135/16*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha2*Doub1*Doub2
          - 27/8*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha2*Doub1*Doub2*z2
          - 577/160*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha1
          + 9/20*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha1*z3
          + 9/320*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha1*z2
          + 189/40*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha1*Doub2
          - 9/20*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha1*Doub2*z2
          + 39/160*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha1*Doub1
          - 27/40*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha1*Doub1*z2
          - 39/40*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha1*Doub1*Doub2
          + 27/40*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha1*Doub1*Doub2*
         z3
          + 9/320*MatrixProduct[u[2,2].d[1,1].Yu1]*alpha1*Doub1*Doub2*
         z2
          + 3/4*MatrixProduct[u[2,2].d[1,1].Yu2]*lam[1,2,2,2]
          + 3*MatrixProduct[u[2,2].d[1,1].Yu2]*lam[1,1,1,2]
          + 9/2*MatrixProduct[u[2,2].d[1,1].Yu2]*Tr[u[1,2]]
          + 9/2*MatrixProduct[u[2,2].d[1,1].Yu2]*Tr[d[1,2]]
          + 3/2*MatrixProduct[u[2,2].d[1,1].Yu2]*Tr[l[1,2]]
          + 3/4*MatrixProduct[u[2,2].d[1,2].u[1,1].Yu2]
          + 1/4*MatrixProduct[u[2,2].d[1,2].u[2,1].Yu1]
          - 1/4*MatrixProduct[u[2,2].d[1,2].u[2,2].Yu2]
          + 3*MatrixProduct[u[2,2].d[1,2].u[2,2].Yu2]*z3
          - 9/4*MatrixProduct[u[2,2].d[1,2].d[1,1].Yu2]
          + 29/32*MatrixProduct[u[2,2].d[1,2].d[2,1].Yu1]
          - 15/4*MatrixProduct[u[2,2].d[1,2].d[2,2].Yu2]
          + 6*MatrixProduct[u[2,2].d[1,2].d[2,2].Yu2]*z3
          - 135/32*MatrixProduct[u[2,2].d[1,2].Yu1]*Tr[u[2,1]]
          - 135/32*MatrixProduct[u[2,2].d[1,2].Yu1]*Tr[d[2,1]]
          - 45/32*MatrixProduct[u[2,2].d[1,2].Yu1]*Tr[l[2,1]]
          + 7/2*MatrixProduct[u[2,2].d[1,2].Yu2]*lam[1,2,2,1]
          + MatrixProduct[u[2,2].d[1,2].Yu2]*lam[1,1,2,2]
          - 4/3*MatrixProduct[u[2,2].d[1,2].Yu2]*alpha3
          + 16*MatrixProduct[u[2,2].d[1,2].Yu2]*alpha3*z3
          - 27/4*MatrixProduct[u[2,2].d[1,2].Yu2]*alpha2
          - 9/4*MatrixProduct[u[2,2].d[1,2].Yu2]*alpha2*z3
          + 21/2*MatrixProduct[u[2,2].d[1,2].Yu2]*alpha2*Doub2
          - 9/4*MatrixProduct[u[2,2].d[1,2].Yu2]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[u[2,2].d[1,2].Yu2]*alpha2*Doub1
          - 27/16*MatrixProduct[u[2,2].d[1,2].Yu2]*alpha2*Doub1*Doub2
          - 118/15*MatrixProduct[u[2,2].d[1,2].Yu2]*alpha1
          + 1/20*MatrixProduct[u[2,2].d[1,2].Yu2]*alpha1*z3
          + 31/4*MatrixProduct[u[2,2].d[1,2].Yu2]*alpha1*Doub2
          + 9/20*MatrixProduct[u[2,2].d[1,2].Yu2]*alpha1*Doub2*z3
          + 3/80*MatrixProduct[u[2,2].d[1,2].Yu2]*alpha1*Doub1
          - 3/80*MatrixProduct[u[2,2].d[1,2].Yu2]*alpha1*Doub1*Doub2
          + 29/16*MatrixProduct[u[2,2].d[2,1].u[1,2].Yu1]
          - 3*MatrixProduct[u[2,2].d[2,1].u[1,2].Yu1]*z3
          - 1/2*MatrixProduct[u[2,2].d[2,1].d[1,2].Yu1]
          + 3/2*MatrixProduct[u[2,2].d[2,1].Yu1]*lam[1,2,2,2]
          - 9/2*MatrixProduct[u[2,2].d[2,1].Yu1]*lam[1,1,1,2]
          + 9/32*MatrixProduct[u[2,2].d[2,1].Yu1]*Tr[u[1,2]]
          + 9/32*MatrixProduct[u[2,2].d[2,1].Yu1]*Tr[d[1,2]]
          + 3/32*MatrixProduct[u[2,2].d[2,1].Yu1]*Tr[l[1,2]]
          - 3/2*MatrixProduct[u[2,2].d[2,1].Yu2]*lam[1,2,1,2]
          + 9/4*MatrixProduct[u[2,2].d[2,2].u[1,2].Yu2]
          - 3*MatrixProduct[u[2,2].d[2,2].u[1,2].Yu2]*z3
          + 5/8*MatrixProduct[u[2,2].d[2,2].u[2,2].Yu1]
          - 7/4*MatrixProduct[u[2,2].d[2,2].d[1,2].Yu2]
          - 7/32*MatrixProduct[u[2,2].d[2,2].d[2,2].Yu1]
          - 3*MatrixProduct[u[2,2].d[2,2].Yu1]*lam[1,2,2,1]
          - 3/4*MatrixProduct[u[2,2].d[2,2].Yu1]*lam[1,1,2,2]
          + 16/3*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha3
          - 4*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha3*z3
          + 453/64*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha2
          - 45/64*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha2*z2
          - 183/32*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha2*Doub2
          - 9/8*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha2*Doub2*z3
          + 45/64*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha2*Doub2*z2
          - 81/16*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha2*Doub1
          + 9/16*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha2*Doub1*z2
          + 81/16*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha2*Doub1*Doub2
          - 9/16*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha2*Doub1*Doub2*z2
          + 3961/960*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha1
          + 2/5*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha1*z3
          + 9/320*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha1*z2
          - 149/32*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha1*Doub2
          + 9/40*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha1*Doub2*z2
          - 63/160*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha1*Doub1
          + 63/160*MatrixProduct[u[2,2].d[2,2].Yu1]*alpha1*Doub1*Doub2
          + 9/16*MatrixProduct[u[2,2].d[2,2].Yu1]*Tr[u[2,2]]
          + 9/16*MatrixProduct[u[2,2].d[2,2].Yu1]*Tr[d[2,2]]
          + 3/16*MatrixProduct[u[2,2].d[2,2].Yu1]*Tr[l[2,2]]
          + 3/4*MatrixProduct[u[2,2].d[2,2].Yu2]*lam[1,2,2,2]
          + 45/16*MatrixProduct[u[2,2].Yu1]*lam[1,2,2,1]^2
          + 3/2*MatrixProduct[u[2,2].Yu1]*lam[2,2,2,2]*lam[1,2,2,1]
          - 33/32*MatrixProduct[u[2,2].Yu1]*lam[2,2,2,2]^2
          + 189/32*MatrixProduct[u[2,2].Yu1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 111/32*MatrixProduct[u[2,2].Yu1]*lam[1,2,1,2]*lam[2,1,2,1]
          + 117/16*MatrixProduct[u[2,2].Yu1]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,2].Yu1]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/16*MatrixProduct[u[2,2].Yu1]*lam[1,1,2,2]^2
          + 3*MatrixProduct[u[2,2].Yu1]*lam[1,1,2,1]*lam[1,2,2,2]
          + 3*MatrixProduct[u[2,2].Yu1]*lam[1,1,1,2]*lam[2,1,2,2]
          + 255/32*MatrixProduct[u[2,2].Yu1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[u[2,2].Yu1]*lam[1,1,1,1]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,2].Yu1]*lam[1,1,1,1]*lam[1,1,2,2]
          + 8/3*MatrixProduct[u[2,2].Yu1]*alpha3*lam[1,2,2,1]
          + 4/3*MatrixProduct[u[2,2].Yu1]*alpha3*lam[1,1,2,2]
          + 2779/36*MatrixProduct[u[2,2].Yu1]*alpha3^2
          - 34*MatrixProduct[u[2,2].Yu1]*alpha3^2*z3
          - 11/3*MatrixProduct[u[2,2].Yu1]*alpha3^2*Ng
          - 3/4*MatrixProduct[u[2,2].Yu1]*alpha2*lam[1,2,2,1]
          - 3*MatrixProduct[u[2,2].Yu1]*alpha2*lam[1,2,2,1]*Doub2
          - 9/2*MatrixProduct[u[2,2].Yu1]*alpha2*lam[1,2,2,1]*Doub2*z3
          - 6*MatrixProduct[u[2,2].Yu1]*alpha2*lam[1,2,2,1]*Doub1
          - 3/2*MatrixProduct[u[2,2].Yu1]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 9/2*MatrixProduct[u[2,2].Yu1]*alpha2*lam[1,2,2,1]*Doub1*Doub2*z3
          + 9/8*MatrixProduct[u[2,2].Yu1]*alpha2*lam[1,1,2,2]
          - 9/8*MatrixProduct[u[2,2].Yu1]*alpha2*lam[1,1,2,2]*Doub2
          - 9/2*MatrixProduct[u[2,2].Yu1]*alpha2*lam[1,1,2,2]*Doub2*z3
          - 21/8*MatrixProduct[u[2,2].Yu1]*alpha2*lam[1,1,2,2]*Doub1
          - 9/4*MatrixProduct[u[2,2].Yu1]*alpha2*lam[1,1,2,2]*Doub1*z3
          - 3*MatrixProduct[u[2,2].Yu1]*alpha2*lam[1,1,2,2]*Doub1*Doub2
          + 27/4*MatrixProduct[u[2,2].Yu1]*alpha2*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 127/4*MatrixProduct[u[2,2].Yu1]*alpha2*alpha3
          - 9/4*MatrixProduct[u[2,2].Yu1]*alpha2*alpha3*z2
          + 291/8*MatrixProduct[u[2,2].Yu1]*alpha2*alpha3*Doub2
          + 9/4*MatrixProduct[u[2,2].Yu1]*alpha2*alpha3*Doub2*z2
          - 47/4*MatrixProduct[u[2,2].Yu1]*alpha2*alpha3*Doub1
          + 9*MatrixProduct[u[2,2].Yu1]*alpha2*alpha3*Doub1*z3
          + 9/4*MatrixProduct[u[2,2].Yu1]*alpha2*alpha3*Doub1*z2
          + 47/4*MatrixProduct[u[2,2].Yu1]*alpha2*alpha3*Doub1*Doub2
          - 9*MatrixProduct[u[2,2].Yu1]*alpha2*alpha3*Doub1*Doub2*z3
          - 9/4*MatrixProduct[u[2,2].Yu1]*alpha2*alpha3*Doub1*Doub2*z2
          - 15183/256*MatrixProduct[u[2,2].Yu1]*alpha2^2
          + 81/4*MatrixProduct[u[2,2].Yu1]*alpha2^2*z3
          + 63/128*MatrixProduct[u[2,2].Yu1]*alpha2^2*z2
          + 135/32*MatrixProduct[u[2,2].Yu1]*alpha2^2*Ng
          + 38037/512*MatrixProduct[u[2,2].Yu1]*alpha2^2*Doub2
          - 207/8*MatrixProduct[u[2,2].Yu1]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[u[2,2].Yu1]*alpha2^2*Doub2*z2
          - 99/16*MatrixProduct[u[2,2].Yu1]*alpha2^2*Doub2*Ng
          + 2403/64*MatrixProduct[u[2,2].Yu1]*alpha2^2*Doub1
          - 135/8*MatrixProduct[u[2,2].Yu1]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[u[2,2].Yu1]*alpha2^2*Doub1*z2
          - 10023/256*MatrixProduct[u[2,2].Yu1]*alpha2^2*Doub1*Doub2
          + 261/16*MatrixProduct[u[2,2].Yu1]*alpha2^2*Doub1*Doub2*z3
          + 63/128*MatrixProduct[u[2,2].Yu1]*alpha2^2*Doub1*Doub2*z2
          + 7/12*MatrixProduct[u[2,2].Yu1]*alpha1*lam[1,2,2,1]
          - 57/20*MatrixProduct[u[2,2].Yu1]*alpha1*lam[1,2,2,1]*Doub2
          - 9/5*MatrixProduct[u[2,2].Yu1]*alpha1*lam[1,2,2,1]*Doub2*z3
          + 27/20*MatrixProduct[u[2,2].Yu1]*alpha1*lam[1,2,2,1]*Doub1
          - 9/10*MatrixProduct[u[2,2].Yu1]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 6/5*MatrixProduct[u[2,2].Yu1]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/10*MatrixProduct[u[2,2].Yu1]*alpha1*lam[1,2,2,1]*Doub1*Doub2*
         z3
          + 7/24*MatrixProduct[u[2,2].Yu1]*alpha1*lam[1,1,2,2]
          - 57/40*MatrixProduct[u[2,2].Yu1]*alpha1*lam[1,1,2,2]*Doub2
          - 9/10*MatrixProduct[u[2,2].Yu1]*alpha1*lam[1,1,2,2]*Doub2*z3
          + 27/40*MatrixProduct[u[2,2].Yu1]*alpha1*lam[1,1,2,2]*Doub1
          - 9/20*MatrixProduct[u[2,2].Yu1]*alpha1*lam[1,1,2,2]*Doub1*z3
          - 3/5*MatrixProduct[u[2,2].Yu1]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          + 27/20*MatrixProduct[u[2,2].Yu1]*alpha1*lam[1,1,2,2]*Doub1*Doub2*
         z3
          + 1499/180*MatrixProduct[u[2,2].Yu1]*alpha1*alpha3
          - 32/5*MatrixProduct[u[2,2].Yu1]*alpha1*alpha3*z3
          - 9/4*MatrixProduct[u[2,2].Yu1]*alpha1*alpha3*z2
          - 787/120*MatrixProduct[u[2,2].Yu1]*alpha1*alpha3*Doub2
          + 48/5*MatrixProduct[u[2,2].Yu1]*alpha1*alpha3*Doub2*z3
          + 9/4*MatrixProduct[u[2,2].Yu1]*alpha1*alpha3*Doub2*z2
          - 47/20*MatrixProduct[u[2,2].Yu1]*alpha1*alpha3*Doub1
          + 9/5*MatrixProduct[u[2,2].Yu1]*alpha1*alpha3*Doub1*z3
          + 9/20*MatrixProduct[u[2,2].Yu1]*alpha1*alpha3*Doub1*z2
          + 47/20*MatrixProduct[u[2,2].Yu1]*alpha1*alpha3*Doub1*Doub2
          - 9/5*MatrixProduct[u[2,2].Yu1]*alpha1*alpha3*Doub1*Doub2*z3
          - 9/20*MatrixProduct[u[2,2].Yu1]*alpha1*alpha3*Doub1*Doub2*z2
          - 2459/640*MatrixProduct[u[2,2].Yu1]*alpha1*alpha2
          + 9/64*MatrixProduct[u[2,2].Yu1]*alpha1*alpha2*z2
          + 6687/1280*MatrixProduct[u[2,2].Yu1]*alpha1*alpha2*Doub2
          + 9/4*MatrixProduct[u[2,2].Yu1]*alpha1*alpha2*Doub2*z3
          - 9/64*MatrixProduct[u[2,2].Yu1]*alpha1*alpha2*Doub2*z2
          + 4439/640*MatrixProduct[u[2,2].Yu1]*alpha1*alpha2*Doub1
          - 27/20*MatrixProduct[u[2,2].Yu1]*alpha1*alpha2*Doub1*z3
          + 9/320*MatrixProduct[u[2,2].Yu1]*alpha1*alpha2*Doub1*z2
          - 5303/640*MatrixProduct[u[2,2].Yu1]*alpha1*alpha2*Doub1*
         Doub2
          + 27/40*MatrixProduct[u[2,2].Yu1]*alpha1*alpha2*Doub1*Doub2*
         z3
          - 9/320*MatrixProduct[u[2,2].Yu1]*alpha1*alpha2*Doub1*Doub2*
         z2
          - 407/57600*MatrixProduct[u[2,2].Yu1]*alpha1^2
          + 17/25*MatrixProduct[u[2,2].Yu1]*alpha1^2*z3
          - 9/128*MatrixProduct[u[2,2].Yu1]*alpha1^2*z2
          + 1997/480*MatrixProduct[u[2,2].Yu1]*alpha1^2*Ng
          + 2231/38400*MatrixProduct[u[2,2].Yu1]*alpha1^2*Doub2
          + 21/100*MatrixProduct[u[2,2].Yu1]*alpha1^2*Doub2*z3
          + 9/128*MatrixProduct[u[2,2].Yu1]*alpha1^2*Doub2*z2
          - 423/80*MatrixProduct[u[2,2].Yu1]*alpha1^2*Doub2*Ng
          + 3173/3200*MatrixProduct[u[2,2].Yu1]*alpha1^2*Doub1
          - 69/200*MatrixProduct[u[2,2].Yu1]*alpha1^2*Doub1*z3
          + 9/640*MatrixProduct[u[2,2].Yu1]*alpha1^2*Doub1*z2
          - 7531/6400*MatrixProduct[u[2,2].Yu1]*alpha1^2*Doub1*Doub2
          - 81/400*MatrixProduct[u[2,2].Yu1]*alpha1^2*Doub1*Doub2*z3
          - 9/640*MatrixProduct[u[2,2].Yu1]*alpha1^2*Doub1*Doub2*z2
          + 3*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha2
          - 27/16*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha2*z2
          - 45/2*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha2*Doub2*z2
          - 207/8*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha2*Doub1
          + 27/16*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2*z2
          + 171/40*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha1
          - 27/80*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha1*z2
          - 9/2*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha1*Doub2
          + 27/80*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha1*Doub2*z2
          - 171/40*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha1*Doub1
          + 27/80*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha1*Doub1*z2
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha1*Doub1*Doub2
          - 27/80*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 3/2*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1].u[2,2]]
          + 15/2*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1].d[2,2]]
          - 9*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1].d[2,2]]*z3
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[u[1,2]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[u[2,2].Yu1]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[u[2,2].Yu1]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[u[2,2].Yu1]*Tr[u[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[u[2,2].Yu1]*Tr[u[1,2].u[2,1]]
          - 15/2*MatrixProduct[u[2,2].Yu1]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[u[2,2].Yu1]*Tr[u[1,2].d[2,1]]*z3
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*lam[1,2,2,2]
          + 27/2*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*lam[1,1,1,2]
          - 27/16*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*Tr[l[1,2]]
          - 15/2*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1].d[1,2]]*z3
          + 12*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*lam[1,2,2,1]
          + 6*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*alpha3
          + 12*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*alpha3*z3
          + 549/32*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*alpha2
          - 351/16*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*alpha2*Doub2
          - 315/32*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*alpha2*Doub1
          + 315/32*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2
          + 907/32*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*alpha1
          - 12*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*alpha1*z3
          - 1311/40*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*alpha1*Doub2
          + 54/5*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*alpha1*Doub2*z3
          - 63/32*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*alpha1*Doub1
          + 63/32*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]^2
          - 27/8*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2].u[2,2]]
          + 15/2*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2].d[1,1]]
          - 9*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2].d[1,1]]*z3
          + 3*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha2
          - 27/16*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha2*z2
          - 45/2*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha2*Doub2*z2
          - 207/8*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha2*Doub1
          + 27/16*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2*z2
          + 171/40*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha1
          - 27/80*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha1*z2
          - 9/2*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha1*Doub2
          + 27/80*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha1*Doub2*z2
          - 171/40*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha1*Doub1
          + 27/80*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha1*Doub1*z2
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha1*Doub1*Doub2
          - 27/80*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 3/2*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1].d[2,2]]
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[d[1,2]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[u[2,2].Yu1]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[u[2,2].Yu1]*Tr[d[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[u[2,2].Yu1]*Tr[d[1,2].d[2,1]]
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*lam[1,2,2,2]
          + 27/2*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*lam[1,1,1,2]
          - 9/16*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*Tr[l[1,2]]
          + 12*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*lam[1,2,2,1]
          + 6*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*alpha3
          + 12*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*alpha3*z3
          + 549/32*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*alpha2
          - 351/16*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*alpha2*Doub2
          - 315/32*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*alpha2*Doub1
          + 315/32*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2
          + 4727/160*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*alpha1
          - 129/10*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*alpha1*z3
          - 1311/40*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*alpha1*Doub2
          + 54/5*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*alpha1*Doub2*z3
          - 63/32*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*alpha1*Doub1
          + 63/32*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]^2
          - 9/8*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2].d[2,2]]
          + MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*lam[1,2,2,1]
          + 1/2*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha2
          - 9/16*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha2*z2
          - 15/2*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha2*Doub2
          + 9/16*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha2*Doub2*z2
          - 69/8*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha2*Doub1
          + 9/16*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha2*Doub1*z2
          + 15/2*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2*z2
          + 57/40*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha1
          - 9/80*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha1*z2
          - 3/2*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha1*Doub2
          + 9/80*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha1*Doub2*z2
          - 57/40*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha1*Doub1
          + 9/80*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha1*Doub1*z2
          + 3/2*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha1*Doub1*Doub2
          - 9/80*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 1/2*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1].l[2,2]]
          + 3/2*MatrixProduct[u[2,2].Yu1]*Tr[l[1,2]]*lam[1,1,2,1]
          - 3/16*MatrixProduct[u[2,2].Yu1]*Tr[l[1,2]]*Tr[l[2,1]]
          + MatrixProduct[u[2,2].Yu1]*Tr[l[1,2].l[2,1]]
          + 3/2*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*lam[1,2,2,2]
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*lam[1,1,1,2]
          + 4*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]*lam[1,2,2,1]
          + 2*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]*lam[1,1,2,2]
          + 5/12*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]*alpha3
          + 183/32*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]*alpha2
          - 117/16*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]*alpha2*Doub2
          - 105/32*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]*alpha2*Doub1
          + 105/32*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2
          + 4087/480*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]*alpha1
          - 33/10*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]*alpha1*z3
          - 437/40*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]*alpha1*Doub2
          + 18/5*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]*alpha1*Doub2*z3
          - 21/32*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]*alpha1*Doub1
          + 21/32*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2
          - 3/16*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]^2
          + 3/2*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2].l[2,2]]
          + 9*MatrixProduct[u[2,2].Yu2]*lam[1,2,2,2]*lam[1,2,2,1]
          + 12*MatrixProduct[u[2,2].Yu2]*lam[1,2,2,2]*lam[2,2,2,2]
          + 15/2*MatrixProduct[u[2,2].Yu2]*lam[1,2,1,2]*lam[2,1,2,2]
          + 15/2*MatrixProduct[u[2,2].Yu2]*lam[1,1,2,2]*lam[1,2,2,2]
          + 9/2*MatrixProduct[u[2,2].Yu2]*lam[1,1,2,1]*lam[1,2,1,2]
          + 3*MatrixProduct[u[2,2].Yu2]*lam[1,1,1,2]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[2,2].Yu2]*lam[1,1,1,2]*lam[1,1,2,2]
          + 4*MatrixProduct[u[2,2].Yu2]*alpha3*lam[1,2,2,2]
          + 3/8*MatrixProduct[u[2,2].Yu2]*alpha2*lam[1,2,2,2]
          - 69/4*MatrixProduct[u[2,2].Yu2]*alpha2*lam[1,2,2,2]*Doub2
          - 33/8*MatrixProduct[u[2,2].Yu2]*alpha2*lam[1,2,2,2]*Doub1
          + 33/8*MatrixProduct[u[2,2].Yu2]*alpha2*lam[1,2,2,2]*Doub1*Doub2
          + 7/8*MatrixProduct[u[2,2].Yu2]*alpha1*lam[1,2,2,2]
          - 81/20*MatrixProduct[u[2,2].Yu2]*alpha1*lam[1,2,2,2]*Doub2
          - 9/8*MatrixProduct[u[2,2].Yu2]*alpha1*lam[1,2,2,2]*Doub1
          + 9/8*MatrixProduct[u[2,2].Yu2]*alpha1*lam[1,2,2,2]*Doub1*Doub2
          + 9/2*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha2
          - 27/16*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha2*z2
          - 387/16*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha2*Doub2
          + 27/16*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha2*Doub2*z2
          - 585/32*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 603/40*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha1
          - 81/80*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha1*z2
          - 1143/80*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha1*Doub2
          + 81/80*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha1*Doub2*z2
          - 1719/160*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha1*Doub1
          + 81/160*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha1*Doub1*z2
          + 1593/160*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          - 81/160*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 27/2*MatrixProduct[u[2,2].Yu2]*Tr[u[2,1]]*lam[1,2,1,2]
          + 45/2*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*lam[1,2,2,2]
          + 9/2*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha2
          - 27/16*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha2*z2
          - 387/16*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha2*Doub2
          + 27/16*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha2*Doub2*z2
          - 585/32*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 603/40*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha1
          - 81/80*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha1*z2
          - 1143/80*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha1*Doub2
          + 81/80*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha1*Doub2*z2
          - 1719/160*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha1*Doub1
          + 81/160*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha1*Doub1*z2
          + 1593/160*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          - 81/160*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 27/2*MatrixProduct[u[2,2].Yu2]*Tr[d[2,1]]*lam[1,2,1,2]
          + 45/2*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*lam[1,2,2,2]
          + 3/2*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha2
          - 9/16*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha2*z2
          - 129/16*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha2*Doub2
          + 9/16*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha2*Doub2*z2
          - 195/32*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha2*Doub1
          + 9/32*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha2*Doub1*z2
          + 177/32*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          - 9/32*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 201/40*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha1
          - 27/80*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha1*z2
          - 381/80*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha1*Doub2
          + 27/80*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha1*Doub2*z2
          - 573/160*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha1*Doub1*z2
          + 531/160*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/2*MatrixProduct[u[2,2].Yu2]*Tr[l[2,1]]*lam[1,2,1,2]
          + 15/2*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*lam[1,2,2,2]
          + 83/32*MatrixProduct[d[1,1].u[1,1].u[1,1].Yu1]
          - 1/4*MatrixProduct[d[1,1].u[1,1].u[2,2].Yu1]
          - 37/16*MatrixProduct[d[1,1].u[1,1].d[1,1].Yu1]
          + 3/4*MatrixProduct[d[1,1].u[1,1].d[1,2].Yu2]
          - 1/4*MatrixProduct[d[1,1].u[1,1].d[2,2].Yu1]
          - 9*MatrixProduct[d[1,1].u[1,1].Yu1]*alpha3
          + 4*MatrixProduct[d[1,1].u[1,1].Yu1]*alpha3*z3
          - 39/32*MatrixProduct[d[1,1].u[1,1].Yu1]*alpha2
          + 9/4*MatrixProduct[d[1,1].u[1,1].Yu1]*alpha2*z3
          - 45/64*MatrixProduct[d[1,1].u[1,1].Yu1]*alpha2*z2
          + 117/16*MatrixProduct[d[1,1].u[1,1].Yu1]*alpha2*Doub1
          - 27/8*MatrixProduct[d[1,1].u[1,1].Yu1]*alpha2*Doub1*z3
          + 45/64*MatrixProduct[d[1,1].u[1,1].Yu1]*alpha2*Doub1*z2
          - 54/5*MatrixProduct[d[1,1].u[1,1].Yu1]*alpha1
          + 31/20*MatrixProduct[d[1,1].u[1,1].Yu1]*alpha1*z3
          + 153/320*MatrixProduct[d[1,1].u[1,1].Yu1]*alpha1*z2
          + 111/10*MatrixProduct[d[1,1].u[1,1].Yu1]*alpha1*Doub1
          - 9/8*MatrixProduct[d[1,1].u[1,1].Yu1]*alpha1*Doub1*z3
          - 153/320*MatrixProduct[d[1,1].u[1,1].Yu1]*alpha1*Doub1*z2
          + 3/8*MatrixProduct[d[1,1].u[1,1].Yu1]*Tr[u[1,1]]
          + 3/8*MatrixProduct[d[1,1].u[1,1].Yu1]*Tr[d[1,1]]
          + 1/8*MatrixProduct[d[1,1].u[1,1].Yu1]*Tr[l[1,1]]
          - 3/2*MatrixProduct[d[1,1].u[1,1].Yu2]*Tr[u[1,2]]
          - 3/2*MatrixProduct[d[1,1].u[1,1].Yu2]*Tr[d[1,2]]
          - 1/2*MatrixProduct[d[1,1].u[1,1].Yu2]*Tr[l[1,2]]
          + 47/32*MatrixProduct[d[1,1].u[1,2].u[2,1].Yu1]
          - 2*MatrixProduct[d[1,1].u[1,2].d[1,1].Yu2]
          + 1/4*MatrixProduct[d[1,1].u[1,2].d[2,1].Yu1]
          + 51/32*MatrixProduct[d[1,1].u[1,2].Yu1]*Tr[u[2,1]]
          + 51/32*MatrixProduct[d[1,1].u[1,2].Yu1]*Tr[d[2,1]]
          + 17/32*MatrixProduct[d[1,1].u[1,2].Yu1]*Tr[l[2,1]]
          + 8*MatrixProduct[d[1,1].u[1,2].Yu2]*alpha3
          - 52/5*MatrixProduct[d[1,1].u[1,2].Yu2]*alpha1
          + 9/5*MatrixProduct[d[1,1].u[1,2].Yu2]*alpha1*z3
          + 9/20*MatrixProduct[d[1,1].u[1,2].Yu2]*alpha1*z2
          + 173/20*MatrixProduct[d[1,1].u[1,2].Yu2]*alpha1*Doub2
          - 63/20*MatrixProduct[d[1,1].u[1,2].Yu2]*alpha1*Doub2*z3
          - 9/20*MatrixProduct[d[1,1].u[1,2].Yu2]*alpha1*Doub2*z2
          + 113/10*MatrixProduct[d[1,1].u[1,2].Yu2]*alpha1*Doub1
          - 9/20*MatrixProduct[d[1,1].u[1,2].Yu2]*alpha1*Doub1*z2
          - 189/20*MatrixProduct[d[1,1].u[1,2].Yu2]*alpha1*Doub1*Doub2
          + 27/20*MatrixProduct[d[1,1].u[1,2].Yu2]*alpha1*Doub1*Doub2*
         z3
          + 9/20*MatrixProduct[d[1,1].u[1,2].Yu2]*alpha1*Doub1*Doub2*z2
          + 25/16*MatrixProduct[d[1,1].u[2,1].u[1,2].Yu1]
          - 3*MatrixProduct[d[1,1].u[2,1].u[1,2].Yu1]*z3
          - 3/16*MatrixProduct[d[1,1].u[2,1].d[1,2].Yu1]
          - 9/2*MatrixProduct[d[1,1].u[2,1].Yu1]*lam[1,1,1,2]
          - 141/32*MatrixProduct[d[1,1].u[2,1].Yu1]*Tr[u[1,2]]
          - 141/32*MatrixProduct[d[1,1].u[2,1].Yu1]*Tr[d[1,2]]
          - 47/32*MatrixProduct[d[1,1].u[2,1].Yu1]*Tr[l[1,2]]
          - 9/2*MatrixProduct[d[1,1].u[2,1].Yu2]*lam[1,2,1,2]
          + 9/8*MatrixProduct[d[1,1].u[2,2].u[1,1].Yu1]
          + 3/2*MatrixProduct[d[1,1].u[2,2].u[1,2].Yu2]
          - 3*MatrixProduct[d[1,1].u[2,2].u[1,2].Yu2]*z3
          - 3/16*MatrixProduct[d[1,1].u[2,2].u[2,2].Yu1]
          - 7/8*MatrixProduct[d[1,1].u[2,2].d[1,1].Yu1]
          + 1/4*MatrixProduct[d[1,1].u[2,2].d[1,2].Yu2]
          - 1/4*MatrixProduct[d[1,1].u[2,2].d[2,2].Yu1]
          - MatrixProduct[d[1,1].u[2,2].Yu1]*lam[1,2,2,1]
          - 7/2*MatrixProduct[d[1,1].u[2,2].Yu1]*lam[1,1,2,2]
          + 5*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha3
          + 8*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha3*z3
          - 513/64*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha2
          + 27/4*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha2*z3
          - 9/64*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha2*z2
          + 357/32*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha2*Doub2
          - 9*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha2*Doub2*z2
          + 21/4*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha2*Doub1
          - 27/4*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha2*Doub1*z2
          - 213/32*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha2*Doub1*Doub2
          + 9*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha2*Doub1*Doub2*z2
          + 171/320*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha1
          + 17/20*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha1*z3
          + 9/320*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha1*z2
          - 233/160*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha1*Doub2
          - 3/2*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha1*Doub2*z2
          + 43/10*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha1*Doub1
          - 51/20*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha1*Doub1*z2
          - 351/160*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha1*Doub1*Doub2
          + 9/5*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha1*Doub1*Doub2*z3
          + 9/320*MatrixProduct[d[1,1].u[2,2].Yu1]*alpha1*Doub1*Doub2*
         z2
          + 3/2*MatrixProduct[d[1,1].u[2,2].Yu1]*Tr[u[1,1]]
          - 75/16*MatrixProduct[d[1,1].u[2,2].Yu1]*Tr[u[2,2]]
          + 3/2*MatrixProduct[d[1,1].u[2,2].Yu1]*Tr[d[1,1]]
          - 75/16*MatrixProduct[d[1,1].u[2,2].Yu1]*Tr[d[2,2]]
          + 1/2*MatrixProduct[d[1,1].u[2,2].Yu1]*Tr[l[1,1]]
          - 25/16*MatrixProduct[d[1,1].u[2,2].Yu1]*Tr[l[2,2]]
          - 9/2*MatrixProduct[d[1,1].u[2,2].Yu2]*lam[1,2,2,2]
          + 3/2*MatrixProduct[d[1,1].u[2,2].Yu2]*Tr[u[1,2]]
          + 3/2*MatrixProduct[d[1,1].u[2,2].Yu2]*Tr[d[1,2]]
          + 1/2*MatrixProduct[d[1,1].u[2,2].Yu2]*Tr[l[1,2]]
          - 183/32*MatrixProduct[d[1,1].d[1,1].u[1,1].Yu1]
          + 6*MatrixProduct[d[1,1].d[1,1].u[1,1].Yu1]*z3
          + 3/2*MatrixProduct[d[1,1].d[1,1].u[2,2].Yu1]
          + 9/8*MatrixProduct[d[1,1].d[1,1].d[1,1].Yu1]
          - 9/4*MatrixProduct[d[1,1].d[1,1].d[1,1].Yu1]*z3
          - 13/4*MatrixProduct[d[1,1].d[1,1].d[1,2].Yu2]
          + 3/2*MatrixProduct[d[1,1].d[1,1].d[2,2].Yu1]
          - 15/2*MatrixProduct[d[1,1].d[1,1].Yu1]*lam[1,1,1,1]
          + 13*MatrixProduct[d[1,1].d[1,1].Yu1]*alpha3
          + 40*MatrixProduct[d[1,1].d[1,1].Yu1]*alpha3*z3
          - 1233/64*MatrixProduct[d[1,1].d[1,1].Yu1]*alpha2
          + 9*MatrixProduct[d[1,1].d[1,1].Yu1]*alpha2*z3
          + 9/64*MatrixProduct[d[1,1].d[1,1].Yu1]*alpha2*z2
          + 453/16*MatrixProduct[d[1,1].d[1,1].Yu1]*alpha2*Doub1
          - 81/4*MatrixProduct[d[1,1].d[1,1].Yu1]*alpha2*Doub1*z3
          - 9/64*MatrixProduct[d[1,1].d[1,1].Yu1]*alpha2*Doub1*z2
          - 711/80*MatrixProduct[d[1,1].d[1,1].Yu1]*alpha1
          + 2*MatrixProduct[d[1,1].d[1,1].Yu1]*alpha1*z3
          - 9/320*MatrixProduct[d[1,1].d[1,1].Yu1]*alpha1*z2
          + 3891/320*MatrixProduct[d[1,1].d[1,1].Yu1]*alpha1*Doub1
          - 93/20*MatrixProduct[d[1,1].d[1,1].Yu1]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[d[1,1].d[1,1].Yu1]*alpha1*Doub1*z2
          - 69/8*MatrixProduct[d[1,1].d[1,1].Yu1]*Tr[u[1,1]]
          - 69/8*MatrixProduct[d[1,1].d[1,1].Yu1]*Tr[d[1,1]]
          - 23/8*MatrixProduct[d[1,1].d[1,1].Yu1]*Tr[l[1,1]]
          - 3/2*MatrixProduct[d[1,1].d[1,1].Yu2]*lam[1,1,1,2]
          + 9*MatrixProduct[d[1,1].d[1,1].Yu2]*Tr[u[1,2]]
          + 9*MatrixProduct[d[1,1].d[1,1].Yu2]*Tr[d[1,2]]
          + 3*MatrixProduct[d[1,1].d[1,1].Yu2]*Tr[l[1,2]]
          - 15/4*MatrixProduct[d[1,1].d[1,2].u[1,1].Yu2]
          + 6*MatrixProduct[d[1,1].d[1,2].u[1,1].Yu2]*z3
          - 5/2*MatrixProduct[d[1,1].d[1,2].u[2,1].Yu1]
          + 3/4*MatrixProduct[d[1,1].d[1,2].u[2,2].Yu2]
          + 7/4*MatrixProduct[d[1,1].d[1,2].d[1,1].Yu2]
          + 9/16*MatrixProduct[d[1,1].d[1,2].d[2,1].Yu1]
          - 9/4*MatrixProduct[d[1,1].d[1,2].d[2,1].Yu1]*z3
          - 1/4*MatrixProduct[d[1,1].d[1,2].d[2,2].Yu2]
          - 15/2*MatrixProduct[d[1,1].d[1,2].Yu1]*lam[1,1,2,1]
          - 63/8*MatrixProduct[d[1,1].d[1,2].Yu1]*Tr[u[2,1]]
          - 63/8*MatrixProduct[d[1,1].d[1,2].Yu1]*Tr[d[2,1]]
          - 21/8*MatrixProduct[d[1,1].d[1,2].Yu1]*Tr[l[2,1]]
          - 5/2*MatrixProduct[d[1,1].d[1,2].Yu2]*lam[1,2,2,1]
          + MatrixProduct[d[1,1].d[1,2].Yu2]*lam[1,1,2,2]
          - 4/3*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha3
          + 16*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha3*z3
          - 9*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha2
          + 9/4*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha2*z3
          - 63/16*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha2*Doub2
          + 45/8*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha2*Doub2*z3
          + 75/8*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha2*Doub1
          - 27/4*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha2*Doub1*z3
          + 81/16*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha2*Doub1*Doub2
          - 45/8*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha2*Doub1*Doub2*z3
          + 407/60*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha1
          - 7/4*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha1*z3
          - 67/80*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha1*Doub2
          + 57/40*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha1*Doub2*z3
          - 233/40*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha1*Doub1
          - 3/20*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha1*Doub1*z3
          - 3/16*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[d[1,1].d[1,2].Yu2]*alpha1*Doub1*Doub2*z3
          - 9/2*MatrixProduct[d[1,1].d[1,2].Yu2]*Tr[u[1,1]]
          + 9/2*MatrixProduct[d[1,1].d[1,2].Yu2]*Tr[u[2,2]]
          - 9/2*MatrixProduct[d[1,1].d[1,2].Yu2]*Tr[d[1,1]]
          + 9/2*MatrixProduct[d[1,1].d[1,2].Yu2]*Tr[d[2,2]]
          - 3/2*MatrixProduct[d[1,1].d[1,2].Yu2]*Tr[l[1,1]]
          + 3/2*MatrixProduct[d[1,1].d[1,2].Yu2]*Tr[l[2,2]]
          - 67/32*MatrixProduct[d[1,1].d[2,1].u[1,2].Yu1]
          + 3/4*MatrixProduct[d[1,1].d[2,1].d[1,2].Yu1]
          - 6*MatrixProduct[d[1,1].d[2,1].Yu1]*lam[1,1,1,2]
          - 159/16*MatrixProduct[d[1,1].d[2,1].Yu1]*Tr[u[1,2]]
          - 159/16*MatrixProduct[d[1,1].d[2,1].Yu1]*Tr[d[1,2]]
          - 53/16*MatrixProduct[d[1,1].d[2,1].Yu1]*Tr[l[1,2]]
          + 9/8*MatrixProduct[d[1,1].d[2,2].u[1,1].Yu1]
          - 1/2*MatrixProduct[d[1,1].d[2,2].u[1,2].Yu2]
          - 1/4*MatrixProduct[d[1,1].d[2,2].u[2,2].Yu1]
          - 7/8*MatrixProduct[d[1,1].d[2,2].d[1,1].Yu1]
          - 1/4*MatrixProduct[d[1,1].d[2,2].d[1,2].Yu2]
          - 3/16*MatrixProduct[d[1,1].d[2,2].d[2,2].Yu1]
          - 5/2*MatrixProduct[d[1,1].d[2,2].Yu1]*lam[1,2,2,1]
          - 7/2*MatrixProduct[d[1,1].d[2,2].Yu1]*lam[1,1,2,2]
          + 5*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha3
          + 8*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha3*z3
          - 513/64*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha2
          + 27/4*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha2*z3
          - 9/64*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha2*z2
          + 357/32*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha2*Doub2
          - 9*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha2*Doub2*z2
          + 21/4*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha2*Doub1
          - 27/4*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha2*Doub1*z2
          - 213/32*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha2*Doub1*Doub2
          + 9*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha2*Doub1*Doub2*z2
          - 1849/320*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha1
          - 13/20*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha1*z3
          - 9/320*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha1*z2
          + 133/32*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha1*Doub2
          - 3/10*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha1*Doub2*z2
          + 59/80*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha1*Doub1
          + 39/20*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha1*Doub1*z2
          + 351/160*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha1*Doub1*Doub2
          - 9/5*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha1*Doub1*Doub2*z3
          - 9/320*MatrixProduct[d[1,1].d[2,2].Yu1]*alpha1*Doub1*Doub2*
         z2
          + 3/2*MatrixProduct[d[1,1].d[2,2].Yu1]*Tr[u[1,1]]
          - 75/16*MatrixProduct[d[1,1].d[2,2].Yu1]*Tr[u[2,2]]
          + 3/2*MatrixProduct[d[1,1].d[2,2].Yu1]*Tr[d[1,1]]
          - 75/16*MatrixProduct[d[1,1].d[2,2].Yu1]*Tr[d[2,2]]
          + 1/2*MatrixProduct[d[1,1].d[2,2].Yu1]*Tr[l[1,1]]
          - 25/16*MatrixProduct[d[1,1].d[2,2].Yu1]*Tr[l[2,2]]
          - 3*MatrixProduct[d[1,1].d[2,2].Yu2]*Tr[u[1,2]]
          - 3*MatrixProduct[d[1,1].d[2,2].Yu2]*Tr[d[1,2]]
          - MatrixProduct[d[1,1].d[2,2].Yu2]*Tr[l[1,2]]
          + 41/16*MatrixProduct[d[1,1].Yu1]*lam[1,2,2,1]^2
          + 75/32*MatrixProduct[d[1,1].Yu1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 75/32*MatrixProduct[d[1,1].Yu1]*lam[1,2,1,2]*lam[2,1,2,1]
          - 7/16*MatrixProduct[d[1,1].Yu1]*lam[1,1,2,2]*lam[1,2,2,1]
          - 7/16*MatrixProduct[d[1,1].Yu1]*lam[1,1,2,2]^2
          + 33/32*MatrixProduct[d[1,1].Yu1]*lam[1,1,1,2]*lam[1,1,2,1]
          - 21/32*MatrixProduct[d[1,1].Yu1]*lam[1,1,1,1]^2
          - 2659/12*MatrixProduct[d[1,1].Yu1]*alpha3^2
          + 86*MatrixProduct[d[1,1].Yu1]*alpha3^2*z3
          + 41/3*MatrixProduct[d[1,1].Yu1]*alpha3^2*Ng
          + 3*MatrixProduct[d[1,1].Yu1]*alpha2*lam[1,1,1,1]
          - 3*MatrixProduct[d[1,1].Yu1]*alpha2*lam[1,1,1,1]*Doub1
          + 5*MatrixProduct[d[1,1].Yu1]*alpha2*alpha3
          - 84*MatrixProduct[d[1,1].Yu1]*alpha2*alpha3*z3
          - 9/4*MatrixProduct[d[1,1].Yu1]*alpha2*alpha3*z2
          + 395/8*MatrixProduct[d[1,1].Yu1]*alpha2*alpha3*Doub1
          - 24*MatrixProduct[d[1,1].Yu1]*alpha2*alpha3*Doub1*z3
          + 9/4*MatrixProduct[d[1,1].Yu1]*alpha2*alpha3*Doub1*z2
          - 9153/256*MatrixProduct[d[1,1].Yu1]*alpha2^2
          + 27/4*MatrixProduct[d[1,1].Yu1]*alpha2^2*z3
          + 63/128*MatrixProduct[d[1,1].Yu1]*alpha2^2*z2
          + 51/32*MatrixProduct[d[1,1].Yu1]*alpha2^2*Ng
          - 39/256*MatrixProduct[d[1,1].Yu1]*alpha2^2*Doub2
          + 19233/512*MatrixProduct[d[1,1].Yu1]*alpha2^2*Doub1
          + 153/16*MatrixProduct[d[1,1].Yu1]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[d[1,1].Yu1]*alpha2^2*Doub1*z2
          + 3/16*MatrixProduct[d[1,1].Yu1]*alpha2^2*Doub1*Ng
          + 33/64*MatrixProduct[d[1,1].Yu1]*alpha2^2*Doub1*Doub2
          - 611/60*MatrixProduct[d[1,1].Yu1]*alpha1*alpha3
          + 44/5*MatrixProduct[d[1,1].Yu1]*alpha1*alpha3*z3
          + 9/4*MatrixProduct[d[1,1].Yu1]*alpha1*alpha3*z2
          + 433/40*MatrixProduct[d[1,1].Yu1]*alpha1*alpha3*Doub1
          - 88/5*MatrixProduct[d[1,1].Yu1]*alpha1*alpha3*Doub1*z3
          - 9/4*MatrixProduct[d[1,1].Yu1]*alpha1*alpha3*Doub1*z2
          - 611/640*MatrixProduct[d[1,1].Yu1]*alpha1*alpha2
          + 6/5*MatrixProduct[d[1,1].Yu1]*alpha1*alpha2*z3
          - 9/80*MatrixProduct[d[1,1].Yu1]*alpha1*alpha2*z2
          - 221/1280*MatrixProduct[d[1,1].Yu1]*alpha1*alpha2*Doub1
          + 3/20*MatrixProduct[d[1,1].Yu1]*alpha1*alpha2*Doub1*z3
          + 9/80*MatrixProduct[d[1,1].Yu1]*alpha1*alpha2*Doub1*z2
          + 17273/19200*MatrixProduct[d[1,1].Yu1]*alpha1^2
          + 9/100*MatrixProduct[d[1,1].Yu1]*alpha1^2*z3
          - 63/640*MatrixProduct[d[1,1].Yu1]*alpha1^2*z2
          - 2387/480*MatrixProduct[d[1,1].Yu1]*alpha1^2*Ng
          - 3881/6400*MatrixProduct[d[1,1].Yu1]*alpha1^2*Doub2
          - 14263/12800*MatrixProduct[d[1,1].Yu1]*alpha1^2*Doub1
          + 167/400*MatrixProduct[d[1,1].Yu1]*alpha1^2*Doub1*z3
          + 63/640*MatrixProduct[d[1,1].Yu1]*alpha1^2*Doub1*z2
          + 85/16*MatrixProduct[d[1,1].Yu1]*alpha1^2*Doub1*Ng
          + 267/400*MatrixProduct[d[1,1].Yu1]*alpha1^2*Doub1*Doub2
          + 97/4*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*alpha3
          - 36*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*alpha3*z3
          + 45/16*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*alpha2
          + 135/4*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*alpha2*z3
          - 27/16*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*alpha2*z2
          - 45/4*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*alpha2*Doub1
          - 81/4*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*alpha2*Doub1*z2
          - 2383/160*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*alpha1
          - 63/20*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*alpha1*z3
          + 27/80*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*alpha1*z2
          + 3033/160*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*alpha1*Doub1
          + 27/20*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*alpha1*Doub1*z3
          - 27/80*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*alpha1*Doub1*z2
          + 117/16*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]^2
          + 117/8*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*Tr[d[1,1]]
          + 39/8*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1]]*Tr[l[1,1]]
          - 153/16*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1].u[1,1]]
          - 51/16*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1].u[2,2]]
          + 177/8*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1].d[1,1]]
          - 36*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1].d[1,1]]*z3
          - 51/16*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1].d[2,2]]
          + 117/16*MatrixProduct[d[1,1].Yu1]*Tr[u[1,2]]*Tr[u[2,1]]
          + 117/16*MatrixProduct[d[1,1].Yu1]*Tr[u[1,2]]*Tr[d[2,1]]
          + 39/16*MatrixProduct[d[1,1].Yu1]*Tr[u[1,2]]*Tr[l[2,1]]
          - 51/8*MatrixProduct[d[1,1].Yu1]*Tr[u[1,2].u[2,1]]
          + 9/4*MatrixProduct[d[1,1].Yu1]*Tr[u[1,2].d[2,1]]
          + 117/16*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*Tr[d[1,2]]
          + 39/16*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*Tr[l[1,2]]
          + 9/4*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1].d[1,2]]
          - 51/16*MatrixProduct[d[1,1].Yu1]*Tr[u[2,2].d[1,1]]
          + 97/4*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*alpha3
          - 36*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*alpha3*z3
          + 45/16*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*alpha2
          + 135/4*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*alpha2*z3
          - 27/16*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*alpha2*z2
          - 45/4*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*alpha2*Doub1
          - 81/4*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*alpha2*Doub1*z2
          - 2803/160*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*alpha1
          - 9/20*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*alpha1*z3
          + 27/80*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*alpha1*z2
          + 3033/160*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*alpha1*Doub1
          + 27/20*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*alpha1*Doub1*z3
          - 27/80*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*alpha1*Doub1*z2
          + 117/16*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]^2
          + 39/8*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1]]*Tr[l[1,1]]
          - 153/16*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1].d[1,1]]
          - 51/16*MatrixProduct[d[1,1].Yu1]*Tr[d[1,1].d[2,2]]
          + 117/16*MatrixProduct[d[1,1].Yu1]*Tr[d[1,2]]*Tr[d[2,1]]
          + 39/16*MatrixProduct[d[1,1].Yu1]*Tr[d[1,2]]*Tr[l[2,1]]
          - 51/8*MatrixProduct[d[1,1].Yu1]*Tr[d[1,2].d[2,1]]
          + 39/16*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*Tr[l[1,2]]
          - 43/12*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]*alpha3
          + 15/16*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]*alpha2
          + 45/4*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]*alpha2*z3
          - 9/16*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]*alpha2*z2
          - 15/4*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]*alpha2*Doub1
          - 27/4*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]*alpha2*Doub1*z3
          + 9/16*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]*alpha2*Doub1*z2
          - 1403/480*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]*alpha1
          - 63/20*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]*alpha1*z3
          + 9/80*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]*alpha1*z2
          + 1011/160*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]*alpha1*Doub1
          + 9/20*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]*alpha1*Doub1*z3
          - 9/80*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]*alpha1*Doub1*z2
          + 13/16*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1]]^2
          - 51/16*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1].l[1,1]]
          - 17/16*MatrixProduct[d[1,1].Yu1]*Tr[l[1,1].l[2,2]]
          + 13/16*MatrixProduct[d[1,1].Yu1]*Tr[l[1,2]]*Tr[l[2,1]]
          - 17/8*MatrixProduct[d[1,1].Yu1]*Tr[l[1,2].l[2,1]]
          + 27/8*MatrixProduct[d[1,1].Yu2]*lam[1,2,2,2]*lam[1,2,2,1]
          + 27/8*MatrixProduct[d[1,1].Yu2]*lam[1,2,2,2]*lam[2,2,2,2]
          + 27/8*MatrixProduct[d[1,1].Yu2]*lam[1,2,1,2]*lam[2,1,2,2]
          + 3/8*MatrixProduct[d[1,1].Yu2]*lam[1,1,2,2]*lam[1,2,2,2]
          + 3/8*MatrixProduct[d[1,1].Yu2]*lam[1,1,2,1]*lam[1,2,1,2]
          + 3/8*MatrixProduct[d[1,1].Yu2]*lam[1,1,1,2]*lam[1,2,2,1]
          + 27/8*MatrixProduct[d[1,1].Yu2]*lam[1,1,1,2]*lam[1,1,2,2]
          + 3/8*MatrixProduct[d[1,1].Yu2]*lam[1,1,1,1]*lam[1,1,1,2]
          + 3*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,1,1,2]
          - 9/2*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,1,1,2]*Doub2*z3
          - 3/2*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,1,1,2]*Doub1
          - 9/2*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,1,1,2]*Doub1*z3
          - 3/2*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,1,1,2]*Doub1*Doub2
          + 9*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,1,1,2]*Doub1*Doub2*z3
          + 9*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*Tr[u[1,2]]
          + 9*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*Tr[d[1,2]]
          + 3*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*Tr[l[1,2]]
          - 225/16*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1].u[1,2]]
          + 177/16*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1].d[1,2]]
          - 18*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1].d[1,2]]*z3
          + 3/2*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*lam[1,2,2,1]
          - 3/2*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*lam[1,1,2,2]
          + 39*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha3
          - 48*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha3*z3
          - 243/32*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha2
          + 135/4*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha2*z3
          - 27/16*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha2*z2
          - 225/32*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub2
          - 81/8*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub2*z2
          - 171/8*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1
          - 81/8*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1*z2
          + 1035/32*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 597/160*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha1
          - 111/20*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha1*z3
          + 27/80*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha1*z2
          - 507/160*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub2
          + 81/40*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub2*z2
          - 3/10*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1
          + 81/40*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1*z3
          - 27/80*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1*z2
          + 513/160*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 9*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*Tr[u[2,2]]
          + 9*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*Tr[d[1,1]]
          + 9*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*Tr[d[2,2]]
          + 3*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*Tr[l[1,1]]
          + 3*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*Tr[l[2,2]]
          - 225/16*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2].u[2,2]]
          + 177/16*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2].d[1,1]]
          - 18*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2].d[1,1]]*z3
          - 15/16*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2].d[2,2]]
          + 9*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*Tr[d[1,2]]
          + 3*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*Tr[l[1,2]]
          - 15/16*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2].d[1,2]]
          + 9*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*Tr[d[1,2]]
          + 3*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*Tr[l[1,2]]
          - 225/16*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1].d[1,2]]
          + 3/2*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*lam[1,2,2,1]
          - 3/2*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*lam[1,1,2,2]
          + 39*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha3
          - 48*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha3*z3
          - 243/32*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha2
          + 135/4*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha2*z3
          - 27/16*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha2*z2
          - 225/32*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub2
          - 81/8*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub2*z2
          - 171/8*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1
          - 81/8*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1*z2
          + 1035/32*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 3/32*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha1
          - 39/20*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha1*z3
          + 27/80*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha1*z2
          - 507/160*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub2
          + 81/40*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub2*z2
          - 3/10*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1
          + 81/40*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1*z3
          - 27/80*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1*z2
          + 513/160*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 9*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*Tr[d[2,2]]
          + 3*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*Tr[l[1,1]]
          + 3*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*Tr[l[2,2]]
          - 225/16*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2].d[2,2]]
          + 3*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*Tr[l[1,2]]
          + MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]*Tr[l[1,2]]
          - 75/16*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1].l[1,2]]
          + 1/2*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*lam[1,2,2,1]
          - 1/2*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*lam[1,1,2,2]
          - 4*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha3
          - 81/32*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha2
          + 45/4*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha2*z3
          - 9/16*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha2*z2
          - 75/32*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub2
          - 27/8*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub2*z2
          - 57/8*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1
          - 27/8*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1*z3
          + 9/16*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1*z2
          + 345/32*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          - 9/32*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 135/32*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha1
          - 93/20*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha1*z3
          + 9/80*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha1*z2
          - 169/160*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub2
          + 27/40*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub2*z3
          - 9/160*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub2*z2
          - 1/10*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1*z3
          - 9/80*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          + 9/160*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          + MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*Tr[l[2,2]]
          - 75/16*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2].l[2,2]]
          + 45/16*MatrixProduct[d[1,2].u[1,1].u[1,1].Yu2]
          + 3/8*MatrixProduct[d[1,2].u[1,1].u[2,1].Yu1]
          - 1/4*MatrixProduct[d[1,2].u[1,1].u[2,2].Yu2]
          - 27/16*MatrixProduct[d[1,2].u[1,1].d[1,1].Yu2]
          + 1/8*MatrixProduct[d[1,2].u[1,1].d[2,1].Yu1]
          + 1/2*MatrixProduct[d[1,2].u[1,1].d[2,2].Yu2]
          - 3/2*MatrixProduct[d[1,2].u[1,1].Yu1]*lam[1,1,2,1]
          - 39/32*MatrixProduct[d[1,2].u[1,1].Yu1]*Tr[u[2,1]]
          - 39/32*MatrixProduct[d[1,2].u[1,1].Yu1]*Tr[d[2,1]]
          - 13/32*MatrixProduct[d[1,2].u[1,1].Yu1]*Tr[l[2,1]]
          - 9/4*MatrixProduct[d[1,2].u[1,1].Yu2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[d[1,2].u[1,1].Yu2]*lam[1,1,2,2]
          - 67/3*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha3
          + 8*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha3*z3
          - 531/64*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha2
          + 9/4*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha2*z3
          + 39/4*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha2*Doub2
          - 9/4*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha2*Doub2*z3
          + 327/32*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha2*Doub1
          - 9/2*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha2*Doub1*z3
          - 111/16*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha2*Doub1*Doub2
          + 9/2*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha2*Doub1*Doub2*z3
          + 2567/960*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha1
          - 13/20*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha1*z3
          + 17/8*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha1*Doub2
          - 21/20*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha1*Doub2*z3
          - 533/160*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha1*Doub1
          + 3/5*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha1*Doub1*z3
          - 99/80*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha1*Doub1*Doub2
          + 9/10*MatrixProduct[d[1,2].u[1,1].Yu2]*alpha1*Doub1*Doub2*z3
          + 21/16*MatrixProduct[d[1,2].u[1,1].Yu2]*Tr[u[1,1]]
          - 3/2*MatrixProduct[d[1,2].u[1,1].Yu2]*Tr[u[2,2]]
          + 21/16*MatrixProduct[d[1,2].u[1,1].Yu2]*Tr[d[1,1]]
          - 3/2*MatrixProduct[d[1,2].u[1,1].Yu2]*Tr[d[2,2]]
          + 7/16*MatrixProduct[d[1,2].u[1,1].Yu2]*Tr[l[1,1]]
          - 1/2*MatrixProduct[d[1,2].u[1,1].Yu2]*Tr[l[2,2]]
          + 33/16*MatrixProduct[d[1,2].u[1,2].u[2,1].Yu2]
          - MatrixProduct[d[1,2].u[1,2].d[2,1].Yu2]
          - 3/2*MatrixProduct[d[1,2].u[1,2].Yu1]*lam[2,1,2,1]
          - 3/2*MatrixProduct[d[1,2].u[1,2].Yu2]*lam[2,1,2,2]
          + 21/16*MatrixProduct[d[1,2].u[1,2].Yu2]*Tr[u[2,1]]
          + 21/16*MatrixProduct[d[1,2].u[1,2].Yu2]*Tr[d[2,1]]
          + 7/16*MatrixProduct[d[1,2].u[1,2].Yu2]*Tr[l[2,1]]
          - 19/32*MatrixProduct[d[1,2].u[2,1].u[1,1].Yu1]
          + 1/16*MatrixProduct[d[1,2].u[2,1].u[1,2].Yu2]
          + 3/2*MatrixProduct[d[1,2].u[2,1].u[2,2].Yu1]
          - 3*MatrixProduct[d[1,2].u[2,1].u[2,2].Yu1]*z3
          - 3/4*MatrixProduct[d[1,2].u[2,1].d[1,1].Yu1]
          - 3/2*MatrixProduct[d[1,2].u[2,1].d[1,2].Yu2]
          + 21/16*MatrixProduct[d[1,2].u[2,1].d[2,2].Yu1]
          + 1/2*MatrixProduct[d[1,2].u[2,1].Yu1]*lam[1,2,2,1]
          - 5*MatrixProduct[d[1,2].u[2,1].Yu1]*lam[1,1,2,2]
          + 3/2*MatrixProduct[d[1,2].u[2,1].Yu1]*lam[1,1,1,1]
          + 70/3*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha3
          - 4*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha3*z3
          + 291/64*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha2
          - 9/16*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha2*z2
          - 63/32*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha2*Doub2
          + 9/32*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha2*Doub2*z2
          - 273/64*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha2*Doub1
          + 9/16*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha2*Doub1*z2
          + 195/64*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha2*Doub1*Doub2
          - 9/8*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha2*Doub1*Doub2*z2
          - 593/960*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha1
          + 11/5*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha1*z3
          + 207/160*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha1*Doub2
          + 27/20*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha1*Doub2*z3
          - 9/32*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha1*Doub2*z2
          - 547/320*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha1*Doub1
          - 9/5*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha1*Doub1*z3
          + 9/40*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha1*Doub1*z2
          + 261/320*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha1*Doub1*Doub2*z3
          + 9/160*MatrixProduct[d[1,2].u[2,1].Yu1]*alpha1*Doub1*Doub2*
         z2
          + 9/32*MatrixProduct[d[1,2].u[2,1].Yu1]*Tr[u[1,1]]
          + 9/32*MatrixProduct[d[1,2].u[2,1].Yu1]*Tr[u[2,2]]
          + 9/32*MatrixProduct[d[1,2].u[2,1].Yu1]*Tr[d[1,1]]
          + 9/32*MatrixProduct[d[1,2].u[2,1].Yu1]*Tr[d[2,2]]
          + 3/32*MatrixProduct[d[1,2].u[2,1].Yu1]*Tr[l[1,1]]
          + 3/32*MatrixProduct[d[1,2].u[2,1].Yu1]*Tr[l[2,2]]
          - 9/2*MatrixProduct[d[1,2].u[2,1].Yu2]*lam[1,2,2,2]
          + 3/2*MatrixProduct[d[1,2].u[2,1].Yu2]*lam[1,1,1,2]
          - 75/16*MatrixProduct[d[1,2].u[2,1].Yu2]*Tr[u[1,2]]
          - 75/16*MatrixProduct[d[1,2].u[2,1].Yu2]*Tr[d[1,2]]
          - 25/16*MatrixProduct[d[1,2].u[2,1].Yu2]*Tr[l[1,2]]
          + 3/4*MatrixProduct[d[1,2].u[2,2].u[1,1].Yu2]
          - 7/32*MatrixProduct[d[1,2].u[2,2].u[2,1].Yu1]
          + 21/16*MatrixProduct[d[1,2].u[2,2].u[2,2].Yu2]
          - 3*MatrixProduct[d[1,2].u[2,2].u[2,2].Yu2]*z3
          - 19/16*MatrixProduct[d[1,2].u[2,2].d[1,1].Yu2]
          - 7/16*MatrixProduct[d[1,2].u[2,2].d[2,1].Yu1]
          - 9/2*MatrixProduct[d[1,2].u[2,2].Yu1]*lam[2,1,2,2]
          + 3/2*MatrixProduct[d[1,2].u[2,2].Yu1]*lam[1,1,2,1]
          + 57/32*MatrixProduct[d[1,2].u[2,2].Yu1]*Tr[u[2,1]]
          + 57/32*MatrixProduct[d[1,2].u[2,2].Yu1]*Tr[d[2,1]]
          + 19/32*MatrixProduct[d[1,2].u[2,2].Yu1]*Tr[l[2,1]]
          + 13/4*MatrixProduct[d[1,2].u[2,2].Yu2]*lam[1,2,2,1]
          - 9/2*MatrixProduct[d[1,2].u[2,2].Yu2]*lam[2,2,2,2]
          - 7/4*MatrixProduct[d[1,2].u[2,2].Yu2]*lam[1,1,2,2]
          + 23*MatrixProduct[d[1,2].u[2,2].Yu2]*alpha3
          + 8*MatrixProduct[d[1,2].u[2,2].Yu2]*alpha3*z3
          - 675/64*MatrixProduct[d[1,2].u[2,2].Yu2]*alpha2
          + 27/4*MatrixProduct[d[1,2].u[2,2].Yu2]*alpha2*z3
          + 393/32*MatrixProduct[d[1,2].u[2,2].Yu2]*alpha2*Doub2
          - 27/4*MatrixProduct[d[1,2].u[2,2].Yu2]*alpha2*Doub2*z3
          + 21/16*MatrixProduct[d[1,2].u[2,2].Yu2]*alpha2*Doub1
          - 21/16*MatrixProduct[d[1,2].u[2,2].Yu2]*alpha2*Doub1*Doub2
          + 957/320*MatrixProduct[d[1,2].u[2,2].Yu2]*alpha1
          + 53/20*MatrixProduct[d[1,2].u[2,2].Yu2]*alpha1*z3
          - 319/160*MatrixProduct[d[1,2].u[2,2].Yu2]*alpha1*Doub2
          - 81/20*MatrixProduct[d[1,2].u[2,2].Yu2]*alpha1*Doub2*z3
          - 39/80*MatrixProduct[d[1,2].u[2,2].Yu2]*alpha1*Doub1
          + 39/80*MatrixProduct[d[1,2].u[2,2].Yu2]*alpha1*Doub1*Doub2
          - 51/16*MatrixProduct[d[1,2].u[2,2].Yu2]*Tr[u[2,2]]
          - 51/16*MatrixProduct[d[1,2].u[2,2].Yu2]*Tr[d[2,2]]
          - 17/16*MatrixProduct[d[1,2].u[2,2].Yu2]*Tr[l[2,2]]
          - 7/4*MatrixProduct[d[1,2].d[1,1].u[1,1].Yu2]
          - 87/32*MatrixProduct[d[1,2].d[1,1].u[2,1].Yu1]
          + 3/4*MatrixProduct[d[1,2].d[1,1].u[2,2].Yu2]
          + 27/8*MatrixProduct[d[1,2].d[1,1].d[1,1].Yu2]
          - 3*MatrixProduct[d[1,2].d[1,1].d[1,1].Yu2]*z3
          - 3*MatrixProduct[d[1,2].d[1,1].d[2,1].Yu1]
          + 3*MatrixProduct[d[1,2].d[1,1].d[2,1].Yu1]*z3
          - 3/2*MatrixProduct[d[1,2].d[1,1].d[2,2].Yu2]
          - 3*MatrixProduct[d[1,2].d[1,1].Yu1]*lam[1,1,2,1]
          - 3/4*MatrixProduct[d[1,2].d[1,1].Yu1]*Tr[u[2,1]]
          - 3/4*MatrixProduct[d[1,2].d[1,1].Yu1]*Tr[d[2,1]]
          - 1/4*MatrixProduct[d[1,2].d[1,1].Yu1]*Tr[l[2,1]]
          + 3/4*MatrixProduct[d[1,2].d[1,1].Yu2]*lam[1,2,2,1]
          - 21/4*MatrixProduct[d[1,2].d[1,1].Yu2]*lam[1,1,2,2]
          - 15/2*MatrixProduct[d[1,2].d[1,1].Yu2]*lam[1,1,1,1]
          + 21*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha3
          + 24*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha3*z3
          - 777/64*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha2
          + 27/4*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha2*z3
          + 15/4*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha2*Doub2
          - 27/4*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha2*Doub2*z3
          + 867/32*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha2*Doub1
          - 18*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha2*Doub1*z3
          - 135/16*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha2*Doub1*Doub2
          + 9*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha2*Doub1*Doub2*z3
          - 2097/320*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha1
          + 15/4*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha1*z3
          + 21/40*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha1*Doub2
          - 27/20*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha1*Doub2*z3
          + 1789/160*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha1*Doub1
          - 6*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha1*Doub1*z3
          - 147/80*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha1*Doub1*Doub2
          + 9/5*MatrixProduct[d[1,2].d[1,1].Yu2]*alpha1*Doub1*Doub2*z3
          - 225/16*MatrixProduct[d[1,2].d[1,1].Yu2]*Tr[u[1,1]]
          + 9/2*MatrixProduct[d[1,2].d[1,1].Yu2]*Tr[u[2,2]]
          - 225/16*MatrixProduct[d[1,2].d[1,1].Yu2]*Tr[d[1,1]]
          + 9/2*MatrixProduct[d[1,2].d[1,1].Yu2]*Tr[d[2,2]]
          - 75/16*MatrixProduct[d[1,2].d[1,1].Yu2]*Tr[l[1,1]]
          + 3/2*MatrixProduct[d[1,2].d[1,1].Yu2]*Tr[l[2,2]]
          - 5*MatrixProduct[d[1,2].d[1,2].u[2,1].Yu2]
          + 25/16*MatrixProduct[d[1,2].d[1,2].d[2,1].Yu2]
          - 3*MatrixProduct[d[1,2].d[1,2].Yu1]*lam[2,1,2,1]
          - 9/2*MatrixProduct[d[1,2].d[1,2].Yu2]*lam[2,1,2,2]
          - 15/2*MatrixProduct[d[1,2].d[1,2].Yu2]*lam[1,1,2,1]
          - 297/16*MatrixProduct[d[1,2].d[1,2].Yu2]*Tr[u[2,1]]
          - 297/16*MatrixProduct[d[1,2].d[1,2].Yu2]*Tr[d[2,1]]
          - 99/16*MatrixProduct[d[1,2].d[1,2].Yu2]*Tr[l[2,1]]
          - 5/4*MatrixProduct[d[1,2].d[2,1].u[1,1].Yu1]
          + 6*MatrixProduct[d[1,2].d[2,1].u[1,1].Yu1]*z3
          - 3/2*MatrixProduct[d[1,2].d[2,1].u[1,2].Yu2]
          + 5/32*MatrixProduct[d[1,2].d[2,1].u[2,2].Yu1]
          + 3/4*MatrixProduct[d[1,2].d[2,1].d[1,1].Yu1]
          - 9/4*MatrixProduct[d[1,2].d[2,1].d[1,1].Yu1]*z3
          - 7/16*MatrixProduct[d[1,2].d[2,1].d[1,2].Yu2]
          + 15/16*MatrixProduct[d[1,2].d[2,1].d[2,2].Yu1]
          - MatrixProduct[d[1,2].d[2,1].Yu1]*lam[1,2,2,1]
          + 5/2*MatrixProduct[d[1,2].d[2,1].Yu1]*lam[1,1,2,2]
          + 3*MatrixProduct[d[1,2].d[2,1].Yu1]*lam[1,1,1,1]
          - 14*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha3
          + 16*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha3*z3
          - 69/32*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha2
          - 9/2*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha2*z3
          + 9/32*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha2*z2
          + 27/32*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha2*Doub2
          - 9/32*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha2*Doub2*z2
          - 201/64*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha2*Doub1
          + 9/2*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha2*Doub1*z3
          - 9/32*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha2*Doub1*z2
          + 207/64*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha2*Doub1*Doub2
          - 9/4*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha2*Doub1*Doub2*z3
          + 9/32*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha2*Doub1*Doub2*z2
          - 2077/320*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha1
          - 13/10*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha1*z3
          - 193/160*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha1*Doub2
          + 9/10*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha1*Doub2*z3
          + 9/32*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha1*Doub2*z2
          + 123/20*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha1*Doub1
          + 9/10*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha1*Doub1*z3
          - 9/40*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha1*Doub1*z2
          + 537/320*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha1*Doub1*Doub2*
         z3
          - 9/160*MatrixProduct[d[1,2].d[2,1].Yu1]*alpha1*Doub1*Doub2*
         z2
          + 99/16*MatrixProduct[d[1,2].d[2,1].Yu1]*Tr[u[1,1]]
          - 21/4*MatrixProduct[d[1,2].d[2,1].Yu1]*Tr[u[2,2]]
          + 99/16*MatrixProduct[d[1,2].d[2,1].Yu1]*Tr[d[1,1]]
          - 21/4*MatrixProduct[d[1,2].d[2,1].Yu1]*Tr[d[2,2]]
          + 33/16*MatrixProduct[d[1,2].d[2,1].Yu1]*Tr[l[1,1]]
          - 7/4*MatrixProduct[d[1,2].d[2,1].Yu1]*Tr[l[2,2]]
          - 9/2*MatrixProduct[d[1,2].d[2,1].Yu2]*lam[1,1,1,2]
          - 3/16*MatrixProduct[d[1,2].d[2,1].Yu2]*Tr[u[1,2]]
          - 3/16*MatrixProduct[d[1,2].d[2,1].Yu2]*Tr[d[1,2]]
          - 1/16*MatrixProduct[d[1,2].d[2,1].Yu2]*Tr[l[1,2]]
          + 6*MatrixProduct[d[1,2].d[2,2].u[1,1].Yu2]*z3
          - 1/8*MatrixProduct[d[1,2].d[2,2].u[2,1].Yu1]
          + 33/16*MatrixProduct[d[1,2].d[2,2].d[1,1].Yu2]
          - 3*MatrixProduct[d[1,2].d[2,2].d[1,1].Yu2]*z3
          - 35/16*MatrixProduct[d[1,2].d[2,2].d[2,1].Yu1]
          + 3/4*MatrixProduct[d[1,2].d[2,2].d[2,1].Yu1]*z3
          - 11/16*MatrixProduct[d[1,2].d[2,2].d[2,2].Yu2]
          + 3/2*MatrixProduct[d[1,2].d[2,2].Yu1]*lam[2,1,2,2]
          + 3*MatrixProduct[d[1,2].d[2,2].Yu1]*lam[1,1,2,1]
          + 123/16*MatrixProduct[d[1,2].d[2,2].Yu1]*Tr[u[2,1]]
          + 123/16*MatrixProduct[d[1,2].d[2,2].Yu1]*Tr[d[2,1]]
          + 41/16*MatrixProduct[d[1,2].d[2,2].Yu1]*Tr[l[2,1]]
          - 9/4*MatrixProduct[d[1,2].d[2,2].Yu2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[d[1,2].d[2,2].Yu2]*lam[1,1,2,2]
          - 7/3*MatrixProduct[d[1,2].d[2,2].Yu2]*alpha3
          + 24*MatrixProduct[d[1,2].d[2,2].Yu2]*alpha3*z3
          - 771/64*MatrixProduct[d[1,2].d[2,2].Yu2]*alpha2
          + 9/4*MatrixProduct[d[1,2].d[2,2].Yu2]*alpha2*z3
          + 489/32*MatrixProduct[d[1,2].d[2,2].Yu2]*alpha2*Doub2
          - 27/4*MatrixProduct[d[1,2].d[2,2].Yu2]*alpha2*Doub2*z3
          + 33/16*MatrixProduct[d[1,2].d[2,2].Yu2]*alpha2*Doub1
          - 33/16*MatrixProduct[d[1,2].d[2,2].Yu2]*alpha2*Doub1*Doub2
          - 605/192*MatrixProduct[d[1,2].d[2,2].Yu2]*alpha1
          - 39/20*MatrixProduct[d[1,2].d[2,2].Yu2]*alpha1*z3
          + 731/160*MatrixProduct[d[1,2].d[2,2].Yu2]*alpha1*Doub2
          + 9/20*MatrixProduct[d[1,2].d[2,2].Yu2]*alpha1*Doub2*z3
          + 9/16*MatrixProduct[d[1,2].d[2,2].Yu2]*alpha1*Doub1
          - 9/16*MatrixProduct[d[1,2].d[2,2].Yu2]*alpha1*Doub1*Doub2
          - 51/16*MatrixProduct[d[1,2].d[2,2].Yu2]*Tr[u[2,2]]
          - 51/16*MatrixProduct[d[1,2].d[2,2].Yu2]*Tr[d[2,2]]
          - 17/16*MatrixProduct[d[1,2].d[2,2].Yu2]*Tr[l[2,2]]
          + 75/32*MatrixProduct[d[1,2].Yu1]*lam[2,1,2,2]*lam[1,2,2,1]
          + 75/32*MatrixProduct[d[1,2].Yu1]*lam[2,1,2,2]*lam[2,2,2,2]
          + 75/32*MatrixProduct[d[1,2].Yu1]*lam[2,1,2,1]*lam[1,2,2,2]
          - 21/32*MatrixProduct[d[1,2].Yu1]*lam[1,1,2,2]*lam[2,1,2,2]
          - 21/32*MatrixProduct[d[1,2].Yu1]*lam[1,1,2,1]*lam[1,2,2,1]
          + 75/32*MatrixProduct[d[1,2].Yu1]*lam[1,1,2,1]*lam[1,1,2,2]
          - 21/32*MatrixProduct[d[1,2].Yu1]*lam[1,1,1,2]*lam[2,1,2,1]
          - 21/32*MatrixProduct[d[1,2].Yu1]*lam[1,1,1,1]*lam[1,1,2,1]
          + 3*MatrixProduct[d[1,2].Yu1]*alpha2*lam[1,1,2,1]
          + 9/2*MatrixProduct[d[1,2].Yu1]*alpha2*lam[1,1,2,1]*Doub2
          - 9/2*MatrixProduct[d[1,2].Yu1]*alpha2*lam[1,1,2,1]*Doub2*z3
          - 9*MatrixProduct[d[1,2].Yu1]*alpha2*lam[1,1,2,1]*Doub1*z3
          - 15/2*MatrixProduct[d[1,2].Yu1]*alpha2*lam[1,1,2,1]*Doub1*Doub2
          + 27/2*MatrixProduct[d[1,2].Yu1]*alpha2*lam[1,1,2,1]*Doub1*Doub2*
         z3
          + 117/16*MatrixProduct[d[1,2].Yu1]*Tr[u[1,1]]*Tr[u[2,1]]
          + 117/16*MatrixProduct[d[1,2].Yu1]*Tr[u[1,1]]*Tr[d[2,1]]
          + 39/16*MatrixProduct[d[1,2].Yu1]*Tr[u[1,1]]*Tr[l[2,1]]
          - 153/16*MatrixProduct[d[1,2].Yu1]*Tr[u[1,1].u[2,1]]
          + 177/16*MatrixProduct[d[1,2].Yu1]*Tr[u[1,1].d[2,1]]
          - 18*MatrixProduct[d[1,2].Yu1]*Tr[u[1,1].d[2,1]]*z3
          - 3*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*lam[1,2,2,1]
          + 3*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*lam[1,1,2,2]
          + 97/4*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha3
          - 36*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha3*z3
          - 261/16*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha2
          + 135/4*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha2*z3
          + 9/128*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha2*Doub2
          - 81/8*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha2*Doub2*z3
          - 981/128*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1
          - 81/8*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1*z3
          + 495/32*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          - 1411/160*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha1
          - 63/20*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha1*z3
          + 2859/640*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha1*Doub2
          + 27/40*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha1*Doub2*z3
          + 4233/640*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1*z3
          + 9/5*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1*Doub2
          + 117/16*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*Tr[u[2,2]]
          + 117/16*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*Tr[d[1,1]]
          + 117/16*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*Tr[d[2,2]]
          + 39/16*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*Tr[l[1,1]]
          + 39/16*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1]]*Tr[l[2,2]]
          - 153/16*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1].u[2,2]]
          + 177/16*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1].d[1,1]]
          - 18*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1].d[1,1]]*z3
          - 15/16*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1].d[2,2]]
          + 117/16*MatrixProduct[d[1,2].Yu1]*Tr[u[2,2]]*Tr[d[2,1]]
          + 39/16*MatrixProduct[d[1,2].Yu1]*Tr[u[2,2]]*Tr[l[2,1]]
          - 15/16*MatrixProduct[d[1,2].Yu1]*Tr[u[2,2].d[2,1]]
          + 117/16*MatrixProduct[d[1,2].Yu1]*Tr[d[1,1]]*Tr[d[2,1]]
          + 39/16*MatrixProduct[d[1,2].Yu1]*Tr[d[1,1]]*Tr[l[2,1]]
          - 153/16*MatrixProduct[d[1,2].Yu1]*Tr[d[1,1].d[2,1]]
          - 3*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*lam[1,2,2,1]
          + 3*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*lam[1,1,2,2]
          + 97/4*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha3
          - 36*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha3*z3
          - 261/16*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha2
          + 135/4*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha2*z3
          + 9/128*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha2*Doub2
          - 81/8*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha2*Doub2*z3
          - 981/128*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1
          - 81/8*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1*z3
          + 495/32*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          - 1831/160*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha1
          - 9/20*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha1*z3
          + 2859/640*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha1*Doub2
          + 27/40*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha1*Doub2*z3
          + 4233/640*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1*z3
          + 9/5*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1*Doub2
          + 117/16*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*Tr[d[2,2]]
          + 39/16*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*Tr[l[1,1]]
          + 39/16*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1]]*Tr[l[2,2]]
          - 153/16*MatrixProduct[d[1,2].Yu1]*Tr[d[2,1].d[2,2]]
          + 39/16*MatrixProduct[d[1,2].Yu1]*Tr[d[2,2]]*Tr[l[2,1]]
          + 13/16*MatrixProduct[d[1,2].Yu1]*Tr[l[1,1]]*Tr[l[2,1]]
          - 51/16*MatrixProduct[d[1,2].Yu1]*Tr[l[1,1].l[2,1]]
          - MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*lam[1,2,2,1]
          + MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*lam[1,1,2,2]
          - 43/12*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha3
          - 87/16*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha2
          + 45/4*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha2*z3
          + 3/128*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha2*Doub2
          - 27/8*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha2*Doub2*z3
          - 327/128*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1
          - 27/8*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1*z3
          + 165/32*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          - 431/480*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha1
          - 63/20*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha1*z3
          + 953/640*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha1*Doub2
          + 9/40*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha1*Doub2*z3
          + 1411/640*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1
          + 9/40*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1*z3
          + 3/5*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1*Doub2
          + 13/16*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1]]*Tr[l[2,2]]
          - 51/16*MatrixProduct[d[1,2].Yu1]*Tr[l[2,1].l[2,2]]
          + 11/4*MatrixProduct[d[1,2].Yu2]*lam[1,2,2,1]^2
          + 27/8*MatrixProduct[d[1,2].Yu2]*lam[2,2,2,2]^2
          + 93/8*MatrixProduct[d[1,2].Yu2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 39/8*MatrixProduct[d[1,2].Yu2]*lam[1,2,1,2]*lam[2,1,2,1]
          + 17/4*MatrixProduct[d[1,2].Yu2]*lam[1,1,2,2]*lam[1,2,2,1]
          - 9/2*MatrixProduct[d[1,2].Yu2]*lam[1,1,2,2]*lam[2,2,2,2]
          + 5/4*MatrixProduct[d[1,2].Yu2]*lam[1,1,2,2]^2
          - 9/2*MatrixProduct[d[1,2].Yu2]*lam[1,1,2,1]*lam[1,2,2,2]
          - 9/2*MatrixProduct[d[1,2].Yu2]*lam[1,1,1,2]*lam[2,1,2,2]
          + 39/8*MatrixProduct[d[1,2].Yu2]*lam[1,1,1,2]*lam[1,1,2,1]
          - 9/2*MatrixProduct[d[1,2].Yu2]*lam[1,1,1,1]*lam[1,1,2,2]
          + 4/3*MatrixProduct[d[1,2].Yu2]*alpha3*lam[1,2,2,1]
          - 4/3*MatrixProduct[d[1,2].Yu2]*alpha3*lam[1,1,2,2]
          - 2689/9*MatrixProduct[d[1,2].Yu2]*alpha3^2
          + 120*MatrixProduct[d[1,2].Yu2]*alpha3^2*z3
          + 52/3*MatrixProduct[d[1,2].Yu2]*alpha3^2*Ng
          + 9/8*MatrixProduct[d[1,2].Yu2]*alpha2*lam[1,2,2,1]
          - 9/8*MatrixProduct[d[1,2].Yu2]*alpha2*lam[1,2,2,1]*Doub2
          - 33/8*MatrixProduct[d[1,2].Yu2]*alpha2*lam[1,2,2,1]*Doub1
          - 9/2*MatrixProduct[d[1,2].Yu2]*alpha2*lam[1,2,2,1]*Doub1*z3
          - 3/2*MatrixProduct[d[1,2].Yu2]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 9/2*MatrixProduct[d[1,2].Yu2]*alpha2*lam[1,2,2,1]*Doub1*Doub2*z3
          + 15/8*MatrixProduct[d[1,2].Yu2]*alpha2*lam[1,1,2,2]
          + 15/8*MatrixProduct[d[1,2].Yu2]*alpha2*lam[1,1,2,2]*Doub2
          + 15/8*MatrixProduct[d[1,2].Yu2]*alpha2*lam[1,1,2,2]*Doub1
          + 147/4*MatrixProduct[d[1,2].Yu2]*alpha2*alpha3
          - 84*MatrixProduct[d[1,2].Yu2]*alpha2*alpha3*z3
          + 13*MatrixProduct[d[1,2].Yu2]*alpha2*alpha3*Doub2
          - 24*MatrixProduct[d[1,2].Yu2]*alpha2*alpha3*Doub2*z3
          + 3015/128*MatrixProduct[d[1,2].Yu2]*alpha2^2
          - 27/2*MatrixProduct[d[1,2].Yu2]*alpha2^2*z3
          - 21/8*MatrixProduct[d[1,2].Yu2]*alpha2^2*Ng
          - 4413/128*MatrixProduct[d[1,2].Yu2]*alpha2^2*Doub2
          + 135/4*MatrixProduct[d[1,2].Yu2]*alpha2^2*Doub2*z3
          + 51/8*MatrixProduct[d[1,2].Yu2]*alpha2^2*Doub2*Ng
          - 207/64*MatrixProduct[d[1,2].Yu2]*alpha2^2*Doub1
          + 9/2*MatrixProduct[d[1,2].Yu2]*alpha2^2*Doub1*z3
          + 189/64*MatrixProduct[d[1,2].Yu2]*alpha2^2*Doub1*Doub2
          - 9/4*MatrixProduct[d[1,2].Yu2]*alpha2^2*Doub1*Doub2*z3
          - 121/120*MatrixProduct[d[1,2].Yu2]*alpha1*lam[1,2,2,1]
          + 9/40*MatrixProduct[d[1,2].Yu2]*alpha1*lam[1,2,2,1]*Doub2
          - 3/8*MatrixProduct[d[1,2].Yu2]*alpha1*lam[1,2,2,1]*Doub1
          + 121/120*MatrixProduct[d[1,2].Yu2]*alpha1*lam[1,1,2,2]
          - 9/40*MatrixProduct[d[1,2].Yu2]*alpha1*lam[1,1,2,2]*Doub2
          + 3/8*MatrixProduct[d[1,2].Yu2]*alpha1*lam[1,1,2,2]*Doub1
          + 31/180*MatrixProduct[d[1,2].Yu2]*alpha1*alpha3
          - 4*MatrixProduct[d[1,2].Yu2]*alpha1*alpha3*z3
          + 61/15*MatrixProduct[d[1,2].Yu2]*alpha1*alpha3*Doub2
          - 8*MatrixProduct[d[1,2].Yu2]*alpha1*alpha3*Doub2*z3
          + 159/320*MatrixProduct[d[1,2].Yu2]*alpha1*alpha2
          + 6/5*MatrixProduct[d[1,2].Yu2]*alpha1*alpha2*z3
          + 103/320*MatrixProduct[d[1,2].Yu2]*alpha1*alpha2*Doub2
          - 6/5*MatrixProduct[d[1,2].Yu2]*alpha1*alpha2*Doub2*z3
          - 21/20*MatrixProduct[d[1,2].Yu2]*alpha1*alpha2*Doub1
          + 9/20*MatrixProduct[d[1,2].Yu2]*alpha1*alpha2*Doub1*z3
          - 3/2*MatrixProduct[d[1,2].Yu2]*alpha1*alpha2*Doub1*Doub2
          + 9/20*MatrixProduct[d[1,2].Yu2]*alpha1*alpha2*Doub1*Doub2*z3
          + 1159/28800*MatrixProduct[d[1,2].Yu2]*alpha1^2
          - 8/25*MatrixProduct[d[1,2].Yu2]*alpha1^2*z3
          - 67/120*MatrixProduct[d[1,2].Yu2]*alpha1^2*Ng
          - 2611/9600*MatrixProduct[d[1,2].Yu2]*alpha1^2*Doub2
          + 13/20*MatrixProduct[d[1,2].Yu2]*alpha1^2*Doub2*z3
          + 43/40*MatrixProduct[d[1,2].Yu2]*alpha1^2*Doub2*Ng
          - 69/320*MatrixProduct[d[1,2].Yu2]*alpha1^2*Doub1
          + 6/25*MatrixProduct[d[1,2].Yu2]*alpha1^2*Doub1*z3
          + 399/1600*MatrixProduct[d[1,2].Yu2]*alpha1^2*Doub1*Doub2
          - 9/100*MatrixProduct[d[1,2].Yu2]*alpha1^2*Doub1*Doub2*z3
          + 9/2*MatrixProduct[d[1,2].Yu2]*Tr[u[1,1]]*lam[1,2,2,1]
          - 9/2*MatrixProduct[d[1,2].Yu2]*Tr[u[1,1]]*lam[1,1,2,2]
          - 27/4*MatrixProduct[d[1,2].Yu2]*Tr[u[1,1]]*alpha2
          + 27/4*MatrixProduct[d[1,2].Yu2]*Tr[u[1,1]]*alpha2*Doub1
          - 27/20*MatrixProduct[d[1,2].Yu2]*Tr[u[1,1]]*alpha1
          + 27/20*MatrixProduct[d[1,2].Yu2]*Tr[u[1,1]]*alpha1*Doub1
          - 171/16*MatrixProduct[d[1,2].Yu2]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[d[1,2].Yu2]*Tr[u[1,1].u[2,2]]*z3
          + 117/16*MatrixProduct[d[1,2].Yu2]*Tr[u[1,1].d[2,2]]
          - 18*MatrixProduct[d[1,2].Yu2]*Tr[u[1,1].d[2,2]]*z3
          + 9*MatrixProduct[d[1,2].Yu2]*Tr[u[1,2]]*Tr[u[2,1]]
          + 9*MatrixProduct[d[1,2].Yu2]*Tr[u[1,2]]*Tr[d[2,1]]
          + 3*MatrixProduct[d[1,2].Yu2]*Tr[u[1,2]]*Tr[l[2,1]]
          - 27/8*MatrixProduct[d[1,2].Yu2]*Tr[u[1,2].u[2,1]]
          - 9*MatrixProduct[d[1,2].Yu2]*Tr[u[1,2].u[2,1]]*z3
          + 15/4*MatrixProduct[d[1,2].Yu2]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*Tr[d[1,2]]
          + 3*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*Tr[l[1,2]]
          + 15/4*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1].d[1,2]]
          + 3*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*lam[1,2,2,1]
          - 3*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*lam[1,1,2,2]
          + 39*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*alpha3
          - 48*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*alpha3*z3
          - 1071/32*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*alpha2
          + 135/4*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*alpha2*z3
          + 477/16*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*alpha2*Doub2
          - 81/4*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*alpha2*Doub2*z3
          + 1353/160*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*alpha1
          - 111/20*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*alpha1*z3
          - 399/80*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*alpha1*Doub2
          + 81/20*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*alpha1*Doub2*z3
          + 9*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]^2
          + 18*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*Tr[d[2,2]]
          + 6*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*Tr[l[2,2]]
          - 225/16*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2].u[2,2]]
          + 117/16*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2].d[1,1]]
          - 18*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2].d[1,1]]*z3
          - 15/8*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2].d[2,2]]
          + 9/2*MatrixProduct[d[1,2].Yu2]*Tr[d[1,1]]*lam[1,2,2,1]
          - 9/2*MatrixProduct[d[1,2].Yu2]*Tr[d[1,1]]*lam[1,1,2,2]
          - 27/4*MatrixProduct[d[1,2].Yu2]*Tr[d[1,1]]*alpha2
          + 27/4*MatrixProduct[d[1,2].Yu2]*Tr[d[1,1]]*alpha2*Doub1
          - 27/20*MatrixProduct[d[1,2].Yu2]*Tr[d[1,1]]*alpha1
          + 27/20*MatrixProduct[d[1,2].Yu2]*Tr[d[1,1]]*alpha1*Doub1
          - 171/16*MatrixProduct[d[1,2].Yu2]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[d[1,2].Yu2]*Tr[d[1,1].d[2,2]]*z3
          + 9*MatrixProduct[d[1,2].Yu2]*Tr[d[1,2]]*Tr[d[2,1]]
          + 3*MatrixProduct[d[1,2].Yu2]*Tr[d[1,2]]*Tr[l[2,1]]
          - 27/8*MatrixProduct[d[1,2].Yu2]*Tr[d[1,2].d[2,1]]
          - 9*MatrixProduct[d[1,2].Yu2]*Tr[d[1,2].d[2,1]]*z3
          + 3*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*Tr[l[1,2]]
          + 3*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]*lam[1,2,2,1]
          - 3*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]*lam[1,1,2,2]
          + 39*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]*alpha3
          - 48*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]*alpha3*z3
          - 1071/32*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]*alpha2
          + 135/4*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]*alpha2*z3
          + 477/16*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]*alpha2*Doub2
          - 81/4*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]*alpha2*Doub2*z3
          + 741/160*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]*alpha1
          - 39/20*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]*alpha1*z3
          - 399/80*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]*alpha1*Doub2
          + 81/20*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]*alpha1*Doub2*z3
          + 9*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]^2
          + 6*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]*Tr[l[2,2]]
          - 225/16*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2].d[2,2]]
          + 3/2*MatrixProduct[d[1,2].Yu2]*Tr[l[1,1]]*lam[1,2,2,1]
          - 3/2*MatrixProduct[d[1,2].Yu2]*Tr[l[1,1]]*lam[1,1,2,2]
          - 9/4*MatrixProduct[d[1,2].Yu2]*Tr[l[1,1]]*alpha2
          + 9/4*MatrixProduct[d[1,2].Yu2]*Tr[l[1,1]]*alpha2*Doub1
          - 9/20*MatrixProduct[d[1,2].Yu2]*Tr[l[1,1]]*alpha1
          + 9/20*MatrixProduct[d[1,2].Yu2]*Tr[l[1,1]]*alpha1*Doub1
          - 57/16*MatrixProduct[d[1,2].Yu2]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[d[1,2].Yu2]*Tr[l[1,1].l[2,2]]*z3
          + MatrixProduct[d[1,2].Yu2]*Tr[l[1,2]]*Tr[l[2,1]]
          - 9/8*MatrixProduct[d[1,2].Yu2]*Tr[l[1,2].l[2,1]]
          - 3*MatrixProduct[d[1,2].Yu2]*Tr[l[1,2].l[2,1]]*z3
          + MatrixProduct[d[1,2].Yu2]*Tr[l[2,2]]*lam[1,2,2,1]
          - MatrixProduct[d[1,2].Yu2]*Tr[l[2,2]]*lam[1,1,2,2]
          - 4*MatrixProduct[d[1,2].Yu2]*Tr[l[2,2]]*alpha3
          - 357/32*MatrixProduct[d[1,2].Yu2]*Tr[l[2,2]]*alpha2
          + 45/4*MatrixProduct[d[1,2].Yu2]*Tr[l[2,2]]*alpha2*z3
          + 159/16*MatrixProduct[d[1,2].Yu2]*Tr[l[2,2]]*alpha2*Doub2
          - 27/4*MatrixProduct[d[1,2].Yu2]*Tr[l[2,2]]*alpha2*Doub2*z3
          + 927/160*MatrixProduct[d[1,2].Yu2]*Tr[l[2,2]]*alpha1
          - 93/20*MatrixProduct[d[1,2].Yu2]*Tr[l[2,2]]*alpha1*z3
          - 133/80*MatrixProduct[d[1,2].Yu2]*Tr[l[2,2]]*alpha1*Doub2
          + 27/20*MatrixProduct[d[1,2].Yu2]*Tr[l[2,2]]*alpha1*Doub2*z3
          + MatrixProduct[d[1,2].Yu2]*Tr[l[2,2]]^2
          - 75/16*MatrixProduct[d[1,2].Yu2]*Tr[l[2,2].l[2,2]]
          + 41/32*MatrixProduct[d[2,1].u[1,1].u[1,2].Yu1]
          + 3*MatrixProduct[d[2,1].u[1,1].u[1,2].Yu1]*z3
          - 21/8*MatrixProduct[d[2,1].u[1,1].d[1,2].Yu1]
          + 9/2*MatrixProduct[d[2,1].u[1,1].Yu1]*lam[1,1,1,2]
          + 201/32*MatrixProduct[d[2,1].u[1,1].Yu1]*Tr[u[1,2]]
          + 201/32*MatrixProduct[d[2,1].u[1,1].Yu1]*Tr[d[1,2]]
          + 67/32*MatrixProduct[d[2,1].u[1,1].Yu1]*Tr[l[1,2]]
          + 9/2*MatrixProduct[d[2,1].u[1,1].Yu2]*lam[1,2,1,2]
          - 3/2*MatrixProduct[d[2,1].u[1,2].u[1,2].Yu2]
          + 3*MatrixProduct[d[2,1].u[1,2].u[1,2].Yu2]*z3
          + 45/32*MatrixProduct[d[2,1].u[1,2].u[2,2].Yu1]
          + 5/16*MatrixProduct[d[2,1].u[1,2].d[1,1].Yu1]
          - 3/2*MatrixProduct[d[2,1].u[1,2].d[1,2].Yu2]
          + 1/4*MatrixProduct[d[2,1].u[1,2].d[2,2].Yu1]
          + MatrixProduct[d[2,1].u[1,2].Yu1]*lam[1,2,2,1]
          + 7/2*MatrixProduct[d[2,1].u[1,2].Yu1]*lam[1,1,2,2]
          - 22*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha3
          - 4*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha3*z3
          + 435/64*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha2
          - 9/2*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha2*z3
          - 9/16*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha2*z2
          - 195/32*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha2*Doub2
          + 9/2*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha2*Doub2*z2
          - 57/64*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha2*Doub1
          + 9/2*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha2*Doub1*z3
          + 9/16*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha2*Doub1*z2
          + 291/64*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha2*Doub1*Doub2
          - 45/8*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha2*Doub1*Doub2*z2
          - 299/320*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha1
          - 11/10*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha1*z3
          - 583/160*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha1*Doub2
          + 21/10*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha1*Doub2*z3
          + 9/32*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha1*Doub2*z2
          + 191/64*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha1*Doub1
          + 3/2*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha1*Doub1*z3
          - 9/40*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha1*Doub1*z2
          + 39/64*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha1*Doub1*Doub2*
         z3
          - 9/160*MatrixProduct[d[2,1].u[1,2].Yu1]*alpha1*Doub1*Doub2*
         z2
          - 87/32*MatrixProduct[d[2,1].u[1,2].Yu1]*Tr[u[1,1]]
          + 201/32*MatrixProduct[d[2,1].u[1,2].Yu1]*Tr[u[2,2]]
          - 87/32*MatrixProduct[d[2,1].u[1,2].Yu1]*Tr[d[1,1]]
          + 201/32*MatrixProduct[d[2,1].u[1,2].Yu1]*Tr[d[2,2]]
          - 29/32*MatrixProduct[d[2,1].u[1,2].Yu1]*Tr[l[1,1]]
          + 67/32*MatrixProduct[d[2,1].u[1,2].Yu1]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[2,1].u[1,2].Yu2]*lam[1,2,2,2]
          - 3*MatrixProduct[d[2,1].u[1,2].Yu2]*Tr[u[1,2]]
          - 3*MatrixProduct[d[2,1].u[1,2].Yu2]*Tr[d[1,2]]
          - MatrixProduct[d[2,1].u[1,2].Yu2]*Tr[l[1,2]]
          + 11/8*MatrixProduct[d[2,1].u[2,2].u[1,2].Yu1]
          - 17/16*MatrixProduct[d[2,1].u[2,2].d[1,2].Yu1]
          + 9/32*MatrixProduct[d[2,1].u[2,2].Yu1]*Tr[u[1,2]]
          + 9/32*MatrixProduct[d[2,1].u[2,2].Yu1]*Tr[d[1,2]]
          + 3/32*MatrixProduct[d[2,1].u[2,2].Yu1]*Tr[l[1,2]]
          - 41/8*MatrixProduct[d[2,1].d[1,1].u[1,2].Yu1]
          + 6*MatrixProduct[d[2,1].d[1,1].u[1,2].Yu1]*z3
          + 17/8*MatrixProduct[d[2,1].d[1,1].d[1,2].Yu1]
          - 9/4*MatrixProduct[d[2,1].d[1,1].d[1,2].Yu1]*z3
          - 15/2*MatrixProduct[d[2,1].d[1,1].Yu1]*lam[1,1,1,2]
          - 123/16*MatrixProduct[d[2,1].d[1,1].Yu1]*Tr[u[1,2]]
          - 123/16*MatrixProduct[d[2,1].d[1,1].Yu1]*Tr[d[1,2]]
          - 41/16*MatrixProduct[d[2,1].d[1,1].Yu1]*Tr[l[1,2]]
          - 3/2*MatrixProduct[d[2,1].d[1,1].Yu2]*lam[1,2,1,2]
          - 19/32*MatrixProduct[d[2,1].d[1,2].u[1,1].Yu1]
          - 4*MatrixProduct[d[2,1].d[1,2].u[1,2].Yu2]
          + 6*MatrixProduct[d[2,1].d[1,2].u[1,2].Yu2]*z3
          - 3/2*MatrixProduct[d[2,1].d[1,2].u[2,2].Yu1]
          - 5/16*MatrixProduct[d[2,1].d[1,2].d[1,1].Yu1]
          - MatrixProduct[d[2,1].d[1,2].d[1,2].Yu2]
          + 5/2*MatrixProduct[d[2,1].d[1,2].d[2,2].Yu1]
          - 9/4*MatrixProduct[d[2,1].d[1,2].d[2,2].Yu1]*z3
          - 5/2*MatrixProduct[d[2,1].d[1,2].Yu1]*lam[1,2,2,1]
          - 5*MatrixProduct[d[2,1].d[1,2].Yu1]*lam[1,1,2,2]
          + 28/3*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha3
          + 16*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha3*z3
          - 9/4*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha2
          + 9/32*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha2*z2
          + 351/32*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha2*Doub2
          - 27/4*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha2*Doub2*z3
          - 93/32*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha2*Doub1
          - 9/32*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha2*Doub1*z2
          - 9497/960*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha1
          + 22/5*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha1*z3
          + 829/64*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha1*Doub2
          - 111/20*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha1*Doub2*z3
          - 9/32*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha1*Doub2*z2
          + 549/320*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha1*Doub1
          - 9/5*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha1*Doub1*z3
          + 9/40*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha1*Doub1*z2
          - 879/320*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha1*Doub1*Doub2
          + 9/5*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha1*Doub1*Doub2*z3
          + 9/160*MatrixProduct[d[2,1].d[1,2].Yu1]*alpha1*Doub1*Doub2*
         z2
          + 9/4*MatrixProduct[d[2,1].d[1,2].Yu1]*Tr[u[1,1]]
          - 123/16*MatrixProduct[d[2,1].d[1,2].Yu1]*Tr[u[2,2]]
          + 9/4*MatrixProduct[d[2,1].d[1,2].Yu1]*Tr[d[1,1]]
          - 123/16*MatrixProduct[d[2,1].d[1,2].Yu1]*Tr[d[2,2]]
          + 3/4*MatrixProduct[d[2,1].d[1,2].Yu1]*Tr[l[1,1]]
          - 41/16*MatrixProduct[d[2,1].d[1,2].Yu1]*Tr[l[2,2]]
          - 3/2*MatrixProduct[d[2,1].d[1,2].Yu2]*lam[1,2,2,2]
          + 3*MatrixProduct[d[2,1].d[1,2].Yu2]*Tr[u[1,2]]
          + 3*MatrixProduct[d[2,1].d[1,2].Yu2]*Tr[d[1,2]]
          + MatrixProduct[d[2,1].d[1,2].Yu2]*Tr[l[1,2]]
          - 6*MatrixProduct[d[2,1].d[2,1].Yu1]*lam[1,2,1,2]
          - 7/32*MatrixProduct[d[2,1].d[2,2].u[1,2].Yu1]
          + 5/16*MatrixProduct[d[2,1].d[2,2].d[1,2].Yu1]
          - 6*MatrixProduct[d[2,1].d[2,2].Yu1]*lam[1,2,2,2]
          - 3/4*MatrixProduct[d[2,1].d[2,2].Yu1]*Tr[u[1,2]]
          - 3/4*MatrixProduct[d[2,1].d[2,2].Yu1]*Tr[d[1,2]]
          - 1/4*MatrixProduct[d[2,1].d[2,2].Yu1]*Tr[l[1,2]]
          - 33/32*MatrixProduct[d[2,1].Yu1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 33/32*MatrixProduct[d[2,1].Yu1]*lam[1,2,2,2]*lam[2,2,2,2]
          - 33/32*MatrixProduct[d[2,1].Yu1]*lam[1,2,1,2]*lam[2,1,2,2]
          - 129/32*MatrixProduct[d[2,1].Yu1]*lam[1,1,2,2]*lam[1,2,2,2]
          - 129/32*MatrixProduct[d[2,1].Yu1]*lam[1,1,2,1]*lam[1,2,1,2]
          - 129/32*MatrixProduct[d[2,1].Yu1]*lam[1,1,1,2]*lam[1,2,2,1]
          - 33/32*MatrixProduct[d[2,1].Yu1]*lam[1,1,1,2]*lam[1,1,2,2]
          - 129/32*MatrixProduct[d[2,1].Yu1]*lam[1,1,1,1]*lam[1,1,1,2]
          + 3*MatrixProduct[d[2,1].Yu1]*alpha2*lam[1,1,1,2]
          - 9/2*MatrixProduct[d[2,1].Yu1]*alpha2*lam[1,1,1,2]*Doub2*z3
          + 3/2*MatrixProduct[d[2,1].Yu1]*alpha2*lam[1,1,1,2]*Doub1
          - 9/2*MatrixProduct[d[2,1].Yu1]*alpha2*lam[1,1,1,2]*Doub1*Doub2
          + 9/2*MatrixProduct[d[2,1].Yu1]*alpha2*lam[1,1,1,2]*Doub1*Doub2*z3
          - 27/16*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*Tr[u[1,2]]
          - 27/16*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1].u[1,2]]
          + 12*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1].d[1,2]]
          - 18*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1].d[1,2]]*z3
          - 3/2*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*alpha3
          + 12*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*alpha3*z3
          + 333/32*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*alpha2
          - 207/128*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*alpha2*Doub2
          - 765/128*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*alpha2*Doub1
          - 243/32*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          - 149/8*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*alpha1
          + 12/5*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*alpha1*z3
          + 7107/640*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*alpha1*Doub2
          - 27/20*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*alpha1*Doub2*z3
          + 7281/640*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*alpha1*Doub1
          - 27/20*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*alpha1*Doub1*z3
          - 261/80*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*Tr[u[2,2]]
          - 27/16*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*Tr[d[1,1]]
          - 27/16*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2].u[2,2]]
          + 12*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2].d[1,1]]
          - 18*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2].d[1,1]]*z3
          - 27/16*MatrixProduct[d[2,1].Yu1]*Tr[u[2,2]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[d[2,1].Yu1]*Tr[u[2,2]]*Tr[l[1,2]]
          - 27/16*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1].d[1,2]]
          - 3/2*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*alpha3
          + 12*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*alpha3*z3
          + 333/32*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*alpha2
          - 207/128*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*alpha2*Doub2
          - 765/128*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*alpha2*Doub1
          - 243/32*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          - 697/40*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*alpha1
          + 3/2*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*alpha1*z3
          + 7107/640*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*alpha1*Doub2
          - 27/20*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*alpha1*Doub2*z3
          + 7281/640*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*alpha1*Doub1
          - 27/20*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*alpha1*Doub1*z3
          - 261/80*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2].d[2,2]]
          - 9/16*MatrixProduct[d[2,1].Yu1]*Tr[d[2,2]]*Tr[l[1,2]]
          - 3/16*MatrixProduct[d[2,1].Yu1]*Tr[l[1,1]]*Tr[l[1,2]]
          + 3/2*MatrixProduct[d[2,1].Yu1]*Tr[l[1,1].l[1,2]]
          - 1/2*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*lam[1,2,2,1]
          + 1/2*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*lam[1,1,2,2]
          + 5/12*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*alpha3
          + 111/32*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*alpha2
          - 69/128*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*alpha2*Doub2
          - 255/128*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*alpha2*Doub1
          - 81/32*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          - 857/120*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*alpha1
          + 3/2*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*alpha1*z3
          + 2369/640*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*alpha1*Doub2
          - 9/20*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*alpha1*Doub2*z3
          + 2427/640*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*alpha1*Doub1
          - 9/20*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*alpha1*Doub1*z3
          - 87/80*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          - 3/16*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*Tr[l[2,2]]
          + 3/2*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2].l[2,2]]
          - 3*MatrixProduct[d[2,1].Yu2]*lam[1,2,2,2]^2
          - 6*MatrixProduct[d[2,1].Yu2]*lam[1,2,1,2]*lam[1,2,2,1]
          - 3*MatrixProduct[d[2,1].Yu2]*lam[1,1,1,2]^2
          + 3*MatrixProduct[d[2,1].Yu2]*alpha2*lam[1,2,1,2]
          - 9*MatrixProduct[d[2,1].Yu2]*alpha2*lam[1,2,1,2]*Doub2*z3
          + 3*MatrixProduct[d[2,1].Yu2]*alpha2*lam[1,2,1,2]*Doub1
          - 9/2*MatrixProduct[d[2,1].Yu2]*alpha2*lam[1,2,1,2]*Doub1*z3
          - 6*MatrixProduct[d[2,1].Yu2]*alpha2*lam[1,2,1,2]*Doub1*Doub2
          + 27/2*MatrixProduct[d[2,1].Yu2]*alpha2*lam[1,2,1,2]*Doub1*Doub2*
         z3
          + 24*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2].d[1,2]]
          - 36*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2].d[1,2]]*z3
          + 3*MatrixProduct[d[2,2].u[1,1].u[1,2].Yu2]
          - 9/8*MatrixProduct[d[2,2].u[1,1].u[2,2].Yu1]
          + 3*MatrixProduct[d[2,2].u[1,1].u[2,2].Yu1]*z3
          + 1/16*MatrixProduct[d[2,2].u[1,1].d[1,2].Yu2]
          - 31/16*MatrixProduct[d[2,2].u[1,1].d[2,2].Yu1]
          + 1/4*MatrixProduct[d[2,2].u[1,1].Yu1]*lam[1,2,2,1]
          + 11/4*MatrixProduct[d[2,2].u[1,1].Yu1]*lam[1,1,2,2]
          - 10*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha3
          + 81/32*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha2
          - 9/64*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha2*z2
          - 45/16*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha2*Doub2
          + 9/64*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha2*Doub2*z2
          - 129/32*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha2*Doub1
          + 9/64*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha2*Doub1*z2
          + 69/16*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha2*Doub1*Doub2
          - 9/64*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha2*Doub1*Doub2*z2
          - 2057/160*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha1
          + 153/320*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha1*z2
          + 1271/80*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha1*Doub2
          - 27/20*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha1*Doub2*z3
          - 153/320*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha1*Doub2*z2
          + 295/32*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha1*Doub1
          - 27/20*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha1*Doub1*z3
          - 153/320*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha1*Doub1*z2
          - 957/80*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha1*Doub1*Doub2
          + 27/10*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha1*Doub1*Doub2*
         z3
          + 153/320*MatrixProduct[d[2,2].u[1,1].Yu1]*alpha1*Doub1*Doub2
         *z2
          + 3*MatrixProduct[d[2,2].u[1,1].Yu2]*lam[1,2,2,2]
          + 6*MatrixProduct[d[2,2].u[1,1].Yu2]*Tr[u[1,2]]
          + 6*MatrixProduct[d[2,2].u[1,1].Yu2]*Tr[d[1,2]]
          + 2*MatrixProduct[d[2,2].u[1,1].Yu2]*Tr[l[1,2]]
          + 1/2*MatrixProduct[d[2,2].u[1,2].u[2,2].Yu2]
          + 3*MatrixProduct[d[2,2].u[1,2].u[2,2].Yu2]*z3
          - 3/2*MatrixProduct[d[2,2].u[1,2].d[1,1].Yu2]
          + 29/16*MatrixProduct[d[2,2].u[1,2].d[2,1].Yu1]
          - 1/2*MatrixProduct[d[2,2].u[1,2].d[2,2].Yu2]
          + 3*MatrixProduct[d[2,2].u[1,2].Yu1]*lam[2,1,2,2]
          - 87/32*MatrixProduct[d[2,2].u[1,2].Yu1]*Tr[u[2,1]]
          - 87/32*MatrixProduct[d[2,2].u[1,2].Yu1]*Tr[d[2,1]]
          - 29/32*MatrixProduct[d[2,2].u[1,2].Yu1]*Tr[l[2,1]]
          - 4*MatrixProduct[d[2,2].u[1,2].Yu2]*lam[1,2,2,1]
          + 3*MatrixProduct[d[2,2].u[1,2].Yu2]*lam[2,2,2,2]
          + 4*MatrixProduct[d[2,2].u[1,2].Yu2]*lam[1,1,2,2]
          - 112/3*MatrixProduct[d[2,2].u[1,2].Yu2]*alpha3
          + 9/4*MatrixProduct[d[2,2].u[1,2].Yu2]*alpha2
          - 9/2*MatrixProduct[d[2,2].u[1,2].Yu2]*alpha2*z3
          + 3/4*MatrixProduct[d[2,2].u[1,2].Yu2]*alpha2*Doub2
          + 9/2*MatrixProduct[d[2,2].u[1,2].Yu2]*alpha2*Doub2*z3
          - 643/60*MatrixProduct[d[2,2].u[1,2].Yu2]*alpha1
          - 3/2*MatrixProduct[d[2,2].u[1,2].Yu2]*alpha1*z3
          + 9/20*MatrixProduct[d[2,2].u[1,2].Yu2]*alpha1*z2
          + 201/20*MatrixProduct[d[2,2].u[1,2].Yu2]*alpha1*Doub2
          + 27/10*MatrixProduct[d[2,2].u[1,2].Yu2]*alpha1*Doub2*z3
          - 9/20*MatrixProduct[d[2,2].u[1,2].Yu2]*alpha1*Doub2*z2
          + 3*MatrixProduct[d[2,2].u[1,2].Yu2]*Tr[u[2,2]]
          + 3*MatrixProduct[d[2,2].u[1,2].Yu2]*Tr[d[2,2]]
          + MatrixProduct[d[2,2].u[1,2].Yu2]*Tr[l[2,2]]
          - 19/32*MatrixProduct[d[2,2].u[2,1].u[1,2].Yu1]
          - 3/4*MatrixProduct[d[2,2].u[2,1].d[1,2].Yu1]
          + 3/2*MatrixProduct[d[2,2].u[2,1].Yu1]*lam[1,1,1,2]
          + 9/32*MatrixProduct[d[2,2].u[2,1].Yu1]*Tr[u[1,2]]
          + 9/32*MatrixProduct[d[2,2].u[2,1].Yu1]*Tr[d[1,2]]
          + 3/32*MatrixProduct[d[2,2].u[2,1].Yu1]*Tr[l[1,2]]
          + 3/2*MatrixProduct[d[2,2].u[2,1].Yu2]*lam[1,2,1,2]
          + MatrixProduct[d[2,2].u[2,2].u[1,2].Yu2]
          - 7/32*MatrixProduct[d[2,2].u[2,2].u[2,2].Yu1]
          - 39/16*MatrixProduct[d[2,2].u[2,2].d[1,2].Yu2]
          + 5/8*MatrixProduct[d[2,2].u[2,2].d[2,2].Yu1]
          + 9/4*MatrixProduct[d[2,2].u[2,2].Yu1]*lam[1,2,2,1]
          - 3/4*MatrixProduct[d[2,2].u[2,2].Yu1]*lam[1,1,2,2]
          + 16/3*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha3
          - 4*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha3*z3
          + 453/64*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha2
          - 45/64*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha2*z2
          - 183/32*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha2*Doub2
          - 9/8*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha2*Doub2*z3
          + 45/64*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha2*Doub2*z2
          - 81/16*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha2*Doub1
          + 9/16*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha2*Doub1*z2
          + 81/16*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha2*Doub1*Doub2
          - 9/16*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha2*Doub1*Doub2*z2
          - 2951/960*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha1
          + 2/5*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha1*z3
          + 9/320*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha1*z2
          + 487/160*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha1*Doub2
          + 9/40*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha1*Doub2*z2
          + 63/160*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha1*Doub1
          - 63/160*MatrixProduct[d[2,2].u[2,2].Yu1]*alpha1*Doub1*Doub2
          + 9/16*MatrixProduct[d[2,2].u[2,2].Yu1]*Tr[u[2,2]]
          + 9/16*MatrixProduct[d[2,2].u[2,2].Yu1]*Tr[d[2,2]]
          + 3/16*MatrixProduct[d[2,2].u[2,2].Yu1]*Tr[l[2,2]]
          + 3/2*MatrixProduct[d[2,2].u[2,2].Yu2]*lam[1,2,2,2]
          - MatrixProduct[d[2,2].d[1,1].u[1,2].Yu2]
          - 17/8*MatrixProduct[d[2,2].d[1,1].u[2,2].Yu1]
          + 33/16*MatrixProduct[d[2,2].d[1,1].d[1,2].Yu2]
          - 3*MatrixProduct[d[2,2].d[1,1].d[1,2].Yu2]*z3
          - 15/16*MatrixProduct[d[2,2].d[1,1].d[2,2].Yu1]
          + 3*MatrixProduct[d[2,2].d[1,1].d[2,2].Yu1]*z3
          - 11/4*MatrixProduct[d[2,2].d[1,1].Yu1]*lam[1,2,2,1]
          - 1/4*MatrixProduct[d[2,2].d[1,1].Yu1]*lam[1,1,2,2]
          + 6*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha3
          - 159/32*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha2
          + 27/4*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha2*z3
          - 9/64*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha2*z2
          + 75/16*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha2*Doub2
          - 27/4*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha2*Doub2*z2
          - 261/32*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha2*Doub1
          + 27/8*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha2*Doub1*z2
          + 135/16*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha2*Doub1*Doub2
          - 27/8*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha2*Doub1*Doub2*z2
          + 133/32*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha1
          - 9/20*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha1*z3
          - 9/320*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha1*z2
          - 189/40*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha1*Doub2
          + 9/20*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha1*Doub2*z2
          - 93/160*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha1*Doub1
          + 27/40*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha1*Doub1*z2
          + 39/40*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha1*Doub1*Doub2*
         z3
          - 9/320*MatrixProduct[d[2,2].d[1,1].Yu1]*alpha1*Doub1*Doub2*
         z2
          - 9/2*MatrixProduct[d[2,2].d[1,1].Yu2]*lam[1,2,2,2]
          - 15/2*MatrixProduct[d[2,2].d[1,1].Yu2]*lam[1,1,1,2]
          - 75/8*MatrixProduct[d[2,2].d[1,1].Yu2]*Tr[u[1,2]]
          - 75/8*MatrixProduct[d[2,2].d[1,1].Yu2]*Tr[d[1,2]]
          - 25/8*MatrixProduct[d[2,2].d[1,1].Yu2]*Tr[l[1,2]]
          - 1/2*MatrixProduct[d[2,2].d[1,2].u[1,1].Yu2]
          - 3/32*MatrixProduct[d[2,2].d[1,2].u[2,1].Yu1]
          - 7/2*MatrixProduct[d[2,2].d[1,2].u[2,2].Yu2]
          + 3/2*MatrixProduct[d[2,2].d[1,2].d[1,1].Yu2]
          - 29/16*MatrixProduct[d[2,2].d[1,2].d[2,1].Yu1]
          + 1/2*MatrixProduct[d[2,2].d[1,2].d[2,2].Yu2]
          - 3*MatrixProduct[d[2,2].d[1,2].Yu1]*lam[2,1,2,2]
          + 9/4*MatrixProduct[d[2,2].d[1,2].Yu1]*Tr[u[2,1]]
          + 9/4*MatrixProduct[d[2,2].d[1,2].Yu1]*Tr[d[2,1]]
          + 3/4*MatrixProduct[d[2,2].d[1,2].Yu1]*Tr[l[2,1]]
          - 5/2*MatrixProduct[d[2,2].d[1,2].Yu2]*lam[1,2,2,1]
          - 9/2*MatrixProduct[d[2,2].d[1,2].Yu2]*lam[2,2,2,2]
          - 5*MatrixProduct[d[2,2].d[1,2].Yu2]*lam[1,1,2,2]
          + 22*MatrixProduct[d[2,2].d[1,2].Yu2]*alpha3
          + 16*MatrixProduct[d[2,2].d[1,2].Yu2]*alpha3*z3
          - 291/32*MatrixProduct[d[2,2].d[1,2].Yu2]*alpha2
          + 27/4*MatrixProduct[d[2,2].d[1,2].Yu2]*alpha2*z3
          + 141/8*MatrixProduct[d[2,2].d[1,2].Yu2]*alpha2*Doub2
          - 63/4*MatrixProduct[d[2,2].d[1,2].Yu2]*alpha2*Doub2*z3
          - 21/16*MatrixProduct[d[2,2].d[1,2].Yu2]*alpha2*Doub1
          + 21/16*MatrixProduct[d[2,2].d[1,2].Yu2]*alpha2*Doub1*Doub2
          + 541/160*MatrixProduct[d[2,2].d[1,2].Yu2]*alpha1
          + 79/20*MatrixProduct[d[2,2].d[1,2].Yu2]*alpha1*z3
          - 31/20*MatrixProduct[d[2,2].d[1,2].Yu2]*alpha1*Doub2
          - 99/20*MatrixProduct[d[2,2].d[1,2].Yu2]*alpha1*Doub2*z3
          + 51/80*MatrixProduct[d[2,2].d[1,2].Yu2]*alpha1*Doub1
          - 51/80*MatrixProduct[d[2,2].d[1,2].Yu2]*alpha1*Doub1*Doub2
          - 51/8*MatrixProduct[d[2,2].d[1,2].Yu2]*Tr[u[2,2]]
          - 51/8*MatrixProduct[d[2,2].d[1,2].Yu2]*Tr[d[2,2]]
          - 17/8*MatrixProduct[d[2,2].d[1,2].Yu2]*Tr[l[2,2]]
          - 2*MatrixProduct[d[2,2].d[2,1].u[1,2].Yu1]
          + 6*MatrixProduct[d[2,2].d[2,1].u[1,2].Yu1]*z3
          + MatrixProduct[d[2,2].d[2,1].d[1,2].Yu1]
          - 9/4*MatrixProduct[d[2,2].d[2,1].d[1,2].Yu1]*z3
          + 3/2*MatrixProduct[d[2,2].d[2,1].Yu1]*lam[1,2,2,2]
          + 3*MatrixProduct[d[2,2].d[2,1].Yu1]*lam[1,1,1,2]
          + 27/16*MatrixProduct[d[2,2].d[2,1].Yu1]*Tr[u[1,2]]
          + 27/16*MatrixProduct[d[2,2].d[2,1].Yu1]*Tr[d[1,2]]
          + 9/16*MatrixProduct[d[2,2].d[2,1].Yu1]*Tr[l[1,2]]
          - 9/2*MatrixProduct[d[2,2].d[2,1].Yu2]*lam[1,2,1,2]
          - 2*MatrixProduct[d[2,2].d[2,2].u[1,2].Yu2]
          + 6*MatrixProduct[d[2,2].d[2,2].u[1,2].Yu2]*z3
          - 7/32*MatrixProduct[d[2,2].d[2,2].u[2,2].Yu1]
          + 33/16*MatrixProduct[d[2,2].d[2,2].d[1,2].Yu2]
          - 3*MatrixProduct[d[2,2].d[2,2].d[1,2].Yu2]*z3
          - 3/4*MatrixProduct[d[2,2].d[2,2].d[2,2].Yu1]
          + 3/4*MatrixProduct[d[2,2].d[2,2].d[2,2].Yu1]*z3
          + 1/4*MatrixProduct[d[2,2].d[2,2].Yu1]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,2].d[2,2].Yu1]*lam[2,2,2,2]
          + 11/4*MatrixProduct[d[2,2].d[2,2].Yu1]*lam[1,1,2,2]
          - 20/3*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha3
          + 15/8*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha2
          + 9/64*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha2*z2
          - 147/32*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha2*Doub2
          + 9/4*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha2*Doub2*z3
          - 9/64*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha2*Doub2*z2
          - 45/64*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha2*Doub1
          - 9/32*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha2*Doub1*z2
          + 45/64*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha2*Doub1*Doub2
          + 9/32*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha2*Doub1*Doub2*z2
          - 8753/960*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha1
          - 9/320*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha1*z2
          + 585/64*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha1*Doub2
          - 3/20*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha1*Doub2*z2
          + 21/16*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha1*Doub1
          - 21/16*MatrixProduct[d[2,2].d[2,2].Yu1]*alpha1*Doub1*Doub2
          + 15/16*MatrixProduct[d[2,2].d[2,2].Yu1]*Tr[u[2,2]]
          + 15/16*MatrixProduct[d[2,2].d[2,2].Yu1]*Tr[d[2,2]]
          + 5/16*MatrixProduct[d[2,2].d[2,2].Yu1]*Tr[l[2,2]]
          - 9/2*MatrixProduct[d[2,2].d[2,2].Yu2]*lam[1,2,2,2]
          - 51/16*MatrixProduct[d[2,2].Yu1]*lam[1,2,2,1]^2
          - 33/32*MatrixProduct[d[2,2].Yu1]*lam[2,2,2,2]^2
          - 243/32*MatrixProduct[d[2,2].Yu1]*lam[1,2,2,2]*lam[2,1,2,2]
          - 177/32*MatrixProduct[d[2,2].Yu1]*lam[1,2,1,2]*lam[2,1,2,1]
          - 75/16*MatrixProduct[d[2,2].Yu1]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,2].Yu1]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/16*MatrixProduct[d[2,2].Yu1]*lam[1,1,2,2]^2
          + 3/2*MatrixProduct[d[2,2].Yu1]*lam[1,1,2,1]*lam[1,2,2,2]
          + 3/2*MatrixProduct[d[2,2].Yu1]*lam[1,1,1,2]*lam[2,1,2,2]
          - 177/32*MatrixProduct[d[2,2].Yu1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[d[2,2].Yu1]*lam[1,1,1,1]*lam[1,1,2,2]
          - 4/3*MatrixProduct[d[2,2].Yu1]*alpha3*lam[1,2,2,1]
          + 4/3*MatrixProduct[d[2,2].Yu1]*alpha3*lam[1,1,2,2]
          + 2779/36*MatrixProduct[d[2,2].Yu1]*alpha3^2
          - 34*MatrixProduct[d[2,2].Yu1]*alpha3^2*z3
          - 11/3*MatrixProduct[d[2,2].Yu1]*alpha3^2*Ng
          + 15/8*MatrixProduct[d[2,2].Yu1]*alpha2*lam[1,2,2,1]
          + 15/8*MatrixProduct[d[2,2].Yu1]*alpha2*lam[1,2,2,1]*Doub2
          + 27/8*MatrixProduct[d[2,2].Yu1]*alpha2*lam[1,2,2,1]*Doub1
          - 9/4*MatrixProduct[d[2,2].Yu1]*alpha2*lam[1,2,2,1]*Doub1*z3
          - 3/2*MatrixProduct[d[2,2].Yu1]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 9/4*MatrixProduct[d[2,2].Yu1]*alpha2*lam[1,2,2,1]*Doub1*Doub2*z3
          + 9/8*MatrixProduct[d[2,2].Yu1]*alpha2*lam[1,1,2,2]
          - 9/8*MatrixProduct[d[2,2].Yu1]*alpha2*lam[1,1,2,2]*Doub2
          - 9/2*MatrixProduct[d[2,2].Yu1]*alpha2*lam[1,1,2,2]*Doub2*z3
          - 21/8*MatrixProduct[d[2,2].Yu1]*alpha2*lam[1,1,2,2]*Doub1
          - 9/4*MatrixProduct[d[2,2].Yu1]*alpha2*lam[1,1,2,2]*Doub1*z3
          - 3*MatrixProduct[d[2,2].Yu1]*alpha2*lam[1,1,2,2]*Doub1*Doub2
          + 27/4*MatrixProduct[d[2,2].Yu1]*alpha2*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 127/4*MatrixProduct[d[2,2].Yu1]*alpha2*alpha3
          - 9/4*MatrixProduct[d[2,2].Yu1]*alpha2*alpha3*z2
          + 291/8*MatrixProduct[d[2,2].Yu1]*alpha2*alpha3*Doub2
          + 9/4*MatrixProduct[d[2,2].Yu1]*alpha2*alpha3*Doub2*z2
          - 47/4*MatrixProduct[d[2,2].Yu1]*alpha2*alpha3*Doub1
          + 9*MatrixProduct[d[2,2].Yu1]*alpha2*alpha3*Doub1*z3
          + 9/4*MatrixProduct[d[2,2].Yu1]*alpha2*alpha3*Doub1*z2
          + 47/4*MatrixProduct[d[2,2].Yu1]*alpha2*alpha3*Doub1*Doub2
          - 9*MatrixProduct[d[2,2].Yu1]*alpha2*alpha3*Doub1*Doub2*z3
          - 9/4*MatrixProduct[d[2,2].Yu1]*alpha2*alpha3*Doub1*Doub2*z2
          - 15183/256*MatrixProduct[d[2,2].Yu1]*alpha2^2
          + 81/4*MatrixProduct[d[2,2].Yu1]*alpha2^2*z3
          + 63/128*MatrixProduct[d[2,2].Yu1]*alpha2^2*z2
          + 135/32*MatrixProduct[d[2,2].Yu1]*alpha2^2*Ng
          + 38037/512*MatrixProduct[d[2,2].Yu1]*alpha2^2*Doub2
          - 207/8*MatrixProduct[d[2,2].Yu1]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[d[2,2].Yu1]*alpha2^2*Doub2*z2
          - 99/16*MatrixProduct[d[2,2].Yu1]*alpha2^2*Doub2*Ng
          + 2403/64*MatrixProduct[d[2,2].Yu1]*alpha2^2*Doub1
          - 135/8*MatrixProduct[d[2,2].Yu1]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[d[2,2].Yu1]*alpha2^2*Doub1*z2
          - 10023/256*MatrixProduct[d[2,2].Yu1]*alpha2^2*Doub1*Doub2
          + 261/16*MatrixProduct[d[2,2].Yu1]*alpha2^2*Doub1*Doub2*z3
          + 63/128*MatrixProduct[d[2,2].Yu1]*alpha2^2*Doub1*Doub2*z2
          + 121/120*MatrixProduct[d[2,2].Yu1]*alpha1*lam[1,2,2,1]
          + 33/40*MatrixProduct[d[2,2].Yu1]*alpha1*lam[1,2,2,1]*Doub2
          - 9/10*MatrixProduct[d[2,2].Yu1]*alpha1*lam[1,2,2,1]*Doub2*z3
          - 3/40*MatrixProduct[d[2,2].Yu1]*alpha1*lam[1,2,2,1]*Doub1
          - 9/20*MatrixProduct[d[2,2].Yu1]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 3/5*MatrixProduct[d[2,2].Yu1]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/20*MatrixProduct[d[2,2].Yu1]*alpha1*lam[1,2,2,1]*Doub1*Doub2*
         z3
          - 121/120*MatrixProduct[d[2,2].Yu1]*alpha1*lam[1,1,2,2]
          - 33/40*MatrixProduct[d[2,2].Yu1]*alpha1*lam[1,1,2,2]*Doub2
          + 9/10*MatrixProduct[d[2,2].Yu1]*alpha1*lam[1,1,2,2]*Doub2*z3
          + 3/40*MatrixProduct[d[2,2].Yu1]*alpha1*lam[1,1,2,2]*Doub1
          + 9/20*MatrixProduct[d[2,2].Yu1]*alpha1*lam[1,1,2,2]*Doub1*z3
          + 3/5*MatrixProduct[d[2,2].Yu1]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          - 27/20*MatrixProduct[d[2,2].Yu1]*alpha1*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 466/45*MatrixProduct[d[2,2].Yu1]*alpha1*alpha3
          + 64/5*MatrixProduct[d[2,2].Yu1]*alpha1*alpha3*z3
          + 9/4*MatrixProduct[d[2,2].Yu1]*alpha1*alpha3*z2
          + 811/120*MatrixProduct[d[2,2].Yu1]*alpha1*alpha3*Doub2
          - 48/5*MatrixProduct[d[2,2].Yu1]*alpha1*alpha3*Doub2*z3
          - 9/4*MatrixProduct[d[2,2].Yu1]*alpha1*alpha3*Doub2*z2
          + 47/20*MatrixProduct[d[2,2].Yu1]*alpha1*alpha3*Doub1
          - 9/5*MatrixProduct[d[2,2].Yu1]*alpha1*alpha3*Doub1*z3
          - 9/20*MatrixProduct[d[2,2].Yu1]*alpha1*alpha3*Doub1*z2
          - 47/20*MatrixProduct[d[2,2].Yu1]*alpha1*alpha3*Doub1*Doub2
          + 9/5*MatrixProduct[d[2,2].Yu1]*alpha1*alpha3*Doub1*Doub2*z3
          + 9/20*MatrixProduct[d[2,2].Yu1]*alpha1*alpha3*Doub1*Doub2*z2
          - 929/640*MatrixProduct[d[2,2].Yu1]*alpha1*alpha2
          - 9/80*MatrixProduct[d[2,2].Yu1]*alpha1*alpha2*z2
          + 903/1280*MatrixProduct[d[2,2].Yu1]*alpha1*alpha2*Doub2
          - 9/40*MatrixProduct[d[2,2].Yu1]*alpha1*alpha2*Doub2*z3
          + 9/80*MatrixProduct[d[2,2].Yu1]*alpha1*alpha2*Doub2*z2
          - 449/320*MatrixProduct[d[2,2].Yu1]*alpha1*alpha2*Doub1
          + 81/20*MatrixProduct[d[2,2].Yu1]*alpha1*alpha2*Doub1*z3
          - 9/160*MatrixProduct[d[2,2].Yu1]*alpha1*alpha2*Doub1*z2
          + 881/320*MatrixProduct[d[2,2].Yu1]*alpha1*alpha2*Doub1*Doub2
          - 27/8*MatrixProduct[d[2,2].Yu1]*alpha1*alpha2*Doub1*Doub2*z3
          + 9/160*MatrixProduct[d[2,2].Yu1]*alpha1*alpha2*Doub1*Doub2*
         z2
          + 49501/57600*MatrixProduct[d[2,2].Yu1]*alpha1^2
          + 41/100*MatrixProduct[d[2,2].Yu1]*alpha1^2*z3
          - 63/640*MatrixProduct[d[2,2].Yu1]*alpha1^2*z2
          - 2119/480*MatrixProduct[d[2,2].Yu1]*alpha1^2*Ng
          - 6853/7680*MatrixProduct[d[2,2].Yu1]*alpha1^2*Doub2
          - 39/200*MatrixProduct[d[2,2].Yu1]*alpha1^2*Doub2*z3
          + 63/640*MatrixProduct[d[2,2].Yu1]*alpha1^2*Doub2*z2
          + 339/80*MatrixProduct[d[2,2].Yu1]*alpha1^2*Doub2*Ng
          - 1291/1600*MatrixProduct[d[2,2].Yu1]*alpha1^2*Doub1
          + 3/200*MatrixProduct[d[2,2].Yu1]*alpha1^2*Doub1*z3
          + 63/3200*MatrixProduct[d[2,2].Yu1]*alpha1^2*Doub1*z2
          + 5659/6400*MatrixProduct[d[2,2].Yu1]*alpha1^2*Doub1*Doub2
          - 81/400*MatrixProduct[d[2,2].Yu1]*alpha1^2*Doub1*Doub2*z3
          - 63/3200*MatrixProduct[d[2,2].Yu1]*alpha1^2*Doub1*Doub2*z2
          - 3/2*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha2
          - 27/16*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha2*z2
          - 45/2*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha2*Doub2*z2
          - 207/8*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha2*Doub1
          + 27/16*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 189/40*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha1
          + 27/80*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha1*z2
          + 9/2*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha1*Doub2*z2
          + 189/40*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha1*Doub1*z2
          - 9/2*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 15/2*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1].u[2,2]]
          - 9*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1].u[2,2]]*z3
          + 3/2*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1].d[2,2]]
          - 27/16*MatrixProduct[d[2,2].Yu1]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[d[2,2].Yu1]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[d[2,2].Yu1]*Tr[u[1,2]]*Tr[l[2,1]]
          - 3*MatrixProduct[d[2,2].Yu1]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[d[2,2].Yu1]*Tr[u[1,2].u[2,1]]*z3
          + 21/2*MatrixProduct[d[2,2].Yu1]*Tr[u[1,2].d[2,1]]
          - 18*MatrixProduct[d[2,2].Yu1]*Tr[u[1,2].d[2,1]]*z3
          - 27/16*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*Tr[l[1,2]]
          + 21/2*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1].d[1,2]]
          - 18*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1].d[1,2]]*z3
          - 6*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*lam[1,2,2,1]
          + 6*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*alpha3
          + 12*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*alpha3*z3
          + 549/32*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*alpha2
          - 351/16*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*alpha2*Doub2
          - 315/32*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*alpha2*Doub1
          + 315/32*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2
          - 691/40*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*alpha1
          + 12/5*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*alpha1*z3
          + 2859/160*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*alpha1*Doub2
          - 27/10*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*alpha1*Doub2*z3
          + 63/32*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*alpha1*Doub1
          - 63/32*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]^2
          - 27/8*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2].u[2,2]]
          + 3/2*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2].d[1,1]]
          - 3/2*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha2
          - 27/16*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha2*z2
          - 45/2*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha2*Doub2*z2
          - 207/8*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha2*Doub1
          + 27/16*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 189/40*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha1
          + 27/80*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha1*z2
          + 9/2*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha1*Doub2*z2
          + 189/40*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha1*Doub1*z2
          - 9/2*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 15/2*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1].d[2,2]]
          - 9*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1].d[2,2]]*z3
          - 27/16*MatrixProduct[d[2,2].Yu1]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[d[2,2].Yu1]*Tr[d[1,2]]*Tr[l[2,1]]
          - 3*MatrixProduct[d[2,2].Yu1]*Tr[d[1,2].d[2,1]]
          + 9*MatrixProduct[d[2,2].Yu1]*Tr[d[1,2].d[2,1]]*z3
          - 9/16*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*Tr[l[1,2]]
          - 6*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*lam[1,2,2,1]
          + 6*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*alpha3
          + 12*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*alpha3*z3
          + 549/32*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*alpha2
          - 351/16*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*alpha2*Doub2
          - 315/32*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*alpha2*Doub1
          + 315/32*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2
          - 643/40*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*alpha1
          + 3/2*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*alpha1*z3
          + 2859/160*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*alpha1*Doub2
          - 27/10*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*alpha1*Doub2*z3
          + 63/32*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*alpha1*Doub1
          - 63/32*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]^2
          - 9/8*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2].d[2,2]]
          - 1/2*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*lam[1,2,2,1]
          + 1/2*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha2
          - 9/16*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha2*z2
          - 15/2*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha2*Doub2
          + 9/16*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha2*Doub2*z2
          - 69/8*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha2*Doub1
          + 9/16*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha2*Doub1*z2
          + 15/2*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 63/40*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha1
          + 9/80*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha1*z2
          + 3/2*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha1*Doub2
          - 9/80*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha1*Doub2*z2
          + 63/40*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha1*Doub1
          - 9/80*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha1*Doub1*z2
          - 3/2*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha1*Doub1*Doub2
          + 9/80*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 5/2*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1].l[2,2]]
          - 3*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1].l[2,2]]*z3
          - 3/16*MatrixProduct[d[2,2].Yu1]*Tr[l[1,2]]*Tr[l[2,1]]
          - MatrixProduct[d[2,2].Yu1]*Tr[l[1,2].l[2,1]]
          + 3*MatrixProduct[d[2,2].Yu1]*Tr[l[1,2].l[2,1]]*z3
          - 2*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]*lam[1,2,2,1]
          + 2*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]*lam[1,1,2,2]
          + 5/12*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]*alpha3
          + 183/32*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]*alpha2
          - 117/16*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]*alpha2*Doub2
          - 105/32*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]*alpha2*Doub1
          + 105/32*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2
          - 803/120*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]*alpha1
          + 3/2*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]*alpha1*z3
          + 953/160*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]*alpha1*Doub2
          - 9/10*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]*alpha1*Doub2*z3
          + 21/32*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]*alpha1*Doub1
          - 21/32*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2
          - 3/16*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2]]^2
          + 3/2*MatrixProduct[d[2,2].Yu1]*Tr[l[2,2].l[2,2]]
          - 3*MatrixProduct[d[2,2].Yu2]*lam[1,2,2,2]*lam[1,2,2,1]
          - 3*MatrixProduct[d[2,2].Yu2]*lam[1,2,2,2]*lam[2,2,2,2]
          - 3*MatrixProduct[d[2,2].Yu2]*lam[1,2,1,2]*lam[2,1,2,2]
          - 3*MatrixProduct[d[2,2].Yu2]*lam[1,1,1,2]*lam[1,1,2,2]
          + 3*MatrixProduct[d[2,2].Yu2]*alpha2*lam[1,2,2,2]
          - 3*MatrixProduct[d[2,2].Yu2]*alpha2*lam[1,2,2,2]*Doub2
          - 3/2*MatrixProduct[d[2,2].Yu2]*alpha2*lam[1,2,2,2]*Doub1
          + 3/2*MatrixProduct[d[2,2].Yu2]*alpha2*lam[1,2,2,2]*Doub1*Doub2
          + 3*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*lam[1,2,2,1]
          - 3*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*lam[1,1,2,2]
          + 153/8*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha2
          - 27/16*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha2*z2
          - 333/16*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha2*Doub2
          + 27/16*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha2*Doub2*z2
          - 477/32*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 243/40*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha1
          + 27/80*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha1*z2
          + 423/80*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha1*Doub2
          - 27/80*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha1*Doub2*z2
          + 657/160*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha1*Doub1
          - 27/160*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha1*Doub1*z2
          - 531/160*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 12*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2].d[2,2]]
          - 18*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2].d[2,2]]*z3
          + 12*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2].d[1,2]]
          - 18*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2].d[1,2]]*z3
          + 3*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*lam[1,2,2,1]
          - 3*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*lam[1,1,2,2]
          + 153/8*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha2
          - 27/16*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha2*z2
          - 333/16*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha2*Doub2
          + 27/16*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha2*Doub2*z2
          - 477/32*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 243/40*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha1
          + 27/80*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha1*z2
          + 423/80*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha1*Doub2
          - 27/80*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha1*Doub2*z2
          + 657/160*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha1*Doub1
          - 27/160*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha1*Doub1*z2
          - 531/160*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2*z2
          + MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*lam[1,2,2,1]
          - MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*lam[1,1,2,2]
          + 51/8*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha2
          - 9/16*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha2*z2
          - 111/16*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha2*Doub2
          + 9/16*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha2*Doub2*z2
          - 159/32*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha2*Doub1
          + 9/32*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha2*Doub1*z2
          + 177/32*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          - 9/32*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha1
          + 9/80*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha1*z2
          + 141/80*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha1*Doub2
          - 9/80*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha1*Doub2*z2
          + 219/160*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha1*Doub1
          - 9/160*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha1*Doub1*z2
          - 177/160*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          + 9/160*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 5/8*MatrixProduct[Yu1]*lam[1,2,2,1]^3
          - 3/8*MatrixProduct[Yu1]*lam[2,2,2,2]*lam[1,2,2,1]^2
          - 3*MatrixProduct[Yu1]*lam[1,2,2,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yu1]*lam[1,2,2,2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yu1]*lam[2,1,2,1]*lam[1,2,2,2]^2
          - 15/8*MatrixProduct[Yu1]*lam[1,2,1,2]*lam[2,1,2,2]^2
          - 27/8*MatrixProduct[Yu1]*lam[1,2,1,2]*lam[2,1,2,1]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yu1]*lam[1,2,1,2]*lam[2,1,2,1]*lam[2,2,2,2]
          - 3/2*MatrixProduct[Yu1]*lam[1,1,2,2]*lam[1,2,2,1]^2
          - 3/4*MatrixProduct[Yu1]*lam[1,1,2,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yu1]*lam[1,1,2,2]*lam[1,2,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yu1]*lam[1,1,2,2]*lam[1,2,1,2]*lam[2,1,2,1]
          - 3/4*MatrixProduct[Yu1]*lam[1,1,2,2]^2*lam[1,2,2,1]
          - 3/4*MatrixProduct[Yu1]*lam[1,1,2,2]^2*lam[2,2,2,2]
          - 1/2*MatrixProduct[Yu1]*lam[1,1,2,2]^3
          - 9/4*MatrixProduct[Yu1]*lam[1,1,2,1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yu1]*lam[1,1,2,1]*lam[1,2,1,2]*lam[2,1,2,2]
          - 27/8*MatrixProduct[Yu1]*lam[1,1,2,1]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/4*MatrixProduct[Yu1]*lam[1,1,2,1]^2*lam[1,2,1,2]
          - 9/4*MatrixProduct[Yu1]*lam[1,1,1,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yu1]*lam[1,1,1,2]*lam[2,1,2,1]*lam[1,2,2,2]
          - 27/8*MatrixProduct[Yu1]*lam[1,1,1,2]*lam[1,1,2,2]*lam[2,1,2,2]
          - 6*MatrixProduct[Yu1]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,2,2,1]
          - 9/2*MatrixProduct[Yu1]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/4*MatrixProduct[Yu1]*lam[1,1,1,2]^2*lam[2,1,2,1]
          - 3/4*MatrixProduct[Yu1]*lam[1,1,1,1]*lam[1,2,2,1]^2
          - 3/4*MatrixProduct[Yu1]*lam[1,1,1,1]*lam[1,2,1,2]*lam[2,1,2,1]
          - 3/2*MatrixProduct[Yu1]*lam[1,1,1,1]*lam[1,1,2,2]*lam[1,2,2,1]
          - 3/2*MatrixProduct[Yu1]*lam[1,1,1,1]*lam[1,1,2,2]^2
          - 45/4*MatrixProduct[Yu1]*lam[1,1,1,1]*lam[1,1,1,2]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yu1]*lam[1,1,1,1]^3
          - 1249*MatrixProduct[Yu1]*alpha3^3
          + 4432/27*MatrixProduct[Yu1]*alpha3^3*Ng
          + 320/3*MatrixProduct[Yu1]*alpha3^3*Ng*z3
          + 560/81*MatrixProduct[Yu1]*alpha3^3*Ng^2
          - 15/16*MatrixProduct[Yu1]*alpha2*lam[1,2,2,1]^2*Doub2
          + 153/16*MatrixProduct[Yu1]*alpha2*lam[1,2,2,1]^2*Doub1
          - 39/8*MatrixProduct[Yu1]*alpha2*lam[1,2,2,1]^2*Doub1*Doub2
          + 81/32*MatrixProduct[Yu1]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub2
          + 207/16*MatrixProduct[Yu1]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub1
          - 315/32*MatrixProduct[Yu1]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub1*
         Doub2
          - 117/32*MatrixProduct[Yu1]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub2
          + 609/32*MatrixProduct[Yu1]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub1
          - 39/4*MatrixProduct[Yu1]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub1*Doub2
          + 57/16*MatrixProduct[Yu1]*alpha2*lam[1,1,2,2]*lam[1,2,2,1]*Doub2
          + 3/16*MatrixProduct[Yu1]*alpha2*lam[1,1,2,2]*lam[1,2,2,1]*Doub1
          + 57/16*MatrixProduct[Yu1]*alpha2*lam[1,1,2,2]^2*Doub2
          + 3/16*MatrixProduct[Yu1]*alpha2*lam[1,1,2,2]^2*Doub1
          + 693/32*MatrixProduct[Yu1]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub1
          - 153/32*MatrixProduct[Yu1]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub1*
         Doub2
          + 45/8*MatrixProduct[Yu1]*alpha2*lam[1,1,1,1]^2*Doub1
          + 531/8*MatrixProduct[Yu1]*alpha2*alpha3^2
          + 19*MatrixProduct[Yu1]*alpha2*alpha3^2*Ng
          - 24*MatrixProduct[Yu1]*alpha2*alpha3^2*Ng*z3
          - 3/2*MatrixProduct[Yu1]*alpha2^2*lam[1,2,2,1]*Doub2
          + 9/8*MatrixProduct[Yu1]*alpha2^2*lam[1,2,2,1]*Doub2*z3
          + 39/64*MatrixProduct[Yu1]*alpha2^2*lam[1,2,2,1]*Doub1*Doub2
          - 9/8*MatrixProduct[Yu1]*alpha2^2*lam[1,2,2,1]*Doub1*Doub2*z3
          - 3*MatrixProduct[Yu1]*alpha2^2*lam[1,1,2,2]*Doub2
          + 9/4*MatrixProduct[Yu1]*alpha2^2*lam[1,1,2,2]*Doub2*z3
          + 39/32*MatrixProduct[Yu1]*alpha2^2*lam[1,1,2,2]*Doub1*Doub2
          - 9/4*MatrixProduct[Yu1]*alpha2^2*lam[1,1,2,2]*Doub1*Doub2*z3
          - 171/64*MatrixProduct[Yu1]*alpha2^2*lam[1,1,1,1]*Doub1
          + 507/16*MatrixProduct[Yu1]*alpha2^2*alpha3
          - 39/4*MatrixProduct[Yu1]*alpha2^2*alpha3*Ng
          - 27/16*MatrixProduct[Yu1]*alpha2^2*alpha3*Doub2
          + 21/16*MatrixProduct[Yu1]*alpha2^2*alpha3*Doub1
          + 135/8*MatrixProduct[Yu1]*alpha2^2*alpha3*Doub1*Ng
          - 18*MatrixProduct[Yu1]*alpha2^2*alpha3*Doub1*Ng*z3
          + 69271/768*MatrixProduct[Yu1]*alpha2^3
          - 9/2*MatrixProduct[Yu1]*alpha2^3*z3
          - 2521/96*MatrixProduct[Yu1]*alpha2^3*Ng
          + 5/6*MatrixProduct[Yu1]*alpha2^3*Ng^2
          - 1147/256*MatrixProduct[Yu1]*alpha2^3*Doub2
          + 1/3*MatrixProduct[Yu1]*alpha2^3*Doub2*Ng
          - 237167/2304*MatrixProduct[Yu1]*alpha2^3*Doub1
          + 117/16*MatrixProduct[Yu1]*alpha2^3*Doub1*z3
          + 803/36*MatrixProduct[Yu1]*alpha2^3*Doub1*Ng
          + 45/2*MatrixProduct[Yu1]*alpha2^3*Doub1*Ng*z3
          + 35/18*MatrixProduct[Yu1]*alpha2^3*Doub1*Ng^2
          + 14513/2304*MatrixProduct[Yu1]*alpha2^3*Doub1*Doub2
          + 45/16*MatrixProduct[Yu1]*alpha2^3*Doub1*Doub2*z3
          + 19/36*MatrixProduct[Yu1]*alpha2^3*Doub1*Doub2*Ng
          + 57/80*MatrixProduct[Yu1]*alpha1*lam[1,2,2,1]^2*Doub2
          + 3/80*MatrixProduct[Yu1]*alpha1*lam[1,2,2,1]^2*Doub1
          + 81/160*MatrixProduct[Yu1]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub2
          + 207/80*MatrixProduct[Yu1]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub1
          - 63/32*MatrixProduct[Yu1]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub1*Doub2
          - 261/160*MatrixProduct[Yu1]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub2
          + 909/160*MatrixProduct[Yu1]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub1
          - 117/40*MatrixProduct[Yu1]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub1*
         Doub2
          + 57/80*MatrixProduct[Yu1]*alpha1*lam[1,1,2,2]*lam[1,2,2,1]*Doub2
          + 3/80*MatrixProduct[Yu1]*alpha1*lam[1,1,2,2]*lam[1,2,2,1]*Doub1
          + 57/80*MatrixProduct[Yu1]*alpha1*lam[1,1,2,2]^2*Doub2
          + 3/80*MatrixProduct[Yu1]*alpha1*lam[1,1,2,2]^2*Doub1
          + 693/160*MatrixProduct[Yu1]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub1
          - 153/160*MatrixProduct[Yu1]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub1*
         Doub2
          + 9/8*MatrixProduct[Yu1]*alpha1*lam[1,1,1,1]^2*Doub1
          - 127/120*MatrixProduct[Yu1]*alpha1*alpha3^2
          + 44/9*MatrixProduct[Yu1]*alpha1*alpha3^2*Ng
          - 88/15*MatrixProduct[Yu1]*alpha1*alpha3^2*Ng*z3
          + 27/20*MatrixProduct[Yu1]*alpha1*alpha2*lam[1,2,2,1]*Doub2*z3
          + 117/160*MatrixProduct[Yu1]*alpha1*alpha2*lam[1,2,2,1]*Doub1*
         Doub2
          - 27/20*MatrixProduct[Yu1]*alpha1*alpha2*lam[1,2,2,1]*Doub1*Doub2*
         z3
          + 117/160*MatrixProduct[Yu1]*alpha1*alpha2*lam[1,1,1,1]*Doub1
          - 81/40*MatrixProduct[Yu1]*alpha1*alpha2*alpha3
          - 6*MatrixProduct[Yu1]*alpha1*alpha2*alpha3*Doub1
          + 3663/1280*MatrixProduct[Yu1]*alpha1*alpha2^2
          - 9/20*MatrixProduct[Yu1]*alpha1*alpha2^2*z3
          - 21/32*MatrixProduct[Yu1]*alpha1*alpha2^2*Ng
          - 363/1280*MatrixProduct[Yu1]*alpha1*alpha2^2*Doub2
          - 1809/1280*MatrixProduct[Yu1]*alpha1*alpha2^2*Doub1
          + 9/80*MatrixProduct[Yu1]*alpha1*alpha2^2*Doub1*z3
          + 3/5*MatrixProduct[Yu1]*alpha1*alpha2^2*Doub1*Ng
          - 9/10*MatrixProduct[Yu1]*alpha1*alpha2^2*Doub1*Ng*z3
          + 1257/1280*MatrixProduct[Yu1]*alpha1*alpha2^2*Doub1*Doub2
          - 27/80*MatrixProduct[Yu1]*alpha1*alpha2^2*Doub1*Doub2*z3
          - 3/10*MatrixProduct[Yu1]*alpha1^2*lam[1,2,2,1]*Doub2
          + 27/200*MatrixProduct[Yu1]*alpha1^2*lam[1,2,2,1]*Doub2*z3
          + 117/1600*MatrixProduct[Yu1]*alpha1^2*lam[1,2,2,1]*Doub1*Doub2
          - 27/200*MatrixProduct[Yu1]*alpha1^2*lam[1,2,2,1]*Doub1*Doub2*z3
          - 3/5*MatrixProduct[Yu1]*alpha1^2*lam[1,1,2,2]*Doub2
          + 27/100*MatrixProduct[Yu1]*alpha1^2*lam[1,1,2,2]*Doub2*z3
          + 117/800*MatrixProduct[Yu1]*alpha1^2*lam[1,1,2,2]*Doub1*Doub2
          - 27/100*MatrixProduct[Yu1]*alpha1^2*lam[1,1,2,2]*Doub1*Doub2*z3
          - 1089/1600*MatrixProduct[Yu1]*alpha1^2*lam[1,1,1,1]*Doub1
          - 3371/1200*MatrixProduct[Yu1]*alpha1^2*alpha3
          + 413/900*MatrixProduct[Yu1]*alpha1^2*alpha3*Ng
          - 176/75*MatrixProduct[Yu1]*alpha1^2*alpha3*Ng*z3
          - 203/1200*MatrixProduct[Yu1]*alpha1^2*alpha3*Doub2
          + 997/1200*MatrixProduct[Yu1]*alpha1^2*alpha3*Doub1
          + 99/40*MatrixProduct[Yu1]*alpha1^2*alpha3*Doub1*Ng
          - 66/25*MatrixProduct[Yu1]*alpha1^2*alpha3*Doub1*Ng*z3
          - 57/1280*MatrixProduct[Yu1]*alpha1^2*alpha2
          + 31/800*MatrixProduct[Yu1]*alpha1^2*alpha2*Ng
          - 12/25*MatrixProduct[Yu1]*alpha1^2*alpha2*Ng*z3
          + 87/256*MatrixProduct[Yu1]*alpha1^2*alpha2*Doub2
          - 9/50*MatrixProduct[Yu1]*alpha1^2*alpha2*Doub2*z3
          + 6771/6400*MatrixProduct[Yu1]*alpha1^2*alpha2*Doub1
          - 153/400*MatrixProduct[Yu1]*alpha1^2*alpha2*Doub1*z3
          + 21/80*MatrixProduct[Yu1]*alpha1^2*alpha2*Doub1*Ng
          - 27/50*MatrixProduct[Yu1]*alpha1^2*alpha2*Doub1*Ng*z3
          + 3771/6400*MatrixProduct[Yu1]*alpha1^2*alpha2*Doub1*Doub2
          - 81/400*MatrixProduct[Yu1]*alpha1^2*alpha2*Doub1*Doub2*z3
          - 24719/288000*MatrixProduct[Yu1]*alpha1^3
          + 6431/7200*MatrixProduct[Yu1]*alpha1^3*Ng
          - 76/75*MatrixProduct[Yu1]*alpha1^3*Ng*z3
          + 83/162*MatrixProduct[Yu1]*alpha1^3*Ng^2
          + 24833/288000*MatrixProduct[Yu1]*alpha1^3*Doub2
          - 9/250*MatrixProduct[Yu1]*alpha1^3*Doub2*z3
          + 13/135*MatrixProduct[Yu1]*alpha1^3*Doub2*Ng
          + 133337/288000*MatrixProduct[Yu1]*alpha1^3*Doub1
          - 153/2000*MatrixProduct[Yu1]*alpha1^3*Doub1*z3
          + 853/540*MatrixProduct[Yu1]*alpha1^3*Doub1*Ng
          - 57/50*MatrixProduct[Yu1]*alpha1^3*Doub1*Ng*z3
          + 7/18*MatrixProduct[Yu1]*alpha1^3*Doub1*Ng^2
          + 44197/288000*MatrixProduct[Yu1]*alpha1^3*Doub1*Doub2
          - 81/2000*MatrixProduct[Yu1]*alpha1^3*Doub1*Doub2*z3
          + 19/300*MatrixProduct[Yu1]*alpha1^3*Doub1*Doub2*Ng
          - 15/8*MatrixProduct[Yu1]*Tr[u[1,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yu1]*Tr[u[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yu1]*Tr[u[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yu1]*Tr[u[1,1]]*lam[1,1,2,2]^2
          - 135/8*MatrixProduct[Yu1]*Tr[u[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 135/16*MatrixProduct[Yu1]*Tr[u[1,1]]*lam[1,1,1,1]^2
          + 505/3*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha3^2
          - 12*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha3^2*z3
          - 16*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha3^2*Ng
          - 261/8*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2*alpha3
          - 36*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2*alpha3*z2
          - 57/2*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2*alpha3*Doub1
          + 90*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2*alpha3*Doub1*z3
          + 27/2*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2*alpha3*Doub1*z2
          - 2265/64*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2^2
          + 27/4*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2^2*Ng
          + 63/128*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2^2*Doub2
          + 21183/256*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2^2*Doub1
          - 351/8*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2^2*Doub1*z3
          + 135/64*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2^2*Doub1*z2
          - 27/4*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2^2*Doub1*Ng
          - 117/64*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha2^2*Doub1*Doub2
          - 347/24*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1*alpha3
          + 12/5*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1*alpha3*z2
          - 57/10*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1*alpha3*Doub1
          + 18*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1*alpha3*Doub1*z3
          + 27/10*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1*alpha3*Doub1*z2
          - 1161/40*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1*alpha2
          - 9/5*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1*alpha2*z3
          - 27/160*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1*alpha2*z2
          + 23721/640*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1*alpha2*Doub1
          + 117/20*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1*alpha2*Doub1*z3
          + 27/160*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1*alpha2*Doub1*z2
          - 817/1600*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1^2
          - 3/25*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1^2*z3
          - 27/320*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1^2*z2
          - 19/80*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1^2*Ng
          - 339/3200*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1^2*Doub2
          - 113/256*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1^2*Doub1
          + 27/200*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1^2*Doub1*z3
          + 27/320*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1^2*Doub1*z2
          - 27/20*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1^2*Doub1*Ng
          - 351/1600*MatrixProduct[Yu1]*Tr[u[1,1]]*alpha1^2*Doub1*Doub2
          - 81/8*MatrixProduct[Yu1]*Tr[u[1,1]]^2*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[u[1,1]]^2*alpha2*z2
          - 81/8*MatrixProduct[Yu1]*Tr[u[1,1]]^2*alpha2*Doub1*z2
          - 81/40*MatrixProduct[Yu1]*Tr[u[1,1]]^2*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[u[1,1]]^2*alpha1*z2
          - 81/40*MatrixProduct[Yu1]*Tr[u[1,1]]^2*alpha1*Doub1*z2
          + 27*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[1,1].u[1,1]]
          - 9/4*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[1,1].d[1,1]]
          - 81/4*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha2
          + 81/4*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha2*z2
          - 81/4*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha2*Doub1*
         z2
          - 81/20*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha1
          + 81/20*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha1*z2
          - 81/20*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha1*Doub1
         *z2
          + 27*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[1,1].d[1,1]]
          - 27/4*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha2
          + 27/4*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha2*z2
          - 27/4*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha2*Doub1*
         z2
          - 27/20*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha1
          + 27/20*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha1*z2
          - 27/20*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha1*Doub1
         *z2
          + 9*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[1,1].l[1,1]]
          + 45/4*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1]]*alpha3
          - 36*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1]]*alpha3*z3
          + 999/32*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1]]*alpha2
          + 27/16*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1]]*alpha2*z2
          - 459/8*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1]]*alpha2*Doub1*z3
          - 27/16*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1]]*alpha2*Doub1*z2
          + 1563/80*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1]]*alpha1
          - 27/5*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1]]*alpha1*z3
          - 3759/160*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1]]*alpha1*Doub1*z3
          - 75/32*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1].u[1,1]]
          + 9/2*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1].u[1,1]]*z3
          + 9/16*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1].u[2,2]]
          + 39/32*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1].d[1,1]]
          + 9/16*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1].d[2,2]]
          + 135/8*MatrixProduct[Yu1]*Tr[u[1,1].u[1,2]]*lam[1,1,2,1]
          - 9/8*MatrixProduct[Yu1]*Tr[u[1,1].u[1,2].u[2,1]]
          - 9/32*MatrixProduct[Yu1]*Tr[u[1,1].u[1,2].d[2,1]]
          + 135/8*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*lam[1,1,1,2]
          - 33/8*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1].u[1,2]]
          + 9*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1].u[1,2]]*z3
          + 129/32*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1].d[1,2]]
          + 15/2*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha3
          - 12*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha2
          - 999/32*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha2*Doub2*z2
          + 549/32*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha2*Doub1
          - 81/32*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 941/80*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha1
          - 39/5*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha1*z3
          - 2469/160*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha1*Doub2
          + 9*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha1*Doub2*z3
          + 27/160*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha1*Doub2*z2
          + 549/160*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*z2
          - 279/80*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 21/32*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2].u[2,2]]
          - 15/8*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2].d[1,1]]
          + 9/32*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2].d[2,2]]
          + 57/2*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1]]*alpha3
          - 24*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1]]*alpha3*z3
          + 1089/16*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1]]*alpha2
          - 27/4*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1]]*alpha2*z2
          - 72*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1]]*alpha2*Doub1
          + 27/4*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1]]*alpha2*Doub1*z2
          - 2463/160*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1]]*alpha1
          + 21/2*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1]]*alpha1*z3
          - 27/40*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1]]*alpha1*z2
          + 2277/160*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1]]*alpha1*Doub1
          - 81/10*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1]]*alpha1*Doub1*z3
          + 27/40*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1]]*alpha1*Doub1*z2
          - 15/8*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1].u[2,2]]
          + 39/32*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1].d[1,1]]
          - 15/8*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1].d[2,2]]
          - 9/32*MatrixProduct[Yu1]*Tr[u[1,1].d[1,2].u[2,1]]
          - 3/8*MatrixProduct[Yu1]*Tr[u[1,1].d[1,2].d[2,1]]
          + 129/32*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1].u[1,2]]
          - 3/2*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1].d[1,2]]
          - 15/4*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha2
          - 999/32*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha2*Doub2*z2
          + 549/32*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha2*Doub1
          - 81/32*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 113/10*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha1
          + 33/5*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha1*z3
          + 27/80*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha1*z2
          + 1659/160*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha1*Doub2
          - 63/10*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha1*Doub2*z2
          - 567/160*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*z2
          + 279/80*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/32*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2].u[2,2]]
          - 15/8*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2].d[1,1]]
          + 21/32*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2].d[2,2]]
          - 45/16*MatrixProduct[Yu1]*Tr[u[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[u[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yu1]*Tr[u[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yu1]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[u[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 135/16*MatrixProduct[Yu1]*Tr[u[1,2]]*lam[1,1,1,1]*lam[1,1,2,1]
          - 135/32*MatrixProduct[Yu1]*Tr[u[1,2]]*alpha2*lam[1,1,2,1]*Doub2
          + 135/32*MatrixProduct[Yu1]*Tr[u[1,2]]*alpha2*lam[1,1,2,1]*Doub1
          - 81/32*MatrixProduct[Yu1]*Tr[u[1,2]]*alpha1*lam[1,1,2,1]*Doub2
          + 81/32*MatrixProduct[Yu1]*Tr[u[1,2]]*alpha1*lam[1,1,2,1]*Doub1
          + 27*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[1,1].u[2,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*z2
          + 81/4*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub2
          - 81/16*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub2
         *z2
          + 4455/32*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub1
          - 243/16*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*z2
          + 81/20*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*Doub2
          - 81/80*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*Doub2
         *z2
          + 891/32*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1
          - 243/80*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*Doub1
         *Doub2*z2
          - 9/8*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1].d[1,1]]
          + 27*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*z2
          + 81/4*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub2
          - 81/16*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub2
         *z2
          + 4455/32*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/16*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*z2
          + 81/20*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*Doub2
          - 81/80*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*Doub2
         *z2
          + 891/32*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/80*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[1,1].l[2,1]]
          - 27/8*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 27/4*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 1485/32*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/16*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 27/20*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub2
         *z2
          + 297/32*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yu1]*Tr[u[1,2].u[1,2]]*lam[2,1,2,1]
          + 15/4*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*lam[1,2,2,1]
          + 15/2*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*lam[1,1,2,2]
          + 5/2*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha3
          - 24*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha3*z3
          + 135/32*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha2
          + 27/16*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha2*z2
          - 405/16*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha2*Doub2*z3
          - 9/16*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha2*Doub1*z2
          + 311/40*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha1
          + 12/5*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha1*z3
          - 1263/160*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha1*Doub2
          - 9/2*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha1*Doub2*z2
          + 549/80*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha1*Doub1
          - 81/80*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*z2
          - 279/40*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*
         Doub2
          + 27/40*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 45/16*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1].u[2,2]]
          + 9/2*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1].u[2,2]]*z3
          - 3/2*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1].d[1,1]]
          + 87/16*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1].d[2,2]]
          + 45/8*MatrixProduct[Yu1]*Tr[u[1,2].u[2,2]]*lam[2,1,2,2]
          - 3/16*MatrixProduct[Yu1]*Tr[u[1,2].u[2,2].u[2,1]]
          - 63/32*MatrixProduct[Yu1]*Tr[u[1,2].u[2,2].d[2,1]]
          - 3/8*MatrixProduct[Yu1]*Tr[u[1,2].d[1,1].u[2,1]]
          - 9/32*MatrixProduct[Yu1]*Tr[u[1,2].d[1,1].d[2,1]]
          + 15/4*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1]]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1]]*lam[1,1,2,2]
          + 13*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1]]*alpha3
          + 225/32*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1]]*alpha2
          - 27/8*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1]]*alpha2*z2
          + 45/8*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1]]*alpha2*Doub2
          - 81/8*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1]]*alpha2*Doub1
          + 27/8*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1]]*alpha2*Doub1*z2
          + 251/160*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1]]*alpha1
          - 27/40*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1]]*alpha1*z2
          + 9/8*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1]]*alpha1*Doub2
          - 81/40*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1]]*alpha1*Doub1*z2
          - 57/32*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1].u[2,2]]
          + 129/32*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1].d[1,1]]
          - 63/32*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1].d[2,2]]
          + 33/16*MatrixProduct[Yu1]*Tr[u[1,2].d[2,2].u[2,1]]
          - 57/32*MatrixProduct[Yu1]*Tr[u[1,2].d[2,2].d[2,1]]
          - 45/16*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/16*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          + 135/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*lam[1,1,1,2]*Doub2
          - 135/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*lam[1,1,1,2]*Doub1
          + 81/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*lam[1,1,1,2]*Doub2
          - 81/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*lam[1,1,1,2]*Doub1
          + 27*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[1,1].u[1,2]]
          - 9/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[1,1].d[1,2]]
          - 9/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[1,2].d[1,1]]
          + 27*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1].d[1,2]]
          - 81/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*z2
          + 81/4*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub2
          - 81/16*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub2
         *z2
          + 4455/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub1
          - 243/16*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*z2
          + 81/20*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*Doub2
          - 81/80*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*Doub2
         *z2
          + 891/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1
          - 243/80*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1].l[1,2]]
          - 27/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*z2
          + 27/4*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 1485/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/16*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*z2
          + 27/20*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub2
          - 27/80*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub2
         *z2
          + 297/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yu1]*Tr[u[2,1].u[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*lam[1,2,2,2]
          - 57/32*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2].d[1,2]]
          + 129/32*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1].d[1,2]]
          + 15/4*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2]]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2]]*lam[1,1,2,2]
          + 13*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2]]*alpha3
          + 225/32*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2]]*alpha2
          - 27/8*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2]]*alpha2*z2
          + 45/8*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2]]*alpha2*Doub2
          - 81/8*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2]]*alpha2*Doub1
          + 27/8*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2]]*alpha2*Doub1*z2
          + 251/160*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2]]*alpha1
          - 27/40*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2]]*alpha1*z2
          + 9/8*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2]]*alpha1*Doub2
          - 81/40*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2]]*alpha1*Doub1*z2
          - 63/32*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2].u[2,2]]
          - 9/32*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2].d[1,1]]
          - 57/32*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2].d[2,2]]
          - 63/32*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2].d[1,2]]
          - 15/4*MatrixProduct[Yu1]*Tr[u[2,2]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yu1]*Tr[u[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[u[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/4*MatrixProduct[Yu1]*Tr[u[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yu1]*Tr[u[2,2]]*lam[1,1,2,2]^2
          - 135/16*MatrixProduct[Yu1]*Tr[u[2,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 46/3*MatrixProduct[Yu1]*Tr[u[2,2]]*alpha3^2
          + 309/64*MatrixProduct[Yu1]*Tr[u[2,2]]*alpha2^2
          - 255/64*MatrixProduct[Yu1]*Tr[u[2,2]]*alpha2^2*Doub2
          - 663/64*MatrixProduct[Yu1]*Tr[u[2,2]]*alpha2^2*Doub1
          + 147/32*MatrixProduct[Yu1]*Tr[u[2,2]]*alpha2^2*Doub1*Doub2
          - 2339/4800*MatrixProduct[Yu1]*Tr[u[2,2]]*alpha1^2
          - 389/1600*MatrixProduct[Yu1]*Tr[u[2,2]]*alpha1^2*Doub2
          - 2541/1600*MatrixProduct[Yu1]*Tr[u[2,2]]*alpha1^2*Doub1
          + 441/800*MatrixProduct[Yu1]*Tr[u[2,2]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[u[1,1].d[2,2]]
          + 18*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[u[1,2].u[2,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[u[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[1,1].d[2,2]]
          + 18*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[1,2].d[2,1]]
          + 3*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[1,1].l[2,2]]
          + 6*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[1,2].l[2,1]]
          + 21/32*MatrixProduct[Yu1]*Tr[u[2,2].u[2,2].d[1,1]]
          - 15/4*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha3
          - 12*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha3*z3
          + 27*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha2
          - 999/32*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha2*Doub2*z2
          + 549/32*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha2*Doub1
          - 81/32*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 1157/160*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha1
          + 39/10*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha1*z3
          + 27/80*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha1*z2
          + 231/40*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha1*Doub2
          - 9/5*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha1*Doub2*z2
          - 567/160*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*z2
          + 279/80*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 9/16*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1].d[1,1]]
          + 9/32*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1].d[2,2]]
          + 33/16*MatrixProduct[Yu1]*Tr[u[2,2].d[1,2].d[2,1]]
          + 87/16*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1].d[1,2]]
          + 9/32*MatrixProduct[Yu1]*Tr[u[2,2].d[2,2].d[1,1]]
          - 15/8*MatrixProduct[Yu1]*Tr[d[1,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yu1]*Tr[d[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yu1]*Tr[d[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yu1]*Tr[d[1,1]]*lam[1,1,2,2]^2
          - 135/8*MatrixProduct[Yu1]*Tr[d[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 135/16*MatrixProduct[Yu1]*Tr[d[1,1]]*lam[1,1,1,1]^2
          + 457/3*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha3^2
          - 108*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha3^2*z3
          - 16*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha3^2*Ng
          - 261/8*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2*alpha3
          - 36*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2*alpha3*z2
          - 57/2*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2*alpha3*Doub1
          + 90*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2*alpha3*Doub1*z3
          + 27/2*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2*alpha3*Doub1*z2
          - 3705/64*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2^2
          + 27/2*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2^2*Ng
          + 63/128*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2^2*Doub2
          + 21183/256*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2^2*Doub1
          - 351/8*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2^2*Doub1*z3
          + 135/64*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2^2*Doub1*z2
          - 27/4*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2^2*Doub1*Ng
          - 117/64*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha2^2*Doub1*Doub2
          - 307/120*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1*alpha3
          - 12*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1*alpha3*z2
          - 57/10*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1*alpha3*Doub1
          + 18*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1*alpha3*Doub1*z3
          + 27/10*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1*alpha3*Doub1*z2
          - 5229/160*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1*alpha2
          - 9/20*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1*alpha2*z3
          + 27/32*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1*alpha2*z2
          + 4701/128*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1*alpha2*Doub1
          + 9/20*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1*alpha2*Doub1*z3
          - 27/32*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1*alpha2*Doub1*z2
          - 3547/1600*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1^2
          - 57/50*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1^2*z3
          + 189/1600*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1^2*z2
          + 77/80*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1^2*Ng
          + 453/3200*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1^2*Doub2
          + 9703/6400*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1^2*Doub1
          + 27/200*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1^2*Doub1*z3
          - 189/1600*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1^2*Doub1*z2
          - 27/20*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1^2*Doub1*Ng
          - 351/1600*MatrixProduct[Yu1]*Tr[d[1,1]]*alpha1^2*Doub1*Doub2
          + 27*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[u[1,1].u[1,1]]
          - 9/4*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[u[1,1].d[1,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[d[1,1]]^2*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[d[1,1]]^2*alpha2*z2
          - 81/8*MatrixProduct[Yu1]*Tr[d[1,1]]^2*alpha2*Doub1*z2
          - 81/40*MatrixProduct[Yu1]*Tr[d[1,1]]^2*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[d[1,1]]^2*alpha1*z2
          - 81/40*MatrixProduct[Yu1]*Tr[d[1,1]]^2*alpha1*Doub1*z2
          + 27*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[1,1].d[1,1]]
          - 27/4*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha2
          + 27/4*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha2*z2
          - 27/4*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha2*Doub1*
         z2
          - 27/20*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha1
          + 27/20*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha1*z2
          - 27/20*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha1*Doub1
         *z2
          + 9*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[1,1].l[1,1]]
          + 45/4*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1]]*alpha3
          - 36*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1]]*alpha3*z3
          + 999/32*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1]]*alpha2
          + 27/16*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1]]*alpha2*z2
          - 459/8*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1]]*alpha2*Doub1*z3
          - 27/16*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1]]*alpha2*Doub1*z2
          + 717/32*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1]]*alpha1
          - 63/10*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1]]*alpha1*z3
          - 2247/80*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1]]*alpha1*Doub1
          + 9*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1]]*alpha1*Doub1*z3
          - 75/32*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1].d[1,1]]
          + 9/2*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1].d[1,1]]*z3
          + 9/16*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1].d[2,2]]
          + 135/8*MatrixProduct[Yu1]*Tr[d[1,1].d[1,2]]*lam[1,1,2,1]
          - 33/8*MatrixProduct[Yu1]*Tr[d[1,1].d[1,2].d[2,1]]
          + 9*MatrixProduct[Yu1]*Tr[d[1,1].d[1,2].d[2,1]]*z3
          + 135/8*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*lam[1,1,1,2]
          - 9/8*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1].d[1,2]]
          + 15/2*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha2
          - 999/32*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha2*Doub2*z2
          + 549/32*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha2*Doub1
          - 81/32*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 1363/160*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha1
          - 33/10*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha1*z3
          - 867/80*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha1*Doub2*z3
          + 27/160*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha1*Doub2*z2
          + 549/160*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*z2
          - 279/80*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 21/32*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2].d[2,2]]
          - 45/16*MatrixProduct[Yu1]*Tr[d[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[d[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yu1]*Tr[d[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yu1]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[d[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 135/16*MatrixProduct[Yu1]*Tr[d[1,2]]*lam[1,1,1,1]*lam[1,1,2,1]
          - 135/32*MatrixProduct[Yu1]*Tr[d[1,2]]*alpha2*lam[1,1,2,1]*Doub2
          + 135/32*MatrixProduct[Yu1]*Tr[d[1,2]]*alpha2*lam[1,1,2,1]*Doub1
          - 81/32*MatrixProduct[Yu1]*Tr[d[1,2]]*alpha1*lam[1,1,2,1]*Doub2
          + 81/32*MatrixProduct[Yu1]*Tr[d[1,2]]*alpha1*lam[1,1,2,1]*Doub1
          + 27*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[u[1,1].u[2,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[u[1,1].d[2,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[u[2,1].d[1,1]]
          + 27*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*z2
          + 81/4*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub2
          - 81/16*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub2
         *z2
          + 4455/32*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/16*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*z2
          + 81/20*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*Doub2
          - 81/80*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*Doub2
         *z2
          + 891/32*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/80*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[1,1].l[2,1]]
          - 27/8*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 27/4*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 1485/32*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/16*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 27/20*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub2
         *z2
          + 297/32*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yu1]*Tr[d[1,2].d[1,2]]*lam[2,1,2,1]
          + 15/4*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*lam[1,2,2,1]
          + 15/2*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*lam[1,1,2,2]
          + 5/2*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha3
          - 24*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha3*z3
          + 135/32*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha2
          + 27/16*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha2*z2
          - 405/16*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha2*Doub2*z3
          - 9/16*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha2*Doub1*z2
          + 1111/80*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha1
          - 3*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha1*z3
          - 2733/160*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha1*Doub2*z2
          + 549/80*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha1*Doub1
          - 81/80*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*z2
          - 279/40*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*
         Doub2
          + 27/40*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 3/16*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1].d[2,2]]
          + 45/8*MatrixProduct[Yu1]*Tr[d[1,2].d[2,2]]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu1]*Tr[d[1,2].d[2,2].d[2,1]]
          + 9/2*MatrixProduct[Yu1]*Tr[d[1,2].d[2,2].d[2,1]]*z3
          - 45/16*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/16*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          + 135/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*lam[1,1,1,2]*Doub2
          - 135/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*lam[1,1,1,2]*Doub1
          + 81/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*lam[1,1,1,2]*Doub2
          - 81/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*lam[1,1,1,2]*Doub1
          + 27*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[u[1,1].u[1,2]]
          - 9/8*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[u[1,1].d[1,2]]
          - 9/8*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[u[1,2].d[1,1]]
          + 27*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[1,1].d[1,2]]
          + 9*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1].l[1,2]]
          - 27/8*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*z2
          + 27/4*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 1485/32*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/16*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*z2
          + 27/20*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub2
          - 27/80*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub2
         *z2
          + 297/32*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yu1]*Tr[d[2,1].d[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*lam[1,2,2,2]
          - 15/4*MatrixProduct[Yu1]*Tr[d[2,2]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yu1]*Tr[d[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[d[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/4*MatrixProduct[Yu1]*Tr[d[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yu1]*Tr[d[2,2]]*lam[1,1,2,2]^2
          - 135/16*MatrixProduct[Yu1]*Tr[d[2,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 46/3*MatrixProduct[Yu1]*Tr[d[2,2]]*alpha3^2
          + 309/64*MatrixProduct[Yu1]*Tr[d[2,2]]*alpha2^2
          - 255/64*MatrixProduct[Yu1]*Tr[d[2,2]]*alpha2^2*Doub2
          - 663/64*MatrixProduct[Yu1]*Tr[d[2,2]]*alpha2^2*Doub1
          + 147/32*MatrixProduct[Yu1]*Tr[d[2,2]]*alpha2^2*Doub1*Doub2
          - 779/4800*MatrixProduct[Yu1]*Tr[d[2,2]]*alpha1^2
          - 389/1600*MatrixProduct[Yu1]*Tr[d[2,2]]*alpha1^2*Doub2
          - 1713/1600*MatrixProduct[Yu1]*Tr[d[2,2]]*alpha1^2*Doub1
          + 441/800*MatrixProduct[Yu1]*Tr[d[2,2]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[u[1,1].d[2,2]]
          + 18*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[u[1,2].u[2,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[u[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[d[1,1].d[2,2]]
          + 18*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[d[1,2].d[2,1]]
          + 3*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[1,1].l[2,2]]
          + 6*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[1,2].l[2,1]]
          - 5/8*MatrixProduct[Yu1]*Tr[l[1,1]]*lam[1,2,2,1]^2
          - 15/16*MatrixProduct[Yu1]*Tr[l[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 5/8*MatrixProduct[Yu1]*Tr[l[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 5/8*MatrixProduct[Yu1]*Tr[l[1,1]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yu1]*Tr[l[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[l[1,1]]*lam[1,1,1,1]^2
          - 3*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2*alpha3
          - 18*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2*alpha3*z3
          + 3*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2*alpha3*Doub1
          + 18*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2*alpha3*Doub1*z3
          - 1235/64*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2^2
          + 9/2*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2^2*z3
          - 45/64*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2^2*z2
          + 15/16*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2^2*Ng
          + 21/128*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2^2*Doub2
          + 7061/256*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2^2*Doub1
          - 117/8*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2^2*Doub1*z3
          + 45/64*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2^2*Doub1*z2
          - 9/4*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2^2*Doub1*Ng
          - 39/64*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha2^2*Doub1*Doub2
          - 3/5*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1*alpha3
          - 18/5*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1*alpha3*z3
          + 3/5*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1*alpha3*Doub1
          + 18/5*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1*alpha3*Doub1*z3
          - 411/32*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1*alpha2
          - 117/20*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1*alpha2*z3
          - 27/32*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1*alpha2*z2
          + 7179/640*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1*alpha2*Doub1
          + 99/20*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1*alpha2*Doub1*z2
          - 7147/4800*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1^2
          - 102/25*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1^2*z3
          - 297/1600*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1^2*z2
          - 81/80*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1^2*Ng
          - 729/3200*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1^2*Doub2
          - 32057/19200*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1^2*Doub1
          + 9/200*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1^2*Doub1*z3
          + 297/1600*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1^2*Doub1*z2
          - 9/20*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1^2*Doub1*Ng
          - 117/1600*MatrixProduct[Yu1]*Tr[l[1,1]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[u[1,1].u[1,1]]
          - 3/4*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[u[1,1].d[1,1]]
          + 9*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[d[1,1].d[1,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[l[1,1]]^2*alpha2
          + 9/8*MatrixProduct[Yu1]*Tr[l[1,1]]^2*alpha2*z2
          - 9/8*MatrixProduct[Yu1]*Tr[l[1,1]]^2*alpha2*Doub1*z2
          - 9/40*MatrixProduct[Yu1]*Tr[l[1,1]]^2*alpha1
          + 9/40*MatrixProduct[Yu1]*Tr[l[1,1]]^2*alpha1*z2
          - 9/40*MatrixProduct[Yu1]*Tr[l[1,1]]^2*alpha1*Doub1*z2
          + 3*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[1,1].l[1,1]]
          + 15/4*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1]]*lam[1,1,1,1]
          + 333/32*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1]]*alpha2
          + 9/16*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1]]*alpha2*z2
          - 153/8*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1]]*alpha2*Doub1
          + 9/2*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1]]*alpha2*Doub1*z3
          - 9/16*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1]]*alpha2*Doub1*z2
          + 909/160*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1]]*alpha1
          - 27/10*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1]]*alpha1*z3
          - 63/10*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1]]*alpha1*Doub1
          - 25/32*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1].l[1,1]]
          + 3/2*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1].l[1,1]]*z3
          + 3/16*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1].l[2,2]]
          + 45/8*MatrixProduct[Yu1]*Tr[l[1,1].l[1,2]]*lam[1,1,2,1]
          - 11/8*MatrixProduct[Yu1]*Tr[l[1,1].l[1,2].l[2,1]]
          + 3*MatrixProduct[Yu1]*Tr[l[1,1].l[1,2].l[2,1]]*z3
          + 45/8*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*lam[1,1,1,2]
          - 3/8*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1].l[1,2]]
          + 5/2*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*lam[1,2,2,1]
          + 5/4*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*lam[1,1,2,2]
          + 9*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha2
          - 333/32*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha2*Doub2
          + 9/32*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha2*Doub2*z2
          + 183/32*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*z2
          - 93/16*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*
         Doub2
          + 9/16*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 807/160*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha1
          - 9/2*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha1*z3
          - 267/40*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha1*Doub2*z3
          + 9/160*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha1*Doub2*z2
          + 183/160*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha1*Doub1
          - 27/160*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*z2
          - 93/80*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*
         Doub2
          + 9/80*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 7/32*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2].l[2,2]]
          - 15/16*MatrixProduct[Yu1]*Tr[l[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu1]*Tr[l[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yu1]*Tr[l[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yu1]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yu1]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/8*MatrixProduct[Yu1]*Tr[l[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[l[1,2]]*lam[1,1,1,1]*lam[1,1,2,1]
          - 45/32*MatrixProduct[Yu1]*Tr[l[1,2]]*alpha2*lam[1,1,2,1]*Doub2
          + 45/32*MatrixProduct[Yu1]*Tr[l[1,2]]*alpha2*lam[1,1,2,1]*Doub1
          - 27/32*MatrixProduct[Yu1]*Tr[l[1,2]]*alpha1*lam[1,1,2,1]*Doub2
          + 27/32*MatrixProduct[Yu1]*Tr[l[1,2]]*alpha1*lam[1,1,2,1]*Doub1
          + 9*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[u[1,1].u[2,1]]
          - 3/8*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[u[1,1].d[2,1]]
          - 3/8*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[u[2,1].d[1,1]]
          + 9*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[d[1,1].d[2,1]]
          + 3*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[1,1].l[2,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2
          + 9/8*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 9/4*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub2
          - 9/16*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub2*
         z2
          + 495/32*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 27/16*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 567/32*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 9/8*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 9/40*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1
          + 9/40*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 9/20*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub2
          - 9/80*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub2*
         z2
          + 99/32*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *z2
          - 567/160*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 9/40*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 15/8*MatrixProduct[Yu1]*Tr[l[1,2].l[1,2]]*lam[2,1,2,1]
          + 5/4*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*lam[1,2,2,1]
          + 5/2*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*lam[1,1,2,2]
          + 45/32*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha2
          + 9/16*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha2*z2
          - 135/16*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha2*Doub2
          + 9/2*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha2*Doub2*z3
          - 3/16*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha2*Doub1
          - 9/16*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha2*Doub1*z2
          + 51/80*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha1
          + 9/5*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha1*z3
          + 69/160*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha1*Doub2
          - 9/2*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha1*Doub2*z2
          + 183/80*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*z2
          - 93/40*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*
         Doub2
          + 9/40*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 1/16*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1].l[2,2]]
          + 15/8*MatrixProduct[Yu1]*Tr[l[1,2].l[2,2]]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yu1]*Tr[l[1,2].l[2,2].l[2,1]]
          + 3/2*MatrixProduct[Yu1]*Tr[l[1,2].l[2,2].l[2,1]]*z3
          - 15/16*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          + 45/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2*lam[1,1,1,2]*Doub2
          - 45/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2*lam[1,1,1,2]*Doub1
          + 27/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*lam[1,1,1,2]*Doub2
          - 27/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*lam[1,1,1,2]*Doub1
          + 9*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[u[1,1].u[1,2]]
          - 3/8*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[u[1,1].d[1,2]]
          - 3/8*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[u[1,2].d[1,1]]
          + 9*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[d[1,1].d[1,2]]
          + 3*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[1,1].l[1,2]]
          + 15/8*MatrixProduct[Yu1]*Tr[l[2,1].l[2,1]]*lam[1,2,1,2]
          + 15/8*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*lam[1,2,2,2]
          - 5/4*MatrixProduct[Yu1]*Tr[l[2,2]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yu1]*Tr[l[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yu1]*Tr[l[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 5/4*MatrixProduct[Yu1]*Tr[l[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 5/4*MatrixProduct[Yu1]*Tr[l[2,2]]*lam[1,1,2,2]^2
          - 45/16*MatrixProduct[Yu1]*Tr[l[2,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          + 103/64*MatrixProduct[Yu1]*Tr[l[2,2]]*alpha2^2
          - 85/64*MatrixProduct[Yu1]*Tr[l[2,2]]*alpha2^2*Doub2
          - 221/64*MatrixProduct[Yu1]*Tr[l[2,2]]*alpha2^2*Doub1
          + 49/32*MatrixProduct[Yu1]*Tr[l[2,2]]*alpha2^2*Doub1*Doub2
          - 1993/4800*MatrixProduct[Yu1]*Tr[l[2,2]]*alpha1^2
          - 389/4800*MatrixProduct[Yu1]*Tr[l[2,2]]*alpha1^2*Doub2
          - 1491/1600*MatrixProduct[Yu1]*Tr[l[2,2]]*alpha1^2*Doub1
          + 147/800*MatrixProduct[Yu1]*Tr[l[2,2]]*alpha1^2*Doub1*Doub2
          + 3*MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[u[1,1].u[2,2]]
          + 3*MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[u[1,1].d[2,2]]
          + 6*MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[u[1,2].u[2,1]]
          - 27/8*MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[u[1,2].d[2,1]]
          - 27/8*MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[u[2,1].d[1,2]]
          + 3*MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[u[2,2].d[1,1]]
          + 3*MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[d[1,1].d[2,2]]
          + 6*MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[d[1,2].d[2,1]]
          + MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[l[1,1].l[2,2]]
          + 2*MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[l[1,2].l[2,1]]
          - 15/8*MatrixProduct[Yu2]*lam[1,2,2,2]*lam[1,2,2,1]^2
          - 9/4*MatrixProduct[Yu2]*lam[1,2,2,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yu2]*lam[1,2,2,2]*lam[2,2,2,2]^2
          - 9/2*MatrixProduct[Yu2]*lam[1,2,2,2]^2*lam[2,1,2,2]
          - 27/8*MatrixProduct[Yu2]*lam[1,2,1,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yu2]*lam[1,2,1,2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 9/4*MatrixProduct[Yu2]*lam[1,2,1,2]*lam[2,1,2,1]*lam[1,2,2,2]
          - 27/8*MatrixProduct[Yu2]*lam[1,1,2,2]*lam[1,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yu2]*lam[1,1,2,2]*lam[1,2,2,2]*lam[2,2,2,2]
          - 3*MatrixProduct[Yu2]*lam[1,1,2,2]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yu2]*lam[1,1,2,2]^2*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yu2]*lam[1,1,2,1]*lam[1,2,2,2]^2
          - 27/8*MatrixProduct[Yu2]*lam[1,1,2,1]*lam[1,2,1,2]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yu2]*lam[1,1,2,1]*lam[1,2,1,2]*lam[2,2,2,2]
          - 3*MatrixProduct[Yu2]*lam[1,1,2,1]*lam[1,1,2,2]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[1,2,2,1]^2
          - 3/4*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 21/8*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[1,2,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[1,2,1,2]*lam[2,1,2,1]
          - 27/8*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[1,1,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[1,1,2,2]^2
          - 21/8*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yu2]*lam[1,1,1,2]^2*lam[2,1,2,2]
          - 9/2*MatrixProduct[Yu2]*lam[1,1,1,2]^2*lam[1,1,2,1]
          - 3/4*MatrixProduct[Yu2]*lam[1,1,1,1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yu2]*lam[1,1,1,1]*lam[1,2,1,2]*lam[2,1,2,2]
          - 9/8*MatrixProduct[Yu2]*lam[1,1,1,1]*lam[1,1,2,2]*lam[1,2,2,2]
          - 9/4*MatrixProduct[Yu2]*lam[1,1,1,1]*lam[1,1,2,1]*lam[1,2,1,2]
          - 9/4*MatrixProduct[Yu2]*lam[1,1,1,1]*lam[1,1,1,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yu2]*lam[1,1,1,1]*lam[1,1,1,2]*lam[1,1,2,2]
          - 9/4*MatrixProduct[Yu2]*lam[1,1,1,1]^2*lam[1,1,1,2]
          + 3/32*MatrixProduct[Yu2]*alpha2*lam[1,2,2,2]*lam[1,2,2,1]*Doub2
          + 219/64*MatrixProduct[Yu2]*alpha2*lam[1,2,2,2]*lam[1,2,2,1]*Doub1
          + 135/64*MatrixProduct[Yu2]*alpha2*lam[1,2,2,2]*lam[1,2,2,1]*Doub1*
         Doub2
          + 9/64*MatrixProduct[Yu2]*alpha2*lam[1,2,2,2]*lam[2,2,2,2]*Doub2
          + 81/16*MatrixProduct[Yu2]*alpha2*lam[1,2,2,2]*lam[2,2,2,2]*Doub1
          + 27/64*MatrixProduct[Yu2]*alpha2*lam[1,2,2,2]*lam[2,2,2,2]*Doub1*Doub2
          - 123/16*MatrixProduct[Yu2]*alpha2*lam[1,2,1,2]*lam[2,1,2,2]*Doub2
          + 609/64*MatrixProduct[Yu2]*alpha2*lam[1,2,1,2]*lam[2,1,2,2]*Doub1
          + 243/64*MatrixProduct[Yu2]*alpha2*lam[1,2,1,2]*lam[2,1,2,2]*Doub1*
         Doub2
          + 63/8*MatrixProduct[Yu2]*alpha2*lam[1,1,2,2]*lam[1,2,2,2]*Doub2
          - 171/64*MatrixProduct[Yu2]*alpha2*lam[1,1,2,2]*lam[1,2,2,2]*Doub1
          + 27/64*MatrixProduct[Yu2]*alpha2*lam[1,1,2,2]*lam[1,2,2,2]*Doub1*Doub2
          + 447/64*MatrixProduct[Yu2]*alpha2*lam[1,1,2,1]*lam[1,2,1,2]*Doub2
          - 165/32*MatrixProduct[Yu2]*alpha2*lam[1,1,2,1]*lam[1,2,1,2]*Doub1
          + 243/64*MatrixProduct[Yu2]*alpha2*lam[1,1,2,1]*lam[1,2,1,2]*Doub1*
         Doub2
          + 57/64*MatrixProduct[Yu2]*alpha2*lam[1,1,1,2]*lam[1,2,2,1]*Doub2
          + 21/8*MatrixProduct[Yu2]*alpha2*lam[1,1,1,2]*lam[1,2,2,1]*Doub1
          + 135/64*MatrixProduct[Yu2]*alpha2*lam[1,1,1,2]*lam[1,2,2,1]*Doub1*
         Doub2
          - 333/64*MatrixProduct[Yu2]*alpha2*lam[1,1,1,2]*lam[1,1,2,2]*Doub2
          + 333/32*MatrixProduct[Yu2]*alpha2*lam[1,1,1,2]*lam[1,1,2,2]*Doub1
          + 27/64*MatrixProduct[Yu2]*alpha2*lam[1,1,1,2]*lam[1,1,2,2]*Doub1*Doub2
          + 81/32*MatrixProduct[Yu2]*alpha2*lam[1,1,1,1]*lam[1,1,1,2]*Doub2
          + 171/64*MatrixProduct[Yu2]*alpha2*lam[1,1,1,1]*lam[1,1,1,2]*Doub1
          + 27/64*MatrixProduct[Yu2]*alpha2*lam[1,1,1,1]*lam[1,1,1,2]*Doub1*Doub2
          - 351/128*MatrixProduct[Yu2]*alpha2^2*lam[1,2,2,2]*Doub2
          + 27/16*MatrixProduct[Yu2]*alpha2^2*lam[1,2,2,2]*Doub2*z3
          + 9/128*MatrixProduct[Yu2]*alpha2^2*lam[1,2,2,2]*Doub1*Doub2
          - 27/16*MatrixProduct[Yu2]*alpha2^2*lam[1,2,2,2]*Doub1*Doub2*z3
          - 351/128*MatrixProduct[Yu2]*alpha2^2*lam[1,1,1,2]*Doub1
          + 27/16*MatrixProduct[Yu2]*alpha2^2*lam[1,1,1,2]*Doub1*z3
          + 9/128*MatrixProduct[Yu2]*alpha2^2*lam[1,1,1,2]*Doub1*Doub2
          - 27/16*MatrixProduct[Yu2]*alpha2^2*lam[1,1,1,2]*Doub1*Doub2*z3
          + 63/40*MatrixProduct[Yu2]*alpha1*lam[1,2,2,2]*lam[1,2,2,1]*Doub2
          - 171/320*MatrixProduct[Yu2]*alpha1*lam[1,2,2,2]*lam[1,2,2,1]*Doub1
          + 27/320*MatrixProduct[Yu2]*alpha1*lam[1,2,2,2]*lam[1,2,2,1]*Doub1*
         Doub2
          + 9/320*MatrixProduct[Yu2]*alpha1*lam[1,2,2,2]*lam[2,2,2,2]*Doub2
          + 81/80*MatrixProduct[Yu2]*alpha1*lam[1,2,2,2]*lam[2,2,2,2]*Doub1
          + 27/320*MatrixProduct[Yu2]*alpha1*lam[1,2,2,2]*lam[2,2,2,2]*Doub1*
         Doub2
          - 99/32*MatrixProduct[Yu2]*alpha1*lam[1,2,1,2]*lam[2,1,2,2]*Doub2
          + 999/320*MatrixProduct[Yu2]*alpha1*lam[1,2,1,2]*lam[2,1,2,2]*Doub1
          + 351/320*MatrixProduct[Yu2]*alpha1*lam[1,2,1,2]*lam[2,1,2,2]*Doub1*
         Doub2
          + 63/40*MatrixProduct[Yu2]*alpha1*lam[1,1,2,2]*lam[1,2,2,2]*Doub2
          - 171/320*MatrixProduct[Yu2]*alpha1*lam[1,1,2,2]*lam[1,2,2,2]*Doub1
          + 27/320*MatrixProduct[Yu2]*alpha1*lam[1,1,2,2]*lam[1,2,2,2]*Doub1*
         Doub2
          + 837/320*MatrixProduct[Yu2]*alpha1*lam[1,1,2,1]*lam[1,2,1,2]*Doub2
          - 207/80*MatrixProduct[Yu2]*alpha1*lam[1,1,2,1]*lam[1,2,1,2]*Doub1
          + 351/320*MatrixProduct[Yu2]*alpha1*lam[1,1,2,1]*lam[1,2,1,2]*Doub1*
         Doub2
          - 333/320*MatrixProduct[Yu2]*alpha1*lam[1,1,1,2]*lam[1,2,2,1]*Doub2
          + 333/160*MatrixProduct[Yu2]*alpha1*lam[1,1,1,2]*lam[1,2,2,1]*Doub1
          + 27/320*MatrixProduct[Yu2]*alpha1*lam[1,1,1,2]*lam[1,2,2,1]*Doub1*
         Doub2
          - 333/320*MatrixProduct[Yu2]*alpha1*lam[1,1,1,2]*lam[1,1,2,2]*Doub2
          + 333/160*MatrixProduct[Yu2]*alpha1*lam[1,1,1,2]*lam[1,1,2,2]*Doub1
          + 27/320*MatrixProduct[Yu2]*alpha1*lam[1,1,1,2]*lam[1,1,2,2]*Doub1*
         Doub2
          + 81/160*MatrixProduct[Yu2]*alpha1*lam[1,1,1,1]*lam[1,1,1,2]*Doub2
          + 171/320*MatrixProduct[Yu2]*alpha1*lam[1,1,1,1]*lam[1,1,1,2]*Doub1
          + 27/320*MatrixProduct[Yu2]*alpha1*lam[1,1,1,1]*lam[1,1,1,2]*Doub1*
         Doub2
          + 45/64*MatrixProduct[Yu2]*alpha1*alpha2*lam[1,2,2,2]*Doub2
          + 27/40*MatrixProduct[Yu2]*alpha1*alpha2*lam[1,2,2,2]*Doub2*z3
          + 9/320*MatrixProduct[Yu2]*alpha1*alpha2*lam[1,2,2,2]*Doub1*Doub2
          - 27/40*MatrixProduct[Yu2]*alpha1*alpha2*lam[1,2,2,2]*Doub1*Doub2*
         z3
          + 45/64*MatrixProduct[Yu2]*alpha1*alpha2*lam[1,1,1,2]*Doub1
          + 27/40*MatrixProduct[Yu2]*alpha1*alpha2*lam[1,1,1,2]*Doub1*z3
          + 9/320*MatrixProduct[Yu2]*alpha1*alpha2*lam[1,1,1,2]*Doub1*Doub2
          - 27/40*MatrixProduct[Yu2]*alpha1*alpha2*lam[1,1,1,2]*Doub1*Doub2*
         z3
          - 441/640*MatrixProduct[Yu2]*alpha1^2*lam[1,2,2,2]*Doub2
          + 81/400*MatrixProduct[Yu2]*alpha1^2*lam[1,2,2,2]*Doub2*z3
          + 27/3200*MatrixProduct[Yu2]*alpha1^2*lam[1,2,2,2]*Doub1*Doub2
          - 81/400*MatrixProduct[Yu2]*alpha1^2*lam[1,2,2,2]*Doub1*Doub2*z3
          - 441/640*MatrixProduct[Yu2]*alpha1^2*lam[1,1,1,2]*Doub1
          + 81/400*MatrixProduct[Yu2]*alpha1^2*lam[1,1,1,2]*Doub1*z3
          + 27/3200*MatrixProduct[Yu2]*alpha1^2*lam[1,1,1,2]*Doub1*Doub2
          - 81/400*MatrixProduct[Yu2]*alpha1^2*lam[1,1,1,2]*Doub1*Doub2*z3
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[u[1,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yu2]*Tr[u[1,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yu2]*Tr[u[1,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/16*MatrixProduct[Yu2]*Tr[u[1,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          + 27*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,1].u[1,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,1].d[1,2]]
          - 81/8*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*z2
          + 3807/32*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub2*z2
          + 1971/64*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*z2
          + 3807/160*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub2*z2
          + 1971/320*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*Doub1
         *Doub2*z2
          - 9/8*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2].d[1,1]]
          + 27*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,1].d[1,2]]
          - 81/8*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*z2
          + 3807/32*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub2*z2
          + 1971/64*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*z2
          + 3807/160*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub2*z2
          + 1971/320*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,1].l[1,2]]
          - 27/8*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*z2
          + 1269/32*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 657/64*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*z2
          + 1269/160*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 657/320*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,1].u[1,1]]*lam[1,1,1,2]
          - 75/32*MatrixProduct[Yu2]*Tr[u[1,1].u[1,1].u[1,2]]
          + 9/2*MatrixProduct[Yu2]*Tr[u[1,1].u[1,1].u[1,2]]*z3
          - 99/32*MatrixProduct[Yu2]*Tr[u[1,1].u[1,1].d[1,2]]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*lam[1,1,2,2]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha3
          - 36*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha2
          + 27/16*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha2*z2
          + 1899/128*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha2*Doub2*z2
          - 7803/128*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 1563/80*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha1
          - 27/5*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha1*z3
          + 4131/640*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha1*Doub2*z2
          - 3099/128*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha1*Doub1*z3
          + 81/160*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*alpha1*Doub1*
         Doub2
          - 33/32*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2].u[2,2]]
          + 15/4*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2].d[1,1]]
          - 33/16*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2].d[2,2]]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,1].u[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*lam[1,1,1,2]
          - 45/32*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2].u[1,2]]
          + 9/2*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2].u[1,2]]*z3
          + 117/32*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2].d[1,2]]
          + 9/16*MatrixProduct[Yu2]*Tr[u[1,1].d[1,1].u[1,2]]
          + 9/16*MatrixProduct[Yu2]*Tr[u[1,1].d[1,1].d[1,2]]
          + 57/4*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha3
          - 12*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha3*z3
          + 1089/32*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha2
          - 27/8*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha2*z2
          + 1773/128*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha2*Doub2*z2
          - 2709/128*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 453/80*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha1
          + 39/10*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha1*z3
          - 27/80*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha1*z2
          - 459/640*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha1*Doub2*z2
          + 4983/640*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha1*Doub1
          - 9/5*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 15/32*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2].u[2,2]]
          + 15/4*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2].d[1,1]]
          - 9/8*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2].u[1,2]]
          - 33/16*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2].d[1,2]]
          - 15/16*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/4*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/16*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 551/3*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha3^2
          - 12*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha3^2*z3
          - 16*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha3^2*Ng
          - 81/64*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*lam[1,1,2,2]*Doub2
          + 459/64*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*lam[1,1,2,2]*Doub1
          - 189/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 261/8*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*alpha3
          - 36*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*alpha3*z2
          - 129/8*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*alpha3*Doub2
          + 81*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*alpha3*Doub2*z3
          + 177/8*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*alpha3*Doub1
          + 45*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*alpha3*Doub1*z3
          - 69/2*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*alpha3*Doub1*
         Doub2
          - 36*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*alpha3*Doub1*Doub2*
         z3
          + 27/2*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*alpha3*Doub1*
         Doub2*z2
          - 1287/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2
          + 27/4*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*Ng
          - 64467/512*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*Doub2
          - 189/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*Doub2*z3
          + 27/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*Doub2*z2
          + 675/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*Doub2*Ng
          - 57015/512*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*Doub1
          + 243/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*Doub1*z3
          + 27/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*Doub1*z2
          + 675/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*Doub1*Ng
          + 42039/128*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*Doub1*
         Doub2
          - 729/16*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*Doub1*Doub2*
         z3
          + 27/64*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*Doub1*Doub2*z2
          - 783/16*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2^2*Doub1*Doub2*
         Ng
          - 81/160*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*lam[1,2,2,1]*Doub2
          + 459/160*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*lam[1,2,2,1]*Doub1
          - 189/80*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          - 81/320*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*lam[1,1,2,2]*Doub2
          + 459/320*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*lam[1,1,2,2]*Doub1
          - 189/160*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*lam[1,1,2,2]*Doub1*
         Doub2
          - 347/24*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha3
          + 12/5*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha3*z2
          - 129/40*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha3*Doub2
          + 81/5*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha3*Doub2*z3
          + 177/40*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha3*Doub1
          + 9*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha3*Doub1*z3
          - 69/10*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha3*Doub1*
         Doub2
          - 36/5*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha3*Doub1*
         Doub2*z3
          + 27/10*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha3*Doub1*
         Doub2*z2
          - 1161/40*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha2
          - 9/5*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha2*z3
          - 27/160*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha2*z2
          + 34527/1280*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha2*
         Doub2
          - 81/80*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha2*Doub2*z3
          - 81/80*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha2*Doub2*z2
          + 9663/256*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha2*Doub1
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha2*Doub1*z3
          - 81/80*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha2*Doub1*z2
          - 885/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha2*Doub1*
         Doub2
          + 387/40*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 351/160*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z2
          - 7/300*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2
          - 3/25*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*z3
          - 27/320*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*z2
          - 19/80*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*Ng
          + 9657/12800*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*Doub2
          + 1323/800*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*Doub2*z3
          - 81/800*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*Doub2*z2
          + 135/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*Doub2*Ng
          + 20133/12800*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*Doub1
          + 207/160*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*Doub1*z3
          - 81/800*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*Doub1*z2
          + 135/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*Doub1*Ng
          - 1161/640*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*Doub1*Doub2
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*Doub1*Doub2*z3
          + 459/1600*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*Doub1*Doub2
         *z2
          - 783/80*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1^2*Doub1*Doub2*
         Ng
          + 18*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[1,1].u[2,2]]
          - 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1].d[1,2]]
          - 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*z2
          + 3807/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub2*z2
          + 2889/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*z2
          + 3807/320*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub2*z2
          + 2889/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*Doub1
         *Doub2*z2
          - 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2].d[1,1]]
          - 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*z2
          + 3807/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub2*z2
          + 1971/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*z2
          + 3807/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub2*z2
          + 1971/320*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*Doub1
         *Doub2*z2
          + 18*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*z2
          + 3807/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub2*z2
          + 2889/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*z2
          + 3807/320*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub2*z2
          + 2889/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*Doub1
         *Doub2*z2
          - 27/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*z2
          + 1269/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*Doub2
         *z2
          + 657/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*z2
          + 1269/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub2*z2
          + 657/320*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*Doub1
         *Doub2*z2
          + 6*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[1,2].l[2,1]]
          - 27/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*z2
          + 1269/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*Doub2
         *z2
          + 963/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*z2
          + 1269/320*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 963/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,2].u[1,2]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,2].u[1,2]]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yu2]*Tr[u[1,2].u[1,2].u[2,1]]
          + 9/2*MatrixProduct[Yu2]*Tr[u[1,2].u[1,2].u[2,1]]*z3
          + 15/2*MatrixProduct[Yu2]*Tr[u[1,2].u[1,2].d[2,1]]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*lam[1,1,1,2]
          - 15/16*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1].d[1,2]]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*lam[2,2,2,2]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*lam[1,1,2,2]
          + 15/4*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha3
          - 36*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha2
          + 27/16*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha2*z2
          - 6453/128*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha2*Doub2*z2
          + 549/128*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 1563/80*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha1
          - 27/5*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha1*z3
          - 2829/128*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha1*Doub2*z3
          + 81/160*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha1*Doub2*z2
          + 2781/640*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*alpha1*Doub1*
         Doub2
          - 75/32*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2].u[2,2]]
          + 9/2*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2].u[2,2]]*z3
          - 33/16*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2].d[1,1]]
          + 15/4*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2].d[2,2]]
          + 57/4*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha3
          - 12*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha3*z3
          + 1089/32*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha2
          - 27/8*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha2*z2
          + 1773/128*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha2*Doub2*z2
          - 2709/128*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 1557/160*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha1
          + 33/5*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha1*z3
          - 27/80*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha1*z2
          - 459/640*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha1*Doub2*z2
          + 7923/640*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha1*Doub1
          - 63/10*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1]]*alpha1*Doub1*
         Doub2*z2
          - 9/8*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1].u[2,2]]
          - 99/32*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1].d[1,1]]
          - 15/32*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1].d[2,2]]
          - 15/16*MatrixProduct[Yu2]*Tr[u[1,2].d[1,2].u[2,1]]
          - 15/16*MatrixProduct[Yu2]*Tr[u[1,2].d[1,2].d[2,1]]
          - 15/16*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1].d[1,2]]
          + 57/4*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha3
          - 12*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha3*z3
          + 1089/32*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha2
          - 27/8*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha2*z2
          - 2619/128*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha2*Doub2*z2
          + 1683/128*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 1557/160*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha1
          + 33/5*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha1*z3
          - 27/80*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha1*z2
          + 8013/640*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha1*Doub2
          - 63/10*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha1*Doub2*z2
          - 549/640*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/16*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2].u[2,2]]
          + 117/32*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2].d[1,1]]
          - 99/32*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2].d[2,2]]
          - 45/8*MatrixProduct[Yu2]*Tr[u[2,1]]*lam[1,2,2,2]^2
          - 45/8*MatrixProduct[Yu2]*Tr[u[2,1]]*lam[1,2,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[u[2,1]]*lam[1,2,1,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[u[2,1]]*lam[1,1,2,2]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yu2]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[u[2,1]]*lam[1,1,1,2]^2
          - 45/16*MatrixProduct[Yu2]*Tr[u[2,1]]*lam[1,1,1,1]*lam[1,2,1,2]
          + 81/64*MatrixProduct[Yu2]*Tr[u[2,1]]*alpha2*lam[1,2,1,2]*Doub2
          - 459/64*MatrixProduct[Yu2]*Tr[u[2,1]]*alpha2*lam[1,2,1,2]*Doub1
          + 189/32*MatrixProduct[Yu2]*Tr[u[2,1]]*alpha2*lam[1,2,1,2]*Doub1*
         Doub2
          + 243/320*MatrixProduct[Yu2]*Tr[u[2,1]]*alpha1*lam[1,2,1,2]*Doub2
          - 1377/320*MatrixProduct[Yu2]*Tr[u[2,1]]*alpha1*lam[1,2,1,2]*Doub1
          + 567/160*MatrixProduct[Yu2]*Tr[u[2,1]]*alpha1*lam[1,2,1,2]*Doub1*
         Doub2
          + 27*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[u[1,2].u[1,2]]
          - 9/4*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[u[1,2].d[1,2]]
          + 27*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2].d[1,2]]
          + 9*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2].l[1,2]]
          + 45/8*MatrixProduct[Yu2]*Tr[u[2,1].u[2,2]]*lam[1,2,1,2]
          + 15/2*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2].d[1,2]]
          - 45/8*MatrixProduct[Yu2]*Tr[u[2,2]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yu2]*Tr[u[2,2]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[u[2,2]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[u[2,2]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[u[2,2]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/16*MatrixProduct[Yu2]*Tr[u[2,2]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[u[2,2]]*lam[1,1,1,2]*lam[1,1,2,2]
          + 27*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[u[1,2].u[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[u[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[u[2,2].d[1,2]]
          - 81/8*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*z2
          + 3807/64*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub2*z2
          + 2889/32*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*z2
          + 3807/320*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub2*z2
          + 2889/160*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 27*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[1,2].d[2,2]]
          - 27/8*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*z2
          + 1269/64*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 963/32*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*z2
          + 1269/320*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 963/160*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[1,2].l[2,2]]
          + 45/8*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2]]*lam[1,2,2,2]
          - 99/32*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2].d[1,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1].d[1,2]]
          + 57/4*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha3
          - 12*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha3*z3
          + 1089/32*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha2
          - 27/8*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha2*z2
          - 2619/128*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha2*Doub2*z2
          + 1683/128*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 453/80*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha1
          + 39/10*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha1*z3
          - 27/80*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha1*z2
          + 5073/640*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha1*Doub2
          - 9/5*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha1*Doub2*z2
          - 549/640*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 33/16*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2].d[1,1]]
          + 9/16*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2].d[2,2]]
          + 15/4*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2].d[1,2]]
          - 45/16*MatrixProduct[Yu2]*Tr[d[1,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[d[1,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[d[1,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[d[1,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yu2]*Tr[d[1,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yu2]*Tr[d[1,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/16*MatrixProduct[Yu2]*Tr[d[1,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          + 27*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[u[1,1].u[1,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[u[1,1].d[1,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[u[1,2].d[1,1]]
          + 27*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,1].d[1,2]]
          - 81/8*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*z2
          + 3807/32*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub2*z2
          + 1971/64*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*z2
          + 3807/160*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub2*z2
          + 1971/320*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,1].l[1,2]]
          - 27/8*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*z2
          + 1269/32*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 657/64*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*z2
          + 1269/160*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 657/320*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,1].d[1,1]]*lam[1,1,1,2]
          - 75/32*MatrixProduct[Yu2]*Tr[d[1,1].d[1,1].d[1,2]]
          + 9/2*MatrixProduct[Yu2]*Tr[d[1,1].d[1,1].d[1,2]]*z3
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*lam[1,1,2,2]
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha3
          - 36*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha2
          + 27/16*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha2*z2
          + 1899/128*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha2*Doub2*z2
          - 7803/128*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 717/32*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha1
          - 63/10*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha1*z3
          + 4131/640*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha1*Doub2*z2
          - 3687/128*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha1*Doub1
          + 9*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha1*Doub1*z3
          + 81/160*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*alpha1*Doub1*
         Doub2
          - 45/32*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2].d[2,2]]
          + 9/2*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2].d[2,2]]*z3
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,1].d[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*lam[1,1,1,2]
          - 33/32*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2].d[1,2]]
          - 15/16*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/4*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/16*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 503/3*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha3^2
          - 108*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha3^2*z3
          - 16*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha3^2*Ng
          - 81/64*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*lam[1,1,2,2]*Doub2
          + 459/64*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*lam[1,1,2,2]*Doub1
          - 189/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 261/8*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*alpha3
          - 36*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*alpha3*z2
          - 129/8*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*alpha3*Doub2
          + 81*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*alpha3*Doub2*z3
          + 177/8*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*alpha3*Doub1
          + 45*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*alpha3*Doub1*z3
          - 69/2*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*alpha3*Doub1*
         Doub2
          - 36*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*alpha3*Doub1*Doub2*
         z3
          + 27/2*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*alpha3*Doub1*
         Doub2*z2
          - 2007/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2
          + 27/2*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*Ng
          - 64467/512*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*Doub2
          - 189/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*Doub2*z3
          + 27/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*Doub2*z2
          + 675/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*Doub2*Ng
          - 57015/512*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*Doub1
          + 243/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*Doub1*z3
          + 27/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*Doub1*z2
          + 675/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*Doub1*Ng
          + 42039/128*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*Doub1*
         Doub2
          - 729/16*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*Doub1*Doub2*
         z3
          + 27/64*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*Doub1*Doub2*z2
          - 783/16*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2^2*Doub1*Doub2*
         Ng
          - 81/160*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*lam[1,2,2,1]*Doub2
          + 459/160*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*lam[1,2,2,1]*Doub1
          - 189/80*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          - 81/320*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*lam[1,1,2,2]*Doub2
          + 459/320*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*lam[1,1,2,2]*Doub1
          - 189/160*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*lam[1,1,2,2]*Doub1*
         Doub2
          - 307/120*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha3
          - 12*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha3*z2
          - 129/40*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha3*Doub2
          + 81/5*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha3*Doub2*z3
          + 177/40*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha3*Doub1
          + 9*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha3*Doub1*z3
          - 69/10*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha3*Doub1*
         Doub2
          - 36/5*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha3*Doub1*
         Doub2*z3
          + 27/10*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha3*Doub1*
         Doub2*z2
          - 5229/160*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha2
          - 9/20*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha2*z3
          + 27/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha2*z2
          + 6783/256*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha2*Doub2
          - 81/16*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha2*Doub2*z3
          - 81/80*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha2*Doub2*z2
          + 44031/1280*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha2*
         Doub1
          - 333/80*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha2*Doub1*z3
          - 81/80*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha2*Doub1*z2
          - 3867/160*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha2*Doub1*
         Doub2
          + 387/40*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 189/160*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z2
          - 4931/2400*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2
          - 57/50*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*z3
          + 189/1600*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*z2
          + 77/80*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*Ng
          + 21969/12800*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*Doub2
          + 27/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*Doub2*z3
          - 81/800*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*Doub2*z2
          + 135/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*Doub2*Ng
          + 25101/12800*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*Doub1
          + 819/800*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*Doub1*z3
          - 81/800*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*Doub1*z2
          + 135/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*Doub1*Ng
          - 189/128*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*Doub1*Doub2
          - 693/400*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*Doub1*Doub2*
         z3
          + 27/320*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*Doub1*Doub2*
         z2
          - 783/80*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1^2*Doub1*Doub2*
         Ng
          + 18*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[u[1,1].u[2,2]]
          - 81/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[u[2,1].d[1,2]]
          - 81/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[u[2,2].d[1,1]]
          + 18*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*z2
          + 3807/64*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub2*z2
          + 2889/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*z2
          + 3807/320*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub2*z2
          + 2889/160*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*Doub1
         *Doub2*z2
          - 27/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*z2
          + 1269/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*Doub2
         *z2
          + 657/64*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*z2
          + 1269/160*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub2*z2
          + 657/320*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*Doub1
         *Doub2*z2
          + 6*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[1,2].l[2,1]]
          - 27/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*z2
          + 1269/64*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*Doub2
         *z2
          + 963/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*z2
          + 1269/320*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 963/160*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,2].d[1,2]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,2].d[1,2]]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yu2]*Tr[d[1,2].d[1,2].d[2,1]]
          + 9/2*MatrixProduct[Yu2]*Tr[d[1,2].d[1,2].d[2,1]]*z3
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*lam[1,1,1,2]
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*lam[2,2,2,2]
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*lam[1,1,2,2]
          + 15/4*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha3
          - 36*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha2
          + 27/16*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha2*z2
          - 6453/128*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha2*Doub2*z2
          + 549/128*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 717/32*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha1
          - 63/10*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha1*z3
          - 3417/128*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha1*Doub2
          + 9*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha1*Doub2*z3
          + 81/160*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha1*Doub2*z2
          + 2781/640*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*alpha1*Doub1*
         Doub2
          - 75/32*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2].d[2,2]]
          + 9/2*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2].d[2,2]]*z3
          - 45/8*MatrixProduct[Yu2]*Tr[d[2,1]]*lam[1,2,2,2]^2
          - 45/8*MatrixProduct[Yu2]*Tr[d[2,1]]*lam[1,2,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[d[2,1]]*lam[1,2,1,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[d[2,1]]*lam[1,1,2,2]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yu2]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[d[2,1]]*lam[1,1,1,2]^2
          - 45/16*MatrixProduct[Yu2]*Tr[d[2,1]]*lam[1,1,1,1]*lam[1,2,1,2]
          + 81/64*MatrixProduct[Yu2]*Tr[d[2,1]]*alpha2*lam[1,2,1,2]*Doub2
          - 459/64*MatrixProduct[Yu2]*Tr[d[2,1]]*alpha2*lam[1,2,1,2]*Doub1
          + 189/32*MatrixProduct[Yu2]*Tr[d[2,1]]*alpha2*lam[1,2,1,2]*Doub1*
         Doub2
          + 243/320*MatrixProduct[Yu2]*Tr[d[2,1]]*alpha1*lam[1,2,1,2]*Doub2
          - 1377/320*MatrixProduct[Yu2]*Tr[d[2,1]]*alpha1*lam[1,2,1,2]*Doub1
          + 567/160*MatrixProduct[Yu2]*Tr[d[2,1]]*alpha1*lam[1,2,1,2]*Doub1*
         Doub2
          + 27*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[u[1,2].u[1,2]]
          - 9/4*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[u[1,2].d[1,2]]
          + 27*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[d[1,2].d[1,2]]
          + 9*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2].l[1,2]]
          + 45/8*MatrixProduct[Yu2]*Tr[d[2,1].d[2,2]]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yu2]*Tr[d[2,2]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yu2]*Tr[d[2,2]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[d[2,2]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[d[2,2]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[d[2,2]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/16*MatrixProduct[Yu2]*Tr[d[2,2]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[d[2,2]]*lam[1,1,1,2]*lam[1,1,2,2]
          + 27*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[u[1,2].u[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[u[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[u[2,2].d[1,2]]
          + 27*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[d[1,2].d[2,2]]
          - 27/8*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*z2
          + 1269/64*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 963/32*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*z2
          + 1269/320*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 963/160*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[1,2].l[2,2]]
          + 45/8*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2]]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yu2]*Tr[l[1,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu2]*Tr[l[1,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yu2]*Tr[l[1,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yu2]*Tr[l[1,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yu2]*Tr[l[1,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yu2]*Tr[l[1,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[l[1,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          + 9*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[u[1,1].u[1,2]]
          - 3/8*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[u[1,1].d[1,2]]
          - 3/8*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[u[1,2].d[1,1]]
          + 9*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[d[1,1].d[1,2]]
          + 3*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,1].l[1,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2
          + 9/8*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*z2
          + 423/32*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 27/32*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 219/64*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 27/32*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 1065/64*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 9/16*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 9/40*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1
          + 9/40*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*z2
          + 423/160*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 27/160*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 219/320*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 27/160*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 213/64*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 9/80*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,1].l[1,1]]*lam[1,1,1,2]
          - 25/32*MatrixProduct[Yu2]*Tr[l[1,1].l[1,1].l[1,2]]
          + 3/2*MatrixProduct[Yu2]*Tr[l[1,1].l[1,1].l[1,2]]*z3
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*lam[1,2,2,1]
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*lam[1,1,2,2]
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*lam[1,1,1,1]
          + 333/32*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha2
          + 9/16*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha2*z2
          + 633/128*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha2*Doub2
          - 9/32*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha2*Doub2*z2
          - 2601/128*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha2*Doub1
          + 9/2*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha2*Doub1*z2
          - 15/4*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 909/160*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha1
          - 27/10*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha1*z3
          + 1377/640*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha1*Doub2
          - 27/160*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha1*Doub2*z2
          - 837/128*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha1*Doub1*z2
          - 153/80*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*alpha1*Doub1*
         Doub2
          - 15/32*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2].l[2,2]]
          + 3/2*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2].l[2,2]]*z3
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,1].l[2,1]]*lam[1,2,1,2]
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*lam[1,2,2,2]
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*lam[1,1,1,2]
          - 11/32*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2].l[1,2]]
          - 5/16*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[1,2,2,1]^2
          - 15/16*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 5/4*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 5/16*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[1,1,2,2]^2
          - 15/8*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 15/16*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[1,1,1,1]*lam[1,1,2,2]
          - 27/64*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2*lam[1,1,2,2]*Doub2
          + 153/64*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2*lam[1,1,2,2]*Doub1
          - 63/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 3*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2*alpha3
          - 18*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2*alpha3*z3
          + 3/2*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2*alpha3*Doub2
          + 9*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2*alpha3*Doub2*z3
          + 3/2*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2*alpha3*Doub1
          + 9*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2*alpha3*Doub1*z3
          - 669/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2
          + 9/2*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*z3
          - 45/64*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*z2
          + 15/16*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*Ng
          - 21489/512*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*Doub2
          - 63/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*Doub2*z3
          + 9/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*Doub2*z2
          + 225/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*Doub2*Ng
          - 19005/512*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*Doub1
          + 81/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*Doub1*z3
          + 9/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*Doub1*z2
          + 225/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*Doub1*Ng
          + 14013/128*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*Doub1*
         Doub2
          - 243/16*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*Doub1*Doub2*
         z3
          + 9/64*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*Doub1*Doub2*z2
          - 261/16*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2^2*Doub1*Doub2*
         Ng
          - 27/160*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*lam[1,2,2,1]*Doub2
          + 153/160*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*lam[1,2,2,1]*Doub1
          - 63/80*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          - 27/320*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*lam[1,1,2,2]*Doub2
          + 153/320*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*lam[1,1,2,2]*Doub1
          - 63/160*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*lam[1,1,2,2]*Doub1*
         Doub2
          - 3/5*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha3
          - 18/5*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha3*z3
          + 3/10*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha3*Doub2
          + 9/5*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha3*Doub2*z3
          + 3/10*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha3*Doub1
          + 9/5*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha3*Doub1*z3
          - 411/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha2
          - 117/20*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha2*z3
          - 27/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha2*z2
          + 10833/1280*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha2*
         Doub2
          + 45/16*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha2*Doub2*z3
          - 27/80*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha2*Doub2*z2
          + 3657/256*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha2*Doub1
          + 9/80*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha2*Doub1*z3
          - 27/80*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha2*Doub1*z2
          - 369/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha2*Doub1*
         Doub2
          + 81/40*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 243/160*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z2
          - 859/800*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2
          - 102/25*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*z3
          - 297/1600*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*z2
          - 81/80*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*Ng
          - 6357/12800*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*Doub2
          + 189/160*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*Doub2*z3
          - 27/800*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*Doub2*z2
          + 45/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*Doub2*Ng
          + 2847/12800*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*Doub1
          + 513/800*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*Doub1*z3
          - 27/800*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*Doub1*z2
          + 45/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*Doub1*Ng
          - 111/128*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*Doub1*Doub2
          - 711/400*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*Doub1*Doub2*
         z3
          + 81/320*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*Doub1*Doub2*
         z2
          - 261/80*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1^2*Doub1*Doub2*
         Ng
          + 6*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[u[1,1].u[2,2]]
          - 27/8*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[u[1,1].d[2,2]]
          + 3*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[u[1,2].u[2,1]]
          + 3*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[u[1,2].d[2,1]]
          + 3*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[u[2,1].d[1,2]]
          - 27/8*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[u[2,2].d[1,1]]
          + 6*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[d[1,1].d[2,2]]
          + 3*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[d[1,2].d[2,1]]
          + 2*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[1,1].l[2,2]]
          + MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[1,2].l[2,1]]
          - 9/8*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2
          + 9/8*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*z2
          + 423/64*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 27/32*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*Doub2
         *z2
          + 321/32*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 27/32*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*Doub1
         *z2
          - 1065/64*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 9/16*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 9/40*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1
          + 9/40*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*z2
          + 423/320*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 27/160*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 321/160*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 27/160*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 213/64*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 9/80*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,2].l[1,2]]*lam[2,1,2,2]
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,2].l[1,2]]*lam[1,1,2,1]
          - 3/4*MatrixProduct[Yu2]*Tr[l[1,2].l[1,2].l[2,1]]
          + 3/2*MatrixProduct[Yu2]*Tr[l[1,2].l[1,2].l[2,1]]*z3
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*lam[1,2,2,2]
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*lam[1,1,1,2]
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*lam[1,2,2,1]
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*lam[2,2,2,2]
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*lam[1,1,2,2]
          + 333/32*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha2
          + 9/16*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha2*z2
          - 2151/128*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha2*Doub2
          + 9/2*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha2*Doub2*z2
          + 183/128*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha2*Doub1
          - 9/32*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha2*Doub1*z2
          - 15/4*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 909/160*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha1
          - 27/10*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha1*z3
          - 747/128*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha1*Doub2*z2
          + 927/640*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha1*Doub1
          - 27/160*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha1*Doub1*z2
          - 153/80*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*alpha1*Doub1*
         Doub2
          - 25/32*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2].l[2,2]]
          + 3/2*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2].l[2,2]]*z3
          - 15/8*MatrixProduct[Yu2]*Tr[l[2,1]]*lam[1,2,2,2]^2
          - 15/8*MatrixProduct[Yu2]*Tr[l[2,1]]*lam[1,2,1,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu2]*Tr[l[2,1]]*lam[1,2,1,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yu2]*Tr[l[2,1]]*lam[1,1,2,2]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yu2]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yu2]*Tr[l[2,1]]*lam[1,1,1,2]^2
          - 15/16*MatrixProduct[Yu2]*Tr[l[2,1]]*lam[1,1,1,1]*lam[1,2,1,2]
          + 27/64*MatrixProduct[Yu2]*Tr[l[2,1]]*alpha2*lam[1,2,1,2]*Doub2
          - 153/64*MatrixProduct[Yu2]*Tr[l[2,1]]*alpha2*lam[1,2,1,2]*Doub1
          + 63/32*MatrixProduct[Yu2]*Tr[l[2,1]]*alpha2*lam[1,2,1,2]*Doub1*
         Doub2
          + 81/320*MatrixProduct[Yu2]*Tr[l[2,1]]*alpha1*lam[1,2,1,2]*Doub2
          - 459/320*MatrixProduct[Yu2]*Tr[l[2,1]]*alpha1*lam[1,2,1,2]*Doub1
          + 189/160*MatrixProduct[Yu2]*Tr[l[2,1]]*alpha1*lam[1,2,1,2]*Doub1*
         Doub2
          + 9*MatrixProduct[Yu2]*Tr[l[2,1]]*Tr[u[1,2].u[1,2]]
          - 3/4*MatrixProduct[Yu2]*Tr[l[2,1]]*Tr[u[1,2].d[1,2]]
          + 9*MatrixProduct[Yu2]*Tr[l[2,1]]*Tr[d[1,2].d[1,2]]
          + 3*MatrixProduct[Yu2]*Tr[l[2,1]]*Tr[l[1,2].l[1,2]]
          + 15/8*MatrixProduct[Yu2]*Tr[l[2,1].l[2,2]]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yu2]*Tr[l[2,2]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[l[2,2]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yu2]*Tr[l[2,2]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yu2]*Tr[l[2,2]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yu2]*Tr[l[2,2]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 15/16*MatrixProduct[Yu2]*Tr[l[2,2]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu2]*Tr[l[2,2]]*lam[1,1,1,2]*lam[1,1,2,2]
          + 9*MatrixProduct[Yu2]*Tr[l[2,2]]*Tr[u[1,2].u[2,2]]
          - 3/8*MatrixProduct[Yu2]*Tr[l[2,2]]*Tr[u[1,2].d[2,2]]
          - 3/8*MatrixProduct[Yu2]*Tr[l[2,2]]*Tr[u[2,2].d[1,2]]
          + 9*MatrixProduct[Yu2]*Tr[l[2,2]]*Tr[d[1,2].d[2,2]]
          + 3*MatrixProduct[Yu2]*Tr[l[2,2]]*Tr[l[1,2].l[2,2]]
          + 15/8*MatrixProduct[Yu2]*Tr[l[2,2].l[2,2]]*lam[1,2,2,2]
          )

       - 1/2*MatrixProduct[Yu1]*ep);

(* Beta function for Yu[2] *)
   betaYu2 = (

       + fourpiinv * (
          + 1/4*MatrixProduct[u[1,1].Yu2]
          + 1/2*MatrixProduct[u[2,1].Yu1]
          + 3/4*MatrixProduct[u[2,2].Yu2]
          + 1/4*MatrixProduct[d[1,1].Yu2]
          - MatrixProduct[d[2,1].Yu1]
          - 3/4*MatrixProduct[d[2,2].Yu2]
          + 3/2*MatrixProduct[Yu1]*Tr[u[2,1]]
          + 3/2*MatrixProduct[Yu1]*Tr[d[2,1]]
          + 1/2*MatrixProduct[Yu1]*Tr[l[2,1]]
          - 4*MatrixProduct[Yu2]*alpha3
          + 3/8*MatrixProduct[Yu2]*alpha2
          - 3/2*MatrixProduct[Yu2]*alpha2*Doub2
          - 1/8*MatrixProduct[Yu2]*alpha1
          - 3/10*MatrixProduct[Yu2]*alpha1*Doub2
          + 3/2*MatrixProduct[Yu2]*Tr[u[2,2]]
          + 3/2*MatrixProduct[Yu2]*Tr[d[2,2]]
          + 1/2*MatrixProduct[Yu2]*Tr[l[2,2]]
          )

       + fourpiinv^2 * (
          - 1/8*MatrixProduct[u[1,1].u[1,1].Yu2]
          + MatrixProduct[u[1,1].u[2,1].Yu1]
          - 3*MatrixProduct[u[1,1].Yu1]*lam[1,1,2,1]
          - 2*MatrixProduct[u[1,1].Yu2]*lam[1,2,2,1]
          - MatrixProduct[u[1,1].Yu2]*lam[1,1,2,2]
          + 8/3*MatrixProduct[u[1,1].Yu2]*alpha3
          - 33/32*MatrixProduct[u[1,1].Yu2]*alpha2
          + 9/8*MatrixProduct[u[1,1].Yu2]*alpha2*Doub2
          + 33/16*MatrixProduct[u[1,1].Yu2]*alpha2*Doub1
          - 9/8*MatrixProduct[u[1,1].Yu2]*alpha2*Doub1*Doub2
          - 467/480*MatrixProduct[u[1,1].Yu2]*alpha1
          + 9/40*MatrixProduct[u[1,1].Yu2]*alpha1*Doub2
          + 33/16*MatrixProduct[u[1,1].Yu2]*alpha1*Doub1
          - 9/40*MatrixProduct[u[1,1].Yu2]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]
          - 9/8*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]
          - 3/8*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]
          + 7/8*MatrixProduct[u[1,2].u[2,1].Yu2]
          - 3*MatrixProduct[u[1,2].Yu1]*lam[2,1,2,1]
          - 3*MatrixProduct[u[1,2].Yu2]*lam[2,1,2,2]
          - 9/8*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]
          - 9/8*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]
          - 3/8*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]
          - 1/8*MatrixProduct[u[2,1].u[1,1].Yu1]
          - 1/8*MatrixProduct[u[2,1].u[1,2].Yu2]
          + 7/8*MatrixProduct[u[2,1].u[2,2].Yu1]
          - 1/8*MatrixProduct[u[2,1].d[1,1].Yu1]
          - 1/8*MatrixProduct[u[2,1].d[2,2].Yu1]
          - MatrixProduct[u[2,1].Yu1]*lam[1,2,2,1]
          - 2*MatrixProduct[u[2,1].Yu1]*lam[1,1,2,2]
          + 16/3*MatrixProduct[u[2,1].Yu1]*alpha3
          + 3/16*MatrixProduct[u[2,1].Yu1]*alpha2
          + 3*MatrixProduct[u[2,1].Yu1]*alpha2*Doub1
          + 73/240*MatrixProduct[u[2,1].Yu1]*alpha1
          + 9/20*MatrixProduct[u[2,1].Yu1]*alpha1*Doub2
          - 9/20*MatrixProduct[u[2,1].Yu1]*alpha1*Doub1*Doub2
          - 9/4*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]
          - 9/4*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]
          - 3/4*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]
          - 3*MatrixProduct[u[2,1].Yu2]*lam[1,2,2,2]
          - 27/8*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]
          - 27/8*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]
          - 9/8*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]
          - 1/8*MatrixProduct[u[2,2].u[1,1].Yu2]
          + 3/4*MatrixProduct[u[2,2].u[2,2].Yu2]
          - 1/8*MatrixProduct[u[2,2].d[1,1].Yu2]
          - 1/8*MatrixProduct[u[2,2].d[2,2].Yu2]
          - 3*MatrixProduct[u[2,2].Yu1]*lam[2,1,2,2]
          - 9/4*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]
          - 9/4*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]
          - 3/4*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]
          - 3*MatrixProduct[u[2,2].Yu2]*lam[2,2,2,2]
          + 8*MatrixProduct[u[2,2].Yu2]*alpha3
          - 27/32*MatrixProduct[u[2,2].Yu2]*alpha2
          + 81/16*MatrixProduct[u[2,2].Yu2]*alpha2*Doub2
          - 107/160*MatrixProduct[u[2,2].Yu2]*alpha1
          + 33/16*MatrixProduct[u[2,2].Yu2]*alpha1*Doub2
          - 27/8*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]
          - 27/8*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]
          - 9/8*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]
          - MatrixProduct[d[1,1].u[2,1].Yu1]
          - 1/8*MatrixProduct[d[1,1].d[1,1].Yu2]
          + MatrixProduct[d[1,1].d[2,1].Yu1]
          + MatrixProduct[d[1,1].Yu2]*lam[1,2,2,1]
          - MatrixProduct[d[1,1].Yu2]*lam[1,1,2,2]
          + 8/3*MatrixProduct[d[1,1].Yu2]*alpha3
          - 33/32*MatrixProduct[d[1,1].Yu2]*alpha2
          + 9/8*MatrixProduct[d[1,1].Yu2]*alpha2*Doub2
          + 33/16*MatrixProduct[d[1,1].Yu2]*alpha2*Doub1
          - 9/8*MatrixProduct[d[1,1].Yu2]*alpha2*Doub1*Doub2
          + 661/480*MatrixProduct[d[1,1].Yu2]*alpha1
          - 9/40*MatrixProduct[d[1,1].Yu2]*alpha1*Doub2
          - 117/80*MatrixProduct[d[1,1].Yu2]*alpha1*Doub1
          + 9/40*MatrixProduct[d[1,1].Yu2]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]
          - 9/8*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]
          - 3/8*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]
          - MatrixProduct[d[1,2].u[2,1].Yu2]
          + 7/8*MatrixProduct[d[1,2].d[2,1].Yu2]
          - 9/8*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]
          - 9/8*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]
          - 3/8*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]
          + 1/2*MatrixProduct[d[2,1].u[1,1].Yu1]
          - 1/2*MatrixProduct[d[2,1].u[2,2].Yu1]
          + 1/2*MatrixProduct[d[2,1].d[1,1].Yu1]
          - 1/8*MatrixProduct[d[2,1].d[1,2].Yu2]
          + 3/2*MatrixProduct[d[2,1].d[2,2].Yu1]
          - MatrixProduct[d[2,1].Yu1]*lam[1,2,2,1]
          + MatrixProduct[d[2,1].Yu1]*lam[1,1,2,2]
          - 32/3*MatrixProduct[d[2,1].Yu1]*alpha3
          + 3/2*MatrixProduct[d[2,1].Yu1]*alpha2
          - 9/4*MatrixProduct[d[2,1].Yu1]*alpha2*Doub1
          - 1/30*MatrixProduct[d[2,1].Yu1]*alpha1
          - 3/20*MatrixProduct[d[2,1].Yu1]*alpha1*Doub1
          + 3*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]
          + 3*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]
          + MatrixProduct[d[2,1].Yu1]*Tr[l[1,1]]
          + 15/8*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]
          + 15/8*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]
          + 5/8*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]
          + 1/2*MatrixProduct[d[2,2].u[1,1].Yu2]
          - 1/2*MatrixProduct[d[2,2].u[2,2].Yu2]
          + 1/2*MatrixProduct[d[2,2].d[1,1].Yu2]
          + 11/8*MatrixProduct[d[2,2].d[2,2].Yu2]
          + 3*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]
          + 3*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]
          + MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]
          - 8*MatrixProduct[d[2,2].Yu2]*alpha3
          + 15/32*MatrixProduct[d[2,2].Yu2]*alpha2
          - 3/16*MatrixProduct[d[2,2].Yu2]*alpha2*Doub2
          + 43/32*MatrixProduct[d[2,2].Yu2]*alpha1
          - 129/80*MatrixProduct[d[2,2].Yu2]*alpha1*Doub2
          + 15/8*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]
          + 15/8*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]
          + 5/8*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]
          + 3/4*MatrixProduct[Yu1]*lam[2,1,2,2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[Yu1]*lam[2,1,2,2]*lam[2,2,2,2]
          + 3/4*MatrixProduct[Yu1]*lam[2,1,2,1]*lam[1,2,2,2]
          + 3/4*MatrixProduct[Yu1]*lam[1,1,2,2]*lam[2,1,2,2]
          + 3/4*MatrixProduct[Yu1]*lam[1,1,2,1]*lam[1,2,2,1]
          + 3/4*MatrixProduct[Yu1]*lam[1,1,2,1]*lam[1,1,2,2]
          + 3/4*MatrixProduct[Yu1]*lam[1,1,1,2]*lam[2,1,2,1]
          + 3/4*MatrixProduct[Yu1]*lam[1,1,1,1]*lam[1,1,2,1]
          - 27/8*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]
          + 3/8*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]
          + 10*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha3
          - 117/16*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2
          + 9/8*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*Doub2
          - 9/8*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*Doub1
          + 81/8*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*Doub1*Doub2
          - 77/80*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1
          + 9/40*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*Doub2
          - 9/40*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*Doub1
          + 81/40*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*Doub1*Doub2
          - 27/8*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]
          + 3/8*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]
          + 3/8*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]
          + 3/8*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]
          - 27/8*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]
          + 10*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha3
          - 117/16*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2
          + 9/8*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*Doub2
          - 9/8*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*Doub1
          + 81/8*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*Doub1*Doub2
          - 137/80*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1
          + 9/40*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*Doub2
          - 9/40*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*Doub1
          + 81/40*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*Doub1*Doub2
          - 27/8*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]
          - 39/16*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2
          + 3/8*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2*Doub2
          - 3/8*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2*Doub1
          + 27/8*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2*Doub1*Doub2
          + 21/80*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1
          + 3/40*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*Doub2
          - 3/40*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]
          + 1/2*MatrixProduct[Yu2]*lam[1,2,2,1]^2
          + 3/4*MatrixProduct[Yu2]*lam[2,2,2,2]^2
          + 9/4*MatrixProduct[Yu2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 3/4*MatrixProduct[Yu2]*lam[1,2,1,2]*lam[2,1,2,1]
          + 1/2*MatrixProduct[Yu2]*lam[1,1,2,2]*lam[1,2,2,1]
          + 1/2*MatrixProduct[Yu2]*lam[1,1,2,2]^2
          + 3/4*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[1,1,2,1]
          - 202/3*MatrixProduct[Yu2]*alpha3^2
          + 40/9*MatrixProduct[Yu2]*alpha3^2*Ng
          + 9/2*MatrixProduct[Yu2]*alpha2*alpha3
          + 381/64*MatrixProduct[Yu2]*alpha2^2
          - 3/4*MatrixProduct[Yu2]*alpha2^2*Ng
          - 661/64*MatrixProduct[Yu2]*alpha2^2*Doub2
          + 5/4*MatrixProduct[Yu2]*alpha2^2*Doub2*Ng
          - 3/32*MatrixProduct[Yu2]*alpha2^2*Doub1
          + 11/32*MatrixProduct[Yu2]*alpha2^2*Doub1*Doub2
          + 19/30*MatrixProduct[Yu2]*alpha1*alpha3
          + 9/32*MatrixProduct[Yu2]*alpha1*alpha2
          - 81/160*MatrixProduct[Yu2]*alpha1*alpha2*Doub2
          + 31/4800*MatrixProduct[Yu2]*alpha1^2
          + 13/180*MatrixProduct[Yu2]*alpha1^2*Ng
          + 77/4800*MatrixProduct[Yu2]*alpha1^2*Doub2
          + 1/4*MatrixProduct[Yu2]*alpha1^2*Doub2*Ng
          + 61/2400*MatrixProduct[Yu2]*alpha1^2*Doub1
          + 33/800*MatrixProduct[Yu2]*alpha1^2*Doub1*Doub2
          - 9/8*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]
          - 9/4*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]
          + 3/2*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1]]
          + 3/2*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2]]
          + 10*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha3
          - 117/16*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2*Doub2
          - 77/80*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1*Doub2
          - 27/8*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]
          + 3/4*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]
          - 9/4*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]
          + 10*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha3
          - 117/16*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2*Doub2
          - 137/80*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1*Doub2
          - 27/8*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2]]
          - 3/8*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]
          - 3/4*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]
          - 39/16*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2*Doub2
          + 21/80*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1*Doub2
          - 9/8*MatrixProduct[Yu2]*Tr[l[2,2].l[2,2]]
          )

       + fourpiinv^3 * (
          - 3/4*MatrixProduct[u[1,1].u[1,1].u[1,1].Yu2]
          + 3/4*MatrixProduct[u[1,1].u[1,1].u[1,1].Yu2]*z3
          - 21/4*MatrixProduct[u[1,1].u[1,1].u[2,1].Yu1]
          - 7/32*MatrixProduct[u[1,1].u[1,1].d[1,1].Yu2]
          + 11/4*MatrixProduct[u[1,1].u[1,1].d[2,1].Yu1]
          + 33/4*MatrixProduct[u[1,1].u[1,1].Yu1]*lam[1,1,2,1]
          + 5/2*MatrixProduct[u[1,1].u[1,1].Yu2]*lam[1,2,2,1]
          + 11/4*MatrixProduct[u[1,1].u[1,1].Yu2]*lam[1,1,2,2]
          + 3/2*MatrixProduct[u[1,1].u[1,1].Yu2]*lam[1,1,1,1]
          - 20/3*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha3
          + 15/8*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha2
          + 9/64*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha2*z2
          - 45/64*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha2*Doub2
          - 9/32*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha2*Doub2*z2
          - 147/32*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha2*Doub1
          + 9/4*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha2*Doub1*z3
          - 9/64*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha2*Doub1*z2
          + 45/64*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha2*Doub1*Doub2
          + 9/32*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha2*Doub1*Doub2*z2
          + 6631/960*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha1
          - 9/320*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha1*z2
          - 21/16*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha1*Doub2
          - 495/64*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha1*Doub1
          - 3/4*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha1*Doub1*z2
          + 21/16*MatrixProduct[u[1,1].u[1,1].Yu2]*alpha1*Doub1*Doub2
          + 15/16*MatrixProduct[u[1,1].u[1,1].Yu2]*Tr[u[1,1]]
          + 15/16*MatrixProduct[u[1,1].u[1,1].Yu2]*Tr[d[1,1]]
          + 5/16*MatrixProduct[u[1,1].u[1,1].Yu2]*Tr[l[1,1]]
          - 13/16*MatrixProduct[u[1,1].u[1,2].u[2,1].Yu2]
          + 45/32*MatrixProduct[u[1,1].u[1,2].d[2,1].Yu2]
          + 9/2*MatrixProduct[u[1,1].u[1,2].Yu1]*lam[2,1,2,1]
          + 3/2*MatrixProduct[u[1,1].u[1,2].Yu2]*lam[2,1,2,2]
          + 3/2*MatrixProduct[u[1,1].u[1,2].Yu2]*lam[1,1,2,1]
          - 3/4*MatrixProduct[u[1,1].u[1,2].Yu2]*Tr[u[2,1]]
          - 3/4*MatrixProduct[u[1,1].u[1,2].Yu2]*Tr[d[2,1]]
          - 1/4*MatrixProduct[u[1,1].u[1,2].Yu2]*Tr[l[2,1]]
          - 15/4*MatrixProduct[u[1,1].u[2,1].u[1,1].Yu1]
          - 1/2*MatrixProduct[u[1,1].u[2,1].u[1,2].Yu2]
          + 3/4*MatrixProduct[u[1,1].u[2,1].u[1,2].Yu2]*z3
          - 17/4*MatrixProduct[u[1,1].u[2,1].u[2,2].Yu1]
          - 1/4*MatrixProduct[u[1,1].u[2,1].d[1,1].Yu1]
          - 1/2*MatrixProduct[u[1,1].u[2,1].d[1,2].Yu2]
          + 3/4*MatrixProduct[u[1,1].u[2,1].d[2,2].Yu1]
          + 4*MatrixProduct[u[1,1].u[2,1].Yu1]*lam[1,2,2,1]
          + 2*MatrixProduct[u[1,1].u[2,1].Yu1]*lam[1,1,2,2]
          + 3*MatrixProduct[u[1,1].u[2,1].Yu1]*lam[1,1,1,1]
          - 56/3*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha3
          - 9/2*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha2
          + 27/2*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha2*z3
          + 3*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha2*Doub2
          - 9/2*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha2*Doub2*z3
          + 15/4*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha2*Doub1
          - 27/2*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha2*Doub1*z3
          - 3*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha2*Doub1*Doub2
          + 9/2*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha2*Doub1*Doub2*z3
          + 179/30*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha1
          + 27/10*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha1*z3
          - 9/20*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha1*z2
          + 3/5*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha1*Doub2
          - 9/10*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha1*Doub2*z3
          - 141/20*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha1*Doub1
          - 27/10*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha1*Doub1*z3
          + 9/20*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha1*Doub1*z2
          - 3/5*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha1*Doub1*Doub2
          + 9/10*MatrixProduct[u[1,1].u[2,1].Yu1]*alpha1*Doub1*Doub2*z3
          - 3*MatrixProduct[u[1,1].u[2,1].Yu1]*Tr[u[1,1]]
          - 3*MatrixProduct[u[1,1].u[2,1].Yu1]*Tr[d[1,1]]
          - MatrixProduct[u[1,1].u[2,1].Yu1]*Tr[l[1,1]]
          + 3*MatrixProduct[u[1,1].u[2,1].Yu2]*lam[1,2,2,2]
          + 9/2*MatrixProduct[u[1,1].u[2,1].Yu2]*lam[1,1,1,2]
          + 3/16*MatrixProduct[u[1,1].u[2,1].Yu2]*Tr[u[1,2]]
          + 3/16*MatrixProduct[u[1,1].u[2,1].Yu2]*Tr[d[1,2]]
          + 1/16*MatrixProduct[u[1,1].u[2,1].Yu2]*Tr[l[1,2]]
          - 31/16*MatrixProduct[u[1,1].u[2,2].u[1,1].Yu2]
          - 9/4*MatrixProduct[u[1,1].u[2,2].u[2,1].Yu1]
          - 9/8*MatrixProduct[u[1,1].u[2,2].d[1,1].Yu2]
          + 3*MatrixProduct[u[1,1].u[2,2].d[1,1].Yu2]*z3
          + 7/4*MatrixProduct[u[1,1].u[2,2].d[2,1].Yu1]
          - 3*MatrixProduct[u[1,1].u[2,2].d[2,1].Yu1]*z3
          + 3*MatrixProduct[u[1,1].u[2,2].Yu1]*lam[2,1,2,2]
          + 15/4*MatrixProduct[u[1,1].u[2,2].Yu1]*lam[1,1,2,1]
          - 3/2*MatrixProduct[u[1,1].u[2,2].Yu1]*Tr[u[2,1]]
          - 3/2*MatrixProduct[u[1,1].u[2,2].Yu1]*Tr[d[2,1]]
          - 1/2*MatrixProduct[u[1,1].u[2,2].Yu1]*Tr[l[2,1]]
          + 5/2*MatrixProduct[u[1,1].u[2,2].Yu2]*lam[1,2,2,1]
          + 11/4*MatrixProduct[u[1,1].u[2,2].Yu2]*lam[1,1,2,2]
          - 10*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha3
          + 81/32*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha2
          - 9/64*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha2*z2
          - 129/32*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha2*Doub2
          + 9/64*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha2*Doub2*z2
          - 45/16*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha2*Doub1
          + 9/64*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha2*Doub1*z2
          + 69/16*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha2*Doub1*Doub2
          - 9/64*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha2*Doub1*Doub2*z2
          + 1497/160*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha1
          - 153/320*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha1*z2
          - 973/160*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha1*Doub2
          + 27/20*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha1*Doub2*z3
          + 153/320*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha1*Doub2*z2
          - 1271/80*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha1*Doub1
          + 27/20*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha1*Doub1*z3
          + 153/320*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha1*Doub1*z2
          + 957/80*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha1*Doub1*Doub2
          - 27/10*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha1*Doub1*Doub2*
         z3
          - 153/320*MatrixProduct[u[1,1].u[2,2].Yu2]*alpha1*Doub1*Doub2
         *z2
          + 5/8*MatrixProduct[u[1,1].d[1,1].u[1,1].Yu2]
          + 9/4*MatrixProduct[u[1,1].d[1,1].u[2,1].Yu1]
          - 3*MatrixProduct[u[1,1].d[1,1].u[2,1].Yu1]*z3
          - 7/32*MatrixProduct[u[1,1].d[1,1].d[1,1].Yu2]
          - 7/4*MatrixProduct[u[1,1].d[1,1].d[2,1].Yu1]
          + 3/4*MatrixProduct[u[1,1].d[1,1].Yu1]*lam[1,1,2,1]
          - 3*MatrixProduct[u[1,1].d[1,1].Yu2]*lam[1,2,2,1]
          - 3/4*MatrixProduct[u[1,1].d[1,1].Yu2]*lam[1,1,2,2]
          + 16/3*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha3
          - 4*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha3*z3
          + 453/64*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha2
          - 45/64*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha2*z2
          - 81/16*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha2*Doub2
          + 9/16*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha2*Doub2*z2
          - 183/32*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha2*Doub1
          - 9/8*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha2*Doub1*z3
          + 45/64*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha2*Doub1*z2
          + 81/16*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha2*Doub1*Doub2
          - 9/16*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha2*Doub1*Doub2*z2
          + 3961/960*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha1
          + 2/5*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha1*z3
          + 9/320*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha1*z2
          - 63/160*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha1*Doub2
          - 149/32*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha1*Doub1
          + 9/40*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha1*Doub1*z2
          + 63/160*MatrixProduct[u[1,1].d[1,1].Yu2]*alpha1*Doub1*Doub2
          + 9/16*MatrixProduct[u[1,1].d[1,1].Yu2]*Tr[u[1,1]]
          + 9/16*MatrixProduct[u[1,1].d[1,1].Yu2]*Tr[d[1,1]]
          + 3/16*MatrixProduct[u[1,1].d[1,1].Yu2]*Tr[l[1,1]]
          + 29/16*MatrixProduct[u[1,1].d[1,2].u[2,1].Yu2]
          - 3*MatrixProduct[u[1,1].d[1,2].u[2,1].Yu2]*z3
          - 1/2*MatrixProduct[u[1,1].d[1,2].d[2,1].Yu2]
          - 3/2*MatrixProduct[u[1,1].d[1,2].Yu1]*lam[2,1,2,1]
          - 9/2*MatrixProduct[u[1,1].d[1,2].Yu2]*lam[2,1,2,2]
          + 3/2*MatrixProduct[u[1,1].d[1,2].Yu2]*lam[1,1,2,1]
          + 9/32*MatrixProduct[u[1,1].d[1,2].Yu2]*Tr[u[2,1]]
          + 9/32*MatrixProduct[u[1,1].d[1,2].Yu2]*Tr[d[2,1]]
          + 3/32*MatrixProduct[u[1,1].d[1,2].Yu2]*Tr[l[2,1]]
          - 1/4*MatrixProduct[u[1,1].d[2,1].u[1,1].Yu1]
          + 3*MatrixProduct[u[1,1].d[2,1].u[1,1].Yu1]*z3
          + 1/4*MatrixProduct[u[1,1].d[2,1].u[1,2].Yu2]
          + 3/4*MatrixProduct[u[1,1].d[2,1].u[2,2].Yu1]
          - 15/4*MatrixProduct[u[1,1].d[2,1].d[1,1].Yu1]
          + 6*MatrixProduct[u[1,1].d[2,1].d[1,1].Yu1]*z3
          + 29/32*MatrixProduct[u[1,1].d[2,1].d[1,2].Yu2]
          - 9/4*MatrixProduct[u[1,1].d[2,1].d[2,2].Yu1]
          + 7/2*MatrixProduct[u[1,1].d[2,1].Yu1]*lam[1,2,2,1]
          + MatrixProduct[u[1,1].d[2,1].Yu1]*lam[1,1,2,2]
          - 4/3*MatrixProduct[u[1,1].d[2,1].Yu1]*alpha3
          + 16*MatrixProduct[u[1,1].d[2,1].Yu1]*alpha3*z3
          - 27/4*MatrixProduct[u[1,1].d[2,1].Yu1]*alpha2
          - 9/4*MatrixProduct[u[1,1].d[2,1].Yu1]*alpha2*z3
          + 27/16*MatrixProduct[u[1,1].d[2,1].Yu1]*alpha2*Doub2
          + 21/2*MatrixProduct[u[1,1].d[2,1].Yu1]*alpha2*Doub1
          - 9/4*MatrixProduct[u[1,1].d[2,1].Yu1]*alpha2*Doub1*z3
          - 27/16*MatrixProduct[u[1,1].d[2,1].Yu1]*alpha2*Doub1*Doub2
          - 118/15*MatrixProduct[u[1,1].d[2,1].Yu1]*alpha1
          + 1/20*MatrixProduct[u[1,1].d[2,1].Yu1]*alpha1*z3
          + 3/80*MatrixProduct[u[1,1].d[2,1].Yu1]*alpha1*Doub2
          + 31/4*MatrixProduct[u[1,1].d[2,1].Yu1]*alpha1*Doub1
          + 9/20*MatrixProduct[u[1,1].d[2,1].Yu1]*alpha1*Doub1*z3
          - 3/80*MatrixProduct[u[1,1].d[2,1].Yu1]*alpha1*Doub1*Doub2
          - 135/32*MatrixProduct[u[1,1].d[2,1].Yu2]*Tr[u[1,2]]
          - 135/32*MatrixProduct[u[1,1].d[2,1].Yu2]*Tr[d[1,2]]
          - 45/32*MatrixProduct[u[1,1].d[2,1].Yu2]*Tr[l[1,2]]
          - 15/16*MatrixProduct[u[1,1].d[2,2].u[1,1].Yu2]
          + 3*MatrixProduct[u[1,1].d[2,2].u[1,1].Yu2]*z3
          + 3/4*MatrixProduct[u[1,1].d[2,2].u[2,1].Yu1]
          - 17/8*MatrixProduct[u[1,1].d[2,2].d[1,1].Yu2]
          - 7/4*MatrixProduct[u[1,1].d[2,2].d[2,1].Yu1]
          + 6*MatrixProduct[u[1,1].d[2,2].d[2,1].Yu1]*z3
          + 3*MatrixProduct[u[1,1].d[2,2].Yu1]*lam[2,1,2,2]
          + 3/4*MatrixProduct[u[1,1].d[2,2].Yu1]*lam[1,1,2,1]
          + 9/2*MatrixProduct[u[1,1].d[2,2].Yu1]*Tr[u[2,1]]
          + 9/2*MatrixProduct[u[1,1].d[2,2].Yu1]*Tr[d[2,1]]
          + 3/2*MatrixProduct[u[1,1].d[2,2].Yu1]*Tr[l[2,1]]
          + 5/2*MatrixProduct[u[1,1].d[2,2].Yu2]*lam[1,2,2,1]
          - 1/4*MatrixProduct[u[1,1].d[2,2].Yu2]*lam[1,1,2,2]
          + 6*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha3
          - 159/32*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha2
          + 27/4*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha2*z3
          - 9/64*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha2*z2
          - 261/32*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha2*Doub2
          + 27/8*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha2*Doub2*z2
          + 75/16*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha2*Doub1
          - 27/4*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha2*Doub1*z2
          + 135/16*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha2*Doub1*Doub2
          - 27/8*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha2*Doub1*Doub2*z2
          - 577/160*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha1
          + 9/20*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha1*z3
          + 9/320*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha1*z2
          + 39/160*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha1*Doub2
          - 27/40*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha1*Doub2*z2
          + 189/40*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha1*Doub1
          - 9/20*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha1*Doub1*z2
          - 39/40*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha1*Doub1*Doub2
          + 27/40*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha1*Doub1*Doub2*
         z3
          + 9/320*MatrixProduct[u[1,1].d[2,2].Yu2]*alpha1*Doub1*Doub2*
         z2
          + 3*MatrixProduct[u[1,1].Yu1]*lam[2,1,2,2]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[1,1].Yu1]*lam[2,1,2,1]*lam[1,2,2,2]
          + 9/2*MatrixProduct[u[1,1].Yu1]*lam[1,1,2,2]*lam[2,1,2,2]
          + 9*MatrixProduct[u[1,1].Yu1]*lam[1,1,2,1]*lam[1,2,2,1]
          + 15/2*MatrixProduct[u[1,1].Yu1]*lam[1,1,2,1]*lam[1,1,2,2]
          + 15/2*MatrixProduct[u[1,1].Yu1]*lam[1,1,1,2]*lam[2,1,2,1]
          + 12*MatrixProduct[u[1,1].Yu1]*lam[1,1,1,1]*lam[1,1,2,1]
          + 4*MatrixProduct[u[1,1].Yu1]*alpha3*lam[1,1,2,1]
          + 3/8*MatrixProduct[u[1,1].Yu1]*alpha2*lam[1,1,2,1]
          - 33/8*MatrixProduct[u[1,1].Yu1]*alpha2*lam[1,1,2,1]*Doub2
          - 69/4*MatrixProduct[u[1,1].Yu1]*alpha2*lam[1,1,2,1]*Doub1
          + 33/8*MatrixProduct[u[1,1].Yu1]*alpha2*lam[1,1,2,1]*Doub1*Doub2
          + 7/8*MatrixProduct[u[1,1].Yu1]*alpha1*lam[1,1,2,1]
          - 9/8*MatrixProduct[u[1,1].Yu1]*alpha1*lam[1,1,2,1]*Doub2
          - 81/20*MatrixProduct[u[1,1].Yu1]*alpha1*lam[1,1,2,1]*Doub1
          + 9/8*MatrixProduct[u[1,1].Yu1]*alpha1*lam[1,1,2,1]*Doub1*Doub2
          + 45/2*MatrixProduct[u[1,1].Yu1]*Tr[u[1,1]]*lam[1,1,2,1]
          + 27/2*MatrixProduct[u[1,1].Yu1]*Tr[u[1,2]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha2
          - 27/16*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha2*z2
          - 585/32*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha2*Doub2
          + 27/32*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha2*Doub2*z2
          - 387/16*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha2*Doub1
          + 27/16*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 603/40*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha1
          - 81/80*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha1*z2
          - 1719/160*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha1*Doub2
          + 81/160*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha1*Doub2*z2
          - 1143/80*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha1*Doub1
          + 81/80*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha1*Doub1*z2
          + 1593/160*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          - 81/160*MatrixProduct[u[1,1].Yu1]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 45/2*MatrixProduct[u[1,1].Yu1]*Tr[d[1,1]]*lam[1,1,2,1]
          + 27/2*MatrixProduct[u[1,1].Yu1]*Tr[d[1,2]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha2
          - 27/16*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha2*z2
          - 585/32*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha2*Doub2
          + 27/32*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha2*Doub2*z2
          - 387/16*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha2*Doub1
          + 27/16*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 603/40*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha1
          - 81/80*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha1*z2
          - 1719/160*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha1*Doub2
          + 81/160*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha1*Doub2*z2
          - 1143/80*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha1*Doub1
          + 81/80*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha1*Doub1*z2
          + 1593/160*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          - 81/160*MatrixProduct[u[1,1].Yu1]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 15/2*MatrixProduct[u[1,1].Yu1]*Tr[l[1,1]]*lam[1,1,2,1]
          + 9/2*MatrixProduct[u[1,1].Yu1]*Tr[l[1,2]]*lam[2,1,2,1]
          + 3/2*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha2
          - 9/16*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha2*z2
          - 195/32*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha2*Doub2
          + 9/32*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha2*Doub2*z2
          - 129/16*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha2*Doub1
          + 9/16*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha2*Doub1*z2
          + 177/32*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          - 9/32*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 201/40*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha1
          - 27/80*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha1*z2
          - 573/160*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha1*Doub2
          + 27/160*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha1*Doub2*z2
          - 381/80*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha1*Doub1
          + 27/80*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha1*Doub1*z2
          + 531/160*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[u[1,1].Yu1]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 45/16*MatrixProduct[u[1,1].Yu2]*lam[1,2,2,1]^2
          + 3/2*MatrixProduct[u[1,1].Yu2]*lam[2,2,2,2]*lam[1,2,2,1]
          + 255/32*MatrixProduct[u[1,1].Yu2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 111/32*MatrixProduct[u[1,1].Yu2]*lam[1,2,1,2]*lam[2,1,2,1]
          + 117/16*MatrixProduct[u[1,1].Yu2]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[1,1].Yu2]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/16*MatrixProduct[u[1,1].Yu2]*lam[1,1,2,2]^2
          + 3*MatrixProduct[u[1,1].Yu2]*lam[1,1,2,1]*lam[1,2,2,2]
          + 3*MatrixProduct[u[1,1].Yu2]*lam[1,1,1,2]*lam[2,1,2,2]
          + 189/32*MatrixProduct[u[1,1].Yu2]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[u[1,1].Yu2]*lam[1,1,1,1]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[1,1].Yu2]*lam[1,1,1,1]*lam[1,1,2,2]
          - 33/32*MatrixProduct[u[1,1].Yu2]*lam[1,1,1,1]^2
          + 8/3*MatrixProduct[u[1,1].Yu2]*alpha3*lam[1,2,2,1]
          + 4/3*MatrixProduct[u[1,1].Yu2]*alpha3*lam[1,1,2,2]
          + 2779/36*MatrixProduct[u[1,1].Yu2]*alpha3^2
          - 34*MatrixProduct[u[1,1].Yu2]*alpha3^2*z3
          - 11/3*MatrixProduct[u[1,1].Yu2]*alpha3^2*Ng
          - 3/4*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,2,2,1]
          - 6*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,2,2,1]*Doub2
          - 3*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,2,2,1]*Doub1
          - 9/2*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,2,2,1]*Doub1*z3
          - 3/2*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 9/2*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,2,2,1]*Doub1*Doub2*z3
          + 9/8*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,1,2,2]
          - 21/8*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,1,2,2]*Doub2
          - 9/4*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,1,2,2]*Doub2*z3
          - 9/8*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,1,2,2]*Doub1
          - 9/2*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,1,2,2]*Doub1*z3
          - 3*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,1,2,2]*Doub1*Doub2
          + 27/4*MatrixProduct[u[1,1].Yu2]*alpha2*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 127/4*MatrixProduct[u[1,1].Yu2]*alpha2*alpha3
          - 9/4*MatrixProduct[u[1,1].Yu2]*alpha2*alpha3*z2
          - 47/4*MatrixProduct[u[1,1].Yu2]*alpha2*alpha3*Doub2
          + 9*MatrixProduct[u[1,1].Yu2]*alpha2*alpha3*Doub2*z3
          + 9/4*MatrixProduct[u[1,1].Yu2]*alpha2*alpha3*Doub2*z2
          + 291/8*MatrixProduct[u[1,1].Yu2]*alpha2*alpha3*Doub1
          + 9/4*MatrixProduct[u[1,1].Yu2]*alpha2*alpha3*Doub1*z2
          + 47/4*MatrixProduct[u[1,1].Yu2]*alpha2*alpha3*Doub1*Doub2
          - 9*MatrixProduct[u[1,1].Yu2]*alpha2*alpha3*Doub1*Doub2*z3
          - 9/4*MatrixProduct[u[1,1].Yu2]*alpha2*alpha3*Doub1*Doub2*z2
          - 15183/256*MatrixProduct[u[1,1].Yu2]*alpha2^2
          + 81/4*MatrixProduct[u[1,1].Yu2]*alpha2^2*z3
          + 63/128*MatrixProduct[u[1,1].Yu2]*alpha2^2*z2
          + 135/32*MatrixProduct[u[1,1].Yu2]*alpha2^2*Ng
          + 2403/64*MatrixProduct[u[1,1].Yu2]*alpha2^2*Doub2
          - 135/8*MatrixProduct[u[1,1].Yu2]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[u[1,1].Yu2]*alpha2^2*Doub2*z2
          + 38037/512*MatrixProduct[u[1,1].Yu2]*alpha2^2*Doub1
          - 207/8*MatrixProduct[u[1,1].Yu2]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[u[1,1].Yu2]*alpha2^2*Doub1*z2
          - 99/16*MatrixProduct[u[1,1].Yu2]*alpha2^2*Doub1*Ng
          - 10023/256*MatrixProduct[u[1,1].Yu2]*alpha2^2*Doub1*Doub2
          + 261/16*MatrixProduct[u[1,1].Yu2]*alpha2^2*Doub1*Doub2*z3
          + 63/128*MatrixProduct[u[1,1].Yu2]*alpha2^2*Doub1*Doub2*z2
          + 7/12*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,2,2,1]
          + 27/20*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,2,2,1]*Doub2
          - 9/10*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,2,2,1]*Doub2*z3
          - 57/20*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,2,2,1]*Doub1
          - 9/5*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 6/5*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/10*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,2,2,1]*Doub1*Doub2*
         z3
          + 7/24*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,1,2,2]
          + 27/40*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,1,2,2]*Doub2
          - 9/20*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,1,2,2]*Doub2*z3
          - 57/40*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,1,2,2]*Doub1
          - 9/10*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,1,2,2]*Doub1*z3
          - 3/5*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          + 27/20*MatrixProduct[u[1,1].Yu2]*alpha1*lam[1,1,2,2]*Doub1*Doub2*
         z3
          + 1499/180*MatrixProduct[u[1,1].Yu2]*alpha1*alpha3
          - 32/5*MatrixProduct[u[1,1].Yu2]*alpha1*alpha3*z3
          - 9/4*MatrixProduct[u[1,1].Yu2]*alpha1*alpha3*z2
          - 47/20*MatrixProduct[u[1,1].Yu2]*alpha1*alpha3*Doub2
          + 9/5*MatrixProduct[u[1,1].Yu2]*alpha1*alpha3*Doub2*z3
          + 9/20*MatrixProduct[u[1,1].Yu2]*alpha1*alpha3*Doub2*z2
          - 787/120*MatrixProduct[u[1,1].Yu2]*alpha1*alpha3*Doub1
          + 48/5*MatrixProduct[u[1,1].Yu2]*alpha1*alpha3*Doub1*z3
          + 9/4*MatrixProduct[u[1,1].Yu2]*alpha1*alpha3*Doub1*z2
          + 47/20*MatrixProduct[u[1,1].Yu2]*alpha1*alpha3*Doub1*Doub2
          - 9/5*MatrixProduct[u[1,1].Yu2]*alpha1*alpha3*Doub1*Doub2*z3
          - 9/20*MatrixProduct[u[1,1].Yu2]*alpha1*alpha3*Doub1*Doub2*z2
          - 2459/640*MatrixProduct[u[1,1].Yu2]*alpha1*alpha2
          + 9/64*MatrixProduct[u[1,1].Yu2]*alpha1*alpha2*z2
          + 4439/640*MatrixProduct[u[1,1].Yu2]*alpha1*alpha2*Doub2
          - 27/20*MatrixProduct[u[1,1].Yu2]*alpha1*alpha2*Doub2*z3
          + 9/320*MatrixProduct[u[1,1].Yu2]*alpha1*alpha2*Doub2*z2
          + 6687/1280*MatrixProduct[u[1,1].Yu2]*alpha1*alpha2*Doub1
          + 9/4*MatrixProduct[u[1,1].Yu2]*alpha1*alpha2*Doub1*z3
          - 9/64*MatrixProduct[u[1,1].Yu2]*alpha1*alpha2*Doub1*z2
          - 5303/640*MatrixProduct[u[1,1].Yu2]*alpha1*alpha2*Doub1*
         Doub2
          + 27/40*MatrixProduct[u[1,1].Yu2]*alpha1*alpha2*Doub1*Doub2*
         z3
          - 9/320*MatrixProduct[u[1,1].Yu2]*alpha1*alpha2*Doub1*Doub2*
         z2
          - 407/57600*MatrixProduct[u[1,1].Yu2]*alpha1^2
          + 17/25*MatrixProduct[u[1,1].Yu2]*alpha1^2*z3
          - 9/128*MatrixProduct[u[1,1].Yu2]*alpha1^2*z2
          + 1997/480*MatrixProduct[u[1,1].Yu2]*alpha1^2*Ng
          + 3173/3200*MatrixProduct[u[1,1].Yu2]*alpha1^2*Doub2
          - 69/200*MatrixProduct[u[1,1].Yu2]*alpha1^2*Doub2*z3
          + 9/640*MatrixProduct[u[1,1].Yu2]*alpha1^2*Doub2*z2
          + 2231/38400*MatrixProduct[u[1,1].Yu2]*alpha1^2*Doub1
          + 21/100*MatrixProduct[u[1,1].Yu2]*alpha1^2*Doub1*z3
          + 9/128*MatrixProduct[u[1,1].Yu2]*alpha1^2*Doub1*z2
          - 423/80*MatrixProduct[u[1,1].Yu2]*alpha1^2*Doub1*Ng
          - 7531/6400*MatrixProduct[u[1,1].Yu2]*alpha1^2*Doub1*Doub2
          - 81/400*MatrixProduct[u[1,1].Yu2]*alpha1^2*Doub1*Doub2*z3
          - 9/640*MatrixProduct[u[1,1].Yu2]*alpha1^2*Doub1*Doub2*z2
          + 12*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*lam[1,2,2,1]
          + 6*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*alpha3
          + 12*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*alpha3*z3
          + 549/32*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*alpha2
          - 315/32*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*alpha2*Doub2
          - 351/16*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*alpha2*Doub1
          + 315/32*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2
          + 907/32*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*alpha1
          - 12*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*alpha1*z3
          - 63/32*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*alpha1*Doub2
          - 1311/40*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*alpha1*Doub1
          + 54/5*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*alpha1*Doub1*z3
          + 63/32*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]^2
          - 27/8*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*Tr[d[1,1]]
          - 9/8*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1]]*Tr[l[1,1]]
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1].u[1,1]]
          + 3/2*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1].u[2,2]]
          + 15/2*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1].d[2,2]]
          - 9*MatrixProduct[u[1,1].Yu2]*Tr[u[1,1].d[2,2]]*z3
          + 27/2*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*lam[2,1,2,2]
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2].u[2,1]]
          - 15/2*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[u[1,1].Yu2]*Tr[u[1,2].d[2,1]]*z3
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[u[2,1]]*lam[1,2,2,2]
          - 27/16*MatrixProduct[u[1,1].Yu2]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[u[1,1].Yu2]*Tr[u[2,1]]*Tr[l[1,2]]
          - 15/2*MatrixProduct[u[1,1].Yu2]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[u[1,1].Yu2]*Tr[u[2,1].d[1,2]]*z3
          + 3*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha2
          - 27/16*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha2*z2
          - 207/8*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha2*Doub2
          + 27/16*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha2*Doub2*z2
          - 45/2*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 171/40*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha1
          - 27/80*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha1*z2
          - 171/40*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha1*Doub2
          + 27/80*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha1*Doub2*z2
          - 9/2*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha1*Doub1
          + 27/80*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha1*Doub1*z2
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha1*Doub1*Doub2
          - 27/80*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 15/2*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2].d[1,1]]
          - 9*MatrixProduct[u[1,1].Yu2]*Tr[u[2,2].d[1,1]]*z3
          + 12*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*lam[1,2,2,1]
          + 6*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*alpha3
          + 12*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*alpha3*z3
          + 549/32*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*alpha2
          - 315/32*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*alpha2*Doub2
          - 351/16*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*alpha2*Doub1
          + 315/32*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2
          + 4727/160*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*alpha1
          - 129/10*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*alpha1*z3
          - 63/32*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*alpha1*Doub2
          - 1311/40*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*alpha1*Doub1
          + 54/5*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*alpha1*Doub1*z3
          + 63/32*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]^2
          - 9/8*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1]]*Tr[l[1,1]]
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1].d[1,1]]
          + 3/2*MatrixProduct[u[1,1].Yu2]*Tr[d[1,1].d[2,2]]
          + 27/2*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*lam[2,1,2,2]
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[u[1,1].Yu2]*Tr[d[1,2].d[2,1]]
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[d[2,1]]*lam[1,2,2,2]
          - 9/16*MatrixProduct[u[1,1].Yu2]*Tr[d[2,1]]*Tr[l[1,2]]
          + 3*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha2
          - 27/16*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha2*z2
          - 207/8*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha2*Doub2
          + 27/16*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha2*Doub2*z2
          - 45/2*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 171/40*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha1
          - 27/80*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha1*z2
          - 171/40*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha1*Doub2
          + 27/80*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha1*Doub2*z2
          - 9/2*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha1*Doub1
          + 27/80*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha1*Doub1*z2
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha1*Doub1*Doub2
          - 27/80*MatrixProduct[u[1,1].Yu2]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 4*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*lam[1,2,2,1]
          + 2*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*lam[1,1,2,2]
          + 5/12*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*alpha3
          + 183/32*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*alpha2
          - 105/32*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*alpha2*Doub2
          - 117/16*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*alpha2*Doub1
          + 105/32*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2
          + 4087/480*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*alpha1
          - 33/10*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*alpha1*z3
          - 21/32*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*alpha1*Doub2
          - 437/40*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*alpha1*Doub1
          + 18/5*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*alpha1*Doub1*z3
          + 21/32*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2
          - 3/16*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1]]^2
          + 3/2*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1].l[1,1]]
          + 1/2*MatrixProduct[u[1,1].Yu2]*Tr[l[1,1].l[2,2]]
          + 9/2*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*lam[2,1,2,2]
          + 3/2*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*lam[1,1,2,1]
          - 3/16*MatrixProduct[u[1,1].Yu2]*Tr[l[1,2]]*Tr[l[2,1]]
          + MatrixProduct[u[1,1].Yu2]*Tr[l[1,2].l[2,1]]
          + 3/2*MatrixProduct[u[1,1].Yu2]*Tr[l[2,1]]*lam[1,2,2,2]
          + MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*lam[1,2,2,1]
          + 1/2*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha2
          - 9/16*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha2*z2
          - 69/8*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha2*Doub2
          + 9/16*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha2*Doub2*z2
          - 15/2*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha2*Doub1
          + 9/16*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha2*Doub1*z2
          + 15/2*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 57/40*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha1
          - 9/80*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha1*z2
          - 57/40*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha1*Doub2
          + 9/80*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha1*Doub2*z2
          - 3/2*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha1*Doub1
          + 9/80*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha1*Doub1*z2
          + 3/2*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha1*Doub1*Doub2
          - 9/80*MatrixProduct[u[1,1].Yu2]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2*z2
          - 83/16*MatrixProduct[u[1,2].u[1,1].u[2,1].Yu2]
          + 3/4*MatrixProduct[u[1,2].u[1,1].u[2,1].Yu2]*z3
          + 9/8*MatrixProduct[u[1,2].u[1,1].d[2,1].Yu2]
          + 15/4*MatrixProduct[u[1,2].u[1,1].Yu1]*lam[2,1,2,1]
          + 15/4*MatrixProduct[u[1,2].u[1,1].Yu2]*lam[2,1,2,2]
          + 9/2*MatrixProduct[u[1,2].u[1,1].Yu2]*lam[1,1,2,1]
          + 27/16*MatrixProduct[u[1,2].u[1,1].Yu2]*Tr[u[2,1]]
          + 27/16*MatrixProduct[u[1,2].u[1,1].Yu2]*Tr[d[2,1]]
          + 9/16*MatrixProduct[u[1,2].u[1,1].Yu2]*Tr[l[2,1]]
          + 9/2*MatrixProduct[u[1,2].u[1,2].Yu2]*lam[2,1,2,1]
          - 33/16*MatrixProduct[u[1,2].u[2,1].u[1,1].Yu2]
          - 5/2*MatrixProduct[u[1,2].u[2,1].u[2,1].Yu1]
          - 19/4*MatrixProduct[u[1,2].u[2,1].u[2,2].Yu2]
          + 3/4*MatrixProduct[u[1,2].u[2,1].u[2,2].Yu2]*z3
          + 37/32*MatrixProduct[u[1,2].u[2,1].d[1,1].Yu2]
          - 3*MatrixProduct[u[1,2].u[2,1].d[1,1].Yu2]*z3
          + 3*MatrixProduct[u[1,2].u[2,1].d[2,1].Yu1]*z3
          + 1/4*MatrixProduct[u[1,2].u[2,1].d[2,2].Yu2]
          + 3*MatrixProduct[u[1,2].u[2,1].Yu1]*lam[2,1,2,2]
          + 9/2*MatrixProduct[u[1,2].u[2,1].Yu1]*lam[1,1,2,1]
          - 3/2*MatrixProduct[u[1,2].u[2,1].Yu1]*Tr[u[2,1]]
          - 3/2*MatrixProduct[u[1,2].u[2,1].Yu1]*Tr[d[2,1]]
          - 1/2*MatrixProduct[u[1,2].u[2,1].Yu1]*Tr[l[2,1]]
          + 11/2*MatrixProduct[u[1,2].u[2,1].Yu2]*lam[1,2,2,1]
          + 3*MatrixProduct[u[1,2].u[2,1].Yu2]*lam[2,2,2,2]
          + 7/2*MatrixProduct[u[1,2].u[2,1].Yu2]*lam[1,1,2,2]
          - 46/3*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha3
          - 165/32*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha2
          + 27/2*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha2*z3
          + 9/32*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha2*z2
          + 159/64*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha2*Doub2
          - 9*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha2*Doub2*z3
          - 9/32*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha2*Doub2*z2
          - 81/32*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha2*Doub1
          - 9/2*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha2*Doub1*z3
          - 9/32*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha2*Doub1*z2
          + 111/64*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha2*Doub1*Doub2
          + 9/4*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha2*Doub1*Doub2*z3
          + 9/32*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha2*Doub1*Doub2*z2
          + 3377/960*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha1
          + 27/10*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha1*z3
          - 1107/160*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha1*Doub2
          - 6/5*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha1*Doub2*z3
          + 9/40*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha1*Doub2*z2
          - 17/32*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha1*Doub1
          - 9/10*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha1*Doub1*z3
          - 9/32*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha1*Doub1*z2
          + 171/64*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[u[1,2].u[2,1].Yu2]*alpha1*Doub1*Doub2*
         z2
          - 9/4*MatrixProduct[u[1,2].u[2,1].Yu2]*Tr[u[1,1]]
          + 3/16*MatrixProduct[u[1,2].u[2,1].Yu2]*Tr[u[2,2]]
          - 9/4*MatrixProduct[u[1,2].u[2,1].Yu2]*Tr[d[1,1]]
          + 3/16*MatrixProduct[u[1,2].u[2,1].Yu2]*Tr[d[2,2]]
          - 3/4*MatrixProduct[u[1,2].u[2,1].Yu2]*Tr[l[1,1]]
          + 1/16*MatrixProduct[u[1,2].u[2,1].Yu2]*Tr[l[2,2]]
          - 5*MatrixProduct[u[1,2].u[2,2].u[2,1].Yu2]
          + 65/32*MatrixProduct[u[1,2].u[2,2].d[2,1].Yu2]
          + 21/4*MatrixProduct[u[1,2].u[2,2].Yu1]*lam[2,1,2,1]
          + 39/4*MatrixProduct[u[1,2].u[2,2].Yu2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[u[1,2].u[2,2].Yu2]*Tr[u[2,1]]
          - 9/4*MatrixProduct[u[1,2].u[2,2].Yu2]*Tr[d[2,1]]
          - 3/4*MatrixProduct[u[1,2].u[2,2].Yu2]*Tr[l[2,1]]
          + 17/16*MatrixProduct[u[1,2].d[1,1].u[2,1].Yu2]
          - 47/32*MatrixProduct[u[1,2].d[1,1].d[2,1].Yu2]
          + 9/4*MatrixProduct[u[1,2].d[1,1].Yu1]*lam[2,1,2,1]
          + 3/4*MatrixProduct[u[1,2].d[1,1].Yu2]*lam[2,1,2,2]
          + 3*MatrixProduct[u[1,2].d[1,1].Yu2]*lam[1,1,2,1]
          + 9/32*MatrixProduct[u[1,2].d[1,1].Yu2]*Tr[u[2,1]]
          + 9/32*MatrixProduct[u[1,2].d[1,1].Yu2]*Tr[d[2,1]]
          + 3/32*MatrixProduct[u[1,2].d[1,1].Yu2]*Tr[l[2,1]]
          + 9/2*MatrixProduct[u[1,2].d[1,2].Yu2]*lam[2,1,2,1]
          + 17/16*MatrixProduct[u[1,2].d[2,1].u[1,1].Yu2]
          + 1/2*MatrixProduct[u[1,2].d[2,1].u[2,1].Yu1]
          + MatrixProduct[u[1,2].d[2,1].u[2,2].Yu2]
          - 11/4*MatrixProduct[u[1,2].d[2,1].d[1,1].Yu2]
          + 6*MatrixProduct[u[1,2].d[2,1].d[1,1].Yu2]*z3
          - 3/2*MatrixProduct[u[1,2].d[2,1].d[2,1].Yu1]
          - 43/32*MatrixProduct[u[1,2].d[2,1].d[2,2].Yu2]
          + 3/2*MatrixProduct[u[1,2].d[2,1].Yu1]*lam[2,1,2,2]
          - 9/2*MatrixProduct[u[1,2].d[2,1].Yu1]*lam[1,1,2,1]
          - 9/2*MatrixProduct[u[1,2].d[2,1].Yu1]*Tr[u[2,1]]
          - 9/2*MatrixProduct[u[1,2].d[2,1].Yu1]*Tr[d[2,1]]
          - 3/2*MatrixProduct[u[1,2].d[2,1].Yu1]*Tr[l[2,1]]
          - 2*MatrixProduct[u[1,2].d[2,1].Yu2]*lam[1,2,2,1]
          + 1/2*MatrixProduct[u[1,2].d[2,1].Yu2]*lam[1,1,2,2]
          - 2*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha3
          + 12*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha3*z3
          + 339/64*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha2
          - 9*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha2*z3
          - 9/16*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha2*z2
          + 327/64*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha2*Doub2
          - 9/2*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha2*Doub2*z3
          + 9/16*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha2*Doub2*z2
          - 123/32*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha2*Doub1
          + 27/4*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha2*Doub1*z2
          - 93/64*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha2*Doub1*Doub2
          + 9/8*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha2*Doub1*Doub2*z2
          - 43/320*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha1
          + 539/320*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha1*Doub2
          + 3/10*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha1*Doub2*z3
          - 9/40*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha1*Doub2*z2
          - 511/160*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha1*Doub1
          + 21/20*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha1*Doub1*z3
          + 9/32*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha1*Doub1*z2
          + 39/64*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha1*Doub1*Doub2*z3
          - 9/160*MatrixProduct[u[1,2].d[2,1].Yu2]*alpha1*Doub1*Doub2*
         z2
          + 153/32*MatrixProduct[u[1,2].d[2,1].Yu2]*Tr[u[1,1]]
          - 135/32*MatrixProduct[u[1,2].d[2,1].Yu2]*Tr[u[2,2]]
          + 153/32*MatrixProduct[u[1,2].d[2,1].Yu2]*Tr[d[1,1]]
          - 135/32*MatrixProduct[u[1,2].d[2,1].Yu2]*Tr[d[2,2]]
          + 51/32*MatrixProduct[u[1,2].d[2,1].Yu2]*Tr[l[1,1]]
          - 45/32*MatrixProduct[u[1,2].d[2,1].Yu2]*Tr[l[2,2]]
          + 13/8*MatrixProduct[u[1,2].d[2,2].u[2,1].Yu2]
          - 35/8*MatrixProduct[u[1,2].d[2,2].d[2,1].Yu2]
          + 6*MatrixProduct[u[1,2].d[2,2].d[2,1].Yu2]*z3
          - 15/4*MatrixProduct[u[1,2].d[2,2].Yu1]*lam[2,1,2,1]
          + 3/4*MatrixProduct[u[1,2].d[2,2].Yu2]*lam[2,1,2,2]
          + 153/32*MatrixProduct[u[1,2].d[2,2].Yu2]*Tr[u[2,1]]
          + 153/32*MatrixProduct[u[1,2].d[2,2].Yu2]*Tr[d[2,1]]
          + 51/32*MatrixProduct[u[1,2].d[2,2].Yu2]*Tr[l[2,1]]
          + 15/2*MatrixProduct[u[1,2].Yu1]*lam[2,1,2,2]^2
          + 9*MatrixProduct[u[1,2].Yu1]*lam[2,1,2,1]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[1,2].Yu1]*lam[2,1,2,1]*lam[2,2,2,2]
          + 6*MatrixProduct[u[1,2].Yu1]*lam[1,1,2,2]*lam[2,1,2,1]
          + 9*MatrixProduct[u[1,2].Yu1]*lam[1,1,2,1]*lam[2,1,2,2]
          + 15/2*MatrixProduct[u[1,2].Yu1]*lam[1,1,2,1]^2
          + 9/2*MatrixProduct[u[1,2].Yu1]*lam[1,1,1,1]*lam[2,1,2,1]
          + 4*MatrixProduct[u[1,2].Yu1]*alpha3*lam[2,1,2,1]
          + 3/8*MatrixProduct[u[1,2].Yu1]*alpha2*lam[2,1,2,1]
          - 81/8*MatrixProduct[u[1,2].Yu1]*alpha2*lam[2,1,2,1]*Doub2
          - 9*MatrixProduct[u[1,2].Yu1]*alpha2*lam[2,1,2,1]*Doub2*z3
          - 33/8*MatrixProduct[u[1,2].Yu1]*alpha2*lam[2,1,2,1]*Doub1
          - 3*MatrixProduct[u[1,2].Yu1]*alpha2*lam[2,1,2,1]*Doub1*Doub2
          + 9*MatrixProduct[u[1,2].Yu1]*alpha2*lam[2,1,2,1]*Doub1*Doub2*z3
          + 7/8*MatrixProduct[u[1,2].Yu1]*alpha1*lam[2,1,2,1]
          - 99/40*MatrixProduct[u[1,2].Yu1]*alpha1*lam[2,1,2,1]*Doub2
          - 27/10*MatrixProduct[u[1,2].Yu1]*alpha1*lam[2,1,2,1]*Doub2*z3
          - 27/40*MatrixProduct[u[1,2].Yu1]*alpha1*lam[2,1,2,1]*Doub1
          - 9/10*MatrixProduct[u[1,2].Yu1]*alpha1*lam[2,1,2,1]*Doub1*Doub2
          + 27/10*MatrixProduct[u[1,2].Yu1]*alpha1*lam[2,1,2,1]*Doub1*Doub2*
         z3
          + 9*MatrixProduct[u[1,2].Yu1]*Tr[u[1,1]]*lam[2,1,2,1]
          + 9*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*lam[2,1,2,2]
          + 27/2*MatrixProduct[u[1,2].Yu1]*Tr[u[2,1]]*lam[1,1,2,1]
          + 27/2*MatrixProduct[u[1,2].Yu1]*Tr[u[2,2]]*lam[2,1,2,1]
          + 9*MatrixProduct[u[1,2].Yu1]*Tr[d[1,1]]*lam[2,1,2,1]
          + 9*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*lam[2,1,2,2]
          + 27/2*MatrixProduct[u[1,2].Yu1]*Tr[d[2,1]]*lam[1,1,2,1]
          + 27/2*MatrixProduct[u[1,2].Yu1]*Tr[d[2,2]]*lam[2,1,2,1]
          + 3*MatrixProduct[u[1,2].Yu1]*Tr[l[1,1]]*lam[2,1,2,1]
          + 3*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*lam[2,1,2,2]
          + 9/2*MatrixProduct[u[1,2].Yu1]*Tr[l[2,1]]*lam[1,1,2,1]
          + 9/2*MatrixProduct[u[1,2].Yu1]*Tr[l[2,2]]*lam[2,1,2,1]
          + 255/32*MatrixProduct[u[1,2].Yu2]*lam[2,1,2,2]*lam[1,2,2,1]
          + 351/32*MatrixProduct[u[1,2].Yu2]*lam[2,1,2,2]*lam[2,2,2,2]
          + 207/32*MatrixProduct[u[1,2].Yu2]*lam[2,1,2,1]*lam[1,2,2,2]
          + 207/32*MatrixProduct[u[1,2].Yu2]*lam[1,1,2,2]*lam[2,1,2,2]
          + 63/32*MatrixProduct[u[1,2].Yu2]*lam[1,1,2,1]*lam[1,2,2,1]
          + 111/32*MatrixProduct[u[1,2].Yu2]*lam[1,1,2,1]*lam[1,1,2,2]
          + 111/32*MatrixProduct[u[1,2].Yu2]*lam[1,1,1,2]*lam[2,1,2,1]
          - 33/32*MatrixProduct[u[1,2].Yu2]*lam[1,1,1,1]*lam[1,1,2,1]
          + 4*MatrixProduct[u[1,2].Yu2]*alpha3*lam[2,1,2,2]
          + 3/8*MatrixProduct[u[1,2].Yu2]*alpha2*lam[2,1,2,2]
          - 81/4*MatrixProduct[u[1,2].Yu2]*alpha2*lam[2,1,2,2]*Doub2
          - 9/2*MatrixProduct[u[1,2].Yu2]*alpha2*lam[2,1,2,2]*Doub2*z3
          + 27/8*MatrixProduct[u[1,2].Yu2]*alpha2*lam[2,1,2,2]*Doub1
          - 9/4*MatrixProduct[u[1,2].Yu2]*alpha2*lam[2,1,2,2]*Doub1*z3
          - 3/8*MatrixProduct[u[1,2].Yu2]*alpha2*lam[2,1,2,2]*Doub1*Doub2
          + 27/4*MatrixProduct[u[1,2].Yu2]*alpha2*lam[2,1,2,2]*Doub1*Doub2*
         z3
          + 7/8*MatrixProduct[u[1,2].Yu2]*alpha1*lam[2,1,2,2]
          - 9/20*MatrixProduct[u[1,2].Yu2]*alpha1*lam[2,1,2,2]*Doub2
          - 27/10*MatrixProduct[u[1,2].Yu2]*alpha1*lam[2,1,2,2]*Doub2*z3
          - 81/40*MatrixProduct[u[1,2].Yu2]*alpha1*lam[2,1,2,2]*Doub1
          - 27/20*MatrixProduct[u[1,2].Yu2]*alpha1*lam[2,1,2,2]*Doub1*z3
          - 63/40*MatrixProduct[u[1,2].Yu2]*alpha1*lam[2,1,2,2]*Doub1*Doub2
          + 81/20*MatrixProduct[u[1,2].Yu2]*alpha1*lam[2,1,2,2]*Doub1*Doub2*
         z3
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1]]*lam[2,1,2,2]
          - 27/16*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[u[1,1].u[2,1]]
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[u[1,2]]*lam[2,1,2,1]
          + 9*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*lam[2,2,2,2]
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha3
          + 12*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha3*z3
          + 549/32*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha2
          - 1341/128*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha2*Doub2
          - 639/128*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha2*Doub1
          - 207/32*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          + 6263/160*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha1
          - 12*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha1*z3
          - 27/40*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha1*z2
          - 16953/640*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha1*Doub2
          + 27/5*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha1*Doub2*z3
          + 27/40*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha1*Doub2*z2
          - 11619/640*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha1*Doub1
          + 27/5*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 27/16*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*Tr[u[2,2]]
          - 27/16*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*Tr[d[1,1]]
          - 27/16*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[u[2,1].u[2,2]]
          + 18*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*lam[2,1,2,2]
          - 27/16*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[u[1,2].Yu2]*Tr[u[2,2]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1]]*lam[2,1,2,2]
          - 27/16*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[d[1,1].d[2,1]]
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[d[1,2]]*lam[2,1,2,1]
          + 9*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*lam[2,2,2,2]
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha3
          + 12*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha3*z3
          + 549/32*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha2
          - 1341/128*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha2*Doub2
          - 639/128*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha2*Doub1
          - 207/32*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          + 1291/32*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha1
          - 129/10*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha1*z3
          - 27/40*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha1*z2
          - 16953/640*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha1*Doub2
          + 27/5*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha1*Doub2*z3
          + 27/40*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha1*Doub2*z2
          - 11619/640*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha1*Doub1
          + 27/5*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 27/16*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[1,2].Yu2]*Tr[d[2,1].d[2,2]]
          + 18*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*lam[2,1,2,2]
          - 9/16*MatrixProduct[u[1,2].Yu2]*Tr[d[2,2]]*Tr[l[2,1]]
          + 3/2*MatrixProduct[u[1,2].Yu2]*Tr[l[1,1]]*lam[2,1,2,2]
          - 3/16*MatrixProduct[u[1,2].Yu2]*Tr[l[1,1]]*Tr[l[2,1]]
          + 3/2*MatrixProduct[u[1,2].Yu2]*Tr[l[1,1].l[2,1]]
          + 3/2*MatrixProduct[u[1,2].Yu2]*Tr[l[1,2]]*lam[2,1,2,1]
          + 3*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*lam[2,2,2,2]
          + 3/2*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*lam[1,1,2,2]
          + 5/12*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha3
          + 183/32*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha2
          - 447/128*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha2*Doub2
          - 213/128*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha2*Doub1
          - 69/32*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          + 1163/96*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha1
          - 33/10*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha1*z3
          - 9/40*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha1*z2
          - 5651/640*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha1*Doub2
          + 9/5*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha1*Doub2*z3
          + 9/40*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha1*Doub2*z2
          - 3873/640*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha1*Doub1
          + 9/5*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha1*Doub1*z2
          + 57/160*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          - 9/80*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 3/16*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1]]*Tr[l[2,2]]
          + 3/2*MatrixProduct[u[1,2].Yu2]*Tr[l[2,1].l[2,2]]
          + 6*MatrixProduct[u[1,2].Yu2]*Tr[l[2,2]]*lam[2,1,2,2]
          - 33/32*MatrixProduct[u[2,1].u[1,1].u[1,1].Yu1]
          + 3/2*MatrixProduct[u[2,1].u[1,1].u[1,1].Yu1]*z3
          - 1/4*MatrixProduct[u[2,1].u[1,1].u[1,2].Yu2]
          - 45/32*MatrixProduct[u[2,1].u[1,1].u[2,2].Yu1]
          + 1/16*MatrixProduct[u[2,1].u[1,1].d[1,1].Yu1]
          - 5/16*MatrixProduct[u[2,1].u[1,1].d[1,2].Yu2]
          + 51/32*MatrixProduct[u[2,1].u[1,1].d[2,2].Yu1]
          + 7/4*MatrixProduct[u[2,1].u[1,1].Yu1]*lam[1,2,2,1]
          + 7/2*MatrixProduct[u[2,1].u[1,1].Yu1]*lam[1,1,2,2]
          + 3*MatrixProduct[u[2,1].u[1,1].Yu1]*lam[1,1,1,1]
          - 38/3*MatrixProduct[u[2,1].u[1,1].Yu1]*alpha3
          - 57/64*MatrixProduct[u[2,1].u[1,1].Yu1]*alpha2
          + 63/64*MatrixProduct[u[2,1].u[1,1].Yu1]*alpha2*Doub1
          - 9/4*MatrixProduct[u[2,1].u[1,1].Yu1]*alpha2*Doub1*z3
          - 439/192*MatrixProduct[u[2,1].u[1,1].Yu1]*alpha1
          - 9/80*MatrixProduct[u[2,1].u[1,1].Yu1]*alpha1*z2
          - 327/160*MatrixProduct[u[2,1].u[1,1].Yu1]*alpha1*Doub2
          + 447/320*MatrixProduct[u[2,1].u[1,1].Yu1]*alpha1*Doub1
          + 3/4*MatrixProduct[u[2,1].u[1,1].Yu1]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[u[2,1].u[1,1].Yu1]*alpha1*Doub1*z2
          + 327/160*MatrixProduct[u[2,1].u[1,1].Yu1]*alpha1*Doub1*Doub2
          + 15/16*MatrixProduct[u[2,1].u[1,1].Yu1]*Tr[u[1,1]]
          + 15/16*MatrixProduct[u[2,1].u[1,1].Yu1]*Tr[d[1,1]]
          + 5/16*MatrixProduct[u[2,1].u[1,1].Yu1]*Tr[l[1,1]]
          + 9/4*MatrixProduct[u[2,1].u[1,1].Yu2]*lam[1,2,2,2]
          + 9/2*MatrixProduct[u[2,1].u[1,1].Yu2]*lam[1,1,1,2]
          - 3/2*MatrixProduct[u[2,1].u[1,1].Yu2]*Tr[u[1,2]]
          - 3/2*MatrixProduct[u[2,1].u[1,1].Yu2]*Tr[d[1,2]]
          - 1/2*MatrixProduct[u[2,1].u[1,1].Yu2]*Tr[l[1,2]]
          - 3/2*MatrixProduct[u[2,1].u[1,2].u[1,1].Yu2]
          + 9/4*MatrixProduct[u[2,1].u[1,2].u[1,1].Yu2]*z3
          - 31/8*MatrixProduct[u[2,1].u[1,2].u[2,1].Yu1]
          - 13/16*MatrixProduct[u[2,1].u[1,2].u[2,2].Yu2]
          + 21/16*MatrixProduct[u[2,1].u[1,2].d[2,1].Yu1]
          + 45/32*MatrixProduct[u[2,1].u[1,2].d[2,2].Yu2]
          + 9/2*MatrixProduct[u[2,1].u[1,2].Yu1]*lam[2,1,2,2]
          + 6*MatrixProduct[u[2,1].u[1,2].Yu1]*lam[1,1,2,1]
          + 27/16*MatrixProduct[u[2,1].u[1,2].Yu1]*Tr[u[2,1]]
          + 27/16*MatrixProduct[u[2,1].u[1,2].Yu1]*Tr[d[2,1]]
          + 9/16*MatrixProduct[u[2,1].u[1,2].Yu1]*Tr[l[2,1]]
          + 5/2*MatrixProduct[u[2,1].u[1,2].Yu2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,1].u[1,2].Yu2]*lam[2,2,2,2]
          + 5*MatrixProduct[u[2,1].u[1,2].Yu2]*lam[1,1,2,2]
          - 38/3*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha3
          - 21/32*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha2
          + 9/32*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha2*z2
          + 15/32*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha2*Doub2
          - 9/32*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha2*Doub2*z2
          - 81/32*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha2*Doub1
          + 9/4*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha2*Doub1*z3
          + 965/192*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha1
          - 9/80*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha1*z2
          - 165/64*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha1*Doub2
          + 6/5*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha1*Doub2*z3
          - 9/80*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha1*Doub2*z2
          - 2959/320*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha1*Doub1
          - 3/20*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha1*Doub1*z3
          + 63/160*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha1*Doub1*z2
          + 1911/320*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha1*Doub1*
         Doub2
          - 9/5*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha1*Doub1*Doub2*z3
          - 27/160*MatrixProduct[u[2,1].u[1,2].Yu2]*alpha1*Doub1*Doub2*
         z2
          + 27/16*MatrixProduct[u[2,1].u[1,2].Yu2]*Tr[u[1,1]]
          - 3/4*MatrixProduct[u[2,1].u[1,2].Yu2]*Tr[u[2,2]]
          + 27/16*MatrixProduct[u[2,1].u[1,2].Yu2]*Tr[d[1,1]]
          - 3/4*MatrixProduct[u[2,1].u[1,2].Yu2]*Tr[d[2,2]]
          + 9/16*MatrixProduct[u[2,1].u[1,2].Yu2]*Tr[l[1,1]]
          - 1/4*MatrixProduct[u[2,1].u[1,2].Yu2]*Tr[l[2,2]]
          - 35/8*MatrixProduct[u[2,1].u[2,1].u[1,2].Yu1]
          + 3/2*MatrixProduct[u[2,1].u[2,1].u[1,2].Yu1]*z3
          + 13/16*MatrixProduct[u[2,1].u[2,1].d[1,2].Yu1]
          + 3*MatrixProduct[u[2,1].u[2,1].Yu1]*lam[1,2,2,2]
          + 6*MatrixProduct[u[2,1].u[2,1].Yu1]*lam[1,1,1,2]
          + 3/16*MatrixProduct[u[2,1].u[2,1].Yu1]*Tr[u[1,2]]
          + 3/16*MatrixProduct[u[2,1].u[2,1].Yu1]*Tr[d[1,2]]
          + 1/16*MatrixProduct[u[2,1].u[2,1].Yu1]*Tr[l[1,2]]
          + 15/2*MatrixProduct[u[2,1].u[2,1].Yu2]*lam[1,2,1,2]
          - 13/32*MatrixProduct[u[2,1].u[2,2].u[1,1].Yu1]
          - 55/16*MatrixProduct[u[2,1].u[2,2].u[1,2].Yu2]
          + 9/4*MatrixProduct[u[2,1].u[2,2].u[1,2].Yu2]*z3
          - 209/32*MatrixProduct[u[2,1].u[2,2].u[2,2].Yu1]
          - MatrixProduct[u[2,1].u[2,2].d[1,1].Yu1]
          - 55/32*MatrixProduct[u[2,1].u[2,2].d[1,2].Yu2]
          + 3*MatrixProduct[u[2,1].u[2,2].d[1,2].Yu2]*z3
          + 85/32*MatrixProduct[u[2,1].u[2,2].d[2,2].Yu1]
          - 3*MatrixProduct[u[2,1].u[2,2].d[2,2].Yu1]*z3
          + 25/4*MatrixProduct[u[2,1].u[2,2].Yu1]*lam[1,2,2,1]
          + 3*MatrixProduct[u[2,1].u[2,2].Yu1]*lam[2,2,2,2]
          + 7/2*MatrixProduct[u[2,1].u[2,2].Yu1]*lam[1,1,2,2]
          - 46/3*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha3
          - 345/64*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha2
          + 27/2*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha2*z3
          - 111/64*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha2*Doub2
          - 27/4*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha2*Doub2*z3
          - 237/32*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha2*Doub1
          - 9/4*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha2*Doub1*z3
          + 111/8*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha2*Doub1*Doub2
          - 27/4*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha2*Doub1*Doub2*z3
          - 3643/960*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha1
          + 27/10*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha1*z3
          + 513/160*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha1*Doub2
          - 39/20*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha1*Doub2*z3
          - 9/160*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha1*Doub2*z2
          - 109/32*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha1*Doub1
          + 27/20*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha1*Doub1*z3
          + 171/64*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[u[2,1].u[2,2].Yu1]*alpha1*Doub1*Doub2*
         z2
          - 9/4*MatrixProduct[u[2,1].u[2,2].Yu1]*Tr[u[1,1]]
          + 3/16*MatrixProduct[u[2,1].u[2,2].Yu1]*Tr[u[2,2]]
          - 9/4*MatrixProduct[u[2,1].u[2,2].Yu1]*Tr[d[1,1]]
          + 3/16*MatrixProduct[u[2,1].u[2,2].Yu1]*Tr[d[2,2]]
          - 3/4*MatrixProduct[u[2,1].u[2,2].Yu1]*Tr[l[1,1]]
          + 1/16*MatrixProduct[u[2,1].u[2,2].Yu1]*Tr[l[2,2]]
          + 45/4*MatrixProduct[u[2,1].u[2,2].Yu2]*lam[1,2,2,2]
          - 9/16*MatrixProduct[u[2,1].u[2,2].Yu2]*Tr[u[1,2]]
          - 9/16*MatrixProduct[u[2,1].u[2,2].Yu2]*Tr[d[1,2]]
          - 3/16*MatrixProduct[u[2,1].u[2,2].Yu2]*Tr[l[1,2]]
          + 1/16*MatrixProduct[u[2,1].d[1,1].u[1,1].Yu1]
          + 3/8*MatrixProduct[u[2,1].d[1,1].u[1,2].Yu2]
          + 1/2*MatrixProduct[u[2,1].d[1,1].u[2,2].Yu1]
          - 3*MatrixProduct[u[2,1].d[1,1].u[2,2].Yu1]*z3
          - 7/32*MatrixProduct[u[2,1].d[1,1].d[1,1].Yu1]
          + 9/32*MatrixProduct[u[2,1].d[1,1].d[1,2].Yu2]
          - 1/2*MatrixProduct[u[2,1].d[1,1].d[2,2].Yu1]
          + 1/4*MatrixProduct[u[2,1].d[1,1].Yu1]*lam[1,2,2,1]
          + 1/2*MatrixProduct[u[2,1].d[1,1].Yu1]*lam[1,1,2,2]
          + 10*MatrixProduct[u[2,1].d[1,1].Yu1]*alpha3
          - 8*MatrixProduct[u[2,1].d[1,1].Yu1]*alpha3*z3
          - 159/64*MatrixProduct[u[2,1].d[1,1].Yu1]*alpha2
          + 9/2*MatrixProduct[u[2,1].d[1,1].Yu1]*alpha2*z3
          - 129/64*MatrixProduct[u[2,1].d[1,1].Yu1]*alpha2*Doub1
          + 679/320*MatrixProduct[u[2,1].d[1,1].Yu1]*alpha1
          - 1/10*MatrixProduct[u[2,1].d[1,1].Yu1]*alpha1*z3
          - 21/80*MatrixProduct[u[2,1].d[1,1].Yu1]*alpha1*Doub2
          + 9/80*MatrixProduct[u[2,1].d[1,1].Yu1]*alpha1*Doub2*z2
          - 671/320*MatrixProduct[u[2,1].d[1,1].Yu1]*alpha1*Doub1
          + 21/80*MatrixProduct[u[2,1].d[1,1].Yu1]*alpha1*Doub1*Doub2
          - 9/80*MatrixProduct[u[2,1].d[1,1].Yu1]*alpha1*Doub1*Doub2*z2
          + 33/16*MatrixProduct[u[2,1].d[1,1].Yu1]*Tr[u[1,1]]
          + 33/16*MatrixProduct[u[2,1].d[1,1].Yu1]*Tr[d[1,1]]
          + 11/16*MatrixProduct[u[2,1].d[1,1].Yu1]*Tr[l[1,1]]
          - 15/4*MatrixProduct[u[2,1].d[1,1].Yu2]*lam[1,2,2,2]
          + 3/32*MatrixProduct[u[2,1].d[1,1].Yu2]*Tr[u[1,2]]
          + 3/32*MatrixProduct[u[2,1].d[1,1].Yu2]*Tr[d[1,2]]
          + 1/32*MatrixProduct[u[2,1].d[1,1].Yu2]*Tr[l[1,2]]
          + 5/32*MatrixProduct[u[2,1].d[1,2].u[1,1].Yu2]
          + 29/16*MatrixProduct[u[2,1].d[1,2].u[2,1].Yu1]
          + 55/32*MatrixProduct[u[2,1].d[1,2].u[2,2].Yu2]
          - 3*MatrixProduct[u[2,1].d[1,2].u[2,2].Yu2]*z3
          - 11/16*MatrixProduct[u[2,1].d[1,2].d[1,1].Yu2]
          - 7/8*MatrixProduct[u[2,1].d[1,2].d[2,1].Yu1]
          - 3/32*MatrixProduct[u[2,1].d[1,2].d[2,2].Yu2]
          - 3/2*MatrixProduct[u[2,1].d[1,2].Yu1]*lam[2,1,2,2]
          + 9/4*MatrixProduct[u[2,1].d[1,2].Yu1]*Tr[u[2,1]]
          + 9/4*MatrixProduct[u[2,1].d[1,2].Yu1]*Tr[d[2,1]]
          + 3/4*MatrixProduct[u[2,1].d[1,2].Yu1]*Tr[l[2,1]]
          + 3/2*MatrixProduct[u[2,1].d[1,2].Yu2]*lam[1,2,2,1]
          - 9/2*MatrixProduct[u[2,1].d[1,2].Yu2]*lam[2,2,2,2]
          + 22*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha3
          - 12*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha3*z3
          + 189/64*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha2
          + 9/2*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha2*z3
          - 9/16*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha2*z2
          - 273/64*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha2*Doub2
          + 9/16*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha2*Doub2*z2
          - 87/32*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha2*Doub1
          + 9/32*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha2*Doub1*z2
          + 51/64*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha2*Doub1*Doub2
          + 9/8*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha2*Doub1*Doub2*z2
          + 35/64*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha1
          + 3/10*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha1*z3
          - 873/320*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha1*Doub2
          + 27/80*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha1*Doub2*z2
          + 63/32*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha1*Doub1
          - 9/32*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha1*Doub1*z2
          + 147/320*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha1*Doub1*Doub2*z3
          - 9/160*MatrixProduct[u[2,1].d[1,2].Yu2]*alpha1*Doub1*Doub2*
         z2
          + 27/32*MatrixProduct[u[2,1].d[1,2].Yu2]*Tr[u[1,1]]
          + 27/32*MatrixProduct[u[2,1].d[1,2].Yu2]*Tr[u[2,2]]
          + 27/32*MatrixProduct[u[2,1].d[1,2].Yu2]*Tr[d[1,1]]
          + 27/32*MatrixProduct[u[2,1].d[1,2].Yu2]*Tr[d[2,2]]
          + 9/32*MatrixProduct[u[2,1].d[1,2].Yu2]*Tr[l[1,1]]
          + 9/32*MatrixProduct[u[2,1].d[1,2].Yu2]*Tr[l[2,2]]
          + 13/16*MatrixProduct[u[2,1].d[2,1].u[1,2].Yu1]
          + 3*MatrixProduct[u[2,1].d[2,1].u[1,2].Yu1]*z3
          - 35/8*MatrixProduct[u[2,1].d[2,1].d[1,2].Yu1]
          + 6*MatrixProduct[u[2,1].d[2,1].d[1,2].Yu1]*z3
          + 9/2*MatrixProduct[u[2,1].d[2,1].Yu1]*lam[1,2,2,2]
          + 27/4*MatrixProduct[u[2,1].d[2,1].Yu1]*Tr[u[1,2]]
          + 27/4*MatrixProduct[u[2,1].d[2,1].Yu1]*Tr[d[1,2]]
          + 9/4*MatrixProduct[u[2,1].d[2,1].Yu1]*Tr[l[1,2]]
          - 29/32*MatrixProduct[u[2,1].d[2,2].u[1,1].Yu1]
          - 11/16*MatrixProduct[u[2,1].d[2,2].u[1,2].Yu2]
          + 3*MatrixProduct[u[2,1].d[2,2].u[1,2].Yu2]*z3
          + 53/32*MatrixProduct[u[2,1].d[2,2].u[2,2].Yu1]
          - 29/16*MatrixProduct[u[2,1].d[2,2].d[1,2].Yu2]
          - 129/32*MatrixProduct[u[2,1].d[2,2].d[2,2].Yu1]
          + 6*MatrixProduct[u[2,1].d[2,2].d[2,2].Yu1]*z3
          - 7/4*MatrixProduct[u[2,1].d[2,2].Yu1]*lam[1,2,2,1]
          + 3*MatrixProduct[u[2,1].d[2,2].Yu1]*lam[2,2,2,2]
          + 5/2*MatrixProduct[u[2,1].d[2,2].Yu1]*lam[1,1,2,2]
          - 14*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha3
          + 16*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha3*z3
          - 9/64*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha2
          - 9*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha2*z3
          - 87/64*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha2*Doub2
          + 27/4*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha2*Doub2*z3
          - 81/32*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha2*Doub1
          + 9/4*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha2*Doub1*z3
          + 63/8*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha2*Doub1*Doub2
          - 27/4*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha2*Doub1*Doub2*z3
          + 461/320*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha1
          - 2/5*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha1*z3
          - 51/16*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha1*Doub2
          + 27/20*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha1*Doub2*z3
          - 9/160*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha1*Doub2*z2
          + 347/160*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha1*Doub1
          - 27/20*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha1*Doub1*z3
          - 537/320*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha1*Doub1*Doub2
          + 27/20*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[u[2,1].d[2,2].Yu1]*alpha1*Doub1*Doub2*
         z2
          - 21/4*MatrixProduct[u[2,1].d[2,2].Yu1]*Tr[u[1,1]]
          + 99/16*MatrixProduct[u[2,1].d[2,2].Yu1]*Tr[u[2,2]]
          - 21/4*MatrixProduct[u[2,1].d[2,2].Yu1]*Tr[d[1,1]]
          + 99/16*MatrixProduct[u[2,1].d[2,2].Yu1]*Tr[d[2,2]]
          - 7/4*MatrixProduct[u[2,1].d[2,2].Yu1]*Tr[l[1,1]]
          + 33/16*MatrixProduct[u[2,1].d[2,2].Yu1]*Tr[l[2,2]]
          + 9/4*MatrixProduct[u[2,1].d[2,2].Yu2]*lam[1,2,2,2]
          - 141/32*MatrixProduct[u[2,1].d[2,2].Yu2]*Tr[u[1,2]]
          - 141/32*MatrixProduct[u[2,1].d[2,2].Yu2]*Tr[d[1,2]]
          - 47/32*MatrixProduct[u[2,1].d[2,2].Yu2]*Tr[l[1,2]]
          + 21/8*MatrixProduct[u[2,1].Yu1]*lam[1,2,2,1]^2
          + 3/2*MatrixProduct[u[2,1].Yu1]*lam[2,2,2,2]*lam[1,2,2,1]
          + 87/16*MatrixProduct[u[2,1].Yu1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 15/16*MatrixProduct[u[2,1].Yu1]*lam[1,2,1,2]*lam[2,1,2,1]
          + 21/8*MatrixProduct[u[2,1].Yu1]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3*MatrixProduct[u[2,1].Yu1]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/8*MatrixProduct[u[2,1].Yu1]*lam[1,1,2,2]^2
          + 9/2*MatrixProduct[u[2,1].Yu1]*lam[1,1,2,1]*lam[1,2,2,2]
          + 9/2*MatrixProduct[u[2,1].Yu1]*lam[1,1,1,2]*lam[2,1,2,2]
          + 21/16*MatrixProduct[u[2,1].Yu1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[u[2,1].Yu1]*lam[1,1,1,1]*lam[1,2,2,1]
          + 3*MatrixProduct[u[2,1].Yu1]*lam[1,1,1,1]*lam[1,1,2,2]
          - 33/16*MatrixProduct[u[2,1].Yu1]*lam[1,1,1,1]^2
          + 4/3*MatrixProduct[u[2,1].Yu1]*alpha3*lam[1,2,2,1]
          + 8/3*MatrixProduct[u[2,1].Yu1]*alpha3*lam[1,1,2,2]
          + 2779/18*MatrixProduct[u[2,1].Yu1]*alpha3^2
          - 68*MatrixProduct[u[2,1].Yu1]*alpha3^2*z3
          - 22/3*MatrixProduct[u[2,1].Yu1]*alpha3^2*Ng
          + 9/8*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,2,2,1]
          + 15/8*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,2,2,1]*Doub2
          - 9/4*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,2,2,1]*Doub2*z3
          - 45/8*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,2,2,1]*Doub1
          - 9/2*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,2,2,1]*Doub1*z3
          - 3*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 27/4*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,2,2,1]*Doub1*Doub2*
         z3
          - 3/4*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,1,2,2]
          + 3/4*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,1,2,2]*Doub2
          - 45/4*MatrixProduct[u[2,1].Yu1]*alpha2*lam[1,1,2,2]*Doub1
          - 57/2*MatrixProduct[u[2,1].Yu1]*alpha2*alpha3
          + 36*MatrixProduct[u[2,1].Yu1]*alpha2*alpha3*z3
          + MatrixProduct[u[2,1].Yu1]*alpha2*alpha3*Doub1
          - 477/64*MatrixProduct[u[2,1].Yu1]*alpha2^2
          + 9*MatrixProduct[u[2,1].Yu1]*alpha2^2*z3
          + 3/16*MatrixProduct[u[2,1].Yu1]*alpha2^2*Ng
          + 561/128*MatrixProduct[u[2,1].Yu1]*alpha2^2*Doub2
          - 9/4*MatrixProduct[u[2,1].Yu1]*alpha2^2*Doub2*z3
          + 10473/256*MatrixProduct[u[2,1].Yu1]*alpha2^2*Doub1
          - 45/8*MatrixProduct[u[2,1].Yu1]*alpha2^2*Doub1*z3
          - 21/4*MatrixProduct[u[2,1].Yu1]*alpha2^2*Doub1*Ng
          - 267/64*MatrixProduct[u[2,1].Yu1]*alpha2^2*Doub1*Doub2
          - 27/8*MatrixProduct[u[2,1].Yu1]*alpha2^2*Doub1*Doub2*z3
          + 7/24*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,2,2,1]
          - 33/40*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,2,2,1]*Doub2
          - 9/20*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,2,2,1]*Doub2*z3
          + 3/40*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,2,2,1]*Doub1
          - 9/10*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 3/5*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/20*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,2,2,1]*Doub1*Doub2*
         z3
          + 7/12*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,1,2,2]
          - 33/20*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,1,2,2]*Doub2
          - 9/10*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,1,2,2]*Doub2*z3
          + 3/20*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,1,2,2]*Doub1
          - 9/5*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,1,2,2]*Doub1*z3
          - 6/5*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          + 27/10*MatrixProduct[u[2,1].Yu1]*alpha1*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 1411/90*MatrixProduct[u[2,1].Yu1]*alpha1*alpha3
          - 4/5*MatrixProduct[u[2,1].Yu1]*alpha1*alpha3*z3
          - 47/10*MatrixProduct[u[2,1].Yu1]*alpha1*alpha3*Doub2
          + 18/5*MatrixProduct[u[2,1].Yu1]*alpha1*alpha3*Doub2*z3
          + 9/10*MatrixProduct[u[2,1].Yu1]*alpha1*alpha3*Doub2*z2
          + 322/15*MatrixProduct[u[2,1].Yu1]*alpha1*alpha3*Doub1
          - 24/5*MatrixProduct[u[2,1].Yu1]*alpha1*alpha3*Doub1*z3
          + 47/10*MatrixProduct[u[2,1].Yu1]*alpha1*alpha3*Doub1*Doub2
          - 18/5*MatrixProduct[u[2,1].Yu1]*alpha1*alpha3*Doub1*Doub2*z3
          - 9/10*MatrixProduct[u[2,1].Yu1]*alpha1*alpha3*Doub1*Doub2*z2
          - 303/160*MatrixProduct[u[2,1].Yu1]*alpha1*alpha2
          + 9/10*MatrixProduct[u[2,1].Yu1]*alpha1*alpha2*z3
          + 909/128*MatrixProduct[u[2,1].Yu1]*alpha1*alpha2*Doub2
          + 27/40*MatrixProduct[u[2,1].Yu1]*alpha1*alpha2*Doub2*z3
          - 27/320*MatrixProduct[u[2,1].Yu1]*alpha1*alpha2*Doub2*z2
          - 193/640*MatrixProduct[u[2,1].Yu1]*alpha1*alpha2*Doub1
          + 27/10*MatrixProduct[u[2,1].Yu1]*alpha1*alpha2*Doub1*z3
          - 4257/640*MatrixProduct[u[2,1].Yu1]*alpha1*alpha2*Doub1*
         Doub2
          - 27/40*MatrixProduct[u[2,1].Yu1]*alpha1*alpha2*Doub1*Doub2*
         z3
          + 27/320*MatrixProduct[u[2,1].Yu1]*alpha1*alpha2*Doub1*Doub2*
         z2
          - 11131/14400*MatrixProduct[u[2,1].Yu1]*alpha1^2
          + 4/25*MatrixProduct[u[2,1].Yu1]*alpha1^2*z3
          - 103/240*MatrixProduct[u[2,1].Yu1]*alpha1^2*Ng
          + 1279/800*MatrixProduct[u[2,1].Yu1]*alpha1^2*Doub2
          - 183/200*MatrixProduct[u[2,1].Yu1]*alpha1^2*Doub2*z3
          + 9/320*MatrixProduct[u[2,1].Yu1]*alpha1^2*Doub2*z2
          + 14371/19200*MatrixProduct[u[2,1].Yu1]*alpha1^2*Doub1
          - 111/200*MatrixProduct[u[2,1].Yu1]*alpha1^2*Doub1*z3
          - 9/20*MatrixProduct[u[2,1].Yu1]*alpha1^2*Doub1*Ng
          - 6331/3200*MatrixProduct[u[2,1].Yu1]*alpha1^2*Doub1*Doub2
          + 18/25*MatrixProduct[u[2,1].Yu1]*alpha1^2*Doub1*Doub2*z3
          - 9/320*MatrixProduct[u[2,1].Yu1]*alpha1^2*Doub1*Doub2*z2
          + 6*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*lam[1,2,2,1]
          + 12*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*lam[1,1,2,2]
          - 59/2*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*alpha3
          + 24*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*alpha3*z3
          + 1107/16*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*alpha2
          - 54*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*alpha2*z3
          - 2385/32*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*alpha2*Doub1
          + 81/2*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*alpha2*Doub1*z3
          - 119/16*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*alpha1
          + 15/2*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*alpha1*z3
          - 63/16*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*alpha1*Doub2
          + 867/160*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*alpha1*Doub1
          - 27/5*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*alpha1*Doub1*z3
          + 63/16*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2
          - 27/8*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]^2
          - 27/4*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*Tr[d[1,1]]
          - 9/4*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1]]*Tr[l[1,1]]
          + 9*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1].u[1,1]]
          + 3*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1].u[2,2]]
          - 3*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[u[2,1].Yu1]*Tr[u[1,1].d[2,2]]*z3
          + 27/2*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*lam[2,1,2,2]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*lam[1,1,2,1]
          - 27/8*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/8*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2].u[2,1]]
          + 3*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2].d[2,1]]
          - 9*MatrixProduct[u[2,1].Yu1]*Tr[u[1,2].d[2,1]]*z3
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[u[2,1]]*lam[1,2,2,2]
          - 27/8*MatrixProduct[u[2,1].Yu1]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[u[2,1].Yu1]*Tr[u[2,1]]*Tr[l[1,2]]
          + 3*MatrixProduct[u[2,1].Yu1]*Tr[u[2,1].d[1,2]]
          - 9*MatrixProduct[u[2,1].Yu1]*Tr[u[2,1].d[1,2]]*z3
          + 3/2*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2]]*lam[1,2,2,1]
          + 3*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2]]*lam[1,1,2,2]
          + 54/5*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2]]*alpha1
          - 27/40*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2]]*alpha1*z2
          - 54/5*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2]]*alpha1*Doub2
          + 27/40*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2]]*alpha1*Doub2*z2
          - 9*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2]]*alpha1*Doub1*z2
          + 9*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2]]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2*z2
          - 3*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[u[2,1].Yu1]*Tr[u[2,2].d[1,1]]*z3
          + 6*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*lam[1,2,2,1]
          + 12*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*lam[1,1,2,2]
          - 59/2*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*alpha3
          + 24*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*alpha3*z3
          + 1107/16*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*alpha2
          - 54*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*alpha2*z3
          - 2385/32*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*alpha2*Doub1
          + 81/2*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*alpha2*Doub1*z3
          - 403/80*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*alpha1
          + 57/10*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*alpha1*z3
          - 63/16*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*alpha1*Doub2
          + 867/160*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*alpha1*Doub1
          - 27/5*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*alpha1*Doub1*z3
          + 63/16*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/8*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]^2
          - 9/4*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1]]*Tr[l[1,1]]
          + 9*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1].d[1,1]]
          + 3*MatrixProduct[u[2,1].Yu1]*Tr[d[1,1].d[2,2]]
          + 27/2*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*lam[2,1,2,2]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*lam[1,1,2,1]
          - 27/8*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[u[2,1].Yu1]*Tr[d[1,2].d[2,1]]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[d[2,1]]*lam[1,2,2,2]
          - 9/8*MatrixProduct[u[2,1].Yu1]*Tr[d[2,1]]*Tr[l[1,2]]
          + 3/2*MatrixProduct[u[2,1].Yu1]*Tr[d[2,2]]*lam[1,2,2,1]
          + 3*MatrixProduct[u[2,1].Yu1]*Tr[d[2,2]]*lam[1,1,2,2]
          + 54/5*MatrixProduct[u[2,1].Yu1]*Tr[d[2,2]]*alpha1
          - 27/40*MatrixProduct[u[2,1].Yu1]*Tr[d[2,2]]*alpha1*z2
          - 54/5*MatrixProduct[u[2,1].Yu1]*Tr[d[2,2]]*alpha1*Doub2
          + 27/40*MatrixProduct[u[2,1].Yu1]*Tr[d[2,2]]*alpha1*Doub2*z2
          - 9*MatrixProduct[u[2,1].Yu1]*Tr[d[2,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[u[2,1].Yu1]*Tr[d[2,2]]*alpha1*Doub1*z2
          + 9*MatrixProduct[u[2,1].Yu1]*Tr[d[2,2]]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[u[2,1].Yu1]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 2*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*lam[1,2,2,1]
          + 4*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*lam[1,1,2,2]
          + 5/6*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*alpha3
          + 369/16*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*alpha2
          - 18*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*alpha2*z3
          - 795/32*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*alpha2*Doub1*z3
          - 1043/240*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*alpha1
          + 39/10*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*alpha1*z3
          - 21/16*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*alpha1*Doub2
          + 289/160*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*alpha1*Doub1
          - 9/5*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*alpha1*Doub1*z3
          + 21/16*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2
          - 3/8*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1]]^2
          + 3*MatrixProduct[u[2,1].Yu1]*Tr[l[1,1].l[1,1]]
          + MatrixProduct[u[2,1].Yu1]*Tr[l[1,1].l[2,2]]
          + 9/2*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*lam[2,1,2,2]
          + 3/2*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*lam[1,1,2,1]
          - 3/8*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2]]*Tr[l[2,1]]
          + 2*MatrixProduct[u[2,1].Yu1]*Tr[l[1,2].l[2,1]]
          + 3/2*MatrixProduct[u[2,1].Yu1]*Tr[l[2,1]]*lam[1,2,2,2]
          + 1/2*MatrixProduct[u[2,1].Yu1]*Tr[l[2,2]]*lam[1,2,2,1]
          + MatrixProduct[u[2,1].Yu1]*Tr[l[2,2]]*lam[1,1,2,2]
          + 18/5*MatrixProduct[u[2,1].Yu1]*Tr[l[2,2]]*alpha1
          - 9/40*MatrixProduct[u[2,1].Yu1]*Tr[l[2,2]]*alpha1*z2
          - 18/5*MatrixProduct[u[2,1].Yu1]*Tr[l[2,2]]*alpha1*Doub2
          + 9/40*MatrixProduct[u[2,1].Yu1]*Tr[l[2,2]]*alpha1*Doub2*z2
          - 3*MatrixProduct[u[2,1].Yu1]*Tr[l[2,2]]*alpha1*Doub1
          + 9/40*MatrixProduct[u[2,1].Yu1]*Tr[l[2,2]]*alpha1*Doub1*z2
          + 3*MatrixProduct[u[2,1].Yu1]*Tr[l[2,2]]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[u[2,1].Yu1]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 189/32*MatrixProduct[u[2,1].Yu2]*lam[1,2,2,2]*lam[1,2,2,1]
          + 285/32*MatrixProduct[u[2,1].Yu2]*lam[1,2,2,2]*lam[2,2,2,2]
          + 141/32*MatrixProduct[u[2,1].Yu2]*lam[1,2,1,2]*lam[2,1,2,2]
          + 141/32*MatrixProduct[u[2,1].Yu2]*lam[1,1,2,2]*lam[1,2,2,2]
          + 45/32*MatrixProduct[u[2,1].Yu2]*lam[1,1,2,1]*lam[1,2,1,2]
          - 3/32*MatrixProduct[u[2,1].Yu2]*lam[1,1,1,2]*lam[1,2,2,1]
          + 45/32*MatrixProduct[u[2,1].Yu2]*lam[1,1,1,2]*lam[1,1,2,2]
          - 99/32*MatrixProduct[u[2,1].Yu2]*lam[1,1,1,1]*lam[1,1,1,2]
          + 4*MatrixProduct[u[2,1].Yu2]*alpha3*lam[1,2,2,2]
          + 3/8*MatrixProduct[u[2,1].Yu2]*alpha2*lam[1,2,2,2]
          - 15/4*MatrixProduct[u[2,1].Yu2]*alpha2*lam[1,2,2,2]*Doub2
          - 45/8*MatrixProduct[u[2,1].Yu2]*alpha2*lam[1,2,2,2]*Doub1
          - 9*MatrixProduct[u[2,1].Yu2]*alpha2*lam[1,2,2,2]*Doub1*z3
          - 63/8*MatrixProduct[u[2,1].Yu2]*alpha2*lam[1,2,2,2]*Doub1*Doub2
          + 9*MatrixProduct[u[2,1].Yu2]*alpha2*lam[1,2,2,2]*Doub1*Doub2*z3
          + 7/8*MatrixProduct[u[2,1].Yu2]*alpha1*lam[1,2,2,2]
          - 9/20*MatrixProduct[u[2,1].Yu2]*alpha1*lam[1,2,2,2]*Doub2
          - 9/8*MatrixProduct[u[2,1].Yu2]*alpha1*lam[1,2,2,2]*Doub1
          - 27/10*MatrixProduct[u[2,1].Yu2]*alpha1*lam[1,2,2,2]*Doub1*z3
          - 99/40*MatrixProduct[u[2,1].Yu2]*alpha1*lam[1,2,2,2]*Doub1*Doub2
          + 27/10*MatrixProduct[u[2,1].Yu2]*alpha1*lam[1,2,2,2]*Doub1*Doub2*
         z3
          + 27/2*MatrixProduct[u[2,1].Yu2]*Tr[u[1,1]]*lam[1,2,2,2]
          - 81/16*MatrixProduct[u[2,1].Yu2]*Tr[u[1,1]]*Tr[u[1,2]]
          - 81/16*MatrixProduct[u[2,1].Yu2]*Tr[u[1,1]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[u[2,1].Yu2]*Tr[u[1,1]]*Tr[l[1,2]]
          + 27/2*MatrixProduct[u[2,1].Yu2]*Tr[u[1,1].u[1,2]]
          + 9/2*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*lam[1,2,2,1]
          + 27/2*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*lam[2,2,2,2]
          + 9/2*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*lam[1,1,2,2]
          - 177/4*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha3
          + 36*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha3*z3
          + 2763/32*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha2
          - 54*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha2*z3
          - 4437/128*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha2*Doub2
          + 81/4*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha2*Doub2*z3
          - 3879/128*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1
          + 81/4*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1*z3
          - 63/2*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          + 669/32*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha1
          - 9/2*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha1*z3
          - 8037/640*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha1*Doub2
          + 27/10*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha1*Doub2*z3
          - 1311/128*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1
          + 27/10*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1*z3
          - 729/160*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          - 81/16*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*Tr[u[2,2]]
          - 81/16*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*Tr[d[1,1]]
          - 81/16*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*Tr[d[2,2]]
          - 27/16*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*Tr[l[1,1]]
          - 27/16*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[u[2,1].Yu2]*Tr[u[1,2].u[2,2]]
          + 9*MatrixProduct[u[2,1].Yu2]*Tr[u[2,2]]*lam[1,2,2,2]
          - 81/16*MatrixProduct[u[2,1].Yu2]*Tr[u[2,2]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[u[2,1].Yu2]*Tr[u[2,2]]*Tr[l[1,2]]
          + 27/2*MatrixProduct[u[2,1].Yu2]*Tr[d[1,1]]*lam[1,2,2,2]
          - 81/16*MatrixProduct[u[2,1].Yu2]*Tr[d[1,1]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[u[2,1].Yu2]*Tr[d[1,1]]*Tr[l[1,2]]
          + 27/2*MatrixProduct[u[2,1].Yu2]*Tr[d[1,1].d[1,2]]
          + 9/2*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*lam[1,2,2,1]
          + 27/2*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*lam[2,2,2,2]
          + 9/2*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*lam[1,1,2,2]
          - 177/4*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha3
          + 36*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha3*z3
          + 2763/32*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha2
          - 54*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha2*z3
          - 4437/128*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha2*Doub2
          + 81/4*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha2*Doub2*z3
          - 3879/128*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1
          + 81/4*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1*z3
          - 63/2*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          + 3921/160*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha1
          - 36/5*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha1*z3
          - 8037/640*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha1*Doub2
          + 27/10*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha1*Doub2*z3
          - 1311/128*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1
          + 27/10*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1*z3
          - 729/160*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          - 81/16*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*Tr[d[2,2]]
          - 27/16*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*Tr[l[1,1]]
          - 27/16*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[u[2,1].Yu2]*Tr[d[1,2].d[2,2]]
          + 9*MatrixProduct[u[2,1].Yu2]*Tr[d[2,2]]*lam[1,2,2,2]
          - 27/16*MatrixProduct[u[2,1].Yu2]*Tr[d[2,2]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[u[2,1].Yu2]*Tr[l[1,1]]*lam[1,2,2,2]
          - 9/16*MatrixProduct[u[2,1].Yu2]*Tr[l[1,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[u[2,1].Yu2]*Tr[l[1,1].l[1,2]]
          + 3/2*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*lam[2,2,2,2]
          + 3/2*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha3
          + 921/32*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha2
          - 18*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha2*z3
          - 1479/128*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha2*Doub2
          + 27/4*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha2*Doub2*z3
          - 1293/128*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1
          + 27/4*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1*z3
          - 21/2*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          + 667/160*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha1
          + 3/5*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha1*z3
          - 2679/640*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha1*Doub2
          + 9/10*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha1*Doub2*z3
          - 437/128*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1
          + 9/10*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1*z3
          - 243/160*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          - 9/16*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[2,1].Yu2]*Tr[l[1,2].l[2,2]]
          + 3*MatrixProduct[u[2,1].Yu2]*Tr[l[2,2]]*lam[1,2,2,2]
          - 1/32*MatrixProduct[u[2,2].u[1,1].u[1,1].Yu2]
          - MatrixProduct[u[2,2].u[1,1].u[2,1].Yu1]
          + 3/2*MatrixProduct[u[2,2].u[1,1].u[2,1].Yu1]*z3
          - 27/32*MatrixProduct[u[2,2].u[1,1].u[2,2].Yu2]
          + 5/32*MatrixProduct[u[2,2].u[1,1].d[1,1].Yu2]
          - 3/32*MatrixProduct[u[2,2].u[1,1].d[2,1].Yu1]
          - 1/8*MatrixProduct[u[2,2].u[1,1].d[2,2].Yu2]
          + 3/4*MatrixProduct[u[2,2].u[1,1].Yu1]*lam[2,1,2,2]
          + 3*MatrixProduct[u[2,2].u[1,1].Yu1]*lam[1,1,2,1]
          - 3/4*MatrixProduct[u[2,2].u[1,1].Yu1]*Tr[u[2,1]]
          - 3/4*MatrixProduct[u[2,2].u[1,1].Yu1]*Tr[d[2,1]]
          - 1/4*MatrixProduct[u[2,2].u[1,1].Yu1]*Tr[l[2,1]]
          + 4*MatrixProduct[u[2,2].u[1,1].Yu2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[u[2,2].u[1,1].Yu2]*lam[2,2,2,2]
          + 7/2*MatrixProduct[u[2,2].u[1,1].Yu2]*lam[1,1,2,2]
          - 20/3*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha3
          + 105/64*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha2
          - 9/64*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha2*z2
          - 423/32*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha2*Doub2
          + 27/4*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha2*Doub2*z2
          - 195/64*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha2*Doub1
          + 9/64*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha2*Doub1*z2
          + 471/32*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha2*Doub1*Doub2
          - 9*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha2*Doub1*Doub2*z2
          - 389/960*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha1
          - 9/320*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha1*z2
          - 417/64*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha1*Doub2
          + 39/20*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha1*Doub2*z3
          + 27/320*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha1*Doub2*z2
          + 613/320*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha1*Doub1
          + 3/5*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha1*Doub1*z2
          + 1317/320*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha1*Doub1*
         Doub2
          - 9/5*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha1*Doub1*Doub2*z3
          - 27/320*MatrixProduct[u[2,2].u[1,1].Yu2]*alpha1*Doub1*Doub2*
         z2
          + 27/16*MatrixProduct[u[2,2].u[1,1].Yu2]*Tr[u[1,1]]
          - 3/4*MatrixProduct[u[2,2].u[1,1].Yu2]*Tr[u[2,2]]
          + 27/16*MatrixProduct[u[2,2].u[1,1].Yu2]*Tr[d[1,1]]
          - 3/4*MatrixProduct[u[2,2].u[1,1].Yu2]*Tr[d[2,2]]
          + 9/16*MatrixProduct[u[2,2].u[1,1].Yu2]*Tr[l[1,1]]
          - 1/4*MatrixProduct[u[2,2].u[1,1].Yu2]*Tr[l[2,2]]
          - 43/8*MatrixProduct[u[2,2].u[1,2].u[2,1].Yu2]
          + 9/4*MatrixProduct[u[2,2].u[1,2].u[2,1].Yu2]*z3
          + 21/16*MatrixProduct[u[2,2].u[1,2].d[2,1].Yu2]
          + 6*MatrixProduct[u[2,2].u[1,2].Yu1]*lam[2,1,2,1]
          + 21/2*MatrixProduct[u[2,2].u[1,2].Yu2]*lam[2,1,2,2]
          + 27/8*MatrixProduct[u[2,2].u[1,2].Yu2]*Tr[u[2,1]]
          + 27/8*MatrixProduct[u[2,2].u[1,2].Yu2]*Tr[d[2,1]]
          + 9/8*MatrixProduct[u[2,2].u[1,2].Yu2]*Tr[l[2,1]]
          - 27/16*MatrixProduct[u[2,2].u[2,1].u[1,2].Yu2]
          - 7/2*MatrixProduct[u[2,2].u[2,1].u[2,2].Yu1]
          + 3/2*MatrixProduct[u[2,2].u[2,1].u[2,2].Yu1]*z3
          + 55/32*MatrixProduct[u[2,2].u[2,1].d[1,2].Yu2]
          - 3*MatrixProduct[u[2,2].u[2,1].d[1,2].Yu2]*z3
          + 1/2*MatrixProduct[u[2,2].u[2,1].d[2,2].Yu1]
          + 3*MatrixProduct[u[2,2].u[2,1].d[2,2].Yu1]*z3
          + 5/2*MatrixProduct[u[2,2].u[2,1].Yu1]*lam[1,2,2,1]
          + 5*MatrixProduct[u[2,2].u[2,1].Yu1]*lam[1,1,2,2]
          - 16*MatrixProduct[u[2,2].u[2,1].Yu1]*alpha3
          + 299/40*MatrixProduct[u[2,2].u[2,1].Yu1]*alpha1
          - 9/16*MatrixProduct[u[2,2].u[2,1].Yu1]*alpha1*z2
          - 337/20*MatrixProduct[u[2,2].u[2,1].Yu1]*alpha1*Doub2
          + 27/20*MatrixProduct[u[2,2].u[2,1].Yu1]*alpha1*Doub2*z3
          + 9/16*MatrixProduct[u[2,2].u[2,1].Yu1]*alpha1*Doub2*z2
          - 233/40*MatrixProduct[u[2,2].u[2,1].Yu1]*alpha1*Doub1
          + 27/20*MatrixProduct[u[2,2].u[2,1].Yu1]*alpha1*Doub1*z3
          + 9/16*MatrixProduct[u[2,2].u[2,1].Yu1]*alpha1*Doub1*z2
          + 291/20*MatrixProduct[u[2,2].u[2,1].Yu1]*alpha1*Doub1*Doub2
          - 27/10*MatrixProduct[u[2,2].u[2,1].Yu1]*alpha1*Doub1*Doub2*
         z3
          - 9/16*MatrixProduct[u[2,2].u[2,1].Yu1]*alpha1*Doub1*Doub2*z2
          + 12*MatrixProduct[u[2,2].u[2,1].Yu2]*lam[1,2,2,2]
          - 9/16*MatrixProduct[u[2,2].u[2,1].Yu2]*Tr[u[1,2]]
          - 9/16*MatrixProduct[u[2,2].u[2,1].Yu2]*Tr[d[1,2]]
          - 3/16*MatrixProduct[u[2,2].u[2,1].Yu2]*Tr[l[1,2]]
          - 13/32*MatrixProduct[u[2,2].u[2,2].u[1,1].Yu2]
          - 345/32*MatrixProduct[u[2,2].u[2,2].u[2,2].Yu2]
          + 9/4*MatrixProduct[u[2,2].u[2,2].u[2,2].Yu2]*z3
          - 13/32*MatrixProduct[u[2,2].u[2,2].d[1,1].Yu2]
          - 19/32*MatrixProduct[u[2,2].u[2,2].d[2,1].Yu1]
          + 75/32*MatrixProduct[u[2,2].u[2,2].d[2,2].Yu2]
          + 45/4*MatrixProduct[u[2,2].u[2,2].Yu1]*lam[2,1,2,2]
          - 9/4*MatrixProduct[u[2,2].u[2,2].Yu1]*Tr[u[2,1]]
          - 9/4*MatrixProduct[u[2,2].u[2,2].Yu1]*Tr[d[2,1]]
          - 3/4*MatrixProduct[u[2,2].u[2,2].Yu1]*Tr[l[2,1]]
          + 63/4*MatrixProduct[u[2,2].u[2,2].Yu2]*lam[2,2,2,2]
          - 38*MatrixProduct[u[2,2].u[2,2].Yu2]*alpha3
          - 225/64*MatrixProduct[u[2,2].u[2,2].Yu2]*alpha2
          + 27/2*MatrixProduct[u[2,2].u[2,2].Yu2]*alpha2*z3
          + 9/64*MatrixProduct[u[2,2].u[2,2].Yu2]*alpha2*z2
          + 9/64*MatrixProduct[u[2,2].u[2,2].Yu2]*alpha2*Doub2
          - 27/2*MatrixProduct[u[2,2].u[2,2].Yu2]*alpha2*Doub2*z3
          - 9/64*MatrixProduct[u[2,2].u[2,2].Yu2]*alpha2*Doub2*z2
          + 847/80*MatrixProduct[u[2,2].u[2,2].Yu2]*alpha1
          + 27/10*MatrixProduct[u[2,2].u[2,2].Yu2]*alpha1*z3
          - 189/320*MatrixProduct[u[2,2].u[2,2].Yu2]*alpha1*z2
          - 1071/80*MatrixProduct[u[2,2].u[2,2].Yu2]*alpha1*Doub2
          - 27/10*MatrixProduct[u[2,2].u[2,2].Yu2]*alpha1*Doub2*z3
          + 189/320*MatrixProduct[u[2,2].u[2,2].Yu2]*alpha1*Doub2*z2
          - 9/8*MatrixProduct[u[2,2].u[2,2].Yu2]*Tr[u[2,2]]
          - 9/8*MatrixProduct[u[2,2].u[2,2].Yu2]*Tr[d[2,2]]
          - 3/8*MatrixProduct[u[2,2].u[2,2].Yu2]*Tr[l[2,2]]
          + 5/32*MatrixProduct[u[2,2].d[1,1].u[1,1].Yu2]
          - 27/32*MatrixProduct[u[2,2].d[1,1].u[2,2].Yu2]
          - 1/32*MatrixProduct[u[2,2].d[1,1].d[1,1].Yu2]
          - 19/32*MatrixProduct[u[2,2].d[1,1].d[2,1].Yu1]
          - 1/8*MatrixProduct[u[2,2].d[1,1].d[2,2].Yu2]
          + 9/4*MatrixProduct[u[2,2].d[1,1].Yu1]*lam[2,1,2,2]
          - 3/16*MatrixProduct[u[2,2].d[1,1].Yu1]*Tr[u[2,1]]
          - 3/16*MatrixProduct[u[2,2].d[1,1].Yu1]*Tr[d[2,1]]
          - 1/16*MatrixProduct[u[2,2].d[1,1].Yu1]*Tr[l[2,1]]
          - 1/2*MatrixProduct[u[2,2].d[1,1].Yu2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[u[2,2].d[1,1].Yu2]*lam[2,2,2,2]
          + 7/2*MatrixProduct[u[2,2].d[1,1].Yu2]*lam[1,1,2,2]
          - 20/3*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha3
          + 105/64*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha2
          - 9/64*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha2*z2
          - 423/32*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha2*Doub2
          + 27/4*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha2*Doub2*z2
          - 195/64*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha2*Doub1
          + 9/64*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha2*Doub1*z2
          + 471/32*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha2*Doub1*Doub2
          - 9*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha2*Doub1*Doub2*z2
          + 5473/960*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha1
          + 9/320*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha1*z2
          + 189/320*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha1*Doub2
          - 33/20*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha1*Doub2*z3
          - 27/320*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha1*Doub2*z2
          - 937/320*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha1*Doub1
          + 3/10*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha1*Doub1*z2
          - 1317/320*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha1*Doub1*
         Doub2
          + 9/5*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha1*Doub1*Doub2*z3
          + 27/320*MatrixProduct[u[2,2].d[1,1].Yu2]*alpha1*Doub1*Doub2*
         z2
          + 27/16*MatrixProduct[u[2,2].d[1,1].Yu2]*Tr[u[1,1]]
          - 3/4*MatrixProduct[u[2,2].d[1,1].Yu2]*Tr[u[2,2]]
          + 27/16*MatrixProduct[u[2,2].d[1,1].Yu2]*Tr[d[1,1]]
          - 3/4*MatrixProduct[u[2,2].d[1,1].Yu2]*Tr[d[2,2]]
          + 9/16*MatrixProduct[u[2,2].d[1,1].Yu2]*Tr[l[1,1]]
          - 1/4*MatrixProduct[u[2,2].d[1,1].Yu2]*Tr[l[2,2]]
          + 33/16*MatrixProduct[u[2,2].d[1,2].u[2,1].Yu2]
          - 63/32*MatrixProduct[u[2,2].d[1,2].d[2,1].Yu2]
          + 9/2*MatrixProduct[u[2,2].d[1,2].Yu2]*lam[2,1,2,2]
          + 81/32*MatrixProduct[u[2,2].d[1,2].Yu2]*Tr[u[2,1]]
          + 81/32*MatrixProduct[u[2,2].d[1,2].Yu2]*Tr[d[2,1]]
          + 27/32*MatrixProduct[u[2,2].d[1,2].Yu2]*Tr[l[2,1]]
          - 3/32*MatrixProduct[u[2,2].d[2,1].u[1,1].Yu1]
          + 17/8*MatrixProduct[u[2,2].d[2,1].u[1,2].Yu2]
          + 13/32*MatrixProduct[u[2,2].d[2,1].u[2,2].Yu1]
          + 13/32*MatrixProduct[u[2,2].d[2,1].d[1,1].Yu1]
          - 11/8*MatrixProduct[u[2,2].d[2,1].d[1,2].Yu2]
          + 6*MatrixProduct[u[2,2].d[2,1].d[1,2].Yu2]*z3
          - 99/32*MatrixProduct[u[2,2].d[2,1].d[2,2].Yu1]
          + MatrixProduct[u[2,2].d[2,1].Yu1]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,2].d[2,1].Yu1]*lam[2,2,2,2]
          - 11/2*MatrixProduct[u[2,2].d[2,1].Yu1]*lam[1,1,2,2]
          + 68/3*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha3
          - 8*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha3*z3
          - 291/32*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha2
          + 45/4*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha2*z3
          + 27/4*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha2*Doub2
          - 27/4*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha2*Doub2*z3
          - 69/16*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha2*Doub1
          + 27/8*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha2*Doub1*z3
          + 33/16*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha2*Doub1*Doub2
          - 9/8*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha2*Doub1*Doub2*z3
          - 3449/480*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha1
          + 7/20*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha1*z3
          + 1069/160*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha1*Doub2
          - 9/20*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha1*Doub2*z2
          + 93/80*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha1*Doub1
          - 27/40*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha1*Doub1*z3
          + 81/160*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha1*Doub1*Doub2
          + 9/40*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha1*Doub1*Doub2*z3
          - 9/80*MatrixProduct[u[2,2].d[2,1].Yu1]*alpha1*Doub1*Doub2*z2
          + 9/16*MatrixProduct[u[2,2].d[2,1].Yu1]*Tr[u[1,1]]
          + 9/16*MatrixProduct[u[2,2].d[2,1].Yu1]*Tr[u[2,2]]
          + 9/16*MatrixProduct[u[2,2].d[2,1].Yu1]*Tr[d[1,1]]
          + 9/16*MatrixProduct[u[2,2].d[2,1].Yu1]*Tr[d[2,2]]
          + 3/16*MatrixProduct[u[2,2].d[2,1].Yu1]*Tr[l[1,1]]
          + 3/16*MatrixProduct[u[2,2].d[2,1].Yu1]*Tr[l[2,2]]
          - 3/2*MatrixProduct[u[2,2].d[2,1].Yu2]*lam[1,2,2,2]
          + 225/32*MatrixProduct[u[2,2].d[2,1].Yu2]*Tr[u[1,2]]
          + 225/32*MatrixProduct[u[2,2].d[2,1].Yu2]*Tr[d[1,2]]
          + 75/32*MatrixProduct[u[2,2].d[2,1].Yu2]*Tr[l[1,2]]
          - MatrixProduct[u[2,2].d[2,2].u[1,1].Yu2]
          + 43/16*MatrixProduct[u[2,2].d[2,2].u[2,2].Yu2]
          - MatrixProduct[u[2,2].d[2,2].d[1,1].Yu2]
          + 45/32*MatrixProduct[u[2,2].d[2,2].d[2,1].Yu1]
          - 95/16*MatrixProduct[u[2,2].d[2,2].d[2,2].Yu2]
          + 6*MatrixProduct[u[2,2].d[2,2].d[2,2].Yu2]*z3
          - 15/4*MatrixProduct[u[2,2].d[2,2].Yu1]*lam[2,1,2,2]
          - 75/16*MatrixProduct[u[2,2].d[2,2].Yu1]*Tr[u[2,1]]
          - 75/16*MatrixProduct[u[2,2].d[2,2].Yu1]*Tr[d[2,1]]
          - 25/16*MatrixProduct[u[2,2].d[2,2].Yu1]*Tr[l[2,1]]
          + 3/4*MatrixProduct[u[2,2].d[2,2].Yu2]*lam[2,2,2,2]
          + 14*MatrixProduct[u[2,2].d[2,2].Yu2]*alpha3
          + 4*MatrixProduct[u[2,2].d[2,2].Yu2]*alpha3*z3
          - 69/32*MatrixProduct[u[2,2].d[2,2].Yu2]*alpha2
          + 9/4*MatrixProduct[u[2,2].d[2,2].Yu2]*alpha2*z3
          - 45/64*MatrixProduct[u[2,2].d[2,2].Yu2]*alpha2*z2
          + 177/64*MatrixProduct[u[2,2].d[2,2].Yu2]*alpha2*Doub2
          - 27/8*MatrixProduct[u[2,2].d[2,2].Yu2]*alpha2*Doub2*z3
          + 45/64*MatrixProduct[u[2,2].d[2,2].Yu2]*alpha2*Doub2*z2
          - 259/160*MatrixProduct[u[2,2].d[2,2].Yu2]*alpha1
          + 7/20*MatrixProduct[u[2,2].d[2,2].Yu2]*alpha1*z3
          + 9/320*MatrixProduct[u[2,2].d[2,2].Yu2]*alpha1*z2
          + 319/320*MatrixProduct[u[2,2].d[2,2].Yu2]*alpha1*Doub2
          + 27/40*MatrixProduct[u[2,2].d[2,2].Yu2]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[u[2,2].d[2,2].Yu2]*alpha1*Doub2*z2
          + 21/8*MatrixProduct[u[2,2].d[2,2].Yu2]*Tr[u[2,2]]
          + 21/8*MatrixProduct[u[2,2].d[2,2].Yu2]*Tr[d[2,2]]
          + 7/8*MatrixProduct[u[2,2].d[2,2].Yu2]*Tr[l[2,2]]
          + 111/16*MatrixProduct[u[2,2].Yu1]*lam[2,1,2,2]*lam[1,2,2,1]
          + 159/16*MatrixProduct[u[2,2].Yu1]*lam[2,1,2,2]*lam[2,2,2,2]
          + 87/16*MatrixProduct[u[2,2].Yu1]*lam[2,1,2,1]*lam[1,2,2,2]
          + 87/16*MatrixProduct[u[2,2].Yu1]*lam[1,1,2,2]*lam[2,1,2,2]
          + 15/16*MatrixProduct[u[2,2].Yu1]*lam[1,1,2,1]*lam[1,2,2,1]
          + 39/16*MatrixProduct[u[2,2].Yu1]*lam[1,1,2,1]*lam[1,1,2,2]
          + 39/16*MatrixProduct[u[2,2].Yu1]*lam[1,1,1,2]*lam[2,1,2,1]
          - 33/16*MatrixProduct[u[2,2].Yu1]*lam[1,1,1,1]*lam[1,1,2,1]
          + 4*MatrixProduct[u[2,2].Yu1]*alpha3*lam[2,1,2,2]
          + 3/8*MatrixProduct[u[2,2].Yu1]*alpha2*lam[2,1,2,2]
          - 21/4*MatrixProduct[u[2,2].Yu1]*alpha2*lam[2,1,2,2]*Doub2
          - 9*MatrixProduct[u[2,2].Yu1]*alpha2*lam[2,1,2,2]*Doub2*z3
          - 45/8*MatrixProduct[u[2,2].Yu1]*alpha2*lam[2,1,2,2]*Doub1
          - 9/4*MatrixProduct[u[2,2].Yu1]*alpha2*lam[2,1,2,2]*Doub1*z3
          - 51/8*MatrixProduct[u[2,2].Yu1]*alpha2*lam[2,1,2,2]*Doub1*Doub2
          + 45/4*MatrixProduct[u[2,2].Yu1]*alpha2*lam[2,1,2,2]*Doub1*Doub2*
         z3
          + 7/8*MatrixProduct[u[2,2].Yu1]*alpha1*lam[2,1,2,2]
          - 99/20*MatrixProduct[u[2,2].Yu1]*alpha1*lam[2,1,2,2]*Doub2
          - 27/10*MatrixProduct[u[2,2].Yu1]*alpha1*lam[2,1,2,2]*Doub2*z3
          + 99/40*MatrixProduct[u[2,2].Yu1]*alpha1*lam[2,1,2,2]*Doub1
          - 27/20*MatrixProduct[u[2,2].Yu1]*alpha1*lam[2,1,2,2]*Doub1*z3
          - 63/40*MatrixProduct[u[2,2].Yu1]*alpha1*lam[2,1,2,2]*Doub1*Doub2
          + 81/20*MatrixProduct[u[2,2].Yu1]*alpha1*lam[2,1,2,2]*Doub1*Doub2*
         z3
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*lam[2,1,2,2]
          - 27/8*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*Tr[u[2,1]]
          - 27/8*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1]]*Tr[l[2,1]]
          + 9*MatrixProduct[u[2,2].Yu1]*Tr[u[1,1].u[2,1]]
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[u[1,2]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*lam[2,2,2,2]
          + 9*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*lam[1,1,2,2]
          - 59/2*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha3
          + 24*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha3*z3
          + 1521/16*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha2
          - 54*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha2*z3
          - 27/16*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha2*z2
          - 99/2*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub2
          + 81/4*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub2*z2
          - 1053/32*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1
          + 81/4*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1*z2
          - 18*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1*Doub2
          - 27/32*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 253/80*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha1
          + 15/2*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha1*z3
          - 27/80*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha1*z2
          - 213/160*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub2
          - 27/10*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub2*z2
          + 621/160*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1
          - 27/10*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1*z3
          + 27/160*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1*z2
          - 45/32*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 27/8*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*Tr[u[2,2]]
          - 27/8*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*Tr[d[1,1]]
          - 27/8*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*Tr[l[1,1]]
          - 9/8*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1]]*Tr[l[2,2]]
          + 9*MatrixProduct[u[2,2].Yu1]*Tr[u[2,1].u[2,2]]
          + 18*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*lam[2,1,2,2]
          - 27/8*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[u[2,2].Yu1]*Tr[u[2,2]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*lam[2,1,2,2]
          - 27/8*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1]]*Tr[l[2,1]]
          + 9*MatrixProduct[u[2,2].Yu1]*Tr[d[1,1].d[2,1]]
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[d[1,2]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*lam[2,2,2,2]
          + 9*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*lam[1,1,2,2]
          - 59/2*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha3
          + 24*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha3*z3
          + 1521/16*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha2
          - 54*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha2*z3
          - 27/16*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha2*z2
          - 99/2*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub2
          + 81/4*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub2*z2
          - 1053/32*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1
          + 81/4*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1*z2
          - 18*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1*Doub2
          - 27/32*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 61/80*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha1
          + 57/10*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha1*z3
          - 27/80*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha1*z2
          - 213/160*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub2
          - 27/10*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub2*z2
          + 621/160*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1
          - 27/10*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1*z3
          + 27/160*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1*z2
          - 45/32*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 27/8*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*Tr[l[1,1]]
          - 9/8*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1]]*Tr[l[2,2]]
          + 9*MatrixProduct[u[2,2].Yu1]*Tr[d[2,1].d[2,2]]
          + 18*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*lam[2,1,2,2]
          - 9/8*MatrixProduct[u[2,2].Yu1]*Tr[d[2,2]]*Tr[l[2,1]]
          + 3/2*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*lam[2,1,2,2]
          - 3/8*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1]]*Tr[l[2,1]]
          + 3*MatrixProduct[u[2,2].Yu1]*Tr[l[1,1].l[2,1]]
          + 3/2*MatrixProduct[u[2,2].Yu1]*Tr[l[1,2]]*lam[2,1,2,1]
          + 3/2*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*lam[2,2,2,2]
          + 3*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*lam[1,1,2,2]
          + 5/6*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha3
          + 507/16*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha2
          - 18*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha2*z3
          - 9/16*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha2*z2
          - 33/2*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub2
          + 27/4*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub2*z3
          + 9/16*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub2*z2
          - 351/32*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1
          + 27/4*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1*z2
          - 6*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1*Doub2
          - 9/32*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 701/240*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha1
          + 39/10*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha1*z3
          - 9/80*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha1*z2
          - 71/160*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub2
          - 9/10*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub2*z2
          + 207/160*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1
          - 9/10*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1*z3
          + 9/160*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1*z2
          - 15/32*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          - 9/160*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 3/8*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1]]*Tr[l[2,2]]
          + 3*MatrixProduct[u[2,2].Yu1]*Tr[l[2,1].l[2,2]]
          + 6*MatrixProduct[u[2,2].Yu1]*Tr[l[2,2]]*lam[2,1,2,2]
          - 9/16*MatrixProduct[u[2,2].Yu2]*lam[1,2,2,1]^2
          + 285/32*MatrixProduct[u[2,2].Yu2]*lam[2,2,2,2]^2
          + 471/32*MatrixProduct[u[2,2].Yu2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 45/32*MatrixProduct[u[2,2].Yu2]*lam[1,2,1,2]*lam[2,1,2,1]
          + 15/16*MatrixProduct[u[2,2].Yu2]*lam[1,1,2,2]*lam[1,2,2,1]
          + 15/16*MatrixProduct[u[2,2].Yu2]*lam[1,1,2,2]^2
          - 99/32*MatrixProduct[u[2,2].Yu2]*lam[1,1,1,2]*lam[1,1,2,1]
          + 4*MatrixProduct[u[2,2].Yu2]*alpha3*lam[2,2,2,2]
          + 2779/12*MatrixProduct[u[2,2].Yu2]*alpha3^2
          - 102*MatrixProduct[u[2,2].Yu2]*alpha3^2*z3
          - 11*MatrixProduct[u[2,2].Yu2]*alpha3^2*Ng
          + 3/8*MatrixProduct[u[2,2].Yu2]*alpha2*lam[2,2,2,2]
          - 69/4*MatrixProduct[u[2,2].Yu2]*alpha2*lam[2,2,2,2]*Doub2
          - 241/4*MatrixProduct[u[2,2].Yu2]*alpha2*alpha3
          + 36*MatrixProduct[u[2,2].Yu2]*alpha2*alpha3*z3
          - 9/4*MatrixProduct[u[2,2].Yu2]*alpha2*alpha3*z2
          + 299/8*MatrixProduct[u[2,2].Yu2]*alpha2*alpha3*Doub2
          + 9/4*MatrixProduct[u[2,2].Yu2]*alpha2*alpha3*Doub2*z2
          - 17091/256*MatrixProduct[u[2,2].Yu2]*alpha2^2
          + 117/4*MatrixProduct[u[2,2].Yu2]*alpha2^2*z3
          + 63/128*MatrixProduct[u[2,2].Yu2]*alpha2^2*z2
          + 141/32*MatrixProduct[u[2,2].Yu2]*alpha2^2*Ng
          + 59175/512*MatrixProduct[u[2,2].Yu2]*alpha2^2*Doub2
          - 603/16*MatrixProduct[u[2,2].Yu2]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[u[2,2].Yu2]*alpha2^2*Doub2*z2
          - 183/16*MatrixProduct[u[2,2].Yu2]*alpha2^2*Doub2*Ng
          + 183/256*MatrixProduct[u[2,2].Yu2]*alpha2^2*Doub1
          - 159/64*MatrixProduct[u[2,2].Yu2]*alpha2^2*Doub1*Doub2
          + 7/8*MatrixProduct[u[2,2].Yu2]*alpha1*lam[2,2,2,2]
          - 81/20*MatrixProduct[u[2,2].Yu2]*alpha1*lam[2,2,2,2]*Doub2
          - 147/20*MatrixProduct[u[2,2].Yu2]*alpha1*alpha3
          - 36/5*MatrixProduct[u[2,2].Yu2]*alpha1*alpha3*z3
          - 9/4*MatrixProduct[u[2,2].Yu2]*alpha1*alpha3*z2
          + 1789/120*MatrixProduct[u[2,2].Yu2]*alpha1*alpha3*Doub2
          + 24/5*MatrixProduct[u[2,2].Yu2]*alpha1*alpha3*Doub2*z3
          + 9/4*MatrixProduct[u[2,2].Yu2]*alpha1*alpha3*Doub2*z2
          - 3671/640*MatrixProduct[u[2,2].Yu2]*alpha1*alpha2
          + 9/10*MatrixProduct[u[2,2].Yu2]*alpha1*alpha2*z3
          + 9/64*MatrixProduct[u[2,2].Yu2]*alpha1*alpha2*z2
          + 5149/1280*MatrixProduct[u[2,2].Yu2]*alpha1*alpha2*Doub2
          + 171/40*MatrixProduct[u[2,2].Yu2]*alpha1*alpha2*Doub2*z3
          - 9/64*MatrixProduct[u[2,2].Yu2]*alpha1*alpha2*Doub2*z2
          - 14977/19200*MatrixProduct[u[2,2].Yu2]*alpha1^2
          + 21/25*MatrixProduct[u[2,2].Yu2]*alpha1^2*z3
          - 9/128*MatrixProduct[u[2,2].Yu2]*alpha1^2*z2
          + 597/160*MatrixProduct[u[2,2].Yu2]*alpha1^2*Ng
          + 22333/38400*MatrixProduct[u[2,2].Yu2]*alpha1^2*Doub2
          - 87/80*MatrixProduct[u[2,2].Yu2]*alpha1^2*Doub2*z3
          + 9/128*MatrixProduct[u[2,2].Yu2]*alpha1^2*Doub2*z2
          - 459/80*MatrixProduct[u[2,2].Yu2]*alpha1^2*Doub2*Ng
          + 2157/6400*MatrixProduct[u[2,2].Yu2]*alpha1^2*Doub1
          - 1083/1600*MatrixProduct[u[2,2].Yu2]*alpha1^2*Doub1*Doub2
          + 9/2*MatrixProduct[u[2,2].Yu2]*Tr[u[1,1].u[2,2]]
          + 9/2*MatrixProduct[u[2,2].Yu2]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*lam[2,1,2,2]
          - 81/16*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*Tr[u[2,1]]
          - 81/16*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2]]*Tr[l[2,1]]
          + 9*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2].u[2,1]]
          - 9/2*MatrixProduct[u[2,2].Yu2]*Tr[u[1,2].d[2,1]]
          + 27/2*MatrixProduct[u[2,2].Yu2]*Tr[u[2,1]]*lam[1,2,2,2]
          - 81/16*MatrixProduct[u[2,2].Yu2]*Tr[u[2,1]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[u[2,2].Yu2]*Tr[u[2,1]]*Tr[l[1,2]]
          - 9/2*MatrixProduct[u[2,2].Yu2]*Tr[u[2,1].d[1,2]]
          + 45/2*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*lam[2,2,2,2]
          - 177/4*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*alpha3
          + 36*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*alpha3*z3
          + 3591/32*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*alpha2
          - 54*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*alpha2*z3
          - 27/16*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*alpha2*z2
          - 3915/32*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*alpha2*Doub2
          + 81/2*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*alpha2*Doub2*z2
          + 5757/160*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*alpha1
          - 9/2*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*alpha1*z3
          - 81/80*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*alpha1*z2
          - 6789/160*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*alpha1*Doub2
          + 27/5*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*alpha1*Doub2*z3
          + 81/80*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*alpha1*Doub2*z2
          - 81/16*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]^2
          - 81/8*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*Tr[d[2,2]]
          - 27/8*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2].u[2,2]]
          + 9/2*MatrixProduct[u[2,2].Yu2]*Tr[u[2,2].d[1,1]]
          + 9/2*MatrixProduct[u[2,2].Yu2]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*lam[2,1,2,2]
          - 81/16*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2]]*Tr[l[2,1]]
          + 9*MatrixProduct[u[2,2].Yu2]*Tr[d[1,2].d[2,1]]
          + 27/2*MatrixProduct[u[2,2].Yu2]*Tr[d[2,1]]*lam[1,2,2,2]
          - 27/16*MatrixProduct[u[2,2].Yu2]*Tr[d[2,1]]*Tr[l[1,2]]
          + 45/2*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*lam[2,2,2,2]
          - 177/4*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*alpha3
          + 36*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*alpha3*z3
          + 3591/32*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*alpha2
          - 54*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*alpha2*z3
          - 27/16*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*alpha2*z2
          - 3915/32*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*alpha2*Doub2
          + 81/2*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*alpha2*Doub2*z2
          + 6333/160*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*alpha1
          - 36/5*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*alpha1*z3
          - 81/80*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*alpha1*z2
          - 6789/160*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*alpha1*Doub2
          + 27/5*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*alpha1*Doub2*z3
          + 81/80*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*alpha1*Doub2*z2
          - 81/16*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]^2
          - 27/8*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[u[2,2].Yu2]*Tr[d[2,2].d[2,2]]
          + 3/2*MatrixProduct[u[2,2].Yu2]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*lam[2,1,2,2]
          - 9/16*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[u[2,2].Yu2]*Tr[l[1,2].l[2,1]]
          + 9/2*MatrixProduct[u[2,2].Yu2]*Tr[l[2,1]]*lam[1,2,2,2]
          + 15/2*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*lam[2,2,2,2]
          + 5/4*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*alpha3
          + 1197/32*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*alpha2
          - 18*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*alpha2*z3
          - 9/16*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*alpha2*z2
          - 1305/32*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*alpha2*Doub2*z3
          + 9/16*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*alpha2*Doub2*z2
          + 1471/160*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*alpha1
          + 3/5*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*alpha1*z3
          - 27/80*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*alpha1*z2
          - 2263/160*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*alpha1*Doub2
          + 9/5*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]*alpha1*Doub2*z2
          - 9/16*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2]]^2
          + 9/2*MatrixProduct[u[2,2].Yu2]*Tr[l[2,2].l[2,2]]
          - 7/32*MatrixProduct[d[1,1].u[1,1].u[1,1].Yu2]
          + MatrixProduct[d[1,1].u[1,1].u[2,1].Yu1]
          + 5/8*MatrixProduct[d[1,1].u[1,1].d[1,1].Yu2]
          - 39/16*MatrixProduct[d[1,1].u[1,1].d[2,1].Yu1]
          + 3/2*MatrixProduct[d[1,1].u[1,1].Yu1]*lam[1,1,2,1]
          + 9/4*MatrixProduct[d[1,1].u[1,1].Yu2]*lam[1,2,2,1]
          - 3/4*MatrixProduct[d[1,1].u[1,1].Yu2]*lam[1,1,2,2]
          + 16/3*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha3
          - 4*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha3*z3
          + 453/64*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha2
          - 45/64*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha2*z2
          - 81/16*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha2*Doub2
          + 9/16*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha2*Doub2*z2
          - 183/32*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha2*Doub1
          - 9/8*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha2*Doub1*z3
          + 45/64*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha2*Doub1*z2
          + 81/16*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha2*Doub1*Doub2
          - 9/16*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha2*Doub1*Doub2*z2
          - 2951/960*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha1
          + 2/5*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha1*z3
          + 9/320*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha1*z2
          + 63/160*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha1*Doub2
          + 487/160*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha1*Doub1
          + 9/40*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha1*Doub1*z2
          - 63/160*MatrixProduct[d[1,1].u[1,1].Yu2]*alpha1*Doub1*Doub2
          + 9/16*MatrixProduct[d[1,1].u[1,1].Yu2]*Tr[u[1,1]]
          + 9/16*MatrixProduct[d[1,1].u[1,1].Yu2]*Tr[d[1,1]]
          + 3/16*MatrixProduct[d[1,1].u[1,1].Yu2]*Tr[l[1,1]]
          - 19/32*MatrixProduct[d[1,1].u[1,2].u[2,1].Yu2]
          - 3/4*MatrixProduct[d[1,1].u[1,2].d[2,1].Yu2]
          + 3/2*MatrixProduct[d[1,1].u[1,2].Yu1]*lam[2,1,2,1]
          + 3/2*MatrixProduct[d[1,1].u[1,2].Yu2]*lam[2,1,2,2]
          + 9/32*MatrixProduct[d[1,1].u[1,2].Yu2]*Tr[u[2,1]]
          + 9/32*MatrixProduct[d[1,1].u[1,2].Yu2]*Tr[d[2,1]]
          + 3/32*MatrixProduct[d[1,1].u[1,2].Yu2]*Tr[l[2,1]]
          + 1/2*MatrixProduct[d[1,1].u[2,1].u[1,1].Yu1]
          + 3*MatrixProduct[d[1,1].u[2,1].u[1,1].Yu1]*z3
          - 1/2*MatrixProduct[d[1,1].u[2,1].d[1,1].Yu1]
          + 29/16*MatrixProduct[d[1,1].u[2,1].d[1,2].Yu2]
          - 3/2*MatrixProduct[d[1,1].u[2,1].d[2,2].Yu1]
          - 4*MatrixProduct[d[1,1].u[2,1].Yu1]*lam[1,2,2,1]
          + 4*MatrixProduct[d[1,1].u[2,1].Yu1]*lam[1,1,2,2]
          + 3*MatrixProduct[d[1,1].u[2,1].Yu1]*lam[1,1,1,1]
          - 112/3*MatrixProduct[d[1,1].u[2,1].Yu1]*alpha3
          + 9/4*MatrixProduct[d[1,1].u[2,1].Yu1]*alpha2
          - 9/2*MatrixProduct[d[1,1].u[2,1].Yu1]*alpha2*z3
          + 3/4*MatrixProduct[d[1,1].u[2,1].Yu1]*alpha2*Doub1
          + 9/2*MatrixProduct[d[1,1].u[2,1].Yu1]*alpha2*Doub1*z3
          - 643/60*MatrixProduct[d[1,1].u[2,1].Yu1]*alpha1
          - 3/2*MatrixProduct[d[1,1].u[2,1].Yu1]*alpha1*z3
          + 9/20*MatrixProduct[d[1,1].u[2,1].Yu1]*alpha1*z2
          + 201/20*MatrixProduct[d[1,1].u[2,1].Yu1]*alpha1*Doub1
          + 27/10*MatrixProduct[d[1,1].u[2,1].Yu1]*alpha1*Doub1*z3
          - 9/20*MatrixProduct[d[1,1].u[2,1].Yu1]*alpha1*Doub1*z2
          + 3*MatrixProduct[d[1,1].u[2,1].Yu1]*Tr[u[1,1]]
          + 3*MatrixProduct[d[1,1].u[2,1].Yu1]*Tr[d[1,1]]
          + MatrixProduct[d[1,1].u[2,1].Yu1]*Tr[l[1,1]]
          + 3*MatrixProduct[d[1,1].u[2,1].Yu2]*lam[1,1,1,2]
          - 87/32*MatrixProduct[d[1,1].u[2,1].Yu2]*Tr[u[1,2]]
          - 87/32*MatrixProduct[d[1,1].u[2,1].Yu2]*Tr[d[1,2]]
          - 29/32*MatrixProduct[d[1,1].u[2,1].Yu2]*Tr[l[1,2]]
          - 9/8*MatrixProduct[d[1,1].u[2,2].u[1,1].Yu2]
          + 3*MatrixProduct[d[1,1].u[2,2].u[1,1].Yu2]*z3
          + 3*MatrixProduct[d[1,1].u[2,2].u[2,1].Yu1]
          - 31/16*MatrixProduct[d[1,1].u[2,2].d[1,1].Yu2]
          + 1/16*MatrixProduct[d[1,1].u[2,2].d[2,1].Yu1]
          + 3*MatrixProduct[d[1,1].u[2,2].Yu1]*lam[1,1,2,1]
          + 6*MatrixProduct[d[1,1].u[2,2].Yu1]*Tr[u[2,1]]
          + 6*MatrixProduct[d[1,1].u[2,2].Yu1]*Tr[d[2,1]]
          + 2*MatrixProduct[d[1,1].u[2,2].Yu1]*Tr[l[2,1]]
          + 1/4*MatrixProduct[d[1,1].u[2,2].Yu2]*lam[1,2,2,1]
          + 11/4*MatrixProduct[d[1,1].u[2,2].Yu2]*lam[1,1,2,2]
          - 10*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha3
          + 81/32*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha2
          - 9/64*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha2*z2
          - 129/32*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha2*Doub2
          + 9/64*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha2*Doub2*z2
          - 45/16*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha2*Doub1
          + 9/64*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha2*Doub1*z2
          + 69/16*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha2*Doub1*Doub2
          - 9/64*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha2*Doub1*Doub2*z2
          - 2057/160*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha1
          + 153/320*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha1*z2
          + 295/32*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha1*Doub2
          - 27/20*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha1*Doub2*z3
          - 153/320*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha1*Doub2*z2
          + 1271/80*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha1*Doub1
          - 27/20*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha1*Doub1*z3
          - 153/320*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha1*Doub1*z2
          - 957/80*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha1*Doub1*Doub2
          + 27/10*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha1*Doub1*Doub2*
         z3
          + 153/320*MatrixProduct[d[1,1].u[2,2].Yu2]*alpha1*Doub1*Doub2
         *z2
          - 7/32*MatrixProduct[d[1,1].d[1,1].u[1,1].Yu2]
          - 2*MatrixProduct[d[1,1].d[1,1].u[2,1].Yu1]
          + 6*MatrixProduct[d[1,1].d[1,1].u[2,1].Yu1]*z3
          - 3/4*MatrixProduct[d[1,1].d[1,1].d[1,1].Yu2]
          + 3/4*MatrixProduct[d[1,1].d[1,1].d[1,1].Yu2]*z3
          + 33/16*MatrixProduct[d[1,1].d[1,1].d[2,1].Yu1]
          - 3*MatrixProduct[d[1,1].d[1,1].d[2,1].Yu1]*z3
          - 9/2*MatrixProduct[d[1,1].d[1,1].Yu1]*lam[1,1,2,1]
          + 1/4*MatrixProduct[d[1,1].d[1,1].Yu2]*lam[1,2,2,1]
          + 11/4*MatrixProduct[d[1,1].d[1,1].Yu2]*lam[1,1,2,2]
          + 3/2*MatrixProduct[d[1,1].d[1,1].Yu2]*lam[1,1,1,1]
          - 20/3*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha3
          + 15/8*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha2
          + 9/64*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha2*z2
          - 45/64*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha2*Doub2
          - 9/32*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha2*Doub2*z2
          - 147/32*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha2*Doub1
          + 9/4*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha2*Doub1*z3
          - 9/64*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha2*Doub1*z2
          + 45/64*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha2*Doub1*Doub2
          + 9/32*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha2*Doub1*Doub2*z2
          - 8753/960*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha1
          - 9/320*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha1*z2
          + 21/16*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha1*Doub2
          + 585/64*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha1*Doub1
          - 3/20*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha1*Doub1*z2
          - 21/16*MatrixProduct[d[1,1].d[1,1].Yu2]*alpha1*Doub1*Doub2
          + 15/16*MatrixProduct[d[1,1].d[1,1].Yu2]*Tr[u[1,1]]
          + 15/16*MatrixProduct[d[1,1].d[1,1].Yu2]*Tr[d[1,1]]
          + 5/16*MatrixProduct[d[1,1].d[1,1].Yu2]*Tr[l[1,1]]
          - 2*MatrixProduct[d[1,1].d[1,2].u[2,1].Yu2]
          + 6*MatrixProduct[d[1,1].d[1,2].u[2,1].Yu2]*z3
          + MatrixProduct[d[1,1].d[1,2].d[2,1].Yu2]
          - 9/4*MatrixProduct[d[1,1].d[1,2].d[2,1].Yu2]*z3
          - 9/2*MatrixProduct[d[1,1].d[1,2].Yu1]*lam[2,1,2,1]
          + 3*MatrixProduct[d[1,1].d[1,2].Yu2]*lam[2,1,2,2]
          + 3/2*MatrixProduct[d[1,1].d[1,2].Yu2]*lam[1,1,2,1]
          + 27/16*MatrixProduct[d[1,1].d[1,2].Yu2]*Tr[u[2,1]]
          + 27/16*MatrixProduct[d[1,1].d[1,2].Yu2]*Tr[d[2,1]]
          + 9/16*MatrixProduct[d[1,1].d[1,2].Yu2]*Tr[l[2,1]]
          - 7/2*MatrixProduct[d[1,1].d[2,1].u[1,1].Yu1]
          - 3/32*MatrixProduct[d[1,1].d[2,1].u[1,2].Yu2]
          - 1/2*MatrixProduct[d[1,1].d[2,1].u[2,2].Yu1]
          + 1/2*MatrixProduct[d[1,1].d[2,1].d[1,1].Yu1]
          - 29/16*MatrixProduct[d[1,1].d[2,1].d[1,2].Yu2]
          + 3/2*MatrixProduct[d[1,1].d[2,1].d[2,2].Yu1]
          - 5/2*MatrixProduct[d[1,1].d[2,1].Yu1]*lam[1,2,2,1]
          - 5*MatrixProduct[d[1,1].d[2,1].Yu1]*lam[1,1,2,2]
          - 9/2*MatrixProduct[d[1,1].d[2,1].Yu1]*lam[1,1,1,1]
          + 22*MatrixProduct[d[1,1].d[2,1].Yu1]*alpha3
          + 16*MatrixProduct[d[1,1].d[2,1].Yu1]*alpha3*z3
          - 291/32*MatrixProduct[d[1,1].d[2,1].Yu1]*alpha2
          + 27/4*MatrixProduct[d[1,1].d[2,1].Yu1]*alpha2*z3
          - 21/16*MatrixProduct[d[1,1].d[2,1].Yu1]*alpha2*Doub2
          + 141/8*MatrixProduct[d[1,1].d[2,1].Yu1]*alpha2*Doub1
          - 63/4*MatrixProduct[d[1,1].d[2,1].Yu1]*alpha2*Doub1*z3
          + 21/16*MatrixProduct[d[1,1].d[2,1].Yu1]*alpha2*Doub1*Doub2
          + 541/160*MatrixProduct[d[1,1].d[2,1].Yu1]*alpha1
          + 79/20*MatrixProduct[d[1,1].d[2,1].Yu1]*alpha1*z3
          + 51/80*MatrixProduct[d[1,1].d[2,1].Yu1]*alpha1*Doub2
          - 31/20*MatrixProduct[d[1,1].d[2,1].Yu1]*alpha1*Doub1
          - 99/20*MatrixProduct[d[1,1].d[2,1].Yu1]*alpha1*Doub1*z3
          - 51/80*MatrixProduct[d[1,1].d[2,1].Yu1]*alpha1*Doub1*Doub2
          - 51/8*MatrixProduct[d[1,1].d[2,1].Yu1]*Tr[u[1,1]]
          - 51/8*MatrixProduct[d[1,1].d[2,1].Yu1]*Tr[d[1,1]]
          - 17/8*MatrixProduct[d[1,1].d[2,1].Yu1]*Tr[l[1,1]]
          - 3*MatrixProduct[d[1,1].d[2,1].Yu2]*lam[1,1,1,2]
          + 9/4*MatrixProduct[d[1,1].d[2,1].Yu2]*Tr[u[1,2]]
          + 9/4*MatrixProduct[d[1,1].d[2,1].Yu2]*Tr[d[1,2]]
          + 3/4*MatrixProduct[d[1,1].d[2,1].Yu2]*Tr[l[1,2]]
          - 17/8*MatrixProduct[d[1,1].d[2,2].u[1,1].Yu2]
          - MatrixProduct[d[1,1].d[2,2].u[2,1].Yu1]
          - 15/16*MatrixProduct[d[1,1].d[2,2].d[1,1].Yu2]
          + 3*MatrixProduct[d[1,1].d[2,2].d[1,1].Yu2]*z3
          + 33/16*MatrixProduct[d[1,1].d[2,2].d[2,1].Yu1]
          - 3*MatrixProduct[d[1,1].d[2,2].d[2,1].Yu1]*z3
          - 15/2*MatrixProduct[d[1,1].d[2,2].Yu1]*lam[2,1,2,2]
          - 9/2*MatrixProduct[d[1,1].d[2,2].Yu1]*lam[1,1,2,1]
          - 75/8*MatrixProduct[d[1,1].d[2,2].Yu1]*Tr[u[2,1]]
          - 75/8*MatrixProduct[d[1,1].d[2,2].Yu1]*Tr[d[2,1]]
          - 25/8*MatrixProduct[d[1,1].d[2,2].Yu1]*Tr[l[2,1]]
          - 11/4*MatrixProduct[d[1,1].d[2,2].Yu2]*lam[1,2,2,1]
          - 1/4*MatrixProduct[d[1,1].d[2,2].Yu2]*lam[1,1,2,2]
          + 6*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha3
          - 159/32*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha2
          + 27/4*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha2*z3
          - 9/64*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha2*z2
          - 261/32*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha2*Doub2
          + 27/8*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha2*Doub2*z2
          + 75/16*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha2*Doub1
          - 27/4*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha2*Doub1*z2
          + 135/16*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha2*Doub1*Doub2
          - 27/8*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha2*Doub1*Doub2*z2
          + 133/32*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha1
          - 9/20*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha1*z3
          - 9/320*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha1*z2
          - 93/160*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha1*Doub2
          + 27/40*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha1*Doub2*z2
          - 189/40*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha1*Doub1
          + 9/20*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha1*Doub1*z2
          + 39/40*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha1*Doub1*Doub2*
         z3
          - 9/320*MatrixProduct[d[1,1].d[2,2].Yu2]*alpha1*Doub1*Doub2*
         z2
          - 3*MatrixProduct[d[1,1].Yu1]*lam[1,1,2,2]*lam[2,1,2,2]
          - 3*MatrixProduct[d[1,1].Yu1]*lam[1,1,2,1]*lam[1,2,2,1]
          - 3*MatrixProduct[d[1,1].Yu1]*lam[1,1,1,2]*lam[2,1,2,1]
          - 3*MatrixProduct[d[1,1].Yu1]*lam[1,1,1,1]*lam[1,1,2,1]
          + 3*MatrixProduct[d[1,1].Yu1]*alpha2*lam[1,1,2,1]
          - 3/2*MatrixProduct[d[1,1].Yu1]*alpha2*lam[1,1,2,1]*Doub2
          - 3*MatrixProduct[d[1,1].Yu1]*alpha2*lam[1,1,2,1]*Doub1
          + 3/2*MatrixProduct[d[1,1].Yu1]*alpha2*lam[1,1,2,1]*Doub1*Doub2
          + 12*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1].d[2,1]]
          - 18*MatrixProduct[d[1,1].Yu1]*Tr[u[1,1].d[2,1]]*z3
          + 3*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*lam[1,2,2,1]
          - 3*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*lam[1,1,2,2]
          + 153/8*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha2
          - 27/16*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha2*z2
          - 477/32*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha2*Doub2
          + 27/32*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha2*Doub2*z2
          - 333/16*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha2*Doub1
          + 27/16*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 243/40*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha1
          + 27/80*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha1*z2
          + 657/160*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha1*Doub2
          - 27/160*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha1*Doub2*z2
          + 423/80*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha1*Doub1*z2
          - 531/160*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 12*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1].d[1,1]]
          - 18*MatrixProduct[d[1,1].Yu1]*Tr[u[2,1].d[1,1]]*z3
          + 3*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*lam[1,2,2,1]
          - 3*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*lam[1,1,2,2]
          + 153/8*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha2
          - 27/16*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha2*z2
          - 477/32*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha2*Doub2
          + 27/32*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha2*Doub2*z2
          - 333/16*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha2*Doub1
          + 27/16*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 243/40*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha1
          + 27/80*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha1*z2
          + 657/160*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha1*Doub2
          - 27/160*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha1*Doub2*z2
          + 423/80*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha1*Doub1*z2
          - 531/160*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[d[1,1].Yu1]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2*z2
          + MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*lam[1,2,2,1]
          - MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*lam[1,1,2,2]
          + 51/8*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha2
          - 9/16*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha2*z2
          - 159/32*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha2*Doub2
          + 9/32*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha2*Doub2*z2
          - 111/16*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha2*Doub1
          + 9/16*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha2*Doub1*z2
          + 177/32*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          - 9/32*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha1
          + 9/80*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha1*z2
          + 219/160*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha1*Doub2
          - 9/160*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha1*Doub2*z2
          + 141/80*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha1*Doub1
          - 9/80*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha1*Doub1*z2
          - 177/160*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          + 9/160*MatrixProduct[d[1,1].Yu1]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 51/16*MatrixProduct[d[1,1].Yu2]*lam[1,2,2,1]^2
          - 177/32*MatrixProduct[d[1,1].Yu2]*lam[1,2,2,2]*lam[2,1,2,2]
          - 177/32*MatrixProduct[d[1,1].Yu2]*lam[1,2,1,2]*lam[2,1,2,1]
          - 75/16*MatrixProduct[d[1,1].Yu2]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[1,1].Yu2]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/16*MatrixProduct[d[1,1].Yu2]*lam[1,1,2,2]^2
          + 3/2*MatrixProduct[d[1,1].Yu2]*lam[1,1,2,1]*lam[1,2,2,2]
          + 3/2*MatrixProduct[d[1,1].Yu2]*lam[1,1,1,2]*lam[2,1,2,2]
          - 243/32*MatrixProduct[d[1,1].Yu2]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[d[1,1].Yu2]*lam[1,1,1,1]*lam[1,1,2,2]
          - 33/32*MatrixProduct[d[1,1].Yu2]*lam[1,1,1,1]^2
          - 4/3*MatrixProduct[d[1,1].Yu2]*alpha3*lam[1,2,2,1]
          + 4/3*MatrixProduct[d[1,1].Yu2]*alpha3*lam[1,1,2,2]
          + 2779/36*MatrixProduct[d[1,1].Yu2]*alpha3^2
          - 34*MatrixProduct[d[1,1].Yu2]*alpha3^2*z3
          - 11/3*MatrixProduct[d[1,1].Yu2]*alpha3^2*Ng
          + 15/8*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,2,2,1]
          + 27/8*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,2,2,1]*Doub2
          - 9/4*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,2,2,1]*Doub2*z3
          + 15/8*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,2,2,1]*Doub1
          - 3/2*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 9/4*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,2,2,1]*Doub1*Doub2*z3
          + 9/8*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,1,2,2]
          - 21/8*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,1,2,2]*Doub2
          - 9/4*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,1,2,2]*Doub2*z3
          - 9/8*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,1,2,2]*Doub1
          - 9/2*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,1,2,2]*Doub1*z3
          - 3*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,1,2,2]*Doub1*Doub2
          + 27/4*MatrixProduct[d[1,1].Yu2]*alpha2*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 127/4*MatrixProduct[d[1,1].Yu2]*alpha2*alpha3
          - 9/4*MatrixProduct[d[1,1].Yu2]*alpha2*alpha3*z2
          - 47/4*MatrixProduct[d[1,1].Yu2]*alpha2*alpha3*Doub2
          + 9*MatrixProduct[d[1,1].Yu2]*alpha2*alpha3*Doub2*z3
          + 9/4*MatrixProduct[d[1,1].Yu2]*alpha2*alpha3*Doub2*z2
          + 291/8*MatrixProduct[d[1,1].Yu2]*alpha2*alpha3*Doub1
          + 9/4*MatrixProduct[d[1,1].Yu2]*alpha2*alpha3*Doub1*z2
          + 47/4*MatrixProduct[d[1,1].Yu2]*alpha2*alpha3*Doub1*Doub2
          - 9*MatrixProduct[d[1,1].Yu2]*alpha2*alpha3*Doub1*Doub2*z3
          - 9/4*MatrixProduct[d[1,1].Yu2]*alpha2*alpha3*Doub1*Doub2*z2
          - 15183/256*MatrixProduct[d[1,1].Yu2]*alpha2^2
          + 81/4*MatrixProduct[d[1,1].Yu2]*alpha2^2*z3
          + 63/128*MatrixProduct[d[1,1].Yu2]*alpha2^2*z2
          + 135/32*MatrixProduct[d[1,1].Yu2]*alpha2^2*Ng
          + 2403/64*MatrixProduct[d[1,1].Yu2]*alpha2^2*Doub2
          - 135/8*MatrixProduct[d[1,1].Yu2]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[d[1,1].Yu2]*alpha2^2*Doub2*z2
          + 38037/512*MatrixProduct[d[1,1].Yu2]*alpha2^2*Doub1
          - 207/8*MatrixProduct[d[1,1].Yu2]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[d[1,1].Yu2]*alpha2^2*Doub1*z2
          - 99/16*MatrixProduct[d[1,1].Yu2]*alpha2^2*Doub1*Ng
          - 10023/256*MatrixProduct[d[1,1].Yu2]*alpha2^2*Doub1*Doub2
          + 261/16*MatrixProduct[d[1,1].Yu2]*alpha2^2*Doub1*Doub2*z3
          + 63/128*MatrixProduct[d[1,1].Yu2]*alpha2^2*Doub1*Doub2*z2
          + 121/120*MatrixProduct[d[1,1].Yu2]*alpha1*lam[1,2,2,1]
          - 3/40*MatrixProduct[d[1,1].Yu2]*alpha1*lam[1,2,2,1]*Doub2
          - 9/20*MatrixProduct[d[1,1].Yu2]*alpha1*lam[1,2,2,1]*Doub2*z3
          + 33/40*MatrixProduct[d[1,1].Yu2]*alpha1*lam[1,2,2,1]*Doub1
          - 9/10*MatrixProduct[d[1,1].Yu2]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 3/5*MatrixProduct[d[1,1].Yu2]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/20*MatrixProduct[d[1,1].Yu2]*alpha1*lam[1,2,2,1]*Doub1*Doub2*
         z3
          - 121/120*MatrixProduct[d[1,1].Yu2]*alpha1*lam[1,1,2,2]
          + 3/40*MatrixProduct[d[1,1].Yu2]*alpha1*lam[1,1,2,2]*Doub2
          + 9/20*MatrixProduct[d[1,1].Yu2]*alpha1*lam[1,1,2,2]*Doub2*z3
          - 33/40*MatrixProduct[d[1,1].Yu2]*alpha1*lam[1,1,2,2]*Doub1
          + 9/10*MatrixProduct[d[1,1].Yu2]*alpha1*lam[1,1,2,2]*Doub1*z3
          + 3/5*MatrixProduct[d[1,1].Yu2]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          - 27/20*MatrixProduct[d[1,1].Yu2]*alpha1*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 466/45*MatrixProduct[d[1,1].Yu2]*alpha1*alpha3
          + 64/5*MatrixProduct[d[1,1].Yu2]*alpha1*alpha3*z3
          + 9/4*MatrixProduct[d[1,1].Yu2]*alpha1*alpha3*z2
          + 47/20*MatrixProduct[d[1,1].Yu2]*alpha1*alpha3*Doub2
          - 9/5*MatrixProduct[d[1,1].Yu2]*alpha1*alpha3*Doub2*z3
          - 9/20*MatrixProduct[d[1,1].Yu2]*alpha1*alpha3*Doub2*z2
          + 811/120*MatrixProduct[d[1,1].Yu2]*alpha1*alpha3*Doub1
          - 48/5*MatrixProduct[d[1,1].Yu2]*alpha1*alpha3*Doub1*z3
          - 9/4*MatrixProduct[d[1,1].Yu2]*alpha1*alpha3*Doub1*z2
          - 47/20*MatrixProduct[d[1,1].Yu2]*alpha1*alpha3*Doub1*Doub2
          + 9/5*MatrixProduct[d[1,1].Yu2]*alpha1*alpha3*Doub1*Doub2*z3
          + 9/20*MatrixProduct[d[1,1].Yu2]*alpha1*alpha3*Doub1*Doub2*z2
          - 929/640*MatrixProduct[d[1,1].Yu2]*alpha1*alpha2
          - 9/80*MatrixProduct[d[1,1].Yu2]*alpha1*alpha2*z2
          - 449/320*MatrixProduct[d[1,1].Yu2]*alpha1*alpha2*Doub2
          + 81/20*MatrixProduct[d[1,1].Yu2]*alpha1*alpha2*Doub2*z3
          - 9/160*MatrixProduct[d[1,1].Yu2]*alpha1*alpha2*Doub2*z2
          + 903/1280*MatrixProduct[d[1,1].Yu2]*alpha1*alpha2*Doub1
          - 9/40*MatrixProduct[d[1,1].Yu2]*alpha1*alpha2*Doub1*z3
          + 9/80*MatrixProduct[d[1,1].Yu2]*alpha1*alpha2*Doub1*z2
          + 881/320*MatrixProduct[d[1,1].Yu2]*alpha1*alpha2*Doub1*Doub2
          - 27/8*MatrixProduct[d[1,1].Yu2]*alpha1*alpha2*Doub1*Doub2*z3
          + 9/160*MatrixProduct[d[1,1].Yu2]*alpha1*alpha2*Doub1*Doub2*
         z2
          + 49501/57600*MatrixProduct[d[1,1].Yu2]*alpha1^2
          + 41/100*MatrixProduct[d[1,1].Yu2]*alpha1^2*z3
          - 63/640*MatrixProduct[d[1,1].Yu2]*alpha1^2*z2
          - 2119/480*MatrixProduct[d[1,1].Yu2]*alpha1^2*Ng
          - 1291/1600*MatrixProduct[d[1,1].Yu2]*alpha1^2*Doub2
          + 3/200*MatrixProduct[d[1,1].Yu2]*alpha1^2*Doub2*z3
          + 63/3200*MatrixProduct[d[1,1].Yu2]*alpha1^2*Doub2*z2
          - 6853/7680*MatrixProduct[d[1,1].Yu2]*alpha1^2*Doub1
          - 39/200*MatrixProduct[d[1,1].Yu2]*alpha1^2*Doub1*z3
          + 63/640*MatrixProduct[d[1,1].Yu2]*alpha1^2*Doub1*z2
          + 339/80*MatrixProduct[d[1,1].Yu2]*alpha1^2*Doub1*Ng
          + 5659/6400*MatrixProduct[d[1,1].Yu2]*alpha1^2*Doub1*Doub2
          - 81/400*MatrixProduct[d[1,1].Yu2]*alpha1^2*Doub1*Doub2*z3
          - 63/3200*MatrixProduct[d[1,1].Yu2]*alpha1^2*Doub1*Doub2*z2
          - 6*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*lam[1,2,2,1]
          + 6*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*alpha3
          + 12*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*alpha3*z3
          + 549/32*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*alpha2
          - 315/32*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*alpha2*Doub2
          - 351/16*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*alpha2*Doub1
          + 315/32*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2
          - 691/40*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*alpha1
          + 12/5*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*alpha1*z3
          + 63/32*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*alpha1*Doub2
          + 2859/160*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*alpha1*Doub1
          - 27/10*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*alpha1*Doub1*z3
          - 63/32*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]^2
          - 27/8*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*Tr[d[1,1]]
          - 9/8*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1]]*Tr[l[1,1]]
          + 9/2*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1].u[1,1]]
          + 15/2*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1].u[2,2]]
          - 9*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1].u[2,2]]*z3
          + 3/2*MatrixProduct[d[1,1].Yu2]*Tr[u[1,1].d[2,2]]
          - 27/16*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2]]*Tr[l[2,1]]
          - 3*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2].u[2,1]]*z3
          + 21/2*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2].d[2,1]]
          - 18*MatrixProduct[d[1,1].Yu2]*Tr[u[1,2].d[2,1]]*z3
          - 27/16*MatrixProduct[d[1,1].Yu2]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[d[1,1].Yu2]*Tr[u[2,1]]*Tr[l[1,2]]
          + 21/2*MatrixProduct[d[1,1].Yu2]*Tr[u[2,1].d[1,2]]
          - 18*MatrixProduct[d[1,1].Yu2]*Tr[u[2,1].d[1,2]]*z3
          - 3/2*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha2
          - 27/16*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha2*z2
          - 207/8*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha2*Doub2
          + 27/16*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha2*Doub2*z2
          - 45/2*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 189/40*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha1
          + 27/80*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha1*z2
          + 189/40*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha1*Doub2
          - 27/80*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha1*Doub2*z2
          + 9/2*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha1*Doub1
          - 27/80*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha1*Doub1*z2
          - 9/2*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 3/2*MatrixProduct[d[1,1].Yu2]*Tr[u[2,2].d[1,1]]
          - 6*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*lam[1,2,2,1]
          + 6*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*alpha3
          + 12*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*alpha3*z3
          + 549/32*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*alpha2
          - 315/32*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*alpha2*Doub2
          - 351/16*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*alpha2*Doub1
          + 315/32*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2
          - 643/40*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*alpha1
          + 3/2*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*alpha1*z3
          + 63/32*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*alpha1*Doub2
          + 2859/160*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*alpha1*Doub1
          - 27/10*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*alpha1*Doub1*z3
          - 63/32*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]^2
          - 9/8*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1]]*Tr[l[1,1]]
          + 9/2*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1].d[1,1]]
          + 15/2*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1].d[2,2]]
          - 9*MatrixProduct[d[1,1].Yu2]*Tr[d[1,1].d[2,2]]*z3
          - 27/16*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2]]*Tr[l[2,1]]
          - 3*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2].d[2,1]]
          + 9*MatrixProduct[d[1,1].Yu2]*Tr[d[1,2].d[2,1]]*z3
          - 9/16*MatrixProduct[d[1,1].Yu2]*Tr[d[2,1]]*Tr[l[1,2]]
          - 3/2*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha2
          - 27/16*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha2*z2
          - 207/8*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha2*Doub2
          + 27/16*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha2*Doub2*z2
          - 45/2*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 189/40*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha1
          + 27/80*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha1*z2
          + 189/40*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha1*Doub2
          - 27/80*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha1*Doub2*z2
          + 9/2*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha1*Doub1
          - 27/80*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha1*Doub1*z2
          - 9/2*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[d[1,1].Yu2]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2*z2
          - 2*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]*lam[1,2,2,1]
          + 2*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]*lam[1,1,2,2]
          + 5/12*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]*alpha3
          + 183/32*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]*alpha2
          - 105/32*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]*alpha2*Doub2
          - 117/16*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]*alpha2*Doub1
          + 105/32*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2
          - 803/120*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]*alpha1
          + 3/2*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]*alpha1*z3
          + 21/32*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]*alpha1*Doub2
          + 953/160*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]*alpha1*Doub1
          - 9/10*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]*alpha1*Doub1*z3
          - 21/32*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2
          - 3/16*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1]]^2
          + 3/2*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1].l[1,1]]
          + 5/2*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1].l[2,2]]
          - 3*MatrixProduct[d[1,1].Yu2]*Tr[l[1,1].l[2,2]]*z3
          - 3/16*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2]]*Tr[l[2,1]]
          - MatrixProduct[d[1,1].Yu2]*Tr[l[1,2].l[2,1]]
          + 3*MatrixProduct[d[1,1].Yu2]*Tr[l[1,2].l[2,1]]*z3
          - 1/2*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*lam[1,2,2,1]
          + 1/2*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha2
          - 9/16*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha2*z2
          - 69/8*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha2*Doub2
          + 9/16*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha2*Doub2*z2
          - 15/2*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha2*Doub1
          + 9/16*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha2*Doub1*z2
          + 15/2*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 63/40*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha1
          + 9/80*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha1*z2
          + 63/40*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha1*Doub2
          - 9/80*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha1*Doub2*z2
          + 3/2*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha1*Doub1
          - 9/80*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha1*Doub1*z2
          - 3/2*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha1*Doub1*Doub2
          + 9/80*MatrixProduct[d[1,1].Yu2]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 11/8*MatrixProduct[d[1,2].u[1,1].u[2,1].Yu2]
          - 17/16*MatrixProduct[d[1,2].u[1,1].d[2,1].Yu2]
          + 9/32*MatrixProduct[d[1,2].u[1,1].Yu2]*Tr[u[2,1]]
          + 9/32*MatrixProduct[d[1,2].u[1,1].Yu2]*Tr[d[2,1]]
          + 3/32*MatrixProduct[d[1,2].u[1,1].Yu2]*Tr[l[2,1]]
          + 45/32*MatrixProduct[d[1,2].u[2,1].u[1,1].Yu2]
          - 3/2*MatrixProduct[d[1,2].u[2,1].u[2,1].Yu1]
          + 3*MatrixProduct[d[1,2].u[2,1].u[2,1].Yu1]*z3
          + 1/4*MatrixProduct[d[1,2].u[2,1].d[1,1].Yu2]
          - 3/2*MatrixProduct[d[1,2].u[2,1].d[2,1].Yu1]
          + 5/16*MatrixProduct[d[1,2].u[2,1].d[2,2].Yu2]
          + 9/2*MatrixProduct[d[1,2].u[2,1].Yu1]*lam[1,1,2,1]
          - 3*MatrixProduct[d[1,2].u[2,1].Yu1]*Tr[u[2,1]]
          - 3*MatrixProduct[d[1,2].u[2,1].Yu1]*Tr[d[2,1]]
          - MatrixProduct[d[1,2].u[2,1].Yu1]*Tr[l[2,1]]
          + MatrixProduct[d[1,2].u[2,1].Yu2]*lam[1,2,2,1]
          + 7/2*MatrixProduct[d[1,2].u[2,1].Yu2]*lam[1,1,2,2]
          - 22*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha3
          - 4*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha3*z3
          + 435/64*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha2
          - 9/2*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha2*z3
          - 9/16*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha2*z2
          - 57/64*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha2*Doub2
          + 9/2*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha2*Doub2*z3
          + 9/16*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha2*Doub2*z2
          - 195/32*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha2*Doub1
          + 9/2*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha2*Doub1*z2
          + 291/64*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha2*Doub1*Doub2
          - 45/8*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha2*Doub1*Doub2*z2
          - 299/320*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha1
          - 11/10*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha1*z3
          + 191/64*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha1*Doub2
          + 3/2*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha1*Doub2*z3
          - 9/40*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha1*Doub2*z2
          - 583/160*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha1*Doub1
          + 21/10*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha1*Doub1*z3
          + 9/32*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha1*Doub1*z2
          + 39/64*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha1*Doub1*Doub2*
         z3
          - 9/160*MatrixProduct[d[1,2].u[2,1].Yu2]*alpha1*Doub1*Doub2*
         z2
          + 201/32*MatrixProduct[d[1,2].u[2,1].Yu2]*Tr[u[1,1]]
          - 87/32*MatrixProduct[d[1,2].u[2,1].Yu2]*Tr[u[2,2]]
          + 201/32*MatrixProduct[d[1,2].u[2,1].Yu2]*Tr[d[1,1]]
          - 87/32*MatrixProduct[d[1,2].u[2,1].Yu2]*Tr[d[2,2]]
          + 67/32*MatrixProduct[d[1,2].u[2,1].Yu2]*Tr[l[1,1]]
          - 29/32*MatrixProduct[d[1,2].u[2,1].Yu2]*Tr[l[2,2]]
          + 41/32*MatrixProduct[d[1,2].u[2,2].u[2,1].Yu2]
          + 3*MatrixProduct[d[1,2].u[2,2].u[2,1].Yu2]*z3
          - 21/8*MatrixProduct[d[1,2].u[2,2].d[2,1].Yu2]
          + 9/2*MatrixProduct[d[1,2].u[2,2].Yu1]*lam[2,1,2,1]
          + 9/2*MatrixProduct[d[1,2].u[2,2].Yu2]*lam[2,1,2,2]
          + 201/32*MatrixProduct[d[1,2].u[2,2].Yu2]*Tr[u[2,1]]
          + 201/32*MatrixProduct[d[1,2].u[2,2].Yu2]*Tr[d[2,1]]
          + 67/32*MatrixProduct[d[1,2].u[2,2].Yu2]*Tr[l[2,1]]
          - 7/32*MatrixProduct[d[1,2].d[1,1].u[2,1].Yu2]
          + 5/16*MatrixProduct[d[1,2].d[1,1].d[2,1].Yu2]
          - 6*MatrixProduct[d[1,2].d[1,1].Yu2]*lam[1,1,2,1]
          - 3/4*MatrixProduct[d[1,2].d[1,1].Yu2]*Tr[u[2,1]]
          - 3/4*MatrixProduct[d[1,2].d[1,1].Yu2]*Tr[d[2,1]]
          - 1/4*MatrixProduct[d[1,2].d[1,1].Yu2]*Tr[l[2,1]]
          - 6*MatrixProduct[d[1,2].d[1,2].Yu2]*lam[2,1,2,1]
          - 3/2*MatrixProduct[d[1,2].d[2,1].u[1,1].Yu2]
          - 4*MatrixProduct[d[1,2].d[2,1].u[2,1].Yu1]
          + 6*MatrixProduct[d[1,2].d[2,1].u[2,1].Yu1]*z3
          - 19/32*MatrixProduct[d[1,2].d[2,1].u[2,2].Yu2]
          + 5/2*MatrixProduct[d[1,2].d[2,1].d[1,1].Yu2]
          - 9/4*MatrixProduct[d[1,2].d[2,1].d[1,1].Yu2]*z3
          - MatrixProduct[d[1,2].d[2,1].d[2,1].Yu1]
          - 5/16*MatrixProduct[d[1,2].d[2,1].d[2,2].Yu2]
          - 3/2*MatrixProduct[d[1,2].d[2,1].Yu1]*lam[1,1,2,1]
          + 3*MatrixProduct[d[1,2].d[2,1].Yu1]*Tr[u[2,1]]
          + 3*MatrixProduct[d[1,2].d[2,1].Yu1]*Tr[d[2,1]]
          + MatrixProduct[d[1,2].d[2,1].Yu1]*Tr[l[2,1]]
          - 5/2*MatrixProduct[d[1,2].d[2,1].Yu2]*lam[1,2,2,1]
          - 5*MatrixProduct[d[1,2].d[2,1].Yu2]*lam[1,1,2,2]
          + 28/3*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha3
          + 16*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha3*z3
          - 9/4*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha2
          + 9/32*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha2*z2
          - 93/32*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha2*Doub2
          - 9/32*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha2*Doub2*z2
          + 351/32*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha2*Doub1
          - 27/4*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha2*Doub1*z3
          - 9497/960*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha1
          + 22/5*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha1*z3
          + 549/320*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha1*Doub2
          - 9/5*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha1*Doub2*z3
          + 9/40*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha1*Doub2*z2
          + 829/64*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha1*Doub1
          - 111/20*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha1*Doub1*z3
          - 9/32*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha1*Doub1*z2
          - 879/320*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha1*Doub1*Doub2
          + 9/5*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha1*Doub1*Doub2*z3
          + 9/160*MatrixProduct[d[1,2].d[2,1].Yu2]*alpha1*Doub1*Doub2*
         z2
          - 123/16*MatrixProduct[d[1,2].d[2,1].Yu2]*Tr[u[1,1]]
          + 9/4*MatrixProduct[d[1,2].d[2,1].Yu2]*Tr[u[2,2]]
          - 123/16*MatrixProduct[d[1,2].d[2,1].Yu2]*Tr[d[1,1]]
          + 9/4*MatrixProduct[d[1,2].d[2,1].Yu2]*Tr[d[2,2]]
          - 41/16*MatrixProduct[d[1,2].d[2,1].Yu2]*Tr[l[1,1]]
          + 3/4*MatrixProduct[d[1,2].d[2,1].Yu2]*Tr[l[2,2]]
          - 41/8*MatrixProduct[d[1,2].d[2,2].u[2,1].Yu2]
          + 6*MatrixProduct[d[1,2].d[2,2].u[2,1].Yu2]*z3
          + 17/8*MatrixProduct[d[1,2].d[2,2].d[2,1].Yu2]
          - 9/4*MatrixProduct[d[1,2].d[2,2].d[2,1].Yu2]*z3
          - 3/2*MatrixProduct[d[1,2].d[2,2].Yu1]*lam[2,1,2,1]
          - 15/2*MatrixProduct[d[1,2].d[2,2].Yu2]*lam[2,1,2,2]
          - 123/16*MatrixProduct[d[1,2].d[2,2].Yu2]*Tr[u[2,1]]
          - 123/16*MatrixProduct[d[1,2].d[2,2].Yu2]*Tr[d[2,1]]
          - 41/16*MatrixProduct[d[1,2].d[2,2].Yu2]*Tr[l[2,1]]
          - 3*MatrixProduct[d[1,2].Yu1]*lam[2,1,2,2]^2
          - 6*MatrixProduct[d[1,2].Yu1]*lam[2,1,2,1]*lam[1,2,2,1]
          - 3*MatrixProduct[d[1,2].Yu1]*lam[1,1,2,1]^2
          + 3*MatrixProduct[d[1,2].Yu1]*alpha2*lam[2,1,2,1]
          + 3*MatrixProduct[d[1,2].Yu1]*alpha2*lam[2,1,2,1]*Doub2
          - 9/2*MatrixProduct[d[1,2].Yu1]*alpha2*lam[2,1,2,1]*Doub2*z3
          - 9*MatrixProduct[d[1,2].Yu1]*alpha2*lam[2,1,2,1]*Doub1*z3
          - 6*MatrixProduct[d[1,2].Yu1]*alpha2*lam[2,1,2,1]*Doub1*Doub2
          + 27/2*MatrixProduct[d[1,2].Yu1]*alpha2*lam[2,1,2,1]*Doub1*Doub2*
         z3
          + 24*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1].d[2,1]]
          - 36*MatrixProduct[d[1,2].Yu1]*Tr[u[2,1].d[2,1]]*z3
          - 129/32*MatrixProduct[d[1,2].Yu2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 129/32*MatrixProduct[d[1,2].Yu2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 129/32*MatrixProduct[d[1,2].Yu2]*lam[2,1,2,1]*lam[1,2,2,2]
          - 33/32*MatrixProduct[d[1,2].Yu2]*lam[1,1,2,2]*lam[2,1,2,2]
          - 33/32*MatrixProduct[d[1,2].Yu2]*lam[1,1,2,1]*lam[1,2,2,1]
          - 129/32*MatrixProduct[d[1,2].Yu2]*lam[1,1,2,1]*lam[1,1,2,2]
          - 33/32*MatrixProduct[d[1,2].Yu2]*lam[1,1,1,2]*lam[2,1,2,1]
          - 33/32*MatrixProduct[d[1,2].Yu2]*lam[1,1,1,1]*lam[1,1,2,1]
          + 3*MatrixProduct[d[1,2].Yu2]*alpha2*lam[2,1,2,2]
          + 3/2*MatrixProduct[d[1,2].Yu2]*alpha2*lam[2,1,2,2]*Doub2
          - 9/2*MatrixProduct[d[1,2].Yu2]*alpha2*lam[2,1,2,2]*Doub1*z3
          - 9/2*MatrixProduct[d[1,2].Yu2]*alpha2*lam[2,1,2,2]*Doub1*Doub2
          + 9/2*MatrixProduct[d[1,2].Yu2]*alpha2*lam[2,1,2,2]*Doub1*Doub2*z3
          - 27/16*MatrixProduct[d[1,2].Yu2]*Tr[u[1,1]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[d[1,2].Yu2]*Tr[u[1,1]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[d[1,2].Yu2]*Tr[u[1,1]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[d[1,2].Yu2]*Tr[u[1,1].u[2,1]]
          - 3/2*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*alpha3
          + 12*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*alpha3*z3
          + 333/32*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*alpha2
          - 765/128*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*alpha2*Doub2
          - 207/128*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*alpha2*Doub1
          - 243/32*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          - 149/8*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*alpha1
          + 12/5*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*alpha1*z3
          + 7281/640*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*alpha1*Doub2
          - 27/20*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*alpha1*Doub2*z3
          + 7107/640*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*alpha1*Doub1
          - 27/20*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*alpha1*Doub1*z3
          - 261/80*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*Tr[u[2,2]]
          - 27/16*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*Tr[d[1,1]]
          - 27/16*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1].u[2,2]]
          + 12*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1].d[2,2]]
          - 18*MatrixProduct[d[1,2].Yu2]*Tr[u[2,1].d[2,2]]*z3
          - 27/16*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2]]*Tr[l[2,1]]
          + 12*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2].d[2,1]]
          - 18*MatrixProduct[d[1,2].Yu2]*Tr[u[2,2].d[2,1]]*z3
          - 27/16*MatrixProduct[d[1,2].Yu2]*Tr[d[1,1]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[d[1,2].Yu2]*Tr[d[1,1]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[d[1,2].Yu2]*Tr[d[1,1].d[2,1]]
          - 3/2*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*alpha3
          + 12*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*alpha3*z3
          + 333/32*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*alpha2
          - 765/128*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*alpha2*Doub2
          - 207/128*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*alpha2*Doub1
          - 243/32*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          - 697/40*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*alpha1
          + 3/2*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*alpha1*z3
          + 7281/640*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*alpha1*Doub2
          - 27/20*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*alpha1*Doub2*z3
          + 7107/640*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*alpha1*Doub1
          - 27/20*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*alpha1*Doub1*z3
          - 261/80*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[1,2].Yu2]*Tr[d[2,1].d[2,2]]
          - 9/16*MatrixProduct[d[1,2].Yu2]*Tr[d[2,2]]*Tr[l[2,1]]
          - 3/16*MatrixProduct[d[1,2].Yu2]*Tr[l[1,1]]*Tr[l[2,1]]
          + 3/2*MatrixProduct[d[1,2].Yu2]*Tr[l[1,1].l[2,1]]
          - 1/2*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*lam[1,2,2,1]
          + 1/2*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*lam[1,1,2,2]
          + 5/12*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*alpha3
          + 111/32*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*alpha2
          - 255/128*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*alpha2*Doub2
          - 69/128*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*alpha2*Doub1
          - 81/32*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          - 857/120*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*alpha1
          + 3/2*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*alpha1*z3
          + 2427/640*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*alpha1*Doub2
          - 9/20*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*alpha1*Doub2*z3
          + 2369/640*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*alpha1*Doub1
          - 9/20*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*alpha1*Doub1*z3
          - 87/80*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          - 3/16*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1]]*Tr[l[2,2]]
          + 3/2*MatrixProduct[d[1,2].Yu2]*Tr[l[2,1].l[2,2]]
          + 21/16*MatrixProduct[d[2,1].u[1,1].u[1,1].Yu1]
          - 3*MatrixProduct[d[2,1].u[1,1].u[1,1].Yu1]*z3
          - 7/32*MatrixProduct[d[2,1].u[1,1].u[1,2].Yu2]
          + 3/4*MatrixProduct[d[2,1].u[1,1].u[2,2].Yu1]
          - 7/16*MatrixProduct[d[2,1].u[1,1].d[1,2].Yu2]
          - 19/16*MatrixProduct[d[2,1].u[1,1].d[2,2].Yu1]
          + 13/4*MatrixProduct[d[2,1].u[1,1].Yu1]*lam[1,2,2,1]
          - 7/4*MatrixProduct[d[2,1].u[1,1].Yu1]*lam[1,1,2,2]
          - 9/2*MatrixProduct[d[2,1].u[1,1].Yu1]*lam[1,1,1,1]
          + 23*MatrixProduct[d[2,1].u[1,1].Yu1]*alpha3
          + 8*MatrixProduct[d[2,1].u[1,1].Yu1]*alpha3*z3
          - 675/64*MatrixProduct[d[2,1].u[1,1].Yu1]*alpha2
          + 27/4*MatrixProduct[d[2,1].u[1,1].Yu1]*alpha2*z3
          + 21/16*MatrixProduct[d[2,1].u[1,1].Yu1]*alpha2*Doub2
          + 393/32*MatrixProduct[d[2,1].u[1,1].Yu1]*alpha2*Doub1
          - 27/4*MatrixProduct[d[2,1].u[1,1].Yu1]*alpha2*Doub1*z3
          - 21/16*MatrixProduct[d[2,1].u[1,1].Yu1]*alpha2*Doub1*Doub2
          + 957/320*MatrixProduct[d[2,1].u[1,1].Yu1]*alpha1
          + 53/20*MatrixProduct[d[2,1].u[1,1].Yu1]*alpha1*z3
          - 39/80*MatrixProduct[d[2,1].u[1,1].Yu1]*alpha1*Doub2
          - 319/160*MatrixProduct[d[2,1].u[1,1].Yu1]*alpha1*Doub1
          - 81/20*MatrixProduct[d[2,1].u[1,1].Yu1]*alpha1*Doub1*z3
          + 39/80*MatrixProduct[d[2,1].u[1,1].Yu1]*alpha1*Doub1*Doub2
          - 51/16*MatrixProduct[d[2,1].u[1,1].Yu1]*Tr[u[1,1]]
          - 51/16*MatrixProduct[d[2,1].u[1,1].Yu1]*Tr[d[1,1]]
          - 17/16*MatrixProduct[d[2,1].u[1,1].Yu1]*Tr[l[1,1]]
          + 3/2*MatrixProduct[d[2,1].u[1,1].Yu2]*lam[1,2,2,2]
          - 9/2*MatrixProduct[d[2,1].u[1,1].Yu2]*lam[1,1,1,2]
          + 57/32*MatrixProduct[d[2,1].u[1,1].Yu2]*Tr[u[1,2]]
          + 57/32*MatrixProduct[d[2,1].u[1,1].Yu2]*Tr[d[1,2]]
          + 19/32*MatrixProduct[d[2,1].u[1,1].Yu2]*Tr[l[1,2]]
          + 3/2*MatrixProduct[d[2,1].u[1,2].u[1,1].Yu2]
          - 3*MatrixProduct[d[2,1].u[1,2].u[1,1].Yu2]*z3
          + 1/16*MatrixProduct[d[2,1].u[1,2].u[2,1].Yu1]
          - 19/32*MatrixProduct[d[2,1].u[1,2].u[2,2].Yu2]
          + 21/16*MatrixProduct[d[2,1].u[1,2].d[1,1].Yu2]
          - 3/2*MatrixProduct[d[2,1].u[1,2].d[2,1].Yu1]
          - 3/4*MatrixProduct[d[2,1].u[1,2].d[2,2].Yu2]
          + 3/2*MatrixProduct[d[2,1].u[1,2].Yu1]*lam[2,1,2,2]
          - 9/2*MatrixProduct[d[2,1].u[1,2].Yu1]*lam[1,1,2,1]
          - 75/16*MatrixProduct[d[2,1].u[1,2].Yu1]*Tr[u[2,1]]
          - 75/16*MatrixProduct[d[2,1].u[1,2].Yu1]*Tr[d[2,1]]
          - 25/16*MatrixProduct[d[2,1].u[1,2].Yu1]*Tr[l[2,1]]
          + 1/2*MatrixProduct[d[2,1].u[1,2].Yu2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,1].u[1,2].Yu2]*lam[2,2,2,2]
          - 5*MatrixProduct[d[2,1].u[1,2].Yu2]*lam[1,1,2,2]
          + 70/3*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha3
          - 4*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha3*z3
          + 291/64*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha2
          - 9/16*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha2*z2
          - 273/64*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha2*Doub2
          + 9/16*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha2*Doub2*z2
          - 63/32*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha2*Doub1
          + 9/32*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha2*Doub1*z2
          + 195/64*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha2*Doub1*Doub2
          - 9/8*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha2*Doub1*Doub2*z2
          - 593/960*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha1
          + 11/5*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha1*z3
          - 547/320*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha1*Doub2
          - 9/5*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha1*Doub2*z3
          + 9/40*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha1*Doub2*z2
          + 207/160*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha1*Doub1
          + 27/20*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha1*Doub1*z3
          - 9/32*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha1*Doub1*z2
          + 261/320*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha1*Doub1*Doub2*z3
          + 9/160*MatrixProduct[d[2,1].u[1,2].Yu2]*alpha1*Doub1*Doub2*
         z2
          + 9/32*MatrixProduct[d[2,1].u[1,2].Yu2]*Tr[u[1,1]]
          + 9/32*MatrixProduct[d[2,1].u[1,2].Yu2]*Tr[u[2,2]]
          + 9/32*MatrixProduct[d[2,1].u[1,2].Yu2]*Tr[d[1,1]]
          + 9/32*MatrixProduct[d[2,1].u[1,2].Yu2]*Tr[d[2,2]]
          + 3/32*MatrixProduct[d[2,1].u[1,2].Yu2]*Tr[l[1,1]]
          + 3/32*MatrixProduct[d[2,1].u[1,2].Yu2]*Tr[l[2,2]]
          + 33/16*MatrixProduct[d[2,1].u[2,1].u[1,2].Yu1]
          - MatrixProduct[d[2,1].u[2,1].d[1,2].Yu1]
          - 3/2*MatrixProduct[d[2,1].u[2,1].Yu1]*lam[1,1,1,2]
          + 21/16*MatrixProduct[d[2,1].u[2,1].Yu1]*Tr[u[1,2]]
          + 21/16*MatrixProduct[d[2,1].u[2,1].Yu1]*Tr[d[1,2]]
          + 7/16*MatrixProduct[d[2,1].u[2,1].Yu1]*Tr[l[1,2]]
          - 3/2*MatrixProduct[d[2,1].u[2,1].Yu2]*lam[1,2,1,2]
          - 1/4*MatrixProduct[d[2,1].u[2,2].u[1,1].Yu1]
          + 3/8*MatrixProduct[d[2,1].u[2,2].u[1,2].Yu2]
          + 45/16*MatrixProduct[d[2,1].u[2,2].u[2,2].Yu1]
          + 1/2*MatrixProduct[d[2,1].u[2,2].d[1,1].Yu1]
          + 1/8*MatrixProduct[d[2,1].u[2,2].d[1,2].Yu2]
          - 27/16*MatrixProduct[d[2,1].u[2,2].d[2,2].Yu1]
          - 9/4*MatrixProduct[d[2,1].u[2,2].Yu1]*lam[1,2,2,1]
          + 3/4*MatrixProduct[d[2,1].u[2,2].Yu1]*lam[1,1,2,2]
          - 67/3*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha3
          + 8*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha3*z3
          - 531/64*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha2
          + 9/4*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha2*z3
          + 327/32*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha2*Doub2
          - 9/2*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha2*Doub2*z3
          + 39/4*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha2*Doub1
          - 9/4*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha2*Doub1*z3
          - 111/16*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha2*Doub1*Doub2
          + 9/2*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha2*Doub1*Doub2*z3
          + 2567/960*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha1
          - 13/20*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha1*z3
          - 533/160*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha1*Doub2
          + 3/5*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha1*Doub2*z3
          + 17/8*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha1*Doub1
          - 21/20*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha1*Doub1*z3
          - 99/80*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha1*Doub1*Doub2
          + 9/10*MatrixProduct[d[2,1].u[2,2].Yu1]*alpha1*Doub1*Doub2*z3
          - 3/2*MatrixProduct[d[2,1].u[2,2].Yu1]*Tr[u[1,1]]
          + 21/16*MatrixProduct[d[2,1].u[2,2].Yu1]*Tr[u[2,2]]
          - 3/2*MatrixProduct[d[2,1].u[2,2].Yu1]*Tr[d[1,1]]
          + 21/16*MatrixProduct[d[2,1].u[2,2].Yu1]*Tr[d[2,2]]
          - 1/2*MatrixProduct[d[2,1].u[2,2].Yu1]*Tr[l[1,1]]
          + 7/16*MatrixProduct[d[2,1].u[2,2].Yu1]*Tr[l[2,2]]
          - 3/2*MatrixProduct[d[2,1].u[2,2].Yu2]*lam[1,2,2,2]
          - 39/32*MatrixProduct[d[2,1].u[2,2].Yu2]*Tr[u[1,2]]
          - 39/32*MatrixProduct[d[2,1].u[2,2].Yu2]*Tr[d[1,2]]
          - 13/32*MatrixProduct[d[2,1].u[2,2].Yu2]*Tr[l[1,2]]
          - 1/8*MatrixProduct[d[2,1].d[1,1].u[1,2].Yu2]
          + 6*MatrixProduct[d[2,1].d[1,1].u[2,2].Yu1]*z3
          - 11/16*MatrixProduct[d[2,1].d[1,1].d[1,1].Yu1]
          - 35/16*MatrixProduct[d[2,1].d[1,1].d[1,2].Yu2]
          + 3/4*MatrixProduct[d[2,1].d[1,1].d[1,2].Yu2]*z3
          + 33/16*MatrixProduct[d[2,1].d[1,1].d[2,2].Yu1]
          - 3*MatrixProduct[d[2,1].d[1,1].d[2,2].Yu1]*z3
          - 9/4*MatrixProduct[d[2,1].d[1,1].Yu1]*lam[1,2,2,1]
          - 9/4*MatrixProduct[d[2,1].d[1,1].Yu1]*lam[1,1,2,2]
          - 7/3*MatrixProduct[d[2,1].d[1,1].Yu1]*alpha3
          + 24*MatrixProduct[d[2,1].d[1,1].Yu1]*alpha3*z3
          - 771/64*MatrixProduct[d[2,1].d[1,1].Yu1]*alpha2
          + 9/4*MatrixProduct[d[2,1].d[1,1].Yu1]*alpha2*z3
          + 33/16*MatrixProduct[d[2,1].d[1,1].Yu1]*alpha2*Doub2
          + 489/32*MatrixProduct[d[2,1].d[1,1].Yu1]*alpha2*Doub1
          - 27/4*MatrixProduct[d[2,1].d[1,1].Yu1]*alpha2*Doub1*z3
          - 33/16*MatrixProduct[d[2,1].d[1,1].Yu1]*alpha2*Doub1*Doub2
          - 605/192*MatrixProduct[d[2,1].d[1,1].Yu1]*alpha1
          - 39/20*MatrixProduct[d[2,1].d[1,1].Yu1]*alpha1*z3
          + 9/16*MatrixProduct[d[2,1].d[1,1].Yu1]*alpha1*Doub2
          + 731/160*MatrixProduct[d[2,1].d[1,1].Yu1]*alpha1*Doub1
          + 9/20*MatrixProduct[d[2,1].d[1,1].Yu1]*alpha1*Doub1*z3
          - 9/16*MatrixProduct[d[2,1].d[1,1].Yu1]*alpha1*Doub1*Doub2
          - 51/16*MatrixProduct[d[2,1].d[1,1].Yu1]*Tr[u[1,1]]
          - 51/16*MatrixProduct[d[2,1].d[1,1].Yu1]*Tr[d[1,1]]
          - 17/16*MatrixProduct[d[2,1].d[1,1].Yu1]*Tr[l[1,1]]
          + 3*MatrixProduct[d[2,1].d[1,1].Yu2]*lam[1,2,2,2]
          + 3/2*MatrixProduct[d[2,1].d[1,1].Yu2]*lam[1,1,1,2]
          + 123/16*MatrixProduct[d[2,1].d[1,1].Yu2]*Tr[u[1,2]]
          + 123/16*MatrixProduct[d[2,1].d[1,1].Yu2]*Tr[d[1,2]]
          + 41/16*MatrixProduct[d[2,1].d[1,1].Yu2]*Tr[l[1,2]]
          + 5/32*MatrixProduct[d[2,1].d[1,2].u[1,1].Yu2]
          - 3/2*MatrixProduct[d[2,1].d[1,2].u[2,1].Yu1]
          - 5/4*MatrixProduct[d[2,1].d[1,2].u[2,2].Yu2]
          + 6*MatrixProduct[d[2,1].d[1,2].u[2,2].Yu2]*z3
          + 15/16*MatrixProduct[d[2,1].d[1,2].d[1,1].Yu2]
          - 7/16*MatrixProduct[d[2,1].d[1,2].d[2,1].Yu1]
          + 3/4*MatrixProduct[d[2,1].d[1,2].d[2,2].Yu2]
          - 9/4*MatrixProduct[d[2,1].d[1,2].d[2,2].Yu2]*z3
          - 9/2*MatrixProduct[d[2,1].d[1,2].Yu1]*lam[2,1,2,2]
          - 3/16*MatrixProduct[d[2,1].d[1,2].Yu1]*Tr[u[2,1]]
          - 3/16*MatrixProduct[d[2,1].d[1,2].Yu1]*Tr[d[2,1]]
          - 1/16*MatrixProduct[d[2,1].d[1,2].Yu1]*Tr[l[2,1]]
          - MatrixProduct[d[2,1].d[1,2].Yu2]*lam[1,2,2,1]
          + 3*MatrixProduct[d[2,1].d[1,2].Yu2]*lam[2,2,2,2]
          + 5/2*MatrixProduct[d[2,1].d[1,2].Yu2]*lam[1,1,2,2]
          - 14*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha3
          + 16*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha3*z3
          - 69/32*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha2
          - 9/2*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha2*z3
          + 9/32*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha2*z2
          - 201/64*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha2*Doub2
          + 9/2*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha2*Doub2*z3
          - 9/32*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha2*Doub2*z2
          + 27/32*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha2*Doub1
          - 9/32*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha2*Doub1*z2
          + 207/64*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha2*Doub1*Doub2
          - 9/4*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha2*Doub1*Doub2*z3
          + 9/32*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha2*Doub1*Doub2*z2
          - 2077/320*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha1
          - 13/10*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha1*z3
          + 123/20*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha1*Doub2
          + 9/10*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha1*Doub2*z3
          - 9/40*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha1*Doub2*z2
          - 193/160*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha1*Doub1
          + 9/10*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha1*Doub1*z3
          + 9/32*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha1*Doub1*z2
          + 537/320*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha1*Doub1*Doub2*
         z3
          - 9/160*MatrixProduct[d[2,1].d[1,2].Yu2]*alpha1*Doub1*Doub2*
         z2
          - 21/4*MatrixProduct[d[2,1].d[1,2].Yu2]*Tr[u[1,1]]
          + 99/16*MatrixProduct[d[2,1].d[1,2].Yu2]*Tr[u[2,2]]
          - 21/4*MatrixProduct[d[2,1].d[1,2].Yu2]*Tr[d[1,1]]
          + 99/16*MatrixProduct[d[2,1].d[1,2].Yu2]*Tr[d[2,2]]
          - 7/4*MatrixProduct[d[2,1].d[1,2].Yu2]*Tr[l[1,1]]
          + 33/16*MatrixProduct[d[2,1].d[1,2].Yu2]*Tr[l[2,2]]
          - 5*MatrixProduct[d[2,1].d[2,1].u[1,2].Yu1]
          + 25/16*MatrixProduct[d[2,1].d[2,1].d[1,2].Yu1]
          - 15/2*MatrixProduct[d[2,1].d[2,1].Yu1]*lam[1,2,2,2]
          - 9/2*MatrixProduct[d[2,1].d[2,1].Yu1]*lam[1,1,1,2]
          - 297/16*MatrixProduct[d[2,1].d[2,1].Yu1]*Tr[u[1,2]]
          - 297/16*MatrixProduct[d[2,1].d[2,1].Yu1]*Tr[d[1,2]]
          - 99/16*MatrixProduct[d[2,1].d[2,1].Yu1]*Tr[l[1,2]]
          - 3*MatrixProduct[d[2,1].d[2,1].Yu2]*lam[1,2,1,2]
          + 3/4*MatrixProduct[d[2,1].d[2,2].u[1,1].Yu1]
          - 87/32*MatrixProduct[d[2,1].d[2,2].u[1,2].Yu2]
          - 7/4*MatrixProduct[d[2,1].d[2,2].u[2,2].Yu1]
          - 3/2*MatrixProduct[d[2,1].d[2,2].d[1,1].Yu1]
          - 3*MatrixProduct[d[2,1].d[2,2].d[1,2].Yu2]
          + 3*MatrixProduct[d[2,1].d[2,2].d[1,2].Yu2]*z3
          + 27/8*MatrixProduct[d[2,1].d[2,2].d[2,2].Yu1]
          - 3*MatrixProduct[d[2,1].d[2,2].d[2,2].Yu1]*z3
          + 3/4*MatrixProduct[d[2,1].d[2,2].Yu1]*lam[1,2,2,1]
          - 15/2*MatrixProduct[d[2,1].d[2,2].Yu1]*lam[2,2,2,2]
          - 21/4*MatrixProduct[d[2,1].d[2,2].Yu1]*lam[1,1,2,2]
          + 21*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha3
          + 24*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha3*z3
          - 777/64*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha2
          + 27/4*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha2*z3
          + 867/32*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha2*Doub2
          - 18*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha2*Doub2*z3
          + 15/4*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha2*Doub1
          - 27/4*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha2*Doub1*z3
          - 135/16*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha2*Doub1*Doub2
          + 9*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha2*Doub1*Doub2*z3
          - 2097/320*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha1
          + 15/4*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha1*z3
          + 1789/160*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha1*Doub2
          - 6*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha1*Doub2*z3
          + 21/40*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha1*Doub1
          - 27/20*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha1*Doub1*z3
          - 147/80*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha1*Doub1*Doub2
          + 9/5*MatrixProduct[d[2,1].d[2,2].Yu1]*alpha1*Doub1*Doub2*z3
          + 9/2*MatrixProduct[d[2,1].d[2,2].Yu1]*Tr[u[1,1]]
          - 225/16*MatrixProduct[d[2,1].d[2,2].Yu1]*Tr[u[2,2]]
          + 9/2*MatrixProduct[d[2,1].d[2,2].Yu1]*Tr[d[1,1]]
          - 225/16*MatrixProduct[d[2,1].d[2,2].Yu1]*Tr[d[2,2]]
          + 3/2*MatrixProduct[d[2,1].d[2,2].Yu1]*Tr[l[1,1]]
          - 75/16*MatrixProduct[d[2,1].d[2,2].Yu1]*Tr[l[2,2]]
          - 3*MatrixProduct[d[2,1].d[2,2].Yu2]*lam[1,2,2,2]
          - 3/4*MatrixProduct[d[2,1].d[2,2].Yu2]*Tr[u[1,2]]
          - 3/4*MatrixProduct[d[2,1].d[2,2].Yu2]*Tr[d[1,2]]
          - 1/4*MatrixProduct[d[2,1].d[2,2].Yu2]*Tr[l[1,2]]
          + 11/4*MatrixProduct[d[2,1].Yu1]*lam[1,2,2,1]^2
          + 39/8*MatrixProduct[d[2,1].Yu1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 39/8*MatrixProduct[d[2,1].Yu1]*lam[1,2,1,2]*lam[2,1,2,1]
          + 17/4*MatrixProduct[d[2,1].Yu1]*lam[1,1,2,2]*lam[1,2,2,1]
          - 9/2*MatrixProduct[d[2,1].Yu1]*lam[1,1,2,2]*lam[2,2,2,2]
          + 5/4*MatrixProduct[d[2,1].Yu1]*lam[1,1,2,2]^2
          - 9/2*MatrixProduct[d[2,1].Yu1]*lam[1,1,2,1]*lam[1,2,2,2]
          - 9/2*MatrixProduct[d[2,1].Yu1]*lam[1,1,1,2]*lam[2,1,2,2]
          + 93/8*MatrixProduct[d[2,1].Yu1]*lam[1,1,1,2]*lam[1,1,2,1]
          - 9/2*MatrixProduct[d[2,1].Yu1]*lam[1,1,1,1]*lam[1,1,2,2]
          + 27/8*MatrixProduct[d[2,1].Yu1]*lam[1,1,1,1]^2
          + 4/3*MatrixProduct[d[2,1].Yu1]*alpha3*lam[1,2,2,1]
          - 4/3*MatrixProduct[d[2,1].Yu1]*alpha3*lam[1,1,2,2]
          - 2689/9*MatrixProduct[d[2,1].Yu1]*alpha3^2
          + 120*MatrixProduct[d[2,1].Yu1]*alpha3^2*z3
          + 52/3*MatrixProduct[d[2,1].Yu1]*alpha3^2*Ng
          + 9/8*MatrixProduct[d[2,1].Yu1]*alpha2*lam[1,2,2,1]
          - 33/8*MatrixProduct[d[2,1].Yu1]*alpha2*lam[1,2,2,1]*Doub2
          - 9/2*MatrixProduct[d[2,1].Yu1]*alpha2*lam[1,2,2,1]*Doub2*z3
          - 9/8*MatrixProduct[d[2,1].Yu1]*alpha2*lam[1,2,2,1]*Doub1
          - 3/2*MatrixProduct[d[2,1].Yu1]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 9/2*MatrixProduct[d[2,1].Yu1]*alpha2*lam[1,2,2,1]*Doub1*Doub2*z3
          + 15/8*MatrixProduct[d[2,1].Yu1]*alpha2*lam[1,1,2,2]
          + 15/8*MatrixProduct[d[2,1].Yu1]*alpha2*lam[1,1,2,2]*Doub2
          + 15/8*MatrixProduct[d[2,1].Yu1]*alpha2*lam[1,1,2,2]*Doub1
          + 147/4*MatrixProduct[d[2,1].Yu1]*alpha2*alpha3
          - 84*MatrixProduct[d[2,1].Yu1]*alpha2*alpha3*z3
          + 13*MatrixProduct[d[2,1].Yu1]*alpha2*alpha3*Doub1
          - 24*MatrixProduct[d[2,1].Yu1]*alpha2*alpha3*Doub1*z3
          + 3015/128*MatrixProduct[d[2,1].Yu1]*alpha2^2
          - 27/2*MatrixProduct[d[2,1].Yu1]*alpha2^2*z3
          - 21/8*MatrixProduct[d[2,1].Yu1]*alpha2^2*Ng
          - 207/64*MatrixProduct[d[2,1].Yu1]*alpha2^2*Doub2
          + 9/2*MatrixProduct[d[2,1].Yu1]*alpha2^2*Doub2*z3
          - 4413/128*MatrixProduct[d[2,1].Yu1]*alpha2^2*Doub1
          + 135/4*MatrixProduct[d[2,1].Yu1]*alpha2^2*Doub1*z3
          + 51/8*MatrixProduct[d[2,1].Yu1]*alpha2^2*Doub1*Ng
          + 189/64*MatrixProduct[d[2,1].Yu1]*alpha2^2*Doub1*Doub2
          - 9/4*MatrixProduct[d[2,1].Yu1]*alpha2^2*Doub1*Doub2*z3
          - 121/120*MatrixProduct[d[2,1].Yu1]*alpha1*lam[1,2,2,1]
          - 3/8*MatrixProduct[d[2,1].Yu1]*alpha1*lam[1,2,2,1]*Doub2
          + 9/40*MatrixProduct[d[2,1].Yu1]*alpha1*lam[1,2,2,1]*Doub1
          + 121/120*MatrixProduct[d[2,1].Yu1]*alpha1*lam[1,1,2,2]
          + 3/8*MatrixProduct[d[2,1].Yu1]*alpha1*lam[1,1,2,2]*Doub2
          - 9/40*MatrixProduct[d[2,1].Yu1]*alpha1*lam[1,1,2,2]*Doub1
          + 31/180*MatrixProduct[d[2,1].Yu1]*alpha1*alpha3
          - 4*MatrixProduct[d[2,1].Yu1]*alpha1*alpha3*z3
          + 61/15*MatrixProduct[d[2,1].Yu1]*alpha1*alpha3*Doub1
          - 8*MatrixProduct[d[2,1].Yu1]*alpha1*alpha3*Doub1*z3
          + 159/320*MatrixProduct[d[2,1].Yu1]*alpha1*alpha2
          + 6/5*MatrixProduct[d[2,1].Yu1]*alpha1*alpha2*z3
          - 21/20*MatrixProduct[d[2,1].Yu1]*alpha1*alpha2*Doub2
          + 9/20*MatrixProduct[d[2,1].Yu1]*alpha1*alpha2*Doub2*z3
          + 103/320*MatrixProduct[d[2,1].Yu1]*alpha1*alpha2*Doub1
          - 6/5*MatrixProduct[d[2,1].Yu1]*alpha1*alpha2*Doub1*z3
          - 3/2*MatrixProduct[d[2,1].Yu1]*alpha1*alpha2*Doub1*Doub2
          + 9/20*MatrixProduct[d[2,1].Yu1]*alpha1*alpha2*Doub1*Doub2*z3
          + 1159/28800*MatrixProduct[d[2,1].Yu1]*alpha1^2
          - 8/25*MatrixProduct[d[2,1].Yu1]*alpha1^2*z3
          - 67/120*MatrixProduct[d[2,1].Yu1]*alpha1^2*Ng
          - 69/320*MatrixProduct[d[2,1].Yu1]*alpha1^2*Doub2
          + 6/25*MatrixProduct[d[2,1].Yu1]*alpha1^2*Doub2*z3
          - 2611/9600*MatrixProduct[d[2,1].Yu1]*alpha1^2*Doub1
          + 13/20*MatrixProduct[d[2,1].Yu1]*alpha1^2*Doub1*z3
          + 43/40*MatrixProduct[d[2,1].Yu1]*alpha1^2*Doub1*Ng
          + 399/1600*MatrixProduct[d[2,1].Yu1]*alpha1^2*Doub1*Doub2
          - 9/100*MatrixProduct[d[2,1].Yu1]*alpha1^2*Doub1*Doub2*z3
          + 3*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*lam[1,2,2,1]
          - 3*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*lam[1,1,2,2]
          + 39*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*alpha3
          - 48*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*alpha3*z3
          - 1071/32*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*alpha2
          + 135/4*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*alpha2*z3
          + 477/16*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*alpha2*Doub1
          - 81/4*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*alpha2*Doub1*z3
          + 1353/160*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*alpha1
          - 111/20*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*alpha1*z3
          - 399/80*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*alpha1*Doub1
          + 81/20*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*alpha1*Doub1*z3
          + 9*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]^2
          + 18*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*Tr[d[1,1]]
          + 6*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1]]*Tr[l[1,1]]
          - 225/16*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1].u[1,1]]
          - 171/16*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1].u[2,2]]*z3
          - 15/8*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1].d[1,1]]
          + 117/16*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1].d[2,2]]
          - 18*MatrixProduct[d[2,1].Yu1]*Tr[u[1,1].d[2,2]]*z3
          + 9*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*Tr[u[2,1]]
          + 9*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*Tr[d[2,1]]
          + 3*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2]]*Tr[l[2,1]]
          - 27/8*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2].u[2,1]]
          - 9*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2].u[2,1]]*z3
          + 15/4*MatrixProduct[d[2,1].Yu1]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[d[2,1].Yu1]*Tr[u[2,1]]*Tr[d[1,2]]
          + 3*MatrixProduct[d[2,1].Yu1]*Tr[u[2,1]]*Tr[l[1,2]]
          + 15/4*MatrixProduct[d[2,1].Yu1]*Tr[u[2,1].d[1,2]]
          + 9/2*MatrixProduct[d[2,1].Yu1]*Tr[u[2,2]]*lam[1,2,2,1]
          - 9/2*MatrixProduct[d[2,1].Yu1]*Tr[u[2,2]]*lam[1,1,2,2]
          - 27/4*MatrixProduct[d[2,1].Yu1]*Tr[u[2,2]]*alpha2
          + 27/4*MatrixProduct[d[2,1].Yu1]*Tr[u[2,2]]*alpha2*Doub2
          - 27/20*MatrixProduct[d[2,1].Yu1]*Tr[u[2,2]]*alpha1
          + 27/20*MatrixProduct[d[2,1].Yu1]*Tr[u[2,2]]*alpha1*Doub2
          + 117/16*MatrixProduct[d[2,1].Yu1]*Tr[u[2,2].d[1,1]]
          - 18*MatrixProduct[d[2,1].Yu1]*Tr[u[2,2].d[1,1]]*z3
          + 3*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*lam[1,2,2,1]
          - 3*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*lam[1,1,2,2]
          + 39*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*alpha3
          - 48*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*alpha3*z3
          - 1071/32*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*alpha2
          + 135/4*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*alpha2*z3
          + 477/16*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*alpha2*Doub1
          - 81/4*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*alpha2*Doub1*z3
          + 741/160*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*alpha1
          - 39/20*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*alpha1*z3
          - 399/80*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*alpha1*Doub1
          + 81/20*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*alpha1*Doub1*z3
          + 9*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]^2
          + 6*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1]]*Tr[l[1,1]]
          - 225/16*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1].d[1,1]]
          - 171/16*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[d[2,1].Yu1]*Tr[d[1,1].d[2,2]]*z3
          + 9*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*Tr[d[2,1]]
          + 3*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2]]*Tr[l[2,1]]
          - 27/8*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2].d[2,1]]
          - 9*MatrixProduct[d[2,1].Yu1]*Tr[d[1,2].d[2,1]]*z3
          + 3*MatrixProduct[d[2,1].Yu1]*Tr[d[2,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[d[2,1].Yu1]*Tr[d[2,2]]*lam[1,2,2,1]
          - 9/2*MatrixProduct[d[2,1].Yu1]*Tr[d[2,2]]*lam[1,1,2,2]
          - 27/4*MatrixProduct[d[2,1].Yu1]*Tr[d[2,2]]*alpha2
          + 27/4*MatrixProduct[d[2,1].Yu1]*Tr[d[2,2]]*alpha2*Doub2
          - 27/20*MatrixProduct[d[2,1].Yu1]*Tr[d[2,2]]*alpha1
          + 27/20*MatrixProduct[d[2,1].Yu1]*Tr[d[2,2]]*alpha1*Doub2
          + MatrixProduct[d[2,1].Yu1]*Tr[l[1,1]]*lam[1,2,2,1]
          - MatrixProduct[d[2,1].Yu1]*Tr[l[1,1]]*lam[1,1,2,2]
          - 4*MatrixProduct[d[2,1].Yu1]*Tr[l[1,1]]*alpha3
          - 357/32*MatrixProduct[d[2,1].Yu1]*Tr[l[1,1]]*alpha2
          + 45/4*MatrixProduct[d[2,1].Yu1]*Tr[l[1,1]]*alpha2*z3
          + 159/16*MatrixProduct[d[2,1].Yu1]*Tr[l[1,1]]*alpha2*Doub1
          - 27/4*MatrixProduct[d[2,1].Yu1]*Tr[l[1,1]]*alpha2*Doub1*z3
          + 927/160*MatrixProduct[d[2,1].Yu1]*Tr[l[1,1]]*alpha1
          - 93/20*MatrixProduct[d[2,1].Yu1]*Tr[l[1,1]]*alpha1*z3
          - 133/80*MatrixProduct[d[2,1].Yu1]*Tr[l[1,1]]*alpha1*Doub1
          + 27/20*MatrixProduct[d[2,1].Yu1]*Tr[l[1,1]]*alpha1*Doub1*z3
          + MatrixProduct[d[2,1].Yu1]*Tr[l[1,1]]^2
          - 75/16*MatrixProduct[d[2,1].Yu1]*Tr[l[1,1].l[1,1]]
          - 57/16*MatrixProduct[d[2,1].Yu1]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[d[2,1].Yu1]*Tr[l[1,1].l[2,2]]*z3
          + MatrixProduct[d[2,1].Yu1]*Tr[l[1,2]]*Tr[l[2,1]]
          - 9/8*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2].l[2,1]]
          - 3*MatrixProduct[d[2,1].Yu1]*Tr[l[1,2].l[2,1]]*z3
          + 3/2*MatrixProduct[d[2,1].Yu1]*Tr[l[2,2]]*lam[1,2,2,1]
          - 3/2*MatrixProduct[d[2,1].Yu1]*Tr[l[2,2]]*lam[1,1,2,2]
          - 9/4*MatrixProduct[d[2,1].Yu1]*Tr[l[2,2]]*alpha2
          + 9/4*MatrixProduct[d[2,1].Yu1]*Tr[l[2,2]]*alpha2*Doub2
          - 9/20*MatrixProduct[d[2,1].Yu1]*Tr[l[2,2]]*alpha1
          + 9/20*MatrixProduct[d[2,1].Yu1]*Tr[l[2,2]]*alpha1*Doub2
          - 21/32*MatrixProduct[d[2,1].Yu2]*lam[1,2,2,2]*lam[1,2,2,1]
          - 21/32*MatrixProduct[d[2,1].Yu2]*lam[1,2,2,2]*lam[2,2,2,2]
          - 21/32*MatrixProduct[d[2,1].Yu2]*lam[1,2,1,2]*lam[2,1,2,2]
          + 75/32*MatrixProduct[d[2,1].Yu2]*lam[1,1,2,2]*lam[1,2,2,2]
          + 75/32*MatrixProduct[d[2,1].Yu2]*lam[1,1,2,1]*lam[1,2,1,2]
          + 75/32*MatrixProduct[d[2,1].Yu2]*lam[1,1,1,2]*lam[1,2,2,1]
          - 21/32*MatrixProduct[d[2,1].Yu2]*lam[1,1,1,2]*lam[1,1,2,2]
          + 75/32*MatrixProduct[d[2,1].Yu2]*lam[1,1,1,1]*lam[1,1,1,2]
          + 3*MatrixProduct[d[2,1].Yu2]*alpha2*lam[1,2,2,2]
          - 9*MatrixProduct[d[2,1].Yu2]*alpha2*lam[1,2,2,2]*Doub2*z3
          + 9/2*MatrixProduct[d[2,1].Yu2]*alpha2*lam[1,2,2,2]*Doub1
          - 9/2*MatrixProduct[d[2,1].Yu2]*alpha2*lam[1,2,2,2]*Doub1*z3
          - 15/2*MatrixProduct[d[2,1].Yu2]*alpha2*lam[1,2,2,2]*Doub1*Doub2
          + 27/2*MatrixProduct[d[2,1].Yu2]*alpha2*lam[1,2,2,2]*Doub1*Doub2*
         z3
          + 117/16*MatrixProduct[d[2,1].Yu2]*Tr[u[1,1]]*Tr[u[1,2]]
          + 117/16*MatrixProduct[d[2,1].Yu2]*Tr[u[1,1]]*Tr[d[1,2]]
          + 39/16*MatrixProduct[d[2,1].Yu2]*Tr[u[1,1]]*Tr[l[1,2]]
          - 153/16*MatrixProduct[d[2,1].Yu2]*Tr[u[1,1].u[1,2]]
          - 15/16*MatrixProduct[d[2,1].Yu2]*Tr[u[1,1].d[1,2]]
          - 3*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*lam[1,2,2,1]
          + 3*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*lam[1,1,2,2]
          + 97/4*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha3
          - 36*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha3*z3
          - 261/16*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha2
          + 135/4*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha2*z3
          - 981/128*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha2*Doub2
          - 81/8*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha2*Doub2*z3
          + 9/128*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1
          - 81/8*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1*z3
          + 495/32*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          - 1411/160*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha1
          - 63/20*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha1*z3
          + 4233/640*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha1*Doub2
          + 27/40*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha1*Doub2*z3
          + 2859/640*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1*z3
          + 9/5*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*alpha1*Doub1*Doub2
          + 117/16*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*Tr[u[2,2]]
          + 117/16*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*Tr[d[1,1]]
          + 117/16*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*Tr[d[2,2]]
          + 39/16*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*Tr[l[1,1]]
          + 39/16*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2]]*Tr[l[2,2]]
          - 153/16*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2].u[2,2]]
          - 15/16*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2].d[1,1]]
          + 177/16*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2].d[2,2]]
          - 18*MatrixProduct[d[2,1].Yu2]*Tr[u[1,2].d[2,2]]*z3
          + 117/16*MatrixProduct[d[2,1].Yu2]*Tr[u[2,2]]*Tr[d[1,2]]
          + 39/16*MatrixProduct[d[2,1].Yu2]*Tr[u[2,2]]*Tr[l[1,2]]
          + 177/16*MatrixProduct[d[2,1].Yu2]*Tr[u[2,2].d[1,2]]
          - 18*MatrixProduct[d[2,1].Yu2]*Tr[u[2,2].d[1,2]]*z3
          + 117/16*MatrixProduct[d[2,1].Yu2]*Tr[d[1,1]]*Tr[d[1,2]]
          + 39/16*MatrixProduct[d[2,1].Yu2]*Tr[d[1,1]]*Tr[l[1,2]]
          - 153/16*MatrixProduct[d[2,1].Yu2]*Tr[d[1,1].d[1,2]]
          - 3*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*lam[1,2,2,1]
          + 3*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*lam[1,1,2,2]
          + 97/4*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha3
          - 36*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha3*z3
          - 261/16*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha2
          + 135/4*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha2*z3
          - 981/128*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha2*Doub2
          - 81/8*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha2*Doub2*z3
          + 9/128*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1
          - 81/8*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1*z3
          + 495/32*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          - 1831/160*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha1
          - 9/20*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha1*z3
          + 4233/640*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha1*Doub2
          + 27/40*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha1*Doub2*z3
          + 2859/640*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1*z3
          + 9/5*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*alpha1*Doub1*Doub2
          + 117/16*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*Tr[d[2,2]]
          + 39/16*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*Tr[l[1,1]]
          + 39/16*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2]]*Tr[l[2,2]]
          - 153/16*MatrixProduct[d[2,1].Yu2]*Tr[d[1,2].d[2,2]]
          + 39/16*MatrixProduct[d[2,1].Yu2]*Tr[d[2,2]]*Tr[l[1,2]]
          + 13/16*MatrixProduct[d[2,1].Yu2]*Tr[l[1,1]]*Tr[l[1,2]]
          - 51/16*MatrixProduct[d[2,1].Yu2]*Tr[l[1,1].l[1,2]]
          - MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*lam[1,2,2,1]
          + MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*lam[1,1,2,2]
          - 43/12*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha3
          - 87/16*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha2
          + 45/4*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha2*z3
          - 327/128*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha2*Doub2
          - 27/8*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha2*Doub2*z3
          + 3/128*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1
          - 27/8*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1*z3
          + 165/32*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          - 431/480*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha1
          - 63/20*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha1*z3
          + 1411/640*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha1*Doub2
          + 9/40*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha1*Doub2*z3
          + 953/640*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1
          + 9/40*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1*z3
          + 3/5*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*alpha1*Doub1*Doub2
          + 13/16*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2]]*Tr[l[2,2]]
          - 51/16*MatrixProduct[d[2,1].Yu2]*Tr[l[1,2].l[2,2]]
          - 3/16*MatrixProduct[d[2,2].u[1,1].u[1,1].Yu2]
          + 3/2*MatrixProduct[d[2,2].u[1,1].u[2,1].Yu1]
          - 3*MatrixProduct[d[2,2].u[1,1].u[2,1].Yu1]*z3
          + 9/8*MatrixProduct[d[2,2].u[1,1].u[2,2].Yu2]
          - 1/4*MatrixProduct[d[2,2].u[1,1].d[1,1].Yu2]
          + 1/4*MatrixProduct[d[2,2].u[1,1].d[2,1].Yu1]
          - 7/8*MatrixProduct[d[2,2].u[1,1].d[2,2].Yu2]
          - 9/2*MatrixProduct[d[2,2].u[1,1].Yu1]*lam[1,1,2,1]
          + 3/2*MatrixProduct[d[2,2].u[1,1].Yu1]*Tr[u[2,1]]
          + 3/2*MatrixProduct[d[2,2].u[1,1].Yu1]*Tr[d[2,1]]
          + 1/2*MatrixProduct[d[2,2].u[1,1].Yu1]*Tr[l[2,1]]
          - MatrixProduct[d[2,2].u[1,1].Yu2]*lam[1,2,2,1]
          - 7/2*MatrixProduct[d[2,2].u[1,1].Yu2]*lam[1,1,2,2]
          + 5*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha3
          + 8*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha3*z3
          - 513/64*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha2
          + 27/4*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha2*z3
          - 9/64*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha2*z2
          + 21/4*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha2*Doub2
          - 27/4*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha2*Doub2*z2
          + 357/32*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha2*Doub1
          - 9*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha2*Doub1*z2
          - 213/32*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha2*Doub1*Doub2
          + 9*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha2*Doub1*Doub2*z2
          + 171/320*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha1
          + 17/20*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha1*z3
          + 9/320*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha1*z2
          + 43/10*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha1*Doub2
          - 51/20*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha1*Doub2*z2
          - 233/160*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha1*Doub1
          - 3/2*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha1*Doub1*z2
          - 351/160*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha1*Doub1*Doub2
          + 9/5*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha1*Doub1*Doub2*z3
          + 9/320*MatrixProduct[d[2,2].u[1,1].Yu2]*alpha1*Doub1*Doub2*
         z2
          - 75/16*MatrixProduct[d[2,2].u[1,1].Yu2]*Tr[u[1,1]]
          + 3/2*MatrixProduct[d[2,2].u[1,1].Yu2]*Tr[u[2,2]]
          - 75/16*MatrixProduct[d[2,2].u[1,1].Yu2]*Tr[d[1,1]]
          + 3/2*MatrixProduct[d[2,2].u[1,1].Yu2]*Tr[d[2,2]]
          - 25/16*MatrixProduct[d[2,2].u[1,1].Yu2]*Tr[l[1,1]]
          + 1/2*MatrixProduct[d[2,2].u[1,1].Yu2]*Tr[l[2,2]]
          + 25/16*MatrixProduct[d[2,2].u[1,2].u[2,1].Yu2]
          - 3*MatrixProduct[d[2,2].u[1,2].u[2,1].Yu2]*z3
          - 3/16*MatrixProduct[d[2,2].u[1,2].d[2,1].Yu2]
          - 9/2*MatrixProduct[d[2,2].u[1,2].Yu1]*lam[2,1,2,1]
          - 9/2*MatrixProduct[d[2,2].u[1,2].Yu2]*lam[2,1,2,2]
          - 141/32*MatrixProduct[d[2,2].u[1,2].Yu2]*Tr[u[2,1]]
          - 141/32*MatrixProduct[d[2,2].u[1,2].Yu2]*Tr[d[2,1]]
          - 47/32*MatrixProduct[d[2,2].u[1,2].Yu2]*Tr[l[2,1]]
          + 47/32*MatrixProduct[d[2,2].u[2,1].u[1,2].Yu2]
          + 1/4*MatrixProduct[d[2,2].u[2,1].d[1,2].Yu2]
          - 2*MatrixProduct[d[2,2].u[2,1].d[2,2].Yu1]
          + 8*MatrixProduct[d[2,2].u[2,1].Yu1]*alpha3
          - 52/5*MatrixProduct[d[2,2].u[2,1].Yu1]*alpha1
          + 9/5*MatrixProduct[d[2,2].u[2,1].Yu1]*alpha1*z3
          + 9/20*MatrixProduct[d[2,2].u[2,1].Yu1]*alpha1*z2
          + 113/10*MatrixProduct[d[2,2].u[2,1].Yu1]*alpha1*Doub2
          - 9/20*MatrixProduct[d[2,2].u[2,1].Yu1]*alpha1*Doub2*z2
          + 173/20*MatrixProduct[d[2,2].u[2,1].Yu1]*alpha1*Doub1
          - 63/20*MatrixProduct[d[2,2].u[2,1].Yu1]*alpha1*Doub1*z3
          - 9/20*MatrixProduct[d[2,2].u[2,1].Yu1]*alpha1*Doub1*z2
          - 189/20*MatrixProduct[d[2,2].u[2,1].Yu1]*alpha1*Doub1*Doub2
          + 27/20*MatrixProduct[d[2,2].u[2,1].Yu1]*alpha1*Doub1*Doub2*
         z3
          + 9/20*MatrixProduct[d[2,2].u[2,1].Yu1]*alpha1*Doub1*Doub2*z2
          + 51/32*MatrixProduct[d[2,2].u[2,1].Yu2]*Tr[u[1,2]]
          + 51/32*MatrixProduct[d[2,2].u[2,1].Yu2]*Tr[d[1,2]]
          + 17/32*MatrixProduct[d[2,2].u[2,1].Yu2]*Tr[l[1,2]]
          - 1/4*MatrixProduct[d[2,2].u[2,2].u[1,1].Yu2]
          + 83/32*MatrixProduct[d[2,2].u[2,2].u[2,2].Yu2]
          - 1/4*MatrixProduct[d[2,2].u[2,2].d[1,1].Yu2]
          + 3/4*MatrixProduct[d[2,2].u[2,2].d[2,1].Yu1]
          - 37/16*MatrixProduct[d[2,2].u[2,2].d[2,2].Yu2]
          - 3/2*MatrixProduct[d[2,2].u[2,2].Yu1]*Tr[u[2,1]]
          - 3/2*MatrixProduct[d[2,2].u[2,2].Yu1]*Tr[d[2,1]]
          - 1/2*MatrixProduct[d[2,2].u[2,2].Yu1]*Tr[l[2,1]]
          - 9*MatrixProduct[d[2,2].u[2,2].Yu2]*alpha3
          + 4*MatrixProduct[d[2,2].u[2,2].Yu2]*alpha3*z3
          - 39/32*MatrixProduct[d[2,2].u[2,2].Yu2]*alpha2
          + 9/4*MatrixProduct[d[2,2].u[2,2].Yu2]*alpha2*z3
          - 45/64*MatrixProduct[d[2,2].u[2,2].Yu2]*alpha2*z2
          + 117/16*MatrixProduct[d[2,2].u[2,2].Yu2]*alpha2*Doub2
          - 27/8*MatrixProduct[d[2,2].u[2,2].Yu2]*alpha2*Doub2*z3
          + 45/64*MatrixProduct[d[2,2].u[2,2].Yu2]*alpha2*Doub2*z2
          - 54/5*MatrixProduct[d[2,2].u[2,2].Yu2]*alpha1
          + 31/20*MatrixProduct[d[2,2].u[2,2].Yu2]*alpha1*z3
          + 153/320*MatrixProduct[d[2,2].u[2,2].Yu2]*alpha1*z2
          + 111/10*MatrixProduct[d[2,2].u[2,2].Yu2]*alpha1*Doub2
          - 9/8*MatrixProduct[d[2,2].u[2,2].Yu2]*alpha1*Doub2*z3
          - 153/320*MatrixProduct[d[2,2].u[2,2].Yu2]*alpha1*Doub2*z2
          + 3/8*MatrixProduct[d[2,2].u[2,2].Yu2]*Tr[u[2,2]]
          + 3/8*MatrixProduct[d[2,2].u[2,2].Yu2]*Tr[d[2,2]]
          + 1/8*MatrixProduct[d[2,2].u[2,2].Yu2]*Tr[l[2,2]]
          - 1/4*MatrixProduct[d[2,2].d[1,1].u[1,1].Yu2]
          - 1/2*MatrixProduct[d[2,2].d[1,1].u[2,1].Yu1]
          + 9/8*MatrixProduct[d[2,2].d[1,1].u[2,2].Yu2]
          - 3/16*MatrixProduct[d[2,2].d[1,1].d[1,1].Yu2]
          - 1/4*MatrixProduct[d[2,2].d[1,1].d[2,1].Yu1]
          - 7/8*MatrixProduct[d[2,2].d[1,1].d[2,2].Yu2]
          - 3*MatrixProduct[d[2,2].d[1,1].Yu1]*Tr[u[2,1]]
          - 3*MatrixProduct[d[2,2].d[1,1].Yu1]*Tr[d[2,1]]
          - MatrixProduct[d[2,2].d[1,1].Yu1]*Tr[l[2,1]]
          - 5/2*MatrixProduct[d[2,2].d[1,1].Yu2]*lam[1,2,2,1]
          - 7/2*MatrixProduct[d[2,2].d[1,1].Yu2]*lam[1,1,2,2]
          + 5*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha3
          + 8*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha3*z3
          - 513/64*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha2
          + 27/4*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha2*z3
          - 9/64*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha2*z2
          + 21/4*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha2*Doub2
          - 27/4*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha2*Doub2*z2
          + 357/32*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha2*Doub1
          - 9*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha2*Doub1*z2
          - 213/32*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha2*Doub1*Doub2
          + 9*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha2*Doub1*Doub2*z2
          - 1849/320*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha1
          - 13/20*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha1*z3
          - 9/320*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha1*z2
          + 59/80*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha1*Doub2
          + 39/20*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha1*Doub2*z2
          + 133/32*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha1*Doub1
          - 3/10*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha1*Doub1*z2
          + 351/160*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha1*Doub1*Doub2
          - 9/5*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha1*Doub1*Doub2*z3
          - 9/320*MatrixProduct[d[2,2].d[1,1].Yu2]*alpha1*Doub1*Doub2*
         z2
          - 75/16*MatrixProduct[d[2,2].d[1,1].Yu2]*Tr[u[1,1]]
          + 3/2*MatrixProduct[d[2,2].d[1,1].Yu2]*Tr[u[2,2]]
          - 75/16*MatrixProduct[d[2,2].d[1,1].Yu2]*Tr[d[1,1]]
          + 3/2*MatrixProduct[d[2,2].d[1,1].Yu2]*Tr[d[2,2]]
          - 25/16*MatrixProduct[d[2,2].d[1,1].Yu2]*Tr[l[1,1]]
          + 1/2*MatrixProduct[d[2,2].d[1,1].Yu2]*Tr[l[2,2]]
          - 67/32*MatrixProduct[d[2,2].d[1,2].u[2,1].Yu2]
          + 3/4*MatrixProduct[d[2,2].d[1,2].d[2,1].Yu2]
          - 6*MatrixProduct[d[2,2].d[1,2].Yu2]*lam[2,1,2,2]
          - 159/16*MatrixProduct[d[2,2].d[1,2].Yu2]*Tr[u[2,1]]
          - 159/16*MatrixProduct[d[2,2].d[1,2].Yu2]*Tr[d[2,1]]
          - 53/16*MatrixProduct[d[2,2].d[1,2].Yu2]*Tr[l[2,1]]
          + 3/4*MatrixProduct[d[2,2].d[2,1].u[1,1].Yu1]
          - 5/2*MatrixProduct[d[2,2].d[2,1].u[1,2].Yu2]
          - 15/4*MatrixProduct[d[2,2].d[2,1].u[2,2].Yu1]
          + 6*MatrixProduct[d[2,2].d[2,1].u[2,2].Yu1]*z3
          - 1/4*MatrixProduct[d[2,2].d[2,1].d[1,1].Yu1]
          + 9/16*MatrixProduct[d[2,2].d[2,1].d[1,2].Yu2]
          - 9/4*MatrixProduct[d[2,2].d[2,1].d[1,2].Yu2]*z3
          + 7/4*MatrixProduct[d[2,2].d[2,1].d[2,2].Yu1]
          - 5/2*MatrixProduct[d[2,2].d[2,1].Yu1]*lam[1,2,2,1]
          + MatrixProduct[d[2,2].d[2,1].Yu1]*lam[1,1,2,2]
          - 4/3*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha3
          + 16*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha3*z3
          - 9*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha2
          + 9/4*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha2*z3
          + 75/8*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha2*Doub2
          - 27/4*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha2*Doub2*z3
          - 63/16*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha2*Doub1
          + 45/8*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha2*Doub1*z3
          + 81/16*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha2*Doub1*Doub2
          - 45/8*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha2*Doub1*Doub2*z3
          + 407/60*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha1
          - 7/4*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha1*z3
          - 233/40*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha1*Doub2
          - 3/20*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha1*Doub2*z3
          - 67/80*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha1*Doub1
          + 57/40*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha1*Doub1*z3
          - 3/16*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[d[2,2].d[2,1].Yu1]*alpha1*Doub1*Doub2*z3
          + 9/2*MatrixProduct[d[2,2].d[2,1].Yu1]*Tr[u[1,1]]
          - 9/2*MatrixProduct[d[2,2].d[2,1].Yu1]*Tr[u[2,2]]
          + 9/2*MatrixProduct[d[2,2].d[2,1].Yu1]*Tr[d[1,1]]
          - 9/2*MatrixProduct[d[2,2].d[2,1].Yu1]*Tr[d[2,2]]
          + 3/2*MatrixProduct[d[2,2].d[2,1].Yu1]*Tr[l[1,1]]
          - 3/2*MatrixProduct[d[2,2].d[2,1].Yu1]*Tr[l[2,2]]
          - 15/2*MatrixProduct[d[2,2].d[2,1].Yu2]*lam[1,2,2,2]
          - 63/8*MatrixProduct[d[2,2].d[2,1].Yu2]*Tr[u[1,2]]
          - 63/8*MatrixProduct[d[2,2].d[2,1].Yu2]*Tr[d[1,2]]
          - 21/8*MatrixProduct[d[2,2].d[2,1].Yu2]*Tr[l[1,2]]
          + 3/2*MatrixProduct[d[2,2].d[2,2].u[1,1].Yu2]
          - 183/32*MatrixProduct[d[2,2].d[2,2].u[2,2].Yu2]
          + 6*MatrixProduct[d[2,2].d[2,2].u[2,2].Yu2]*z3
          + 3/2*MatrixProduct[d[2,2].d[2,2].d[1,1].Yu2]
          - 13/4*MatrixProduct[d[2,2].d[2,2].d[2,1].Yu1]
          + 9/8*MatrixProduct[d[2,2].d[2,2].d[2,2].Yu2]
          - 9/4*MatrixProduct[d[2,2].d[2,2].d[2,2].Yu2]*z3
          - 3/2*MatrixProduct[d[2,2].d[2,2].Yu1]*lam[2,1,2,2]
          + 9*MatrixProduct[d[2,2].d[2,2].Yu1]*Tr[u[2,1]]
          + 9*MatrixProduct[d[2,2].d[2,2].Yu1]*Tr[d[2,1]]
          + 3*MatrixProduct[d[2,2].d[2,2].Yu1]*Tr[l[2,1]]
          - 15/2*MatrixProduct[d[2,2].d[2,2].Yu2]*lam[2,2,2,2]
          + 13*MatrixProduct[d[2,2].d[2,2].Yu2]*alpha3
          + 40*MatrixProduct[d[2,2].d[2,2].Yu2]*alpha3*z3
          - 1233/64*MatrixProduct[d[2,2].d[2,2].Yu2]*alpha2
          + 9*MatrixProduct[d[2,2].d[2,2].Yu2]*alpha2*z3
          + 9/64*MatrixProduct[d[2,2].d[2,2].Yu2]*alpha2*z2
          + 453/16*MatrixProduct[d[2,2].d[2,2].Yu2]*alpha2*Doub2
          - 81/4*MatrixProduct[d[2,2].d[2,2].Yu2]*alpha2*Doub2*z3
          - 9/64*MatrixProduct[d[2,2].d[2,2].Yu2]*alpha2*Doub2*z2
          - 711/80*MatrixProduct[d[2,2].d[2,2].Yu2]*alpha1
          + 2*MatrixProduct[d[2,2].d[2,2].Yu2]*alpha1*z3
          - 9/320*MatrixProduct[d[2,2].d[2,2].Yu2]*alpha1*z2
          + 3891/320*MatrixProduct[d[2,2].d[2,2].Yu2]*alpha1*Doub2
          - 93/20*MatrixProduct[d[2,2].d[2,2].Yu2]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[d[2,2].d[2,2].Yu2]*alpha1*Doub2*z2
          - 69/8*MatrixProduct[d[2,2].d[2,2].Yu2]*Tr[u[2,2]]
          - 69/8*MatrixProduct[d[2,2].d[2,2].Yu2]*Tr[d[2,2]]
          - 23/8*MatrixProduct[d[2,2].d[2,2].Yu2]*Tr[l[2,2]]
          + 3/8*MatrixProduct[d[2,2].Yu1]*lam[2,1,2,2]*lam[1,2,2,1]
          + 3/8*MatrixProduct[d[2,2].Yu1]*lam[2,1,2,2]*lam[2,2,2,2]
          + 3/8*MatrixProduct[d[2,2].Yu1]*lam[2,1,2,1]*lam[1,2,2,2]
          + 27/8*MatrixProduct[d[2,2].Yu1]*lam[1,1,2,2]*lam[2,1,2,2]
          + 27/8*MatrixProduct[d[2,2].Yu1]*lam[1,1,2,1]*lam[1,2,2,1]
          + 3/8*MatrixProduct[d[2,2].Yu1]*lam[1,1,2,1]*lam[1,1,2,2]
          + 27/8*MatrixProduct[d[2,2].Yu1]*lam[1,1,1,2]*lam[2,1,2,1]
          + 27/8*MatrixProduct[d[2,2].Yu1]*lam[1,1,1,1]*lam[1,1,2,1]
          + 3*MatrixProduct[d[2,2].Yu1]*alpha2*lam[2,1,2,2]
          - 3/2*MatrixProduct[d[2,2].Yu1]*alpha2*lam[2,1,2,2]*Doub2
          - 9/2*MatrixProduct[d[2,2].Yu1]*alpha2*lam[2,1,2,2]*Doub2*z3
          - 9/2*MatrixProduct[d[2,2].Yu1]*alpha2*lam[2,1,2,2]*Doub1*z3
          - 3/2*MatrixProduct[d[2,2].Yu1]*alpha2*lam[2,1,2,2]*Doub1*Doub2
          + 9*MatrixProduct[d[2,2].Yu1]*alpha2*lam[2,1,2,2]*Doub1*Doub2*z3
          + 9*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*Tr[u[2,1]]
          + 9*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*Tr[d[2,1]]
          + 3*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1]]*Tr[l[2,1]]
          - 225/16*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1].u[2,1]]
          - 15/16*MatrixProduct[d[2,2].Yu1]*Tr[u[1,1].d[2,1]]
          + 3/2*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*lam[1,2,2,1]
          - 3/2*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*lam[1,1,2,2]
          + 39*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha3
          - 48*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha3*z3
          - 243/32*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha2
          + 135/4*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha2*z3
          - 27/16*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha2*z2
          - 171/8*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub2
          - 81/8*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub2*z2
          - 225/32*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1
          - 81/8*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1*z2
          + 1035/32*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 597/160*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha1
          - 111/20*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha1*z3
          + 27/80*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha1*z2
          - 3/10*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub2
          + 81/40*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub2*z3
          - 27/80*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub2*z2
          - 507/160*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1
          + 81/40*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1*z2
          + 513/160*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 9*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*Tr[u[2,2]]
          + 9*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*Tr[d[1,1]]
          + 9*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*Tr[d[2,2]]
          + 3*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*Tr[l[1,1]]
          + 3*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1]]*Tr[l[2,2]]
          - 225/16*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1].u[2,2]]
          - 15/16*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1].d[1,1]]
          + 177/16*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1].d[2,2]]
          - 18*MatrixProduct[d[2,2].Yu1]*Tr[u[2,1].d[2,2]]*z3
          + 9*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*Tr[d[2,1]]
          + 3*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2]]*Tr[l[2,1]]
          + 177/16*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2].d[2,1]]
          - 18*MatrixProduct[d[2,2].Yu1]*Tr[u[2,2].d[2,1]]*z3
          + 9*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*Tr[d[2,1]]
          + 3*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1]]*Tr[l[2,1]]
          - 225/16*MatrixProduct[d[2,2].Yu1]*Tr[d[1,1].d[2,1]]
          + 3/2*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*lam[1,2,2,1]
          - 3/2*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*lam[1,1,2,2]
          + 39*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha3
          - 48*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha3*z3
          - 243/32*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha2
          + 135/4*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha2*z3
          - 27/16*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha2*z2
          - 171/8*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub2
          - 81/8*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub2*z2
          - 225/32*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1
          - 81/8*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1*z2
          + 1035/32*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 3/32*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha1
          - 39/20*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha1*z3
          + 27/80*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha1*z2
          - 3/10*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub2
          + 81/40*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub2*z3
          - 27/80*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub2*z2
          - 507/160*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1
          + 81/40*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1*z2
          + 513/160*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 9*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*Tr[d[2,2]]
          + 3*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*Tr[l[1,1]]
          + 3*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1]]*Tr[l[2,2]]
          - 225/16*MatrixProduct[d[2,2].Yu1]*Tr[d[2,1].d[2,2]]
          + 3*MatrixProduct[d[2,2].Yu1]*Tr[d[2,2]]*Tr[l[2,1]]
          + MatrixProduct[d[2,2].Yu1]*Tr[l[1,1]]*Tr[l[2,1]]
          - 75/16*MatrixProduct[d[2,2].Yu1]*Tr[l[1,1].l[2,1]]
          + 1/2*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*lam[1,2,2,1]
          - 1/2*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*lam[1,1,2,2]
          - 4*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha3
          - 81/32*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha2
          + 45/4*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha2*z3
          - 9/16*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha2*z2
          - 57/8*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub2
          - 27/8*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub2*z3
          + 9/16*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub2*z2
          - 75/32*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1
          - 27/8*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1*z2
          + 345/32*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          - 9/32*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 135/32*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha1
          - 93/20*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha1*z3
          + 9/80*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha1*z2
          - 1/10*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub2
          + 27/40*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub2*z3
          - 9/80*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub2*z2
          - 169/160*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1*z3
          - 9/160*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          + 9/160*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          + MatrixProduct[d[2,2].Yu1]*Tr[l[2,1]]*Tr[l[2,2]]
          - 75/16*MatrixProduct[d[2,2].Yu1]*Tr[l[2,1].l[2,2]]
          + 41/16*MatrixProduct[d[2,2].Yu2]*lam[1,2,2,1]^2
          - 21/32*MatrixProduct[d[2,2].Yu2]*lam[2,2,2,2]^2
          + 33/32*MatrixProduct[d[2,2].Yu2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 75/32*MatrixProduct[d[2,2].Yu2]*lam[1,2,1,2]*lam[2,1,2,1]
          - 7/16*MatrixProduct[d[2,2].Yu2]*lam[1,1,2,2]*lam[1,2,2,1]
          - 7/16*MatrixProduct[d[2,2].Yu2]*lam[1,1,2,2]^2
          + 75/32*MatrixProduct[d[2,2].Yu2]*lam[1,1,1,2]*lam[1,1,2,1]
          - 2659/12*MatrixProduct[d[2,2].Yu2]*alpha3^2
          + 86*MatrixProduct[d[2,2].Yu2]*alpha3^2*z3
          + 41/3*MatrixProduct[d[2,2].Yu2]*alpha3^2*Ng
          + 3*MatrixProduct[d[2,2].Yu2]*alpha2*lam[2,2,2,2]
          - 3*MatrixProduct[d[2,2].Yu2]*alpha2*lam[2,2,2,2]*Doub2
          + 5*MatrixProduct[d[2,2].Yu2]*alpha2*alpha3
          - 84*MatrixProduct[d[2,2].Yu2]*alpha2*alpha3*z3
          - 9/4*MatrixProduct[d[2,2].Yu2]*alpha2*alpha3*z2
          + 395/8*MatrixProduct[d[2,2].Yu2]*alpha2*alpha3*Doub2
          - 24*MatrixProduct[d[2,2].Yu2]*alpha2*alpha3*Doub2*z3
          + 9/4*MatrixProduct[d[2,2].Yu2]*alpha2*alpha3*Doub2*z2
          - 9153/256*MatrixProduct[d[2,2].Yu2]*alpha2^2
          + 27/4*MatrixProduct[d[2,2].Yu2]*alpha2^2*z3
          + 63/128*MatrixProduct[d[2,2].Yu2]*alpha2^2*z2
          + 51/32*MatrixProduct[d[2,2].Yu2]*alpha2^2*Ng
          + 19233/512*MatrixProduct[d[2,2].Yu2]*alpha2^2*Doub2
          + 153/16*MatrixProduct[d[2,2].Yu2]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[d[2,2].Yu2]*alpha2^2*Doub2*z2
          + 3/16*MatrixProduct[d[2,2].Yu2]*alpha2^2*Doub2*Ng
          - 39/256*MatrixProduct[d[2,2].Yu2]*alpha2^2*Doub1
          + 33/64*MatrixProduct[d[2,2].Yu2]*alpha2^2*Doub1*Doub2
          - 611/60*MatrixProduct[d[2,2].Yu2]*alpha1*alpha3
          + 44/5*MatrixProduct[d[2,2].Yu2]*alpha1*alpha3*z3
          + 9/4*MatrixProduct[d[2,2].Yu2]*alpha1*alpha3*z2
          + 433/40*MatrixProduct[d[2,2].Yu2]*alpha1*alpha3*Doub2
          - 88/5*MatrixProduct[d[2,2].Yu2]*alpha1*alpha3*Doub2*z3
          - 9/4*MatrixProduct[d[2,2].Yu2]*alpha1*alpha3*Doub2*z2
          - 611/640*MatrixProduct[d[2,2].Yu2]*alpha1*alpha2
          + 6/5*MatrixProduct[d[2,2].Yu2]*alpha1*alpha2*z3
          - 9/80*MatrixProduct[d[2,2].Yu2]*alpha1*alpha2*z2
          - 221/1280*MatrixProduct[d[2,2].Yu2]*alpha1*alpha2*Doub2
          + 3/20*MatrixProduct[d[2,2].Yu2]*alpha1*alpha2*Doub2*z3
          + 9/80*MatrixProduct[d[2,2].Yu2]*alpha1*alpha2*Doub2*z2
          + 17273/19200*MatrixProduct[d[2,2].Yu2]*alpha1^2
          + 9/100*MatrixProduct[d[2,2].Yu2]*alpha1^2*z3
          - 63/640*MatrixProduct[d[2,2].Yu2]*alpha1^2*z2
          - 2387/480*MatrixProduct[d[2,2].Yu2]*alpha1^2*Ng
          - 14263/12800*MatrixProduct[d[2,2].Yu2]*alpha1^2*Doub2
          + 167/400*MatrixProduct[d[2,2].Yu2]*alpha1^2*Doub2*z3
          + 63/640*MatrixProduct[d[2,2].Yu2]*alpha1^2*Doub2*z2
          + 85/16*MatrixProduct[d[2,2].Yu2]*alpha1^2*Doub2*Ng
          - 3881/6400*MatrixProduct[d[2,2].Yu2]*alpha1^2*Doub1
          + 267/400*MatrixProduct[d[2,2].Yu2]*alpha1^2*Doub1*Doub2
          - 51/16*MatrixProduct[d[2,2].Yu2]*Tr[u[1,1].u[2,2]]
          - 51/16*MatrixProduct[d[2,2].Yu2]*Tr[u[1,1].d[2,2]]
          + 117/16*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*Tr[u[2,1]]
          + 117/16*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*Tr[d[2,1]]
          + 39/16*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2]]*Tr[l[2,1]]
          - 51/8*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2].u[2,1]]
          + 9/4*MatrixProduct[d[2,2].Yu2]*Tr[u[1,2].d[2,1]]
          + 117/16*MatrixProduct[d[2,2].Yu2]*Tr[u[2,1]]*Tr[d[1,2]]
          + 39/16*MatrixProduct[d[2,2].Yu2]*Tr[u[2,1]]*Tr[l[1,2]]
          + 9/4*MatrixProduct[d[2,2].Yu2]*Tr[u[2,1].d[1,2]]
          + 97/4*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*alpha3
          - 36*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*alpha3*z3
          + 45/16*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*alpha2
          + 135/4*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*alpha2*z3
          - 27/16*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*alpha2*z2
          - 45/4*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*alpha2*Doub2
          - 81/4*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*alpha2*Doub2*z2
          - 2383/160*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*alpha1
          - 63/20*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*alpha1*z3
          + 27/80*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*alpha1*z2
          + 3033/160*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*alpha1*Doub2
          + 27/20*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*alpha1*Doub2*z3
          - 27/80*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*alpha1*Doub2*z2
          + 117/16*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]^2
          + 117/8*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*Tr[d[2,2]]
          + 39/8*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2]]*Tr[l[2,2]]
          - 153/16*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2].u[2,2]]
          - 51/16*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2].d[1,1]]
          + 177/8*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2].d[2,2]]
          - 36*MatrixProduct[d[2,2].Yu2]*Tr[u[2,2].d[2,2]]*z3
          - 51/16*MatrixProduct[d[2,2].Yu2]*Tr[d[1,1].d[2,2]]
          + 117/16*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*Tr[d[2,1]]
          + 39/16*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2]]*Tr[l[2,1]]
          - 51/8*MatrixProduct[d[2,2].Yu2]*Tr[d[1,2].d[2,1]]
          + 39/16*MatrixProduct[d[2,2].Yu2]*Tr[d[2,1]]*Tr[l[1,2]]
          + 97/4*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*alpha3
          - 36*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*alpha3*z3
          + 45/16*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*alpha2
          + 135/4*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*alpha2*z3
          - 27/16*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*alpha2*z2
          - 45/4*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*alpha2*Doub2
          - 81/4*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*alpha2*Doub2*z2
          - 2803/160*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*alpha1
          - 9/20*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*alpha1*z3
          + 27/80*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*alpha1*z2
          + 3033/160*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*alpha1*Doub2
          + 27/20*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*alpha1*Doub2*z3
          - 27/80*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*alpha1*Doub2*z2
          + 117/16*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]^2
          + 39/8*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2]]*Tr[l[2,2]]
          - 153/16*MatrixProduct[d[2,2].Yu2]*Tr[d[2,2].d[2,2]]
          - 17/16*MatrixProduct[d[2,2].Yu2]*Tr[l[1,1].l[2,2]]
          + 13/16*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2]]*Tr[l[2,1]]
          - 17/8*MatrixProduct[d[2,2].Yu2]*Tr[l[1,2].l[2,1]]
          - 43/12*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]*alpha3
          + 15/16*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]*alpha2
          + 45/4*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]*alpha2*z3
          - 9/16*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]*alpha2*z2
          - 15/4*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]*alpha2*Doub2
          - 27/4*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]*alpha2*Doub2*z3
          + 9/16*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]*alpha2*Doub2*z2
          - 1403/480*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]*alpha1
          - 63/20*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]*alpha1*z3
          + 9/80*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]*alpha1*z2
          + 1011/160*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]*alpha1*Doub2
          + 9/20*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]*alpha1*Doub2*z3
          - 9/80*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]*alpha1*Doub2*z2
          + 13/16*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2]]^2
          - 51/16*MatrixProduct[d[2,2].Yu2]*Tr[l[2,2].l[2,2]]
          - 15/8*MatrixProduct[Yu1]*lam[2,1,2,2]*lam[1,2,2,1]^2
          - 9/4*MatrixProduct[Yu1]*lam[2,1,2,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yu1]*lam[2,1,2,2]*lam[2,2,2,2]^2
          - 9/2*MatrixProduct[Yu1]*lam[1,2,2,2]*lam[2,1,2,2]^2
          - 27/8*MatrixProduct[Yu1]*lam[2,1,2,1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yu1]*lam[2,1,2,1]*lam[1,2,2,2]*lam[2,2,2,2]
          - 9/4*MatrixProduct[Yu1]*lam[1,2,1,2]*lam[2,1,2,1]*lam[2,1,2,2]
          - 27/8*MatrixProduct[Yu1]*lam[1,1,2,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yu1]*lam[1,1,2,2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 3*MatrixProduct[Yu1]*lam[1,1,2,2]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yu1]*lam[1,1,2,2]^2*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yu1]*lam[1,1,2,1]*lam[1,2,2,1]^2
          - 3/4*MatrixProduct[Yu1]*lam[1,1,2,1]*lam[2,2,2,2]*lam[1,2,2,1]
          - 21/8*MatrixProduct[Yu1]*lam[1,1,2,1]*lam[1,2,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yu1]*lam[1,1,2,1]*lam[1,2,1,2]*lam[2,1,2,1]
          - 27/8*MatrixProduct[Yu1]*lam[1,1,2,1]*lam[1,1,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yu1]*lam[1,1,2,1]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yu1]*lam[1,1,2,1]*lam[1,1,2,2]^2
          - 15/8*MatrixProduct[Yu1]*lam[1,1,2,1]^2*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yu1]*lam[1,1,1,2]*lam[2,1,2,2]^2
          - 27/8*MatrixProduct[Yu1]*lam[1,1,1,2]*lam[2,1,2,1]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yu1]*lam[1,1,1,2]*lam[2,1,2,1]*lam[2,2,2,2]
          - 3*MatrixProduct[Yu1]*lam[1,1,1,2]*lam[1,1,2,2]*lam[2,1,2,1]
          - 21/8*MatrixProduct[Yu1]*lam[1,1,1,2]*lam[1,1,2,1]*lam[2,1,2,2]
          - 9/2*MatrixProduct[Yu1]*lam[1,1,1,2]*lam[1,1,2,1]^2
          - 3/4*MatrixProduct[Yu1]*lam[1,1,1,1]*lam[2,1,2,2]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yu1]*lam[1,1,1,1]*lam[2,1,2,1]*lam[1,2,2,2]
          - 9/8*MatrixProduct[Yu1]*lam[1,1,1,1]*lam[1,1,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yu1]*lam[1,1,1,1]*lam[1,1,2,1]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yu1]*lam[1,1,1,1]*lam[1,1,2,1]*lam[1,1,2,2]
          - 9/4*MatrixProduct[Yu1]*lam[1,1,1,1]*lam[1,1,1,2]*lam[2,1,2,1]
          - 9/4*MatrixProduct[Yu1]*lam[1,1,1,1]^2*lam[1,1,2,1]
          + 21/8*MatrixProduct[Yu1]*alpha2*lam[2,1,2,2]*lam[1,2,2,1]*Doub2
          + 57/64*MatrixProduct[Yu1]*alpha2*lam[2,1,2,2]*lam[1,2,2,1]*Doub1
          + 135/64*MatrixProduct[Yu1]*alpha2*lam[2,1,2,2]*lam[1,2,2,1]*Doub1*
         Doub2
          + 171/64*MatrixProduct[Yu1]*alpha2*lam[2,1,2,2]*lam[2,2,2,2]*Doub2
          + 81/32*MatrixProduct[Yu1]*alpha2*lam[2,1,2,2]*lam[2,2,2,2]*Doub1
          + 27/64*MatrixProduct[Yu1]*alpha2*lam[2,1,2,2]*lam[2,2,2,2]*Doub1*Doub2
          - 165/32*MatrixProduct[Yu1]*alpha2*lam[2,1,2,1]*lam[1,2,2,2]*Doub2
          + 447/64*MatrixProduct[Yu1]*alpha2*lam[2,1,2,1]*lam[1,2,2,2]*Doub1
          + 243/64*MatrixProduct[Yu1]*alpha2*lam[2,1,2,1]*lam[1,2,2,2]*Doub1*
         Doub2
          + 333/32*MatrixProduct[Yu1]*alpha2*lam[1,1,2,2]*lam[2,1,2,2]*Doub2
          - 333/64*MatrixProduct[Yu1]*alpha2*lam[1,1,2,2]*lam[2,1,2,2]*Doub1
          + 27/64*MatrixProduct[Yu1]*alpha2*lam[1,1,2,2]*lam[2,1,2,2]*Doub1*Doub2
          + 219/64*MatrixProduct[Yu1]*alpha2*lam[1,1,2,1]*lam[1,2,2,1]*Doub2
          + 3/32*MatrixProduct[Yu1]*alpha2*lam[1,1,2,1]*lam[1,2,2,1]*Doub1
          + 135/64*MatrixProduct[Yu1]*alpha2*lam[1,1,2,1]*lam[1,2,2,1]*Doub1*
         Doub2
          - 171/64*MatrixProduct[Yu1]*alpha2*lam[1,1,2,1]*lam[1,1,2,2]*Doub2
          + 63/8*MatrixProduct[Yu1]*alpha2*lam[1,1,2,1]*lam[1,1,2,2]*Doub1
          + 27/64*MatrixProduct[Yu1]*alpha2*lam[1,1,2,1]*lam[1,1,2,2]*Doub1*Doub2
          + 609/64*MatrixProduct[Yu1]*alpha2*lam[1,1,1,2]*lam[2,1,2,1]*Doub2
          - 123/16*MatrixProduct[Yu1]*alpha2*lam[1,1,1,2]*lam[2,1,2,1]*Doub1
          + 243/64*MatrixProduct[Yu1]*alpha2*lam[1,1,1,2]*lam[2,1,2,1]*Doub1*
         Doub2
          + 81/16*MatrixProduct[Yu1]*alpha2*lam[1,1,1,1]*lam[1,1,2,1]*Doub2
          + 9/64*MatrixProduct[Yu1]*alpha2*lam[1,1,1,1]*lam[1,1,2,1]*Doub1
          + 27/64*MatrixProduct[Yu1]*alpha2*lam[1,1,1,1]*lam[1,1,2,1]*Doub1*Doub2
          - 351/128*MatrixProduct[Yu1]*alpha2^2*lam[2,1,2,2]*Doub2
          + 27/16*MatrixProduct[Yu1]*alpha2^2*lam[2,1,2,2]*Doub2*z3
          + 9/128*MatrixProduct[Yu1]*alpha2^2*lam[2,1,2,2]*Doub1*Doub2
          - 27/16*MatrixProduct[Yu1]*alpha2^2*lam[2,1,2,2]*Doub1*Doub2*z3
          - 351/128*MatrixProduct[Yu1]*alpha2^2*lam[1,1,2,1]*Doub1
          + 27/16*MatrixProduct[Yu1]*alpha2^2*lam[1,1,2,1]*Doub1*z3
          + 9/128*MatrixProduct[Yu1]*alpha2^2*lam[1,1,2,1]*Doub1*Doub2
          - 27/16*MatrixProduct[Yu1]*alpha2^2*lam[1,1,2,1]*Doub1*Doub2*z3
          + 333/160*MatrixProduct[Yu1]*alpha1*lam[2,1,2,2]*lam[1,2,2,1]*Doub2
          - 333/320*MatrixProduct[Yu1]*alpha1*lam[2,1,2,2]*lam[1,2,2,1]*Doub1
          + 27/320*MatrixProduct[Yu1]*alpha1*lam[2,1,2,2]*lam[1,2,2,1]*Doub1*
         Doub2
          + 171/320*MatrixProduct[Yu1]*alpha1*lam[2,1,2,2]*lam[2,2,2,2]*Doub2
          + 81/160*MatrixProduct[Yu1]*alpha1*lam[2,1,2,2]*lam[2,2,2,2]*Doub1
          + 27/320*MatrixProduct[Yu1]*alpha1*lam[2,1,2,2]*lam[2,2,2,2]*Doub1*
         Doub2
          - 207/80*MatrixProduct[Yu1]*alpha1*lam[2,1,2,1]*lam[1,2,2,2]*Doub2
          + 837/320*MatrixProduct[Yu1]*alpha1*lam[2,1,2,1]*lam[1,2,2,2]*Doub1
          + 351/320*MatrixProduct[Yu1]*alpha1*lam[2,1,2,1]*lam[1,2,2,2]*Doub1*
         Doub2
          + 333/160*MatrixProduct[Yu1]*alpha1*lam[1,1,2,2]*lam[2,1,2,2]*Doub2
          - 333/320*MatrixProduct[Yu1]*alpha1*lam[1,1,2,2]*lam[2,1,2,2]*Doub1
          + 27/320*MatrixProduct[Yu1]*alpha1*lam[1,1,2,2]*lam[2,1,2,2]*Doub1*
         Doub2
          - 171/320*MatrixProduct[Yu1]*alpha1*lam[1,1,2,1]*lam[1,2,2,1]*Doub2
          + 63/40*MatrixProduct[Yu1]*alpha1*lam[1,1,2,1]*lam[1,2,2,1]*Doub1
          + 27/320*MatrixProduct[Yu1]*alpha1*lam[1,1,2,1]*lam[1,2,2,1]*Doub1*
         Doub2
          - 171/320*MatrixProduct[Yu1]*alpha1*lam[1,1,2,1]*lam[1,1,2,2]*Doub2
          + 63/40*MatrixProduct[Yu1]*alpha1*lam[1,1,2,1]*lam[1,1,2,2]*Doub1
          + 27/320*MatrixProduct[Yu1]*alpha1*lam[1,1,2,1]*lam[1,1,2,2]*Doub1*
         Doub2
          + 999/320*MatrixProduct[Yu1]*alpha1*lam[1,1,1,2]*lam[2,1,2,1]*Doub2
          - 99/32*MatrixProduct[Yu1]*alpha1*lam[1,1,1,2]*lam[2,1,2,1]*Doub1
          + 351/320*MatrixProduct[Yu1]*alpha1*lam[1,1,1,2]*lam[2,1,2,1]*Doub1*
         Doub2
          + 81/80*MatrixProduct[Yu1]*alpha1*lam[1,1,1,1]*lam[1,1,2,1]*Doub2
          + 9/320*MatrixProduct[Yu1]*alpha1*lam[1,1,1,1]*lam[1,1,2,1]*Doub1
          + 27/320*MatrixProduct[Yu1]*alpha1*lam[1,1,1,1]*lam[1,1,2,1]*Doub1*
         Doub2
          + 45/64*MatrixProduct[Yu1]*alpha1*alpha2*lam[2,1,2,2]*Doub2
          + 27/40*MatrixProduct[Yu1]*alpha1*alpha2*lam[2,1,2,2]*Doub2*z3
          + 9/320*MatrixProduct[Yu1]*alpha1*alpha2*lam[2,1,2,2]*Doub1*Doub2
          - 27/40*MatrixProduct[Yu1]*alpha1*alpha2*lam[2,1,2,2]*Doub1*Doub2*
         z3
          + 45/64*MatrixProduct[Yu1]*alpha1*alpha2*lam[1,1,2,1]*Doub1
          + 27/40*MatrixProduct[Yu1]*alpha1*alpha2*lam[1,1,2,1]*Doub1*z3
          + 9/320*MatrixProduct[Yu1]*alpha1*alpha2*lam[1,1,2,1]*Doub1*Doub2
          - 27/40*MatrixProduct[Yu1]*alpha1*alpha2*lam[1,1,2,1]*Doub1*Doub2*
         z3
          - 441/640*MatrixProduct[Yu1]*alpha1^2*lam[2,1,2,2]*Doub2
          + 81/400*MatrixProduct[Yu1]*alpha1^2*lam[2,1,2,2]*Doub2*z3
          + 27/3200*MatrixProduct[Yu1]*alpha1^2*lam[2,1,2,2]*Doub1*Doub2
          - 81/400*MatrixProduct[Yu1]*alpha1^2*lam[2,1,2,2]*Doub1*Doub2*z3
          - 441/640*MatrixProduct[Yu1]*alpha1^2*lam[1,1,2,1]*Doub1
          + 81/400*MatrixProduct[Yu1]*alpha1^2*lam[1,1,2,1]*Doub1*z3
          + 27/3200*MatrixProduct[Yu1]*alpha1^2*lam[1,1,2,1]*Doub1*Doub2
          - 81/400*MatrixProduct[Yu1]*alpha1^2*lam[1,1,2,1]*Doub1*Doub2*z3
          - 45/16*MatrixProduct[Yu1]*Tr[u[1,1]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[u[1,1]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yu1]*Tr[u[1,1]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[u[1,1]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yu1]*Tr[u[1,1]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[u[1,1]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 135/16*MatrixProduct[Yu1]*Tr[u[1,1]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 27*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[1,1].u[2,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*z2
          + 2889/32*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub2*z2
          + 3807/64*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*z2
          + 2889/160*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub2*z2
          + 3807/320*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*Doub1
         *Doub2*z2
          - 9/8*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[u[2,1].d[1,1]]
          + 27*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*z2
          + 2889/32*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 3807/64*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*z2
          + 2889/160*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 3807/320*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[1,1].l[2,1]]
          - 27/8*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*z2
          + 963/32*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 1269/64*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*z2
          + 963/160*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 1269/320*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu1]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1]]*lam[1,1,2,1]
          - 75/32*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1].u[2,1]]
          + 9/2*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1].u[2,1]]*z3
          - 99/32*MatrixProduct[Yu1]*Tr[u[1,1].u[1,1].d[2,1]]
          + 45/8*MatrixProduct[Yu1]*Tr[u[1,1].u[1,2]]*lam[2,1,2,1]
          + 45/8*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*lam[1,1,2,2]
          + 45/8*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha3
          - 36*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha3*z3
          + 999/32*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha2
          + 27/16*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha2*z2
          + 549/128*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha2*Doub2*z2
          - 6453/128*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 1563/80*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha1
          - 27/5*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha1*z3
          + 2781/640*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha1*Doub2*z2
          - 2829/128*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha1*Doub1*z3
          + 81/160*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1]]*alpha1*Doub1*
         Doub2
          - 45/32*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1].u[2,2]]
          + 9/2*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1].u[2,2]]*z3
          + 9/16*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1].d[1,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[u[1,1].u[2,1].d[2,2]]
          + 45/8*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2]]*lam[1,1,2,1]
          - 33/32*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2].u[2,1]]
          - 15/32*MatrixProduct[Yu1]*Tr[u[1,1].u[2,2].d[2,1]]
          + 15/4*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1].u[2,1]]
          + 15/4*MatrixProduct[Yu1]*Tr[u[1,1].d[1,1].d[2,1]]
          + 57/4*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha3
          - 12*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha3*z3
          + 1089/32*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha2
          - 27/8*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha2*z2
          + 1683/128*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha2*Doub2*z2
          - 2619/128*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 453/80*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha1
          + 39/10*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha1*z3
          - 27/80*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha1*z2
          - 549/640*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha1*Doub2*z2
          + 5073/640*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha1*Doub1
          - 9/5*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 117/32*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1].u[2,2]]
          + 9/16*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1].d[1,1]]
          - 33/16*MatrixProduct[Yu1]*Tr[u[1,1].d[2,1].d[2,2]]
          - 33/16*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2].u[2,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[u[1,1].d[2,2].d[2,1]]
          - 45/8*MatrixProduct[Yu1]*Tr[u[1,2]]*lam[2,1,2,2]^2
          - 45/8*MatrixProduct[Yu1]*Tr[u[1,2]]*lam[2,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[u[1,2]]*lam[2,1,2,1]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[u[1,2]]*lam[1,1,2,2]*lam[2,1,2,1]
          - 45/8*MatrixProduct[Yu1]*Tr[u[1,2]]*lam[1,1,2,1]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[u[1,2]]*lam[1,1,2,1]^2
          - 45/16*MatrixProduct[Yu1]*Tr[u[1,2]]*lam[1,1,1,1]*lam[2,1,2,1]
          - 459/64*MatrixProduct[Yu1]*Tr[u[1,2]]*alpha2*lam[2,1,2,1]*Doub2
          + 81/64*MatrixProduct[Yu1]*Tr[u[1,2]]*alpha2*lam[2,1,2,1]*Doub1
          + 189/32*MatrixProduct[Yu1]*Tr[u[1,2]]*alpha2*lam[2,1,2,1]*Doub1*
         Doub2
          - 1377/320*MatrixProduct[Yu1]*Tr[u[1,2]]*alpha1*lam[2,1,2,1]*Doub2
          + 243/320*MatrixProduct[Yu1]*Tr[u[1,2]]*alpha1*lam[2,1,2,1]*Doub1
          + 567/160*MatrixProduct[Yu1]*Tr[u[1,2]]*alpha1*lam[2,1,2,1]*Doub1*
         Doub2
          + 27*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1].u[2,1]]
          - 9/4*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[u[2,1].d[2,1]]
          + 27*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[d[2,1].d[2,1]]
          + 9*MatrixProduct[Yu1]*Tr[u[1,2]]*Tr[l[2,1].l[2,1]]
          + 45/8*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1]]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1].u[2,1]]
          + 9/2*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1].u[2,1]]*z3
          - 15/16*MatrixProduct[Yu1]*Tr[u[1,2].u[2,1].d[2,1]]
          + 45/8*MatrixProduct[Yu1]*Tr[u[1,2].u[2,2]]*lam[2,1,2,1]
          - 15/16*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1].u[2,1]]
          + 15/2*MatrixProduct[Yu1]*Tr[u[1,2].d[2,1].d[2,1]]
          - 15/16*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/4*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/16*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[u[2,1]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 551/3*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha3^2
          - 12*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha3^2*z3
          - 16*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha3^2*Ng
          + 459/64*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*lam[1,1,2,2]*Doub2
          - 81/64*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*lam[1,1,2,2]*Doub1
          - 189/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 261/8*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*alpha3
          - 36*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*alpha3*z2
          + 177/8*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*alpha3*Doub2
          + 45*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*alpha3*Doub2*z3
          - 129/8*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*alpha3*Doub1
          + 81*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*alpha3*Doub1*z3
          - 69/2*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*alpha3*Doub1*
         Doub2
          - 36*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*alpha3*Doub1*Doub2*
         z3
          + 27/2*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2*alpha3*Doub1*
         Doub2*z2
          - 1287/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2
          + 27/4*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*Ng
          - 57015/512*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*Doub2
          + 243/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*Doub2*z3
          + 27/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*Doub2*z2
          + 675/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*Doub2*Ng
          - 64467/512*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*Doub1
          - 189/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*Doub1*z3
          + 27/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*Doub1*z2
          + 675/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*Doub1*Ng
          + 42039/128*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*Doub1*
         Doub2
          - 729/16*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*Doub1*Doub2*
         z3
          + 27/64*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*Doub1*Doub2*z2
          - 783/16*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha2^2*Doub1*Doub2*
         Ng
          + 459/160*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*lam[1,2,2,1]*Doub2
          - 81/160*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*lam[1,2,2,1]*Doub1
          - 189/80*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          + 459/320*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*lam[1,1,2,2]*Doub2
          - 81/320*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*lam[1,1,2,2]*Doub1
          - 189/160*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*lam[1,1,2,2]*Doub1*
         Doub2
          - 347/24*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha3
          + 12/5*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha3*z2
          + 177/40*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha3*Doub2
          + 9*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha3*Doub2*z3
          - 129/40*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha3*Doub1
          + 81/5*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha3*Doub1*z3
          - 69/10*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha3*Doub1*
         Doub2
          - 36/5*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha3*Doub1*
         Doub2*z3
          + 27/10*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha3*Doub1*
         Doub2*z2
          - 1161/40*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha2
          - 9/5*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha2*z3
          - 27/160*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha2*z2
          + 9663/256*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha2*Doub2
          - 45/16*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha2*Doub2*z3
          - 81/80*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha2*Doub2*z2
          + 34527/1280*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha2*
         Doub1
          - 81/80*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha2*Doub1*z3
          - 81/80*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha2*Doub1*z2
          - 885/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha2*Doub1*
         Doub2
          + 387/40*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 351/160*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z2
          - 7/300*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2
          - 3/25*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*z3
          - 27/320*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*z2
          - 19/80*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*Ng
          + 20133/12800*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*Doub2
          + 207/160*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*Doub2*z3
          - 81/800*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*Doub2*z2
          + 135/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*Doub2*Ng
          + 9657/12800*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*Doub1
          + 1323/800*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*Doub1*z3
          - 81/800*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*Doub1*z2
          + 135/32*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*Doub1*Ng
          - 1161/640*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*Doub1*Doub2
          - 45/16*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*Doub1*Doub2*z3
          + 459/1600*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*Doub1*Doub2
         *z2
          - 783/80*MatrixProduct[Yu1]*Tr[u[2,1]]*alpha1^2*Doub1*Doub2*
         Ng
          + 18*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[1,1].u[2,2]]
          - 81/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,1].d[1,2]]
          - 81/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*z2
          + 1971/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub2*z2
          + 3807/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*z2
          + 1971/320*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub2*z2
          + 3807/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*Doub1
         *Doub2*z2
          - 81/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[u[2,2].d[1,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*z2
          + 2889/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub2*z2
          + 3807/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*z2
          + 2889/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub2*z2
          + 3807/320*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*Doub1
         *Doub2*z2
          + 18*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*z2
          + 1971/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub2*z2
          + 3807/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*z2
          + 1971/320*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub2*z2
          + 3807/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*Doub1
         *Doub2*z2
          - 27/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*z2
          + 963/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*Doub2
         *z2
          + 1269/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*z2
          + 963/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub2*z2
          + 1269/320*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*Doub1
         *Doub2*z2
          + 6*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[1,2].l[2,1]]
          - 27/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*z2
          + 657/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*Doub2
         *z2
          + 1269/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*z2
          + 657/320*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 1269/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu1]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yu1]*Tr[u[2,1].u[2,1]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yu1]*Tr[u[2,1].u[2,1]]*lam[1,1,1,2]
          + 15/2*MatrixProduct[Yu1]*Tr[u[2,1].u[2,1].d[1,2]]
          + 45/8*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*lam[2,2,2,2]
          + 45/8*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*lam[1,1,2,2]
          + 15/4*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha3
          - 36*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha2
          + 27/16*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha2*z2
          - 7803/128*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha2*Doub2*z2
          + 1899/128*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 1563/80*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha1
          - 27/5*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha1*z3
          - 3099/128*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha1*Doub2*z3
          + 81/160*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha1*Doub2*z2
          + 4131/640*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2]]*alpha1*Doub1*
         Doub2
          - 75/32*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2].u[2,2]]
          + 9/2*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2].u[2,2]]*z3
          - 9/8*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2].d[1,1]]
          + 9/16*MatrixProduct[Yu1]*Tr[u[2,1].u[2,2].d[2,2]]
          + 57/4*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha3
          - 12*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha3*z3
          + 1089/32*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha2
          - 27/8*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha2*z2
          + 1683/128*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha2*Doub2*z2
          - 2619/128*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 1557/160*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha1
          + 33/5*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha1*z3
          - 27/80*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha1*z2
          - 549/640*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha1*Doub2*z2
          + 8013/640*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha1*Doub1
          - 63/10*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1]]*alpha1*Doub1*
         Doub2*z2
          - 33/16*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1].u[2,2]]
          - 99/32*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1].d[1,1]]
          + 117/32*MatrixProduct[Yu1]*Tr[u[2,1].d[1,1].d[2,2]]
          - 15/16*MatrixProduct[Yu1]*Tr[u[2,1].d[1,2].d[2,1]]
          - 15/16*MatrixProduct[Yu1]*Tr[u[2,1].d[2,1].d[1,2]]
          + 57/4*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha3*z3
          + 1089/32*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha2
          - 27/8*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha2*z2
          - 2709/128*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha2*Doub2*z2
          + 1773/128*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 1557/160*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha1
          + 33/5*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha1*z3
          - 27/80*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha1*z2
          + 7923/640*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha1*Doub2
          - 63/10*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha1*Doub2*z2
          - 459/640*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 15/4*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2].u[2,2]]
          - 15/32*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2].d[1,1]]
          - 99/32*MatrixProduct[Yu1]*Tr[u[2,1].d[2,2].d[2,2]]
          - 45/8*MatrixProduct[Yu1]*Tr[u[2,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yu1]*Tr[u[2,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[u[2,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[u[2,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu1]*Tr[u[2,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[u[2,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yu1]*Tr[u[2,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 27*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[u[2,1].u[2,2]]
          - 9/8*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[u[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[u[2,2].d[2,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*z2
          + 1971/64*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 3807/32*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*z2
          + 1971/320*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 3807/160*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 27*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[d[2,1].d[2,2]]
          - 27/8*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*z2
          + 657/64*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 1269/32*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*z2
          + 657/320*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 1269/160*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu1]*Tr[u[2,2]]*Tr[l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yu1]*Tr[u[2,2].u[2,2]]*lam[2,1,2,2]
          - 99/32*MatrixProduct[Yu1]*Tr[u[2,2].u[2,2].d[2,1]]
          - 33/16*MatrixProduct[Yu1]*Tr[u[2,2].d[1,1].d[2,1]]
          + 57/4*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha3
          - 12*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha3*z3
          + 1089/32*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha2
          - 27/8*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha2*z2
          - 2709/128*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha2*Doub2*z2
          + 1773/128*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 453/80*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha1
          + 39/10*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha1*z3
          - 27/80*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha1*z2
          + 4983/640*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha1*Doub2
          - 9/5*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha1*Doub2*z2
          - 459/640*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 9/8*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1].d[1,1]]
          + 15/4*MatrixProduct[Yu1]*Tr[u[2,2].d[2,1].d[2,2]]
          + 9/16*MatrixProduct[Yu1]*Tr[u[2,2].d[2,2].d[2,1]]
          - 45/16*MatrixProduct[Yu1]*Tr[d[1,1]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[d[1,1]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yu1]*Tr[d[1,1]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[d[1,1]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yu1]*Tr[d[1,1]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[d[1,1]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 135/16*MatrixProduct[Yu1]*Tr[d[1,1]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 27*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[u[1,1].u[2,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[u[1,1].d[2,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[u[2,1].d[1,1]]
          + 27*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*z2
          + 2889/32*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 3807/64*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*z2
          + 2889/160*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 3807/320*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[1,1].l[2,1]]
          - 27/8*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*z2
          + 963/32*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 1269/64*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*z2
          + 963/160*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 1269/320*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu1]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1]]*lam[1,1,2,1]
          - 75/32*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1].d[2,1]]
          + 9/2*MatrixProduct[Yu1]*Tr[d[1,1].d[1,1].d[2,1]]*z3
          + 45/8*MatrixProduct[Yu1]*Tr[d[1,1].d[1,2]]*lam[2,1,2,1]
          + 45/8*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*lam[1,1,2,2]
          + 45/8*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha3
          - 36*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha3*z3
          + 999/32*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha2
          + 27/16*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha2*z2
          + 549/128*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha2*Doub2*z2
          - 6453/128*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 717/32*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha1
          - 63/10*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha1*z3
          + 2781/640*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha1*Doub2*z2
          - 3417/128*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha1*Doub1
          + 9*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha1*Doub1*z3
          + 81/160*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1]]*alpha1*Doub1*
         Doub2
          - 33/32*MatrixProduct[Yu1]*Tr[d[1,1].d[2,1].d[2,2]]
          + 45/8*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2]]*lam[1,1,2,1]
          - 45/32*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2].d[2,1]]
          + 9/2*MatrixProduct[Yu1]*Tr[d[1,1].d[2,2].d[2,1]]*z3
          - 45/8*MatrixProduct[Yu1]*Tr[d[1,2]]*lam[2,1,2,2]^2
          - 45/8*MatrixProduct[Yu1]*Tr[d[1,2]]*lam[2,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[d[1,2]]*lam[2,1,2,1]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[d[1,2]]*lam[1,1,2,2]*lam[2,1,2,1]
          - 45/8*MatrixProduct[Yu1]*Tr[d[1,2]]*lam[1,1,2,1]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[d[1,2]]*lam[1,1,2,1]^2
          - 45/16*MatrixProduct[Yu1]*Tr[d[1,2]]*lam[1,1,1,1]*lam[2,1,2,1]
          - 459/64*MatrixProduct[Yu1]*Tr[d[1,2]]*alpha2*lam[2,1,2,1]*Doub2
          + 81/64*MatrixProduct[Yu1]*Tr[d[1,2]]*alpha2*lam[2,1,2,1]*Doub1
          + 189/32*MatrixProduct[Yu1]*Tr[d[1,2]]*alpha2*lam[2,1,2,1]*Doub1*
         Doub2
          - 1377/320*MatrixProduct[Yu1]*Tr[d[1,2]]*alpha1*lam[2,1,2,1]*Doub2
          + 243/320*MatrixProduct[Yu1]*Tr[d[1,2]]*alpha1*lam[2,1,2,1]*Doub1
          + 567/160*MatrixProduct[Yu1]*Tr[d[1,2]]*alpha1*lam[2,1,2,1]*Doub1*
         Doub2
          + 27*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[u[2,1].u[2,1]]
          - 9/4*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[u[2,1].d[2,1]]
          + 27*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[d[2,1].d[2,1]]
          + 9*MatrixProduct[Yu1]*Tr[d[1,2]]*Tr[l[2,1].l[2,1]]
          + 45/8*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1]]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1].d[2,1]]
          + 9/2*MatrixProduct[Yu1]*Tr[d[1,2].d[2,1].d[2,1]]*z3
          + 45/8*MatrixProduct[Yu1]*Tr[d[1,2].d[2,2]]*lam[2,1,2,1]
          - 15/16*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/4*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/16*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[d[2,1]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 503/3*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha3^2
          - 108*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha3^2*z3
          - 16*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha3^2*Ng
          + 459/64*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*lam[1,1,2,2]*Doub2
          - 81/64*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*lam[1,1,2,2]*Doub1
          - 189/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 261/8*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*alpha3
          - 36*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*alpha3*z2
          + 177/8*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*alpha3*Doub2
          + 45*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*alpha3*Doub2*z3
          - 129/8*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*alpha3*Doub1
          + 81*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*alpha3*Doub1*z3
          - 69/2*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*alpha3*Doub1*
         Doub2
          - 36*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*alpha3*Doub1*Doub2*
         z3
          + 27/2*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2*alpha3*Doub1*
         Doub2*z2
          - 2007/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2
          + 27/2*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*Ng
          - 57015/512*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*Doub2
          + 243/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*Doub2*z3
          + 27/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*Doub2*z2
          + 675/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*Doub2*Ng
          - 64467/512*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*Doub1
          - 189/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*Doub1*z3
          + 27/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*Doub1*z2
          + 675/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*Doub1*Ng
          + 42039/128*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*Doub1*
         Doub2
          - 729/16*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*Doub1*Doub2*
         z3
          + 27/64*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*Doub1*Doub2*z2
          - 783/16*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha2^2*Doub1*Doub2*
         Ng
          + 459/160*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*lam[1,2,2,1]*Doub2
          - 81/160*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*lam[1,2,2,1]*Doub1
          - 189/80*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          + 459/320*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*lam[1,1,2,2]*Doub2
          - 81/320*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*lam[1,1,2,2]*Doub1
          - 189/160*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*lam[1,1,2,2]*Doub1*
         Doub2
          - 307/120*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha3
          - 12*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha3*z2
          + 177/40*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha3*Doub2
          + 9*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha3*Doub2*z3
          - 129/40*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha3*Doub1
          + 81/5*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha3*Doub1*z3
          - 69/10*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha3*Doub1*
         Doub2
          - 36/5*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha3*Doub1*
         Doub2*z3
          + 27/10*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha3*Doub1*
         Doub2*z2
          - 5229/160*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha2
          - 9/20*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha2*z3
          + 27/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha2*z2
          + 44031/1280*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha2*
         Doub2
          - 333/80*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha2*Doub2*z3
          - 81/80*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha2*Doub2*z2
          + 6783/256*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha2*Doub1
          - 81/16*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha2*Doub1*z3
          - 81/80*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha2*Doub1*z2
          - 3867/160*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha2*Doub1*
         Doub2
          + 387/40*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 189/160*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z2
          - 4931/2400*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2
          - 57/50*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*z3
          + 189/1600*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*z2
          + 77/80*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*Ng
          + 25101/12800*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*Doub2
          + 819/800*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*Doub2*z3
          - 81/800*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*Doub2*z2
          + 135/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*Doub2*Ng
          + 21969/12800*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*Doub1
          + 27/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*Doub1*z3
          - 81/800*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*Doub1*z2
          + 135/32*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*Doub1*Ng
          - 189/128*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*Doub1*Doub2
          - 693/400*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*Doub1*Doub2*
         z3
          + 27/320*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*Doub1*Doub2*
         z2
          - 783/80*MatrixProduct[Yu1]*Tr[d[2,1]]*alpha1^2*Doub1*Doub2*
         Ng
          + 18*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[u[1,1].u[2,2]]
          - 81/8*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[u[2,1].d[1,2]]
          - 81/8*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[u[2,2].d[1,1]]
          + 18*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*z2
          + 1971/64*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub2*z2
          + 3807/32*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*z2
          + 1971/320*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub2*z2
          + 3807/160*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*Doub1
         *Doub2*z2
          - 27/8*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*z2
          + 963/32*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*Doub2
         *z2
          + 1269/64*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*z2
          + 963/160*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub2*z2
          + 1269/320*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*Doub1
         *Doub2*z2
          + 6*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[1,2].l[2,1]]
          - 27/8*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*z2
          + 657/64*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*Doub2
         *z2
          + 1269/32*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*z2
          + 657/320*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 1269/160*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu1]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yu1]*Tr[d[2,1].d[2,1]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yu1]*Tr[d[2,1].d[2,1]]*lam[1,1,1,2]
          + 45/8*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*lam[2,2,2,2]
          + 45/8*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*lam[1,1,2,2]
          + 15/4*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha3
          - 36*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha2
          + 27/16*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha2*z2
          - 7803/128*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha2*Doub2*z2
          + 1899/128*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 717/32*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha1
          - 63/10*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha1*z3
          - 3687/128*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha1*Doub2
          + 9*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha1*Doub2*z3
          + 81/160*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha1*Doub2*z2
          + 4131/640*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2]]*alpha1*Doub1*
         Doub2
          - 75/32*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2].d[2,2]]
          + 9/2*MatrixProduct[Yu1]*Tr[d[2,1].d[2,2].d[2,2]]*z3
          - 45/8*MatrixProduct[Yu1]*Tr[d[2,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yu1]*Tr[d[2,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[d[2,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yu1]*Tr[d[2,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu1]*Tr[d[2,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[d[2,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yu1]*Tr[d[2,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 27*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[u[2,1].u[2,2]]
          - 9/8*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[u[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[u[2,2].d[2,1]]
          + 27*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[d[2,1].d[2,2]]
          - 27/8*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*z2
          + 657/64*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 1269/32*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*z2
          + 657/320*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 1269/160*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu1]*Tr[d[2,2]]*Tr[l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yu1]*Tr[d[2,2].d[2,2]]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yu1]*Tr[l[1,1]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu1]*Tr[l[1,1]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yu1]*Tr[l[1,1]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yu1]*Tr[l[1,1]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yu1]*Tr[l[1,1]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/8*MatrixProduct[Yu1]*Tr[l[1,1]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[l[1,1]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 9*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[u[1,1].u[2,1]]
          - 3/8*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[u[1,1].d[2,1]]
          - 3/8*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[u[2,1].d[1,1]]
          + 9*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[d[1,1].d[2,1]]
          + 3*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[1,1].l[2,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2
          + 9/8*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*z2
          + 321/32*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 27/32*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 423/64*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 27/32*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 1065/64*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 9/16*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 9/40*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1
          + 9/40*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*z2
          + 321/160*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 27/160*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 423/320*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 27/160*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 213/64*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 9/80*MatrixProduct[Yu1]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 15/8*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1]]*lam[1,1,2,1]
          - 25/32*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1].l[2,1]]
          + 3/2*MatrixProduct[Yu1]*Tr[l[1,1].l[1,1].l[2,1]]*z3
          + 15/8*MatrixProduct[Yu1]*Tr[l[1,1].l[1,2]]*lam[2,1,2,1]
          + 15/8*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*lam[1,2,2,1]
          + 15/8*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*lam[1,1,2,2]
          + 15/8*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*lam[1,1,1,1]
          + 333/32*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha2
          + 9/16*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha2*z2
          + 183/128*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha2*Doub2
          - 9/32*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha2*Doub2*z2
          - 2151/128*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha2*Doub1
          + 9/2*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha2*Doub1*z2
          - 15/4*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 909/160*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha1
          - 27/10*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha1*z3
          + 927/640*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha1*Doub2
          - 27/160*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha1*Doub2*z2
          - 747/128*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha1*Doub1*z2
          - 153/80*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1]]*alpha1*Doub1*
         Doub2
          - 11/32*MatrixProduct[Yu1]*Tr[l[1,1].l[2,1].l[2,2]]
          + 15/8*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*lam[2,1,2,2]
          + 15/8*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2]]*lam[1,1,2,1]
          - 15/32*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2].l[2,1]]
          + 3/2*MatrixProduct[Yu1]*Tr[l[1,1].l[2,2].l[2,1]]*z3
          - 15/8*MatrixProduct[Yu1]*Tr[l[1,2]]*lam[2,1,2,2]^2
          - 15/8*MatrixProduct[Yu1]*Tr[l[1,2]]*lam[2,1,2,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu1]*Tr[l[1,2]]*lam[2,1,2,1]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yu1]*Tr[l[1,2]]*lam[1,1,2,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yu1]*Tr[l[1,2]]*lam[1,1,2,1]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yu1]*Tr[l[1,2]]*lam[1,1,2,1]^2
          - 15/16*MatrixProduct[Yu1]*Tr[l[1,2]]*lam[1,1,1,1]*lam[2,1,2,1]
          - 153/64*MatrixProduct[Yu1]*Tr[l[1,2]]*alpha2*lam[2,1,2,1]*Doub2
          + 27/64*MatrixProduct[Yu1]*Tr[l[1,2]]*alpha2*lam[2,1,2,1]*Doub1
          + 63/32*MatrixProduct[Yu1]*Tr[l[1,2]]*alpha2*lam[2,1,2,1]*Doub1*
         Doub2
          - 459/320*MatrixProduct[Yu1]*Tr[l[1,2]]*alpha1*lam[2,1,2,1]*Doub2
          + 81/320*MatrixProduct[Yu1]*Tr[l[1,2]]*alpha1*lam[2,1,2,1]*Doub1
          + 189/160*MatrixProduct[Yu1]*Tr[l[1,2]]*alpha1*lam[2,1,2,1]*Doub1*
         Doub2
          + 9*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[u[2,1].u[2,1]]
          - 3/4*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[u[2,1].d[2,1]]
          + 9*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[d[2,1].d[2,1]]
          + 3*MatrixProduct[Yu1]*Tr[l[1,2]]*Tr[l[2,1].l[2,1]]
          + 15/8*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*lam[2,1,2,2]
          + 15/8*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1]]*lam[1,1,2,1]
          - 3/4*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1].l[2,1]]
          + 3/2*MatrixProduct[Yu1]*Tr[l[1,2].l[2,1].l[2,1]]*z3
          + 15/8*MatrixProduct[Yu1]*Tr[l[1,2].l[2,2]]*lam[2,1,2,1]
          - 5/16*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,2,2,1]^2
          - 15/16*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 5/4*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 5/16*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,1,2,2]^2
          - 15/8*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 15/16*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu1]*Tr[l[2,1]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 153/64*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2*lam[1,1,2,2]*Doub2
          - 27/64*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2*lam[1,1,2,2]*Doub1
          - 63/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 3*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2*alpha3
          - 18*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2*alpha3*z3
          + 3/2*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2*alpha3*Doub2
          + 9*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2*alpha3*Doub2*z3
          + 3/2*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2*alpha3*Doub1
          + 9*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2*alpha3*Doub1*z3
          - 669/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2
          + 9/2*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*z3
          - 45/64*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*z2
          + 15/16*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*Ng
          - 19005/512*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*Doub2
          + 81/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*Doub2*z3
          + 9/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*Doub2*z2
          + 225/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*Doub2*Ng
          - 21489/512*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*Doub1
          - 63/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*Doub1*z3
          + 9/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*Doub1*z2
          + 225/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*Doub1*Ng
          + 14013/128*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*Doub1*
         Doub2
          - 243/16*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*Doub1*Doub2*
         z3
          + 9/64*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*Doub1*Doub2*z2
          - 261/16*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha2^2*Doub1*Doub2*
         Ng
          + 153/160*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*lam[1,2,2,1]*Doub2
          - 27/160*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*lam[1,2,2,1]*Doub1
          - 63/80*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          + 153/320*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*lam[1,1,2,2]*Doub2
          - 27/320*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*lam[1,1,2,2]*Doub1
          - 63/160*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*lam[1,1,2,2]*Doub1*
         Doub2
          - 3/5*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha3
          - 18/5*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha3*z3
          + 3/10*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha3*Doub2
          + 9/5*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha3*Doub2*z3
          + 3/10*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha3*Doub1
          + 9/5*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha3*Doub1*z3
          - 411/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha2
          - 117/20*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha2*z3
          - 27/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha2*z2
          + 3657/256*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha2*Doub2
          + 9/80*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha2*Doub2*z3
          - 27/80*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha2*Doub2*z2
          + 10833/1280*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha2*
         Doub1
          + 45/16*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha2*Doub1*z3
          - 27/80*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha2*Doub1*z2
          - 369/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha2*Doub1*
         Doub2
          + 81/40*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 243/160*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z2
          - 859/800*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2
          - 102/25*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*z3
          - 297/1600*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*z2
          - 81/80*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*Ng
          + 2847/12800*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*Doub2
          + 513/800*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*Doub2*z3
          - 27/800*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*Doub2*z2
          + 45/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*Doub2*Ng
          - 6357/12800*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*Doub1
          + 189/160*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*Doub1*z3
          - 27/800*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*Doub1*z2
          + 45/32*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*Doub1*Ng
          - 111/128*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*Doub1*Doub2
          - 711/400*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*Doub1*Doub2*
         z3
          + 81/320*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*Doub1*Doub2*
         z2
          - 261/80*MatrixProduct[Yu1]*Tr[l[2,1]]*alpha1^2*Doub1*Doub2*
         Ng
          + 6*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[u[1,1].u[2,2]]
          - 27/8*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[u[1,1].d[2,2]]
          + 3*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[u[1,2].u[2,1]]
          + 3*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[u[1,2].d[2,1]]
          + 3*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[u[2,1].d[1,2]]
          - 27/8*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[u[2,2].d[1,1]]
          + 6*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[d[1,1].d[2,2]]
          + 3*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[d[1,2].d[2,1]]
          + 2*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[1,1].l[2,2]]
          + MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[1,2].l[2,1]]
          - 9/8*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2
          + 9/8*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*z2
          + 219/64*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 27/32*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*Doub2
         *z2
          + 423/32*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 27/32*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*Doub1
         *z2
          - 1065/64*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 9/16*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 9/40*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1
          + 9/40*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*z2
          + 219/320*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 27/160*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 423/160*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 27/160*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 213/64*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 9/80*MatrixProduct[Yu1]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 15/8*MatrixProduct[Yu1]*Tr[l[2,1].l[2,1]]*lam[1,2,2,2]
          + 15/8*MatrixProduct[Yu1]*Tr[l[2,1].l[2,1]]*lam[1,1,1,2]
          + 15/8*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*lam[1,2,2,1]
          + 15/8*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*lam[2,2,2,2]
          + 15/8*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*lam[1,1,2,2]
          + 333/32*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha2
          + 9/16*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha2*z2
          - 2601/128*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha2*Doub2
          + 9/2*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha2*Doub2*z2
          + 633/128*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha2*Doub1
          - 9/32*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha2*Doub1*z2
          - 15/4*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 909/160*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha1
          - 27/10*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha1*z3
          - 837/128*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha1*Doub2*z2
          + 1377/640*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha1*Doub1
          - 27/160*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha1*Doub1*z2
          - 153/80*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2]]*alpha1*Doub1*
         Doub2
          - 25/32*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2].l[2,2]]
          + 3/2*MatrixProduct[Yu1]*Tr[l[2,1].l[2,2].l[2,2]]*z3
          - 15/8*MatrixProduct[Yu1]*Tr[l[2,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu1]*Tr[l[2,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yu1]*Tr[l[2,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yu1]*Tr[l[2,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yu1]*Tr[l[2,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu1]*Tr[l[2,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/16*MatrixProduct[Yu1]*Tr[l[2,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 9*MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[u[2,1].u[2,2]]
          - 3/8*MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[u[2,1].d[2,2]]
          - 3/8*MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[u[2,2].d[2,1]]
          + 9*MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[d[2,1].d[2,2]]
          + 3*MatrixProduct[Yu1]*Tr[l[2,2]]*Tr[l[2,1].l[2,2]]
          + 15/8*MatrixProduct[Yu1]*Tr[l[2,2].l[2,2]]*lam[2,1,2,2]
          - 5/8*MatrixProduct[Yu2]*lam[1,2,2,1]^3
          - 3/4*MatrixProduct[Yu2]*lam[2,2,2,2]*lam[1,2,2,1]^2
          - 9/4*MatrixProduct[Yu2]*lam[2,2,2,2]^3
          - 6*MatrixProduct[Yu2]*lam[1,2,2,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/4*MatrixProduct[Yu2]*lam[1,2,2,2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 15/4*MatrixProduct[Yu2]*lam[2,1,2,1]*lam[1,2,2,2]^2
          - 15/4*MatrixProduct[Yu2]*lam[1,2,1,2]*lam[2,1,2,2]^2
          - 27/8*MatrixProduct[Yu2]*lam[1,2,1,2]*lam[2,1,2,1]*lam[1,2,2,1]
          - 3/4*MatrixProduct[Yu2]*lam[1,2,1,2]*lam[2,1,2,1]*lam[2,2,2,2]
          - 3/2*MatrixProduct[Yu2]*lam[1,1,2,2]*lam[1,2,2,1]^2
          - 3/2*MatrixProduct[Yu2]*lam[1,1,2,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 9/2*MatrixProduct[Yu2]*lam[1,1,2,2]*lam[1,2,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yu2]*lam[1,1,2,2]*lam[1,2,1,2]*lam[2,1,2,1]
          - 3/4*MatrixProduct[Yu2]*lam[1,1,2,2]^2*lam[1,2,2,1]
          - 3/2*MatrixProduct[Yu2]*lam[1,1,2,2]^2*lam[2,2,2,2]
          - 1/2*MatrixProduct[Yu2]*lam[1,1,2,2]^3
          - 9/4*MatrixProduct[Yu2]*lam[1,1,2,1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yu2]*lam[1,1,2,1]*lam[1,2,1,2]*lam[2,1,2,2]
          - 27/8*MatrixProduct[Yu2]*lam[1,1,2,1]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yu2]*lam[1,1,2,1]^2*lam[1,2,1,2]
          - 9/4*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[2,1,2,1]*lam[1,2,2,2]
          - 27/8*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[1,1,2,2]*lam[2,1,2,2]
          - 3*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yu2]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/8*MatrixProduct[Yu2]*lam[1,1,1,2]^2*lam[2,1,2,1]
          - 3/8*MatrixProduct[Yu2]*lam[1,1,1,1]*lam[1,2,2,1]^2
          - 3/8*MatrixProduct[Yu2]*lam[1,1,1,1]*lam[1,2,1,2]*lam[2,1,2,1]
          - 3/4*MatrixProduct[Yu2]*lam[1,1,1,1]*lam[1,1,2,2]*lam[1,2,2,1]
          - 3/4*MatrixProduct[Yu2]*lam[1,1,1,1]*lam[1,1,2,2]^2
          - 9/4*MatrixProduct[Yu2]*lam[1,1,1,1]*lam[1,1,1,2]*lam[1,1,2,1]
          - 1249*MatrixProduct[Yu2]*alpha3^3
          + 4432/27*MatrixProduct[Yu2]*alpha3^3*Ng
          + 320/3*MatrixProduct[Yu2]*alpha3^3*Ng*z3
          + 560/81*MatrixProduct[Yu2]*alpha3^3*Ng^2
          + 153/16*MatrixProduct[Yu2]*alpha2*lam[1,2,2,1]^2*Doub2
          - 15/16*MatrixProduct[Yu2]*alpha2*lam[1,2,2,1]^2*Doub1
          - 39/8*MatrixProduct[Yu2]*alpha2*lam[1,2,2,1]^2*Doub1*Doub2
          + 45/8*MatrixProduct[Yu2]*alpha2*lam[2,2,2,2]^2*Doub2
          + 693/32*MatrixProduct[Yu2]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub2
          - 153/32*MatrixProduct[Yu2]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub1*
         Doub2
          + 609/32*MatrixProduct[Yu2]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub2
          - 117/32*MatrixProduct[Yu2]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub1
          - 39/4*MatrixProduct[Yu2]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub1*Doub2
          + 3/16*MatrixProduct[Yu2]*alpha2*lam[1,1,2,2]*lam[1,2,2,1]*Doub2
          + 57/16*MatrixProduct[Yu2]*alpha2*lam[1,1,2,2]*lam[1,2,2,1]*Doub1
          + 3/16*MatrixProduct[Yu2]*alpha2*lam[1,1,2,2]^2*Doub2
          + 57/16*MatrixProduct[Yu2]*alpha2*lam[1,1,2,2]^2*Doub1
          + 207/16*MatrixProduct[Yu2]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub2
          + 81/32*MatrixProduct[Yu2]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub1
          - 315/32*MatrixProduct[Yu2]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub1*
         Doub2
          + 531/8*MatrixProduct[Yu2]*alpha2*alpha3^2
          + 19*MatrixProduct[Yu2]*alpha2*alpha3^2*Ng
          - 24*MatrixProduct[Yu2]*alpha2*alpha3^2*Ng*z3
          - 3/2*MatrixProduct[Yu2]*alpha2^2*lam[1,2,2,1]*Doub1
          + 9/8*MatrixProduct[Yu2]*alpha2^2*lam[1,2,2,1]*Doub1*z3
          + 39/64*MatrixProduct[Yu2]*alpha2^2*lam[1,2,2,1]*Doub1*Doub2
          - 9/8*MatrixProduct[Yu2]*alpha2^2*lam[1,2,2,1]*Doub1*Doub2*z3
          - 171/64*MatrixProduct[Yu2]*alpha2^2*lam[2,2,2,2]*Doub2
          - 3*MatrixProduct[Yu2]*alpha2^2*lam[1,1,2,2]*Doub1
          + 9/4*MatrixProduct[Yu2]*alpha2^2*lam[1,1,2,2]*Doub1*z3
          + 39/32*MatrixProduct[Yu2]*alpha2^2*lam[1,1,2,2]*Doub1*Doub2
          - 9/4*MatrixProduct[Yu2]*alpha2^2*lam[1,1,2,2]*Doub1*Doub2*z3
          + 507/16*MatrixProduct[Yu2]*alpha2^2*alpha3
          - 39/4*MatrixProduct[Yu2]*alpha2^2*alpha3*Ng
          + 21/16*MatrixProduct[Yu2]*alpha2^2*alpha3*Doub2
          + 135/8*MatrixProduct[Yu2]*alpha2^2*alpha3*Doub2*Ng
          - 18*MatrixProduct[Yu2]*alpha2^2*alpha3*Doub2*Ng*z3
          - 27/16*MatrixProduct[Yu2]*alpha2^2*alpha3*Doub1
          + 69271/768*MatrixProduct[Yu2]*alpha2^3
          - 9/2*MatrixProduct[Yu2]*alpha2^3*z3
          - 2521/96*MatrixProduct[Yu2]*alpha2^3*Ng
          + 5/6*MatrixProduct[Yu2]*alpha2^3*Ng^2
          - 237167/2304*MatrixProduct[Yu2]*alpha2^3*Doub2
          + 117/16*MatrixProduct[Yu2]*alpha2^3*Doub2*z3
          + 803/36*MatrixProduct[Yu2]*alpha2^3*Doub2*Ng
          + 45/2*MatrixProduct[Yu2]*alpha2^3*Doub2*Ng*z3
          + 35/18*MatrixProduct[Yu2]*alpha2^3*Doub2*Ng^2
          - 1147/256*MatrixProduct[Yu2]*alpha2^3*Doub1
          + 1/3*MatrixProduct[Yu2]*alpha2^3*Doub1*Ng
          + 14513/2304*MatrixProduct[Yu2]*alpha2^3*Doub1*Doub2
          + 45/16*MatrixProduct[Yu2]*alpha2^3*Doub1*Doub2*z3
          + 19/36*MatrixProduct[Yu2]*alpha2^3*Doub1*Doub2*Ng
          + 3/80*MatrixProduct[Yu2]*alpha1*lam[1,2,2,1]^2*Doub2
          + 57/80*MatrixProduct[Yu2]*alpha1*lam[1,2,2,1]^2*Doub1
          + 9/8*MatrixProduct[Yu2]*alpha1*lam[2,2,2,2]^2*Doub2
          + 693/160*MatrixProduct[Yu2]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub2
          - 153/160*MatrixProduct[Yu2]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub1*
         Doub2
          + 909/160*MatrixProduct[Yu2]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub2
          - 261/160*MatrixProduct[Yu2]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub1
          - 117/40*MatrixProduct[Yu2]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub1*
         Doub2
          + 3/80*MatrixProduct[Yu2]*alpha1*lam[1,1,2,2]*lam[1,2,2,1]*Doub2
          + 57/80*MatrixProduct[Yu2]*alpha1*lam[1,1,2,2]*lam[1,2,2,1]*Doub1
          + 3/80*MatrixProduct[Yu2]*alpha1*lam[1,1,2,2]^2*Doub2
          + 57/80*MatrixProduct[Yu2]*alpha1*lam[1,1,2,2]^2*Doub1
          + 207/80*MatrixProduct[Yu2]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub2
          + 81/160*MatrixProduct[Yu2]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub1
          - 63/32*MatrixProduct[Yu2]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub1*Doub2
          - 127/120*MatrixProduct[Yu2]*alpha1*alpha3^2
          + 44/9*MatrixProduct[Yu2]*alpha1*alpha3^2*Ng
          - 88/15*MatrixProduct[Yu2]*alpha1*alpha3^2*Ng*z3
          + 27/20*MatrixProduct[Yu2]*alpha1*alpha2*lam[1,2,2,1]*Doub1*z3
          + 117/160*MatrixProduct[Yu2]*alpha1*alpha2*lam[1,2,2,1]*Doub1*
         Doub2
          - 27/20*MatrixProduct[Yu2]*alpha1*alpha2*lam[1,2,2,1]*Doub1*Doub2*
         z3
          + 117/160*MatrixProduct[Yu2]*alpha1*alpha2*lam[2,2,2,2]*Doub2
          - 81/40*MatrixProduct[Yu2]*alpha1*alpha2*alpha3
          - 6*MatrixProduct[Yu2]*alpha1*alpha2*alpha3*Doub2
          + 3663/1280*MatrixProduct[Yu2]*alpha1*alpha2^2
          - 9/20*MatrixProduct[Yu2]*alpha1*alpha2^2*z3
          - 21/32*MatrixProduct[Yu2]*alpha1*alpha2^2*Ng
          - 1809/1280*MatrixProduct[Yu2]*alpha1*alpha2^2*Doub2
          + 9/80*MatrixProduct[Yu2]*alpha1*alpha2^2*Doub2*z3
          + 3/5*MatrixProduct[Yu2]*alpha1*alpha2^2*Doub2*Ng
          - 9/10*MatrixProduct[Yu2]*alpha1*alpha2^2*Doub2*Ng*z3
          - 363/1280*MatrixProduct[Yu2]*alpha1*alpha2^2*Doub1
          + 1257/1280*MatrixProduct[Yu2]*alpha1*alpha2^2*Doub1*Doub2
          - 27/80*MatrixProduct[Yu2]*alpha1*alpha2^2*Doub1*Doub2*z3
          - 3/10*MatrixProduct[Yu2]*alpha1^2*lam[1,2,2,1]*Doub1
          + 27/200*MatrixProduct[Yu2]*alpha1^2*lam[1,2,2,1]*Doub1*z3
          + 117/1600*MatrixProduct[Yu2]*alpha1^2*lam[1,2,2,1]*Doub1*Doub2
          - 27/200*MatrixProduct[Yu2]*alpha1^2*lam[1,2,2,1]*Doub1*Doub2*z3
          - 1089/1600*MatrixProduct[Yu2]*alpha1^2*lam[2,2,2,2]*Doub2
          - 3/5*MatrixProduct[Yu2]*alpha1^2*lam[1,1,2,2]*Doub1
          + 27/100*MatrixProduct[Yu2]*alpha1^2*lam[1,1,2,2]*Doub1*z3
          + 117/800*MatrixProduct[Yu2]*alpha1^2*lam[1,1,2,2]*Doub1*Doub2
          - 27/100*MatrixProduct[Yu2]*alpha1^2*lam[1,1,2,2]*Doub1*Doub2*z3
          - 3371/1200*MatrixProduct[Yu2]*alpha1^2*alpha3
          + 413/900*MatrixProduct[Yu2]*alpha1^2*alpha3*Ng
          - 176/75*MatrixProduct[Yu2]*alpha1^2*alpha3*Ng*z3
          + 997/1200*MatrixProduct[Yu2]*alpha1^2*alpha3*Doub2
          + 99/40*MatrixProduct[Yu2]*alpha1^2*alpha3*Doub2*Ng
          - 66/25*MatrixProduct[Yu2]*alpha1^2*alpha3*Doub2*Ng*z3
          - 203/1200*MatrixProduct[Yu2]*alpha1^2*alpha3*Doub1
          - 57/1280*MatrixProduct[Yu2]*alpha1^2*alpha2
          + 31/800*MatrixProduct[Yu2]*alpha1^2*alpha2*Ng
          - 12/25*MatrixProduct[Yu2]*alpha1^2*alpha2*Ng*z3
          + 6771/6400*MatrixProduct[Yu2]*alpha1^2*alpha2*Doub2
          - 153/400*MatrixProduct[Yu2]*alpha1^2*alpha2*Doub2*z3
          + 21/80*MatrixProduct[Yu2]*alpha1^2*alpha2*Doub2*Ng
          - 27/50*MatrixProduct[Yu2]*alpha1^2*alpha2*Doub2*Ng*z3
          + 87/256*MatrixProduct[Yu2]*alpha1^2*alpha2*Doub1
          - 9/50*MatrixProduct[Yu2]*alpha1^2*alpha2*Doub1*z3
          + 3771/6400*MatrixProduct[Yu2]*alpha1^2*alpha2*Doub1*Doub2
          - 81/400*MatrixProduct[Yu2]*alpha1^2*alpha2*Doub1*Doub2*z3
          - 24719/288000*MatrixProduct[Yu2]*alpha1^3
          + 6431/7200*MatrixProduct[Yu2]*alpha1^3*Ng
          - 76/75*MatrixProduct[Yu2]*alpha1^3*Ng*z3
          + 83/162*MatrixProduct[Yu2]*alpha1^3*Ng^2
          + 133337/288000*MatrixProduct[Yu2]*alpha1^3*Doub2
          - 153/2000*MatrixProduct[Yu2]*alpha1^3*Doub2*z3
          + 853/540*MatrixProduct[Yu2]*alpha1^3*Doub2*Ng
          - 57/50*MatrixProduct[Yu2]*alpha1^3*Doub2*Ng*z3
          + 7/18*MatrixProduct[Yu2]*alpha1^3*Doub2*Ng^2
          + 24833/288000*MatrixProduct[Yu2]*alpha1^3*Doub1
          - 9/250*MatrixProduct[Yu2]*alpha1^3*Doub1*z3
          + 13/135*MatrixProduct[Yu2]*alpha1^3*Doub1*Ng
          + 44197/288000*MatrixProduct[Yu2]*alpha1^3*Doub1*Doub2
          - 81/2000*MatrixProduct[Yu2]*alpha1^3*Doub1*Doub2*z3
          + 19/300*MatrixProduct[Yu2]*alpha1^3*Doub1*Doub2*Ng
          - 15/4*MatrixProduct[Yu2]*Tr[u[1,1]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yu2]*Tr[u[1,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[u[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/4*MatrixProduct[Yu2]*Tr[u[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yu2]*Tr[u[1,1]]*lam[1,1,2,2]^2
          - 135/16*MatrixProduct[Yu2]*Tr[u[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 46/3*MatrixProduct[Yu2]*Tr[u[1,1]]*alpha3^2
          + 309/64*MatrixProduct[Yu2]*Tr[u[1,1]]*alpha2^2
          - 663/64*MatrixProduct[Yu2]*Tr[u[1,1]]*alpha2^2*Doub2
          - 255/64*MatrixProduct[Yu2]*Tr[u[1,1]]*alpha2^2*Doub1
          + 147/32*MatrixProduct[Yu2]*Tr[u[1,1]]*alpha2^2*Doub1*Doub2
          - 2339/4800*MatrixProduct[Yu2]*Tr[u[1,1]]*alpha1^2
          - 2541/1600*MatrixProduct[Yu2]*Tr[u[1,1]]*alpha1^2*Doub2
          - 389/1600*MatrixProduct[Yu2]*Tr[u[1,1]]*alpha1^2*Doub1
          + 441/800*MatrixProduct[Yu2]*Tr[u[1,1]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,1].d[2,2]]
          + 18*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2].u[2,1]]
          - 81/8*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,1].d[2,2]]
          + 18*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[d[1,2].d[2,1]]
          + 3*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,1].l[2,2]]
          + 6*MatrixProduct[Yu2]*Tr[u[1,1]]*Tr[l[1,2].l[2,1]]
          + 21/32*MatrixProduct[Yu2]*Tr[u[1,1].u[1,1].u[2,2]]
          + 21/32*MatrixProduct[Yu2]*Tr[u[1,1].u[1,1].d[2,2]]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2]]*lam[1,1,2,1]
          - 3/16*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2].u[2,1]]
          - 63/32*MatrixProduct[Yu2]*Tr[u[1,1].u[1,2].d[2,1]]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,1].u[2,1]]*lam[1,1,1,2]
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,1].u[2,1].u[1,2]]
          + 9/2*MatrixProduct[Yu2]*Tr[u[1,1].u[2,1].u[1,2]]*z3
          - 57/32*MatrixProduct[Yu2]*Tr[u[1,1].u[2,1].d[1,2]]
          + 15/2*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha3
          - 12*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha2
          + 549/32*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha2*Doub2
          - 81/32*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha2*Doub2*z2
          - 999/32*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 941/80*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha1
          - 39/5*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha1*z3
          + 549/160*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha1*Doub2*z2
          - 2469/160*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1
          + 9*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*z3
          + 27/160*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*z2
          - 279/80*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/16*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2].u[2,2]]
          + 9/32*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2].d[1,1]]
          - 15/8*MatrixProduct[Yu2]*Tr[u[1,1].u[2,2].d[2,2]]
          + 9/32*MatrixProduct[Yu2]*Tr[u[1,1].d[1,1].u[2,2]]
          + 9/32*MatrixProduct[Yu2]*Tr[u[1,1].d[1,1].d[2,2]]
          - 63/32*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2].u[2,1]]
          + 87/16*MatrixProduct[Yu2]*Tr[u[1,1].d[1,2].d[2,1]]
          - 57/32*MatrixProduct[Yu2]*Tr[u[1,1].d[2,1].u[1,2]]
          + 33/16*MatrixProduct[Yu2]*Tr[u[1,1].d[2,1].d[1,2]]
          - 15/4*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha2
          + 549/32*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha2*Doub2
          - 81/32*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha2*Doub2*z2
          - 999/32*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 1157/160*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha1
          + 39/10*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha1*z3
          + 27/80*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha1*z2
          - 567/160*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha1*Doub2*z2
          + 231/40*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1
          - 9/5*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*z2
          + 279/80*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          - 15/8*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2].u[2,2]]
          + 9/32*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2].d[1,1]]
          + 9/16*MatrixProduct[Yu2]*Tr[u[1,1].d[2,2].d[2,2]]
          - 45/8*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[u[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 135/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*lam[2,1,2,2]*Doub2
          + 135/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha2*lam[2,1,2,2]*Doub1
          - 81/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*lam[2,1,2,2]*Doub2
          + 81/32*MatrixProduct[Yu2]*Tr[u[1,2]]*alpha1*lam[2,1,2,2]*Doub1
          - 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*z2
          + 4455/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub2
          - 243/16*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub2*z2
          + 81/4*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub1
          - 81/16*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub1
         *z2
          - 5103/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*z2
          + 891/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub2
          - 243/80*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub2*z2
          + 81/20*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*Doub1
          - 81/80*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*Doub1
         *z2
          - 5103/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 27*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1].u[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[u[2,2].d[2,1]]
          - 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*z2
          + 4455/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/16*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 81/4*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub1
          - 81/16*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub1
         *z2
          - 5103/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*z2
          + 891/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/80*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 81/20*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*Doub1
          - 81/80*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*Doub1
         *z2
          - 5103/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 27*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[d[2,1].d[2,2]]
          - 27/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 1485/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/16*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 27/4*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 297/32*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub2
         *z2
          + 27/20*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu2]*Tr[u[1,2]]*Tr[l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,2].u[1,2]]*lam[2,1,2,1]
          + 15/4*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*lam[1,2,2,1]
          + 15/2*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*lam[1,1,2,2]
          + 5/2*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha3
          - 24*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha3*z3
          + 135/32*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha2
          + 27/16*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha2*z2
          - 9/16*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha2*Doub2*z2
          - 405/16*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha2*Doub1*z3
          + 311/40*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha1
          + 12/5*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha1*z3
          + 549/80*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha1*Doub2
          - 81/80*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha1*Doub2*z2
          - 1263/160*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1
          - 9/2*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*z2
          - 279/40*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*
         Doub2
          + 27/40*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 33/8*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1].u[2,2]]
          + 9*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1].u[2,2]]*z3
          + 33/16*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1].d[1,1]]
          - 3/8*MatrixProduct[Yu2]*Tr[u[1,2].u[2,1].d[2,2]]
          + 135/8*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2]]*lam[2,1,2,2]
          - 9/8*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2].u[2,1]]
          - 9/32*MatrixProduct[Yu2]*Tr[u[1,2].u[2,2].d[2,1]]
          + 87/16*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1].u[2,1]]
          - 63/32*MatrixProduct[Yu2]*Tr[u[1,2].d[1,1].d[2,1]]
          + 15/4*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1]]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1]]*lam[1,1,2,2]
          + 13*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1]]*alpha3
          + 225/32*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1]]*alpha2
          - 27/8*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1]]*alpha2*z2
          - 81/8*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1]]*alpha2*Doub2
          + 27/8*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1]]*alpha2*Doub2*z2
          + 45/8*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1]]*alpha2*Doub1
          + 251/160*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1]]*alpha1
          - 27/40*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1]]*alpha1*z2
          - 81/40*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1]]*alpha1*Doub2
          + 27/40*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1]]*alpha1*Doub2*z2
          + 9/8*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1]]*alpha1*Doub1
          + 129/32*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1].u[2,2]]
          - 57/32*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1].d[1,1]]
          - 9/32*MatrixProduct[Yu2]*Tr[u[1,2].d[2,1].d[2,2]]
          - 3/2*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2].u[2,1]]
          + 129/32*MatrixProduct[Yu2]*Tr[u[1,2].d[2,2].d[2,1]]
          - 45/8*MatrixProduct[Yu2]*Tr[u[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yu2]*Tr[u[2,1]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[u[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[u[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[u[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/16*MatrixProduct[Yu2]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          + 135/32*MatrixProduct[Yu2]*Tr[u[2,1]]*alpha2*lam[1,2,2,2]*Doub2
          - 135/32*MatrixProduct[Yu2]*Tr[u[2,1]]*alpha2*lam[1,2,2,2]*Doub1
          + 81/32*MatrixProduct[Yu2]*Tr[u[2,1]]*alpha1*lam[1,2,2,2]*Doub2
          - 81/32*MatrixProduct[Yu2]*Tr[u[2,1]]*alpha1*lam[1,2,2,2]*Doub1
          + 27*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[u[1,2].u[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[u[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[u[2,2].d[1,2]]
          - 81/8*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*z2
          + 4455/32*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub2
          - 243/16*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub2*z2
          + 81/4*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub1
          - 81/16*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub1
         *z2
          - 5103/32*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*z2
          + 891/32*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub2
          - 243/80*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub2*z2
          + 81/20*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*Doub1
          - 81/80*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*Doub1
         *z2
          - 5103/160*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 27*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[d[1,2].d[2,2]]
          - 27/8*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*z2
          + 1485/32*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/16*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 27/4*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*z2
          + 297/32*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub2
         *z2
          + 27/20*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub1
          - 27/80*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu2]*Tr[u[2,1]]*Tr[l[1,2].l[2,2]]
          + 45/8*MatrixProduct[Yu2]*Tr[u[2,1].u[2,1]]*lam[1,2,1,2]
          + 135/8*MatrixProduct[Yu2]*Tr[u[2,1].u[2,2]]*lam[1,2,2,2]
          + 129/32*MatrixProduct[Yu2]*Tr[u[2,1].u[2,2].d[1,2]]
          - 57/32*MatrixProduct[Yu2]*Tr[u[2,1].d[1,1].d[1,2]]
          + 15/4*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2]]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2]]*lam[1,1,2,2]
          + 13*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2]]*alpha3
          + 225/32*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2]]*alpha2
          - 27/8*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2]]*alpha2*z2
          - 81/8*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2]]*alpha2*Doub2
          + 27/8*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2]]*alpha2*Doub2*z2
          + 45/8*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2]]*alpha2*Doub1
          + 251/160*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2]]*alpha1
          - 27/40*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2]]*alpha1*z2
          - 81/40*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2]]*alpha1*Doub2
          + 27/40*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2]]*alpha1*Doub2*z2
          + 9/8*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2]]*alpha1*Doub1
          - 9/32*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2].u[2,2]]
          - 63/32*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2].d[1,1]]
          + 129/32*MatrixProduct[Yu2]*Tr[u[2,1].d[1,2].d[2,2]]
          - 9/32*MatrixProduct[Yu2]*Tr[u[2,1].d[2,2].d[1,2]]
          - 15/8*MatrixProduct[Yu2]*Tr[u[2,2]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yu2]*Tr[u[2,2]]*lam[2,2,2,2]^2
          - 135/8*MatrixProduct[Yu2]*Tr[u[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[u[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yu2]*Tr[u[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yu2]*Tr[u[2,2]]*lam[1,1,2,2]^2
          + 505/3*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha3^2
          - 12*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha3^2*z3
          - 16*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha3^2*Ng
          - 261/8*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2*alpha3
          - 36*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2*alpha3*z2
          - 57/2*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2*alpha3*Doub2
          + 90*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2*alpha3*Doub2*z3
          + 27/2*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2*alpha3*Doub2*z2
          - 2265/64*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2^2
          + 27/4*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2^2*Ng
          + 21183/256*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2^2*Doub2
          - 351/8*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2^2*Doub2*z3
          + 135/64*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2^2*Doub2*z2
          - 27/4*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2^2*Doub2*Ng
          + 63/128*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2^2*Doub1
          - 117/64*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha2^2*Doub1*Doub2
          - 347/24*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1*alpha3
          + 12/5*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1*alpha3*z2
          - 57/10*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1*alpha3*Doub2
          + 18*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1*alpha3*Doub2*z3
          + 27/10*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1*alpha3*Doub2*z2
          - 1161/40*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1*alpha2
          - 9/5*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1*alpha2*z3
          - 27/160*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1*alpha2*z2
          + 23721/640*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1*alpha2*Doub2
          + 117/20*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1*alpha2*Doub2*z3
          + 27/160*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1*alpha2*Doub2*z2
          - 817/1600*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1^2
          - 3/25*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1^2*z3
          - 27/320*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1^2*z2
          - 19/80*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1^2*Ng
          - 113/256*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1^2*Doub2
          + 27/200*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1^2*Doub2*z3
          + 27/320*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1^2*Doub2*z2
          - 27/20*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1^2*Doub2*Ng
          - 339/3200*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1^2*Doub1
          - 351/1600*MatrixProduct[Yu2]*Tr[u[2,2]]*alpha1^2*Doub1*Doub2
          - 81/8*MatrixProduct[Yu2]*Tr[u[2,2]]^2*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[u[2,2]]^2*alpha2*z2
          - 81/8*MatrixProduct[Yu2]*Tr[u[2,2]]^2*alpha2*Doub2*z2
          - 81/40*MatrixProduct[Yu2]*Tr[u[2,2]]^2*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[u[2,2]]^2*alpha1*z2
          - 81/40*MatrixProduct[Yu2]*Tr[u[2,2]]^2*alpha1*Doub2*z2
          + 27*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[u[2,2].u[2,2]]
          - 9/4*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[u[2,2].d[2,2]]
          - 81/4*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha2
          + 81/4*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha2*z2
          - 81/4*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha2*Doub2*
         z2
          - 81/20*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha1
          + 81/20*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha1*z2
          - 81/20*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha1*Doub2
         *z2
          + 27*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[d[2,2].d[2,2]]
          - 27/4*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha2
          + 27/4*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha2*z2
          - 27/4*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha2*Doub2*
         z2
          - 27/20*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha1
          + 27/20*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha1*z2
          - 27/20*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha1*Doub2
         *z2
          + 9*MatrixProduct[Yu2]*Tr[u[2,2]]*Tr[l[2,2].l[2,2]]
          + 45/4*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2]]*lam[2,2,2,2]
          + 15/4*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2]]*alpha3
          - 36*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2]]*alpha2
          + 27/16*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2]]*alpha2*z2
          - 459/8*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2]]*alpha2*Doub2*z3
          - 27/16*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2]]*alpha2*Doub2*z2
          + 1563/80*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2]]*alpha1
          - 27/5*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2]]*alpha1*z3
          - 3759/160*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2]]*alpha1*Doub2*z3
          - 75/32*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2].u[2,2]]
          + 9/2*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2].u[2,2]]*z3
          + 9/16*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2].d[1,1]]
          + 39/32*MatrixProduct[Yu2]*Tr[u[2,2].u[2,2].d[2,2]]
          - 15/4*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha3
          - 12*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha3*z3
          + 27*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha2
          + 549/32*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha2*Doub2
          - 81/32*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha2*Doub2*z2
          - 999/32*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 113/10*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha1
          + 33/5*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha1*z3
          + 27/80*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha1*z2
          - 567/160*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha1*Doub2*z2
          + 1659/160*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1
          - 63/10*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*z2
          + 279/80*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 21/32*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1].d[1,1]]
          - 15/8*MatrixProduct[Yu2]*Tr[u[2,2].d[1,1].d[2,2]]
          - 3/2*MatrixProduct[Yu2]*Tr[u[2,2].d[1,2].d[2,1]]
          - 3/8*MatrixProduct[Yu2]*Tr[u[2,2].d[2,1].d[1,2]]
          + 57/2*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2]]*alpha3
          - 24*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2]]*alpha3*z3
          + 1089/16*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2]]*alpha2
          - 27/4*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2]]*alpha2*z2
          - 72*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2]]*alpha2*Doub2
          + 27/4*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2]]*alpha2*Doub2*z2
          - 2463/160*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2]]*alpha1
          + 21/2*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2]]*alpha1*z3
          - 27/40*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2]]*alpha1*z2
          + 2277/160*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2]]*alpha1*Doub2
          - 81/10*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2]]*alpha1*Doub2*z3
          + 27/40*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2]]*alpha1*Doub2*z2
          - 15/8*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2].d[1,1]]
          + 39/32*MatrixProduct[Yu2]*Tr[u[2,2].d[2,2].d[2,2]]
          - 15/4*MatrixProduct[Yu2]*Tr[d[1,1]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yu2]*Tr[d[1,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[d[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/4*MatrixProduct[Yu2]*Tr[d[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yu2]*Tr[d[1,1]]*lam[1,1,2,2]^2
          - 135/16*MatrixProduct[Yu2]*Tr[d[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 46/3*MatrixProduct[Yu2]*Tr[d[1,1]]*alpha3^2
          + 309/64*MatrixProduct[Yu2]*Tr[d[1,1]]*alpha2^2
          - 663/64*MatrixProduct[Yu2]*Tr[d[1,1]]*alpha2^2*Doub2
          - 255/64*MatrixProduct[Yu2]*Tr[d[1,1]]*alpha2^2*Doub1
          + 147/32*MatrixProduct[Yu2]*Tr[d[1,1]]*alpha2^2*Doub1*Doub2
          - 779/4800*MatrixProduct[Yu2]*Tr[d[1,1]]*alpha1^2
          - 1713/1600*MatrixProduct[Yu2]*Tr[d[1,1]]*alpha1^2*Doub2
          - 389/1600*MatrixProduct[Yu2]*Tr[d[1,1]]*alpha1^2*Doub1
          + 441/800*MatrixProduct[Yu2]*Tr[d[1,1]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[u[1,1].d[2,2]]
          + 18*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[u[1,2].u[2,1]]
          - 81/8*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[u[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,1].d[2,2]]
          + 18*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[d[1,2].d[2,1]]
          + 3*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,1].l[2,2]]
          + 6*MatrixProduct[Yu2]*Tr[d[1,1]]*Tr[l[1,2].l[2,1]]
          + 21/32*MatrixProduct[Yu2]*Tr[d[1,1].d[1,1].d[2,2]]
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2]]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2].d[2,1]]
          + 9/2*MatrixProduct[Yu2]*Tr[d[1,1].d[1,2].d[2,1]]*z3
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,1].d[2,1]]*lam[1,1,1,2]
          - 3/16*MatrixProduct[Yu2]*Tr[d[1,1].d[2,1].d[1,2]]
          + 15/2*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha2
          + 549/32*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha2*Doub2
          - 81/32*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha2*Doub2*z2
          - 999/32*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 1363/160*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha1
          - 33/10*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha1*z3
          + 549/160*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha1*Doub2*z2
          - 867/80*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*z3
          + 27/160*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*z2
          - 279/80*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/16*MatrixProduct[Yu2]*Tr[d[1,1].d[2,2].d[2,2]]
          - 45/8*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[d[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 135/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*lam[2,1,2,2]*Doub2
          + 135/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha2*lam[2,1,2,2]*Doub1
          - 81/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*lam[2,1,2,2]*Doub2
          + 81/32*MatrixProduct[Yu2]*Tr[d[1,2]]*alpha1*lam[2,1,2,2]*Doub1
          + 27*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[u[2,1].u[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[u[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[u[2,2].d[2,1]]
          - 81/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*z2
          + 4455/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/16*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 81/4*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub1
          - 81/16*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub1
         *z2
          - 5103/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*z2
          + 891/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/80*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 81/20*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*Doub1
          - 81/80*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*Doub1
         *z2
          - 5103/160*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 27*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[d[2,1].d[2,2]]
          - 27/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 1485/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/16*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 27/4*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 297/32*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub2
         *z2
          + 27/20*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu2]*Tr[d[1,2]]*Tr[l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yu2]*Tr[d[1,2].d[1,2]]*lam[2,1,2,1]
          + 15/4*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*lam[1,2,2,1]
          + 15/2*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*lam[1,1,2,2]
          + 5/2*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha3
          - 24*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha3*z3
          + 135/32*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha2
          + 27/16*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha2*z2
          - 9/16*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha2*Doub2*z2
          - 405/16*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha2*Doub1*z3
          + 1111/80*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha1
          - 3*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha1*z3
          + 549/80*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha1*Doub2
          - 81/80*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha1*Doub2*z2
          - 2733/160*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*z2
          - 279/40*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*
         Doub2
          + 27/40*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 9/8*MatrixProduct[Yu2]*Tr[d[1,2].d[2,1].d[2,2]]
          + 135/8*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2]]*lam[2,1,2,2]
          - 33/8*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2].d[2,1]]
          + 9*MatrixProduct[Yu2]*Tr[d[1,2].d[2,2].d[2,1]]*z3
          - 45/8*MatrixProduct[Yu2]*Tr[d[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yu2]*Tr[d[2,1]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[d[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yu2]*Tr[d[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[d[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/16*MatrixProduct[Yu2]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          + 135/32*MatrixProduct[Yu2]*Tr[d[2,1]]*alpha2*lam[1,2,2,2]*Doub2
          - 135/32*MatrixProduct[Yu2]*Tr[d[2,1]]*alpha2*lam[1,2,2,2]*Doub1
          + 81/32*MatrixProduct[Yu2]*Tr[d[2,1]]*alpha1*lam[1,2,2,2]*Doub2
          - 81/32*MatrixProduct[Yu2]*Tr[d[2,1]]*alpha1*lam[1,2,2,2]*Doub1
          + 27*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[u[1,2].u[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[u[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[u[2,2].d[1,2]]
          + 27*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[d[1,2].d[2,2]]
          - 27/8*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*z2
          + 1485/32*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/16*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 27/4*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*z2
          + 297/32*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub2
         *z2
          + 27/20*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub1
          - 27/80*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yu2]*Tr[d[2,1]]*Tr[l[1,2].l[2,2]]
          + 45/8*MatrixProduct[Yu2]*Tr[d[2,1].d[2,1]]*lam[1,2,1,2]
          + 135/8*MatrixProduct[Yu2]*Tr[d[2,1].d[2,2]]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yu2]*Tr[d[2,2]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yu2]*Tr[d[2,2]]*lam[2,2,2,2]^2
          - 135/8*MatrixProduct[Yu2]*Tr[d[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yu2]*Tr[d[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yu2]*Tr[d[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yu2]*Tr[d[2,2]]*lam[1,1,2,2]^2
          + 457/3*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha3^2
          - 108*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha3^2*z3
          - 16*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha3^2*Ng
          - 261/8*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2*alpha3
          - 36*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2*alpha3*z2
          - 57/2*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2*alpha3*Doub2
          + 90*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2*alpha3*Doub2*z3
          + 27/2*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2*alpha3*Doub2*z2
          - 3705/64*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2^2
          + 27/2*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2^2*Ng
          + 21183/256*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2^2*Doub2
          - 351/8*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2^2*Doub2*z3
          + 135/64*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2^2*Doub2*z2
          - 27/4*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2^2*Doub2*Ng
          + 63/128*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2^2*Doub1
          - 117/64*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha2^2*Doub1*Doub2
          - 307/120*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1*alpha3
          - 12*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1*alpha3*z2
          - 57/10*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1*alpha3*Doub2
          + 18*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1*alpha3*Doub2*z3
          + 27/10*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1*alpha3*Doub2*z2
          - 5229/160*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1*alpha2
          - 9/20*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1*alpha2*z3
          + 27/32*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1*alpha2*z2
          + 4701/128*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1*alpha2*Doub2
          + 9/20*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1*alpha2*Doub2*z3
          - 27/32*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1*alpha2*Doub2*z2
          - 3547/1600*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1^2
          - 57/50*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1^2*z3
          + 189/1600*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1^2*z2
          + 77/80*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1^2*Ng
          + 9703/6400*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1^2*Doub2
          + 27/200*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1^2*Doub2*z3
          - 189/1600*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1^2*Doub2*z2
          - 27/20*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1^2*Doub2*Ng
          + 453/3200*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1^2*Doub1
          - 351/1600*MatrixProduct[Yu2]*Tr[d[2,2]]*alpha1^2*Doub1*Doub2
          + 27*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[u[2,2].u[2,2]]
          - 9/4*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[u[2,2].d[2,2]]
          - 81/8*MatrixProduct[Yu2]*Tr[d[2,2]]^2*alpha2
          + 81/8*MatrixProduct[Yu2]*Tr[d[2,2]]^2*alpha2*z2
          - 81/8*MatrixProduct[Yu2]*Tr[d[2,2]]^2*alpha2*Doub2*z2
          - 81/40*MatrixProduct[Yu2]*Tr[d[2,2]]^2*alpha1
          + 81/40*MatrixProduct[Yu2]*Tr[d[2,2]]^2*alpha1*z2
          - 81/40*MatrixProduct[Yu2]*Tr[d[2,2]]^2*alpha1*Doub2*z2
          + 27*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[d[2,2].d[2,2]]
          - 27/4*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha2
          + 27/4*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha2*z2
          - 27/4*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha2*Doub2*
         z2
          - 27/20*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha1
          + 27/20*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha1*z2
          - 27/20*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha1*Doub2
         *z2
          + 9*MatrixProduct[Yu2]*Tr[d[2,2]]*Tr[l[2,2].l[2,2]]
          + 45/4*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2]]*lam[2,2,2,2]
          + 15/4*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2]]*alpha3
          - 36*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2]]*alpha2
          + 27/16*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2]]*alpha2*z2
          - 459/8*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2]]*alpha2*Doub2*z3
          - 27/16*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2]]*alpha2*Doub2*z2
          + 717/32*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2]]*alpha1
          - 63/10*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2]]*alpha1*z3
          - 2247/80*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2]]*alpha1*Doub2
          + 9*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2]]*alpha1*Doub2*z3
          - 75/32*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2].d[2,2]]
          + 9/2*MatrixProduct[Yu2]*Tr[d[2,2].d[2,2].d[2,2]]*z3
          - 5/4*MatrixProduct[Yu2]*Tr[l[1,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yu2]*Tr[l[1,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yu2]*Tr[l[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 5/4*MatrixProduct[Yu2]*Tr[l[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 5/4*MatrixProduct[Yu2]*Tr[l[1,1]]*lam[1,1,2,2]^2
          - 45/16*MatrixProduct[Yu2]*Tr[l[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          + 103/64*MatrixProduct[Yu2]*Tr[l[1,1]]*alpha2^2
          - 221/64*MatrixProduct[Yu2]*Tr[l[1,1]]*alpha2^2*Doub2
          - 85/64*MatrixProduct[Yu2]*Tr[l[1,1]]*alpha2^2*Doub1
          + 49/32*MatrixProduct[Yu2]*Tr[l[1,1]]*alpha2^2*Doub1*Doub2
          - 1993/4800*MatrixProduct[Yu2]*Tr[l[1,1]]*alpha1^2
          - 1491/1600*MatrixProduct[Yu2]*Tr[l[1,1]]*alpha1^2*Doub2
          - 389/4800*MatrixProduct[Yu2]*Tr[l[1,1]]*alpha1^2*Doub1
          + 147/800*MatrixProduct[Yu2]*Tr[l[1,1]]*alpha1^2*Doub1*Doub2
          + 3*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[u[1,1].u[2,2]]
          + 3*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[u[1,1].d[2,2]]
          + 6*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[u[1,2].u[2,1]]
          - 27/8*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[u[1,2].d[2,1]]
          - 27/8*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[u[2,1].d[1,2]]
          + 3*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[u[2,2].d[1,1]]
          + 3*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[d[1,1].d[2,2]]
          + 6*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[d[1,2].d[2,1]]
          + MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,1].l[2,2]]
          + 2*MatrixProduct[Yu2]*Tr[l[1,1]]*Tr[l[1,2].l[2,1]]
          + 7/32*MatrixProduct[Yu2]*Tr[l[1,1].l[1,1].l[2,2]]
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2]]*lam[1,1,2,1]
          - 15/16*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2].l[2,1]]
          + 3/2*MatrixProduct[Yu2]*Tr[l[1,1].l[1,2].l[2,1]]*z3
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,1].l[2,1]]*lam[1,1,1,2]
          - 1/16*MatrixProduct[Yu2]*Tr[l[1,1].l[2,1].l[1,2]]
          + 5/2*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*lam[1,2,2,1]
          + 5/4*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*lam[1,1,2,2]
          + 9*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha2
          + 183/32*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha2*Doub2*z2
          - 333/32*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha2*Doub1
          + 9/32*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*z2
          - 93/16*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*
         Doub2
          + 9/16*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 807/160*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha1
          - 9/2*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha1*z3
          + 183/160*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha1*Doub2
          - 27/160*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha1*Doub2*z2
          - 267/40*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*z3
          + 9/160*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*z2
          - 93/80*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*
         Doub2
          + 9/80*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 3/16*MatrixProduct[Yu2]*Tr[l[1,1].l[2,2].l[2,2]]
          - 15/8*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/16*MatrixProduct[Yu2]*Tr[l[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 45/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2*lam[2,1,2,2]*Doub2
          + 45/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha2*lam[2,1,2,2]*Doub1
          - 27/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*lam[2,1,2,2]*Doub2
          + 27/32*MatrixProduct[Yu2]*Tr[l[1,2]]*alpha1*lam[2,1,2,2]*Doub1
          + 9*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[u[2,1].u[2,2]]
          - 3/8*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[u[2,1].d[2,2]]
          - 3/8*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[u[2,2].d[2,1]]
          + 9*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[d[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2
          + 9/8*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 495/32*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 27/16*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 9/4*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub1
          - 9/16*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         z2
          - 567/32*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 9/8*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 9/40*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1
          + 9/40*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 99/32*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub2
         *z2
          + 9/20*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1
          - 9/80*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1*
         z2
          - 567/160*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 9/40*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 3*MatrixProduct[Yu2]*Tr[l[1,2]]*Tr[l[2,1].l[2,2]]
          + 15/8*MatrixProduct[Yu2]*Tr[l[1,2].l[1,2]]*lam[2,1,2,1]
          + 5/4*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*lam[1,2,2,1]
          + 5/2*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*lam[1,1,2,2]
          + 45/32*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha2
          + 9/16*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha2*z2
          - 3/16*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha2*Doub2
          - 9/16*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha2*Doub2*z2
          - 135/16*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha2*Doub1
          + 9/2*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha2*Doub1*z3
          + 51/80*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha1
          + 9/5*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha1*z3
          + 183/80*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha1*Doub2*z2
          + 69/160*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1
          - 9/2*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*z2
          - 93/40*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*
         Doub2
          + 9/40*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 3/8*MatrixProduct[Yu2]*Tr[l[1,2].l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2]]*lam[2,1,2,2]
          - 11/8*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2].l[2,1]]
          + 3*MatrixProduct[Yu2]*Tr[l[1,2].l[2,2].l[2,1]]*z3
          - 15/8*MatrixProduct[Yu2]*Tr[l[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yu2]*Tr[l[2,1]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yu2]*Tr[l[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yu2]*Tr[l[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yu2]*Tr[l[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 15/16*MatrixProduct[Yu2]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yu2]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          + 45/32*MatrixProduct[Yu2]*Tr[l[2,1]]*alpha2*lam[1,2,2,2]*Doub2
          - 45/32*MatrixProduct[Yu2]*Tr[l[2,1]]*alpha2*lam[1,2,2,2]*Doub1
          + 27/32*MatrixProduct[Yu2]*Tr[l[2,1]]*alpha1*lam[1,2,2,2]*Doub2
          - 27/32*MatrixProduct[Yu2]*Tr[l[2,1]]*alpha1*lam[1,2,2,2]*Doub1
          + 9*MatrixProduct[Yu2]*Tr[l[2,1]]*Tr[u[1,2].u[2,2]]
          - 3/8*MatrixProduct[Yu2]*Tr[l[2,1]]*Tr[u[1,2].d[2,2]]
          - 3/8*MatrixProduct[Yu2]*Tr[l[2,1]]*Tr[u[2,2].d[1,2]]
          + 9*MatrixProduct[Yu2]*Tr[l[2,1]]*Tr[d[1,2].d[2,2]]
          + 3*MatrixProduct[Yu2]*Tr[l[2,1]]*Tr[l[1,2].l[2,2]]
          + 15/8*MatrixProduct[Yu2]*Tr[l[2,1].l[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yu2]*Tr[l[2,1].l[2,2]]*lam[1,2,2,2]
          - 5/8*MatrixProduct[Yu2]*Tr[l[2,2]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yu2]*Tr[l[2,2]]*lam[2,2,2,2]^2
          - 45/8*MatrixProduct[Yu2]*Tr[l[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yu2]*Tr[l[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 5/8*MatrixProduct[Yu2]*Tr[l[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 5/8*MatrixProduct[Yu2]*Tr[l[2,2]]*lam[1,1,2,2]^2
          - 3*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2*alpha3
          - 18*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2*alpha3*z3
          + 3*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2*alpha3*Doub2
          + 18*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2*alpha3*Doub2*z3
          - 1235/64*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2^2
          + 9/2*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2^2*z3
          - 45/64*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2^2*z2
          + 15/16*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2^2*Ng
          + 7061/256*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2^2*Doub2
          - 117/8*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2^2*Doub2*z3
          + 45/64*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2^2*Doub2*z2
          - 9/4*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2^2*Doub2*Ng
          + 21/128*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2^2*Doub1
          - 39/64*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha2^2*Doub1*Doub2
          - 3/5*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1*alpha3
          - 18/5*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1*alpha3*z3
          + 3/5*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1*alpha3*Doub2
          + 18/5*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1*alpha3*Doub2*z3
          - 411/32*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1*alpha2
          - 117/20*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1*alpha2*z3
          - 27/32*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1*alpha2*z2
          + 7179/640*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1*alpha2*Doub2
          + 99/20*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1*alpha2*Doub2*z2
          - 7147/4800*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1^2
          - 102/25*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1^2*z3
          - 297/1600*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1^2*z2
          - 81/80*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1^2*Ng
          - 32057/19200*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1^2*Doub2
          + 9/200*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1^2*Doub2*z3
          + 297/1600*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1^2*Doub2*z2
          - 9/20*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1^2*Doub2*Ng
          - 729/3200*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1^2*Doub1
          - 117/1600*MatrixProduct[Yu2]*Tr[l[2,2]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yu2]*Tr[l[2,2]]*Tr[u[2,2].u[2,2]]
          - 3/4*MatrixProduct[Yu2]*Tr[l[2,2]]*Tr[u[2,2].d[2,2]]
          + 9*MatrixProduct[Yu2]*Tr[l[2,2]]*Tr[d[2,2].d[2,2]]
          - 9/8*MatrixProduct[Yu2]*Tr[l[2,2]]^2*alpha2
          + 9/8*MatrixProduct[Yu2]*Tr[l[2,2]]^2*alpha2*z2
          - 9/8*MatrixProduct[Yu2]*Tr[l[2,2]]^2*alpha2*Doub2*z2
          - 9/40*MatrixProduct[Yu2]*Tr[l[2,2]]^2*alpha1
          + 9/40*MatrixProduct[Yu2]*Tr[l[2,2]]^2*alpha1*z2
          - 9/40*MatrixProduct[Yu2]*Tr[l[2,2]]^2*alpha1*Doub2*z2
          + 3*MatrixProduct[Yu2]*Tr[l[2,2]]*Tr[l[2,2].l[2,2]]
          + 15/4*MatrixProduct[Yu2]*Tr[l[2,2].l[2,2]]*lam[2,2,2,2]
          + 333/32*MatrixProduct[Yu2]*Tr[l[2,2].l[2,2]]*alpha2
          + 9/16*MatrixProduct[Yu2]*Tr[l[2,2].l[2,2]]*alpha2*z2
          - 153/8*MatrixProduct[Yu2]*Tr[l[2,2].l[2,2]]*alpha2*Doub2
          + 9/2*MatrixProduct[Yu2]*Tr[l[2,2].l[2,2]]*alpha2*Doub2*z3
          - 9/16*MatrixProduct[Yu2]*Tr[l[2,2].l[2,2]]*alpha2*Doub2*z2
          + 909/160*MatrixProduct[Yu2]*Tr[l[2,2].l[2,2]]*alpha1
          - 27/10*MatrixProduct[Yu2]*Tr[l[2,2].l[2,2]]*alpha1*z3
          - 63/10*MatrixProduct[Yu2]*Tr[l[2,2].l[2,2]]*alpha1*Doub2
          - 25/32*MatrixProduct[Yu2]*Tr[l[2,2].l[2,2].l[2,2]]
          + 3/2*MatrixProduct[Yu2]*Tr[l[2,2].l[2,2].l[2,2]]*z3
          )

       - 1/2*MatrixProduct[Yu2]*ep);

(* Beta function for Yd[1] *)
   betaYd1 = (

       + fourpiinv * (
          - 3/4*MatrixProduct[u[1,1].Yd1]
          - MatrixProduct[u[2,1].Yd2]
          + 1/4*MatrixProduct[u[2,2].Yd1]
          + 3/4*MatrixProduct[d[1,1].Yd1]
          + 1/2*MatrixProduct[d[2,1].Yd2]
          + 1/4*MatrixProduct[d[2,2].Yd1]
          - 4*MatrixProduct[Yd1]*alpha3
          + 3/8*MatrixProduct[Yd1]*alpha2
          - 3/2*MatrixProduct[Yd1]*alpha2*Doub1
          + 7/40*MatrixProduct[Yd1]*alpha1
          - 3/10*MatrixProduct[Yd1]*alpha1*Doub1
          + 3/2*MatrixProduct[Yd1]*Tr[u[1,1]]
          + 3/2*MatrixProduct[Yd1]*Tr[d[1,1]]
          + 1/2*MatrixProduct[Yd1]*Tr[l[1,1]]
          + 3/2*MatrixProduct[Yd2]*Tr[u[2,1]]
          + 3/2*MatrixProduct[Yd2]*Tr[d[2,1]]
          + 1/2*MatrixProduct[Yd2]*Tr[l[2,1]]
          )

       + fourpiinv^2 * (
          + 11/8*MatrixProduct[u[1,1].u[1,1].Yd1]
          + 1/2*MatrixProduct[u[1,1].u[2,2].Yd1]
          - 1/2*MatrixProduct[u[1,1].d[1,1].Yd1]
          + 1/2*MatrixProduct[u[1,1].d[2,2].Yd1]
          - 8*MatrixProduct[u[1,1].Yd1]*alpha3
          + 15/32*MatrixProduct[u[1,1].Yd1]*alpha2
          - 3/16*MatrixProduct[u[1,1].Yd1]*alpha2*Doub1
          + 143/160*MatrixProduct[u[1,1].Yd1]*alpha1
          - 111/80*MatrixProduct[u[1,1].Yd1]*alpha1*Doub1
          + 15/8*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]
          + 15/8*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]
          + 5/8*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]
          + 3*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]
          + 3*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]
          + MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]
          + 7/8*MatrixProduct[u[1,2].u[2,1].Yd1]
          - MatrixProduct[u[1,2].d[2,1].Yd1]
          - 9/8*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]
          - 9/8*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]
          - 3/8*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]
          + 3/2*MatrixProduct[u[2,1].u[1,1].Yd2]
          - 1/8*MatrixProduct[u[2,1].u[1,2].Yd1]
          + 1/2*MatrixProduct[u[2,1].u[2,2].Yd2]
          - 1/2*MatrixProduct[u[2,1].d[1,1].Yd2]
          + 1/2*MatrixProduct[u[2,1].d[2,2].Yd2]
          + 15/8*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]
          + 15/8*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]
          + 5/8*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]
          - MatrixProduct[u[2,1].Yd2]*lam[1,2,2,1]
          + MatrixProduct[u[2,1].Yd2]*lam[1,1,2,2]
          - 32/3*MatrixProduct[u[2,1].Yd2]*alpha3
          + 3/2*MatrixProduct[u[2,1].Yd2]*alpha2
          - 9/4*MatrixProduct[u[2,1].Yd2]*alpha2*Doub2
          + 11/30*MatrixProduct[u[2,1].Yd2]*alpha1
          - 3/4*MatrixProduct[u[2,1].Yd2]*alpha1*Doub2
          + 3*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]
          + 3*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]
          + MatrixProduct[u[2,1].Yd2]*Tr[l[2,2]]
          + MatrixProduct[u[2,2].u[2,1].Yd2]
          - 1/8*MatrixProduct[u[2,2].u[2,2].Yd1]
          - MatrixProduct[u[2,2].d[2,1].Yd2]
          + MatrixProduct[u[2,2].Yd1]*lam[1,2,2,1]
          - MatrixProduct[u[2,2].Yd1]*lam[1,1,2,2]
          + 8/3*MatrixProduct[u[2,2].Yd1]*alpha3
          - 33/32*MatrixProduct[u[2,2].Yd1]*alpha2
          + 33/16*MatrixProduct[u[2,2].Yd1]*alpha2*Doub2
          + 9/8*MatrixProduct[u[2,2].Yd1]*alpha2*Doub1
          - 9/8*MatrixProduct[u[2,2].Yd1]*alpha2*Doub1*Doub2
          + 253/480*MatrixProduct[u[2,2].Yd1]*alpha1
          - 51/80*MatrixProduct[u[2,2].Yd1]*alpha1*Doub2
          - 9/40*MatrixProduct[u[2,2].Yd1]*alpha1*Doub1
          + 9/40*MatrixProduct[u[2,2].Yd1]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]
          - 9/8*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]
          - 3/8*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]
          - 1/8*MatrixProduct[d[1,1].u[1,1].Yd1]
          - 1/8*MatrixProduct[d[1,1].u[2,2].Yd1]
          + 3/4*MatrixProduct[d[1,1].d[1,1].Yd1]
          - 1/8*MatrixProduct[d[1,1].d[2,2].Yd1]
          - 3*MatrixProduct[d[1,1].Yd1]*lam[1,1,1,1]
          + 8*MatrixProduct[d[1,1].Yd1]*alpha3
          - 27/32*MatrixProduct[d[1,1].Yd1]*alpha2
          + 81/16*MatrixProduct[d[1,1].Yd1]*alpha2*Doub1
          - 55/32*MatrixProduct[d[1,1].Yd1]*alpha1
          + 231/80*MatrixProduct[d[1,1].Yd1]*alpha1*Doub1
          - 27/8*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]
          - 27/8*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]
          - 9/8*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]
          - 3*MatrixProduct[d[1,1].Yd2]*lam[1,1,2,1]
          - 9/4*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]
          - 9/4*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]
          - 3/4*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]
          + 7/8*MatrixProduct[d[1,2].d[2,1].Yd1]
          - 3*MatrixProduct[d[1,2].Yd1]*lam[1,1,2,1]
          - 9/8*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]
          - 9/8*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]
          - 3/8*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]
          - 3*MatrixProduct[d[1,2].Yd2]*lam[2,1,2,1]
          - 1/8*MatrixProduct[d[2,1].u[1,1].Yd2]
          - 1/8*MatrixProduct[d[2,1].u[2,2].Yd2]
          + 7/8*MatrixProduct[d[2,1].d[1,1].Yd2]
          - 1/8*MatrixProduct[d[2,1].d[1,2].Yd1]
          - 1/8*MatrixProduct[d[2,1].d[2,2].Yd2]
          - 3*MatrixProduct[d[2,1].Yd1]*lam[1,1,1,2]
          - 27/8*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]
          - 27/8*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]
          - 9/8*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]
          - MatrixProduct[d[2,1].Yd2]*lam[1,2,2,1]
          - 2*MatrixProduct[d[2,1].Yd2]*lam[1,1,2,2]
          + 16/3*MatrixProduct[d[2,1].Yd2]*alpha3
          + 3/16*MatrixProduct[d[2,1].Yd2]*alpha2
          + 3*MatrixProduct[d[2,1].Yd2]*alpha2*Doub2
          - 239/240*MatrixProduct[d[2,1].Yd2]*alpha1
          + 33/20*MatrixProduct[d[2,1].Yd2]*alpha1*Doub2
          + 9/20*MatrixProduct[d[2,1].Yd2]*alpha1*Doub1
          - 9/20*MatrixProduct[d[2,1].Yd2]*alpha1*Doub1*Doub2
          - 9/4*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]
          - 9/4*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]
          - 3/4*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]
          + MatrixProduct[d[2,2].d[2,1].Yd2]
          - 1/8*MatrixProduct[d[2,2].d[2,2].Yd1]
          - 2*MatrixProduct[d[2,2].Yd1]*lam[1,2,2,1]
          - MatrixProduct[d[2,2].Yd1]*lam[1,1,2,2]
          + 8/3*MatrixProduct[d[2,2].Yd1]*alpha3
          - 33/32*MatrixProduct[d[2,2].Yd1]*alpha2
          + 33/16*MatrixProduct[d[2,2].Yd1]*alpha2*Doub2
          + 9/8*MatrixProduct[d[2,2].Yd1]*alpha2*Doub1
          - 9/8*MatrixProduct[d[2,2].Yd1]*alpha2*Doub1*Doub2
          - 347/480*MatrixProduct[d[2,2].Yd1]*alpha1
          + 99/80*MatrixProduct[d[2,2].Yd1]*alpha1*Doub2
          + 9/40*MatrixProduct[d[2,2].Yd1]*alpha1*Doub1
          - 9/40*MatrixProduct[d[2,2].Yd1]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]
          - 9/8*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]
          - 3/8*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]
          - 3*MatrixProduct[d[2,2].Yd2]*lam[2,1,2,2]
          + 1/2*MatrixProduct[Yd1]*lam[1,2,2,1]^2
          + 3/4*MatrixProduct[Yd1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 3/4*MatrixProduct[Yd1]*lam[1,2,1,2]*lam[2,1,2,1]
          + 1/2*MatrixProduct[Yd1]*lam[1,1,2,2]*lam[1,2,2,1]
          + 1/2*MatrixProduct[Yd1]*lam[1,1,2,2]^2
          + 9/4*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/4*MatrixProduct[Yd1]*lam[1,1,1,1]^2
          - 202/3*MatrixProduct[Yd1]*alpha3^2
          + 40/9*MatrixProduct[Yd1]*alpha3^2*Ng
          + 9/2*MatrixProduct[Yd1]*alpha2*alpha3
          + 381/64*MatrixProduct[Yd1]*alpha2^2
          - 3/4*MatrixProduct[Yd1]*alpha2^2*Ng
          - 3/32*MatrixProduct[Yd1]*alpha2^2*Doub2
          - 661/64*MatrixProduct[Yd1]*alpha2^2*Doub1
          + 5/4*MatrixProduct[Yd1]*alpha2^2*Doub1*Ng
          + 11/32*MatrixProduct[Yd1]*alpha2^2*Doub1*Doub2
          + 31/30*MatrixProduct[Yd1]*alpha1*alpha3
          - 27/160*MatrixProduct[Yd1]*alpha1*alpha2
          - 81/160*MatrixProduct[Yd1]*alpha1*alpha2*Doub1
          - 161/4800*MatrixProduct[Yd1]*alpha1^2
          - 47/180*MatrixProduct[Yd1]*alpha1^2*Ng
          - 71/2400*MatrixProduct[Yd1]*alpha1^2*Doub2
          - 187/4800*MatrixProduct[Yd1]*alpha1^2*Doub1
          + 1/4*MatrixProduct[Yd1]*alpha1^2*Doub1*Ng
          + 33/800*MatrixProduct[Yd1]*alpha1^2*Doub1*Doub2
          + 10*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha3
          - 117/16*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2*Doub1
          - 77/80*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1*Doub1
          - 27/8*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1]]
          - 9/8*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]
          + 3/4*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1]]
          - 9/8*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]
          - 9/4*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]
          + 3/2*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1]]
          + 3/2*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]
          + 10*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha3
          - 117/16*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2*Doub1
          - 137/80*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1*Doub1
          - 27/8*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1]]
          - 9/8*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]
          - 9/4*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]
          - 39/16*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2*Doub1
          + 21/80*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1*Doub1
          - 9/8*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1]]
          - 3/8*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]
          - 3/4*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]
          + 3/4*MatrixProduct[Yd2]*lam[2,1,2,2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[Yd2]*lam[2,1,2,2]*lam[2,2,2,2]
          + 3/4*MatrixProduct[Yd2]*lam[2,1,2,1]*lam[1,2,2,2]
          + 3/4*MatrixProduct[Yd2]*lam[1,1,2,2]*lam[2,1,2,2]
          + 3/4*MatrixProduct[Yd2]*lam[1,1,2,1]*lam[1,2,2,1]
          + 3/4*MatrixProduct[Yd2]*lam[1,1,2,1]*lam[1,1,2,2]
          + 3/4*MatrixProduct[Yd2]*lam[1,1,1,2]*lam[2,1,2,1]
          + 3/4*MatrixProduct[Yd2]*lam[1,1,1,1]*lam[1,1,2,1]
          - 27/8*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]
          + 3/8*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]
          + 10*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha3
          - 117/16*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2
          - 9/8*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*Doub2
          + 9/8*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*Doub1
          + 81/8*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*Doub1*Doub2
          - 77/80*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1
          - 9/40*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*Doub2
          + 9/40*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*Doub1
          + 81/40*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*Doub1*Doub2
          - 27/8*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]
          + 3/8*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]
          + 3/8*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]
          + 3/8*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]
          - 27/8*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]
          + 10*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha3
          - 117/16*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2
          - 9/8*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*Doub2
          + 9/8*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*Doub1
          + 81/8*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*Doub1*Doub2
          - 137/80*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1
          - 9/40*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*Doub2
          + 9/40*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*Doub1
          + 81/40*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*Doub1*Doub2
          - 27/8*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]
          - 39/16*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2
          - 3/8*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2*Doub2
          + 3/8*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2*Doub1
          + 27/8*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2*Doub1*Doub2
          + 21/80*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1
          - 3/40*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*Doub2
          + 3/40*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]
          )

       + fourpiinv^3 * (
          + 9/8*MatrixProduct[u[1,1].u[1,1].u[1,1].Yd1]
          - 9/4*MatrixProduct[u[1,1].u[1,1].u[1,1].Yd1]*z3
          - 13/4*MatrixProduct[u[1,1].u[1,1].u[2,1].Yd2]
          + 3/2*MatrixProduct[u[1,1].u[1,1].u[2,2].Yd1]
          - 183/32*MatrixProduct[u[1,1].u[1,1].d[1,1].Yd1]
          + 6*MatrixProduct[u[1,1].u[1,1].d[1,1].Yd1]*z3
          + 3/2*MatrixProduct[u[1,1].u[1,1].d[2,2].Yd1]
          - 15/2*MatrixProduct[u[1,1].u[1,1].Yd1]*lam[1,1,1,1]
          + 13*MatrixProduct[u[1,1].u[1,1].Yd1]*alpha3
          + 40*MatrixProduct[u[1,1].u[1,1].Yd1]*alpha3*z3
          - 1233/64*MatrixProduct[u[1,1].u[1,1].Yd1]*alpha2
          + 9*MatrixProduct[u[1,1].u[1,1].Yd1]*alpha2*z3
          + 9/64*MatrixProduct[u[1,1].u[1,1].Yd1]*alpha2*z2
          + 453/16*MatrixProduct[u[1,1].u[1,1].Yd1]*alpha2*Doub1
          - 81/4*MatrixProduct[u[1,1].u[1,1].Yd1]*alpha2*Doub1*z3
          - 9/64*MatrixProduct[u[1,1].u[1,1].Yd1]*alpha2*Doub1*z2
          - 113/16*MatrixProduct[u[1,1].u[1,1].Yd1]*alpha1
          + 4/5*MatrixProduct[u[1,1].u[1,1].Yd1]*alpha1*z3
          - 9/320*MatrixProduct[u[1,1].u[1,1].Yd1]*alpha1*z2
          + 3303/320*MatrixProduct[u[1,1].u[1,1].Yd1]*alpha1*Doub1
          - 33/20*MatrixProduct[u[1,1].u[1,1].Yd1]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[u[1,1].u[1,1].Yd1]*alpha1*Doub1*z2
          - 69/8*MatrixProduct[u[1,1].u[1,1].Yd1]*Tr[u[1,1]]
          - 69/8*MatrixProduct[u[1,1].u[1,1].Yd1]*Tr[d[1,1]]
          - 23/8*MatrixProduct[u[1,1].u[1,1].Yd1]*Tr[l[1,1]]
          - 3/2*MatrixProduct[u[1,1].u[1,1].Yd2]*lam[1,1,2,1]
          + 9*MatrixProduct[u[1,1].u[1,1].Yd2]*Tr[u[2,1]]
          + 9*MatrixProduct[u[1,1].u[1,1].Yd2]*Tr[d[2,1]]
          + 3*MatrixProduct[u[1,1].u[1,1].Yd2]*Tr[l[2,1]]
          + 3/4*MatrixProduct[u[1,1].u[1,2].u[2,1].Yd1]
          - 67/32*MatrixProduct[u[1,1].u[1,2].d[2,1].Yd1]
          - 6*MatrixProduct[u[1,1].u[1,2].Yd1]*lam[1,1,2,1]
          - 159/16*MatrixProduct[u[1,1].u[1,2].Yd1]*Tr[u[2,1]]
          - 159/16*MatrixProduct[u[1,1].u[1,2].Yd1]*Tr[d[2,1]]
          - 53/16*MatrixProduct[u[1,1].u[1,2].Yd1]*Tr[l[2,1]]
          + 7/4*MatrixProduct[u[1,1].u[2,1].u[1,1].Yd2]
          + 9/16*MatrixProduct[u[1,1].u[2,1].u[1,2].Yd1]
          - 9/4*MatrixProduct[u[1,1].u[2,1].u[1,2].Yd1]*z3
          - 1/4*MatrixProduct[u[1,1].u[2,1].u[2,2].Yd2]
          - 15/4*MatrixProduct[u[1,1].u[2,1].d[1,1].Yd2]
          + 6*MatrixProduct[u[1,1].u[2,1].d[1,1].Yd2]*z3
          - 5/2*MatrixProduct[u[1,1].u[2,1].d[1,2].Yd1]
          + 3/4*MatrixProduct[u[1,1].u[2,1].d[2,2].Yd2]
          - 15/2*MatrixProduct[u[1,1].u[2,1].Yd1]*lam[1,1,1,2]
          - 63/8*MatrixProduct[u[1,1].u[2,1].Yd1]*Tr[u[1,2]]
          - 63/8*MatrixProduct[u[1,1].u[2,1].Yd1]*Tr[d[1,2]]
          - 21/8*MatrixProduct[u[1,1].u[2,1].Yd1]*Tr[l[1,2]]
          - 5/2*MatrixProduct[u[1,1].u[2,1].Yd2]*lam[1,2,2,1]
          + MatrixProduct[u[1,1].u[2,1].Yd2]*lam[1,1,2,2]
          - 4/3*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha3
          + 16*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha3*z3
          - 9*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha2
          + 9/4*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha2*z3
          - 63/16*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha2*Doub2
          + 45/8*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha2*Doub2*z3
          + 75/8*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha2*Doub1
          - 27/4*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha2*Doub1*z3
          + 81/16*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha2*Doub1*Doub2
          - 45/8*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha2*Doub1*Doub2*z3
          + 293/60*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha1
          - 29/20*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha1*z3
          - 107/80*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha1*Doub2
          + 21/8*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha1*Doub2*z3
          - 97/40*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha1*Doub1
          - 33/20*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha1*Doub1*z3
          - 3/16*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[u[1,1].u[2,1].Yd2]*alpha1*Doub1*Doub2*z3
          - 9/2*MatrixProduct[u[1,1].u[2,1].Yd2]*Tr[u[1,1]]
          + 9/2*MatrixProduct[u[1,1].u[2,1].Yd2]*Tr[u[2,2]]
          - 9/2*MatrixProduct[u[1,1].u[2,1].Yd2]*Tr[d[1,1]]
          + 9/2*MatrixProduct[u[1,1].u[2,1].Yd2]*Tr[d[2,2]]
          - 3/2*MatrixProduct[u[1,1].u[2,1].Yd2]*Tr[l[1,1]]
          + 3/2*MatrixProduct[u[1,1].u[2,1].Yd2]*Tr[l[2,2]]
          - 7/8*MatrixProduct[u[1,1].u[2,2].u[1,1].Yd1]
          - 1/4*MatrixProduct[u[1,1].u[2,2].u[2,1].Yd2]
          - 3/16*MatrixProduct[u[1,1].u[2,2].u[2,2].Yd1]
          + 9/8*MatrixProduct[u[1,1].u[2,2].d[1,1].Yd1]
          - 1/2*MatrixProduct[u[1,1].u[2,2].d[2,1].Yd2]
          - 1/4*MatrixProduct[u[1,1].u[2,2].d[2,2].Yd1]
          - 5/2*MatrixProduct[u[1,1].u[2,2].Yd1]*lam[1,2,2,1]
          - 7/2*MatrixProduct[u[1,1].u[2,2].Yd1]*lam[1,1,2,2]
          + 5*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha3
          + 8*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha3*z3
          - 513/64*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha2
          + 27/4*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha2*z3
          - 9/64*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha2*z2
          + 357/32*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha2*Doub2
          - 9*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha2*Doub2*z2
          + 21/4*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha2*Doub1
          - 27/4*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha2*Doub1*z2
          - 213/32*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha2*Doub1*Doub2
          + 9*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha2*Doub1*Doub2*z2
          - 1753/320*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha1
          + 17/20*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha1*z3
          - 9/320*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha1*z2
          + 901/160*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha1*Doub2
          - 12/5*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha1*Doub2*z2
          - 2/5*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha1*Doub1
          + 51/20*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha1*Doub1*z2
          + 351/160*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha1*Doub1*Doub2
          - 9/5*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha1*Doub1*Doub2*z3
          - 9/320*MatrixProduct[u[1,1].u[2,2].Yd1]*alpha1*Doub1*Doub2*
         z2
          + 3/2*MatrixProduct[u[1,1].u[2,2].Yd1]*Tr[u[1,1]]
          - 75/16*MatrixProduct[u[1,1].u[2,2].Yd1]*Tr[u[2,2]]
          + 3/2*MatrixProduct[u[1,1].u[2,2].Yd1]*Tr[d[1,1]]
          - 75/16*MatrixProduct[u[1,1].u[2,2].Yd1]*Tr[d[2,2]]
          + 1/2*MatrixProduct[u[1,1].u[2,2].Yd1]*Tr[l[1,1]]
          - 25/16*MatrixProduct[u[1,1].u[2,2].Yd1]*Tr[l[2,2]]
          - 3*MatrixProduct[u[1,1].u[2,2].Yd2]*Tr[u[2,1]]
          - 3*MatrixProduct[u[1,1].u[2,2].Yd2]*Tr[d[2,1]]
          - MatrixProduct[u[1,1].u[2,2].Yd2]*Tr[l[2,1]]
          - 37/16*MatrixProduct[u[1,1].d[1,1].u[1,1].Yd1]
          + 3/4*MatrixProduct[u[1,1].d[1,1].u[2,1].Yd2]
          - 1/4*MatrixProduct[u[1,1].d[1,1].u[2,2].Yd1]
          + 83/32*MatrixProduct[u[1,1].d[1,1].d[1,1].Yd1]
          - 1/4*MatrixProduct[u[1,1].d[1,1].d[2,2].Yd1]
          - 9*MatrixProduct[u[1,1].d[1,1].Yd1]*alpha3
          + 4*MatrixProduct[u[1,1].d[1,1].Yd1]*alpha3*z3
          - 39/32*MatrixProduct[u[1,1].d[1,1].Yd1]*alpha2
          + 9/4*MatrixProduct[u[1,1].d[1,1].Yd1]*alpha2*z3
          - 45/64*MatrixProduct[u[1,1].d[1,1].Yd1]*alpha2*z2
          + 117/16*MatrixProduct[u[1,1].d[1,1].Yd1]*alpha2*Doub1
          - 27/8*MatrixProduct[u[1,1].d[1,1].Yd1]*alpha2*Doub1*z3
          + 45/64*MatrixProduct[u[1,1].d[1,1].Yd1]*alpha2*Doub1*z2
          - 93/10*MatrixProduct[u[1,1].d[1,1].Yd1]*alpha1
          + 61/20*MatrixProduct[u[1,1].d[1,1].Yd1]*alpha1*z3
          + 153/320*MatrixProduct[u[1,1].d[1,1].Yd1]*alpha1*z2
          + 807/80*MatrixProduct[u[1,1].d[1,1].Yd1]*alpha1*Doub1
          - 153/40*MatrixProduct[u[1,1].d[1,1].Yd1]*alpha1*Doub1*z3
          - 153/320*MatrixProduct[u[1,1].d[1,1].Yd1]*alpha1*Doub1*z2
          + 3/8*MatrixProduct[u[1,1].d[1,1].Yd1]*Tr[u[1,1]]
          + 3/8*MatrixProduct[u[1,1].d[1,1].Yd1]*Tr[d[1,1]]
          + 1/8*MatrixProduct[u[1,1].d[1,1].Yd1]*Tr[l[1,1]]
          - 3/2*MatrixProduct[u[1,1].d[1,1].Yd2]*Tr[u[2,1]]
          - 3/2*MatrixProduct[u[1,1].d[1,1].Yd2]*Tr[d[2,1]]
          - 1/2*MatrixProduct[u[1,1].d[1,1].Yd2]*Tr[l[2,1]]
          - 3/16*MatrixProduct[u[1,1].d[1,2].u[2,1].Yd1]
          + 25/16*MatrixProduct[u[1,1].d[1,2].d[2,1].Yd1]
          - 3*MatrixProduct[u[1,1].d[1,2].d[2,1].Yd1]*z3
          - 9/2*MatrixProduct[u[1,1].d[1,2].Yd1]*lam[1,1,2,1]
          - 141/32*MatrixProduct[u[1,1].d[1,2].Yd1]*Tr[u[2,1]]
          - 141/32*MatrixProduct[u[1,1].d[1,2].Yd1]*Tr[d[2,1]]
          - 47/32*MatrixProduct[u[1,1].d[1,2].Yd1]*Tr[l[2,1]]
          - 9/2*MatrixProduct[u[1,1].d[1,2].Yd2]*lam[2,1,2,1]
          - 2*MatrixProduct[u[1,1].d[2,1].u[1,1].Yd2]
          + 1/4*MatrixProduct[u[1,1].d[2,1].u[1,2].Yd1]
          + 47/32*MatrixProduct[u[1,1].d[2,1].d[1,2].Yd1]
          + 51/32*MatrixProduct[u[1,1].d[2,1].Yd1]*Tr[u[1,2]]
          + 51/32*MatrixProduct[u[1,1].d[2,1].Yd1]*Tr[d[1,2]]
          + 17/32*MatrixProduct[u[1,1].d[2,1].Yd1]*Tr[l[1,2]]
          + 8*MatrixProduct[u[1,1].d[2,1].Yd2]*alpha3
          - 11*MatrixProduct[u[1,1].d[2,1].Yd2]*alpha1
          + 18/5*MatrixProduct[u[1,1].d[2,1].Yd2]*alpha1*z3
          + 9/20*MatrixProduct[u[1,1].d[2,1].Yd2]*alpha1*z2
          + 241/20*MatrixProduct[u[1,1].d[2,1].Yd2]*alpha1*Doub2
          - 99/20*MatrixProduct[u[1,1].d[2,1].Yd2]*alpha1*Doub2*z3
          - 9/20*MatrixProduct[u[1,1].d[2,1].Yd2]*alpha1*Doub2*z2
          + 17/2*MatrixProduct[u[1,1].d[2,1].Yd2]*alpha1*Doub1
          - 9/20*MatrixProduct[u[1,1].d[2,1].Yd2]*alpha1*Doub1*z2
          - 189/20*MatrixProduct[u[1,1].d[2,1].Yd2]*alpha1*Doub1*Doub2
          + 27/20*MatrixProduct[u[1,1].d[2,1].Yd2]*alpha1*Doub1*Doub2*
         z3
          + 9/20*MatrixProduct[u[1,1].d[2,1].Yd2]*alpha1*Doub1*Doub2*z2
          - 7/8*MatrixProduct[u[1,1].d[2,2].u[1,1].Yd1]
          + 1/4*MatrixProduct[u[1,1].d[2,2].u[2,1].Yd2]
          - 1/4*MatrixProduct[u[1,1].d[2,2].u[2,2].Yd1]
          + 9/8*MatrixProduct[u[1,1].d[2,2].d[1,1].Yd1]
          + 3/2*MatrixProduct[u[1,1].d[2,2].d[2,1].Yd2]
          - 3*MatrixProduct[u[1,1].d[2,2].d[2,1].Yd2]*z3
          - 3/16*MatrixProduct[u[1,1].d[2,2].d[2,2].Yd1]
          - MatrixProduct[u[1,1].d[2,2].Yd1]*lam[1,2,2,1]
          - 7/2*MatrixProduct[u[1,1].d[2,2].Yd1]*lam[1,1,2,2]
          + 5*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha3
          + 8*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha3*z3
          - 513/64*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha2
          + 27/4*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha2*z3
          - 9/64*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha2*z2
          + 357/32*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha2*Doub2
          - 9*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha2*Doub2*z2
          + 21/4*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha2*Doub1
          - 27/4*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha2*Doub1*z2
          - 213/32*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha2*Doub1*Doub2
          + 9*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha2*Doub1*Doub2*z2
          + 619/320*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha1
          - 13/20*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha1*z3
          + 9/320*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha1*z2
          - 469/160*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha1*Doub2
          + 3/5*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha1*Doub2*z2
          + 253/80*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha1*Doub1
          - 39/20*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha1*Doub1*z2
          - 351/160*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha1*Doub1*Doub2
          + 9/5*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha1*Doub1*Doub2*z3
          + 9/320*MatrixProduct[u[1,1].d[2,2].Yd1]*alpha1*Doub1*Doub2*
         z2
          + 3/2*MatrixProduct[u[1,1].d[2,2].Yd1]*Tr[u[1,1]]
          - 75/16*MatrixProduct[u[1,1].d[2,2].Yd1]*Tr[u[2,2]]
          + 3/2*MatrixProduct[u[1,1].d[2,2].Yd1]*Tr[d[1,1]]
          - 75/16*MatrixProduct[u[1,1].d[2,2].Yd1]*Tr[d[2,2]]
          + 1/2*MatrixProduct[u[1,1].d[2,2].Yd1]*Tr[l[1,1]]
          - 25/16*MatrixProduct[u[1,1].d[2,2].Yd1]*Tr[l[2,2]]
          - 9/2*MatrixProduct[u[1,1].d[2,2].Yd2]*lam[2,1,2,2]
          + 3/2*MatrixProduct[u[1,1].d[2,2].Yd2]*Tr[u[2,1]]
          + 3/2*MatrixProduct[u[1,1].d[2,2].Yd2]*Tr[d[2,1]]
          + 1/2*MatrixProduct[u[1,1].d[2,2].Yd2]*Tr[l[2,1]]
          + 41/16*MatrixProduct[u[1,1].Yd1]*lam[1,2,2,1]^2
          + 75/32*MatrixProduct[u[1,1].Yd1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 75/32*MatrixProduct[u[1,1].Yd1]*lam[1,2,1,2]*lam[2,1,2,1]
          - 7/16*MatrixProduct[u[1,1].Yd1]*lam[1,1,2,2]*lam[1,2,2,1]
          - 7/16*MatrixProduct[u[1,1].Yd1]*lam[1,1,2,2]^2
          + 33/32*MatrixProduct[u[1,1].Yd1]*lam[1,1,1,2]*lam[1,1,2,1]
          - 21/32*MatrixProduct[u[1,1].Yd1]*lam[1,1,1,1]^2
          - 2659/12*MatrixProduct[u[1,1].Yd1]*alpha3^2
          + 86*MatrixProduct[u[1,1].Yd1]*alpha3^2*z3
          + 41/3*MatrixProduct[u[1,1].Yd1]*alpha3^2*Ng
          + 3*MatrixProduct[u[1,1].Yd1]*alpha2*lam[1,1,1,1]
          - 3*MatrixProduct[u[1,1].Yd1]*alpha2*lam[1,1,1,1]*Doub1
          + 5*MatrixProduct[u[1,1].Yd1]*alpha2*alpha3
          - 84*MatrixProduct[u[1,1].Yd1]*alpha2*alpha3*z3
          - 9/4*MatrixProduct[u[1,1].Yd1]*alpha2*alpha3*z2
          + 395/8*MatrixProduct[u[1,1].Yd1]*alpha2*alpha3*Doub1
          - 24*MatrixProduct[u[1,1].Yd1]*alpha2*alpha3*Doub1*z3
          + 9/4*MatrixProduct[u[1,1].Yd1]*alpha2*alpha3*Doub1*z2
          - 9153/256*MatrixProduct[u[1,1].Yd1]*alpha2^2
          + 27/4*MatrixProduct[u[1,1].Yd1]*alpha2^2*z3
          + 63/128*MatrixProduct[u[1,1].Yd1]*alpha2^2*z2
          + 51/32*MatrixProduct[u[1,1].Yd1]*alpha2^2*Ng
          - 39/256*MatrixProduct[u[1,1].Yd1]*alpha2^2*Doub2
          + 19233/512*MatrixProduct[u[1,1].Yd1]*alpha2^2*Doub1
          + 153/16*MatrixProduct[u[1,1].Yd1]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[u[1,1].Yd1]*alpha2^2*Doub1*z2
          + 3/16*MatrixProduct[u[1,1].Yd1]*alpha2^2*Doub1*Ng
          + 33/64*MatrixProduct[u[1,1].Yd1]*alpha2^2*Doub1*Doub2
          + 173/30*MatrixProduct[u[1,1].Yd1]*alpha1*alpha3
          - 12*MatrixProduct[u[1,1].Yd1]*alpha1*alpha3*z3
          + 27/20*MatrixProduct[u[1,1].Yd1]*alpha1*alpha3*z2
          + 39/40*MatrixProduct[u[1,1].Yd1]*alpha1*alpha3*Doub1
          - 32/5*MatrixProduct[u[1,1].Yd1]*alpha1*alpha3*Doub1*z3
          - 27/20*MatrixProduct[u[1,1].Yd1]*alpha1*alpha3*Doub1*z2
          + 1987/640*MatrixProduct[u[1,1].Yd1]*alpha1*alpha2
          + 21/10*MatrixProduct[u[1,1].Yd1]*alpha1*alpha2*z3
          - 63/320*MatrixProduct[u[1,1].Yd1]*alpha1*alpha2*z2
          - 629/1280*MatrixProduct[u[1,1].Yd1]*alpha1*alpha2*Doub1
          - 33/8*MatrixProduct[u[1,1].Yd1]*alpha1*alpha2*Doub1*z3
          + 63/320*MatrixProduct[u[1,1].Yd1]*alpha1*alpha2*Doub1*z2
          - 4679/3840*MatrixProduct[u[1,1].Yd1]*alpha1^2
          + 1/10*MatrixProduct[u[1,1].Yd1]*alpha1^2*z3
          + 27/640*MatrixProduct[u[1,1].Yd1]*alpha1^2*z2
          - 1247/480*MatrixProduct[u[1,1].Yd1]*alpha1^2*Ng
          - 1949/6400*MatrixProduct[u[1,1].Yd1]*alpha1^2*Doub2
          + 19897/12800*MatrixProduct[u[1,1].Yd1]*alpha1^2*Doub1
          + 169/400*MatrixProduct[u[1,1].Yd1]*alpha1^2*Doub1*z3
          - 27/640*MatrixProduct[u[1,1].Yd1]*alpha1^2*Doub1*z2
          + 59/16*MatrixProduct[u[1,1].Yd1]*alpha1^2*Doub1*Ng
          + 777/1600*MatrixProduct[u[1,1].Yd1]*alpha1^2*Doub1*Doub2
          + 97/4*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*alpha3
          - 36*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*alpha3*z3
          + 45/16*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*alpha2
          + 135/4*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*alpha2*z3
          - 27/16*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*alpha2*z2
          - 45/4*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*alpha2*Doub1
          - 81/4*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*alpha2*Doub1*z2
          - 197/8*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*alpha1
          + 207/20*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*alpha1*z3
          + 27/80*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*alpha1*z2
          + 2097/80*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*alpha1*Doub1
          - 189/20*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*alpha1*Doub1*z3
          - 27/80*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*alpha1*Doub1*z2
          + 117/16*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]^2
          + 117/8*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*Tr[d[1,1]]
          + 39/8*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1]]*Tr[l[1,1]]
          - 153/16*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1].u[1,1]]
          - 51/16*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1].u[2,2]]
          + 177/8*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1].d[1,1]]
          - 36*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1].d[1,1]]*z3
          - 51/16*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1].d[2,2]]
          + 117/16*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*Tr[u[2,1]]
          + 117/16*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*Tr[d[2,1]]
          + 39/16*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*Tr[l[2,1]]
          - 51/8*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2].u[2,1]]
          + 9/4*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2].d[2,1]]
          + 117/16*MatrixProduct[u[1,1].Yd1]*Tr[u[2,1]]*Tr[d[1,2]]
          + 39/16*MatrixProduct[u[1,1].Yd1]*Tr[u[2,1]]*Tr[l[1,2]]
          + 9/4*MatrixProduct[u[1,1].Yd1]*Tr[u[2,1].d[1,2]]
          - 51/16*MatrixProduct[u[1,1].Yd1]*Tr[u[2,2].d[1,1]]
          + 97/4*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*alpha3
          - 36*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*alpha3*z3
          + 45/16*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*alpha2
          + 135/4*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*alpha2*z3
          - 27/16*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*alpha2*z2
          - 45/4*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*alpha2*Doub1
          - 81/4*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*alpha2*Doub1*z2
          - 109/4*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*alpha1
          + 261/20*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*alpha1*z3
          + 27/80*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*alpha1*z2
          + 2097/80*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*alpha1*Doub1
          - 189/20*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*alpha1*Doub1*z3
          - 27/80*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*alpha1*Doub1*z2
          + 117/16*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]^2
          + 39/8*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1]]*Tr[l[1,1]]
          - 153/16*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1].d[1,1]]
          - 51/16*MatrixProduct[u[1,1].Yd1]*Tr[d[1,1].d[2,2]]
          + 117/16*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*Tr[d[2,1]]
          + 39/16*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*Tr[l[2,1]]
          - 51/8*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2].d[2,1]]
          + 39/16*MatrixProduct[u[1,1].Yd1]*Tr[d[2,1]]*Tr[l[1,2]]
          - 43/12*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]*alpha3
          + 15/16*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]*alpha2
          + 45/4*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]*alpha2*z3
          - 9/16*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]*alpha2*z2
          - 15/4*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]*alpha2*Doub1
          - 27/4*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]*alpha2*Doub1*z3
          + 9/16*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]*alpha2*Doub1*z2
          - 37/6*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]*alpha1
          + 27/20*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]*alpha1*z3
          + 9/80*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]*alpha1*z2
          + 699/80*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]*alpha1*Doub1
          - 63/20*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]*alpha1*Doub1*z3
          - 9/80*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]*alpha1*Doub1*z2
          + 13/16*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1]]^2
          - 51/16*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1].l[1,1]]
          - 17/16*MatrixProduct[u[1,1].Yd1]*Tr[l[1,1].l[2,2]]
          + 13/16*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*Tr[l[2,1]]
          - 17/8*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2].l[2,1]]
          + 27/8*MatrixProduct[u[1,1].Yd2]*lam[2,1,2,2]*lam[1,2,2,1]
          + 27/8*MatrixProduct[u[1,1].Yd2]*lam[2,1,2,2]*lam[2,2,2,2]
          + 27/8*MatrixProduct[u[1,1].Yd2]*lam[2,1,2,1]*lam[1,2,2,2]
          + 3/8*MatrixProduct[u[1,1].Yd2]*lam[1,1,2,2]*lam[2,1,2,2]
          + 3/8*MatrixProduct[u[1,1].Yd2]*lam[1,1,2,1]*lam[1,2,2,1]
          + 27/8*MatrixProduct[u[1,1].Yd2]*lam[1,1,2,1]*lam[1,1,2,2]
          + 3/8*MatrixProduct[u[1,1].Yd2]*lam[1,1,1,2]*lam[2,1,2,1]
          + 3/8*MatrixProduct[u[1,1].Yd2]*lam[1,1,1,1]*lam[1,1,2,1]
          + 3*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,1,2,1]
          - 9/2*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,1,2,1]*Doub2*z3
          - 3/2*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,1,2,1]*Doub1
          - 9/2*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,1,2,1]*Doub1*z3
          - 3/2*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,1,2,1]*Doub1*Doub2
          + 9*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,1,2,1]*Doub1*Doub2*z3
          + 9*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*Tr[u[2,1]]
          + 9*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*Tr[d[2,1]]
          + 3*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*Tr[l[2,1]]
          - 225/16*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1].u[2,1]]
          + 177/16*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1].d[2,1]]
          - 18*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1].d[2,1]]*z3
          + 3/2*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*lam[1,2,2,1]
          - 3/2*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*lam[1,1,2,2]
          + 39*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha3
          - 48*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha3*z3
          - 243/32*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha2
          + 135/4*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha2*z3
          - 27/16*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha2*z2
          - 225/32*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub2
          - 81/8*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub2*z2
          - 171/8*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub1
          - 81/8*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub1*z2
          + 1035/32*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 3411/160*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha1
          + 57/4*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha1*z3
          + 27/80*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha1*z2
          + 1209/160*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub2
          - 243/40*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub2*z2
          + 417/40*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub1
          - 243/40*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub1*z3
          - 27/80*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub1*z2
          + 513/160*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 9*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*Tr[u[2,2]]
          + 9*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*Tr[d[1,1]]
          + 9*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*Tr[d[2,2]]
          + 3*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*Tr[l[1,1]]
          + 3*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*Tr[l[2,2]]
          - 225/16*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1].u[2,2]]
          + 177/16*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1].d[1,1]]
          - 18*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1].d[1,1]]*z3
          - 15/16*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1].d[2,2]]
          + 9*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*Tr[d[2,1]]
          + 3*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*Tr[l[2,1]]
          - 15/16*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2].d[2,1]]
          + 9*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*Tr[d[2,1]]
          + 3*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*Tr[l[2,1]]
          - 225/16*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1].d[2,1]]
          + 3/2*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*lam[1,2,2,1]
          - 3/2*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*lam[1,1,2,2]
          + 39*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha3
          - 48*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha3*z3
          - 243/32*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha2
          + 135/4*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha2*z3
          - 27/16*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha2*z2
          - 225/32*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub2
          - 81/8*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub2*z2
          - 171/8*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub1
          - 81/8*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub1*z2
          + 1035/32*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 4023/160*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha1
          + 357/20*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha1*z3
          + 27/80*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha1*z2
          + 1209/160*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub2
          - 243/40*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub2*z2
          + 417/40*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub1
          - 243/40*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub1*z3
          - 27/80*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub1*z2
          + 513/160*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 9*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*Tr[d[2,2]]
          + 3*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*Tr[l[1,1]]
          + 3*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*Tr[l[2,2]]
          - 225/16*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1].d[2,2]]
          + 3*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*Tr[l[2,1]]
          + MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]*Tr[l[2,1]]
          - 75/16*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1].l[2,1]]
          + 1/2*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*lam[1,2,2,1]
          - 1/2*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*lam[1,1,2,2]
          - 4*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha3
          - 81/32*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha2
          + 45/4*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha2*z3
          - 9/16*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha2*z2
          - 75/32*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub2
          - 27/8*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub2*z2
          - 57/8*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub1
          - 27/8*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub1*z3
          + 9/16*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub1*z2
          + 345/32*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          - 9/32*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 661/160*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha1
          + 39/20*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha1*z3
          + 9/80*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha1*z2
          + 403/160*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub2
          - 81/40*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub2*z3
          - 9/160*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub2*z2
          + 139/40*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub1
          - 81/40*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub1*z3
          - 9/80*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          + 9/160*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          + MatrixProduct[u[1,1].Yd2]*Tr[l[2,1]]*Tr[l[2,2]]
          - 75/16*MatrixProduct[u[1,1].Yd2]*Tr[l[2,1].l[2,2]]
          + 17/8*MatrixProduct[u[1,2].u[1,1].u[2,1].Yd1]
          - 9/4*MatrixProduct[u[1,2].u[1,1].u[2,1].Yd1]*z3
          - 41/8*MatrixProduct[u[1,2].u[1,1].d[2,1].Yd1]
          + 6*MatrixProduct[u[1,2].u[1,1].d[2,1].Yd1]*z3
          - 15/2*MatrixProduct[u[1,2].u[1,1].Yd1]*lam[1,1,2,1]
          - 123/16*MatrixProduct[u[1,2].u[1,1].Yd1]*Tr[u[2,1]]
          - 123/16*MatrixProduct[u[1,2].u[1,1].Yd1]*Tr[d[2,1]]
          - 41/16*MatrixProduct[u[1,2].u[1,1].Yd1]*Tr[l[2,1]]
          - 3/2*MatrixProduct[u[1,2].u[1,1].Yd2]*lam[2,1,2,1]
          - 6*MatrixProduct[u[1,2].u[1,2].Yd1]*lam[2,1,2,1]
          - 5/16*MatrixProduct[u[1,2].u[2,1].u[1,1].Yd1]
          - MatrixProduct[u[1,2].u[2,1].u[2,1].Yd2]
          + 5/2*MatrixProduct[u[1,2].u[2,1].u[2,2].Yd1]
          - 9/4*MatrixProduct[u[1,2].u[2,1].u[2,2].Yd1]*z3
          - 19/32*MatrixProduct[u[1,2].u[2,1].d[1,1].Yd1]
          - 4*MatrixProduct[u[1,2].u[2,1].d[2,1].Yd2]
          + 6*MatrixProduct[u[1,2].u[2,1].d[2,1].Yd2]*z3
          - 3/2*MatrixProduct[u[1,2].u[2,1].d[2,2].Yd1]
          - 5/2*MatrixProduct[u[1,2].u[2,1].Yd1]*lam[1,2,2,1]
          - 5*MatrixProduct[u[1,2].u[2,1].Yd1]*lam[1,1,2,2]
          + 28/3*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha3
          + 16*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha3*z3
          - 9/4*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha2
          + 9/32*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha2*z2
          + 351/32*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha2*Doub2
          - 27/4*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha2*Doub2*z3
          - 93/32*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha2*Doub1
          - 9/32*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha2*Doub1*z2
          - 6209/960*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha1
          + 7/5*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha1*z3
          + 2377/320*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha1*Doub2
          - 33/20*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha1*Doub2*z2
          + 693/320*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha1*Doub1
          - 9/10*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha1*Doub1*z2
          - 879/320*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha1*Doub1*Doub2
          + 9/5*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha1*Doub1*Doub2*z3
          + 9/160*MatrixProduct[u[1,2].u[2,1].Yd1]*alpha1*Doub1*Doub2*
         z2
          + 9/4*MatrixProduct[u[1,2].u[2,1].Yd1]*Tr[u[1,1]]
          - 123/16*MatrixProduct[u[1,2].u[2,1].Yd1]*Tr[u[2,2]]
          + 9/4*MatrixProduct[u[1,2].u[2,1].Yd1]*Tr[d[1,1]]
          - 123/16*MatrixProduct[u[1,2].u[2,1].Yd1]*Tr[d[2,2]]
          + 3/4*MatrixProduct[u[1,2].u[2,1].Yd1]*Tr[l[1,1]]
          - 41/16*MatrixProduct[u[1,2].u[2,1].Yd1]*Tr[l[2,2]]
          - 3/2*MatrixProduct[u[1,2].u[2,1].Yd2]*lam[2,1,2,2]
          + 3*MatrixProduct[u[1,2].u[2,1].Yd2]*Tr[u[2,1]]
          + 3*MatrixProduct[u[1,2].u[2,1].Yd2]*Tr[d[2,1]]
          + MatrixProduct[u[1,2].u[2,1].Yd2]*Tr[l[2,1]]
          + 5/16*MatrixProduct[u[1,2].u[2,2].u[2,1].Yd1]
          - 7/32*MatrixProduct[u[1,2].u[2,2].d[2,1].Yd1]
          - 6*MatrixProduct[u[1,2].u[2,2].Yd1]*lam[2,1,2,2]
          - 3/4*MatrixProduct[u[1,2].u[2,2].Yd1]*Tr[u[2,1]]
          - 3/4*MatrixProduct[u[1,2].u[2,2].Yd1]*Tr[d[2,1]]
          - 1/4*MatrixProduct[u[1,2].u[2,2].Yd1]*Tr[l[2,1]]
          - 21/8*MatrixProduct[u[1,2].d[1,1].u[2,1].Yd1]
          + 41/32*MatrixProduct[u[1,2].d[1,1].d[2,1].Yd1]
          + 3*MatrixProduct[u[1,2].d[1,1].d[2,1].Yd1]*z3
          + 9/2*MatrixProduct[u[1,2].d[1,1].Yd1]*lam[1,1,2,1]
          + 201/32*MatrixProduct[u[1,2].d[1,1].Yd1]*Tr[u[2,1]]
          + 201/32*MatrixProduct[u[1,2].d[1,1].Yd1]*Tr[d[2,1]]
          + 67/32*MatrixProduct[u[1,2].d[1,1].Yd1]*Tr[l[2,1]]
          + 9/2*MatrixProduct[u[1,2].d[1,1].Yd2]*lam[2,1,2,1]
          + 5/16*MatrixProduct[u[1,2].d[2,1].u[1,1].Yd1]
          - 3/2*MatrixProduct[u[1,2].d[2,1].u[2,1].Yd2]
          + 1/4*MatrixProduct[u[1,2].d[2,1].u[2,2].Yd1]
          - 3/2*MatrixProduct[u[1,2].d[2,1].d[2,1].Yd2]
          + 3*MatrixProduct[u[1,2].d[2,1].d[2,1].Yd2]*z3
          + 45/32*MatrixProduct[u[1,2].d[2,1].d[2,2].Yd1]
          + MatrixProduct[u[1,2].d[2,1].Yd1]*lam[1,2,2,1]
          + 7/2*MatrixProduct[u[1,2].d[2,1].Yd1]*lam[1,1,2,2]
          - 22*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha3
          - 4*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha3*z3
          + 435/64*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha2
          - 9/2*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha2*z3
          - 9/16*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha2*z2
          - 195/32*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha2*Doub2
          + 9/2*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha2*Doub2*z2
          - 57/64*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha2*Doub1
          + 9/2*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha2*Doub1*z3
          + 9/16*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha2*Doub1*z2
          + 291/64*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha2*Doub1*Doub2
          - 45/8*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha2*Doub1*Doub2*z2
          - 15/64*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha1
          + 1/10*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha1*z3
          - 209/160*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha1*Doub2
          - 3/10*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha1*Doub2*z3
          + 27/160*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha1*Doub2*z2
          + 527/320*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha1*Doub1
          + 3/10*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha1*Doub1*z3
          - 9/80*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha1*Doub1*z2
          + 39/64*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha1*Doub1*Doub2*
         z3
          - 9/160*MatrixProduct[u[1,2].d[2,1].Yd1]*alpha1*Doub1*Doub2*
         z2
          - 87/32*MatrixProduct[u[1,2].d[2,1].Yd1]*Tr[u[1,1]]
          + 201/32*MatrixProduct[u[1,2].d[2,1].Yd1]*Tr[u[2,2]]
          - 87/32*MatrixProduct[u[1,2].d[2,1].Yd1]*Tr[d[1,1]]
          + 201/32*MatrixProduct[u[1,2].d[2,1].Yd1]*Tr[d[2,2]]
          - 29/32*MatrixProduct[u[1,2].d[2,1].Yd1]*Tr[l[1,1]]
          + 67/32*MatrixProduct[u[1,2].d[2,1].Yd1]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[1,2].d[2,1].Yd2]*lam[2,1,2,2]
          - 3*MatrixProduct[u[1,2].d[2,1].Yd2]*Tr[u[2,1]]
          - 3*MatrixProduct[u[1,2].d[2,1].Yd2]*Tr[d[2,1]]
          - MatrixProduct[u[1,2].d[2,1].Yd2]*Tr[l[2,1]]
          - 17/16*MatrixProduct[u[1,2].d[2,2].u[2,1].Yd1]
          + 11/8*MatrixProduct[u[1,2].d[2,2].d[2,1].Yd1]
          + 9/32*MatrixProduct[u[1,2].d[2,2].Yd1]*Tr[u[2,1]]
          + 9/32*MatrixProduct[u[1,2].d[2,2].Yd1]*Tr[d[2,1]]
          + 3/32*MatrixProduct[u[1,2].d[2,2].Yd1]*Tr[l[2,1]]
          - 33/32*MatrixProduct[u[1,2].Yd1]*lam[2,1,2,2]*lam[1,2,2,1]
          - 33/32*MatrixProduct[u[1,2].Yd1]*lam[2,1,2,2]*lam[2,2,2,2]
          - 33/32*MatrixProduct[u[1,2].Yd1]*lam[2,1,2,1]*lam[1,2,2,2]
          - 129/32*MatrixProduct[u[1,2].Yd1]*lam[1,1,2,2]*lam[2,1,2,2]
          - 129/32*MatrixProduct[u[1,2].Yd1]*lam[1,1,2,1]*lam[1,2,2,1]
          - 33/32*MatrixProduct[u[1,2].Yd1]*lam[1,1,2,1]*lam[1,1,2,2]
          - 129/32*MatrixProduct[u[1,2].Yd1]*lam[1,1,1,2]*lam[2,1,2,1]
          - 129/32*MatrixProduct[u[1,2].Yd1]*lam[1,1,1,1]*lam[1,1,2,1]
          + 3*MatrixProduct[u[1,2].Yd1]*alpha2*lam[1,1,2,1]
          - 9/2*MatrixProduct[u[1,2].Yd1]*alpha2*lam[1,1,2,1]*Doub2*z3
          + 3/2*MatrixProduct[u[1,2].Yd1]*alpha2*lam[1,1,2,1]*Doub1
          - 9/2*MatrixProduct[u[1,2].Yd1]*alpha2*lam[1,1,2,1]*Doub1*Doub2
          + 9/2*MatrixProduct[u[1,2].Yd1]*alpha2*lam[1,1,2,1]*Doub1*Doub2*z3
          - 27/16*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1].u[2,1]]
          + 12*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1].d[2,1]]
          - 18*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1].d[2,1]]*z3
          - 3/2*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*alpha3
          + 12*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*alpha3*z3
          + 333/32*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*alpha2
          - 207/128*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*alpha2*Doub2
          - 765/128*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*alpha2*Doub1
          - 243/32*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          - 529/160*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*alpha1
          - 39/10*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*alpha1*z3
          + 2469/640*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*alpha1*Doub2
          + 27/20*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*alpha1*Doub2*z3
          + 567/128*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*alpha1*Doub1
          + 27/20*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*alpha1*Doub1*z3
          - 261/80*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*Tr[u[2,2]]
          - 27/16*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*Tr[d[1,1]]
          - 27/16*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1].u[2,2]]
          + 12*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1].d[1,1]]
          - 18*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1].d[1,1]]*z3
          - 27/16*MatrixProduct[u[1,2].Yd1]*Tr[u[2,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[u[1,2].Yd1]*Tr[u[2,2]]*Tr[l[2,1]]
          - 27/16*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1].d[2,1]]
          - 3/2*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*alpha3
          + 12*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*alpha3*z3
          + 333/32*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*alpha2
          - 207/128*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*alpha2*Doub2
          - 765/128*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*alpha2*Doub1
          - 243/32*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          - 337/160*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*alpha1
          - 24/5*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*alpha1*z3
          + 2469/640*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*alpha1*Doub2
          + 27/20*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*alpha1*Doub2*z3
          + 567/128*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*alpha1*Doub1
          + 27/20*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*alpha1*Doub1*z3
          - 261/80*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1].d[2,2]]
          - 9/16*MatrixProduct[u[1,2].Yd1]*Tr[d[2,2]]*Tr[l[2,1]]
          - 3/16*MatrixProduct[u[1,2].Yd1]*Tr[l[1,1]]*Tr[l[2,1]]
          + 3/2*MatrixProduct[u[1,2].Yd1]*Tr[l[1,1].l[2,1]]
          - 1/2*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*lam[1,2,2,1]
          + 1/2*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*lam[1,1,2,2]
          + 5/12*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*alpha3
          + 111/32*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*alpha2
          - 69/128*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*alpha2*Doub2
          - 255/128*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*alpha2*Doub1
          - 81/32*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          - 977/480*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*alpha1
          - 3/5*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*alpha1*z3
          + 823/640*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*alpha1*Doub2
          + 9/20*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*alpha1*Doub2*z3
          + 189/128*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*alpha1*Doub1
          + 9/20*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*alpha1*Doub1*z3
          - 87/80*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          - 3/16*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1]]*Tr[l[2,2]]
          + 3/2*MatrixProduct[u[1,2].Yd1]*Tr[l[2,1].l[2,2]]
          - 3*MatrixProduct[u[1,2].Yd2]*lam[2,1,2,2]^2
          - 6*MatrixProduct[u[1,2].Yd2]*lam[2,1,2,1]*lam[1,2,2,1]
          - 3*MatrixProduct[u[1,2].Yd2]*lam[1,1,2,1]^2
          + 3*MatrixProduct[u[1,2].Yd2]*alpha2*lam[2,1,2,1]
          - 9*MatrixProduct[u[1,2].Yd2]*alpha2*lam[2,1,2,1]*Doub2*z3
          + 3*MatrixProduct[u[1,2].Yd2]*alpha2*lam[2,1,2,1]*Doub1
          - 9/2*MatrixProduct[u[1,2].Yd2]*alpha2*lam[2,1,2,1]*Doub1*z3
          - 6*MatrixProduct[u[1,2].Yd2]*alpha2*lam[2,1,2,1]*Doub1*Doub2
          + 27/2*MatrixProduct[u[1,2].Yd2]*alpha2*lam[2,1,2,1]*Doub1*Doub2*
         z3
          + 24*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1].d[2,1]]
          - 36*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1].d[2,1]]*z3
          + 27/8*MatrixProduct[u[2,1].u[1,1].u[1,1].Yd2]
          - 3*MatrixProduct[u[2,1].u[1,1].u[1,1].Yd2]*z3
          - 3*MatrixProduct[u[2,1].u[1,1].u[1,2].Yd1]
          + 3*MatrixProduct[u[2,1].u[1,1].u[1,2].Yd1]*z3
          - 3/2*MatrixProduct[u[2,1].u[1,1].u[2,2].Yd2]
          - 7/4*MatrixProduct[u[2,1].u[1,1].d[1,1].Yd2]
          - 87/32*MatrixProduct[u[2,1].u[1,1].d[1,2].Yd1]
          + 3/4*MatrixProduct[u[2,1].u[1,1].d[2,2].Yd2]
          - 3*MatrixProduct[u[2,1].u[1,1].Yd1]*lam[1,1,1,2]
          - 3/4*MatrixProduct[u[2,1].u[1,1].Yd1]*Tr[u[1,2]]
          - 3/4*MatrixProduct[u[2,1].u[1,1].Yd1]*Tr[d[1,2]]
          - 1/4*MatrixProduct[u[2,1].u[1,1].Yd1]*Tr[l[1,2]]
          + 3/4*MatrixProduct[u[2,1].u[1,1].Yd2]*lam[1,2,2,1]
          - 21/4*MatrixProduct[u[2,1].u[1,1].Yd2]*lam[1,1,2,2]
          - 15/2*MatrixProduct[u[2,1].u[1,1].Yd2]*lam[1,1,1,1]
          + 21*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha3
          + 24*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha3*z3
          - 777/64*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha2
          + 27/4*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha2*z3
          + 15/4*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha2*Doub2
          - 27/4*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha2*Doub2*z3
          + 867/32*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha2*Doub1
          - 18*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha2*Doub1*z3
          - 135/16*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha2*Doub1*Doub2
          + 9*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha2*Doub1*Doub2*z3
          - 2457/320*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha1
          + 9/4*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha1*z3
          + 27/40*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha1*Doub2
          + 9/20*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha1*Doub2*z3
          + 1607/160*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha1*Doub1
          - 39/10*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha1*Doub1*z3
          - 147/80*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha1*Doub1*Doub2
          + 9/5*MatrixProduct[u[2,1].u[1,1].Yd2]*alpha1*Doub1*Doub2*z3
          - 225/16*MatrixProduct[u[2,1].u[1,1].Yd2]*Tr[u[1,1]]
          + 9/2*MatrixProduct[u[2,1].u[1,1].Yd2]*Tr[u[2,2]]
          - 225/16*MatrixProduct[u[2,1].u[1,1].Yd2]*Tr[d[1,1]]
          + 9/2*MatrixProduct[u[2,1].u[1,1].Yd2]*Tr[d[2,2]]
          - 75/16*MatrixProduct[u[2,1].u[1,1].Yd2]*Tr[l[1,1]]
          + 3/2*MatrixProduct[u[2,1].u[1,1].Yd2]*Tr[l[2,2]]
          + 3/4*MatrixProduct[u[2,1].u[1,2].u[1,1].Yd1]
          - 9/4*MatrixProduct[u[2,1].u[1,2].u[1,1].Yd1]*z3
          - 7/16*MatrixProduct[u[2,1].u[1,2].u[2,1].Yd2]
          + 15/16*MatrixProduct[u[2,1].u[1,2].u[2,2].Yd1]
          - 5/4*MatrixProduct[u[2,1].u[1,2].d[1,1].Yd1]
          + 6*MatrixProduct[u[2,1].u[1,2].d[1,1].Yd1]*z3
          - 3/2*MatrixProduct[u[2,1].u[1,2].d[2,1].Yd2]
          + 5/32*MatrixProduct[u[2,1].u[1,2].d[2,2].Yd1]
          - MatrixProduct[u[2,1].u[1,2].Yd1]*lam[1,2,2,1]
          + 5/2*MatrixProduct[u[2,1].u[1,2].Yd1]*lam[1,1,2,2]
          + 3*MatrixProduct[u[2,1].u[1,2].Yd1]*lam[1,1,1,1]
          - 14*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha3
          + 16*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha3*z3
          - 69/32*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha2
          - 9/2*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha2*z3
          + 9/32*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha2*z2
          + 27/32*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha2*Doub2
          - 9/32*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha2*Doub2*z2
          - 201/64*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha2*Doub1
          + 9/2*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha2*Doub1*z3
          - 9/32*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha2*Doub1*z2
          + 207/64*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha2*Doub1*Doub2
          - 9/4*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha2*Doub1*Doub2*z3
          + 9/32*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha2*Doub1*Doub2*z2
          - 549/320*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha1
          - 19/10*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha1*z3
          - 89/160*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha1*Doub2
          + 27/160*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha1*Doub2*z2
          + 12/5*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha1*Doub1
          + 9/5*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha1*Doub1*z3
          - 9/80*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha1*Doub1*z2
          + 537/320*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha1*Doub1*Doub2*
         z3
          - 9/160*MatrixProduct[u[2,1].u[1,2].Yd1]*alpha1*Doub1*Doub2*
         z2
          + 99/16*MatrixProduct[u[2,1].u[1,2].Yd1]*Tr[u[1,1]]
          - 21/4*MatrixProduct[u[2,1].u[1,2].Yd1]*Tr[u[2,2]]
          + 99/16*MatrixProduct[u[2,1].u[1,2].Yd1]*Tr[d[1,1]]
          - 21/4*MatrixProduct[u[2,1].u[1,2].Yd1]*Tr[d[2,2]]
          + 33/16*MatrixProduct[u[2,1].u[1,2].Yd1]*Tr[l[1,1]]
          - 7/4*MatrixProduct[u[2,1].u[1,2].Yd1]*Tr[l[2,2]]
          - 9/2*MatrixProduct[u[2,1].u[1,2].Yd2]*lam[1,1,2,1]
          - 3/16*MatrixProduct[u[2,1].u[1,2].Yd2]*Tr[u[2,1]]
          - 3/16*MatrixProduct[u[2,1].u[1,2].Yd2]*Tr[d[2,1]]
          - 1/16*MatrixProduct[u[2,1].u[1,2].Yd2]*Tr[l[2,1]]
          + 25/16*MatrixProduct[u[2,1].u[2,1].u[1,2].Yd2]
          - 5*MatrixProduct[u[2,1].u[2,1].d[1,2].Yd2]
          - 3*MatrixProduct[u[2,1].u[2,1].Yd1]*lam[1,2,1,2]
          - 9/2*MatrixProduct[u[2,1].u[2,1].Yd2]*lam[1,2,2,2]
          - 15/2*MatrixProduct[u[2,1].u[2,1].Yd2]*lam[1,1,1,2]
          - 297/16*MatrixProduct[u[2,1].u[2,1].Yd2]*Tr[u[1,2]]
          - 297/16*MatrixProduct[u[2,1].u[2,1].Yd2]*Tr[d[1,2]]
          - 99/16*MatrixProduct[u[2,1].u[2,1].Yd2]*Tr[l[1,2]]
          + 33/16*MatrixProduct[u[2,1].u[2,2].u[1,1].Yd2]
          - 3*MatrixProduct[u[2,1].u[2,2].u[1,1].Yd2]*z3
          - 35/16*MatrixProduct[u[2,1].u[2,2].u[1,2].Yd1]
          + 3/4*MatrixProduct[u[2,1].u[2,2].u[1,2].Yd1]*z3
          - 11/16*MatrixProduct[u[2,1].u[2,2].u[2,2].Yd2]
          + 6*MatrixProduct[u[2,1].u[2,2].d[1,1].Yd2]*z3
          - 1/8*MatrixProduct[u[2,1].u[2,2].d[1,2].Yd1]
          + 3/2*MatrixProduct[u[2,1].u[2,2].Yd1]*lam[1,2,2,2]
          + 3*MatrixProduct[u[2,1].u[2,2].Yd1]*lam[1,1,1,2]
          + 123/16*MatrixProduct[u[2,1].u[2,2].Yd1]*Tr[u[1,2]]
          + 123/16*MatrixProduct[u[2,1].u[2,2].Yd1]*Tr[d[1,2]]
          + 41/16*MatrixProduct[u[2,1].u[2,2].Yd1]*Tr[l[1,2]]
          - 9/4*MatrixProduct[u[2,1].u[2,2].Yd2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[u[2,1].u[2,2].Yd2]*lam[1,1,2,2]
          - 7/3*MatrixProduct[u[2,1].u[2,2].Yd2]*alpha3
          + 24*MatrixProduct[u[2,1].u[2,2].Yd2]*alpha3*z3
          - 771/64*MatrixProduct[u[2,1].u[2,2].Yd2]*alpha2
          + 9/4*MatrixProduct[u[2,1].u[2,2].Yd2]*alpha2*z3
          + 489/32*MatrixProduct[u[2,1].u[2,2].Yd2]*alpha2*Doub2
          - 27/4*MatrixProduct[u[2,1].u[2,2].Yd2]*alpha2*Doub2*z3
          + 33/16*MatrixProduct[u[2,1].u[2,2].Yd2]*alpha2*Doub1
          - 33/16*MatrixProduct[u[2,1].u[2,2].Yd2]*alpha2*Doub1*Doub2
          - 2809/960*MatrixProduct[u[2,1].u[2,2].Yd2]*alpha1
          - 21/20*MatrixProduct[u[2,1].u[2,2].Yd2]*alpha1*z3
          + 889/160*MatrixProduct[u[2,1].u[2,2].Yd2]*alpha1*Doub2
          - 9/20*MatrixProduct[u[2,1].u[2,2].Yd2]*alpha1*Doub2*z3
          + 9/16*MatrixProduct[u[2,1].u[2,2].Yd2]*alpha1*Doub1
          - 9/16*MatrixProduct[u[2,1].u[2,2].Yd2]*alpha1*Doub1*Doub2
          - 51/16*MatrixProduct[u[2,1].u[2,2].Yd2]*Tr[u[2,2]]
          - 51/16*MatrixProduct[u[2,1].u[2,2].Yd2]*Tr[d[2,2]]
          - 17/16*MatrixProduct[u[2,1].u[2,2].Yd2]*Tr[l[2,2]]
          - 27/16*MatrixProduct[u[2,1].d[1,1].u[1,1].Yd2]
          + 1/8*MatrixProduct[u[2,1].d[1,1].u[1,2].Yd1]
          + 1/2*MatrixProduct[u[2,1].d[1,1].u[2,2].Yd2]
          + 45/16*MatrixProduct[u[2,1].d[1,1].d[1,1].Yd2]
          + 3/8*MatrixProduct[u[2,1].d[1,1].d[1,2].Yd1]
          - 1/4*MatrixProduct[u[2,1].d[1,1].d[2,2].Yd2]
          - 3/2*MatrixProduct[u[2,1].d[1,1].Yd1]*lam[1,1,1,2]
          - 39/32*MatrixProduct[u[2,1].d[1,1].Yd1]*Tr[u[1,2]]
          - 39/32*MatrixProduct[u[2,1].d[1,1].Yd1]*Tr[d[1,2]]
          - 13/32*MatrixProduct[u[2,1].d[1,1].Yd1]*Tr[l[1,2]]
          - 9/4*MatrixProduct[u[2,1].d[1,1].Yd2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[u[2,1].d[1,1].Yd2]*lam[1,1,2,2]
          - 67/3*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha3
          + 8*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha3*z3
          - 531/64*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha2
          + 9/4*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha2*z3
          + 39/4*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha2*Doub2
          - 9/4*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha2*Doub2*z3
          + 327/32*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha2*Doub1
          - 9/2*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha2*Doub1*z3
          - 111/16*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha2*Doub1*Doub2
          + 9/2*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha2*Doub1*Doub2*z3
          + 643/192*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha1
          - 19/20*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha1*z3
          + 83/40*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha1*Doub2
          - 33/20*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha1*Doub2*z3
          - 95/32*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha1*Doub1
          + 3/10*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha1*Doub1*z3
          - 99/80*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha1*Doub1*Doub2
          + 9/10*MatrixProduct[u[2,1].d[1,1].Yd2]*alpha1*Doub1*Doub2*z3
          + 21/16*MatrixProduct[u[2,1].d[1,1].Yd2]*Tr[u[1,1]]
          - 3/2*MatrixProduct[u[2,1].d[1,1].Yd2]*Tr[u[2,2]]
          + 21/16*MatrixProduct[u[2,1].d[1,1].Yd2]*Tr[d[1,1]]
          - 3/2*MatrixProduct[u[2,1].d[1,1].Yd2]*Tr[d[2,2]]
          + 7/16*MatrixProduct[u[2,1].d[1,1].Yd2]*Tr[l[1,1]]
          - 1/2*MatrixProduct[u[2,1].d[1,1].Yd2]*Tr[l[2,2]]
          - 3/4*MatrixProduct[u[2,1].d[1,2].u[1,1].Yd1]
          - 3/2*MatrixProduct[u[2,1].d[1,2].u[2,1].Yd2]
          + 21/16*MatrixProduct[u[2,1].d[1,2].u[2,2].Yd1]
          - 19/32*MatrixProduct[u[2,1].d[1,2].d[1,1].Yd1]
          + 1/16*MatrixProduct[u[2,1].d[1,2].d[2,1].Yd2]
          + 3/2*MatrixProduct[u[2,1].d[1,2].d[2,2].Yd1]
          - 3*MatrixProduct[u[2,1].d[1,2].d[2,2].Yd1]*z3
          + 1/2*MatrixProduct[u[2,1].d[1,2].Yd1]*lam[1,2,2,1]
          - 5*MatrixProduct[u[2,1].d[1,2].Yd1]*lam[1,1,2,2]
          + 3/2*MatrixProduct[u[2,1].d[1,2].Yd1]*lam[1,1,1,1]
          + 70/3*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha3
          - 4*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha3*z3
          + 291/64*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha2
          - 9/16*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha2*z2
          - 63/32*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha2*Doub2
          + 9/32*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha2*Doub2*z2
          - 273/64*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha2*Doub1
          + 9/16*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha2*Doub1*z2
          + 195/64*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha2*Doub1*Doub2
          - 9/8*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha2*Doub1*Doub2*z2
          - 1213/192*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha1
          + 4*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha1*z3
          + 9/160*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha1*Doub2
          + 27/20*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha1*Doub2*z2
          + 341/64*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha1*Doub1
          - 18/5*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha1*Doub1*z2
          + 261/320*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha1*Doub1*Doub2*z3
          + 9/160*MatrixProduct[u[2,1].d[1,2].Yd1]*alpha1*Doub1*Doub2*
         z2
          + 9/32*MatrixProduct[u[2,1].d[1,2].Yd1]*Tr[u[1,1]]
          + 9/32*MatrixProduct[u[2,1].d[1,2].Yd1]*Tr[u[2,2]]
          + 9/32*MatrixProduct[u[2,1].d[1,2].Yd1]*Tr[d[1,1]]
          + 9/32*MatrixProduct[u[2,1].d[1,2].Yd1]*Tr[d[2,2]]
          + 3/32*MatrixProduct[u[2,1].d[1,2].Yd1]*Tr[l[1,1]]
          + 3/32*MatrixProduct[u[2,1].d[1,2].Yd1]*Tr[l[2,2]]
          - 9/2*MatrixProduct[u[2,1].d[1,2].Yd2]*lam[2,1,2,2]
          + 3/2*MatrixProduct[u[2,1].d[1,2].Yd2]*lam[1,1,2,1]
          - 75/16*MatrixProduct[u[2,1].d[1,2].Yd2]*Tr[u[2,1]]
          - 75/16*MatrixProduct[u[2,1].d[1,2].Yd2]*Tr[d[2,1]]
          - 25/16*MatrixProduct[u[2,1].d[1,2].Yd2]*Tr[l[2,1]]
          - MatrixProduct[u[2,1].d[2,1].u[1,2].Yd2]
          + 33/16*MatrixProduct[u[2,1].d[2,1].d[1,2].Yd2]
          - 3/2*MatrixProduct[u[2,1].d[2,1].Yd1]*lam[1,2,1,2]
          - 3/2*MatrixProduct[u[2,1].d[2,1].Yd2]*lam[1,2,2,2]
          + 21/16*MatrixProduct[u[2,1].d[2,1].Yd2]*Tr[u[1,2]]
          + 21/16*MatrixProduct[u[2,1].d[2,1].Yd2]*Tr[d[1,2]]
          + 7/16*MatrixProduct[u[2,1].d[2,1].Yd2]*Tr[l[1,2]]
          - 19/16*MatrixProduct[u[2,1].d[2,2].u[1,1].Yd2]
          - 7/16*MatrixProduct[u[2,1].d[2,2].u[1,2].Yd1]
          + 3/4*MatrixProduct[u[2,1].d[2,2].d[1,1].Yd2]
          - 7/32*MatrixProduct[u[2,1].d[2,2].d[1,2].Yd1]
          + 21/16*MatrixProduct[u[2,1].d[2,2].d[2,2].Yd2]
          - 3*MatrixProduct[u[2,1].d[2,2].d[2,2].Yd2]*z3
          - 9/2*MatrixProduct[u[2,1].d[2,2].Yd1]*lam[1,2,2,2]
          + 3/2*MatrixProduct[u[2,1].d[2,2].Yd1]*lam[1,1,1,2]
          + 57/32*MatrixProduct[u[2,1].d[2,2].Yd1]*Tr[u[1,2]]
          + 57/32*MatrixProduct[u[2,1].d[2,2].Yd1]*Tr[d[1,2]]
          + 19/32*MatrixProduct[u[2,1].d[2,2].Yd1]*Tr[l[1,2]]
          + 13/4*MatrixProduct[u[2,1].d[2,2].Yd2]*lam[1,2,2,1]
          - 9/2*MatrixProduct[u[2,1].d[2,2].Yd2]*lam[2,2,2,2]
          - 7/4*MatrixProduct[u[2,1].d[2,2].Yd2]*lam[1,1,2,2]
          + 23*MatrixProduct[u[2,1].d[2,2].Yd2]*alpha3
          + 8*MatrixProduct[u[2,1].d[2,2].Yd2]*alpha3*z3
          - 675/64*MatrixProduct[u[2,1].d[2,2].Yd2]*alpha2
          + 27/4*MatrixProduct[u[2,1].d[2,2].Yd2]*alpha2*z3
          + 393/32*MatrixProduct[u[2,1].d[2,2].Yd2]*alpha2*Doub2
          - 27/4*MatrixProduct[u[2,1].d[2,2].Yd2]*alpha2*Doub2*z3
          + 21/16*MatrixProduct[u[2,1].d[2,2].Yd2]*alpha2*Doub1
          - 21/16*MatrixProduct[u[2,1].d[2,2].Yd2]*alpha2*Doub1*Doub2
          - 175/64*MatrixProduct[u[2,1].d[2,2].Yd2]*alpha1
          + 59/20*MatrixProduct[u[2,1].d[2,2].Yd2]*alpha1*z3
          + 499/160*MatrixProduct[u[2,1].d[2,2].Yd2]*alpha1*Doub2
          - 63/20*MatrixProduct[u[2,1].d[2,2].Yd2]*alpha1*Doub2*z3
          - 39/80*MatrixProduct[u[2,1].d[2,2].Yd2]*alpha1*Doub1
          + 39/80*MatrixProduct[u[2,1].d[2,2].Yd2]*alpha1*Doub1*Doub2
          - 51/16*MatrixProduct[u[2,1].d[2,2].Yd2]*Tr[u[2,2]]
          - 51/16*MatrixProduct[u[2,1].d[2,2].Yd2]*Tr[d[2,2]]
          - 17/16*MatrixProduct[u[2,1].d[2,2].Yd2]*Tr[l[2,2]]
          + 75/32*MatrixProduct[u[2,1].Yd1]*lam[1,2,2,2]*lam[1,2,2,1]
          + 75/32*MatrixProduct[u[2,1].Yd1]*lam[1,2,2,2]*lam[2,2,2,2]
          + 75/32*MatrixProduct[u[2,1].Yd1]*lam[1,2,1,2]*lam[2,1,2,2]
          - 21/32*MatrixProduct[u[2,1].Yd1]*lam[1,1,2,2]*lam[1,2,2,2]
          - 21/32*MatrixProduct[u[2,1].Yd1]*lam[1,1,2,1]*lam[1,2,1,2]
          - 21/32*MatrixProduct[u[2,1].Yd1]*lam[1,1,1,2]*lam[1,2,2,1]
          + 75/32*MatrixProduct[u[2,1].Yd1]*lam[1,1,1,2]*lam[1,1,2,2]
          - 21/32*MatrixProduct[u[2,1].Yd1]*lam[1,1,1,1]*lam[1,1,1,2]
          + 3*MatrixProduct[u[2,1].Yd1]*alpha2*lam[1,1,1,2]
          + 9/2*MatrixProduct[u[2,1].Yd1]*alpha2*lam[1,1,1,2]*Doub2
          - 9/2*MatrixProduct[u[2,1].Yd1]*alpha2*lam[1,1,1,2]*Doub2*z3
          - 9*MatrixProduct[u[2,1].Yd1]*alpha2*lam[1,1,1,2]*Doub1*z3
          - 15/2*MatrixProduct[u[2,1].Yd1]*alpha2*lam[1,1,1,2]*Doub1*Doub2
          + 27/2*MatrixProduct[u[2,1].Yd1]*alpha2*lam[1,1,1,2]*Doub1*Doub2*
         z3
          + 117/16*MatrixProduct[u[2,1].Yd1]*Tr[u[1,1]]*Tr[u[1,2]]
          + 117/16*MatrixProduct[u[2,1].Yd1]*Tr[u[1,1]]*Tr[d[1,2]]
          + 39/16*MatrixProduct[u[2,1].Yd1]*Tr[u[1,1]]*Tr[l[1,2]]
          - 153/16*MatrixProduct[u[2,1].Yd1]*Tr[u[1,1].u[1,2]]
          + 177/16*MatrixProduct[u[2,1].Yd1]*Tr[u[1,1].d[1,2]]
          - 18*MatrixProduct[u[2,1].Yd1]*Tr[u[1,1].d[1,2]]*z3
          - 3*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*lam[1,2,2,1]
          + 3*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*lam[1,1,2,2]
          + 97/4*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha3
          - 36*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha3*z3
          - 261/16*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha2
          + 135/4*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha2*z3
          + 9/128*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha2*Doub2
          - 81/8*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha2*Doub2*z3
          - 981/128*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha2*Doub1
          - 81/8*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha2*Doub1*z3
          + 495/32*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          - 19*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha1
          + 207/20*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha1*z3
          + 5421/640*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha1*Doub2
          - 189/40*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha1*Doub2*z3
          + 6603/640*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha1*Doub1
          - 189/40*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha1*Doub1*z3
          + 9/5*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*alpha1*Doub1*Doub2
          + 117/16*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*Tr[u[2,2]]
          + 117/16*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*Tr[d[1,1]]
          + 117/16*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*Tr[d[2,2]]
          + 39/16*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*Tr[l[1,1]]
          + 39/16*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2]]*Tr[l[2,2]]
          - 153/16*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2].u[2,2]]
          + 177/16*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2].d[1,1]]
          - 18*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2].d[1,1]]*z3
          - 15/16*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2].d[2,2]]
          + 117/16*MatrixProduct[u[2,1].Yd1]*Tr[u[2,2]]*Tr[d[1,2]]
          + 39/16*MatrixProduct[u[2,1].Yd1]*Tr[u[2,2]]*Tr[l[1,2]]
          - 15/16*MatrixProduct[u[2,1].Yd1]*Tr[u[2,2].d[1,2]]
          + 117/16*MatrixProduct[u[2,1].Yd1]*Tr[d[1,1]]*Tr[d[1,2]]
          + 39/16*MatrixProduct[u[2,1].Yd1]*Tr[d[1,1]]*Tr[l[1,2]]
          - 153/16*MatrixProduct[u[2,1].Yd1]*Tr[d[1,1].d[1,2]]
          - 3*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*lam[1,2,2,1]
          + 3*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*lam[1,1,2,2]
          + 97/4*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha3
          - 36*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha3*z3
          - 261/16*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha2
          + 135/4*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha2*z3
          + 9/128*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha2*Doub2
          - 81/8*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha2*Doub2*z3
          - 981/128*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha2*Doub1
          - 81/8*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha2*Doub1*z3
          + 495/32*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          - 173/8*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha1
          + 261/20*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha1*z3
          + 5421/640*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha1*Doub2
          - 189/40*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha1*Doub2*z3
          + 6603/640*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha1*Doub1
          - 189/40*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha1*Doub1*z3
          + 9/5*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*alpha1*Doub1*Doub2
          + 117/16*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*Tr[d[2,2]]
          + 39/16*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*Tr[l[1,1]]
          + 39/16*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2]]*Tr[l[2,2]]
          - 153/16*MatrixProduct[u[2,1].Yd1]*Tr[d[1,2].d[2,2]]
          + 39/16*MatrixProduct[u[2,1].Yd1]*Tr[d[2,2]]*Tr[l[1,2]]
          + 13/16*MatrixProduct[u[2,1].Yd1]*Tr[l[1,1]]*Tr[l[1,2]]
          - 51/16*MatrixProduct[u[2,1].Yd1]*Tr[l[1,1].l[1,2]]
          - MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*lam[1,2,2,1]
          + MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*lam[1,1,2,2]
          - 43/12*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha3
          - 87/16*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha2
          + 45/4*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha2*z3
          + 3/128*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha2*Doub2
          - 27/8*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha2*Doub2*z3
          - 327/128*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha2*Doub1
          - 27/8*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha2*Doub1*z3
          + 165/32*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          - 103/24*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha1
          + 27/20*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha1*z3
          + 1807/640*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha1*Doub2
          - 63/40*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha1*Doub2*z3
          + 2201/640*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha1*Doub1
          - 63/40*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha1*Doub1*z3
          + 3/5*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*alpha1*Doub1*Doub2
          + 13/16*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2]]*Tr[l[2,2]]
          - 51/16*MatrixProduct[u[2,1].Yd1]*Tr[l[1,2].l[2,2]]
          + 11/4*MatrixProduct[u[2,1].Yd2]*lam[1,2,2,1]^2
          + 27/8*MatrixProduct[u[2,1].Yd2]*lam[2,2,2,2]^2
          + 93/8*MatrixProduct[u[2,1].Yd2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 39/8*MatrixProduct[u[2,1].Yd2]*lam[1,2,1,2]*lam[2,1,2,1]
          + 17/4*MatrixProduct[u[2,1].Yd2]*lam[1,1,2,2]*lam[1,2,2,1]
          - 9/2*MatrixProduct[u[2,1].Yd2]*lam[1,1,2,2]*lam[2,2,2,2]
          + 5/4*MatrixProduct[u[2,1].Yd2]*lam[1,1,2,2]^2
          - 9/2*MatrixProduct[u[2,1].Yd2]*lam[1,1,2,1]*lam[1,2,2,2]
          - 9/2*MatrixProduct[u[2,1].Yd2]*lam[1,1,1,2]*lam[2,1,2,2]
          + 39/8*MatrixProduct[u[2,1].Yd2]*lam[1,1,1,2]*lam[1,1,2,1]
          - 9/2*MatrixProduct[u[2,1].Yd2]*lam[1,1,1,1]*lam[1,1,2,2]
          + 4/3*MatrixProduct[u[2,1].Yd2]*alpha3*lam[1,2,2,1]
          - 4/3*MatrixProduct[u[2,1].Yd2]*alpha3*lam[1,1,2,2]
          - 2689/9*MatrixProduct[u[2,1].Yd2]*alpha3^2
          + 120*MatrixProduct[u[2,1].Yd2]*alpha3^2*z3
          + 52/3*MatrixProduct[u[2,1].Yd2]*alpha3^2*Ng
          + 9/8*MatrixProduct[u[2,1].Yd2]*alpha2*lam[1,2,2,1]
          - 9/8*MatrixProduct[u[2,1].Yd2]*alpha2*lam[1,2,2,1]*Doub2
          - 33/8*MatrixProduct[u[2,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1
          - 9/2*MatrixProduct[u[2,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1*z3
          - 3/2*MatrixProduct[u[2,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 9/2*MatrixProduct[u[2,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1*Doub2*z3
          + 15/8*MatrixProduct[u[2,1].Yd2]*alpha2*lam[1,1,2,2]
          + 15/8*MatrixProduct[u[2,1].Yd2]*alpha2*lam[1,1,2,2]*Doub2
          + 15/8*MatrixProduct[u[2,1].Yd2]*alpha2*lam[1,1,2,2]*Doub1
          + 147/4*MatrixProduct[u[2,1].Yd2]*alpha2*alpha3
          - 84*MatrixProduct[u[2,1].Yd2]*alpha2*alpha3*z3
          + 13*MatrixProduct[u[2,1].Yd2]*alpha2*alpha3*Doub2
          - 24*MatrixProduct[u[2,1].Yd2]*alpha2*alpha3*Doub2*z3
          + 3015/128*MatrixProduct[u[2,1].Yd2]*alpha2^2
          - 27/2*MatrixProduct[u[2,1].Yd2]*alpha2^2*z3
          - 21/8*MatrixProduct[u[2,1].Yd2]*alpha2^2*Ng
          - 4413/128*MatrixProduct[u[2,1].Yd2]*alpha2^2*Doub2
          + 135/4*MatrixProduct[u[2,1].Yd2]*alpha2^2*Doub2*z3
          + 51/8*MatrixProduct[u[2,1].Yd2]*alpha2^2*Doub2*Ng
          - 207/64*MatrixProduct[u[2,1].Yd2]*alpha2^2*Doub1
          + 9/2*MatrixProduct[u[2,1].Yd2]*alpha2^2*Doub1*z3
          + 189/64*MatrixProduct[u[2,1].Yd2]*alpha2^2*Doub1*Doub2
          - 9/4*MatrixProduct[u[2,1].Yd2]*alpha2^2*Doub1*Doub2*z3
          + 7/24*MatrixProduct[u[2,1].Yd2]*alpha1*lam[1,2,2,1]
          - 39/40*MatrixProduct[u[2,1].Yd2]*alpha1*lam[1,2,2,1]*Doub2
          - 3/8*MatrixProduct[u[2,1].Yd2]*alpha1*lam[1,2,2,1]*Doub1
          - 7/24*MatrixProduct[u[2,1].Yd2]*alpha1*lam[1,1,2,2]
          + 39/40*MatrixProduct[u[2,1].Yd2]*alpha1*lam[1,1,2,2]*Doub2
          + 3/8*MatrixProduct[u[2,1].Yd2]*alpha1*lam[1,1,2,2]*Doub1
          + 455/36*MatrixProduct[u[2,1].Yd2]*alpha1*alpha3
          - 20*MatrixProduct[u[2,1].Yd2]*alpha1*alpha3*z3
          + 17/15*MatrixProduct[u[2,1].Yd2]*alpha1*alpha3*Doub2
          - 8/5*MatrixProduct[u[2,1].Yd2]*alpha1*alpha3*Doub2*z3
          - 81/320*MatrixProduct[u[2,1].Yd2]*alpha1*alpha2
          + 21/10*MatrixProduct[u[2,1].Yd2]*alpha1*alpha2*z3
          + 299/64*MatrixProduct[u[2,1].Yd2]*alpha1*alpha2*Doub2
          - 24/5*MatrixProduct[u[2,1].Yd2]*alpha1*alpha2*Doub2*z3
          + 3/5*MatrixProduct[u[2,1].Yd2]*alpha1*alpha2*Doub1
          - 9/20*MatrixProduct[u[2,1].Yd2]*alpha1*alpha2*Doub1*z3
          - 51/20*MatrixProduct[u[2,1].Yd2]*alpha1*alpha2*Doub1*Doub2
          - 9/20*MatrixProduct[u[2,1].Yd2]*alpha1*alpha2*Doub1*Doub2*z3
          - 3209/28800*MatrixProduct[u[2,1].Yd2]*alpha1^2
          + 1/50*MatrixProduct[u[2,1].Yd2]*alpha1^2*z3
          - 7/120*MatrixProduct[u[2,1].Yd2]*alpha1^2*Ng
          + 9637/9600*MatrixProduct[u[2,1].Yd2]*alpha1^2*Doub2
          - 7/20*MatrixProduct[u[2,1].Yd2]*alpha1^2*Doub2*z3
          + 59/40*MatrixProduct[u[2,1].Yd2]*alpha1^2*Doub2*Ng
          - 789/1600*MatrixProduct[u[2,1].Yd2]*alpha1^2*Doub1
          + 21/50*MatrixProduct[u[2,1].Yd2]*alpha1^2*Doub1*z3
          + 879/1600*MatrixProduct[u[2,1].Yd2]*alpha1^2*Doub1*Doub2
          + 9/100*MatrixProduct[u[2,1].Yd2]*alpha1^2*Doub1*Doub2*z3
          + 9/2*MatrixProduct[u[2,1].Yd2]*Tr[u[1,1]]*lam[1,2,2,1]
          - 9/2*MatrixProduct[u[2,1].Yd2]*Tr[u[1,1]]*lam[1,1,2,2]
          - 27/4*MatrixProduct[u[2,1].Yd2]*Tr[u[1,1]]*alpha2
          + 27/4*MatrixProduct[u[2,1].Yd2]*Tr[u[1,1]]*alpha2*Doub1
          - 27/20*MatrixProduct[u[2,1].Yd2]*Tr[u[1,1]]*alpha1
          + 27/20*MatrixProduct[u[2,1].Yd2]*Tr[u[1,1]]*alpha1*Doub1
          - 171/16*MatrixProduct[u[2,1].Yd2]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[u[2,1].Yd2]*Tr[u[1,1].u[2,2]]*z3
          + 117/16*MatrixProduct[u[2,1].Yd2]*Tr[u[1,1].d[2,2]]
          - 18*MatrixProduct[u[2,1].Yd2]*Tr[u[1,1].d[2,2]]*z3
          + 9*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*Tr[u[2,1]]
          + 9*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*Tr[d[2,1]]
          + 3*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*Tr[l[2,1]]
          - 27/8*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2].u[2,1]]
          - 9*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2].u[2,1]]*z3
          + 15/4*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[u[2,1].Yd2]*Tr[u[2,1]]*Tr[d[1,2]]
          + 3*MatrixProduct[u[2,1].Yd2]*Tr[u[2,1]]*Tr[l[1,2]]
          + 15/4*MatrixProduct[u[2,1].Yd2]*Tr[u[2,1].d[1,2]]
          + 3*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*lam[1,2,2,1]
          - 3*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*lam[1,1,2,2]
          + 39*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*alpha3
          - 48*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*alpha3*z3
          - 1071/32*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*alpha2
          + 135/4*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*alpha2*z3
          + 477/16*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*alpha2*Doub2
          - 81/4*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*alpha2*Doub2*z3
          - 2727/160*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*alpha1
          + 57/4*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*alpha1*z3
          + 1353/80*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*alpha1*Doub2
          - 243/20*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*alpha1*Doub2*z3
          + 9*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]^2
          + 18*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*Tr[d[2,2]]
          + 6*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*Tr[l[2,2]]
          - 225/16*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2].u[2,2]]
          + 117/16*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2].d[1,1]]
          - 18*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2].d[1,1]]*z3
          - 15/8*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2].d[2,2]]
          + 9/2*MatrixProduct[u[2,1].Yd2]*Tr[d[1,1]]*lam[1,2,2,1]
          - 9/2*MatrixProduct[u[2,1].Yd2]*Tr[d[1,1]]*lam[1,1,2,2]
          - 27/4*MatrixProduct[u[2,1].Yd2]*Tr[d[1,1]]*alpha2
          + 27/4*MatrixProduct[u[2,1].Yd2]*Tr[d[1,1]]*alpha2*Doub1
          - 27/20*MatrixProduct[u[2,1].Yd2]*Tr[d[1,1]]*alpha1
          + 27/20*MatrixProduct[u[2,1].Yd2]*Tr[d[1,1]]*alpha1*Doub1
          - 171/16*MatrixProduct[u[2,1].Yd2]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[u[2,1].Yd2]*Tr[d[1,1].d[2,2]]*z3
          + 9*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*Tr[d[2,1]]
          + 3*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*Tr[l[2,1]]
          - 27/8*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2].d[2,1]]
          - 9*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2].d[2,1]]*z3
          + 3*MatrixProduct[u[2,1].Yd2]*Tr[d[2,1]]*Tr[l[1,2]]
          + 3*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]*lam[1,2,2,1]
          - 3*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]*lam[1,1,2,2]
          + 39*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]*alpha3
          - 48*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]*alpha3*z3
          - 1071/32*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]*alpha2
          + 135/4*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]*alpha2*z3
          + 477/16*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]*alpha2*Doub2
          - 81/4*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]*alpha2*Doub2*z3
          - 3339/160*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]*alpha1
          + 357/20*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]*alpha1*z3
          + 1353/80*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]*alpha1*Doub2
          - 243/20*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]*alpha1*Doub2*z3
          + 9*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]^2
          + 6*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]*Tr[l[2,2]]
          - 225/16*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2].d[2,2]]
          + 3/2*MatrixProduct[u[2,1].Yd2]*Tr[l[1,1]]*lam[1,2,2,1]
          - 3/2*MatrixProduct[u[2,1].Yd2]*Tr[l[1,1]]*lam[1,1,2,2]
          - 9/4*MatrixProduct[u[2,1].Yd2]*Tr[l[1,1]]*alpha2
          + 9/4*MatrixProduct[u[2,1].Yd2]*Tr[l[1,1]]*alpha2*Doub1
          - 9/20*MatrixProduct[u[2,1].Yd2]*Tr[l[1,1]]*alpha1
          + 9/20*MatrixProduct[u[2,1].Yd2]*Tr[l[1,1]]*alpha1*Doub1
          - 57/16*MatrixProduct[u[2,1].Yd2]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[u[2,1].Yd2]*Tr[l[1,1].l[2,2]]*z3
          + MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*Tr[l[2,1]]
          - 9/8*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2].l[2,1]]
          - 3*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2].l[2,1]]*z3
          + MatrixProduct[u[2,1].Yd2]*Tr[l[2,2]]*lam[1,2,2,1]
          - MatrixProduct[u[2,1].Yd2]*Tr[l[2,2]]*lam[1,1,2,2]
          - 4*MatrixProduct[u[2,1].Yd2]*Tr[l[2,2]]*alpha3
          - 357/32*MatrixProduct[u[2,1].Yd2]*Tr[l[2,2]]*alpha2
          + 45/4*MatrixProduct[u[2,1].Yd2]*Tr[l[2,2]]*alpha2*z3
          + 159/16*MatrixProduct[u[2,1].Yd2]*Tr[l[2,2]]*alpha2*Doub2
          - 27/4*MatrixProduct[u[2,1].Yd2]*Tr[l[2,2]]*alpha2*Doub2*z3
          - 433/160*MatrixProduct[u[2,1].Yd2]*Tr[l[2,2]]*alpha1
          + 39/20*MatrixProduct[u[2,1].Yd2]*Tr[l[2,2]]*alpha1*z3
          + 451/80*MatrixProduct[u[2,1].Yd2]*Tr[l[2,2]]*alpha1*Doub2
          - 81/20*MatrixProduct[u[2,1].Yd2]*Tr[l[2,2]]*alpha1*Doub2*z3
          + MatrixProduct[u[2,1].Yd2]*Tr[l[2,2]]^2
          - 75/16*MatrixProduct[u[2,1].Yd2]*Tr[l[2,2].l[2,2]]
          + 33/16*MatrixProduct[u[2,2].u[1,1].u[2,1].Yd2]
          - 3*MatrixProduct[u[2,2].u[1,1].u[2,1].Yd2]*z3
          - 15/16*MatrixProduct[u[2,2].u[1,1].u[2,2].Yd1]
          + 3*MatrixProduct[u[2,2].u[1,1].u[2,2].Yd1]*z3
          - MatrixProduct[u[2,2].u[1,1].d[2,1].Yd2]
          - 17/8*MatrixProduct[u[2,2].u[1,1].d[2,2].Yd1]
          - 11/4*MatrixProduct[u[2,2].u[1,1].Yd1]*lam[1,2,2,1]
          - 1/4*MatrixProduct[u[2,2].u[1,1].Yd1]*lam[1,1,2,2]
          + 6*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha3
          - 159/32*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha2
          + 27/4*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha2*z3
          - 9/64*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha2*z2
          + 75/16*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha2*Doub2
          - 27/4*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha2*Doub2*z2
          - 261/32*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha2*Doub1
          + 27/8*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha2*Doub1*z2
          + 135/16*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha2*Doub1*Doub2
          - 27/8*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha2*Doub1*Doub2*z2
          + 373/160*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha1
          + 9/20*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha1*z3
          - 9/320*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha1*z2
          - 45/16*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha1*Doub2
          - 9/20*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha1*Doub2*z2
          - 39/160*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha1*Doub1
          + 27/40*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha1*Doub1*z2
          + 39/40*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha1*Doub1*Doub2*
         z3
          - 9/320*MatrixProduct[u[2,2].u[1,1].Yd1]*alpha1*Doub1*Doub2*
         z2
          - 9/2*MatrixProduct[u[2,2].u[1,1].Yd2]*lam[2,1,2,2]
          - 15/2*MatrixProduct[u[2,2].u[1,1].Yd2]*lam[1,1,2,1]
          - 75/8*MatrixProduct[u[2,2].u[1,1].Yd2]*Tr[u[2,1]]
          - 75/8*MatrixProduct[u[2,2].u[1,1].Yd2]*Tr[d[2,1]]
          - 25/8*MatrixProduct[u[2,2].u[1,1].Yd2]*Tr[l[2,1]]
          + MatrixProduct[u[2,2].u[1,2].u[2,1].Yd1]
          - 9/4*MatrixProduct[u[2,2].u[1,2].u[2,1].Yd1]*z3
          - 2*MatrixProduct[u[2,2].u[1,2].d[2,1].Yd1]
          + 6*MatrixProduct[u[2,2].u[1,2].d[2,1].Yd1]*z3
          + 3/2*MatrixProduct[u[2,2].u[1,2].Yd1]*lam[2,1,2,2]
          + 3*MatrixProduct[u[2,2].u[1,2].Yd1]*lam[1,1,2,1]
          + 27/16*MatrixProduct[u[2,2].u[1,2].Yd1]*Tr[u[2,1]]
          + 27/16*MatrixProduct[u[2,2].u[1,2].Yd1]*Tr[d[2,1]]
          + 9/16*MatrixProduct[u[2,2].u[1,2].Yd1]*Tr[l[2,1]]
          - 9/2*MatrixProduct[u[2,2].u[1,2].Yd2]*lam[2,1,2,1]
          + 3/2*MatrixProduct[u[2,2].u[2,1].u[1,1].Yd2]
          - 29/16*MatrixProduct[u[2,2].u[2,1].u[1,2].Yd1]
          + 1/2*MatrixProduct[u[2,2].u[2,1].u[2,2].Yd2]
          - 1/2*MatrixProduct[u[2,2].u[2,1].d[1,1].Yd2]
          - 3/32*MatrixProduct[u[2,2].u[2,1].d[1,2].Yd1]
          - 7/2*MatrixProduct[u[2,2].u[2,1].d[2,2].Yd2]
          - 3*MatrixProduct[u[2,2].u[2,1].Yd1]*lam[1,2,2,2]
          + 9/4*MatrixProduct[u[2,2].u[2,1].Yd1]*Tr[u[1,2]]
          + 9/4*MatrixProduct[u[2,2].u[2,1].Yd1]*Tr[d[1,2]]
          + 3/4*MatrixProduct[u[2,2].u[2,1].Yd1]*Tr[l[1,2]]
          - 5/2*MatrixProduct[u[2,2].u[2,1].Yd2]*lam[1,2,2,1]
          - 9/2*MatrixProduct[u[2,2].u[2,1].Yd2]*lam[2,2,2,2]
          - 5*MatrixProduct[u[2,2].u[2,1].Yd2]*lam[1,1,2,2]
          + 22*MatrixProduct[u[2,2].u[2,1].Yd2]*alpha3
          + 16*MatrixProduct[u[2,2].u[2,1].Yd2]*alpha3*z3
          - 291/32*MatrixProduct[u[2,2].u[2,1].Yd2]*alpha2
          + 27/4*MatrixProduct[u[2,2].u[2,1].Yd2]*alpha2*z3
          + 141/8*MatrixProduct[u[2,2].u[2,1].Yd2]*alpha2*Doub2
          - 63/4*MatrixProduct[u[2,2].u[2,1].Yd2]*alpha2*Doub2*z3
          - 21/16*MatrixProduct[u[2,2].u[2,1].Yd2]*alpha2*Doub1
          + 21/16*MatrixProduct[u[2,2].u[2,1].Yd2]*alpha2*Doub1*Doub2
          + 21/160*MatrixProduct[u[2,2].u[2,1].Yd2]*alpha1
          + 37/20*MatrixProduct[u[2,2].u[2,1].Yd2]*alpha1*z3
          - 5/8*MatrixProduct[u[2,2].u[2,1].Yd2]*alpha1*Doub2
          - 9/20*MatrixProduct[u[2,2].u[2,1].Yd2]*alpha1*Doub2*z3
          + 51/80*MatrixProduct[u[2,2].u[2,1].Yd2]*alpha1*Doub1
          - 51/80*MatrixProduct[u[2,2].u[2,1].Yd2]*alpha1*Doub1*Doub2
          - 51/8*MatrixProduct[u[2,2].u[2,1].Yd2]*Tr[u[2,2]]
          - 51/8*MatrixProduct[u[2,2].u[2,1].Yd2]*Tr[d[2,2]]
          - 17/8*MatrixProduct[u[2,2].u[2,1].Yd2]*Tr[l[2,2]]
          + 33/16*MatrixProduct[u[2,2].u[2,2].u[2,1].Yd2]
          - 3*MatrixProduct[u[2,2].u[2,2].u[2,1].Yd2]*z3
          - 3/4*MatrixProduct[u[2,2].u[2,2].u[2,2].Yd1]
          + 3/4*MatrixProduct[u[2,2].u[2,2].u[2,2].Yd1]*z3
          - 2*MatrixProduct[u[2,2].u[2,2].d[2,1].Yd2]
          + 6*MatrixProduct[u[2,2].u[2,2].d[2,1].Yd2]*z3
          - 7/32*MatrixProduct[u[2,2].u[2,2].d[2,2].Yd1]
          + 1/4*MatrixProduct[u[2,2].u[2,2].Yd1]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,2].u[2,2].Yd1]*lam[2,2,2,2]
          + 11/4*MatrixProduct[u[2,2].u[2,2].Yd1]*lam[1,1,2,2]
          - 20/3*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha3
          + 15/8*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha2
          + 9/64*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha2*z2
          - 147/32*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha2*Doub2
          + 9/4*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha2*Doub2*z3
          - 9/64*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha2*Doub2*z2
          - 45/64*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha2*Doub1
          - 9/32*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha2*Doub1*z2
          + 45/64*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha2*Doub1*Doub2
          + 9/32*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha2*Doub1*Doub2*z2
          - 4097/960*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha1
          - 9/320*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha1*z2
          + 345/64*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha1*Doub2
          - 3/4*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha1*Doub2*z2
          + 21/16*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha1*Doub1
          - 21/16*MatrixProduct[u[2,2].u[2,2].Yd1]*alpha1*Doub1*Doub2
          + 15/16*MatrixProduct[u[2,2].u[2,2].Yd1]*Tr[u[2,2]]
          + 15/16*MatrixProduct[u[2,2].u[2,2].Yd1]*Tr[d[2,2]]
          + 5/16*MatrixProduct[u[2,2].u[2,2].Yd1]*Tr[l[2,2]]
          - 9/2*MatrixProduct[u[2,2].u[2,2].Yd2]*lam[2,1,2,2]
          + 1/16*MatrixProduct[u[2,2].d[1,1].u[2,1].Yd2]
          - 31/16*MatrixProduct[u[2,2].d[1,1].u[2,2].Yd1]
          + 3*MatrixProduct[u[2,2].d[1,1].d[2,1].Yd2]
          - 9/8*MatrixProduct[u[2,2].d[1,1].d[2,2].Yd1]
          + 3*MatrixProduct[u[2,2].d[1,1].d[2,2].Yd1]*z3
          + 1/4*MatrixProduct[u[2,2].d[1,1].Yd1]*lam[1,2,2,1]
          + 11/4*MatrixProduct[u[2,2].d[1,1].Yd1]*lam[1,1,2,2]
          - 10*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha3
          + 81/32*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha2
          - 9/64*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha2*z2
          - 45/16*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha2*Doub2
          + 9/64*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha2*Doub2*z2
          - 129/32*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha2*Doub1
          + 9/64*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha2*Doub1*z2
          + 69/16*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha2*Doub1*Doub2
          - 9/64*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha2*Doub1*Doub2*z2
          - 1013/160*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha1
          + 153/320*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha1*z2
          + 119/10*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha1*Doub2
          - 27/20*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha1*Doub2*z3
          - 153/320*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha1*Doub2*z2
          + 973/160*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha1*Doub1
          - 27/20*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha1*Doub1*z3
          - 153/320*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha1*Doub1*z2
          - 957/80*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha1*Doub1*Doub2
          + 27/10*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha1*Doub1*Doub2*
         z3
          + 153/320*MatrixProduct[u[2,2].d[1,1].Yd1]*alpha1*Doub1*Doub2
         *z2
          + 3*MatrixProduct[u[2,2].d[1,1].Yd2]*lam[2,1,2,2]
          + 6*MatrixProduct[u[2,2].d[1,1].Yd2]*Tr[u[2,1]]
          + 6*MatrixProduct[u[2,2].d[1,1].Yd2]*Tr[d[2,1]]
          + 2*MatrixProduct[u[2,2].d[1,1].Yd2]*Tr[l[2,1]]
          - 3/4*MatrixProduct[u[2,2].d[1,2].u[2,1].Yd1]
          - 19/32*MatrixProduct[u[2,2].d[1,2].d[2,1].Yd1]
          + 3/2*MatrixProduct[u[2,2].d[1,2].Yd1]*lam[1,1,2,1]
          + 9/32*MatrixProduct[u[2,2].d[1,2].Yd1]*Tr[u[2,1]]
          + 9/32*MatrixProduct[u[2,2].d[1,2].Yd1]*Tr[d[2,1]]
          + 3/32*MatrixProduct[u[2,2].d[1,2].Yd1]*Tr[l[2,1]]
          + 3/2*MatrixProduct[u[2,2].d[1,2].Yd2]*lam[2,1,2,1]
          - 3/2*MatrixProduct[u[2,2].d[2,1].u[1,1].Yd2]
          + 29/16*MatrixProduct[u[2,2].d[2,1].u[1,2].Yd1]
          - 1/2*MatrixProduct[u[2,2].d[2,1].u[2,2].Yd2]
          + 1/2*MatrixProduct[u[2,2].d[2,1].d[2,2].Yd2]
          + 3*MatrixProduct[u[2,2].d[2,1].d[2,2].Yd2]*z3
          + 3*MatrixProduct[u[2,2].d[2,1].Yd1]*lam[1,2,2,2]
          - 87/32*MatrixProduct[u[2,2].d[2,1].Yd1]*Tr[u[1,2]]
          - 87/32*MatrixProduct[u[2,2].d[2,1].Yd1]*Tr[d[1,2]]
          - 29/32*MatrixProduct[u[2,2].d[2,1].Yd1]*Tr[l[1,2]]
          - 4*MatrixProduct[u[2,2].d[2,1].Yd2]*lam[1,2,2,1]
          + 3*MatrixProduct[u[2,2].d[2,1].Yd2]*lam[2,2,2,2]
          + 4*MatrixProduct[u[2,2].d[2,1].Yd2]*lam[1,1,2,2]
          - 112/3*MatrixProduct[u[2,2].d[2,1].Yd2]*alpha3
          + 9/4*MatrixProduct[u[2,2].d[2,1].Yd2]*alpha2
          - 9/2*MatrixProduct[u[2,2].d[2,1].Yd2]*alpha2*z3
          + 3/4*MatrixProduct[u[2,2].d[2,1].Yd2]*alpha2*Doub2
          + 9/2*MatrixProduct[u[2,2].d[2,1].Yd2]*alpha2*Doub2*z3
          - 59/12*MatrixProduct[u[2,2].d[2,1].Yd2]*alpha1
          - 3/10*MatrixProduct[u[2,2].d[2,1].Yd2]*alpha1*z3
          + 9/20*MatrixProduct[u[2,2].d[2,1].Yd2]*alpha1*z2
          + 117/20*MatrixProduct[u[2,2].d[2,1].Yd2]*alpha1*Doub2
          - 9/10*MatrixProduct[u[2,2].d[2,1].Yd2]*alpha1*Doub2*z3
          - 9/20*MatrixProduct[u[2,2].d[2,1].Yd2]*alpha1*Doub2*z2
          + 3*MatrixProduct[u[2,2].d[2,1].Yd2]*Tr[u[2,2]]
          + 3*MatrixProduct[u[2,2].d[2,1].Yd2]*Tr[d[2,2]]
          + MatrixProduct[u[2,2].d[2,1].Yd2]*Tr[l[2,2]]
          - 39/16*MatrixProduct[u[2,2].d[2,2].u[2,1].Yd2]
          + 5/8*MatrixProduct[u[2,2].d[2,2].u[2,2].Yd1]
          + MatrixProduct[u[2,2].d[2,2].d[2,1].Yd2]
          - 7/32*MatrixProduct[u[2,2].d[2,2].d[2,2].Yd1]
          + 9/4*MatrixProduct[u[2,2].d[2,2].Yd1]*lam[1,2,2,1]
          - 3/4*MatrixProduct[u[2,2].d[2,2].Yd1]*lam[1,1,2,2]
          + 16/3*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha3
          - 4*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha3*z3
          + 453/64*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha2
          - 45/64*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha2*z2
          - 183/32*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha2*Doub2
          - 9/8*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha2*Doub2*z3
          + 45/64*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha2*Doub2*z2
          - 81/16*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha2*Doub1
          + 9/16*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha2*Doub1*z2
          + 81/16*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha2*Doub1*Doub2
          - 9/16*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha2*Doub1*Doub2*z2
          - 1583/960*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha1
          + 2/5*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha1*z3
          + 9/320*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha1*z2
          + 179/160*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha1*Doub2
          + 9/40*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha1*Doub2*z2
          + 63/160*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha1*Doub1
          - 63/160*MatrixProduct[u[2,2].d[2,2].Yd1]*alpha1*Doub1*Doub2
          + 9/16*MatrixProduct[u[2,2].d[2,2].Yd1]*Tr[u[2,2]]
          + 9/16*MatrixProduct[u[2,2].d[2,2].Yd1]*Tr[d[2,2]]
          + 3/16*MatrixProduct[u[2,2].d[2,2].Yd1]*Tr[l[2,2]]
          + 3/2*MatrixProduct[u[2,2].d[2,2].Yd2]*lam[2,1,2,2]
          - 51/16*MatrixProduct[u[2,2].Yd1]*lam[1,2,2,1]^2
          - 33/32*MatrixProduct[u[2,2].Yd1]*lam[2,2,2,2]^2
          - 243/32*MatrixProduct[u[2,2].Yd1]*lam[1,2,2,2]*lam[2,1,2,2]
          - 177/32*MatrixProduct[u[2,2].Yd1]*lam[1,2,1,2]*lam[2,1,2,1]
          - 75/16*MatrixProduct[u[2,2].Yd1]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,2].Yd1]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/16*MatrixProduct[u[2,2].Yd1]*lam[1,1,2,2]^2
          + 3/2*MatrixProduct[u[2,2].Yd1]*lam[1,1,2,1]*lam[1,2,2,2]
          + 3/2*MatrixProduct[u[2,2].Yd1]*lam[1,1,1,2]*lam[2,1,2,2]
          - 177/32*MatrixProduct[u[2,2].Yd1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[u[2,2].Yd1]*lam[1,1,1,1]*lam[1,1,2,2]
          - 4/3*MatrixProduct[u[2,2].Yd1]*alpha3*lam[1,2,2,1]
          + 4/3*MatrixProduct[u[2,2].Yd1]*alpha3*lam[1,1,2,2]
          + 2779/36*MatrixProduct[u[2,2].Yd1]*alpha3^2
          - 34*MatrixProduct[u[2,2].Yd1]*alpha3^2*z3
          - 11/3*MatrixProduct[u[2,2].Yd1]*alpha3^2*Ng
          + 15/8*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,2,2,1]
          + 15/8*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,2,2,1]*Doub2
          + 27/8*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,2,2,1]*Doub1
          - 9/4*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,2,2,1]*Doub1*z3
          - 3/2*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 9/4*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,2,2,1]*Doub1*Doub2*z3
          + 9/8*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,1,2,2]
          - 9/8*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,1,2,2]*Doub2
          - 9/2*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,1,2,2]*Doub2*z3
          - 21/8*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,1,2,2]*Doub1
          - 9/4*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,1,2,2]*Doub1*z3
          - 3*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,1,2,2]*Doub1*Doub2
          + 27/4*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 127/4*MatrixProduct[u[2,2].Yd1]*alpha2*alpha3
          - 9/4*MatrixProduct[u[2,2].Yd1]*alpha2*alpha3*z2
          + 291/8*MatrixProduct[u[2,2].Yd1]*alpha2*alpha3*Doub2
          + 9/4*MatrixProduct[u[2,2].Yd1]*alpha2*alpha3*Doub2*z2
          - 47/4*MatrixProduct[u[2,2].Yd1]*alpha2*alpha3*Doub1
          + 9*MatrixProduct[u[2,2].Yd1]*alpha2*alpha3*Doub1*z3
          + 9/4*MatrixProduct[u[2,2].Yd1]*alpha2*alpha3*Doub1*z2
          + 47/4*MatrixProduct[u[2,2].Yd1]*alpha2*alpha3*Doub1*Doub2
          - 9*MatrixProduct[u[2,2].Yd1]*alpha2*alpha3*Doub1*Doub2*z3
          - 9/4*MatrixProduct[u[2,2].Yd1]*alpha2*alpha3*Doub1*Doub2*z2
          - 15183/256*MatrixProduct[u[2,2].Yd1]*alpha2^2
          + 81/4*MatrixProduct[u[2,2].Yd1]*alpha2^2*z3
          + 63/128*MatrixProduct[u[2,2].Yd1]*alpha2^2*z2
          + 135/32*MatrixProduct[u[2,2].Yd1]*alpha2^2*Ng
          + 38037/512*MatrixProduct[u[2,2].Yd1]*alpha2^2*Doub2
          - 207/8*MatrixProduct[u[2,2].Yd1]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[u[2,2].Yd1]*alpha2^2*Doub2*z2
          - 99/16*MatrixProduct[u[2,2].Yd1]*alpha2^2*Doub2*Ng
          + 2403/64*MatrixProduct[u[2,2].Yd1]*alpha2^2*Doub1
          - 135/8*MatrixProduct[u[2,2].Yd1]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[u[2,2].Yd1]*alpha2^2*Doub1*z2
          - 10023/256*MatrixProduct[u[2,2].Yd1]*alpha2^2*Doub1*Doub2
          + 261/16*MatrixProduct[u[2,2].Yd1]*alpha2^2*Doub1*Doub2*z3
          + 63/128*MatrixProduct[u[2,2].Yd1]*alpha2^2*Doub1*Doub2*z2
          - 7/24*MatrixProduct[u[2,2].Yd1]*alpha1*lam[1,2,2,1]
          + 57/40*MatrixProduct[u[2,2].Yd1]*alpha1*lam[1,2,2,1]*Doub2
          - 9/10*MatrixProduct[u[2,2].Yd1]*alpha1*lam[1,2,2,1]*Doub2*z3
          + 21/40*MatrixProduct[u[2,2].Yd1]*alpha1*lam[1,2,2,1]*Doub1
          - 9/20*MatrixProduct[u[2,2].Yd1]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 3/5*MatrixProduct[u[2,2].Yd1]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/20*MatrixProduct[u[2,2].Yd1]*alpha1*lam[1,2,2,1]*Doub1*Doub2*
         z3
          + 7/24*MatrixProduct[u[2,2].Yd1]*alpha1*lam[1,1,2,2]
          - 57/40*MatrixProduct[u[2,2].Yd1]*alpha1*lam[1,1,2,2]*Doub2
          + 9/10*MatrixProduct[u[2,2].Yd1]*alpha1*lam[1,1,2,2]*Doub2*z3
          - 21/40*MatrixProduct[u[2,2].Yd1]*alpha1*lam[1,1,2,2]*Doub1
          + 9/20*MatrixProduct[u[2,2].Yd1]*alpha1*lam[1,1,2,2]*Doub1*z3
          + 3/5*MatrixProduct[u[2,2].Yd1]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          - 27/20*MatrixProduct[u[2,2].Yd1]*alpha1*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 1237/180*MatrixProduct[u[2,2].Yd1]*alpha1*alpha3
          + 8*MatrixProduct[u[2,2].Yd1]*alpha1*alpha3*z3
          + 27/20*MatrixProduct[u[2,2].Yd1]*alpha1*alpha3*z2
          - 19/120*MatrixProduct[u[2,2].Yd1]*alpha1*alpha3*Doub2
          - 24/5*MatrixProduct[u[2,2].Yd1]*alpha1*alpha3*Doub2*z3
          - 27/20*MatrixProduct[u[2,2].Yd1]*alpha1*alpha3*Doub2*z2
          + 47/20*MatrixProduct[u[2,2].Yd1]*alpha1*alpha3*Doub1
          - 9/5*MatrixProduct[u[2,2].Yd1]*alpha1*alpha3*Doub1*z3
          - 9/20*MatrixProduct[u[2,2].Yd1]*alpha1*alpha3*Doub1*z2
          - 47/20*MatrixProduct[u[2,2].Yd1]*alpha1*alpha3*Doub1*Doub2
          + 9/5*MatrixProduct[u[2,2].Yd1]*alpha1*alpha3*Doub1*Doub2*z3
          + 9/20*MatrixProduct[u[2,2].Yd1]*alpha1*alpha3*Doub1*Doub2*z2
          + 2149/640*MatrixProduct[u[2,2].Yd1]*alpha1*alpha2
          - 63/320*MatrixProduct[u[2,2].Yd1]*alpha1*alpha2*z2
          - 5841/1280*MatrixProduct[u[2,2].Yd1]*alpha1*alpha2*Doub2
          + 9/10*MatrixProduct[u[2,2].Yd1]*alpha1*alpha2*Doub2*z3
          + 63/320*MatrixProduct[u[2,2].Yd1]*alpha1*alpha2*Doub2*z2
          - 59/32*MatrixProduct[u[2,2].Yd1]*alpha1*alpha2*Doub1
          + 9/10*MatrixProduct[u[2,2].Yd1]*alpha1*alpha2*Doub1*z3
          + 9/80*MatrixProduct[u[2,2].Yd1]*alpha1*alpha2*Doub1*z2
          + 511/160*MatrixProduct[u[2,2].Yd1]*alpha1*alpha2*Doub1*Doub2
          - 9/40*MatrixProduct[u[2,2].Yd1]*alpha1*alpha2*Doub1*Doub2*z3
          - 9/80*MatrixProduct[u[2,2].Yd1]*alpha1*alpha2*Doub1*Doub2*z2
          - 63767/57600*MatrixProduct[u[2,2].Yd1]*alpha1^2
          + 2/25*MatrixProduct[u[2,2].Yd1]*alpha1^2*z3
          + 27/640*MatrixProduct[u[2,2].Yd1]*alpha1^2*z2
          - 1219/480*MatrixProduct[u[2,2].Yd1]*alpha1^2*Ng
          + 12311/38400*MatrixProduct[u[2,2].Yd1]*alpha1^2*Doub2
          + 81/100*MatrixProduct[u[2,2].Yd1]*alpha1^2*Doub2*z3
          - 27/640*MatrixProduct[u[2,2].Yd1]*alpha1^2*Doub2*z2
          + 177/80*MatrixProduct[u[2,2].Yd1]*alpha1^2*Doub2*Ng
          - 83/320*MatrixProduct[u[2,2].Yd1]*alpha1^2*Doub1
          + 3/200*MatrixProduct[u[2,2].Yd1]*alpha1^2*Doub1*z3
          - 9/640*MatrixProduct[u[2,2].Yd1]*alpha1^2*Doub1*z2
          + 3931/6400*MatrixProduct[u[2,2].Yd1]*alpha1^2*Doub1*Doub2
          - 9/16*MatrixProduct[u[2,2].Yd1]*alpha1^2*Doub1*Doub2*z3
          + 9/640*MatrixProduct[u[2,2].Yd1]*alpha1^2*Doub1*Doub2*z2
          - 3/2*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha2
          - 27/16*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha2*z2
          - 45/2*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha2*Doub2*z2
          - 207/8*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha2*Doub1
          + 27/16*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 171/40*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha1
          + 27/80*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha1*z2
          + 9/2*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha1*Doub2*z2
          + 171/40*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha1*Doub1*z2
          - 9/2*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 15/2*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1].u[2,2]]
          - 9*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1].u[2,2]]*z3
          + 3/2*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1].d[2,2]]
          - 27/16*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*Tr[l[2,1]]
          - 3*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2].u[2,1]]*z3
          + 21/2*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2].d[2,1]]
          - 18*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2].d[2,1]]*z3
          - 27/16*MatrixProduct[u[2,2].Yd1]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[u[2,2].Yd1]*Tr[u[2,1]]*Tr[l[1,2]]
          + 21/2*MatrixProduct[u[2,2].Yd1]*Tr[u[2,1].d[1,2]]
          - 18*MatrixProduct[u[2,2].Yd1]*Tr[u[2,1].d[1,2]]*z3
          - 6*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*lam[1,2,2,1]
          + 6*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*alpha3
          + 12*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*alpha3*z3
          + 549/32*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*alpha2
          - 351/16*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*alpha2*Doub2
          - 315/32*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*alpha2*Doub1
          + 315/32*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2
          - 313/160*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*alpha1
          - 39/10*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*alpha1*z3
          + 147/40*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*alpha1*Doub2
          + 27/10*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*alpha1*Doub2*z3
          + 63/32*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*alpha1*Doub1
          - 63/32*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]^2
          - 27/8*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2].u[2,2]]
          + 3/2*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2].d[1,1]]
          - 3/2*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha2
          - 27/16*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha2*z2
          - 45/2*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha2*Doub2*z2
          - 207/8*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha2*Doub1
          + 27/16*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 171/40*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha1
          + 27/80*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha1*z2
          + 9/2*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha1*Doub2*z2
          + 171/40*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha1*Doub1*z2
          - 9/2*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 15/2*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1].d[2,2]]
          - 9*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1].d[2,2]]*z3
          - 27/16*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*Tr[l[2,1]]
          - 3*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2].d[2,1]]
          + 9*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2].d[2,1]]*z3
          - 9/16*MatrixProduct[u[2,2].Yd1]*Tr[d[2,1]]*Tr[l[1,2]]
          - 6*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*lam[1,2,2,1]
          + 6*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*alpha3
          + 12*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*alpha3*z3
          + 549/32*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*alpha2
          - 351/16*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*alpha2*Doub2
          - 315/32*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*alpha2*Doub1
          + 315/32*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2
          - 121/160*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*alpha1
          - 24/5*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*alpha1*z3
          + 147/40*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*alpha1*Doub2
          + 27/10*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*alpha1*Doub2*z3
          + 63/32*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*alpha1*Doub1
          - 63/32*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]^2
          - 9/8*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2].d[2,2]]
          - 1/2*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*lam[1,2,2,1]
          + 1/2*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha2
          - 9/16*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha2*z2
          - 15/2*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha2*Doub2
          + 9/16*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha2*Doub2*z2
          - 69/8*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha2*Doub1
          + 9/16*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha2*Doub1*z2
          + 15/2*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 57/40*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha1
          + 9/80*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha1*z2
          + 3/2*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha1*Doub2
          - 9/80*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha1*Doub2*z2
          + 57/40*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha1*Doub1
          - 9/80*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha1*Doub1*z2
          - 3/2*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha1*Doub1*Doub2
          + 9/80*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 5/2*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1].l[2,2]]
          - 3*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1].l[2,2]]*z3
          - 3/16*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*Tr[l[2,1]]
          - MatrixProduct[u[2,2].Yd1]*Tr[l[1,2].l[2,1]]
          + 3*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2].l[2,1]]*z3
          - 2*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]*lam[1,2,2,1]
          + 2*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]*lam[1,1,2,2]
          + 5/12*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]*alpha3
          + 183/32*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]*alpha2
          - 117/16*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]*alpha2*Doub2
          - 105/32*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]*alpha2*Doub1
          + 105/32*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2
          - 761/480*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]*alpha1
          - 3/5*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]*alpha1*z3
          + 49/40*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]*alpha1*Doub2
          + 9/10*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]*alpha1*Doub2*z3
          + 21/32*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]*alpha1*Doub1
          - 21/32*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2
          - 3/16*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2]]^2
          + 3/2*MatrixProduct[u[2,2].Yd1]*Tr[l[2,2].l[2,2]]
          - 3*MatrixProduct[u[2,2].Yd2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 3*MatrixProduct[u[2,2].Yd2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 3*MatrixProduct[u[2,2].Yd2]*lam[2,1,2,1]*lam[1,2,2,2]
          - 3*MatrixProduct[u[2,2].Yd2]*lam[1,1,2,1]*lam[1,1,2,2]
          + 3*MatrixProduct[u[2,2].Yd2]*alpha2*lam[2,1,2,2]
          - 3*MatrixProduct[u[2,2].Yd2]*alpha2*lam[2,1,2,2]*Doub2
          - 3/2*MatrixProduct[u[2,2].Yd2]*alpha2*lam[2,1,2,2]*Doub1
          + 3/2*MatrixProduct[u[2,2].Yd2]*alpha2*lam[2,1,2,2]*Doub1*Doub2
          + 3*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*lam[1,2,2,1]
          - 3*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*lam[1,1,2,2]
          + 153/8*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha2
          - 27/16*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha2*z2
          - 333/16*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha2*Doub2*z2
          - 477/32*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 45/8*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha1
          + 27/80*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha1*z2
          + 81/16*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha1*Doub2*z2
          + 621/160*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha1*Doub1
          - 27/160*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha1*Doub1*z2
          - 531/160*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 12*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1].d[2,2]]
          - 18*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1].d[2,2]]*z3
          + 12*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2].d[2,1]]
          - 18*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2].d[2,1]]*z3
          + 3*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*lam[1,2,2,1]
          - 3*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*lam[1,1,2,2]
          + 153/8*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha2
          - 27/16*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha2*z2
          - 333/16*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha2*Doub2*z2
          - 477/32*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 45/8*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha1
          + 27/80*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha1*z2
          + 81/16*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha1*Doub2*z2
          + 621/160*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha1*Doub1
          - 27/160*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha1*Doub1*z2
          - 531/160*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2*z2
          + MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*lam[1,2,2,1]
          - MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*lam[1,1,2,2]
          + 51/8*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha2
          - 9/16*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha2*z2
          - 111/16*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha2*Doub2
          + 9/16*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha2*Doub2*z2
          - 159/32*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha2*Doub1
          + 9/32*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha2*Doub1*z2
          + 177/32*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          - 9/32*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 15/8*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha1
          + 9/80*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha1*z2
          + 27/16*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha1*Doub2
          - 9/80*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha1*Doub2*z2
          + 207/160*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha1*Doub1
          - 9/160*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha1*Doub1*z2
          - 177/160*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          + 9/160*MatrixProduct[u[2,2].Yd2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 95/16*MatrixProduct[d[1,1].u[1,1].u[1,1].Yd1]
          + 6*MatrixProduct[d[1,1].u[1,1].u[1,1].Yd1]*z3
          + 45/32*MatrixProduct[d[1,1].u[1,1].u[2,1].Yd2]
          - MatrixProduct[d[1,1].u[1,1].u[2,2].Yd1]
          + 43/16*MatrixProduct[d[1,1].u[1,1].d[1,1].Yd1]
          - MatrixProduct[d[1,1].u[1,1].d[2,2].Yd1]
          + 3/4*MatrixProduct[d[1,1].u[1,1].Yd1]*lam[1,1,1,1]
          + 14*MatrixProduct[d[1,1].u[1,1].Yd1]*alpha3
          + 4*MatrixProduct[d[1,1].u[1,1].Yd1]*alpha3*z3
          - 69/32*MatrixProduct[d[1,1].u[1,1].Yd1]*alpha2
          + 9/4*MatrixProduct[d[1,1].u[1,1].Yd1]*alpha2*z3
          - 45/64*MatrixProduct[d[1,1].u[1,1].Yd1]*alpha2*z2
          + 177/64*MatrixProduct[d[1,1].u[1,1].Yd1]*alpha2*Doub1
          - 27/8*MatrixProduct[d[1,1].u[1,1].Yd1]*alpha2*Doub1*z3
          + 45/64*MatrixProduct[d[1,1].u[1,1].Yd1]*alpha2*Doub1*z2
          + 57/160*MatrixProduct[d[1,1].u[1,1].Yd1]*alpha1
          - 23/20*MatrixProduct[d[1,1].u[1,1].Yd1]*alpha1*z3
          - 63/320*MatrixProduct[d[1,1].u[1,1].Yd1]*alpha1*z2
          + 23/320*MatrixProduct[d[1,1].u[1,1].Yd1]*alpha1*Doub1
          - 9/40*MatrixProduct[d[1,1].u[1,1].Yd1]*alpha1*Doub1*z3
          + 63/320*MatrixProduct[d[1,1].u[1,1].Yd1]*alpha1*Doub1*z2
          + 21/8*MatrixProduct[d[1,1].u[1,1].Yd1]*Tr[u[1,1]]
          + 21/8*MatrixProduct[d[1,1].u[1,1].Yd1]*Tr[d[1,1]]
          + 7/8*MatrixProduct[d[1,1].u[1,1].Yd1]*Tr[l[1,1]]
          - 15/4*MatrixProduct[d[1,1].u[1,1].Yd2]*lam[1,1,2,1]
          - 75/16*MatrixProduct[d[1,1].u[1,1].Yd2]*Tr[u[2,1]]
          - 75/16*MatrixProduct[d[1,1].u[1,1].Yd2]*Tr[d[2,1]]
          - 25/16*MatrixProduct[d[1,1].u[1,1].Yd2]*Tr[l[2,1]]
          - 63/32*MatrixProduct[d[1,1].u[1,2].u[2,1].Yd1]
          + 33/16*MatrixProduct[d[1,1].u[1,2].d[2,1].Yd1]
          + 9/2*MatrixProduct[d[1,1].u[1,2].Yd1]*lam[1,1,2,1]
          + 81/32*MatrixProduct[d[1,1].u[1,2].Yd1]*Tr[u[2,1]]
          + 81/32*MatrixProduct[d[1,1].u[1,2].Yd1]*Tr[d[2,1]]
          + 27/32*MatrixProduct[d[1,1].u[1,2].Yd1]*Tr[l[2,1]]
          - 99/32*MatrixProduct[d[1,1].u[2,1].u[1,1].Yd2]
          - 11/8*MatrixProduct[d[1,1].u[2,1].u[1,2].Yd1]
          + 6*MatrixProduct[d[1,1].u[2,1].u[1,2].Yd1]*z3
          + 13/32*MatrixProduct[d[1,1].u[2,1].u[2,2].Yd2]
          + 13/32*MatrixProduct[d[1,1].u[2,1].d[1,1].Yd2]
          + 17/8*MatrixProduct[d[1,1].u[2,1].d[1,2].Yd1]
          - 3/32*MatrixProduct[d[1,1].u[2,1].d[2,2].Yd2]
          - 3/2*MatrixProduct[d[1,1].u[2,1].Yd1]*lam[1,1,1,2]
          + 225/32*MatrixProduct[d[1,1].u[2,1].Yd1]*Tr[u[1,2]]
          + 225/32*MatrixProduct[d[1,1].u[2,1].Yd1]*Tr[d[1,2]]
          + 75/32*MatrixProduct[d[1,1].u[2,1].Yd1]*Tr[l[1,2]]
          + MatrixProduct[d[1,1].u[2,1].Yd2]*lam[1,2,2,1]
          - 11/2*MatrixProduct[d[1,1].u[2,1].Yd2]*lam[1,1,2,2]
          + 3/2*MatrixProduct[d[1,1].u[2,1].Yd2]*lam[1,1,1,1]
          + 68/3*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha3
          - 8*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha3*z3
          - 291/32*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha2
          + 45/4*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha2*z3
          - 69/16*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha2*Doub2
          + 27/8*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha2*Doub2*z3
          + 27/4*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha2*Doub1
          - 27/4*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha2*Doub1*z3
          + 33/16*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha2*Doub1*Doub2
          - 9/8*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha2*Doub1*Doub2*z3
          - 1/96*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha1
          - 11/20*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha1*z3
          - 9/20*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha1*z2
          - 21/16*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha1*Doub2
          - 27/40*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha1*Doub2*z3
          + 9/40*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha1*Doub2*z2
          + 61/32*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha1*Doub1
          + 9/20*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha1*Doub1*z2
          + 81/160*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha1*Doub1*Doub2
          + 9/40*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha1*Doub1*Doub2*z3
          - 9/80*MatrixProduct[d[1,1].u[2,1].Yd2]*alpha1*Doub1*Doub2*z2
          + 9/16*MatrixProduct[d[1,1].u[2,1].Yd2]*Tr[u[1,1]]
          + 9/16*MatrixProduct[d[1,1].u[2,1].Yd2]*Tr[u[2,2]]
          + 9/16*MatrixProduct[d[1,1].u[2,1].Yd2]*Tr[d[1,1]]
          + 9/16*MatrixProduct[d[1,1].u[2,1].Yd2]*Tr[d[2,2]]
          + 3/16*MatrixProduct[d[1,1].u[2,1].Yd2]*Tr[l[1,1]]
          + 3/16*MatrixProduct[d[1,1].u[2,1].Yd2]*Tr[l[2,2]]
          - 1/8*MatrixProduct[d[1,1].u[2,2].u[1,1].Yd1]
          - 19/32*MatrixProduct[d[1,1].u[2,2].u[2,1].Yd2]
          - 1/32*MatrixProduct[d[1,1].u[2,2].u[2,2].Yd1]
          - 27/32*MatrixProduct[d[1,1].u[2,2].d[1,1].Yd1]
          + 5/32*MatrixProduct[d[1,1].u[2,2].d[2,2].Yd1]
          - 1/2*MatrixProduct[d[1,1].u[2,2].Yd1]*lam[1,2,2,1]
          + 7/2*MatrixProduct[d[1,1].u[2,2].Yd1]*lam[1,1,2,2]
          + 3/4*MatrixProduct[d[1,1].u[2,2].Yd1]*lam[1,1,1,1]
          - 20/3*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha3
          + 105/64*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha2
          - 9/64*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha2*z2
          - 195/64*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha2*Doub2
          + 9/64*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha2*Doub2*z2
          - 423/32*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha2*Doub1
          + 27/4*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha2*Doub1*z2
          + 471/32*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha2*Doub1*Doub2
          - 9*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha2*Doub1*Doub2*z2
          + 1/960*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha1
          + 81/320*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha1*z2
          + 211/320*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha1*Doub2
          + 3/5*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha1*Doub2*z3
          - 9/64*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha1*Doub2*z2
          + 681/320*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha1*Doub1
          - 39/20*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha1*Doub1*z3
          - 63/320*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha1*Doub1*z2
          - 1317/320*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha1*Doub1*
         Doub2
          + 9/5*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha1*Doub1*Doub2*z3
          + 27/320*MatrixProduct[d[1,1].u[2,2].Yd1]*alpha1*Doub1*Doub2*
         z2
          - 3/4*MatrixProduct[d[1,1].u[2,2].Yd1]*Tr[u[1,1]]
          + 27/16*MatrixProduct[d[1,1].u[2,2].Yd1]*Tr[u[2,2]]
          - 3/4*MatrixProduct[d[1,1].u[2,2].Yd1]*Tr[d[1,1]]
          + 27/16*MatrixProduct[d[1,1].u[2,2].Yd1]*Tr[d[2,2]]
          - 1/4*MatrixProduct[d[1,1].u[2,2].Yd1]*Tr[l[1,1]]
          + 9/16*MatrixProduct[d[1,1].u[2,2].Yd1]*Tr[l[2,2]]
          + 9/4*MatrixProduct[d[1,1].u[2,2].Yd2]*lam[1,1,2,1]
          - 3/16*MatrixProduct[d[1,1].u[2,2].Yd2]*Tr[u[2,1]]
          - 3/16*MatrixProduct[d[1,1].u[2,2].Yd2]*Tr[d[2,1]]
          - 1/16*MatrixProduct[d[1,1].u[2,2].Yd2]*Tr[l[2,1]]
          + 75/32*MatrixProduct[d[1,1].d[1,1].u[1,1].Yd1]
          - 19/32*MatrixProduct[d[1,1].d[1,1].u[2,1].Yd2]
          - 13/32*MatrixProduct[d[1,1].d[1,1].u[2,2].Yd1]
          - 345/32*MatrixProduct[d[1,1].d[1,1].d[1,1].Yd1]
          + 9/4*MatrixProduct[d[1,1].d[1,1].d[1,1].Yd1]*z3
          - 13/32*MatrixProduct[d[1,1].d[1,1].d[2,2].Yd1]
          + 63/4*MatrixProduct[d[1,1].d[1,1].Yd1]*lam[1,1,1,1]
          - 38*MatrixProduct[d[1,1].d[1,1].Yd1]*alpha3
          - 225/64*MatrixProduct[d[1,1].d[1,1].Yd1]*alpha2
          + 27/2*MatrixProduct[d[1,1].d[1,1].Yd1]*alpha2*z3
          + 9/64*MatrixProduct[d[1,1].d[1,1].Yd1]*alpha2*z2
          + 9/64*MatrixProduct[d[1,1].d[1,1].Yd1]*alpha2*Doub1
          - 27/2*MatrixProduct[d[1,1].d[1,1].Yd1]*alpha2*Doub1*z3
          - 9/64*MatrixProduct[d[1,1].d[1,1].Yd1]*alpha2*Doub1*z2
          + 1261/80*MatrixProduct[d[1,1].d[1,1].Yd1]*alpha1
          + 27/10*MatrixProduct[d[1,1].d[1,1].Yd1]*alpha1*z3
          - 189/320*MatrixProduct[d[1,1].d[1,1].Yd1]*alpha1*z2
          - 255/16*MatrixProduct[d[1,1].d[1,1].Yd1]*alpha1*Doub1
          - 27/10*MatrixProduct[d[1,1].d[1,1].Yd1]*alpha1*Doub1*z3
          + 189/320*MatrixProduct[d[1,1].d[1,1].Yd1]*alpha1*Doub1*z2
          - 9/8*MatrixProduct[d[1,1].d[1,1].Yd1]*Tr[u[1,1]]
          - 9/8*MatrixProduct[d[1,1].d[1,1].Yd1]*Tr[d[1,1]]
          - 3/8*MatrixProduct[d[1,1].d[1,1].Yd1]*Tr[l[1,1]]
          + 45/4*MatrixProduct[d[1,1].d[1,1].Yd2]*lam[1,1,2,1]
          - 9/4*MatrixProduct[d[1,1].d[1,1].Yd2]*Tr[u[2,1]]
          - 9/4*MatrixProduct[d[1,1].d[1,1].Yd2]*Tr[d[2,1]]
          - 3/4*MatrixProduct[d[1,1].d[1,1].Yd2]*Tr[l[2,1]]
          + 21/16*MatrixProduct[d[1,1].d[1,2].u[2,1].Yd1]
          - 43/8*MatrixProduct[d[1,1].d[1,2].d[2,1].Yd1]
          + 9/4*MatrixProduct[d[1,1].d[1,2].d[2,1].Yd1]*z3
          + 21/2*MatrixProduct[d[1,1].d[1,2].Yd1]*lam[1,1,2,1]
          + 27/8*MatrixProduct[d[1,1].d[1,2].Yd1]*Tr[u[2,1]]
          + 27/8*MatrixProduct[d[1,1].d[1,2].Yd1]*Tr[d[2,1]]
          + 9/8*MatrixProduct[d[1,1].d[1,2].Yd1]*Tr[l[2,1]]
          + 6*MatrixProduct[d[1,1].d[1,2].Yd2]*lam[2,1,2,1]
          + 1/2*MatrixProduct[d[1,1].d[2,1].u[1,1].Yd2]
          + 3*MatrixProduct[d[1,1].d[2,1].u[1,1].Yd2]*z3
          + 55/32*MatrixProduct[d[1,1].d[2,1].u[1,2].Yd1]
          - 3*MatrixProduct[d[1,1].d[2,1].u[1,2].Yd1]*z3
          - 7/2*MatrixProduct[d[1,1].d[2,1].d[1,1].Yd2]
          + 3/2*MatrixProduct[d[1,1].d[2,1].d[1,1].Yd2]*z3
          - 27/16*MatrixProduct[d[1,1].d[2,1].d[1,2].Yd1]
          + 12*MatrixProduct[d[1,1].d[2,1].Yd1]*lam[1,1,1,2]
          - 9/16*MatrixProduct[d[1,1].d[2,1].Yd1]*Tr[u[1,2]]
          - 9/16*MatrixProduct[d[1,1].d[2,1].Yd1]*Tr[d[1,2]]
          - 3/16*MatrixProduct[d[1,1].d[2,1].Yd1]*Tr[l[1,2]]
          + 5/2*MatrixProduct[d[1,1].d[2,1].Yd2]*lam[1,2,2,1]
          + 5*MatrixProduct[d[1,1].d[2,1].Yd2]*lam[1,1,2,2]
          - 16*MatrixProduct[d[1,1].d[2,1].Yd2]*alpha3
          + 471/40*MatrixProduct[d[1,1].d[2,1].Yd2]*alpha1
          - 9/16*MatrixProduct[d[1,1].d[2,1].Yd2]*alpha1*z2
          - 107/8*MatrixProduct[d[1,1].d[2,1].Yd2]*alpha1*Doub2
          + 27/20*MatrixProduct[d[1,1].d[2,1].Yd2]*alpha1*Doub2*z3
          + 9/16*MatrixProduct[d[1,1].d[2,1].Yd2]*alpha1*Doub2*z2
          - 127/10*MatrixProduct[d[1,1].d[2,1].Yd2]*alpha1*Doub1
          + 27/20*MatrixProduct[d[1,1].d[2,1].Yd2]*alpha1*Doub1*z3
          + 9/16*MatrixProduct[d[1,1].d[2,1].Yd2]*alpha1*Doub1*z2
          + 291/20*MatrixProduct[d[1,1].d[2,1].Yd2]*alpha1*Doub1*Doub2
          - 27/10*MatrixProduct[d[1,1].d[2,1].Yd2]*alpha1*Doub1*Doub2*
         z3
          - 9/16*MatrixProduct[d[1,1].d[2,1].Yd2]*alpha1*Doub1*Doub2*z2
          - 1/8*MatrixProduct[d[1,1].d[2,2].u[1,1].Yd1]
          - 3/32*MatrixProduct[d[1,1].d[2,2].u[2,1].Yd2]
          + 5/32*MatrixProduct[d[1,1].d[2,2].u[2,2].Yd1]
          - 27/32*MatrixProduct[d[1,1].d[2,2].d[1,1].Yd1]
          - MatrixProduct[d[1,1].d[2,2].d[2,1].Yd2]
          + 3/2*MatrixProduct[d[1,1].d[2,2].d[2,1].Yd2]*z3
          - 1/32*MatrixProduct[d[1,1].d[2,2].d[2,2].Yd1]
          + 4*MatrixProduct[d[1,1].d[2,2].Yd1]*lam[1,2,2,1]
          + 7/2*MatrixProduct[d[1,1].d[2,2].Yd1]*lam[1,1,2,2]
          + 3/4*MatrixProduct[d[1,1].d[2,2].Yd1]*lam[1,1,1,1]
          - 20/3*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha3
          + 105/64*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha2
          - 9/64*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha2*z2
          - 195/64*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha2*Doub2
          + 9/64*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha2*Doub2*z2
          - 423/32*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha2*Doub1
          + 27/4*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha2*Doub1*z2
          + 471/32*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha2*Doub1*Doub2
          - 9*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha2*Doub1*Doub2*z2
          + 431/192*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha1
          - 9/320*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha1*z2
          - 107/64*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha1*Doub2
          + 3/10*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha1*Doub2*z3
          + 9/64*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha1*Doub2*z2
          - 1593/320*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha1*Doub1
          + 33/20*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha1*Doub1*z2
          + 1317/320*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha1*Doub1*
         Doub2
          - 9/5*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha1*Doub1*Doub2*z3
          - 27/320*MatrixProduct[d[1,1].d[2,2].Yd1]*alpha1*Doub1*Doub2*
         z2
          - 3/4*MatrixProduct[d[1,1].d[2,2].Yd1]*Tr[u[1,1]]
          + 27/16*MatrixProduct[d[1,1].d[2,2].Yd1]*Tr[u[2,2]]
          - 3/4*MatrixProduct[d[1,1].d[2,2].Yd1]*Tr[d[1,1]]
          + 27/16*MatrixProduct[d[1,1].d[2,2].Yd1]*Tr[d[2,2]]
          - 1/4*MatrixProduct[d[1,1].d[2,2].Yd1]*Tr[l[1,1]]
          + 9/16*MatrixProduct[d[1,1].d[2,2].Yd1]*Tr[l[2,2]]
          + 3*MatrixProduct[d[1,1].d[2,2].Yd2]*lam[2,1,2,2]
          + 3/4*MatrixProduct[d[1,1].d[2,2].Yd2]*lam[1,1,2,1]
          - 3/4*MatrixProduct[d[1,1].d[2,2].Yd2]*Tr[u[2,1]]
          - 3/4*MatrixProduct[d[1,1].d[2,2].Yd2]*Tr[d[2,1]]
          - 1/4*MatrixProduct[d[1,1].d[2,2].Yd2]*Tr[l[2,1]]
          - 9/16*MatrixProduct[d[1,1].Yd1]*lam[1,2,2,1]^2
          - 99/32*MatrixProduct[d[1,1].Yd1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 45/32*MatrixProduct[d[1,1].Yd1]*lam[1,2,1,2]*lam[2,1,2,1]
          + 15/16*MatrixProduct[d[1,1].Yd1]*lam[1,1,2,2]*lam[1,2,2,1]
          + 15/16*MatrixProduct[d[1,1].Yd1]*lam[1,1,2,2]^2
          + 471/32*MatrixProduct[d[1,1].Yd1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 285/32*MatrixProduct[d[1,1].Yd1]*lam[1,1,1,1]^2
          + 4*MatrixProduct[d[1,1].Yd1]*alpha3*lam[1,1,1,1]
          + 2779/12*MatrixProduct[d[1,1].Yd1]*alpha3^2
          - 102*MatrixProduct[d[1,1].Yd1]*alpha3^2*z3
          - 11*MatrixProduct[d[1,1].Yd1]*alpha3^2*Ng
          + 3/8*MatrixProduct[d[1,1].Yd1]*alpha2*lam[1,1,1,1]
          - 69/4*MatrixProduct[d[1,1].Yd1]*alpha2*lam[1,1,1,1]*Doub1
          - 241/4*MatrixProduct[d[1,1].Yd1]*alpha2*alpha3
          + 36*MatrixProduct[d[1,1].Yd1]*alpha2*alpha3*z3
          - 9/4*MatrixProduct[d[1,1].Yd1]*alpha2*alpha3*z2
          + 299/8*MatrixProduct[d[1,1].Yd1]*alpha2*alpha3*Doub1
          + 9/4*MatrixProduct[d[1,1].Yd1]*alpha2*alpha3*Doub1*z2
          - 17091/256*MatrixProduct[d[1,1].Yd1]*alpha2^2
          + 117/4*MatrixProduct[d[1,1].Yd1]*alpha2^2*z3
          + 63/128*MatrixProduct[d[1,1].Yd1]*alpha2^2*z2
          + 141/32*MatrixProduct[d[1,1].Yd1]*alpha2^2*Ng
          + 183/256*MatrixProduct[d[1,1].Yd1]*alpha2^2*Doub2
          + 59175/512*MatrixProduct[d[1,1].Yd1]*alpha2^2*Doub1
          - 603/16*MatrixProduct[d[1,1].Yd1]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[d[1,1].Yd1]*alpha2^2*Doub1*z2
          - 183/16*MatrixProduct[d[1,1].Yd1]*alpha2^2*Doub1*Ng
          - 159/64*MatrixProduct[d[1,1].Yd1]*alpha2^2*Doub1*Doub2
          + 23/40*MatrixProduct[d[1,1].Yd1]*alpha1*lam[1,1,1,1]
          - 81/20*MatrixProduct[d[1,1].Yd1]*alpha1*lam[1,1,1,1]*Doub1
          - 131/15*MatrixProduct[d[1,1].Yd1]*alpha1*alpha3
          - 12/5*MatrixProduct[d[1,1].Yd1]*alpha1*alpha3*z3
          - 63/20*MatrixProduct[d[1,1].Yd1]*alpha1*alpha3*z2
          + 959/120*MatrixProduct[d[1,1].Yd1]*alpha1*alpha3*Doub1
          + 48/5*MatrixProduct[d[1,1].Yd1]*alpha1*alpha3*Doub1*z3
          + 63/20*MatrixProduct[d[1,1].Yd1]*alpha1*alpha3*Doub1*z2
          - 173/640*MatrixProduct[d[1,1].Yd1]*alpha1*alpha2
          + 63/160*MatrixProduct[d[1,1].Yd1]*alpha1*alpha2*z2
          + 41/256*MatrixProduct[d[1,1].Yd1]*alpha1*alpha2*Doub1
          + 9/5*MatrixProduct[d[1,1].Yd1]*alpha1*alpha2*Doub1*z3
          - 63/160*MatrixProduct[d[1,1].Yd1]*alpha1*alpha2*Doub1*z2
          - 1911/6400*MatrixProduct[d[1,1].Yd1]*alpha1^2
          + 9/20*MatrixProduct[d[1,1].Yd1]*alpha1^2*z3
          + 441/3200*MatrixProduct[d[1,1].Yd1]*alpha1^2*z2
          + 1009/160*MatrixProduct[d[1,1].Yd1]*alpha1^2*Ng
          + 4569/6400*MatrixProduct[d[1,1].Yd1]*alpha1^2*Doub2
          - 2371/38400*MatrixProduct[d[1,1].Yd1]*alpha1^2*Doub1
          - 177/400*MatrixProduct[d[1,1].Yd1]*alpha1^2*Doub1*z3
          - 441/3200*MatrixProduct[d[1,1].Yd1]*alpha1^2*Doub1*z2
          - 621/80*MatrixProduct[d[1,1].Yd1]*alpha1^2*Doub1*Ng
          - 759/800*MatrixProduct[d[1,1].Yd1]*alpha1^2*Doub1*Doub2
          + 45/2*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*lam[1,1,1,1]
          - 177/4*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*alpha3
          + 36*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*alpha3*z3
          + 3591/32*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*alpha2
          - 54*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*alpha2*z3
          - 27/16*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*alpha2*z2
          - 3915/32*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*alpha2*Doub1
          + 81/2*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*alpha2*Doub1*z2
          + 1923/40*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*alpha1
          - 54/5*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*alpha1*z3
          - 81/80*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*alpha1*z2
          - 2247/40*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*alpha1*Doub1
          + 54/5*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*alpha1*Doub1*z3
          + 81/80*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*alpha1*Doub1*z2
          - 81/16*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]^2
          - 81/8*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*Tr[d[1,1]]
          - 27/8*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*Tr[l[1,1]]
          + 27/2*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1].u[1,1]]
          + 9/2*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1].u[2,2]]
          + 9/2*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*lam[1,1,2,1]
          - 81/16*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*Tr[u[2,1]]
          - 81/16*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*Tr[l[2,1]]
          + 9*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2].u[2,1]]
          - 9/2*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2].d[2,1]]
          + 27/2*MatrixProduct[d[1,1].Yd1]*Tr[u[2,1]]*lam[1,1,1,2]
          - 81/16*MatrixProduct[d[1,1].Yd1]*Tr[u[2,1]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[d[1,1].Yd1]*Tr[u[2,1]]*Tr[l[1,2]]
          - 9/2*MatrixProduct[d[1,1].Yd1]*Tr[u[2,1].d[1,2]]
          + 9/2*MatrixProduct[d[1,1].Yd1]*Tr[u[2,2].d[1,1]]
          + 45/2*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*lam[1,1,1,1]
          - 177/4*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*alpha3
          + 36*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*alpha3*z3
          + 3591/32*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*alpha2
          - 54*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*alpha2*z3
          - 27/16*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*alpha2*z2
          - 3915/32*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*alpha2*Doub1
          + 81/2*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*alpha2*Doub1*z2
          + 2067/40*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*alpha1
          - 27/2*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*alpha1*z3
          - 81/80*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*alpha1*z2
          - 2247/40*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*alpha1*Doub1
          + 54/5*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*alpha1*Doub1*z3
          + 81/80*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*alpha1*Doub1*z2
          - 81/16*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]^2
          - 27/8*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*Tr[l[1,1]]
          + 27/2*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1].d[1,1]]
          + 9/2*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*lam[1,1,2,1]
          - 81/16*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*Tr[l[2,1]]
          + 9*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2].d[2,1]]
          + 27/2*MatrixProduct[d[1,1].Yd1]*Tr[d[2,1]]*lam[1,1,1,2]
          - 27/16*MatrixProduct[d[1,1].Yd1]*Tr[d[2,1]]*Tr[l[1,2]]
          + 15/2*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*lam[1,1,1,1]
          + 5/4*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*alpha3
          + 1197/32*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*alpha2
          - 18*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*alpha2*z3
          - 9/16*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*alpha2*z2
          - 1305/32*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*alpha2*Doub1*z3
          + 9/16*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*alpha2*Doub1*z2
          + 529/40*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*alpha1
          - 3/2*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*alpha1*z3
          - 27/80*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*alpha1*z2
          - 749/40*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*alpha1*Doub1
          + 18/5*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*alpha1*Doub1*z2
          - 9/16*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]^2
          + 9/2*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1].l[1,1]]
          + 3/2*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*lam[1,1,2,1]
          - 9/16*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2].l[2,1]]
          + 9/2*MatrixProduct[d[1,1].Yd1]*Tr[l[2,1]]*lam[1,1,1,2]
          + 15/16*MatrixProduct[d[1,1].Yd2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 33/16*MatrixProduct[d[1,1].Yd2]*lam[2,1,2,2]*lam[2,2,2,2]
          + 39/16*MatrixProduct[d[1,1].Yd2]*lam[2,1,2,1]*lam[1,2,2,2]
          + 39/16*MatrixProduct[d[1,1].Yd2]*lam[1,1,2,2]*lam[2,1,2,2]
          + 111/16*MatrixProduct[d[1,1].Yd2]*lam[1,1,2,1]*lam[1,2,2,1]
          + 87/16*MatrixProduct[d[1,1].Yd2]*lam[1,1,2,1]*lam[1,1,2,2]
          + 87/16*MatrixProduct[d[1,1].Yd2]*lam[1,1,1,2]*lam[2,1,2,1]
          + 159/16*MatrixProduct[d[1,1].Yd2]*lam[1,1,1,1]*lam[1,1,2,1]
          + 4*MatrixProduct[d[1,1].Yd2]*alpha3*lam[1,1,2,1]
          + 3/8*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,1,2,1]
          - 45/8*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,1,2,1]*Doub2
          - 9/4*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,1,2,1]*Doub2*z3
          - 21/4*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,1,2,1]*Doub1
          - 9*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,1,2,1]*Doub1*z3
          - 51/8*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,1,2,1]*Doub1*Doub2
          + 45/4*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,1,2,1]*Doub1*Doub2*
         z3
          + 23/40*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,1,2,1]
          + 27/40*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,1,2,1]*Doub2
          - 27/20*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,1,2,1]*Doub2*z3
          - 63/20*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,1,2,1]*Doub1
          - 27/10*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,1,2,1]*Doub1*z3
          - 63/40*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,1,2,1]*Doub1*Doub2
          + 81/20*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,1,2,1]*Doub1*Doub2*
         z3
          + 18*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*lam[1,1,2,1]
          - 27/8*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*Tr[u[2,1]]
          - 27/8*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*Tr[l[2,1]]
          + 9*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1].u[2,1]]
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[u[1,2]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*lam[1,2,2,1]
          + 9*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*lam[1,1,1,1]
          - 59/2*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha3
          + 24*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha3*z3
          + 1521/16*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha2
          - 54*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha2*z3
          - 27/16*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha2*z2
          - 1053/32*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub2
          + 81/4*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub2*z2
          - 99/2*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub1
          + 81/4*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub1*z2
          - 18*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub1*Doub2
          - 27/32*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 91/4*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha1
          - 51/10*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha1*z3
          - 27/80*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha1*z2
          - 819/80*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub2
          + 27/10*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub2*z3
          + 27/160*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub2*z2
          - 321/20*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub1
          + 27/10*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub1*z2
          - 45/32*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 27/8*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*Tr[u[2,2]]
          - 27/8*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*Tr[d[1,1]]
          - 27/8*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*Tr[l[1,1]]
          - 9/8*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*Tr[l[2,2]]
          + 9*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1].u[2,2]]
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*lam[1,1,2,1]
          - 27/8*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*Tr[l[2,1]]
          + 18*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*lam[1,1,2,1]
          - 27/8*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*Tr[l[2,1]]
          + 9*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1].d[2,1]]
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[d[1,2]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*lam[1,2,2,1]
          + 9*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*lam[1,1,1,1]
          - 59/2*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha3
          + 24*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha3*z3
          + 1521/16*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha2
          - 54*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha2*z3
          - 27/16*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha2*z2
          - 1053/32*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub2
          + 81/4*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub2*z2
          - 99/2*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub1
          + 81/4*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub1*z2
          - 18*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub1*Doub2
          - 27/32*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 503/20*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha1
          - 69/10*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha1*z3
          - 27/80*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha1*z2
          - 819/80*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub2
          + 27/10*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub2*z3
          + 27/160*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub2*z2
          - 321/20*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub1
          + 27/10*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub1*z2
          - 45/32*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 27/8*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*Tr[l[1,1]]
          - 9/8*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*Tr[l[2,2]]
          + 9*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1].d[2,2]]
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*lam[1,1,2,1]
          - 9/8*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*lam[1,1,2,1]
          - 3/8*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*Tr[l[2,1]]
          + 3*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1].l[2,1]]
          + 3/2*MatrixProduct[d[1,1].Yd2]*Tr[l[1,2]]*lam[2,1,2,1]
          + 3/2*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*lam[1,2,2,1]
          + 3*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*lam[1,1,2,2]
          + 3/2*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*lam[1,1,1,1]
          + 5/6*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha3
          + 507/16*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha2
          - 18*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha2*z3
          - 9/16*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha2*z2
          - 351/32*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub2
          + 27/4*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub2*z2
          - 33/2*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub1
          + 27/4*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub1*z3
          + 9/16*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub1*z2
          - 6*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub1*Doub2
          - 9/32*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 343/60*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha1
          - 3/10*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha1*z3
          - 9/80*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha1*z2
          - 273/80*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub2
          + 9/10*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub2*z3
          + 9/160*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub2*z2
          - 107/20*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub1
          + 9/10*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub1*z2
          - 15/32*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          - 9/160*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 3/8*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*Tr[l[2,2]]
          + 3*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1].l[2,2]]
          + 3/2*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*lam[1,1,2,1]
          - 35/8*MatrixProduct[d[1,2].u[1,1].u[2,1].Yd1]
          + 6*MatrixProduct[d[1,2].u[1,1].u[2,1].Yd1]*z3
          + 13/8*MatrixProduct[d[1,2].u[1,1].d[2,1].Yd1]
          + 3/4*MatrixProduct[d[1,2].u[1,1].Yd1]*lam[1,1,2,1]
          + 153/32*MatrixProduct[d[1,2].u[1,1].Yd1]*Tr[u[2,1]]
          + 153/32*MatrixProduct[d[1,2].u[1,1].Yd1]*Tr[d[2,1]]
          + 51/32*MatrixProduct[d[1,2].u[1,1].Yd1]*Tr[l[2,1]]
          - 15/4*MatrixProduct[d[1,2].u[1,1].Yd2]*lam[2,1,2,1]
          + 9/2*MatrixProduct[d[1,2].u[1,2].Yd1]*lam[2,1,2,1]
          - 43/32*MatrixProduct[d[1,2].u[2,1].u[1,1].Yd1]
          - 3/2*MatrixProduct[d[1,2].u[2,1].u[2,1].Yd2]
          - 11/4*MatrixProduct[d[1,2].u[2,1].u[2,2].Yd1]
          + 6*MatrixProduct[d[1,2].u[2,1].u[2,2].Yd1]*z3
          + MatrixProduct[d[1,2].u[2,1].d[1,1].Yd1]
          + 1/2*MatrixProduct[d[1,2].u[2,1].d[2,1].Yd2]
          + 17/16*MatrixProduct[d[1,2].u[2,1].d[2,2].Yd1]
          - 2*MatrixProduct[d[1,2].u[2,1].Yd1]*lam[1,2,2,1]
          + 1/2*MatrixProduct[d[1,2].u[2,1].Yd1]*lam[1,1,2,2]
          - 2*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha3
          + 12*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha3*z3
          + 339/64*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha2
          - 9*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha2*z3
          - 9/16*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha2*z2
          - 123/32*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha2*Doub2
          + 27/4*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha2*Doub2*z2
          + 327/64*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha2*Doub1
          - 9/2*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha2*Doub1*z3
          + 9/16*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha2*Doub1*z2
          - 93/64*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha2*Doub1*Doub2
          + 9/8*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha2*Doub1*Doub2*z2
          + 117/320*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha1
          - 3/5*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha1*z3
          - 233/160*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha1*Doub2
          - 3/20*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha1*Doub2*z3
          + 27/160*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha1*Doub2*z2
          + 367/320*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha1*Doub1
          - 3/10*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha1*Doub1*z3
          - 9/80*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha1*Doub1*z2
          + 39/64*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha1*Doub1*Doub2*z3
          - 9/160*MatrixProduct[d[1,2].u[2,1].Yd1]*alpha1*Doub1*Doub2*
         z2
          - 135/32*MatrixProduct[d[1,2].u[2,1].Yd1]*Tr[u[1,1]]
          + 153/32*MatrixProduct[d[1,2].u[2,1].Yd1]*Tr[u[2,2]]
          - 135/32*MatrixProduct[d[1,2].u[2,1].Yd1]*Tr[d[1,1]]
          + 153/32*MatrixProduct[d[1,2].u[2,1].Yd1]*Tr[d[2,2]]
          - 45/32*MatrixProduct[d[1,2].u[2,1].Yd1]*Tr[l[1,1]]
          + 51/32*MatrixProduct[d[1,2].u[2,1].Yd1]*Tr[l[2,2]]
          - 9/2*MatrixProduct[d[1,2].u[2,1].Yd2]*lam[2,1,2,2]
          + 3/2*MatrixProduct[d[1,2].u[2,1].Yd2]*lam[1,1,2,1]
          - 9/2*MatrixProduct[d[1,2].u[2,1].Yd2]*Tr[u[2,1]]
          - 9/2*MatrixProduct[d[1,2].u[2,1].Yd2]*Tr[d[2,1]]
          - 3/2*MatrixProduct[d[1,2].u[2,1].Yd2]*Tr[l[2,1]]
          - 47/32*MatrixProduct[d[1,2].u[2,2].u[2,1].Yd1]
          + 17/16*MatrixProduct[d[1,2].u[2,2].d[2,1].Yd1]
          + 3*MatrixProduct[d[1,2].u[2,2].Yd1]*lam[2,1,2,2]
          + 3/4*MatrixProduct[d[1,2].u[2,2].Yd1]*lam[1,1,2,1]
          + 9/32*MatrixProduct[d[1,2].u[2,2].Yd1]*Tr[u[2,1]]
          + 9/32*MatrixProduct[d[1,2].u[2,2].Yd1]*Tr[d[2,1]]
          + 3/32*MatrixProduct[d[1,2].u[2,2].Yd1]*Tr[l[2,1]]
          + 9/4*MatrixProduct[d[1,2].u[2,2].Yd2]*lam[2,1,2,1]
          + 65/32*MatrixProduct[d[1,2].d[1,1].u[2,1].Yd1]
          - 5*MatrixProduct[d[1,2].d[1,1].d[2,1].Yd1]
          + 39/4*MatrixProduct[d[1,2].d[1,1].Yd1]*lam[1,1,2,1]
          - 9/4*MatrixProduct[d[1,2].d[1,1].Yd1]*Tr[u[2,1]]
          - 9/4*MatrixProduct[d[1,2].d[1,1].Yd1]*Tr[d[2,1]]
          - 3/4*MatrixProduct[d[1,2].d[1,1].Yd1]*Tr[l[2,1]]
          + 21/4*MatrixProduct[d[1,2].d[1,1].Yd2]*lam[2,1,2,1]
          + 9/2*MatrixProduct[d[1,2].d[1,2].Yd1]*lam[2,1,2,1]
          + 1/4*MatrixProduct[d[1,2].d[2,1].u[1,1].Yd1]
          + 3*MatrixProduct[d[1,2].d[2,1].u[2,1].Yd2]*z3
          + 37/32*MatrixProduct[d[1,2].d[2,1].u[2,2].Yd1]
          - 3*MatrixProduct[d[1,2].d[2,1].u[2,2].Yd1]*z3
          - 19/4*MatrixProduct[d[1,2].d[2,1].d[1,1].Yd1]
          + 3/4*MatrixProduct[d[1,2].d[2,1].d[1,1].Yd1]*z3
          - 5/2*MatrixProduct[d[1,2].d[2,1].d[2,1].Yd2]
          - 33/16*MatrixProduct[d[1,2].d[2,1].d[2,2].Yd1]
          + 11/2*MatrixProduct[d[1,2].d[2,1].Yd1]*lam[1,2,2,1]
          + 7/2*MatrixProduct[d[1,2].d[2,1].Yd1]*lam[1,1,2,2]
          + 3*MatrixProduct[d[1,2].d[2,1].Yd1]*lam[1,1,1,1]
          - 46/3*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha3
          - 165/32*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha2
          + 27/2*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha2*z3
          + 9/32*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha2*z2
          - 81/32*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha2*Doub2
          - 9/2*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha2*Doub2*z3
          - 9/32*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha2*Doub2*z2
          + 159/64*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha2*Doub1
          - 9*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha2*Doub1*z3
          - 9/32*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha2*Doub1*z2
          + 111/64*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha2*Doub1*Doub2
          + 9/4*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha2*Doub1*Doub2*z3
          + 9/32*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha2*Doub1*Doub2*z2
          + 1673/960*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha1
          + 27/10*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha1*z3
          - 269/160*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha1*Doub2
          - 27/160*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha1*Doub2*z2
          - 459/160*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha1*Doub1
          - 3/2*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha1*Doub1*z2
          + 171/64*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[d[1,2].d[2,1].Yd1]*alpha1*Doub1*Doub2*
         z2
          + 3/16*MatrixProduct[d[1,2].d[2,1].Yd1]*Tr[u[1,1]]
          - 9/4*MatrixProduct[d[1,2].d[2,1].Yd1]*Tr[u[2,2]]
          + 3/16*MatrixProduct[d[1,2].d[2,1].Yd1]*Tr[d[1,1]]
          - 9/4*MatrixProduct[d[1,2].d[2,1].Yd1]*Tr[d[2,2]]
          + 1/16*MatrixProduct[d[1,2].d[2,1].Yd1]*Tr[l[1,1]]
          - 3/4*MatrixProduct[d[1,2].d[2,1].Yd1]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[1,2].d[2,1].Yd2]*lam[2,1,2,2]
          + 3*MatrixProduct[d[1,2].d[2,1].Yd2]*lam[1,1,2,1]
          - 3/2*MatrixProduct[d[1,2].d[2,1].Yd2]*Tr[u[2,1]]
          - 3/2*MatrixProduct[d[1,2].d[2,1].Yd2]*Tr[d[2,1]]
          - 1/2*MatrixProduct[d[1,2].d[2,1].Yd2]*Tr[l[2,1]]
          + 9/8*MatrixProduct[d[1,2].d[2,2].u[2,1].Yd1]
          - 83/16*MatrixProduct[d[1,2].d[2,2].d[2,1].Yd1]
          + 3/4*MatrixProduct[d[1,2].d[2,2].d[2,1].Yd1]*z3
          + 9/2*MatrixProduct[d[1,2].d[2,2].Yd1]*lam[2,1,2,2]
          + 15/4*MatrixProduct[d[1,2].d[2,2].Yd1]*lam[1,1,2,1]
          + 27/16*MatrixProduct[d[1,2].d[2,2].Yd1]*Tr[u[2,1]]
          + 27/16*MatrixProduct[d[1,2].d[2,2].Yd1]*Tr[d[2,1]]
          + 9/16*MatrixProduct[d[1,2].d[2,2].Yd1]*Tr[l[2,1]]
          + 15/4*MatrixProduct[d[1,2].d[2,2].Yd2]*lam[2,1,2,1]
          + 63/32*MatrixProduct[d[1,2].Yd1]*lam[2,1,2,2]*lam[1,2,2,1]
          - 33/32*MatrixProduct[d[1,2].Yd1]*lam[2,1,2,2]*lam[2,2,2,2]
          + 111/32*MatrixProduct[d[1,2].Yd1]*lam[2,1,2,1]*lam[1,2,2,2]
          + 111/32*MatrixProduct[d[1,2].Yd1]*lam[1,1,2,2]*lam[2,1,2,2]
          + 255/32*MatrixProduct[d[1,2].Yd1]*lam[1,1,2,1]*lam[1,2,2,1]
          + 207/32*MatrixProduct[d[1,2].Yd1]*lam[1,1,2,1]*lam[1,1,2,2]
          + 207/32*MatrixProduct[d[1,2].Yd1]*lam[1,1,1,2]*lam[2,1,2,1]
          + 351/32*MatrixProduct[d[1,2].Yd1]*lam[1,1,1,1]*lam[1,1,2,1]
          + 4*MatrixProduct[d[1,2].Yd1]*alpha3*lam[1,1,2,1]
          + 3/8*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,1,2,1]
          + 27/8*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,1,2,1]*Doub2
          - 9/4*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,1,2,1]*Doub2*z3
          - 81/4*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,1,2,1]*Doub1
          - 9/2*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,1,2,1]*Doub1*z3
          - 3/8*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,1,2,1]*Doub1*Doub2
          + 27/4*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,1,2,1]*Doub1*Doub2*
         z3
          + 23/40*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,1,2,1]
          - 9/40*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,1,2,1]*Doub2
          - 27/20*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,1,2,1]*Doub2*z3
          - 9/4*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,1,2,1]*Doub1
          - 27/10*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,1,2,1]*Doub1*z3
          - 63/40*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,1,2,1]*Doub1*Doub2
          + 81/20*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,1,2,1]*Doub1*Doub2*
         z3
          + 18*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1].u[2,1]]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[u[1,2]]*lam[2,1,2,1]
          + 9*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*lam[1,1,1,1]
          - 59/4*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha3
          + 12*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha3*z3
          + 549/32*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha2
          - 639/128*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha2*Doub2
          - 1341/128*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha2*Doub1
          - 207/32*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          + 1013/40*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha1
          - 57/10*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha1*z3
          - 27/40*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha1*z2
          - 1377/128*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha1*Doub2
          + 27/10*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha1*Doub2*z2
          - 12027/640*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha1*Doub1
          + 27/10*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha1*Doub1*z3
          + 27/40*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 27/16*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*Tr[u[2,2]]
          - 27/16*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*Tr[d[1,1]]
          - 27/16*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1].u[2,2]]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2]]*Tr[l[2,1]]
          + 18*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1].d[2,1]]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[d[1,2]]*lam[2,1,2,1]
          + 9*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*lam[1,1,1,1]
          - 59/4*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha3
          + 12*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha3*z3
          + 549/32*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha2
          - 639/128*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha2*Doub2
          - 1341/128*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha2*Doub1
          - 207/32*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          + 1061/40*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha1
          - 33/5*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha1*z3
          - 27/40*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha1*z2
          - 1377/128*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha1*Doub2
          + 27/10*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha1*Doub2*z2
          - 12027/640*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha1*Doub1
          + 27/10*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha1*Doub1*z3
          + 27/40*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 27/16*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1].d[2,2]]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[d[2,2]]*lam[1,1,2,1]
          - 9/16*MatrixProduct[d[1,2].Yd1]*Tr[d[2,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*lam[1,1,2,1]
          - 3/16*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*Tr[l[2,1]]
          + 3/2*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1].l[2,1]]
          + 3/2*MatrixProduct[d[1,2].Yd1]*Tr[l[1,2]]*lam[2,1,2,1]
          + 3*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*lam[1,1,2,2]
          + 3/2*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*lam[1,1,1,1]
          + 5/12*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha3
          + 183/32*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha2
          - 213/128*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha2*Doub2
          - 447/128*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha2*Doub1
          - 69/32*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          + 901/120*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha1
          - 6/5*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha1*z3
          - 9/40*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha1*z2
          - 459/128*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha1*Doub2
          + 9/10*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha1*Doub2*z2
          - 4009/640*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha1*Doub1
          + 9/10*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha1*Doub1*z3
          + 9/40*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha1*Doub1*z2
          + 57/160*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          - 9/80*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 3/16*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*Tr[l[2,2]]
          + 3/2*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1].l[2,2]]
          + 3/2*MatrixProduct[d[1,2].Yd1]*Tr[l[2,2]]*lam[1,1,2,1]
          + 15/2*MatrixProduct[d[1,2].Yd2]*lam[2,1,2,2]^2
          + 9*MatrixProduct[d[1,2].Yd2]*lam[2,1,2,1]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[1,2].Yd2]*lam[2,1,2,1]*lam[2,2,2,2]
          + 6*MatrixProduct[d[1,2].Yd2]*lam[1,1,2,2]*lam[2,1,2,1]
          + 9*MatrixProduct[d[1,2].Yd2]*lam[1,1,2,1]*lam[2,1,2,2]
          + 15/2*MatrixProduct[d[1,2].Yd2]*lam[1,1,2,1]^2
          + 9/2*MatrixProduct[d[1,2].Yd2]*lam[1,1,1,1]*lam[2,1,2,1]
          + 4*MatrixProduct[d[1,2].Yd2]*alpha3*lam[2,1,2,1]
          + 3/8*MatrixProduct[d[1,2].Yd2]*alpha2*lam[2,1,2,1]
          - 33/8*MatrixProduct[d[1,2].Yd2]*alpha2*lam[2,1,2,1]*Doub2
          - 81/8*MatrixProduct[d[1,2].Yd2]*alpha2*lam[2,1,2,1]*Doub1
          - 9*MatrixProduct[d[1,2].Yd2]*alpha2*lam[2,1,2,1]*Doub1*z3
          - 3*MatrixProduct[d[1,2].Yd2]*alpha2*lam[2,1,2,1]*Doub1*Doub2
          + 9*MatrixProduct[d[1,2].Yd2]*alpha2*lam[2,1,2,1]*Doub1*Doub2*z3
          + 23/40*MatrixProduct[d[1,2].Yd2]*alpha1*lam[2,1,2,1]
          - 27/40*MatrixProduct[d[1,2].Yd2]*alpha1*lam[2,1,2,1]*Doub2
          - 99/40*MatrixProduct[d[1,2].Yd2]*alpha1*lam[2,1,2,1]*Doub1
          - 27/10*MatrixProduct[d[1,2].Yd2]*alpha1*lam[2,1,2,1]*Doub1*z3
          - 9/10*MatrixProduct[d[1,2].Yd2]*alpha1*lam[2,1,2,1]*Doub1*Doub2
          + 27/10*MatrixProduct[d[1,2].Yd2]*alpha1*lam[2,1,2,1]*Doub1*Doub2*
         z3
          + 27/2*MatrixProduct[d[1,2].Yd2]*Tr[u[1,1]]*lam[2,1,2,1]
          + 27/2*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*lam[2,1,2,2]
          + 9*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*lam[1,1,2,1]
          + 9*MatrixProduct[d[1,2].Yd2]*Tr[u[2,2]]*lam[2,1,2,1]
          + 27/2*MatrixProduct[d[1,2].Yd2]*Tr[d[1,1]]*lam[2,1,2,1]
          + 27/2*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*lam[2,1,2,2]
          + 9*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*lam[1,1,2,1]
          + 9*MatrixProduct[d[1,2].Yd2]*Tr[d[2,2]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[d[1,2].Yd2]*Tr[l[1,1]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*lam[2,1,2,2]
          + 3*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*lam[1,1,2,1]
          + 3*MatrixProduct[d[1,2].Yd2]*Tr[l[2,2]]*lam[2,1,2,1]
          - 129/32*MatrixProduct[d[2,1].u[1,1].u[1,1].Yd2]
          + 6*MatrixProduct[d[2,1].u[1,1].u[1,1].Yd2]*z3
          - 29/16*MatrixProduct[d[2,1].u[1,1].u[1,2].Yd1]
          + 53/32*MatrixProduct[d[2,1].u[1,1].d[1,1].Yd2]
          - 11/16*MatrixProduct[d[2,1].u[1,1].d[1,2].Yd1]
          + 3*MatrixProduct[d[2,1].u[1,1].d[1,2].Yd1]*z3
          - 29/32*MatrixProduct[d[2,1].u[1,1].d[2,2].Yd2]
          + 9/4*MatrixProduct[d[2,1].u[1,1].Yd1]*lam[1,1,1,2]
          - 141/32*MatrixProduct[d[2,1].u[1,1].Yd1]*Tr[u[1,2]]
          - 141/32*MatrixProduct[d[2,1].u[1,1].Yd1]*Tr[d[1,2]]
          - 47/32*MatrixProduct[d[2,1].u[1,1].Yd1]*Tr[l[1,2]]
          - 7/4*MatrixProduct[d[2,1].u[1,1].Yd2]*lam[1,2,2,1]
          + 5/2*MatrixProduct[d[2,1].u[1,1].Yd2]*lam[1,1,2,2]
          + 3*MatrixProduct[d[2,1].u[1,1].Yd2]*lam[1,1,1,1]
          - 14*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha3
          + 16*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha3*z3
          - 9/64*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha2
          - 9*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha2*z3
          - 81/32*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha2*Doub2
          + 9/4*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha2*Doub2*z3
          - 87/64*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha2*Doub1
          + 27/4*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha2*Doub1*z3
          + 63/8*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha2*Doub1*Doub2
          - 27/4*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha2*Doub1*Doub2*z3
          - 507/320*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha1
          - MatrixProduct[d[2,1].u[1,1].Yd2]*alpha1*z3
          + 9/40*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha1*z2
          + 451/160*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha1*Doub2
          - 9/4*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha1*Doub2*z3
          - 9/80*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha1*Doub2*z2
          + 9/16*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha1*Doub1
          + 9/20*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha1*Doub1*z2
          - 537/320*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha1*Doub1*Doub2
          + 27/20*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[d[2,1].u[1,1].Yd2]*alpha1*Doub1*Doub2*
         z2
          + 99/16*MatrixProduct[d[2,1].u[1,1].Yd2]*Tr[u[1,1]]
          - 21/4*MatrixProduct[d[2,1].u[1,1].Yd2]*Tr[u[2,2]]
          + 99/16*MatrixProduct[d[2,1].u[1,1].Yd2]*Tr[d[1,1]]
          - 21/4*MatrixProduct[d[2,1].u[1,1].Yd2]*Tr[d[2,2]]
          + 33/16*MatrixProduct[d[2,1].u[1,1].Yd2]*Tr[l[1,1]]
          - 7/4*MatrixProduct[d[2,1].u[1,1].Yd2]*Tr[l[2,2]]
          - 3/32*MatrixProduct[d[2,1].u[1,2].u[1,1].Yd1]
          - 7/8*MatrixProduct[d[2,1].u[1,2].u[2,1].Yd2]
          - 11/16*MatrixProduct[d[2,1].u[1,2].u[2,2].Yd1]
          + 55/32*MatrixProduct[d[2,1].u[1,2].d[1,1].Yd1]
          - 3*MatrixProduct[d[2,1].u[1,2].d[1,1].Yd1]*z3
          + 29/16*MatrixProduct[d[2,1].u[1,2].d[2,1].Yd2]
          + 5/32*MatrixProduct[d[2,1].u[1,2].d[2,2].Yd1]
          + 3/2*MatrixProduct[d[2,1].u[1,2].Yd1]*lam[1,2,2,1]
          - 9/2*MatrixProduct[d[2,1].u[1,2].Yd1]*lam[1,1,1,1]
          + 22*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha3
          - 12*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha3*z3
          + 189/64*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha2
          + 9/2*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha2*z3
          - 9/16*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha2*z2
          - 87/32*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha2*Doub2
          + 9/32*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha2*Doub2*z2
          - 273/64*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha2*Doub1
          + 9/16*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha2*Doub1*z2
          + 51/64*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha2*Doub1*Doub2
          + 9/8*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha2*Doub1*Doub2*z2
          + 1447/320*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha1
          + 3/10*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha1*z3
          - 9/20*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha1*z2
          - 87/160*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha1*Doub2
          + 9/160*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha1*Doub2*z2
          - 1269/320*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha1*Doub1
          + 9/20*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha1*Doub1*z2
          + 147/320*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha1*Doub1*Doub2*z3
          - 9/160*MatrixProduct[d[2,1].u[1,2].Yd1]*alpha1*Doub1*Doub2*
         z2
          + 27/32*MatrixProduct[d[2,1].u[1,2].Yd1]*Tr[u[1,1]]
          + 27/32*MatrixProduct[d[2,1].u[1,2].Yd1]*Tr[u[2,2]]
          + 27/32*MatrixProduct[d[2,1].u[1,2].Yd1]*Tr[d[1,1]]
          + 27/32*MatrixProduct[d[2,1].u[1,2].Yd1]*Tr[d[2,2]]
          + 9/32*MatrixProduct[d[2,1].u[1,2].Yd1]*Tr[l[1,1]]
          + 9/32*MatrixProduct[d[2,1].u[1,2].Yd1]*Tr[l[2,2]]
          - 3/2*MatrixProduct[d[2,1].u[1,2].Yd2]*lam[1,1,2,1]
          + 9/4*MatrixProduct[d[2,1].u[1,2].Yd2]*Tr[u[2,1]]
          + 9/4*MatrixProduct[d[2,1].u[1,2].Yd2]*Tr[d[2,1]]
          + 3/4*MatrixProduct[d[2,1].u[1,2].Yd2]*Tr[l[2,1]]
          - 35/8*MatrixProduct[d[2,1].u[2,1].u[1,2].Yd2]
          + 6*MatrixProduct[d[2,1].u[2,1].u[1,2].Yd2]*z3
          + 13/16*MatrixProduct[d[2,1].u[2,1].d[1,2].Yd2]
          + 3*MatrixProduct[d[2,1].u[2,1].d[1,2].Yd2]*z3
          + 9/2*MatrixProduct[d[2,1].u[2,1].Yd2]*lam[1,1,1,2]
          + 27/4*MatrixProduct[d[2,1].u[2,1].Yd2]*Tr[u[1,2]]
          + 27/4*MatrixProduct[d[2,1].u[2,1].Yd2]*Tr[d[1,2]]
          + 9/4*MatrixProduct[d[2,1].u[2,1].Yd2]*Tr[l[1,2]]
          - 1/2*MatrixProduct[d[2,1].u[2,2].u[1,1].Yd2]
          + 9/32*MatrixProduct[d[2,1].u[2,2].u[1,2].Yd1]
          - 7/32*MatrixProduct[d[2,1].u[2,2].u[2,2].Yd2]
          + 1/2*MatrixProduct[d[2,1].u[2,2].d[1,1].Yd2]
          - 3*MatrixProduct[d[2,1].u[2,2].d[1,1].Yd2]*z3
          + 3/8*MatrixProduct[d[2,1].u[2,2].d[1,2].Yd1]
          + 1/16*MatrixProduct[d[2,1].u[2,2].d[2,2].Yd2]
          - 15/4*MatrixProduct[d[2,1].u[2,2].Yd1]*lam[1,1,1,2]
          + 3/32*MatrixProduct[d[2,1].u[2,2].Yd1]*Tr[u[1,2]]
          + 3/32*MatrixProduct[d[2,1].u[2,2].Yd1]*Tr[d[1,2]]
          + 1/32*MatrixProduct[d[2,1].u[2,2].Yd1]*Tr[l[1,2]]
          + 1/4*MatrixProduct[d[2,1].u[2,2].Yd2]*lam[1,2,2,1]
          + 1/2*MatrixProduct[d[2,1].u[2,2].Yd2]*lam[1,1,2,2]
          + 10*MatrixProduct[d[2,1].u[2,2].Yd2]*alpha3
          - 8*MatrixProduct[d[2,1].u[2,2].Yd2]*alpha3*z3
          - 159/64*MatrixProduct[d[2,1].u[2,2].Yd2]*alpha2
          + 9/2*MatrixProduct[d[2,1].u[2,2].Yd2]*alpha2*z3
          - 129/64*MatrixProduct[d[2,1].u[2,2].Yd2]*alpha2*Doub2
          + 823/320*MatrixProduct[d[2,1].u[2,2].Yd2]*alpha1
          - 1/10*MatrixProduct[d[2,1].u[2,2].Yd2]*alpha1*z3
          - 9/40*MatrixProduct[d[2,1].u[2,2].Yd2]*alpha1*z2
          - 847/320*MatrixProduct[d[2,1].u[2,2].Yd2]*alpha1*Doub2
          + 9/40*MatrixProduct[d[2,1].u[2,2].Yd2]*alpha1*Doub2*z2
          - 21/80*MatrixProduct[d[2,1].u[2,2].Yd2]*alpha1*Doub1
          + 9/80*MatrixProduct[d[2,1].u[2,2].Yd2]*alpha1*Doub1*z2
          + 21/80*MatrixProduct[d[2,1].u[2,2].Yd2]*alpha1*Doub1*Doub2
          - 9/80*MatrixProduct[d[2,1].u[2,2].Yd2]*alpha1*Doub1*Doub2*z2
          + 33/16*MatrixProduct[d[2,1].u[2,2].Yd2]*Tr[u[2,2]]
          + 33/16*MatrixProduct[d[2,1].u[2,2].Yd2]*Tr[d[2,2]]
          + 11/16*MatrixProduct[d[2,1].u[2,2].Yd2]*Tr[l[2,2]]
          + 85/32*MatrixProduct[d[2,1].d[1,1].u[1,1].Yd2]
          - 3*MatrixProduct[d[2,1].d[1,1].u[1,1].Yd2]*z3
          - 55/32*MatrixProduct[d[2,1].d[1,1].u[1,2].Yd1]
          + 3*MatrixProduct[d[2,1].d[1,1].u[1,2].Yd1]*z3
          - MatrixProduct[d[2,1].d[1,1].u[2,2].Yd2]
          - 209/32*MatrixProduct[d[2,1].d[1,1].d[1,1].Yd2]
          - 55/16*MatrixProduct[d[2,1].d[1,1].d[1,2].Yd1]
          + 9/4*MatrixProduct[d[2,1].d[1,1].d[1,2].Yd1]*z3
          - 13/32*MatrixProduct[d[2,1].d[1,1].d[2,2].Yd2]
          + 45/4*MatrixProduct[d[2,1].d[1,1].Yd1]*lam[1,1,1,2]
          - 9/16*MatrixProduct[d[2,1].d[1,1].Yd1]*Tr[u[1,2]]
          - 9/16*MatrixProduct[d[2,1].d[1,1].Yd1]*Tr[d[1,2]]
          - 3/16*MatrixProduct[d[2,1].d[1,1].Yd1]*Tr[l[1,2]]
          + 25/4*MatrixProduct[d[2,1].d[1,1].Yd2]*lam[1,2,2,1]
          + 7/2*MatrixProduct[d[2,1].d[1,1].Yd2]*lam[1,1,2,2]
          + 3*MatrixProduct[d[2,1].d[1,1].Yd2]*lam[1,1,1,1]
          - 46/3*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha3
          - 345/64*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha2
          + 27/2*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha2*z3
          - 237/32*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha2*Doub2
          - 9/4*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha2*Doub2*z3
          - 111/64*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha2*Doub1
          - 27/4*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha2*Doub1*z3
          + 111/8*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha2*Doub1*Doub2
          - 27/4*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha2*Doub1*Doub2*z3
          + 269/960*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha1
          + 27/10*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha1*z3
          - 361/160*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha1*Doub2
          + 9/20*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha1*Doub2*z3
          - 9/80*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha1*Doub2*z2
          - 27/32*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha1*Doub1
          - 33/20*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha1*Doub1*z3
          + 9/160*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha1*Doub1*z2
          + 171/64*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[d[2,1].d[1,1].Yd2]*alpha1*Doub1*Doub2*
         z2
          + 3/16*MatrixProduct[d[2,1].d[1,1].Yd2]*Tr[u[1,1]]
          - 9/4*MatrixProduct[d[2,1].d[1,1].Yd2]*Tr[u[2,2]]
          + 3/16*MatrixProduct[d[2,1].d[1,1].Yd2]*Tr[d[1,1]]
          - 9/4*MatrixProduct[d[2,1].d[1,1].Yd2]*Tr[d[2,2]]
          + 1/16*MatrixProduct[d[2,1].d[1,1].Yd2]*Tr[l[1,1]]
          - 3/4*MatrixProduct[d[2,1].d[1,1].Yd2]*Tr[l[2,2]]
          + 45/32*MatrixProduct[d[2,1].d[1,2].u[1,1].Yd1]
          + 21/16*MatrixProduct[d[2,1].d[1,2].u[2,1].Yd2]
          - 13/16*MatrixProduct[d[2,1].d[1,2].d[1,1].Yd1]
          - 31/8*MatrixProduct[d[2,1].d[1,2].d[2,1].Yd2]
          - 3/2*MatrixProduct[d[2,1].d[1,2].d[2,2].Yd1]
          + 9/4*MatrixProduct[d[2,1].d[1,2].d[2,2].Yd1]*z3
          + 5/2*MatrixProduct[d[2,1].d[1,2].Yd1]*lam[1,2,2,1]
          + 5*MatrixProduct[d[2,1].d[1,2].Yd1]*lam[1,1,2,2]
          + 3/2*MatrixProduct[d[2,1].d[1,2].Yd1]*lam[1,1,1,1]
          - 38/3*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha3
          - 21/32*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha2
          + 9/32*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha2*z2
          - 81/32*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha2*Doub2
          + 9/4*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha2*Doub2*z3
          + 15/32*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha2*Doub1
          - 9/32*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha2*Doub1*z2
          + 1181/192*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha1
          - 9/80*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha1*z2
          - 1487/320*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha1*Doub2
          + 3/20*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha1*Doub2*z3
          + 9/32*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha1*Doub2*z2
          - 2457/320*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha1*Doub1
          + 3/2*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha1*Doub1*z3
          + 1911/320*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha1*Doub1*
         Doub2
          - 9/5*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha1*Doub1*Doub2*z3
          - 27/160*MatrixProduct[d[2,1].d[1,2].Yd1]*alpha1*Doub1*Doub2*
         z2
          - 3/4*MatrixProduct[d[2,1].d[1,2].Yd1]*Tr[u[1,1]]
          + 27/16*MatrixProduct[d[2,1].d[1,2].Yd1]*Tr[u[2,2]]
          - 3/4*MatrixProduct[d[2,1].d[1,2].Yd1]*Tr[d[1,1]]
          + 27/16*MatrixProduct[d[2,1].d[1,2].Yd1]*Tr[d[2,2]]
          - 1/4*MatrixProduct[d[2,1].d[1,2].Yd1]*Tr[l[1,1]]
          + 9/16*MatrixProduct[d[2,1].d[1,2].Yd1]*Tr[l[2,2]]
          + 6*MatrixProduct[d[2,1].d[1,2].Yd2]*lam[2,1,2,2]
          + 9/2*MatrixProduct[d[2,1].d[1,2].Yd2]*lam[1,1,2,1]
          + 27/16*MatrixProduct[d[2,1].d[1,2].Yd2]*Tr[u[2,1]]
          + 27/16*MatrixProduct[d[2,1].d[1,2].Yd2]*Tr[d[2,1]]
          + 9/16*MatrixProduct[d[2,1].d[1,2].Yd2]*Tr[l[2,1]]
          + 13/16*MatrixProduct[d[2,1].d[2,1].u[1,2].Yd2]
          - 35/8*MatrixProduct[d[2,1].d[2,1].d[1,2].Yd2]
          + 3/2*MatrixProduct[d[2,1].d[2,1].d[1,2].Yd2]*z3
          + 15/2*MatrixProduct[d[2,1].d[2,1].Yd1]*lam[1,2,1,2]
          + 6*MatrixProduct[d[2,1].d[2,1].Yd2]*lam[1,2,2,2]
          + 3*MatrixProduct[d[2,1].d[2,1].Yd2]*lam[1,1,1,2]
          + 3/16*MatrixProduct[d[2,1].d[2,1].Yd2]*Tr[u[1,2]]
          + 3/16*MatrixProduct[d[2,1].d[2,1].Yd2]*Tr[d[1,2]]
          + 1/16*MatrixProduct[d[2,1].d[2,1].Yd2]*Tr[l[1,2]]
          + 51/32*MatrixProduct[d[2,1].d[2,2].u[1,1].Yd2]
          - 5/16*MatrixProduct[d[2,1].d[2,2].u[1,2].Yd1]
          + 1/16*MatrixProduct[d[2,1].d[2,2].u[2,2].Yd2]
          - 45/32*MatrixProduct[d[2,1].d[2,2].d[1,1].Yd2]
          - 1/4*MatrixProduct[d[2,1].d[2,2].d[1,2].Yd1]
          - 33/32*MatrixProduct[d[2,1].d[2,2].d[2,2].Yd2]
          + 3/2*MatrixProduct[d[2,1].d[2,2].d[2,2].Yd2]*z3
          + 9/2*MatrixProduct[d[2,1].d[2,2].Yd1]*lam[1,2,2,2]
          + 9/4*MatrixProduct[d[2,1].d[2,2].Yd1]*lam[1,1,1,2]
          - 3/2*MatrixProduct[d[2,1].d[2,2].Yd1]*Tr[u[1,2]]
          - 3/2*MatrixProduct[d[2,1].d[2,2].Yd1]*Tr[d[1,2]]
          - 1/2*MatrixProduct[d[2,1].d[2,2].Yd1]*Tr[l[1,2]]
          + 7/4*MatrixProduct[d[2,1].d[2,2].Yd2]*lam[1,2,2,1]
          + 3*MatrixProduct[d[2,1].d[2,2].Yd2]*lam[2,2,2,2]
          + 7/2*MatrixProduct[d[2,1].d[2,2].Yd2]*lam[1,1,2,2]
          - 38/3*MatrixProduct[d[2,1].d[2,2].Yd2]*alpha3
          - 57/64*MatrixProduct[d[2,1].d[2,2].Yd2]*alpha2
          + 63/64*MatrixProduct[d[2,1].d[2,2].Yd2]*alpha2*Doub2
          - 9/4*MatrixProduct[d[2,1].d[2,2].Yd2]*alpha2*Doub2*z3
          + 4501/960*MatrixProduct[d[2,1].d[2,2].Yd2]*alpha1
          - 9/80*MatrixProduct[d[2,1].d[2,2].Yd2]*alpha1*z2
          - 1569/320*MatrixProduct[d[2,1].d[2,2].Yd2]*alpha1*Doub2
          + 3/20*MatrixProduct[d[2,1].d[2,2].Yd2]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[d[2,1].d[2,2].Yd2]*alpha1*Doub2*z2
          - 327/160*MatrixProduct[d[2,1].d[2,2].Yd2]*alpha1*Doub1
          + 327/160*MatrixProduct[d[2,1].d[2,2].Yd2]*alpha1*Doub1*Doub2
          + 15/16*MatrixProduct[d[2,1].d[2,2].Yd2]*Tr[u[2,2]]
          + 15/16*MatrixProduct[d[2,1].d[2,2].Yd2]*Tr[d[2,2]]
          + 5/16*MatrixProduct[d[2,1].d[2,2].Yd2]*Tr[l[2,2]]
          - 3/32*MatrixProduct[d[2,1].Yd1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 99/32*MatrixProduct[d[2,1].Yd1]*lam[1,2,2,2]*lam[2,2,2,2]
          + 45/32*MatrixProduct[d[2,1].Yd1]*lam[1,2,1,2]*lam[2,1,2,2]
          + 45/32*MatrixProduct[d[2,1].Yd1]*lam[1,1,2,2]*lam[1,2,2,2]
          + 141/32*MatrixProduct[d[2,1].Yd1]*lam[1,1,2,1]*lam[1,2,1,2]
          + 189/32*MatrixProduct[d[2,1].Yd1]*lam[1,1,1,2]*lam[1,2,2,1]
          + 141/32*MatrixProduct[d[2,1].Yd1]*lam[1,1,1,2]*lam[1,1,2,2]
          + 285/32*MatrixProduct[d[2,1].Yd1]*lam[1,1,1,1]*lam[1,1,1,2]
          + 4*MatrixProduct[d[2,1].Yd1]*alpha3*lam[1,1,1,2]
          + 3/8*MatrixProduct[d[2,1].Yd1]*alpha2*lam[1,1,1,2]
          - 45/8*MatrixProduct[d[2,1].Yd1]*alpha2*lam[1,1,1,2]*Doub2
          - 9*MatrixProduct[d[2,1].Yd1]*alpha2*lam[1,1,1,2]*Doub2*z3
          - 15/4*MatrixProduct[d[2,1].Yd1]*alpha2*lam[1,1,1,2]*Doub1
          - 63/8*MatrixProduct[d[2,1].Yd1]*alpha2*lam[1,1,1,2]*Doub1*Doub2
          + 9*MatrixProduct[d[2,1].Yd1]*alpha2*lam[1,1,1,2]*Doub1*Doub2*z3
          + 23/40*MatrixProduct[d[2,1].Yd1]*alpha1*lam[1,1,1,2]
          - 9/8*MatrixProduct[d[2,1].Yd1]*alpha1*lam[1,1,1,2]*Doub2
          - 27/10*MatrixProduct[d[2,1].Yd1]*alpha1*lam[1,1,1,2]*Doub2*z3
          - 9/20*MatrixProduct[d[2,1].Yd1]*alpha1*lam[1,1,1,2]*Doub1
          - 99/40*MatrixProduct[d[2,1].Yd1]*alpha1*lam[1,1,1,2]*Doub1*Doub2
          + 27/10*MatrixProduct[d[2,1].Yd1]*alpha1*lam[1,1,1,2]*Doub1*Doub2*
         z3
          + 9*MatrixProduct[d[2,1].Yd1]*Tr[u[1,1]]*lam[1,1,1,2]
          - 81/16*MatrixProduct[d[2,1].Yd1]*Tr[u[1,1]]*Tr[u[1,2]]
          - 81/16*MatrixProduct[d[2,1].Yd1]*Tr[u[1,1]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[d[2,1].Yd1]*Tr[u[1,1]]*Tr[l[1,2]]
          + 27/2*MatrixProduct[d[2,1].Yd1]*Tr[u[1,1].u[1,2]]
          + 9/2*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*lam[1,1,2,2]
          + 27/2*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*lam[1,1,1,1]
          - 177/4*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha3
          + 36*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha3*z3
          + 2763/32*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha2
          - 54*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha2*z3
          - 3879/128*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha2*Doub2
          + 81/4*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha2*Doub2*z3
          - 4437/128*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha2*Doub1
          + 81/4*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha2*Doub1*z3
          - 63/2*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          + 669/20*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha1
          - 54/5*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha1*z3
          - 11193/640*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha1*Doub2
          + 27/5*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha1*Doub2*z3
          - 12483/640*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha1*Doub1
          + 27/5*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha1*Doub1*z3
          - 729/160*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          - 81/16*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*Tr[u[2,2]]
          - 81/16*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*Tr[d[1,1]]
          - 81/16*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*Tr[d[2,2]]
          - 27/16*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*Tr[l[1,1]]
          - 27/16*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2].u[2,2]]
          + 27/2*MatrixProduct[d[2,1].Yd1]*Tr[u[2,2]]*lam[1,1,1,2]
          - 81/16*MatrixProduct[d[2,1].Yd1]*Tr[u[2,2]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[d[2,1].Yd1]*Tr[u[2,2]]*Tr[l[1,2]]
          + 9*MatrixProduct[d[2,1].Yd1]*Tr[d[1,1]]*lam[1,1,1,2]
          - 81/16*MatrixProduct[d[2,1].Yd1]*Tr[d[1,1]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[d[2,1].Yd1]*Tr[d[1,1]]*Tr[l[1,2]]
          + 27/2*MatrixProduct[d[2,1].Yd1]*Tr[d[1,1].d[1,2]]
          + 9/2*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*lam[1,1,2,2]
          + 27/2*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*lam[1,1,1,1]
          - 177/4*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha3
          + 36*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha3*z3
          + 2763/32*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha2
          - 54*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha2*z3
          - 3879/128*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha2*Doub2
          + 81/4*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha2*Doub2*z3
          - 4437/128*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha2*Doub1
          + 81/4*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha2*Doub1*z3
          - 63/2*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          + 741/20*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha1
          - 27/2*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha1*z3
          - 11193/640*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha1*Doub2
          + 27/5*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha1*Doub2*z3
          - 12483/640*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha1*Doub1
          + 27/5*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha1*Doub1*z3
          - 729/160*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          - 81/16*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*Tr[d[2,2]]
          - 27/16*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*Tr[l[1,1]]
          - 27/16*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2].d[2,2]]
          + 27/2*MatrixProduct[d[2,1].Yd1]*Tr[d[2,2]]*lam[1,1,1,2]
          - 27/16*MatrixProduct[d[2,1].Yd1]*Tr[d[2,2]]*Tr[l[1,2]]
          + 3*MatrixProduct[d[2,1].Yd1]*Tr[l[1,1]]*lam[1,1,1,2]
          - 9/16*MatrixProduct[d[2,1].Yd1]*Tr[l[1,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[d[2,1].Yd1]*Tr[l[1,1].l[1,2]]
          + 3/2*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*lam[1,1,1,1]
          + 5/4*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha3
          + 921/32*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha2
          - 18*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha2*z3
          - 1293/128*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha2*Doub2
          + 27/4*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha2*Doub2*z3
          - 1479/128*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha2*Doub1
          + 27/4*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha2*Doub1*z3
          - 21/2*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          + 167/20*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha1
          - 3/2*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha1*z3
          - 3731/640*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha1*Doub2
          + 9/5*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha1*Doub2*z3
          - 4161/640*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha1*Doub1
          + 9/5*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha1*Doub1*z3
          - 243/160*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          - 9/16*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2].l[2,2]]
          + 9/2*MatrixProduct[d[2,1].Yd1]*Tr[l[2,2]]*lam[1,1,1,2]
          + 21/8*MatrixProduct[d[2,1].Yd2]*lam[1,2,2,1]^2
          + 3/2*MatrixProduct[d[2,1].Yd2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 33/16*MatrixProduct[d[2,1].Yd2]*lam[2,2,2,2]^2
          + 21/16*MatrixProduct[d[2,1].Yd2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 15/16*MatrixProduct[d[2,1].Yd2]*lam[1,2,1,2]*lam[2,1,2,1]
          + 21/8*MatrixProduct[d[2,1].Yd2]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3*MatrixProduct[d[2,1].Yd2]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/8*MatrixProduct[d[2,1].Yd2]*lam[1,1,2,2]^2
          + 9/2*MatrixProduct[d[2,1].Yd2]*lam[1,1,2,1]*lam[1,2,2,2]
          + 9/2*MatrixProduct[d[2,1].Yd2]*lam[1,1,1,2]*lam[2,1,2,2]
          + 87/16*MatrixProduct[d[2,1].Yd2]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[d[2,1].Yd2]*lam[1,1,1,1]*lam[1,2,2,1]
          + 3*MatrixProduct[d[2,1].Yd2]*lam[1,1,1,1]*lam[1,1,2,2]
          + 4/3*MatrixProduct[d[2,1].Yd2]*alpha3*lam[1,2,2,1]
          + 8/3*MatrixProduct[d[2,1].Yd2]*alpha3*lam[1,1,2,2]
          + 2779/18*MatrixProduct[d[2,1].Yd2]*alpha3^2
          - 68*MatrixProduct[d[2,1].Yd2]*alpha3^2*z3
          - 22/3*MatrixProduct[d[2,1].Yd2]*alpha3^2*Ng
          + 9/8*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,2,2,1]
          - 45/8*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,2,2,1]*Doub2
          - 9/2*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,2,2,1]*Doub2*z3
          + 15/8*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1
          - 9/4*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1*z3
          - 3*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 27/4*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1*Doub2*
         z3
          - 3/4*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,1,2,2]
          - 45/4*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,1,2,2]*Doub2
          + 3/4*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,1,2,2]*Doub1
          - 57/2*MatrixProduct[d[2,1].Yd2]*alpha2*alpha3
          + 36*MatrixProduct[d[2,1].Yd2]*alpha2*alpha3*z3
          + MatrixProduct[d[2,1].Yd2]*alpha2*alpha3*Doub2
          - 477/64*MatrixProduct[d[2,1].Yd2]*alpha2^2
          + 9*MatrixProduct[d[2,1].Yd2]*alpha2^2*z3
          + 3/16*MatrixProduct[d[2,1].Yd2]*alpha2^2*Ng
          + 10473/256*MatrixProduct[d[2,1].Yd2]*alpha2^2*Doub2
          - 45/8*MatrixProduct[d[2,1].Yd2]*alpha2^2*Doub2*z3
          - 21/4*MatrixProduct[d[2,1].Yd2]*alpha2^2*Doub2*Ng
          + 561/128*MatrixProduct[d[2,1].Yd2]*alpha2^2*Doub1
          - 9/4*MatrixProduct[d[2,1].Yd2]*alpha2^2*Doub1*z3
          - 267/64*MatrixProduct[d[2,1].Yd2]*alpha2^2*Doub1*Doub2
          - 27/8*MatrixProduct[d[2,1].Yd2]*alpha2^2*Doub1*Doub2*z3
          + 23/120*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,2,2,1]
          - 21/40*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,2,2,1]*Doub2
          - 9/10*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,2,2,1]*Doub2*z3
          - 9/40*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,2,2,1]*Doub1
          - 9/20*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 3/5*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/20*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,2,2,1]*Doub1*Doub2*
         z3
          + 23/60*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,1,2,2]
          - 21/20*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,1,2,2]*Doub2
          - 9/5*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,1,2,2]*Doub2*z3
          - 9/20*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,1,2,2]*Doub1
          - 9/10*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,1,2,2]*Doub1*z3
          - 6/5*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          + 27/10*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 359/45*MatrixProduct[d[2,1].Yd2]*alpha1*alpha3
          - 4/5*MatrixProduct[d[2,1].Yd2]*alpha1*alpha3*z3
          - 9/5*MatrixProduct[d[2,1].Yd2]*alpha1*alpha3*z2
          + 229/30*MatrixProduct[d[2,1].Yd2]*alpha1*alpha3*Doub2
          + 24/5*MatrixProduct[d[2,1].Yd2]*alpha1*alpha3*Doub2*z3
          + 9/5*MatrixProduct[d[2,1].Yd2]*alpha1*alpha3*Doub2*z2
          - 47/10*MatrixProduct[d[2,1].Yd2]*alpha1*alpha3*Doub1
          + 18/5*MatrixProduct[d[2,1].Yd2]*alpha1*alpha3*Doub1*z3
          + 9/10*MatrixProduct[d[2,1].Yd2]*alpha1*alpha3*Doub1*z2
          + 47/10*MatrixProduct[d[2,1].Yd2]*alpha1*alpha3*Doub1*Doub2
          - 18/5*MatrixProduct[d[2,1].Yd2]*alpha1*alpha3*Doub1*Doub2*z3
          - 9/10*MatrixProduct[d[2,1].Yd2]*alpha1*alpha3*Doub1*Doub2*z2
          + 9/32*MatrixProduct[d[2,1].Yd2]*alpha1*alpha2
          + 27/160*MatrixProduct[d[2,1].Yd2]*alpha1*alpha2*z2
          + 587/640*MatrixProduct[d[2,1].Yd2]*alpha1*alpha2*Doub2
          + 27/20*MatrixProduct[d[2,1].Yd2]*alpha1*alpha2*Doub2*z3
          - 27/160*MatrixProduct[d[2,1].Yd2]*alpha1*alpha2*Doub2*z2
          + 3681/640*MatrixProduct[d[2,1].Yd2]*alpha1*alpha2*Doub1
          - 27/40*MatrixProduct[d[2,1].Yd2]*alpha1*alpha2*Doub1*z3
          - 27/320*MatrixProduct[d[2,1].Yd2]*alpha1*alpha2*Doub1*z2
          - 3969/640*MatrixProduct[d[2,1].Yd2]*alpha1*alpha2*Doub1*
         Doub2
          + 27/40*MatrixProduct[d[2,1].Yd2]*alpha1*alpha2*Doub1*Doub2*
         z3
          + 27/320*MatrixProduct[d[2,1].Yd2]*alpha1*alpha2*Doub1*Doub2*
         z2
          - 1267/14400*MatrixProduct[d[2,1].Yd2]*alpha1^2
          + 4/25*MatrixProduct[d[2,1].Yd2]*alpha1^2*z3
          + 63/800*MatrixProduct[d[2,1].Yd2]*alpha1^2*z2
          + 869/240*MatrixProduct[d[2,1].Yd2]*alpha1^2*Ng
          + 223/3840*MatrixProduct[d[2,1].Yd2]*alpha1^2*Doub2
          + 3/200*MatrixProduct[d[2,1].Yd2]*alpha1^2*Doub2*z3
          - 63/800*MatrixProduct[d[2,1].Yd2]*alpha1^2*Doub2*z2
          - 9/2*MatrixProduct[d[2,1].Yd2]*alpha1^2*Doub2*Ng
          + 1747/800*MatrixProduct[d[2,1].Yd2]*alpha1^2*Doub1
          - 147/200*MatrixProduct[d[2,1].Yd2]*alpha1^2*Doub1*z3
          - 63/1600*MatrixProduct[d[2,1].Yd2]*alpha1^2*Doub1*z2
          - 8227/3200*MatrixProduct[d[2,1].Yd2]*alpha1^2*Doub1*Doub2
          + 27/50*MatrixProduct[d[2,1].Yd2]*alpha1^2*Doub1*Doub2*z3
          + 63/1600*MatrixProduct[d[2,1].Yd2]*alpha1^2*Doub1*Doub2*z2
          + 3/2*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1]]*lam[1,2,2,1]
          + 3*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1]]*lam[1,1,2,2]
          + 99/10*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1]]*alpha1
          - 27/40*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1]]*alpha1*z2
          - 9*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1]]*alpha1*Doub2
          + 27/40*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1]]*alpha1*Doub2*z2
          - 99/10*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1]]*alpha1*Doub1*z2
          + 9*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1]]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 3*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1].u[2,2]]
          - 3*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1].d[2,2]]*z3
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*lam[2,1,2,2]
          + 27/2*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*lam[1,1,2,1]
          - 27/8*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/8*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2].u[2,1]]
          + 3*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2].d[2,1]]
          - 9*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2].d[2,1]]*z3
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[u[2,1]]*lam[1,1,1,2]
          - 27/8*MatrixProduct[d[2,1].Yd2]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[d[2,1].Yd2]*Tr[u[2,1]]*Tr[l[1,2]]
          + 3*MatrixProduct[d[2,1].Yd2]*Tr[u[2,1].d[1,2]]
          - 9*MatrixProduct[d[2,1].Yd2]*Tr[u[2,1].d[1,2]]*z3
          + 6*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*lam[1,2,2,1]
          + 12*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*lam[1,1,2,2]
          - 59/2*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*alpha3
          + 24*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*alpha3*z3
          + 1107/16*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*alpha2
          - 54*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*alpha2*z3
          - 2385/32*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*alpha2*Doub2
          + 81/2*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*alpha2*Doub2*z3
          + 721/40*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*alpha1
          - 51/10*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*alpha1*z3
          - 735/32*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*alpha1*Doub2
          + 27/5*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*alpha1*Doub2*z3
          - 63/16*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*alpha1*Doub1
          + 63/16*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2
          - 27/8*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]^2
          - 27/4*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*Tr[d[2,2]]
          - 9/4*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*Tr[l[2,2]]
          + 9*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2].u[2,2]]
          - 3*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2].d[1,1]]*z3
          + 3/2*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1]]*lam[1,2,2,1]
          + 3*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1]]*lam[1,1,2,2]
          + 99/10*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1]]*alpha1
          - 27/40*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1]]*alpha1*z2
          - 9*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1]]*alpha1*Doub2
          + 27/40*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1]]*alpha1*Doub2*z2
          - 99/10*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1]]*alpha1*Doub1*z2
          + 9*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1]]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 3*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1].d[2,2]]
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*lam[2,1,2,2]
          + 27/2*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*lam[1,1,2,1]
          - 27/8*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2].d[2,1]]
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[d[2,1]]*lam[1,1,1,2]
          - 9/8*MatrixProduct[d[2,1].Yd2]*Tr[d[2,1]]*Tr[l[1,2]]
          + 6*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*lam[1,2,2,1]
          + 12*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*lam[1,1,2,2]
          - 59/2*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*alpha3
          + 24*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*alpha3*z3
          + 1107/16*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*alpha2
          - 54*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*alpha2*z3
          - 2385/32*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*alpha2*Doub2
          + 81/2*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*alpha2*Doub2*z3
          + 817/40*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*alpha1
          - 69/10*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*alpha1*z3
          - 735/32*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*alpha1*Doub2
          + 27/5*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*alpha1*Doub2*z3
          - 63/16*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*alpha1*Doub1
          + 63/16*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/8*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]^2
          - 9/4*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*Tr[l[2,2]]
          + 9*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2].d[2,2]]
          + 1/2*MatrixProduct[d[2,1].Yd2]*Tr[l[1,1]]*lam[1,2,2,1]
          + MatrixProduct[d[2,1].Yd2]*Tr[l[1,1]]*lam[1,1,2,2]
          + 33/10*MatrixProduct[d[2,1].Yd2]*Tr[l[1,1]]*alpha1
          - 9/40*MatrixProduct[d[2,1].Yd2]*Tr[l[1,1]]*alpha1*z2
          - 3*MatrixProduct[d[2,1].Yd2]*Tr[l[1,1]]*alpha1*Doub2
          + 9/40*MatrixProduct[d[2,1].Yd2]*Tr[l[1,1]]*alpha1*Doub2*z2
          - 33/10*MatrixProduct[d[2,1].Yd2]*Tr[l[1,1]]*alpha1*Doub1
          + 9/40*MatrixProduct[d[2,1].Yd2]*Tr[l[1,1]]*alpha1*Doub1*z2
          + 3*MatrixProduct[d[2,1].Yd2]*Tr[l[1,1]]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[d[2,1].Yd2]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2*z2
          + MatrixProduct[d[2,1].Yd2]*Tr[l[1,1].l[2,2]]
          + 3/2*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*lam[2,1,2,2]
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*lam[1,1,2,1]
          - 3/8*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*Tr[l[2,1]]
          + 2*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2].l[2,1]]
          + 3/2*MatrixProduct[d[2,1].Yd2]*Tr[l[2,1]]*lam[1,1,1,2]
          + 2*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]*lam[1,2,2,1]
          + 4*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]*lam[1,1,2,2]
          + 5/6*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]*alpha3
          + 369/16*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]*alpha2
          - 18*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]*alpha2*z3
          - 795/32*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]*alpha2*Doub2*z3
          + 497/120*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]*alpha1
          - 3/10*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]*alpha1*z3
          - 245/32*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]*alpha1*Doub2
          + 9/5*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]*alpha1*Doub2*z3
          - 21/16*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]*alpha1*Doub1
          + 21/16*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2
          - 3/8*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]^2
          + 3*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2].l[2,2]]
          - 7/4*MatrixProduct[d[2,2].u[1,1].u[2,1].Yd2]
          + 6*MatrixProduct[d[2,2].u[1,1].u[2,1].Yd2]*z3
          - 17/8*MatrixProduct[d[2,2].u[1,1].u[2,2].Yd1]
          + 3/4*MatrixProduct[d[2,2].u[1,1].d[2,1].Yd2]
          - 15/16*MatrixProduct[d[2,2].u[1,1].d[2,2].Yd1]
          + 3*MatrixProduct[d[2,2].u[1,1].d[2,2].Yd1]*z3
          + 5/2*MatrixProduct[d[2,2].u[1,1].Yd1]*lam[1,2,2,1]
          - 1/4*MatrixProduct[d[2,2].u[1,1].Yd1]*lam[1,1,2,2]
          + 6*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha3
          - 159/32*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha2
          + 27/4*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha2*z3
          - 9/64*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha2*z2
          + 75/16*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha2*Doub2
          - 27/4*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha2*Doub2*z2
          - 261/32*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha2*Doub1
          + 27/8*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha2*Doub1*z2
          + 135/16*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha2*Doub1*Doub2
          - 27/8*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha2*Doub1*Doub2*z2
          - 413/160*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha1
          - 9/20*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha1*z3
          + 9/320*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha1*z2
          + 45/16*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha1*Doub2
          + 9/20*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha1*Doub2*z2
          + 93/160*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha1*Doub1
          - 27/40*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha1*Doub1*z2
          - 39/40*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha1*Doub1*Doub2
          + 27/40*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha1*Doub1*Doub2*
         z3
          + 9/320*MatrixProduct[d[2,2].u[1,1].Yd1]*alpha1*Doub1*Doub2*
         z2
          + 3/4*MatrixProduct[d[2,2].u[1,1].Yd2]*lam[2,1,2,2]
          + 3*MatrixProduct[d[2,2].u[1,1].Yd2]*lam[1,1,2,1]
          + 9/2*MatrixProduct[d[2,2].u[1,1].Yd2]*Tr[u[2,1]]
          + 9/2*MatrixProduct[d[2,2].u[1,1].Yd2]*Tr[d[2,1]]
          + 3/2*MatrixProduct[d[2,2].u[1,1].Yd2]*Tr[l[2,1]]
          - 1/2*MatrixProduct[d[2,2].u[1,2].u[2,1].Yd1]
          + 29/16*MatrixProduct[d[2,2].u[1,2].d[2,1].Yd1]
          - 3*MatrixProduct[d[2,2].u[1,2].d[2,1].Yd1]*z3
          + 3/2*MatrixProduct[d[2,2].u[1,2].Yd1]*lam[2,1,2,2]
          - 9/2*MatrixProduct[d[2,2].u[1,2].Yd1]*lam[1,1,2,1]
          + 9/32*MatrixProduct[d[2,2].u[1,2].Yd1]*Tr[u[2,1]]
          + 9/32*MatrixProduct[d[2,2].u[1,2].Yd1]*Tr[d[2,1]]
          + 3/32*MatrixProduct[d[2,2].u[1,2].Yd1]*Tr[l[2,1]]
          - 3/2*MatrixProduct[d[2,2].u[1,2].Yd2]*lam[2,1,2,1]
          - 9/4*MatrixProduct[d[2,2].u[2,1].u[1,1].Yd2]
          + 29/32*MatrixProduct[d[2,2].u[2,1].u[1,2].Yd1]
          - 15/4*MatrixProduct[d[2,2].u[2,1].u[2,2].Yd2]
          + 6*MatrixProduct[d[2,2].u[2,1].u[2,2].Yd2]*z3
          + 3/4*MatrixProduct[d[2,2].u[2,1].d[1,1].Yd2]
          + 1/4*MatrixProduct[d[2,2].u[2,1].d[1,2].Yd1]
          - 1/4*MatrixProduct[d[2,2].u[2,1].d[2,2].Yd2]
          + 3*MatrixProduct[d[2,2].u[2,1].d[2,2].Yd2]*z3
          - 135/32*MatrixProduct[d[2,2].u[2,1].Yd1]*Tr[u[1,2]]
          - 135/32*MatrixProduct[d[2,2].u[2,1].Yd1]*Tr[d[1,2]]
          - 45/32*MatrixProduct[d[2,2].u[2,1].Yd1]*Tr[l[1,2]]
          + 7/2*MatrixProduct[d[2,2].u[2,1].Yd2]*lam[1,2,2,1]
          + MatrixProduct[d[2,2].u[2,1].Yd2]*lam[1,1,2,2]
          - 4/3*MatrixProduct[d[2,2].u[2,1].Yd2]*alpha3
          + 16*MatrixProduct[d[2,2].u[2,1].Yd2]*alpha3*z3
          - 27/4*MatrixProduct[d[2,2].u[2,1].Yd2]*alpha2
          - 9/4*MatrixProduct[d[2,2].u[2,1].Yd2]*alpha2*z3
          + 21/2*MatrixProduct[d[2,2].u[2,1].Yd2]*alpha2*Doub2
          - 9/4*MatrixProduct[d[2,2].u[2,1].Yd2]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[d[2,2].u[2,1].Yd2]*alpha2*Doub1
          - 27/16*MatrixProduct[d[2,2].u[2,1].Yd2]*alpha2*Doub1*Doub2
          - 25/6*MatrixProduct[d[2,2].u[2,1].Yd2]*alpha1
          - 29/20*MatrixProduct[d[2,2].u[2,1].Yd2]*alpha1*z3
          + 109/20*MatrixProduct[d[2,2].u[2,1].Yd2]*alpha1*Doub2
          - 9/20*MatrixProduct[d[2,2].u[2,1].Yd2]*alpha1*Doub2*z3
          + 3/80*MatrixProduct[d[2,2].u[2,1].Yd2]*alpha1*Doub1
          - 3/80*MatrixProduct[d[2,2].u[2,1].Yd2]*alpha1*Doub1*Doub2
          - 7/4*MatrixProduct[d[2,2].u[2,2].u[2,1].Yd2]
          - 7/32*MatrixProduct[d[2,2].u[2,2].u[2,2].Yd1]
          + 9/4*MatrixProduct[d[2,2].u[2,2].d[2,1].Yd2]
          - 3*MatrixProduct[d[2,2].u[2,2].d[2,1].Yd2]*z3
          + 5/8*MatrixProduct[d[2,2].u[2,2].d[2,2].Yd1]
          - 3*MatrixProduct[d[2,2].u[2,2].Yd1]*lam[1,2,2,1]
          - 3/4*MatrixProduct[d[2,2].u[2,2].Yd1]*lam[1,1,2,2]
          + 16/3*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha3
          - 4*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha3*z3
          + 453/64*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha2
          - 45/64*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha2*z2
          - 183/32*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha2*Doub2
          - 9/8*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha2*Doub2*z3
          + 45/64*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha2*Doub2*z2
          - 81/16*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha2*Doub1
          + 9/16*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha2*Doub1*z2
          + 81/16*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha2*Doub1*Doub2
          - 9/16*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha2*Doub1*Doub2*z2
          + 1873/960*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha1
          + 2/5*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha1*z3
          + 9/320*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha1*z2
          - 437/160*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha1*Doub2
          + 9/40*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha1*Doub2*z2
          - 63/160*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha1*Doub1
          + 63/160*MatrixProduct[d[2,2].u[2,2].Yd1]*alpha1*Doub1*Doub2
          + 9/16*MatrixProduct[d[2,2].u[2,2].Yd1]*Tr[u[2,2]]
          + 9/16*MatrixProduct[d[2,2].u[2,2].Yd1]*Tr[d[2,2]]
          + 3/16*MatrixProduct[d[2,2].u[2,2].Yd1]*Tr[l[2,2]]
          + 3/4*MatrixProduct[d[2,2].u[2,2].Yd2]*lam[2,1,2,2]
          + 7/4*MatrixProduct[d[2,2].d[1,1].u[2,1].Yd2]
          - 3*MatrixProduct[d[2,2].d[1,1].u[2,1].Yd2]*z3
          - 9/8*MatrixProduct[d[2,2].d[1,1].u[2,2].Yd1]
          + 3*MatrixProduct[d[2,2].d[1,1].u[2,2].Yd1]*z3
          - 9/4*MatrixProduct[d[2,2].d[1,1].d[2,1].Yd2]
          - 31/16*MatrixProduct[d[2,2].d[1,1].d[2,2].Yd1]
          + 5/2*MatrixProduct[d[2,2].d[1,1].Yd1]*lam[1,2,2,1]
          + 11/4*MatrixProduct[d[2,2].d[1,1].Yd1]*lam[1,1,2,2]
          - 10*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha3
          + 81/32*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha2
          - 9/64*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha2*z2
          - 45/16*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha2*Doub2
          + 9/64*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha2*Doub2*z2
          - 129/32*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha2*Doub1
          + 9/64*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha2*Doub1*z2
          + 69/16*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha2*Doub1*Doub2
          - 9/64*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha2*Doub1*Doub2*z2
          + 1493/160*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha1
          - 153/320*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha1*z2
          - 119/10*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha1*Doub2
          + 27/20*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha1*Doub2*z3
          + 153/320*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha1*Doub2*z2
          - 295/32*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha1*Doub1
          + 27/20*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha1*Doub1*z3
          + 153/320*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha1*Doub1*z2
          + 957/80*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha1*Doub1*Doub2
          - 27/10*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha1*Doub1*Doub2*
         z3
          - 153/320*MatrixProduct[d[2,2].d[1,1].Yd1]*alpha1*Doub1*Doub2
         *z2
          + 15/4*MatrixProduct[d[2,2].d[1,1].Yd2]*lam[2,1,2,2]
          + 3*MatrixProduct[d[2,2].d[1,1].Yd2]*lam[1,1,2,1]
          - 3/2*MatrixProduct[d[2,2].d[1,1].Yd2]*Tr[u[2,1]]
          - 3/2*MatrixProduct[d[2,2].d[1,1].Yd2]*Tr[d[2,1]]
          - 1/2*MatrixProduct[d[2,2].d[1,1].Yd2]*Tr[l[2,1]]
          + 45/32*MatrixProduct[d[2,2].d[1,2].u[2,1].Yd1]
          - 13/16*MatrixProduct[d[2,2].d[1,2].d[2,1].Yd1]
          + 3/2*MatrixProduct[d[2,2].d[1,2].Yd1]*lam[2,1,2,2]
          + 3/2*MatrixProduct[d[2,2].d[1,2].Yd1]*lam[1,1,2,1]
          - 3/4*MatrixProduct[d[2,2].d[1,2].Yd1]*Tr[u[2,1]]
          - 3/4*MatrixProduct[d[2,2].d[1,2].Yd1]*Tr[d[2,1]]
          - 1/4*MatrixProduct[d[2,2].d[1,2].Yd1]*Tr[l[2,1]]
          + 9/2*MatrixProduct[d[2,2].d[1,2].Yd2]*lam[2,1,2,1]
          + 3/4*MatrixProduct[d[2,2].d[2,1].u[1,1].Yd2]
          - 1/2*MatrixProduct[d[2,2].d[2,1].u[1,2].Yd1]
          - 1/4*MatrixProduct[d[2,2].d[2,1].u[2,2].Yd2]
          - 17/4*MatrixProduct[d[2,2].d[2,1].d[1,1].Yd2]
          - 1/2*MatrixProduct[d[2,2].d[2,1].d[1,2].Yd1]
          + 3/4*MatrixProduct[d[2,2].d[2,1].d[1,2].Yd1]*z3
          - 15/4*MatrixProduct[d[2,2].d[2,1].d[2,2].Yd2]
          + 9/2*MatrixProduct[d[2,2].d[2,1].Yd1]*lam[1,2,2,2]
          + 3*MatrixProduct[d[2,2].d[2,1].Yd1]*lam[1,1,1,2]
          + 3/16*MatrixProduct[d[2,2].d[2,1].Yd1]*Tr[u[1,2]]
          + 3/16*MatrixProduct[d[2,2].d[2,1].Yd1]*Tr[d[1,2]]
          + 1/16*MatrixProduct[d[2,2].d[2,1].Yd1]*Tr[l[1,2]]
          + 4*MatrixProduct[d[2,2].d[2,1].Yd2]*lam[1,2,2,1]
          + 3*MatrixProduct[d[2,2].d[2,1].Yd2]*lam[2,2,2,2]
          + 2*MatrixProduct[d[2,2].d[2,1].Yd2]*lam[1,1,2,2]
          - 56/3*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha3
          - 9/2*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha2
          + 27/2*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha2*z3
          + 15/4*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha2*Doub2
          - 27/2*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha2*Doub2*z3
          + 3*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha2*Doub1
          - 9/2*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha2*Doub1*z3
          - 3*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha2*Doub1*Doub2
          + 9/2*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha2*Doub1*Doub2*z3
          + 221/30*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha1
          + 27/10*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha1*z3
          - 9/20*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha1*z2
          - 141/20*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha1*Doub2
          - 27/10*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha1*Doub2*z3
          + 9/20*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha1*Doub2*z2
          + 3/5*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha1*Doub1
          - 9/10*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha1*Doub1*z3
          - 3/5*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha1*Doub1*Doub2
          + 9/10*MatrixProduct[d[2,2].d[2,1].Yd2]*alpha1*Doub1*Doub2*z3
          - 3*MatrixProduct[d[2,2].d[2,1].Yd2]*Tr[u[2,2]]
          - 3*MatrixProduct[d[2,2].d[2,1].Yd2]*Tr[d[2,2]]
          - MatrixProduct[d[2,2].d[2,1].Yd2]*Tr[l[2,2]]
          + 11/4*MatrixProduct[d[2,2].d[2,2].u[2,1].Yd2]
          - 7/32*MatrixProduct[d[2,2].d[2,2].u[2,2].Yd1]
          - 21/4*MatrixProduct[d[2,2].d[2,2].d[2,1].Yd2]
          - 3/4*MatrixProduct[d[2,2].d[2,2].d[2,2].Yd1]
          + 3/4*MatrixProduct[d[2,2].d[2,2].d[2,2].Yd1]*z3
          + 5/2*MatrixProduct[d[2,2].d[2,2].Yd1]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,2].d[2,2].Yd1]*lam[2,2,2,2]
          + 11/4*MatrixProduct[d[2,2].d[2,2].Yd1]*lam[1,1,2,2]
          - 20/3*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha3
          + 15/8*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha2
          + 9/64*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha2*z2
          - 147/32*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha2*Doub2
          + 9/4*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha2*Doub2*z3
          - 9/64*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha2*Doub2*z2
          - 45/64*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha2*Doub1
          - 9/32*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha2*Doub1*z2
          + 45/64*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha2*Doub1*Doub2
          + 9/32*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha2*Doub1*Doub2*z2
          + 3559/960*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha1
          - 9/320*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha1*z2
          - 255/64*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha1*Doub2
          - 3/20*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha1*Doub2*z2
          - 21/16*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha1*Doub1
          + 21/16*MatrixProduct[d[2,2].d[2,2].Yd1]*alpha1*Doub1*Doub2
          + 15/16*MatrixProduct[d[2,2].d[2,2].Yd1]*Tr[u[2,2]]
          + 15/16*MatrixProduct[d[2,2].d[2,2].Yd1]*Tr[d[2,2]]
          + 5/16*MatrixProduct[d[2,2].d[2,2].Yd1]*Tr[l[2,2]]
          + 33/4*MatrixProduct[d[2,2].d[2,2].Yd2]*lam[2,1,2,2]
          + 45/16*MatrixProduct[d[2,2].Yd1]*lam[1,2,2,1]^2
          + 3/2*MatrixProduct[d[2,2].Yd1]*lam[2,2,2,2]*lam[1,2,2,1]
          - 33/32*MatrixProduct[d[2,2].Yd1]*lam[2,2,2,2]^2
          + 189/32*MatrixProduct[d[2,2].Yd1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 111/32*MatrixProduct[d[2,2].Yd1]*lam[1,2,1,2]*lam[2,1,2,1]
          + 117/16*MatrixProduct[d[2,2].Yd1]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,2].Yd1]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/16*MatrixProduct[d[2,2].Yd1]*lam[1,1,2,2]^2
          + 3*MatrixProduct[d[2,2].Yd1]*lam[1,1,2,1]*lam[1,2,2,2]
          + 3*MatrixProduct[d[2,2].Yd1]*lam[1,1,1,2]*lam[2,1,2,2]
          + 255/32*MatrixProduct[d[2,2].Yd1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[d[2,2].Yd1]*lam[1,1,1,1]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,2].Yd1]*lam[1,1,1,1]*lam[1,1,2,2]
          + 8/3*MatrixProduct[d[2,2].Yd1]*alpha3*lam[1,2,2,1]
          + 4/3*MatrixProduct[d[2,2].Yd1]*alpha3*lam[1,1,2,2]
          + 2779/36*MatrixProduct[d[2,2].Yd1]*alpha3^2
          - 34*MatrixProduct[d[2,2].Yd1]*alpha3^2*z3
          - 11/3*MatrixProduct[d[2,2].Yd1]*alpha3^2*Ng
          - 3/4*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,2,2,1]
          - 3*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,2,2,1]*Doub2
          - 9/2*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,2,2,1]*Doub2*z3
          - 6*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,2,2,1]*Doub1
          - 3/2*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 9/2*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,2,2,1]*Doub1*Doub2*z3
          + 9/8*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,1,2,2]
          - 9/8*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,1,2,2]*Doub2
          - 9/2*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,1,2,2]*Doub2*z3
          - 21/8*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,1,2,2]*Doub1
          - 9/4*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,1,2,2]*Doub1*z3
          - 3*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,1,2,2]*Doub1*Doub2
          + 27/4*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 127/4*MatrixProduct[d[2,2].Yd1]*alpha2*alpha3
          - 9/4*MatrixProduct[d[2,2].Yd1]*alpha2*alpha3*z2
          + 291/8*MatrixProduct[d[2,2].Yd1]*alpha2*alpha3*Doub2
          + 9/4*MatrixProduct[d[2,2].Yd1]*alpha2*alpha3*Doub2*z2
          - 47/4*MatrixProduct[d[2,2].Yd1]*alpha2*alpha3*Doub1
          + 9*MatrixProduct[d[2,2].Yd1]*alpha2*alpha3*Doub1*z3
          + 9/4*MatrixProduct[d[2,2].Yd1]*alpha2*alpha3*Doub1*z2
          + 47/4*MatrixProduct[d[2,2].Yd1]*alpha2*alpha3*Doub1*Doub2
          - 9*MatrixProduct[d[2,2].Yd1]*alpha2*alpha3*Doub1*Doub2*z3
          - 9/4*MatrixProduct[d[2,2].Yd1]*alpha2*alpha3*Doub1*Doub2*z2
          - 15183/256*MatrixProduct[d[2,2].Yd1]*alpha2^2
          + 81/4*MatrixProduct[d[2,2].Yd1]*alpha2^2*z3
          + 63/128*MatrixProduct[d[2,2].Yd1]*alpha2^2*z2
          + 135/32*MatrixProduct[d[2,2].Yd1]*alpha2^2*Ng
          + 38037/512*MatrixProduct[d[2,2].Yd1]*alpha2^2*Doub2
          - 207/8*MatrixProduct[d[2,2].Yd1]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[d[2,2].Yd1]*alpha2^2*Doub2*z2
          - 99/16*MatrixProduct[d[2,2].Yd1]*alpha2^2*Doub2*Ng
          + 2403/64*MatrixProduct[d[2,2].Yd1]*alpha2^2*Doub1
          - 135/8*MatrixProduct[d[2,2].Yd1]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[d[2,2].Yd1]*alpha2^2*Doub1*z2
          - 10023/256*MatrixProduct[d[2,2].Yd1]*alpha2^2*Doub1*Doub2
          + 261/16*MatrixProduct[d[2,2].Yd1]*alpha2^2*Doub1*Doub2*z3
          + 63/128*MatrixProduct[d[2,2].Yd1]*alpha2^2*Doub1*Doub2*z2
          + 23/60*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,2,2,1]
          - 33/20*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,2,2,1]*Doub2
          - 9/5*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,2,2,1]*Doub2*z3
          + 3/20*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,2,2,1]*Doub1
          - 9/10*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 6/5*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/10*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,2,2,1]*Doub1*Doub2*
         z3
          + 23/120*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,1,2,2]
          - 33/40*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,1,2,2]*Doub2
          - 9/10*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,1,2,2]*Doub2*z3
          + 3/40*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,1,2,2]*Doub1
          - 9/20*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,1,2,2]*Doub1*z3
          - 3/5*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          + 27/20*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 34/45*MatrixProduct[d[2,2].Yd1]*alpha1*alpha3
          - 8/5*MatrixProduct[d[2,2].Yd1]*alpha1*alpha3*z3
          - 27/20*MatrixProduct[d[2,2].Yd1]*alpha1*alpha3*z2
          + 43/120*MatrixProduct[d[2,2].Yd1]*alpha1*alpha3*Doub2
          + 24/5*MatrixProduct[d[2,2].Yd1]*alpha1*alpha3*Doub2*z3
          + 27/20*MatrixProduct[d[2,2].Yd1]*alpha1*alpha3*Doub2*z2
          - 47/20*MatrixProduct[d[2,2].Yd1]*alpha1*alpha3*Doub1
          + 9/5*MatrixProduct[d[2,2].Yd1]*alpha1*alpha3*Doub1*z3
          + 9/20*MatrixProduct[d[2,2].Yd1]*alpha1*alpha3*Doub1*z2
          + 47/20*MatrixProduct[d[2,2].Yd1]*alpha1*alpha3*Doub1*Doub2
          - 9/5*MatrixProduct[d[2,2].Yd1]*alpha1*alpha3*Doub1*Doub2*z3
          - 9/20*MatrixProduct[d[2,2].Yd1]*alpha1*alpha3*Doub1*Doub2*z2
          - 353/640*MatrixProduct[d[2,2].Yd1]*alpha1*alpha2
          + 9/40*MatrixProduct[d[2,2].Yd1]*alpha1*alpha2*z2
          + 267/256*MatrixProduct[d[2,2].Yd1]*alpha1*alpha2*Doub2
          + 9/8*MatrixProduct[d[2,2].Yd1]*alpha1*alpha2*Doub2*z3
          - 9/40*MatrixProduct[d[2,2].Yd1]*alpha1*alpha2*Doub2*z2
          + 5489/640*MatrixProduct[d[2,2].Yd1]*alpha1*alpha2*Doub1
          - 63/20*MatrixProduct[d[2,2].Yd1]*alpha1*alpha2*Doub1*z3
          - 9/64*MatrixProduct[d[2,2].Yd1]*alpha1*alpha2*Doub1*z2
          - 6353/640*MatrixProduct[d[2,2].Yd1]*alpha1*alpha2*Doub1*
         Doub2
          + 99/40*MatrixProduct[d[2,2].Yd1]*alpha1*alpha2*Doub1*Doub2*
         z3
          + 9/64*MatrixProduct[d[2,2].Yd1]*alpha1*alpha2*Doub1*Doub2*z2
          - 12131/57600*MatrixProduct[d[2,2].Yd1]*alpha1^2
          + 29/100*MatrixProduct[d[2,2].Yd1]*alpha1^2*z3
          + 189/3200*MatrixProduct[d[2,2].Yd1]*alpha1^2*z2
          + 1289/480*MatrixProduct[d[2,2].Yd1]*alpha1^2*Ng
          + 8647/38400*MatrixProduct[d[2,2].Yd1]*alpha1^2*Doub2
          - 3/40*MatrixProduct[d[2,2].Yd1]*alpha1^2*Doub2*z3
          - 189/3200*MatrixProduct[d[2,2].Yd1]*alpha1^2*Doub2*z2
          - 261/80*MatrixProduct[d[2,2].Yd1]*alpha1^2*Doub2*Ng
          + 3617/3200*MatrixProduct[d[2,2].Yd1]*alpha1^2*Doub1
          - 69/200*MatrixProduct[d[2,2].Yd1]*alpha1^2*Doub1*z3
          - 63/3200*MatrixProduct[d[2,2].Yd1]*alpha1^2*Doub1*z2
          - 8467/6400*MatrixProduct[d[2,2].Yd1]*alpha1^2*Doub1*Doub2
          + 63/400*MatrixProduct[d[2,2].Yd1]*alpha1^2*Doub1*Doub2*z3
          + 63/3200*MatrixProduct[d[2,2].Yd1]*alpha1^2*Doub1*Doub2*z2
          + 3*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha2
          - 27/16*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha2*z2
          - 45/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha2*Doub2*z2
          - 207/8*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha2*Doub1
          + 27/16*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2*z2
          + 189/40*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha1
          - 27/80*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha1*z2
          - 9/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha1*Doub2
          + 27/80*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha1*Doub2*z2
          - 189/40*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha1*Doub1
          + 27/80*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha1*Doub1*z2
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha1*Doub1*Doub2
          - 27/80*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 3/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1].u[2,2]]
          + 15/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1].d[2,2]]
          - 9*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1].d[2,2]]*z3
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*lam[2,1,2,2]
          + 27/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2].u[2,1]]
          - 15/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2].d[2,1]]*z3
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[u[2,1]]*lam[1,1,1,2]
          - 27/16*MatrixProduct[d[2,2].Yd1]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[d[2,2].Yd1]*Tr[u[2,1]]*Tr[l[1,2]]
          - 15/2*MatrixProduct[d[2,2].Yd1]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[d[2,2].Yd1]*Tr[u[2,1].d[1,2]]*z3
          + 12*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*lam[1,2,2,1]
          + 6*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*alpha3
          + 12*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*alpha3*z3
          + 549/32*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*alpha2
          - 351/16*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*alpha2*Doub2
          - 315/32*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*alpha2*Doub1
          + 315/32*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2
          + 617/40*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*alpha1
          - 57/10*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*alpha1*z3
          - 2973/160*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*alpha1*Doub2
          + 27/5*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*alpha1*Doub2*z3
          - 63/32*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*alpha1*Doub1
          + 63/32*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]^2
          - 27/8*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2].u[2,2]]
          + 15/2*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2].d[1,1]]
          - 9*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2].d[1,1]]*z3
          + 3*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha2
          - 27/16*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha2*z2
          - 45/2*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha2*Doub2*z2
          - 207/8*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha2*Doub1
          + 27/16*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2*z2
          + 189/40*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha1
          - 27/80*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha1*z2
          - 9/2*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha1*Doub2
          + 27/80*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha1*Doub2*z2
          - 189/40*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha1*Doub1
          + 27/80*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha1*Doub1*z2
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha1*Doub1*Doub2
          - 27/80*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 3/2*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1].d[2,2]]
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*lam[2,1,2,2]
          + 27/2*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2].d[2,1]]
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[d[2,1]]*lam[1,1,1,2]
          - 9/16*MatrixProduct[d[2,2].Yd1]*Tr[d[2,1]]*Tr[l[1,2]]
          + 12*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*lam[1,2,2,1]
          + 6*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*alpha3
          + 12*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*alpha3*z3
          + 549/32*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*alpha2
          - 351/16*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*alpha2*Doub2
          - 315/32*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*alpha2*Doub1
          + 315/32*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2
          + 133/8*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*alpha1
          - 33/5*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*alpha1*z3
          - 2973/160*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*alpha1*Doub2
          + 27/5*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*alpha1*Doub2*z3
          - 63/32*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*alpha1*Doub1
          + 63/32*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]^2
          - 9/8*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2].d[2,2]]
          + MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*lam[1,2,2,1]
          + 1/2*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha2
          - 9/16*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha2*z2
          - 15/2*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha2*Doub2
          + 9/16*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha2*Doub2*z2
          - 69/8*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha2*Doub1
          + 9/16*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha2*Doub1*z2
          + 15/2*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2*z2
          + 63/40*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha1
          - 9/80*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha1*z2
          - 3/2*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha1*Doub2
          + 9/80*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha1*Doub2*z2
          - 63/40*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha1*Doub1
          + 9/80*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha1*Doub1*z2
          + 3/2*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha1*Doub1*Doub2
          - 9/80*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 1/2*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1].l[2,2]]
          + 3/2*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*lam[2,1,2,2]
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*lam[1,1,2,1]
          - 3/16*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*Tr[l[2,1]]
          + MatrixProduct[d[2,2].Yd1]*Tr[l[1,2].l[2,1]]
          + 3/2*MatrixProduct[d[2,2].Yd1]*Tr[l[2,1]]*lam[1,1,1,2]
          + 4*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]*lam[1,2,2,1]
          + 2*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]*lam[1,1,2,2]
          + 5/12*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]*alpha3
          + 183/32*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]*alpha2
          - 117/16*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]*alpha2*Doub2
          - 105/32*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]*alpha2*Doub1
          + 105/32*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2
          + 101/24*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]*alpha1
          - 6/5*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]*alpha1*z3
          - 991/160*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]*alpha1*Doub2
          + 9/5*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]*alpha1*Doub2*z3
          - 21/32*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]*alpha1*Doub1
          + 21/32*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2
          - 3/16*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]^2
          + 3/2*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2].l[2,2]]
          + 9*MatrixProduct[d[2,2].Yd2]*lam[2,1,2,2]*lam[1,2,2,1]
          + 12*MatrixProduct[d[2,2].Yd2]*lam[2,1,2,2]*lam[2,2,2,2]
          + 15/2*MatrixProduct[d[2,2].Yd2]*lam[2,1,2,1]*lam[1,2,2,2]
          + 15/2*MatrixProduct[d[2,2].Yd2]*lam[1,1,2,2]*lam[2,1,2,2]
          + 3*MatrixProduct[d[2,2].Yd2]*lam[1,1,2,1]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[2,2].Yd2]*lam[1,1,2,1]*lam[1,1,2,2]
          + 9/2*MatrixProduct[d[2,2].Yd2]*lam[1,1,1,2]*lam[2,1,2,1]
          + 4*MatrixProduct[d[2,2].Yd2]*alpha3*lam[2,1,2,2]
          + 3/8*MatrixProduct[d[2,2].Yd2]*alpha2*lam[2,1,2,2]
          - 69/4*MatrixProduct[d[2,2].Yd2]*alpha2*lam[2,1,2,2]*Doub2
          - 33/8*MatrixProduct[d[2,2].Yd2]*alpha2*lam[2,1,2,2]*Doub1
          + 33/8*MatrixProduct[d[2,2].Yd2]*alpha2*lam[2,1,2,2]*Doub1*Doub2
          + 23/40*MatrixProduct[d[2,2].Yd2]*alpha1*lam[2,1,2,2]
          - 81/20*MatrixProduct[d[2,2].Yd2]*alpha1*lam[2,1,2,2]*Doub2
          - 9/8*MatrixProduct[d[2,2].Yd2]*alpha1*lam[2,1,2,2]*Doub1
          + 9/8*MatrixProduct[d[2,2].Yd2]*alpha1*lam[2,1,2,2]*Doub1*Doub2
          + 27/2*MatrixProduct[d[2,2].Yd2]*Tr[u[1,2]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha2
          - 27/16*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha2*z2
          - 387/16*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha2*Doub2*z2
          - 585/32*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 117/8*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha1
          - 81/80*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha1*z2
          - 225/16*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha1*Doub2
          + 81/80*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha1*Doub2*z2
          - 1683/160*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha1*Doub1
          + 81/160*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha1*Doub1*z2
          + 1593/160*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          - 81/160*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 45/2*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*lam[2,1,2,2]
          + 27/2*MatrixProduct[d[2,2].Yd2]*Tr[d[1,2]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha2
          - 27/16*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha2*z2
          - 387/16*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha2*Doub2*z2
          - 585/32*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 117/8*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha1
          - 81/80*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha1*z2
          - 225/16*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha1*Doub2
          + 81/80*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha1*Doub2*z2
          - 1683/160*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha1*Doub1
          + 81/160*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha1*Doub1*z2
          + 1593/160*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          - 81/160*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 45/2*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*lam[2,1,2,2]
          + 9/2*MatrixProduct[d[2,2].Yd2]*Tr[l[1,2]]*lam[2,1,2,1]
          + 3/2*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha2
          - 9/16*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha2*z2
          - 129/16*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha2*Doub2
          + 9/16*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha2*Doub2*z2
          - 195/32*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha2*Doub1
          + 9/32*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha2*Doub1*z2
          + 177/32*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          - 9/32*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 39/8*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha1
          - 27/80*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha1*z2
          - 75/16*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha1*Doub2
          + 27/80*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha1*Doub2*z2
          - 561/160*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha1*Doub1
          + 27/160*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha1*Doub1*z2
          + 531/160*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 15/2*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*lam[2,1,2,2]
          - 5/8*MatrixProduct[Yd1]*lam[1,2,2,1]^3
          - 3/8*MatrixProduct[Yd1]*lam[2,2,2,2]*lam[1,2,2,1]^2
          - 3*MatrixProduct[Yd1]*lam[1,2,2,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yd1]*lam[1,2,2,2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yd1]*lam[2,1,2,1]*lam[1,2,2,2]^2
          - 15/8*MatrixProduct[Yd1]*lam[1,2,1,2]*lam[2,1,2,2]^2
          - 27/8*MatrixProduct[Yd1]*lam[1,2,1,2]*lam[2,1,2,1]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yd1]*lam[1,2,1,2]*lam[2,1,2,1]*lam[2,2,2,2]
          - 3/2*MatrixProduct[Yd1]*lam[1,1,2,2]*lam[1,2,2,1]^2
          - 3/4*MatrixProduct[Yd1]*lam[1,1,2,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yd1]*lam[1,1,2,2]*lam[1,2,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yd1]*lam[1,1,2,2]*lam[1,2,1,2]*lam[2,1,2,1]
          - 3/4*MatrixProduct[Yd1]*lam[1,1,2,2]^2*lam[1,2,2,1]
          - 3/4*MatrixProduct[Yd1]*lam[1,1,2,2]^2*lam[2,2,2,2]
          - 1/2*MatrixProduct[Yd1]*lam[1,1,2,2]^3
          - 9/4*MatrixProduct[Yd1]*lam[1,1,2,1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yd1]*lam[1,1,2,1]*lam[1,2,1,2]*lam[2,1,2,2]
          - 27/8*MatrixProduct[Yd1]*lam[1,1,2,1]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/4*MatrixProduct[Yd1]*lam[1,1,2,1]^2*lam[1,2,1,2]
          - 9/4*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[2,1,2,1]*lam[1,2,2,2]
          - 27/8*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[1,1,2,2]*lam[2,1,2,2]
          - 6*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,2,2,1]
          - 9/2*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/4*MatrixProduct[Yd1]*lam[1,1,1,2]^2*lam[2,1,2,1]
          - 3/4*MatrixProduct[Yd1]*lam[1,1,1,1]*lam[1,2,2,1]^2
          - 3/4*MatrixProduct[Yd1]*lam[1,1,1,1]*lam[1,2,1,2]*lam[2,1,2,1]
          - 3/2*MatrixProduct[Yd1]*lam[1,1,1,1]*lam[1,1,2,2]*lam[1,2,2,1]
          - 3/2*MatrixProduct[Yd1]*lam[1,1,1,1]*lam[1,1,2,2]^2
          - 45/4*MatrixProduct[Yd1]*lam[1,1,1,1]*lam[1,1,1,2]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yd1]*lam[1,1,1,1]^3
          - 1249*MatrixProduct[Yd1]*alpha3^3
          + 4432/27*MatrixProduct[Yd1]*alpha3^3*Ng
          + 320/3*MatrixProduct[Yd1]*alpha3^3*Ng*z3
          + 560/81*MatrixProduct[Yd1]*alpha3^3*Ng^2
          - 15/16*MatrixProduct[Yd1]*alpha2*lam[1,2,2,1]^2*Doub2
          + 153/16*MatrixProduct[Yd1]*alpha2*lam[1,2,2,1]^2*Doub1
          - 39/8*MatrixProduct[Yd1]*alpha2*lam[1,2,2,1]^2*Doub1*Doub2
          + 81/32*MatrixProduct[Yd1]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub2
          + 207/16*MatrixProduct[Yd1]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub1
          - 315/32*MatrixProduct[Yd1]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub1*
         Doub2
          - 117/32*MatrixProduct[Yd1]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub2
          + 609/32*MatrixProduct[Yd1]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub1
          - 39/4*MatrixProduct[Yd1]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub1*Doub2
          + 57/16*MatrixProduct[Yd1]*alpha2*lam[1,1,2,2]*lam[1,2,2,1]*Doub2
          + 3/16*MatrixProduct[Yd1]*alpha2*lam[1,1,2,2]*lam[1,2,2,1]*Doub1
          + 57/16*MatrixProduct[Yd1]*alpha2*lam[1,1,2,2]^2*Doub2
          + 3/16*MatrixProduct[Yd1]*alpha2*lam[1,1,2,2]^2*Doub1
          + 693/32*MatrixProduct[Yd1]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub1
          - 153/32*MatrixProduct[Yd1]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub1*
         Doub2
          + 45/8*MatrixProduct[Yd1]*alpha2*lam[1,1,1,1]^2*Doub1
          + 531/8*MatrixProduct[Yd1]*alpha2*alpha3^2
          + 19*MatrixProduct[Yd1]*alpha2*alpha3^2*Ng
          - 24*MatrixProduct[Yd1]*alpha2*alpha3^2*Ng*z3
          - 3/2*MatrixProduct[Yd1]*alpha2^2*lam[1,2,2,1]*Doub2
          + 9/8*MatrixProduct[Yd1]*alpha2^2*lam[1,2,2,1]*Doub2*z3
          + 39/64*MatrixProduct[Yd1]*alpha2^2*lam[1,2,2,1]*Doub1*Doub2
          - 9/8*MatrixProduct[Yd1]*alpha2^2*lam[1,2,2,1]*Doub1*Doub2*z3
          - 3*MatrixProduct[Yd1]*alpha2^2*lam[1,1,2,2]*Doub2
          + 9/4*MatrixProduct[Yd1]*alpha2^2*lam[1,1,2,2]*Doub2*z3
          + 39/32*MatrixProduct[Yd1]*alpha2^2*lam[1,1,2,2]*Doub1*Doub2
          - 9/4*MatrixProduct[Yd1]*alpha2^2*lam[1,1,2,2]*Doub1*Doub2*z3
          - 171/64*MatrixProduct[Yd1]*alpha2^2*lam[1,1,1,1]*Doub1
          + 507/16*MatrixProduct[Yd1]*alpha2^2*alpha3
          - 39/4*MatrixProduct[Yd1]*alpha2^2*alpha3*Ng
          - 27/16*MatrixProduct[Yd1]*alpha2^2*alpha3*Doub2
          + 21/16*MatrixProduct[Yd1]*alpha2^2*alpha3*Doub1
          + 135/8*MatrixProduct[Yd1]*alpha2^2*alpha3*Doub1*Ng
          - 18*MatrixProduct[Yd1]*alpha2^2*alpha3*Doub1*Ng*z3
          + 69271/768*MatrixProduct[Yd1]*alpha2^3
          - 9/2*MatrixProduct[Yd1]*alpha2^3*z3
          - 2521/96*MatrixProduct[Yd1]*alpha2^3*Ng
          + 5/6*MatrixProduct[Yd1]*alpha2^3*Ng^2
          - 1147/256*MatrixProduct[Yd1]*alpha2^3*Doub2
          + 1/3*MatrixProduct[Yd1]*alpha2^3*Doub2*Ng
          - 237167/2304*MatrixProduct[Yd1]*alpha2^3*Doub1
          + 117/16*MatrixProduct[Yd1]*alpha2^3*Doub1*z3
          + 803/36*MatrixProduct[Yd1]*alpha2^3*Doub1*Ng
          + 45/2*MatrixProduct[Yd1]*alpha2^3*Doub1*Ng*z3
          + 35/18*MatrixProduct[Yd1]*alpha2^3*Doub1*Ng^2
          + 14513/2304*MatrixProduct[Yd1]*alpha2^3*Doub1*Doub2
          + 45/16*MatrixProduct[Yd1]*alpha2^3*Doub1*Doub2*z3
          + 19/36*MatrixProduct[Yd1]*alpha2^3*Doub1*Doub2*Ng
          + 57/80*MatrixProduct[Yd1]*alpha1*lam[1,2,2,1]^2*Doub2
          + 3/80*MatrixProduct[Yd1]*alpha1*lam[1,2,2,1]^2*Doub1
          + 81/160*MatrixProduct[Yd1]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub2
          + 207/80*MatrixProduct[Yd1]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub1
          - 63/32*MatrixProduct[Yd1]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub1*Doub2
          - 261/160*MatrixProduct[Yd1]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub2
          + 909/160*MatrixProduct[Yd1]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub1
          - 117/40*MatrixProduct[Yd1]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub1*
         Doub2
          + 57/80*MatrixProduct[Yd1]*alpha1*lam[1,1,2,2]*lam[1,2,2,1]*Doub2
          + 3/80*MatrixProduct[Yd1]*alpha1*lam[1,1,2,2]*lam[1,2,2,1]*Doub1
          + 57/80*MatrixProduct[Yd1]*alpha1*lam[1,1,2,2]^2*Doub2
          + 3/80*MatrixProduct[Yd1]*alpha1*lam[1,1,2,2]^2*Doub1
          + 693/160*MatrixProduct[Yd1]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub1
          - 153/160*MatrixProduct[Yd1]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub1*
         Doub2
          + 9/8*MatrixProduct[Yd1]*alpha1*lam[1,1,1,1]^2*Doub1
          + 2453/120*MatrixProduct[Yd1]*alpha1*alpha3^2
          + 214/45*MatrixProduct[Yd1]*alpha1*alpha3^2*Ng
          - 88/15*MatrixProduct[Yd1]*alpha1*alpha3^2*Ng*z3
          - 9/10*MatrixProduct[Yd1]*alpha1*alpha2*lam[1,2,2,1]*Doub2
          + 27/20*MatrixProduct[Yd1]*alpha1*alpha2*lam[1,2,2,1]*Doub2*z3
          + 117/160*MatrixProduct[Yd1]*alpha1*alpha2*lam[1,2,2,1]*Doub1*
         Doub2
          - 27/20*MatrixProduct[Yd1]*alpha1*alpha2*lam[1,2,2,1]*Doub1*Doub2*
         z3
          - 27/160*MatrixProduct[Yd1]*alpha1*alpha2*lam[1,1,1,1]*Doub1
          - 21/8*MatrixProduct[Yd1]*alpha1*alpha2*alpha3
          - 6/5*MatrixProduct[Yd1]*alpha1*alpha2*alpha3*Doub1
          - 2649/1280*MatrixProduct[Yd1]*alpha1*alpha2^2
          + 9/20*MatrixProduct[Yd1]*alpha1*alpha2^2*z3
          + 39/160*MatrixProduct[Yd1]*alpha1*alpha2^2*Ng
          - 123/1280*MatrixProduct[Yd1]*alpha1*alpha2^2*Doub2
          - 4161/1280*MatrixProduct[Yd1]*alpha1*alpha2^2*Doub1
          - 63/80*MatrixProduct[Yd1]*alpha1*alpha2^2*Doub1*z3
          + 6/5*MatrixProduct[Yd1]*alpha1*alpha2^2*Doub1*Ng
          - 9/10*MatrixProduct[Yd1]*alpha1*alpha2^2*Doub1*Ng*z3
          + 1353/1280*MatrixProduct[Yd1]*alpha1*alpha2^2*Doub1*Doub2
          - 27/80*MatrixProduct[Yd1]*alpha1*alpha2^2*Doub1*Doub2*z3
          - 3/25*MatrixProduct[Yd1]*alpha1^2*lam[1,2,2,1]*Doub2
          + 27/200*MatrixProduct[Yd1]*alpha1^2*lam[1,2,2,1]*Doub2*z3
          + 117/1600*MatrixProduct[Yd1]*alpha1^2*lam[1,2,2,1]*Doub1*Doub2
          - 27/200*MatrixProduct[Yd1]*alpha1^2*lam[1,2,2,1]*Doub1*Doub2*z3
          - 6/25*MatrixProduct[Yd1]*alpha1^2*lam[1,1,2,2]*Doub2
          + 27/100*MatrixProduct[Yd1]*alpha1^2*lam[1,1,2,2]*Doub2*z3
          + 117/800*MatrixProduct[Yd1]*alpha1^2*lam[1,1,2,2]*Doub1*Doub2
          - 27/100*MatrixProduct[Yd1]*alpha1^2*lam[1,1,2,2]*Doub1*Doub2*z3
          - 9/64*MatrixProduct[Yd1]*alpha1^2*lam[1,1,1,1]*Doub1
          - 683/1200*MatrixProduct[Yd1]*alpha1^2*alpha3
          - 2677/900*MatrixProduct[Yd1]*alpha1^2*alpha3*Ng
          + 88/75*MatrixProduct[Yd1]*alpha1^2*alpha3*Ng*z3
          - 263/1200*MatrixProduct[Yd1]*alpha1^2*alpha3*Doub2
          - 43/240*MatrixProduct[Yd1]*alpha1^2*alpha3*Doub1
          + 99/40*MatrixProduct[Yd1]*alpha1^2*alpha3*Doub1*Ng
          - 66/25*MatrixProduct[Yd1]*alpha1^2*alpha3*Doub1*Ng*z3
          + 531/6400*MatrixProduct[Yd1]*alpha1^2*alpha2
          - 29/800*MatrixProduct[Yd1]*alpha1^2*alpha2*Ng
          + 6/25*MatrixProduct[Yd1]*alpha1^2*alpha2*Ng*z3
          - 2001/6400*MatrixProduct[Yd1]*alpha1^2*alpha2*Doub2
          + 9/100*MatrixProduct[Yd1]*alpha1^2*alpha2*Doub2*z3
          + 999/1280*MatrixProduct[Yd1]*alpha1^2*alpha2*Doub1
          - 9/80*MatrixProduct[Yd1]*alpha1^2*alpha2*Doub1*z3
          + 69/80*MatrixProduct[Yd1]*alpha1^2*alpha2*Doub1*Ng
          - 27/50*MatrixProduct[Yd1]*alpha1^2*alpha2*Doub1*Ng*z3
          + 4059/6400*MatrixProduct[Yd1]*alpha1^2*alpha2*Doub1*Doub2
          - 81/400*MatrixProduct[Yd1]*alpha1^2*alpha2*Doub1*Doub2*z3
          + 3721/288000*MatrixProduct[Yd1]*alpha1^3
          - 3637/7200*MatrixProduct[Yd1]*alpha1^3*Ng
          + 38/75*MatrixProduct[Yd1]*alpha1^3*Ng*z3
          - 1/162*MatrixProduct[Yd1]*alpha1^3*Ng^2
          - 607/11520*MatrixProduct[Yd1]*alpha1^3*Doub2
          + 9/500*MatrixProduct[Yd1]*alpha1^3*Doub2*z3
          + 8/675*MatrixProduct[Yd1]*alpha1^3*Doub2*Ng
          + 34577/288000*MatrixProduct[Yd1]*alpha1^3*Doub1
          - 9/400*MatrixProduct[Yd1]*alpha1^3*Doub1*z3
          + 3389/2700*MatrixProduct[Yd1]*alpha1^3*Doub1*Ng
          - 57/50*MatrixProduct[Yd1]*alpha1^3*Doub1*Ng*z3
          + 7/18*MatrixProduct[Yd1]*alpha1^3*Doub1*Ng^2
          + 38773/288000*MatrixProduct[Yd1]*alpha1^3*Doub1*Doub2
          - 81/2000*MatrixProduct[Yd1]*alpha1^3*Doub1*Doub2*z3
          + 19/300*MatrixProduct[Yd1]*alpha1^3*Doub1*Doub2*Ng
          - 15/8*MatrixProduct[Yd1]*Tr[u[1,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yd1]*Tr[u[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yd1]*Tr[u[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yd1]*Tr[u[1,1]]*lam[1,1,2,2]^2
          - 135/8*MatrixProduct[Yd1]*Tr[u[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 135/16*MatrixProduct[Yd1]*Tr[u[1,1]]*lam[1,1,1,1]^2
          + 457/3*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha3^2
          - 108*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha3^2*z3
          - 16*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha3^2*Ng
          - 261/8*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2*alpha3
          - 36*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2*alpha3*z2
          - 57/2*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2*alpha3*Doub1
          + 90*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2*alpha3*Doub1*z3
          + 27/2*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2*alpha3*Doub1*z2
          - 3705/64*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2^2
          + 27/2*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2^2*Ng
          + 63/128*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2^2*Doub2
          + 21183/256*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2^2*Doub1
          - 351/8*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2^2*Doub1*z3
          + 135/64*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2^2*Doub1*z2
          - 27/4*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2^2*Doub1*Ng
          - 117/64*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha2^2*Doub1*Doub2
          - 347/24*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1*alpha3
          + 12/5*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1*alpha3*z2
          - 57/10*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1*alpha3*Doub1
          + 18*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1*alpha3*Doub1*z3
          + 27/10*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1*alpha3*Doub1*z2
          - 162/5*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1*alpha2
          + 99/20*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1*alpha2*z3
          - 27/160*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1*alpha2*z2
          + 20697/640*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1*alpha2*Doub1
          + 9/5*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1*alpha2*Doub1*z3
          + 27/160*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1*alpha2*Doub1*z2
          - 2321/1600*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1^2
          + 3/25*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1^2*z3
          - 27/320*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1^2*z2
          - 19/80*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1^2*Ng
          - 339/3200*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1^2*Doub2
          - 761/6400*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1^2*Doub1
          - 27/40*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1^2*Doub1*z3
          + 27/320*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1^2*Doub1*z2
          - 27/20*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1^2*Doub1*Ng
          - 351/1600*MatrixProduct[Yd1]*Tr[u[1,1]]*alpha1^2*Doub1*Doub2
          - 81/8*MatrixProduct[Yd1]*Tr[u[1,1]]^2*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[u[1,1]]^2*alpha2*z2
          - 81/8*MatrixProduct[Yd1]*Tr[u[1,1]]^2*alpha2*Doub1*z2
          - 81/40*MatrixProduct[Yd1]*Tr[u[1,1]]^2*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[u[1,1]]^2*alpha1*z2
          - 81/40*MatrixProduct[Yd1]*Tr[u[1,1]]^2*alpha1*Doub1*z2
          + 27*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,1].u[1,1]]
          - 9/4*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,1].d[1,1]]
          - 81/4*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha2
          + 81/4*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha2*z2
          - 81/4*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha2*Doub1*
         z2
          - 81/20*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha1
          + 81/20*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha1*z2
          - 81/20*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha1*Doub1
         *z2
          + 27*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,1].d[1,1]]
          - 27/4*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha2
          + 27/4*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha2*z2
          - 27/4*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha2*Doub1*
         z2
          - 27/20*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha1
          + 27/20*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha1*z2
          - 27/20*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha1*Doub1
         *z2
          + 9*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,1].l[1,1]]
          + 45/4*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1]]*alpha3
          - 36*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1]]*alpha3*z3
          + 999/32*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1]]*alpha2
          + 27/16*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1]]*alpha2*z2
          - 459/8*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1]]*alpha2*Doub1*z3
          - 27/16*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1]]*alpha2*Doub1*z2
          + 1563/80*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1]]*alpha1
          - 27/5*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1]]*alpha1*z3
          - 3759/160*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1]]*alpha1*Doub1*z3
          - 75/32*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1].u[1,1]]
          + 9/2*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1].u[1,1]]*z3
          + 9/16*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1].u[2,2]]
          + 39/32*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1].d[1,1]]
          + 9/16*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1].d[2,2]]
          + 135/8*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*lam[1,1,2,1]
          - 9/8*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2].u[2,1]]
          - 9/32*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2].d[2,1]]
          + 135/8*MatrixProduct[Yd1]*Tr[u[1,1].u[2,1]]*lam[1,1,1,2]
          - 33/8*MatrixProduct[Yd1]*Tr[u[1,1].u[2,1].u[1,2]]
          + 9*MatrixProduct[Yd1]*Tr[u[1,1].u[2,1].u[1,2]]*z3
          + 129/32*MatrixProduct[Yd1]*Tr[u[1,1].u[2,1].d[1,2]]
          + 15/2*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha3
          - 12*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha2
          - 999/32*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha2*Doub2*z2
          + 549/32*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha2*Doub1
          - 81/32*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 941/80*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha1
          - 39/5*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha1*z3
          - 2469/160*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha1*Doub2
          + 9*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha1*Doub2*z3
          + 27/160*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha1*Doub2*z2
          + 549/160*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*z2
          - 279/80*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 21/32*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2].u[2,2]]
          - 15/8*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2].d[1,1]]
          + 9/32*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2].d[2,2]]
          + 57/2*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1]]*alpha3
          - 24*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1]]*alpha3*z3
          + 1089/16*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1]]*alpha2
          - 27/4*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1]]*alpha2*z2
          - 72*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1]]*alpha2*Doub1
          + 27/4*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1]]*alpha2*Doub1*z2
          - 2463/160*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1]]*alpha1
          + 21/2*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1]]*alpha1*z3
          - 27/40*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1]]*alpha1*z2
          + 2277/160*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1]]*alpha1*Doub1
          - 81/10*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1]]*alpha1*Doub1*z3
          + 27/40*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1]]*alpha1*Doub1*z2
          - 15/8*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1].u[2,2]]
          + 39/32*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1].d[1,1]]
          - 15/8*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1].d[2,2]]
          - 9/32*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2].u[2,1]]
          - 3/8*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2].d[2,1]]
          + 129/32*MatrixProduct[Yd1]*Tr[u[1,1].d[2,1].u[1,2]]
          - 3/2*MatrixProduct[Yd1]*Tr[u[1,1].d[2,1].d[1,2]]
          - 15/4*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha2
          - 999/32*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha2*Doub2*z2
          + 549/32*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha2*Doub1
          - 81/32*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 113/10*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha1
          + 33/5*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha1*z3
          + 27/80*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha1*z2
          + 1659/160*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha1*Doub2
          - 63/10*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha1*Doub2*z2
          - 567/160*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*z2
          + 279/80*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/32*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2].u[2,2]]
          - 15/8*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2].d[1,1]]
          + 21/32*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2].d[2,2]]
          - 45/16*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 135/16*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 135/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*lam[1,1,2,1]*Doub2
          - 135/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*lam[1,1,2,1]*Doub1
          + 81/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*lam[1,1,2,1]*Doub2
          - 81/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*lam[1,1,2,1]*Doub1
          + 27*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[1,1].u[2,1]]
          - 9/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*z2
          + 81/4*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub2
          - 81/16*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub2
         *z2
          + 4455/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub1
          - 243/16*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*z2
          + 81/20*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*Doub2
          - 81/80*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*Doub2
         *z2
          + 891/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1
          - 243/80*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*Doub1
         *Doub2*z2
          - 9/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1].d[1,1]]
          + 27*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*z2
          + 81/4*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub2
          - 81/16*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub2
         *z2
          + 4455/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/16*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*z2
          + 81/20*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*Doub2
          - 81/80*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*Doub2
         *z2
          + 891/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/80*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1].l[2,1]]
          - 27/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 27/4*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 1485/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/16*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 27/20*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub2
         *z2
          + 297/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,2].u[1,2]]*lam[2,1,2,1]
          + 15/4*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*lam[1,2,2,1]
          + 15/2*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*lam[1,1,2,2]
          + 5/2*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha3
          - 24*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha3*z3
          + 135/32*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha2
          + 27/16*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha2*z2
          - 405/16*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha2*Doub2*z3
          - 9/16*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha2*Doub1*z2
          + 311/40*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha1
          + 12/5*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha1*z3
          - 1263/160*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha1*Doub2
          - 9/2*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha1*Doub2*z2
          + 549/80*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha1*Doub1
          - 81/80*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*z2
          - 279/40*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*
         Doub2
          + 27/40*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 45/16*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1].u[2,2]]
          + 9/2*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1].u[2,2]]*z3
          - 3/2*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1].d[1,1]]
          + 87/16*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1].d[2,2]]
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*lam[2,1,2,2]
          - 3/16*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2].u[2,1]]
          - 63/32*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2].d[2,1]]
          - 3/8*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1].u[2,1]]
          - 9/32*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1].d[2,1]]
          + 15/4*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1]]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1]]*lam[1,1,2,2]
          + 13*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1]]*alpha3
          + 225/32*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1]]*alpha2
          - 27/8*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1]]*alpha2*z2
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1]]*alpha2*Doub2
          - 81/8*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1]]*alpha2*Doub1
          + 27/8*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1]]*alpha2*Doub1*z2
          + 251/160*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1]]*alpha1
          - 27/40*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1]]*alpha1*z2
          + 9/8*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1]]*alpha1*Doub2
          - 81/40*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1]]*alpha1*Doub1*z2
          - 57/32*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1].u[2,2]]
          + 129/32*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1].d[1,1]]
          - 63/32*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1].d[2,2]]
          + 33/16*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2].u[2,1]]
          - 57/32*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2].d[2,1]]
          - 45/16*MatrixProduct[Yd1]*Tr[u[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[u[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd1]*Tr[u[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[u[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yd1]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yd1]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/16*MatrixProduct[Yd1]*Tr[u[2,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          - 135/32*MatrixProduct[Yd1]*Tr[u[2,1]]*alpha2*lam[1,1,1,2]*Doub2
          + 135/32*MatrixProduct[Yd1]*Tr[u[2,1]]*alpha2*lam[1,1,1,2]*Doub1
          - 81/32*MatrixProduct[Yd1]*Tr[u[2,1]]*alpha1*lam[1,1,1,2]*Doub2
          + 81/32*MatrixProduct[Yd1]*Tr[u[2,1]]*alpha1*lam[1,1,1,2]*Doub1
          + 27*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[u[1,1].u[1,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[u[1,1].d[1,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[u[1,2].d[1,1]]
          + 27*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,1].d[1,2]]
          - 81/8*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*z2
          + 81/4*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub2
          - 81/16*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub2
         *z2
          + 4455/32*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub1
          - 243/16*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*z2
          + 81/20*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*Doub2
          - 81/80*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*Doub2
         *z2
          + 891/32*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1
          - 243/80*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,1].l[1,2]]
          - 27/8*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*z2
          + 27/4*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 1485/32*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/16*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*z2
          + 27/20*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub2
          - 27/80*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub2
         *z2
          + 297/32*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yd1]*Tr[u[2,1].u[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yd1]*Tr[u[2,1].u[2,2]]*lam[1,2,2,2]
          - 57/32*MatrixProduct[Yd1]*Tr[u[2,1].u[2,2].d[1,2]]
          + 129/32*MatrixProduct[Yd1]*Tr[u[2,1].d[1,1].d[1,2]]
          + 15/4*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2]]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2]]*lam[1,1,2,2]
          + 13*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2]]*alpha3
          + 225/32*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2]]*alpha2
          - 27/8*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2]]*alpha2*z2
          + 45/8*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2]]*alpha2*Doub2
          - 81/8*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2]]*alpha2*Doub1
          + 27/8*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2]]*alpha2*Doub1*z2
          + 251/160*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2]]*alpha1
          - 27/40*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2]]*alpha1*z2
          + 9/8*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2]]*alpha1*Doub2
          - 81/40*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2]]*alpha1*Doub1*z2
          - 63/32*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2].u[2,2]]
          - 9/32*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2].d[1,1]]
          - 57/32*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2].d[2,2]]
          - 63/32*MatrixProduct[Yd1]*Tr[u[2,1].d[2,2].d[1,2]]
          - 15/4*MatrixProduct[Yd1]*Tr[u[2,2]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yd1]*Tr[u[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[u[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/4*MatrixProduct[Yd1]*Tr[u[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yd1]*Tr[u[2,2]]*lam[1,1,2,2]^2
          - 135/16*MatrixProduct[Yd1]*Tr[u[2,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 46/3*MatrixProduct[Yd1]*Tr[u[2,2]]*alpha3^2
          + 309/64*MatrixProduct[Yd1]*Tr[u[2,2]]*alpha2^2
          - 255/64*MatrixProduct[Yd1]*Tr[u[2,2]]*alpha2^2*Doub2
          - 663/64*MatrixProduct[Yd1]*Tr[u[2,2]]*alpha2^2*Doub1
          + 147/32*MatrixProduct[Yd1]*Tr[u[2,2]]*alpha2^2*Doub1*Doub2
          + 5989/4800*MatrixProduct[Yd1]*Tr[u[2,2]]*alpha1^2
          - 953/1600*MatrixProduct[Yd1]*Tr[u[2,2]]*alpha1^2*Doub2
          - 2541/1600*MatrixProduct[Yd1]*Tr[u[2,2]]*alpha1^2*Doub1
          + 441/800*MatrixProduct[Yd1]*Tr[u[2,2]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[u[1,1].d[2,2]]
          + 18*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[u[1,2].u[2,1]]
          - 81/8*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[u[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,1].d[2,2]]
          + 18*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2].d[2,1]]
          + 3*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,1].l[2,2]]
          + 6*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2].l[2,1]]
          + 21/32*MatrixProduct[Yd1]*Tr[u[2,2].u[2,2].d[1,1]]
          - 15/4*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha3
          - 12*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha3*z3
          + 27*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha2
          - 999/32*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha2*Doub2*z2
          + 549/32*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha2*Doub1
          - 81/32*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 1157/160*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha1
          + 39/10*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha1*z3
          + 27/80*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha1*z2
          + 231/40*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha1*Doub2
          - 9/5*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha1*Doub2*z2
          - 567/160*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*z2
          + 279/80*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 9/16*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1].d[1,1]]
          + 9/32*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1].d[2,2]]
          + 33/16*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2].d[2,1]]
          + 87/16*MatrixProduct[Yd1]*Tr[u[2,2].d[2,1].d[1,2]]
          + 9/32*MatrixProduct[Yd1]*Tr[u[2,2].d[2,2].d[1,1]]
          - 15/8*MatrixProduct[Yd1]*Tr[d[1,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yd1]*Tr[d[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yd1]*Tr[d[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yd1]*Tr[d[1,1]]*lam[1,1,2,2]^2
          - 135/8*MatrixProduct[Yd1]*Tr[d[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 135/16*MatrixProduct[Yd1]*Tr[d[1,1]]*lam[1,1,1,1]^2
          + 505/3*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha3^2
          - 12*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha3^2*z3
          - 16*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha3^2*Ng
          - 261/8*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2*alpha3
          - 36*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2*alpha3*z2
          - 57/2*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2*alpha3*Doub1
          + 90*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2*alpha3*Doub1*z3
          + 27/2*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2*alpha3*Doub1*z2
          - 2265/64*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2^2
          + 27/4*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2^2*Ng
          + 63/128*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2^2*Doub2
          + 21183/256*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2^2*Doub1
          - 351/8*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2^2*Doub1*z3
          + 135/64*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2^2*Doub1*z2
          - 27/4*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2^2*Doub1*Ng
          - 117/64*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha2^2*Doub1*Doub2
          - 307/120*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1*alpha3
          - 12*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1*alpha3*z2
          - 57/10*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1*alpha3*Doub1
          + 18*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1*alpha3*Doub1*z3
          + 27/10*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1*alpha3*Doub1*z2
          - 4041/160*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1*alpha2
          + 9/10*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1*alpha2*z3
          + 27/32*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1*alpha2*z2
          + 20481/640*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1*alpha2*Doub1
          - 18/5*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1*alpha2*Doub1*z3
          - 27/32*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1*alpha2*Doub1*z2
          - 2251/1600*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1^2
          + 6/25*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1^2*z3
          + 189/1600*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1^2*z2
          + 77/80*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1^2*Ng
          + 453/3200*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1^2*Doub2
          + 11767/6400*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1^2*Doub1
          - 27/40*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1^2*Doub1*z3
          - 189/1600*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1^2*Doub1*z2
          - 27/20*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1^2*Doub1*Ng
          - 351/1600*MatrixProduct[Yd1]*Tr[d[1,1]]*alpha1^2*Doub1*Doub2
          + 27*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[u[1,1].u[1,1]]
          - 9/4*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[u[1,1].d[1,1]]
          - 81/8*MatrixProduct[Yd1]*Tr[d[1,1]]^2*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[d[1,1]]^2*alpha2*z2
          - 81/8*MatrixProduct[Yd1]*Tr[d[1,1]]^2*alpha2*Doub1*z2
          - 81/40*MatrixProduct[Yd1]*Tr[d[1,1]]^2*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[d[1,1]]^2*alpha1*z2
          - 81/40*MatrixProduct[Yd1]*Tr[d[1,1]]^2*alpha1*Doub1*z2
          + 27*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,1].d[1,1]]
          - 27/4*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha2
          + 27/4*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha2*z2
          - 27/4*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha2*Doub1*
         z2
          - 27/20*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha1
          + 27/20*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha1*z2
          - 27/20*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha1*Doub1
         *z2
          + 9*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,1].l[1,1]]
          + 45/4*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1]]*alpha3
          - 36*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1]]*alpha3*z3
          + 999/32*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1]]*alpha2
          + 27/16*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1]]*alpha2*z2
          - 459/8*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1]]*alpha2*Doub1*z3
          - 27/16*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1]]*alpha2*Doub1*z2
          + 717/32*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1]]*alpha1
          - 63/10*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1]]*alpha1*z3
          - 2247/80*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1]]*alpha1*Doub1
          + 9*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1]]*alpha1*Doub1*z3
          - 75/32*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1].d[1,1]]
          + 9/2*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1].d[1,1]]*z3
          + 9/16*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1].d[2,2]]
          + 135/8*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*lam[1,1,2,1]
          - 33/8*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2].d[2,1]]
          + 9*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2].d[2,1]]*z3
          + 135/8*MatrixProduct[Yd1]*Tr[d[1,1].d[2,1]]*lam[1,1,1,2]
          - 9/8*MatrixProduct[Yd1]*Tr[d[1,1].d[2,1].d[1,2]]
          + 15/2*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha2
          - 999/32*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha2*Doub2*z2
          + 549/32*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha2*Doub1
          - 81/32*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 1363/160*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha1
          - 33/10*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha1*z3
          - 867/80*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha1*Doub2*z3
          + 27/160*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha1*Doub2*z2
          + 549/160*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*z2
          - 279/80*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 21/32*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2].d[2,2]]
          - 45/16*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 135/16*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 135/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*lam[1,1,2,1]*Doub2
          - 135/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*lam[1,1,2,1]*Doub1
          + 81/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*lam[1,1,2,1]*Doub2
          - 81/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*lam[1,1,2,1]*Doub1
          + 27*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[u[1,1].u[2,1]]
          - 9/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[u[1,1].d[2,1]]
          - 9/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[u[2,1].d[1,1]]
          + 27*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*z2
          + 81/4*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub2
          - 81/16*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub2
         *z2
          + 4455/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/16*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*z2
          + 81/20*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*Doub2
          - 81/80*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*Doub2
         *z2
          + 891/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/80*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1].l[2,1]]
          - 27/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 27/4*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 1485/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/16*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 27/20*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub2
         *z2
          + 297/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,2].d[1,2]]*lam[2,1,2,1]
          + 15/4*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*lam[1,2,2,1]
          + 15/2*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*lam[1,1,2,2]
          + 5/2*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha3
          - 24*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha3*z3
          + 135/32*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha2
          + 27/16*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha2*z2
          - 405/16*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha2*Doub2*z3
          - 9/16*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha2*Doub1*z2
          + 1111/80*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha1
          - 3*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha1*z3
          - 2733/160*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha1*Doub2*z2
          + 549/80*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha1*Doub1
          - 81/80*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*z2
          - 279/40*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*
         Doub2
          + 27/40*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 3/16*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1].d[2,2]]
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2].d[2,1]]
          + 9/2*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2].d[2,1]]*z3
          - 45/16*MatrixProduct[Yd1]*Tr[d[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[d[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd1]*Tr[d[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[d[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yd1]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yd1]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/16*MatrixProduct[Yd1]*Tr[d[2,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          - 135/32*MatrixProduct[Yd1]*Tr[d[2,1]]*alpha2*lam[1,1,1,2]*Doub2
          + 135/32*MatrixProduct[Yd1]*Tr[d[2,1]]*alpha2*lam[1,1,1,2]*Doub1
          - 81/32*MatrixProduct[Yd1]*Tr[d[2,1]]*alpha1*lam[1,1,1,2]*Doub2
          + 81/32*MatrixProduct[Yd1]*Tr[d[2,1]]*alpha1*lam[1,1,1,2]*Doub1
          + 27*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[u[1,1].u[1,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[u[1,1].d[1,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[u[1,2].d[1,1]]
          + 27*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[d[1,1].d[1,2]]
          + 9*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,1].l[1,2]]
          - 27/8*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*z2
          + 27/4*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 1485/32*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/16*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*z2
          + 27/20*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub2
          - 27/80*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub2
         *z2
          + 297/32*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yd1]*Tr[d[2,1].d[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yd1]*Tr[d[2,1].d[2,2]]*lam[1,2,2,2]
          - 15/4*MatrixProduct[Yd1]*Tr[d[2,2]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yd1]*Tr[d[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[d[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/4*MatrixProduct[Yd1]*Tr[d[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yd1]*Tr[d[2,2]]*lam[1,1,2,2]^2
          - 135/16*MatrixProduct[Yd1]*Tr[d[2,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 46/3*MatrixProduct[Yd1]*Tr[d[2,2]]*alpha3^2
          + 309/64*MatrixProduct[Yd1]*Tr[d[2,2]]*alpha2^2
          - 255/64*MatrixProduct[Yd1]*Tr[d[2,2]]*alpha2^2*Doub2
          - 663/64*MatrixProduct[Yd1]*Tr[d[2,2]]*alpha2^2*Doub1
          + 147/32*MatrixProduct[Yd1]*Tr[d[2,2]]*alpha2^2*Doub1*Doub2
          + 4237/4800*MatrixProduct[Yd1]*Tr[d[2,2]]*alpha1^2
          - 953/1600*MatrixProduct[Yd1]*Tr[d[2,2]]*alpha1^2*Doub2
          - 1713/1600*MatrixProduct[Yd1]*Tr[d[2,2]]*alpha1^2*Doub1
          + 441/800*MatrixProduct[Yd1]*Tr[d[2,2]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[u[1,1].d[2,2]]
          + 18*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[u[1,2].u[2,1]]
          - 81/8*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[u[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[d[1,1].d[2,2]]
          + 18*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[d[1,2].d[2,1]]
          + 3*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,1].l[2,2]]
          + 6*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2].l[2,1]]
          - 5/8*MatrixProduct[Yd1]*Tr[l[1,1]]*lam[1,2,2,1]^2
          - 15/16*MatrixProduct[Yd1]*Tr[l[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 5/8*MatrixProduct[Yd1]*Tr[l[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 5/8*MatrixProduct[Yd1]*Tr[l[1,1]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yd1]*Tr[l[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[l[1,1]]*lam[1,1,1,1]^2
          - 3*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2*alpha3
          - 18*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2*alpha3*z3
          + 3*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2*alpha3*Doub1
          + 18*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2*alpha3*Doub1*z3
          - 755/64*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2^2
          + 9/4*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2^2*z3
          - 45/64*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2^2*z2
          + 15/16*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2^2*Ng
          + 21/128*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2^2*Doub2
          + 7061/256*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2^2*Doub1
          - 117/8*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2^2*Doub1*z3
          + 45/64*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2^2*Doub1*z2
          - 9/4*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2^2*Doub1*Ng
          - 39/64*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha2^2*Doub1*Doub2
          - 3/5*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1*alpha3
          - 18/5*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1*alpha3*z3
          + 3/5*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1*alpha3*Doub1
          + 18/5*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1*alpha3*Doub1*z3
          - 1851/160*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1*alpha2
          + 9/5*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1*alpha2*z3
          - 27/32*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1*alpha2*z2
          + 6171/640*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1*alpha2*Doub1
          + 18/5*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1*alpha2*Doub1*z2
          - 5371/4800*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1^2
          + 99/50*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1^2*z3
          - 297/1600*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1^2*z2
          - 81/80*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1^2*Ng
          - 729/3200*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1^2*Doub2
          - 29993/19200*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1^2*Doub1
          - 9/40*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1^2*Doub1*z3
          + 297/1600*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1^2*Doub1*z2
          - 9/20*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1^2*Doub1*Ng
          - 117/1600*MatrixProduct[Yd1]*Tr[l[1,1]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[u[1,1].u[1,1]]
          - 3/4*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[u[1,1].d[1,1]]
          + 9*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[d[1,1].d[1,1]]
          - 9/8*MatrixProduct[Yd1]*Tr[l[1,1]]^2*alpha2
          + 9/8*MatrixProduct[Yd1]*Tr[l[1,1]]^2*alpha2*z2
          - 9/8*MatrixProduct[Yd1]*Tr[l[1,1]]^2*alpha2*Doub1*z2
          - 9/40*MatrixProduct[Yd1]*Tr[l[1,1]]^2*alpha1
          + 9/40*MatrixProduct[Yd1]*Tr[l[1,1]]^2*alpha1*z2
          - 9/40*MatrixProduct[Yd1]*Tr[l[1,1]]^2*alpha1*Doub1*z2
          + 3*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,1].l[1,1]]
          + 15/4*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1]]*lam[1,1,1,1]
          + 333/32*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1]]*alpha2
          + 9/16*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1]]*alpha2*z2
          - 153/8*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1]]*alpha2*Doub1
          + 9/2*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1]]*alpha2*Doub1*z3
          - 9/16*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1]]*alpha2*Doub1*z2
          + 909/160*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1]]*alpha1
          - 27/10*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1]]*alpha1*z3
          - 63/10*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1]]*alpha1*Doub1
          - 25/32*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1].l[1,1]]
          + 3/2*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1].l[1,1]]*z3
          + 3/16*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1].l[2,2]]
          + 45/8*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*lam[1,1,2,1]
          - 11/8*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2].l[2,1]]
          + 3*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2].l[2,1]]*z3
          + 45/8*MatrixProduct[Yd1]*Tr[l[1,1].l[2,1]]*lam[1,1,1,2]
          - 3/8*MatrixProduct[Yd1]*Tr[l[1,1].l[2,1].l[1,2]]
          + 5/2*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*lam[1,2,2,1]
          + 5/4*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*lam[1,1,2,2]
          + 9*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha2
          - 333/32*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha2*Doub2
          + 9/32*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha2*Doub2*z2
          + 183/32*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*z2
          - 93/16*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*
         Doub2
          + 9/16*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 807/160*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha1
          - 9/2*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha1*z3
          - 267/40*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha1*Doub2*z3
          + 9/160*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha1*Doub2*z2
          + 183/160*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha1*Doub1
          - 27/160*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*z2
          - 93/80*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*
         Doub2
          + 9/80*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 7/32*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2].l[2,2]]
          - 15/16*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/8*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 45/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2*lam[1,1,2,1]*Doub2
          - 45/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2*lam[1,1,2,1]*Doub1
          + 27/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*lam[1,1,2,1]*Doub2
          - 27/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*lam[1,1,2,1]*Doub1
          + 9*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[u[1,1].u[2,1]]
          - 3/8*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[u[1,1].d[2,1]]
          - 3/8*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[u[2,1].d[1,1]]
          + 9*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[d[1,1].d[2,1]]
          + 3*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[1,1].l[2,1]]
          - 9/8*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2
          + 9/8*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 9/4*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub2
          - 9/16*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub2*
         z2
          + 495/32*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 27/16*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 567/32*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 9/8*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 9/40*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1
          + 9/40*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 9/20*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub2
          - 9/80*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub2*
         z2
          + 99/32*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *z2
          - 567/160*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 9/40*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,2].l[1,2]]*lam[2,1,2,1]
          + 5/4*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*lam[1,2,2,1]
          + 5/2*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*lam[1,1,2,2]
          + 45/32*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha2
          + 9/16*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha2*z2
          - 135/16*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha2*Doub2
          + 9/2*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha2*Doub2*z3
          - 3/16*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha2*Doub1
          - 9/16*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha2*Doub1*z2
          + 51/80*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha1
          + 9/5*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha1*z3
          + 69/160*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha1*Doub2
          - 9/2*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha1*Doub2*z2
          + 183/80*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*z2
          - 93/40*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*
         Doub2
          + 9/40*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 1/16*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1].l[2,2]]
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2].l[2,1]]
          + 3/2*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2].l[2,1]]*z3
          - 15/16*MatrixProduct[Yd1]*Tr[l[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd1]*Tr[l[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yd1]*Tr[l[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yd1]*Tr[l[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yd1]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yd1]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yd1]*Tr[l[2,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          - 45/32*MatrixProduct[Yd1]*Tr[l[2,1]]*alpha2*lam[1,1,1,2]*Doub2
          + 45/32*MatrixProduct[Yd1]*Tr[l[2,1]]*alpha2*lam[1,1,1,2]*Doub1
          - 27/32*MatrixProduct[Yd1]*Tr[l[2,1]]*alpha1*lam[1,1,1,2]*Doub2
          + 27/32*MatrixProduct[Yd1]*Tr[l[2,1]]*alpha1*lam[1,1,1,2]*Doub1
          + 9*MatrixProduct[Yd1]*Tr[l[2,1]]*Tr[u[1,1].u[1,2]]
          - 3/8*MatrixProduct[Yd1]*Tr[l[2,1]]*Tr[u[1,1].d[1,2]]
          - 3/8*MatrixProduct[Yd1]*Tr[l[2,1]]*Tr[u[1,2].d[1,1]]
          + 9*MatrixProduct[Yd1]*Tr[l[2,1]]*Tr[d[1,1].d[1,2]]
          + 3*MatrixProduct[Yd1]*Tr[l[2,1]]*Tr[l[1,1].l[1,2]]
          + 15/8*MatrixProduct[Yd1]*Tr[l[2,1].l[2,1]]*lam[1,2,1,2]
          + 15/8*MatrixProduct[Yd1]*Tr[l[2,1].l[2,2]]*lam[1,2,2,2]
          - 5/4*MatrixProduct[Yd1]*Tr[l[2,2]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yd1]*Tr[l[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yd1]*Tr[l[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 5/4*MatrixProduct[Yd1]*Tr[l[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 5/4*MatrixProduct[Yd1]*Tr[l[2,2]]*lam[1,1,2,2]^2
          - 45/16*MatrixProduct[Yd1]*Tr[l[2,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          + 103/64*MatrixProduct[Yd1]*Tr[l[2,2]]*alpha2^2
          - 85/64*MatrixProduct[Yd1]*Tr[l[2,2]]*alpha2^2*Doub2
          - 221/64*MatrixProduct[Yd1]*Tr[l[2,2]]*alpha2^2*Doub1
          + 49/32*MatrixProduct[Yd1]*Tr[l[2,2]]*alpha2^2*Doub1*Doub2
          + 3359/4800*MatrixProduct[Yd1]*Tr[l[2,2]]*alpha1^2
          - 953/4800*MatrixProduct[Yd1]*Tr[l[2,2]]*alpha1^2*Doub2
          - 1491/1600*MatrixProduct[Yd1]*Tr[l[2,2]]*alpha1^2*Doub1
          + 147/800*MatrixProduct[Yd1]*Tr[l[2,2]]*alpha1^2*Doub1*Doub2
          + 3*MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[u[1,1].u[2,2]]
          + 3*MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[u[1,1].d[2,2]]
          + 6*MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[u[1,2].u[2,1]]
          - 27/8*MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[u[1,2].d[2,1]]
          - 27/8*MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[u[2,1].d[1,2]]
          + 3*MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[u[2,2].d[1,1]]
          + 3*MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[d[1,1].d[2,2]]
          + 6*MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[d[1,2].d[2,1]]
          + MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[l[1,1].l[2,2]]
          + 2*MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[l[1,2].l[2,1]]
          - 15/8*MatrixProduct[Yd2]*lam[2,1,2,2]*lam[1,2,2,1]^2
          - 9/4*MatrixProduct[Yd2]*lam[2,1,2,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yd2]*lam[2,1,2,2]*lam[2,2,2,2]^2
          - 9/2*MatrixProduct[Yd2]*lam[1,2,2,2]*lam[2,1,2,2]^2
          - 27/8*MatrixProduct[Yd2]*lam[2,1,2,1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yd2]*lam[2,1,2,1]*lam[1,2,2,2]*lam[2,2,2,2]
          - 9/4*MatrixProduct[Yd2]*lam[1,2,1,2]*lam[2,1,2,1]*lam[2,1,2,2]
          - 27/8*MatrixProduct[Yd2]*lam[1,1,2,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yd2]*lam[1,1,2,2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 3*MatrixProduct[Yd2]*lam[1,1,2,2]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yd2]*lam[1,1,2,2]^2*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yd2]*lam[1,1,2,1]*lam[1,2,2,1]^2
          - 3/4*MatrixProduct[Yd2]*lam[1,1,2,1]*lam[2,2,2,2]*lam[1,2,2,1]
          - 21/8*MatrixProduct[Yd2]*lam[1,1,2,1]*lam[1,2,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yd2]*lam[1,1,2,1]*lam[1,2,1,2]*lam[2,1,2,1]
          - 27/8*MatrixProduct[Yd2]*lam[1,1,2,1]*lam[1,1,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yd2]*lam[1,1,2,1]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yd2]*lam[1,1,2,1]*lam[1,1,2,2]^2
          - 15/8*MatrixProduct[Yd2]*lam[1,1,2,1]^2*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yd2]*lam[1,1,1,2]*lam[2,1,2,2]^2
          - 27/8*MatrixProduct[Yd2]*lam[1,1,1,2]*lam[2,1,2,1]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yd2]*lam[1,1,1,2]*lam[2,1,2,1]*lam[2,2,2,2]
          - 3*MatrixProduct[Yd2]*lam[1,1,1,2]*lam[1,1,2,2]*lam[2,1,2,1]
          - 21/8*MatrixProduct[Yd2]*lam[1,1,1,2]*lam[1,1,2,1]*lam[2,1,2,2]
          - 9/2*MatrixProduct[Yd2]*lam[1,1,1,2]*lam[1,1,2,1]^2
          - 3/4*MatrixProduct[Yd2]*lam[1,1,1,1]*lam[2,1,2,2]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yd2]*lam[1,1,1,1]*lam[2,1,2,1]*lam[1,2,2,2]
          - 9/8*MatrixProduct[Yd2]*lam[1,1,1,1]*lam[1,1,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yd2]*lam[1,1,1,1]*lam[1,1,2,1]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yd2]*lam[1,1,1,1]*lam[1,1,2,1]*lam[1,1,2,2]
          - 9/4*MatrixProduct[Yd2]*lam[1,1,1,1]*lam[1,1,1,2]*lam[2,1,2,1]
          - 9/4*MatrixProduct[Yd2]*lam[1,1,1,1]^2*lam[1,1,2,1]
          + 3/32*MatrixProduct[Yd2]*alpha2*lam[2,1,2,2]*lam[1,2,2,1]*Doub2
          + 219/64*MatrixProduct[Yd2]*alpha2*lam[2,1,2,2]*lam[1,2,2,1]*Doub1
          + 135/64*MatrixProduct[Yd2]*alpha2*lam[2,1,2,2]*lam[1,2,2,1]*Doub1*
         Doub2
          + 9/64*MatrixProduct[Yd2]*alpha2*lam[2,1,2,2]*lam[2,2,2,2]*Doub2
          + 81/16*MatrixProduct[Yd2]*alpha2*lam[2,1,2,2]*lam[2,2,2,2]*Doub1
          + 27/64*MatrixProduct[Yd2]*alpha2*lam[2,1,2,2]*lam[2,2,2,2]*Doub1*Doub2
          - 123/16*MatrixProduct[Yd2]*alpha2*lam[2,1,2,1]*lam[1,2,2,2]*Doub2
          + 609/64*MatrixProduct[Yd2]*alpha2*lam[2,1,2,1]*lam[1,2,2,2]*Doub1
          + 243/64*MatrixProduct[Yd2]*alpha2*lam[2,1,2,1]*lam[1,2,2,2]*Doub1*
         Doub2
          + 63/8*MatrixProduct[Yd2]*alpha2*lam[1,1,2,2]*lam[2,1,2,2]*Doub2
          - 171/64*MatrixProduct[Yd2]*alpha2*lam[1,1,2,2]*lam[2,1,2,2]*Doub1
          + 27/64*MatrixProduct[Yd2]*alpha2*lam[1,1,2,2]*lam[2,1,2,2]*Doub1*Doub2
          + 57/64*MatrixProduct[Yd2]*alpha2*lam[1,1,2,1]*lam[1,2,2,1]*Doub2
          + 21/8*MatrixProduct[Yd2]*alpha2*lam[1,1,2,1]*lam[1,2,2,1]*Doub1
          + 135/64*MatrixProduct[Yd2]*alpha2*lam[1,1,2,1]*lam[1,2,2,1]*Doub1*
         Doub2
          - 333/64*MatrixProduct[Yd2]*alpha2*lam[1,1,2,1]*lam[1,1,2,2]*Doub2
          + 333/32*MatrixProduct[Yd2]*alpha2*lam[1,1,2,1]*lam[1,1,2,2]*Doub1
          + 27/64*MatrixProduct[Yd2]*alpha2*lam[1,1,2,1]*lam[1,1,2,2]*Doub1*Doub2
          + 447/64*MatrixProduct[Yd2]*alpha2*lam[1,1,1,2]*lam[2,1,2,1]*Doub2
          - 165/32*MatrixProduct[Yd2]*alpha2*lam[1,1,1,2]*lam[2,1,2,1]*Doub1
          + 243/64*MatrixProduct[Yd2]*alpha2*lam[1,1,1,2]*lam[2,1,2,1]*Doub1*
         Doub2
          + 81/32*MatrixProduct[Yd2]*alpha2*lam[1,1,1,1]*lam[1,1,2,1]*Doub2
          + 171/64*MatrixProduct[Yd2]*alpha2*lam[1,1,1,1]*lam[1,1,2,1]*Doub1
          + 27/64*MatrixProduct[Yd2]*alpha2*lam[1,1,1,1]*lam[1,1,2,1]*Doub1*Doub2
          - 351/128*MatrixProduct[Yd2]*alpha2^2*lam[2,1,2,2]*Doub2
          + 27/16*MatrixProduct[Yd2]*alpha2^2*lam[2,1,2,2]*Doub2*z3
          + 9/128*MatrixProduct[Yd2]*alpha2^2*lam[2,1,2,2]*Doub1*Doub2
          - 27/16*MatrixProduct[Yd2]*alpha2^2*lam[2,1,2,2]*Doub1*Doub2*z3
          - 351/128*MatrixProduct[Yd2]*alpha2^2*lam[1,1,2,1]*Doub1
          + 27/16*MatrixProduct[Yd2]*alpha2^2*lam[1,1,2,1]*Doub1*z3
          + 9/128*MatrixProduct[Yd2]*alpha2^2*lam[1,1,2,1]*Doub1*Doub2
          - 27/16*MatrixProduct[Yd2]*alpha2^2*lam[1,1,2,1]*Doub1*Doub2*z3
          + 63/40*MatrixProduct[Yd2]*alpha1*lam[2,1,2,2]*lam[1,2,2,1]*Doub2
          - 171/320*MatrixProduct[Yd2]*alpha1*lam[2,1,2,2]*lam[1,2,2,1]*Doub1
          + 27/320*MatrixProduct[Yd2]*alpha1*lam[2,1,2,2]*lam[1,2,2,1]*Doub1*
         Doub2
          + 9/320*MatrixProduct[Yd2]*alpha1*lam[2,1,2,2]*lam[2,2,2,2]*Doub2
          + 81/80*MatrixProduct[Yd2]*alpha1*lam[2,1,2,2]*lam[2,2,2,2]*Doub1
          + 27/320*MatrixProduct[Yd2]*alpha1*lam[2,1,2,2]*lam[2,2,2,2]*Doub1*
         Doub2
          - 99/32*MatrixProduct[Yd2]*alpha1*lam[2,1,2,1]*lam[1,2,2,2]*Doub2
          + 999/320*MatrixProduct[Yd2]*alpha1*lam[2,1,2,1]*lam[1,2,2,2]*Doub1
          + 351/320*MatrixProduct[Yd2]*alpha1*lam[2,1,2,1]*lam[1,2,2,2]*Doub1*
         Doub2
          + 63/40*MatrixProduct[Yd2]*alpha1*lam[1,1,2,2]*lam[2,1,2,2]*Doub2
          - 171/320*MatrixProduct[Yd2]*alpha1*lam[1,1,2,2]*lam[2,1,2,2]*Doub1
          + 27/320*MatrixProduct[Yd2]*alpha1*lam[1,1,2,2]*lam[2,1,2,2]*Doub1*
         Doub2
          - 333/320*MatrixProduct[Yd2]*alpha1*lam[1,1,2,1]*lam[1,2,2,1]*Doub2
          + 333/160*MatrixProduct[Yd2]*alpha1*lam[1,1,2,1]*lam[1,2,2,1]*Doub1
          + 27/320*MatrixProduct[Yd2]*alpha1*lam[1,1,2,1]*lam[1,2,2,1]*Doub1*
         Doub2
          - 333/320*MatrixProduct[Yd2]*alpha1*lam[1,1,2,1]*lam[1,1,2,2]*Doub2
          + 333/160*MatrixProduct[Yd2]*alpha1*lam[1,1,2,1]*lam[1,1,2,2]*Doub1
          + 27/320*MatrixProduct[Yd2]*alpha1*lam[1,1,2,1]*lam[1,1,2,2]*Doub1*
         Doub2
          + 837/320*MatrixProduct[Yd2]*alpha1*lam[1,1,1,2]*lam[2,1,2,1]*Doub2
          - 207/80*MatrixProduct[Yd2]*alpha1*lam[1,1,1,2]*lam[2,1,2,1]*Doub1
          + 351/320*MatrixProduct[Yd2]*alpha1*lam[1,1,1,2]*lam[2,1,2,1]*Doub1*
         Doub2
          + 81/160*MatrixProduct[Yd2]*alpha1*lam[1,1,1,1]*lam[1,1,2,1]*Doub2
          + 171/320*MatrixProduct[Yd2]*alpha1*lam[1,1,1,1]*lam[1,1,2,1]*Doub1
          + 27/320*MatrixProduct[Yd2]*alpha1*lam[1,1,1,1]*lam[1,1,2,1]*Doub1*
         Doub2
          - 63/320*MatrixProduct[Yd2]*alpha1*alpha2*lam[2,1,2,2]*Doub2
          + 27/40*MatrixProduct[Yd2]*alpha1*alpha2*lam[2,1,2,2]*Doub2*z3
          + 9/320*MatrixProduct[Yd2]*alpha1*alpha2*lam[2,1,2,2]*Doub1*Doub2
          - 27/40*MatrixProduct[Yd2]*alpha1*alpha2*lam[2,1,2,2]*Doub1*Doub2*
         z3
          - 63/320*MatrixProduct[Yd2]*alpha1*alpha2*lam[1,1,2,1]*Doub1
          + 27/40*MatrixProduct[Yd2]*alpha1*alpha2*lam[1,1,2,1]*Doub1*z3
          + 9/320*MatrixProduct[Yd2]*alpha1*alpha2*lam[1,1,2,1]*Doub1*Doub2
          - 27/40*MatrixProduct[Yd2]*alpha1*alpha2*lam[1,1,2,1]*Doub1*Doub2*
         z3
          - 477/3200*MatrixProduct[Yd2]*alpha1^2*lam[2,1,2,2]*Doub2
          + 81/400*MatrixProduct[Yd2]*alpha1^2*lam[2,1,2,2]*Doub2*z3
          + 27/3200*MatrixProduct[Yd2]*alpha1^2*lam[2,1,2,2]*Doub1*Doub2
          - 81/400*MatrixProduct[Yd2]*alpha1^2*lam[2,1,2,2]*Doub1*Doub2*z3
          - 477/3200*MatrixProduct[Yd2]*alpha1^2*lam[1,1,2,1]*Doub1
          + 81/400*MatrixProduct[Yd2]*alpha1^2*lam[1,1,2,1]*Doub1*z3
          + 27/3200*MatrixProduct[Yd2]*alpha1^2*lam[1,1,2,1]*Doub1*Doub2
          - 81/400*MatrixProduct[Yd2]*alpha1^2*lam[1,1,2,1]*Doub1*Doub2*z3
          - 45/16*MatrixProduct[Yd2]*Tr[u[1,1]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[u[1,1]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[u[1,1]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[u[1,1]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yd2]*Tr[u[1,1]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[u[1,1]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 135/16*MatrixProduct[Yd2]*Tr[u[1,1]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 27*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[1,1].u[2,1]]
          - 9/8*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*z2
          + 3807/32*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub2*z2
          + 1971/64*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*z2
          + 3807/160*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub2*z2
          + 1971/320*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*Doub1
         *Doub2*z2
          - 9/8*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1].d[1,1]]
          + 27*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*z2
          + 3807/32*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 1971/64*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*z2
          + 3807/160*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 1971/320*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[1,1].l[2,1]]
          - 27/8*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*z2
          + 1269/32*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 657/64*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*z2
          + 1269/160*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 657/320*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yd2]*Tr[u[1,1].u[1,1]]*lam[1,1,2,1]
          - 75/32*MatrixProduct[Yd2]*Tr[u[1,1].u[1,1].u[2,1]]
          + 9/2*MatrixProduct[Yd2]*Tr[u[1,1].u[1,1].u[2,1]]*z3
          - 99/32*MatrixProduct[Yd2]*Tr[u[1,1].u[1,1].d[2,1]]
          + 45/8*MatrixProduct[Yd2]*Tr[u[1,1].u[1,2]]*lam[2,1,2,1]
          + 45/8*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*lam[1,1,2,2]
          + 45/8*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha3
          - 36*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha3*z3
          + 999/32*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha2
          + 27/16*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha2*z2
          + 1899/128*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha2*Doub2*z2
          - 7803/128*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 1563/80*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha1
          - 27/5*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha1*z3
          + 4131/640*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha1*Doub2*z2
          - 3099/128*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha1*Doub1*z3
          + 81/160*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*alpha1*Doub1*
         Doub2
          - 45/32*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1].u[2,2]]
          + 9/2*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1].u[2,2]]*z3
          + 9/16*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1].d[1,1]]
          - 9/8*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1].d[2,2]]
          + 45/8*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*lam[1,1,2,1]
          - 33/32*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2].u[2,1]]
          - 15/32*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2].d[2,1]]
          + 15/4*MatrixProduct[Yd2]*Tr[u[1,1].d[1,1].u[2,1]]
          + 15/4*MatrixProduct[Yd2]*Tr[u[1,1].d[1,1].d[2,1]]
          + 57/4*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha3
          - 12*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha3*z3
          + 1089/32*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha2
          - 27/8*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha2*z2
          + 1773/128*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha2*Doub2*z2
          - 2709/128*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 453/80*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha1
          + 39/10*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha1*z3
          - 27/80*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha1*z2
          - 459/640*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha1*Doub2*z2
          + 4983/640*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha1*Doub1
          - 9/5*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 117/32*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1].u[2,2]]
          + 9/16*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1].d[1,1]]
          - 33/16*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1].d[2,2]]
          - 33/16*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2].u[2,1]]
          - 9/8*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2].d[2,1]]
          - 45/8*MatrixProduct[Yd2]*Tr[u[1,2]]*lam[2,1,2,2]^2
          - 45/8*MatrixProduct[Yd2]*Tr[u[1,2]]*lam[2,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[u[1,2]]*lam[2,1,2,1]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[u[1,2]]*lam[1,1,2,2]*lam[2,1,2,1]
          - 45/8*MatrixProduct[Yd2]*Tr[u[1,2]]*lam[1,1,2,1]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[u[1,2]]*lam[1,1,2,1]^2
          - 45/16*MatrixProduct[Yd2]*Tr[u[1,2]]*lam[1,1,1,1]*lam[2,1,2,1]
          + 81/64*MatrixProduct[Yd2]*Tr[u[1,2]]*alpha2*lam[2,1,2,1]*Doub2
          - 459/64*MatrixProduct[Yd2]*Tr[u[1,2]]*alpha2*lam[2,1,2,1]*Doub1
          + 189/32*MatrixProduct[Yd2]*Tr[u[1,2]]*alpha2*lam[2,1,2,1]*Doub1*
         Doub2
          + 243/320*MatrixProduct[Yd2]*Tr[u[1,2]]*alpha1*lam[2,1,2,1]*Doub2
          - 1377/320*MatrixProduct[Yd2]*Tr[u[1,2]]*alpha1*lam[2,1,2,1]*Doub1
          + 567/160*MatrixProduct[Yd2]*Tr[u[1,2]]*alpha1*lam[2,1,2,1]*Doub1*
         Doub2
          + 27*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1].u[2,1]]
          - 9/4*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1].d[2,1]]
          + 27*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1].d[2,1]]
          + 9*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1].l[2,1]]
          + 45/8*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1].u[2,1]]
          + 9/2*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1].u[2,1]]*z3
          - 15/16*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1].d[2,1]]
          + 45/8*MatrixProduct[Yd2]*Tr[u[1,2].u[2,2]]*lam[2,1,2,1]
          - 15/16*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1].u[2,1]]
          + 15/2*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1].d[2,1]]
          - 15/16*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/4*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/16*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 503/3*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha3^2
          - 108*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha3^2*z3
          - 16*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha3^2*Ng
          - 81/64*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*lam[1,1,2,2]*Doub2
          + 459/64*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*lam[1,1,2,2]*Doub1
          - 189/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 261/8*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*alpha3
          - 36*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*alpha3*z2
          - 129/8*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*alpha3*Doub2
          + 81*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*alpha3*Doub2*z3
          + 177/8*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*alpha3*Doub1
          + 45*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*alpha3*Doub1*z3
          - 69/2*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*alpha3*Doub1*
         Doub2
          - 36*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*alpha3*Doub1*Doub2*
         z3
          + 27/2*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*alpha3*Doub1*
         Doub2*z2
          - 2007/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2
          + 27/2*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*Ng
          - 64467/512*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*Doub2
          - 189/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*Doub2*z3
          + 27/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*Doub2*z2
          + 675/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*Doub2*Ng
          - 57015/512*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*Doub1
          + 243/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*Doub1*z3
          + 27/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*Doub1*z2
          + 675/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*Doub1*Ng
          + 42039/128*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*Doub1*
         Doub2
          - 729/16*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*Doub1*Doub2*
         z3
          + 27/64*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*Doub1*Doub2*z2
          - 783/16*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2^2*Doub1*Doub2*
         Ng
          - 81/160*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*lam[1,2,2,1]*Doub2
          + 459/160*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*lam[1,2,2,1]*Doub1
          - 189/80*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          - 81/320*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*lam[1,1,2,2]*Doub2
          + 459/320*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*lam[1,1,2,2]*Doub1
          - 189/160*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*lam[1,1,2,2]*Doub1*
         Doub2
          - 347/24*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha3
          + 12/5*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha3*z2
          - 129/40*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha3*Doub2
          + 81/5*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha3*Doub2*z3
          + 177/40*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha3*Doub1
          + 9*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha3*Doub1*z3
          - 69/10*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha3*Doub1*
         Doub2
          - 36/5*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha3*Doub1*
         Doub2*z3
          + 27/10*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha3*Doub1*
         Doub2*z2
          - 162/5*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha2
          + 99/20*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha2*z3
          - 27/160*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha2*z2
          + 28047/1280*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha2*
         Doub2
          + 81/80*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha2*Doub2*z3
          - 81/80*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha2*Doub2*z2
          + 40107/1280*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha2*
         Doub1
          - 63/80*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha2*Doub1*z3
          - 81/80*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha2*Doub1*z2
          - 669/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha2*Doub1*
         Doub2
          + 63/40*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 351/160*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z2
          - 1619/600*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2
          + 3/25*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*z3
          - 27/320*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*z2
          - 19/80*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*Ng
          + 20889/12800*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*Doub2
          + 351/800*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*Doub2*z3
          - 81/800*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*Doub2*z2
          + 135/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*Doub2*Ng
          + 34821/12800*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*Doub1
          + 63/800*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*Doub1*z3
          - 81/800*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*Doub1*z2
          + 135/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*Doub1*Ng
          - 405/128*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*Doub1*Doub2
          - 477/400*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*Doub1*Doub2*
         z3
          + 459/1600*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*Doub1*Doub2
         *z2
          - 783/80*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1^2*Doub1*Doub2*
         Ng
          + 18*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[1,1].u[2,2]]
          - 81/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,1].d[1,2]]
          - 81/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*z2
          + 3807/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub2*z2
          + 2889/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*z2
          + 3807/320*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub2*z2
          + 2889/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*Doub1
         *Doub2*z2
          - 81/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2].d[1,1]]
          - 81/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*z2
          + 3807/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub2*z2
          + 1971/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*z2
          + 3807/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub2*z2
          + 1971/320*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*Doub1
         *Doub2*z2
          + 18*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*z2
          + 3807/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub2*z2
          + 2889/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*z2
          + 3807/320*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub2*z2
          + 2889/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*Doub1
         *Doub2*z2
          - 27/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*z2
          + 1269/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*Doub2
         *z2
          + 657/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*z2
          + 1269/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub2*z2
          + 657/320*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*Doub1
         *Doub2*z2
          + 6*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2].l[2,1]]
          - 27/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*z2
          + 1269/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*Doub2
         *z2
          + 963/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*z2
          + 1269/320*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 963/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yd2]*Tr[u[2,1].u[2,1]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yd2]*Tr[u[2,1].u[2,1]]*lam[1,1,1,2]
          + 15/2*MatrixProduct[Yd2]*Tr[u[2,1].u[2,1].d[1,2]]
          + 45/8*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*lam[2,2,2,2]
          + 45/8*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*lam[1,1,2,2]
          + 15/4*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha3
          - 36*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha2
          + 27/16*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha2*z2
          - 6453/128*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha2*Doub2*z2
          + 549/128*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 1563/80*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha1
          - 27/5*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha1*z3
          - 2829/128*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha1*Doub2*z3
          + 81/160*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha1*Doub2*z2
          + 2781/640*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*alpha1*Doub1*
         Doub2
          - 75/32*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2].u[2,2]]
          + 9/2*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2].u[2,2]]*z3
          - 9/8*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2].d[1,1]]
          + 9/16*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2].d[2,2]]
          + 57/4*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha3
          - 12*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha3*z3
          + 1089/32*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha2
          - 27/8*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha2*z2
          + 1773/128*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha2*Doub2*z2
          - 2709/128*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 1557/160*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha1
          + 33/5*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha1*z3
          - 27/80*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha1*z2
          - 459/640*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha1*Doub2*z2
          + 7923/640*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha1*Doub1
          - 63/10*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1]]*alpha1*Doub1*
         Doub2*z2
          - 33/16*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1].u[2,2]]
          - 99/32*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1].d[1,1]]
          + 117/32*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1].d[2,2]]
          - 15/16*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2].d[2,1]]
          - 15/16*MatrixProduct[Yd2]*Tr[u[2,1].d[2,1].d[1,2]]
          + 57/4*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha3*z3
          + 1089/32*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha2
          - 27/8*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha2*z2
          - 2619/128*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha2*Doub2*z2
          + 1683/128*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 1557/160*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha1
          + 33/5*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha1*z3
          - 27/80*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha1*z2
          + 8013/640*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha1*Doub2
          - 63/10*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha1*Doub2*z2
          - 549/640*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 15/4*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2].u[2,2]]
          - 15/32*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2].d[1,1]]
          - 99/32*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2].d[2,2]]
          - 45/8*MatrixProduct[Yd2]*Tr[u[2,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yd2]*Tr[u[2,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[u[2,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[u[2,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[u[2,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[u[2,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[u[2,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 27*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[u[2,1].u[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[u[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[u[2,2].d[2,1]]
          - 81/8*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*z2
          + 3807/64*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 2889/32*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*z2
          + 3807/320*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 2889/160*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 27*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,1].d[2,2]]
          - 27/8*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*z2
          + 1269/64*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 963/32*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*z2
          + 1269/320*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 963/160*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2]]*lam[2,1,2,2]
          - 99/32*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2].d[2,1]]
          - 33/16*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1].d[2,1]]
          + 57/4*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha3
          - 12*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha3*z3
          + 1089/32*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha2
          - 27/8*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha2*z2
          - 2619/128*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha2*Doub2*z2
          + 1683/128*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 453/80*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha1
          + 39/10*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha1*z3
          - 27/80*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha1*z2
          + 5073/640*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha1*Doub2
          - 9/5*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha1*Doub2*z2
          - 549/640*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 9/8*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1].d[1,1]]
          + 15/4*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1].d[2,2]]
          + 9/16*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2].d[2,1]]
          - 45/16*MatrixProduct[Yd2]*Tr[d[1,1]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[d[1,1]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[d[1,1]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[d[1,1]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yd2]*Tr[d[1,1]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[d[1,1]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 135/16*MatrixProduct[Yd2]*Tr[d[1,1]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 27*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[u[1,1].u[2,1]]
          - 9/8*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[u[1,1].d[2,1]]
          - 9/8*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[u[2,1].d[1,1]]
          + 27*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*z2
          + 3807/32*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 1971/64*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*z2
          + 3807/160*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 1971/320*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[1,1].l[2,1]]
          - 27/8*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*z2
          + 1269/32*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 657/64*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*z2
          + 1269/160*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 657/320*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yd2]*Tr[d[1,1].d[1,1]]*lam[1,1,2,1]
          - 75/32*MatrixProduct[Yd2]*Tr[d[1,1].d[1,1].d[2,1]]
          + 9/2*MatrixProduct[Yd2]*Tr[d[1,1].d[1,1].d[2,1]]*z3
          + 45/8*MatrixProduct[Yd2]*Tr[d[1,1].d[1,2]]*lam[2,1,2,1]
          + 45/8*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*lam[1,1,2,2]
          + 45/8*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha3
          - 36*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha3*z3
          + 999/32*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha2
          + 27/16*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha2*z2
          + 1899/128*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha2*Doub2*z2
          - 7803/128*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 717/32*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha1
          - 63/10*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha1*z3
          + 4131/640*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha1*Doub2*z2
          - 3687/128*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha1*Doub1
          + 9*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha1*Doub1*z3
          + 81/160*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*alpha1*Doub1*
         Doub2
          - 33/32*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1].d[2,2]]
          + 45/8*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*lam[1,1,2,1]
          - 45/32*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2].d[2,1]]
          + 9/2*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2].d[2,1]]*z3
          - 45/8*MatrixProduct[Yd2]*Tr[d[1,2]]*lam[2,1,2,2]^2
          - 45/8*MatrixProduct[Yd2]*Tr[d[1,2]]*lam[2,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[d[1,2]]*lam[2,1,2,1]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[d[1,2]]*lam[1,1,2,2]*lam[2,1,2,1]
          - 45/8*MatrixProduct[Yd2]*Tr[d[1,2]]*lam[1,1,2,1]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[d[1,2]]*lam[1,1,2,1]^2
          - 45/16*MatrixProduct[Yd2]*Tr[d[1,2]]*lam[1,1,1,1]*lam[2,1,2,1]
          + 81/64*MatrixProduct[Yd2]*Tr[d[1,2]]*alpha2*lam[2,1,2,1]*Doub2
          - 459/64*MatrixProduct[Yd2]*Tr[d[1,2]]*alpha2*lam[2,1,2,1]*Doub1
          + 189/32*MatrixProduct[Yd2]*Tr[d[1,2]]*alpha2*lam[2,1,2,1]*Doub1*
         Doub2
          + 243/320*MatrixProduct[Yd2]*Tr[d[1,2]]*alpha1*lam[2,1,2,1]*Doub2
          - 1377/320*MatrixProduct[Yd2]*Tr[d[1,2]]*alpha1*lam[2,1,2,1]*Doub1
          + 567/160*MatrixProduct[Yd2]*Tr[d[1,2]]*alpha1*lam[2,1,2,1]*Doub1*
         Doub2
          + 27*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[u[2,1].u[2,1]]
          - 9/4*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[u[2,1].d[2,1]]
          + 27*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1].d[2,1]]
          + 9*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1].l[2,1]]
          + 45/8*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1].d[2,1]]
          + 9/2*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1].d[2,1]]*z3
          + 45/8*MatrixProduct[Yd2]*Tr[d[1,2].d[2,2]]*lam[2,1,2,1]
          - 15/16*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/4*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/16*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 551/3*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha3^2
          - 12*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha3^2*z3
          - 16*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha3^2*Ng
          - 81/64*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*lam[1,1,2,2]*Doub2
          + 459/64*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*lam[1,1,2,2]*Doub1
          - 189/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 261/8*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*alpha3
          - 36*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*alpha3*z2
          - 129/8*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*alpha3*Doub2
          + 81*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*alpha3*Doub2*z3
          + 177/8*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*alpha3*Doub1
          + 45*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*alpha3*Doub1*z3
          - 69/2*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*alpha3*Doub1*
         Doub2
          - 36*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*alpha3*Doub1*Doub2*
         z3
          + 27/2*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*alpha3*Doub1*
         Doub2*z2
          - 1287/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2
          + 27/4*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*Ng
          - 64467/512*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*Doub2
          - 189/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*Doub2*z3
          + 27/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*Doub2*z2
          + 675/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*Doub2*Ng
          - 57015/512*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*Doub1
          + 243/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*Doub1*z3
          + 27/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*Doub1*z2
          + 675/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*Doub1*Ng
          + 42039/128*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*Doub1*
         Doub2
          - 729/16*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*Doub1*Doub2*
         z3
          + 27/64*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*Doub1*Doub2*z2
          - 783/16*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2^2*Doub1*Doub2*
         Ng
          - 81/160*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*lam[1,2,2,1]*Doub2
          + 459/160*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*lam[1,2,2,1]*Doub1
          - 189/80*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          - 81/320*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*lam[1,1,2,2]*Doub2
          + 459/320*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*lam[1,1,2,2]*Doub1
          - 189/160*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*lam[1,1,2,2]*Doub1*
         Doub2
          - 307/120*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha3
          - 12*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha3*z2
          - 129/40*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha3*Doub2
          + 81/5*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha3*Doub2*z3
          + 177/40*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha3*Doub1
          + 9*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha3*Doub1*z3
          - 69/10*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha3*Doub1*
         Doub2
          - 36/5*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha3*Doub1*
         Doub2*z3
          + 27/10*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha3*Doub1*
         Doub2*z2
          - 4041/160*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha2
          + 9/10*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha2*z3
          + 27/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha2*z2
          + 5487/256*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha2*Doub2
          - 243/80*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha2*Doub2*z3
          - 81/80*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha2*Doub2*z2
          + 35823/1280*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha2*
         Doub1
          - 171/80*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha2*Doub1*z3
          - 81/80*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha2*Doub1*z2
          - 2787/160*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha2*Doub1*
         Doub2
          + 63/40*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 189/160*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z2
          - 1099/480*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2
          + 6/25*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*z3
          + 189/1600*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*z2
          + 77/80*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*Ng
          + 33201/12800*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*Doub2
          - 297/800*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*Doub2*z3
          - 81/800*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*Doub2*z2
          + 135/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*Doub2*Ng
          + 39789/12800*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*Doub1
          - 153/800*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*Doub1*z3
          - 81/800*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*Doub1*z2
          + 135/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*Doub1*Ng
          - 1809/640*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*Doub1*Doub2
          - 9/80*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*Doub1*Doub2*z3
          + 27/320*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*Doub1*Doub2*
         z2
          - 783/80*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1^2*Doub1*Doub2*
         Ng
          + 18*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[u[1,1].u[2,2]]
          - 81/8*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[u[2,1].d[1,2]]
          - 81/8*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[u[2,2].d[1,1]]
          + 18*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*z2
          + 3807/64*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub2*z2
          + 2889/32*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*z2
          + 3807/320*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub2*z2
          + 2889/160*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*Doub1
         *Doub2*z2
          - 27/8*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*z2
          + 1269/32*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*Doub2
         *z2
          + 657/64*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*z2
          + 1269/160*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub2*z2
          + 657/320*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*Doub1
         *Doub2*z2
          + 6*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2].l[2,1]]
          - 27/8*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*z2
          + 1269/64*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*Doub2
         *z2
          + 963/32*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*z2
          + 1269/320*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 963/160*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yd2]*Tr[d[2,1].d[2,1]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yd2]*Tr[d[2,1].d[2,1]]*lam[1,1,1,2]
          + 45/8*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*lam[2,2,2,2]
          + 45/8*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*lam[1,1,2,2]
          + 15/4*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha3
          - 36*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha2
          + 27/16*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha2*z2
          - 6453/128*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha2*Doub2*z2
          + 549/128*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 717/32*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha1
          - 63/10*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha1*z3
          - 3417/128*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha1*Doub2
          + 9*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha1*Doub2*z3
          + 81/160*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha1*Doub2*z2
          + 2781/640*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*alpha1*Doub1*
         Doub2
          - 75/32*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2].d[2,2]]
          + 9/2*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2].d[2,2]]*z3
          - 45/8*MatrixProduct[Yd2]*Tr[d[2,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yd2]*Tr[d[2,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[d[2,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[d[2,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[d[2,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[d[2,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[d[2,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 27*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[u[2,1].u[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[u[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[u[2,2].d[2,1]]
          + 27*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[d[2,1].d[2,2]]
          - 27/8*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*z2
          + 1269/64*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 963/32*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*z2
          + 1269/320*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 963/160*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2]]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yd2]*Tr[l[1,1]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd2]*Tr[l[1,1]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yd2]*Tr[l[1,1]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yd2]*Tr[l[1,1]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yd2]*Tr[l[1,1]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/8*MatrixProduct[Yd2]*Tr[l[1,1]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[l[1,1]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 9*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[u[1,1].u[2,1]]
          - 3/8*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[u[1,1].d[2,1]]
          - 3/8*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[u[2,1].d[1,1]]
          + 9*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[d[1,1].d[2,1]]
          + 3*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[1,1].l[2,1]]
          - 9/8*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2
          + 9/8*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*z2
          + 423/32*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 27/32*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 219/64*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 27/32*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 1065/64*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 9/16*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 9/40*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1
          + 9/40*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*z2
          + 423/160*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 27/160*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 219/320*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 27/160*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 213/64*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 9/80*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 15/8*MatrixProduct[Yd2]*Tr[l[1,1].l[1,1]]*lam[1,1,2,1]
          - 25/32*MatrixProduct[Yd2]*Tr[l[1,1].l[1,1].l[2,1]]
          + 3/2*MatrixProduct[Yd2]*Tr[l[1,1].l[1,1].l[2,1]]*z3
          + 15/8*MatrixProduct[Yd2]*Tr[l[1,1].l[1,2]]*lam[2,1,2,1]
          + 15/8*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*lam[1,2,2,1]
          + 15/8*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*lam[1,1,2,2]
          + 15/8*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*lam[1,1,1,1]
          + 333/32*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha2
          + 9/16*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha2*z2
          + 633/128*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha2*Doub2
          - 9/32*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha2*Doub2*z2
          - 2601/128*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha2*Doub1
          + 9/2*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha2*Doub1*z2
          - 15/4*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 909/160*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha1
          - 27/10*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha1*z3
          + 1377/640*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha1*Doub2
          - 27/160*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha1*Doub2*z2
          - 837/128*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha1*Doub1*z2
          - 153/80*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*alpha1*Doub1*
         Doub2
          - 11/32*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1].l[2,2]]
          + 15/8*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*lam[2,1,2,2]
          + 15/8*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*lam[1,1,2,1]
          - 15/32*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2].l[2,1]]
          + 3/2*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2].l[2,1]]*z3
          - 15/8*MatrixProduct[Yd2]*Tr[l[1,2]]*lam[2,1,2,2]^2
          - 15/8*MatrixProduct[Yd2]*Tr[l[1,2]]*lam[2,1,2,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd2]*Tr[l[1,2]]*lam[2,1,2,1]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yd2]*Tr[l[1,2]]*lam[1,1,2,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yd2]*Tr[l[1,2]]*lam[1,1,2,1]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yd2]*Tr[l[1,2]]*lam[1,1,2,1]^2
          - 15/16*MatrixProduct[Yd2]*Tr[l[1,2]]*lam[1,1,1,1]*lam[2,1,2,1]
          + 27/64*MatrixProduct[Yd2]*Tr[l[1,2]]*alpha2*lam[2,1,2,1]*Doub2
          - 153/64*MatrixProduct[Yd2]*Tr[l[1,2]]*alpha2*lam[2,1,2,1]*Doub1
          + 63/32*MatrixProduct[Yd2]*Tr[l[1,2]]*alpha2*lam[2,1,2,1]*Doub1*
         Doub2
          + 81/320*MatrixProduct[Yd2]*Tr[l[1,2]]*alpha1*lam[2,1,2,1]*Doub2
          - 459/320*MatrixProduct[Yd2]*Tr[l[1,2]]*alpha1*lam[2,1,2,1]*Doub1
          + 189/160*MatrixProduct[Yd2]*Tr[l[1,2]]*alpha1*lam[2,1,2,1]*Doub1*
         Doub2
          + 9*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[u[2,1].u[2,1]]
          - 3/4*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[u[2,1].d[2,1]]
          + 9*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[d[2,1].d[2,1]]
          + 3*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1].l[2,1]]
          + 15/8*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*lam[2,1,2,2]
          + 15/8*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*lam[1,1,2,1]
          - 3/4*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1].l[2,1]]
          + 3/2*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1].l[2,1]]*z3
          + 15/8*MatrixProduct[Yd2]*Tr[l[1,2].l[2,2]]*lam[2,1,2,1]
          - 5/16*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,2,2,1]^2
          - 15/16*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 5/4*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 5/16*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,1,2,2]^2
          - 15/8*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 15/16*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,1,1,1]*lam[1,1,2,2]
          - 27/64*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2*lam[1,1,2,2]*Doub2
          + 153/64*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2*lam[1,1,2,2]*Doub1
          - 63/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 3*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2*alpha3
          - 18*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2*alpha3*z3
          + 3/2*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2*alpha3*Doub2
          + 9*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2*alpha3*Doub2*z3
          + 3/2*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2*alpha3*Doub1
          + 9*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2*alpha3*Doub1*z3
          - 429/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2
          + 9/4*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*z3
          - 45/64*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*z2
          + 15/16*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*Ng
          - 21489/512*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*Doub2
          - 63/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*Doub2*z3
          + 9/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*Doub2*z2
          + 225/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*Doub2*Ng
          - 19005/512*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*Doub1
          + 81/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*Doub1*z3
          + 9/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*Doub1*z2
          + 225/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*Doub1*Ng
          + 14013/128*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*Doub1*
         Doub2
          - 243/16*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*Doub1*Doub2*
         z3
          + 9/64*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*Doub1*Doub2*z2
          - 261/16*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2^2*Doub1*Doub2*
         Ng
          - 27/160*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*lam[1,2,2,1]*Doub2
          + 153/160*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*lam[1,2,2,1]*Doub1
          - 63/80*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          - 27/320*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*lam[1,1,2,2]*Doub2
          + 153/320*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*lam[1,1,2,2]*Doub1
          - 63/160*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*lam[1,1,2,2]*Doub1*
         Doub2
          - 3/5*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha3
          - 18/5*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha3*z3
          + 3/10*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha3*Doub2
          + 9/5*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha3*Doub2*z3
          + 3/10*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha3*Doub1
          + 9/5*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha3*Doub1*z3
          - 1851/160*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha2
          + 9/5*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha2*z3
          - 27/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha2*z2
          + 8673/1280*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha2*Doub2
          + 279/80*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha2*Doub2*z3
          - 27/80*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha2*Doub2*z2
          + 15549/1280*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha2*
         Doub1
          + 63/80*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha2*Doub1*z3
          - 27/80*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha2*Doub1*z2
          - 297/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha2*Doub1*
         Doub2
          - 27/40*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 243/160*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z2
          - 291/160*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2
          + 99/50*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*z3
          - 297/1600*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*z2
          - 81/80*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*Ng
          - 2613/12800*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*Doub2
          + 621/800*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*Doub2*z3
          - 27/800*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*Doub2*z2
          + 45/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*Doub2*Ng
          + 7743/12800*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*Doub1
          + 189/800*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*Doub1*z3
          - 27/800*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*Doub1*z2
          + 45/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*Doub1*Ng
          - 843/640*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*Doub1*Doub2
          - 99/80*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*Doub1*Doub2*z3
          + 81/320*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*Doub1*Doub2*
         z2
          - 261/80*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1^2*Doub1*Doub2*
         Ng
          + 6*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[u[1,1].u[2,2]]
          - 27/8*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[u[1,1].d[2,2]]
          + 3*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[u[1,2].u[2,1]]
          + 3*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[u[1,2].d[2,1]]
          + 3*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[u[2,1].d[1,2]]
          - 27/8*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[u[2,2].d[1,1]]
          + 6*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[d[1,1].d[2,2]]
          + 3*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[d[1,2].d[2,1]]
          + 2*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[1,1].l[2,2]]
          + MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[1,2].l[2,1]]
          - 9/8*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2
          + 9/8*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*z2
          + 423/64*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 27/32*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*Doub2
         *z2
          + 321/32*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 27/32*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*Doub1
         *z2
          - 1065/64*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 9/16*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 9/40*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1
          + 9/40*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*z2
          + 423/320*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 27/160*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 321/160*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 27/160*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 213/64*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 9/80*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 15/8*MatrixProduct[Yd2]*Tr[l[2,1].l[2,1]]*lam[1,2,2,2]
          + 15/8*MatrixProduct[Yd2]*Tr[l[2,1].l[2,1]]*lam[1,1,1,2]
          + 15/8*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*lam[1,2,2,1]
          + 15/8*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*lam[2,2,2,2]
          + 15/8*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*lam[1,1,2,2]
          + 333/32*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha2
          + 9/16*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha2*z2
          - 2151/128*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha2*Doub2
          + 9/2*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha2*Doub2*z2
          + 183/128*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha2*Doub1
          - 9/32*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha2*Doub1*z2
          - 15/4*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 909/160*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha1
          - 27/10*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha1*z3
          - 747/128*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha1*Doub2*z2
          + 927/640*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha1*Doub1
          - 27/160*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha1*Doub1*z2
          - 153/80*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*alpha1*Doub1*
         Doub2
          - 25/32*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2].l[2,2]]
          + 3/2*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2].l[2,2]]*z3
          - 15/8*MatrixProduct[Yd2]*Tr[l[2,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[l[2,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yd2]*Tr[l[2,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yd2]*Tr[l[2,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yd2]*Tr[l[2,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd2]*Tr[l[2,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/16*MatrixProduct[Yd2]*Tr[l[2,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 9*MatrixProduct[Yd2]*Tr[l[2,2]]*Tr[u[2,1].u[2,2]]
          - 3/8*MatrixProduct[Yd2]*Tr[l[2,2]]*Tr[u[2,1].d[2,2]]
          - 3/8*MatrixProduct[Yd2]*Tr[l[2,2]]*Tr[u[2,2].d[2,1]]
          + 9*MatrixProduct[Yd2]*Tr[l[2,2]]*Tr[d[2,1].d[2,2]]
          + 3*MatrixProduct[Yd2]*Tr[l[2,2]]*Tr[l[2,1].l[2,2]]
          + 15/8*MatrixProduct[Yd2]*Tr[l[2,2].l[2,2]]*lam[2,1,2,2]
          )

       - 1/2*MatrixProduct[Yd1]*ep);

(* Beta function for Yd[2] *)
   betaYd2 = (

       + fourpiinv * (
          + 1/4*MatrixProduct[u[1,1].Yd2]
          - MatrixProduct[u[1,2].Yd1]
          - 3/4*MatrixProduct[u[2,2].Yd2]
          + 1/4*MatrixProduct[d[1,1].Yd2]
          + 1/2*MatrixProduct[d[1,2].Yd1]
          + 3/4*MatrixProduct[d[2,2].Yd2]
          + 3/2*MatrixProduct[Yd1]*Tr[u[1,2]]
          + 3/2*MatrixProduct[Yd1]*Tr[d[1,2]]
          + 1/2*MatrixProduct[Yd1]*Tr[l[1,2]]
          - 4*MatrixProduct[Yd2]*alpha3
          + 3/8*MatrixProduct[Yd2]*alpha2
          - 3/2*MatrixProduct[Yd2]*alpha2*Doub2
          + 7/40*MatrixProduct[Yd2]*alpha1
          - 3/10*MatrixProduct[Yd2]*alpha1*Doub2
          + 3/2*MatrixProduct[Yd2]*Tr[u[2,2]]
          + 3/2*MatrixProduct[Yd2]*Tr[d[2,2]]
          + 1/2*MatrixProduct[Yd2]*Tr[l[2,2]]
          )

       + fourpiinv^2 * (
          - 1/8*MatrixProduct[u[1,1].u[1,1].Yd2]
          + MatrixProduct[u[1,1].u[1,2].Yd1]
          - MatrixProduct[u[1,1].d[1,2].Yd1]
          + MatrixProduct[u[1,1].Yd2]*lam[1,2,2,1]
          - MatrixProduct[u[1,1].Yd2]*lam[1,1,2,2]
          + 8/3*MatrixProduct[u[1,1].Yd2]*alpha3
          - 33/32*MatrixProduct[u[1,1].Yd2]*alpha2
          + 9/8*MatrixProduct[u[1,1].Yd2]*alpha2*Doub2
          + 33/16*MatrixProduct[u[1,1].Yd2]*alpha2*Doub1
          - 9/8*MatrixProduct[u[1,1].Yd2]*alpha2*Doub1*Doub2
          + 253/480*MatrixProduct[u[1,1].Yd2]*alpha1
          - 9/40*MatrixProduct[u[1,1].Yd2]*alpha1*Doub2
          - 51/80*MatrixProduct[u[1,1].Yd2]*alpha1*Doub1
          + 9/40*MatrixProduct[u[1,1].Yd2]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]
          - 9/8*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]
          - 3/8*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]
          + 1/2*MatrixProduct[u[1,2].u[1,1].Yd1]
          - 1/8*MatrixProduct[u[1,2].u[2,1].Yd2]
          + 3/2*MatrixProduct[u[1,2].u[2,2].Yd1]
          + 1/2*MatrixProduct[u[1,2].d[1,1].Yd1]
          - 1/2*MatrixProduct[u[1,2].d[2,2].Yd1]
          - MatrixProduct[u[1,2].Yd1]*lam[1,2,2,1]
          + MatrixProduct[u[1,2].Yd1]*lam[1,1,2,2]
          - 32/3*MatrixProduct[u[1,2].Yd1]*alpha3
          + 3/2*MatrixProduct[u[1,2].Yd1]*alpha2
          - 9/4*MatrixProduct[u[1,2].Yd1]*alpha2*Doub1
          + 11/30*MatrixProduct[u[1,2].Yd1]*alpha1
          - 3/4*MatrixProduct[u[1,2].Yd1]*alpha1*Doub1
          + 3*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]
          + 3*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]
          + MatrixProduct[u[1,2].Yd1]*Tr[l[1,1]]
          + 15/8*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]
          + 15/8*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]
          + 5/8*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]
          + 7/8*MatrixProduct[u[2,1].u[1,2].Yd2]
          - MatrixProduct[u[2,1].d[1,2].Yd2]
          - 9/8*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]
          - 9/8*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]
          - 3/8*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]
          + 1/2*MatrixProduct[u[2,2].u[1,1].Yd2]
          + 11/8*MatrixProduct[u[2,2].u[2,2].Yd2]
          + 1/2*MatrixProduct[u[2,2].d[1,1].Yd2]
          - 1/2*MatrixProduct[u[2,2].d[2,2].Yd2]
          + 3*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]
          + 3*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]
          + MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]
          - 8*MatrixProduct[u[2,2].Yd2]*alpha3
          + 15/32*MatrixProduct[u[2,2].Yd2]*alpha2
          - 3/16*MatrixProduct[u[2,2].Yd2]*alpha2*Doub2
          + 143/160*MatrixProduct[u[2,2].Yd2]*alpha1
          - 111/80*MatrixProduct[u[2,2].Yd2]*alpha1*Doub2
          + 15/8*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]
          + 15/8*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]
          + 5/8*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]
          - 1/8*MatrixProduct[d[1,1].d[1,1].Yd2]
          + MatrixProduct[d[1,1].d[1,2].Yd1]
          - 3*MatrixProduct[d[1,1].Yd1]*lam[1,1,1,2]
          - 2*MatrixProduct[d[1,1].Yd2]*lam[1,2,2,1]
          - MatrixProduct[d[1,1].Yd2]*lam[1,1,2,2]
          + 8/3*MatrixProduct[d[1,1].Yd2]*alpha3
          - 33/32*MatrixProduct[d[1,1].Yd2]*alpha2
          + 9/8*MatrixProduct[d[1,1].Yd2]*alpha2*Doub2
          + 33/16*MatrixProduct[d[1,1].Yd2]*alpha2*Doub1
          - 9/8*MatrixProduct[d[1,1].Yd2]*alpha2*Doub1*Doub2
          - 347/480*MatrixProduct[d[1,1].Yd2]*alpha1
          + 9/40*MatrixProduct[d[1,1].Yd2]*alpha1*Doub2
          + 99/80*MatrixProduct[d[1,1].Yd2]*alpha1*Doub1
          - 9/40*MatrixProduct[d[1,1].Yd2]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]
          - 9/8*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]
          - 3/8*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]
          - 1/8*MatrixProduct[d[1,2].u[1,1].Yd1]
          - 1/8*MatrixProduct[d[1,2].u[2,2].Yd1]
          - 1/8*MatrixProduct[d[1,2].d[1,1].Yd1]
          - 1/8*MatrixProduct[d[1,2].d[2,1].Yd2]
          + 7/8*MatrixProduct[d[1,2].d[2,2].Yd1]
          - MatrixProduct[d[1,2].Yd1]*lam[1,2,2,1]
          - 2*MatrixProduct[d[1,2].Yd1]*lam[1,1,2,2]
          + 16/3*MatrixProduct[d[1,2].Yd1]*alpha3
          + 3/16*MatrixProduct[d[1,2].Yd1]*alpha2
          + 3*MatrixProduct[d[1,2].Yd1]*alpha2*Doub1
          - 239/240*MatrixProduct[d[1,2].Yd1]*alpha1
          + 9/20*MatrixProduct[d[1,2].Yd1]*alpha1*Doub2
          + 33/20*MatrixProduct[d[1,2].Yd1]*alpha1*Doub1
          - 9/20*MatrixProduct[d[1,2].Yd1]*alpha1*Doub1*Doub2
          - 9/4*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]
          - 9/4*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]
          - 3/4*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]
          - 3*MatrixProduct[d[1,2].Yd2]*lam[2,1,2,2]
          - 27/8*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]
          - 27/8*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]
          - 9/8*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]
          + 7/8*MatrixProduct[d[2,1].d[1,2].Yd2]
          - 3*MatrixProduct[d[2,1].Yd1]*lam[1,2,1,2]
          - 3*MatrixProduct[d[2,1].Yd2]*lam[1,2,2,2]
          - 9/8*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]
          - 9/8*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]
          - 3/8*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]
          - 1/8*MatrixProduct[d[2,2].u[1,1].Yd2]
          - 1/8*MatrixProduct[d[2,2].u[2,2].Yd2]
          - 1/8*MatrixProduct[d[2,2].d[1,1].Yd2]
          + 3/4*MatrixProduct[d[2,2].d[2,2].Yd2]
          - 3*MatrixProduct[d[2,2].Yd1]*lam[1,2,2,2]
          - 9/4*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]
          - 9/4*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]
          - 3/4*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]
          - 3*MatrixProduct[d[2,2].Yd2]*lam[2,2,2,2]
          + 8*MatrixProduct[d[2,2].Yd2]*alpha3
          - 27/32*MatrixProduct[d[2,2].Yd2]*alpha2
          + 81/16*MatrixProduct[d[2,2].Yd2]*alpha2*Doub2
          - 55/32*MatrixProduct[d[2,2].Yd2]*alpha1
          + 231/80*MatrixProduct[d[2,2].Yd2]*alpha1*Doub2
          - 27/8*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]
          - 27/8*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]
          - 9/8*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]
          + 3/4*MatrixProduct[Yd1]*lam[1,2,2,2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[Yd1]*lam[1,2,2,2]*lam[2,2,2,2]
          + 3/4*MatrixProduct[Yd1]*lam[1,2,1,2]*lam[2,1,2,2]
          + 3/4*MatrixProduct[Yd1]*lam[1,1,2,2]*lam[1,2,2,2]
          + 3/4*MatrixProduct[Yd1]*lam[1,1,2,1]*lam[1,2,1,2]
          + 3/4*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[1,1,2,2]
          + 3/4*MatrixProduct[Yd1]*lam[1,1,1,1]*lam[1,1,1,2]
          - 27/8*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]
          + 3/8*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]
          + 10*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha3
          - 117/16*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2
          + 9/8*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*Doub2
          - 9/8*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*Doub1
          + 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*Doub1*Doub2
          - 77/80*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1
          + 9/40*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*Doub2
          - 9/40*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*Doub1
          + 81/40*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*Doub1*Doub2
          - 27/8*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]
          + 3/8*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]
          + 3/8*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]
          + 3/8*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]
          - 27/8*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]
          + 10*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha3
          - 117/16*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2
          + 9/8*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*Doub2
          - 9/8*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*Doub1
          + 81/8*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*Doub1*Doub2
          - 137/80*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1
          + 9/40*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*Doub2
          - 9/40*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*Doub1
          + 81/40*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*Doub1*Doub2
          - 27/8*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]
          - 39/16*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2
          + 3/8*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2*Doub2
          - 3/8*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2*Doub1
          + 27/8*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2*Doub1*Doub2
          + 21/80*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1
          + 3/40*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*Doub2
          - 3/40*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]
          + 1/2*MatrixProduct[Yd2]*lam[1,2,2,1]^2
          + 3/4*MatrixProduct[Yd2]*lam[2,2,2,2]^2
          + 9/4*MatrixProduct[Yd2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 3/4*MatrixProduct[Yd2]*lam[1,2,1,2]*lam[2,1,2,1]
          + 1/2*MatrixProduct[Yd2]*lam[1,1,2,2]*lam[1,2,2,1]
          + 1/2*MatrixProduct[Yd2]*lam[1,1,2,2]^2
          + 3/4*MatrixProduct[Yd2]*lam[1,1,1,2]*lam[1,1,2,1]
          - 202/3*MatrixProduct[Yd2]*alpha3^2
          + 40/9*MatrixProduct[Yd2]*alpha3^2*Ng
          + 9/2*MatrixProduct[Yd2]*alpha2*alpha3
          + 381/64*MatrixProduct[Yd2]*alpha2^2
          - 3/4*MatrixProduct[Yd2]*alpha2^2*Ng
          - 661/64*MatrixProduct[Yd2]*alpha2^2*Doub2
          + 5/4*MatrixProduct[Yd2]*alpha2^2*Doub2*Ng
          - 3/32*MatrixProduct[Yd2]*alpha2^2*Doub1
          + 11/32*MatrixProduct[Yd2]*alpha2^2*Doub1*Doub2
          + 31/30*MatrixProduct[Yd2]*alpha1*alpha3
          - 27/160*MatrixProduct[Yd2]*alpha1*alpha2
          - 81/160*MatrixProduct[Yd2]*alpha1*alpha2*Doub2
          - 161/4800*MatrixProduct[Yd2]*alpha1^2
          - 47/180*MatrixProduct[Yd2]*alpha1^2*Ng
          - 187/4800*MatrixProduct[Yd2]*alpha1^2*Doub2
          + 1/4*MatrixProduct[Yd2]*alpha1^2*Doub2*Ng
          - 71/2400*MatrixProduct[Yd2]*alpha1^2*Doub1
          + 33/800*MatrixProduct[Yd2]*alpha1^2*Doub1*Doub2
          - 9/8*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]
          - 9/4*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]
          + 3/2*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1]]
          + 3/2*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2]]
          + 10*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha3
          - 117/16*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2*Doub2
          - 77/80*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1*Doub2
          - 27/8*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]
          + 3/4*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]
          - 9/4*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]
          + 10*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha3
          - 117/16*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2*Doub2
          - 137/80*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1*Doub2
          - 27/8*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2]]
          - 3/8*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]
          - 3/4*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]
          - 39/16*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2*Doub2
          + 21/80*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1*Doub2
          - 9/8*MatrixProduct[Yd2]*Tr[l[2,2].l[2,2]]
          )

       + fourpiinv^3 * (
          - 3/4*MatrixProduct[u[1,1].u[1,1].u[1,1].Yd2]
          + 3/4*MatrixProduct[u[1,1].u[1,1].u[1,1].Yd2]*z3
          + 33/16*MatrixProduct[u[1,1].u[1,1].u[1,2].Yd1]
          - 3*MatrixProduct[u[1,1].u[1,1].u[1,2].Yd1]*z3
          - 7/32*MatrixProduct[u[1,1].u[1,1].d[1,1].Yd2]
          - 2*MatrixProduct[u[1,1].u[1,1].d[1,2].Yd1]
          + 6*MatrixProduct[u[1,1].u[1,1].d[1,2].Yd1]*z3
          - 9/2*MatrixProduct[u[1,1].u[1,1].Yd1]*lam[1,1,1,2]
          + 1/4*MatrixProduct[u[1,1].u[1,1].Yd2]*lam[1,2,2,1]
          + 11/4*MatrixProduct[u[1,1].u[1,1].Yd2]*lam[1,1,2,2]
          + 3/2*MatrixProduct[u[1,1].u[1,1].Yd2]*lam[1,1,1,1]
          - 20/3*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha3
          + 15/8*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha2
          + 9/64*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha2*z2
          - 45/64*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha2*Doub2
          - 9/32*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha2*Doub2*z2
          - 147/32*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha2*Doub1
          + 9/4*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha2*Doub1*z3
          - 9/64*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha2*Doub1*z2
          + 45/64*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha2*Doub1*Doub2
          + 9/32*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha2*Doub1*Doub2*z2
          - 4097/960*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha1
          - 9/320*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha1*z2
          + 21/16*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha1*Doub2
          + 345/64*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha1*Doub1
          - 3/4*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha1*Doub1*z2
          - 21/16*MatrixProduct[u[1,1].u[1,1].Yd2]*alpha1*Doub1*Doub2
          + 15/16*MatrixProduct[u[1,1].u[1,1].Yd2]*Tr[u[1,1]]
          + 15/16*MatrixProduct[u[1,1].u[1,1].Yd2]*Tr[d[1,1]]
          + 5/16*MatrixProduct[u[1,1].u[1,1].Yd2]*Tr[l[1,1]]
          + 1/2*MatrixProduct[u[1,1].u[1,2].u[1,1].Yd1]
          - 29/16*MatrixProduct[u[1,1].u[1,2].u[2,1].Yd2]
          + 3/2*MatrixProduct[u[1,1].u[1,2].u[2,2].Yd1]
          - 7/2*MatrixProduct[u[1,1].u[1,2].d[1,1].Yd1]
          - 3/32*MatrixProduct[u[1,1].u[1,2].d[2,1].Yd2]
          - 1/2*MatrixProduct[u[1,1].u[1,2].d[2,2].Yd1]
          - 5/2*MatrixProduct[u[1,1].u[1,2].Yd1]*lam[1,2,2,1]
          - 5*MatrixProduct[u[1,1].u[1,2].Yd1]*lam[1,1,2,2]
          - 9/2*MatrixProduct[u[1,1].u[1,2].Yd1]*lam[1,1,1,1]
          + 22*MatrixProduct[u[1,1].u[1,2].Yd1]*alpha3
          + 16*MatrixProduct[u[1,1].u[1,2].Yd1]*alpha3*z3
          - 291/32*MatrixProduct[u[1,1].u[1,2].Yd1]*alpha2
          + 27/4*MatrixProduct[u[1,1].u[1,2].Yd1]*alpha2*z3
          - 21/16*MatrixProduct[u[1,1].u[1,2].Yd1]*alpha2*Doub2
          + 141/8*MatrixProduct[u[1,1].u[1,2].Yd1]*alpha2*Doub1
          - 63/4*MatrixProduct[u[1,1].u[1,2].Yd1]*alpha2*Doub1*z3
          + 21/16*MatrixProduct[u[1,1].u[1,2].Yd1]*alpha2*Doub1*Doub2
          + 21/160*MatrixProduct[u[1,1].u[1,2].Yd1]*alpha1
          + 37/20*MatrixProduct[u[1,1].u[1,2].Yd1]*alpha1*z3
          + 51/80*MatrixProduct[u[1,1].u[1,2].Yd1]*alpha1*Doub2
          - 5/8*MatrixProduct[u[1,1].u[1,2].Yd1]*alpha1*Doub1
          - 9/20*MatrixProduct[u[1,1].u[1,2].Yd1]*alpha1*Doub1*z3
          - 51/80*MatrixProduct[u[1,1].u[1,2].Yd1]*alpha1*Doub1*Doub2
          - 51/8*MatrixProduct[u[1,1].u[1,2].Yd1]*Tr[u[1,1]]
          - 51/8*MatrixProduct[u[1,1].u[1,2].Yd1]*Tr[d[1,1]]
          - 17/8*MatrixProduct[u[1,1].u[1,2].Yd1]*Tr[l[1,1]]
          - 3*MatrixProduct[u[1,1].u[1,2].Yd2]*lam[1,1,2,1]
          + 9/4*MatrixProduct[u[1,1].u[1,2].Yd2]*Tr[u[2,1]]
          + 9/4*MatrixProduct[u[1,1].u[1,2].Yd2]*Tr[d[2,1]]
          + 3/4*MatrixProduct[u[1,1].u[1,2].Yd2]*Tr[l[2,1]]
          + MatrixProduct[u[1,1].u[2,1].u[1,2].Yd2]
          - 9/4*MatrixProduct[u[1,1].u[2,1].u[1,2].Yd2]*z3
          - 2*MatrixProduct[u[1,1].u[2,1].d[1,2].Yd2]
          + 6*MatrixProduct[u[1,1].u[2,1].d[1,2].Yd2]*z3
          - 9/2*MatrixProduct[u[1,1].u[2,1].Yd1]*lam[1,2,1,2]
          + 3*MatrixProduct[u[1,1].u[2,1].Yd2]*lam[1,2,2,2]
          + 3/2*MatrixProduct[u[1,1].u[2,1].Yd2]*lam[1,1,1,2]
          + 27/16*MatrixProduct[u[1,1].u[2,1].Yd2]*Tr[u[1,2]]
          + 27/16*MatrixProduct[u[1,1].u[2,1].Yd2]*Tr[d[1,2]]
          + 9/16*MatrixProduct[u[1,1].u[2,1].Yd2]*Tr[l[1,2]]
          - 15/16*MatrixProduct[u[1,1].u[2,2].u[1,1].Yd2]
          + 3*MatrixProduct[u[1,1].u[2,2].u[1,1].Yd2]*z3
          + 33/16*MatrixProduct[u[1,1].u[2,2].u[1,2].Yd1]
          - 3*MatrixProduct[u[1,1].u[2,2].u[1,2].Yd1]*z3
          - 17/8*MatrixProduct[u[1,1].u[2,2].d[1,1].Yd2]
          - MatrixProduct[u[1,1].u[2,2].d[1,2].Yd1]
          - 15/2*MatrixProduct[u[1,1].u[2,2].Yd1]*lam[1,2,2,2]
          - 9/2*MatrixProduct[u[1,1].u[2,2].Yd1]*lam[1,1,1,2]
          - 75/8*MatrixProduct[u[1,1].u[2,2].Yd1]*Tr[u[1,2]]
          - 75/8*MatrixProduct[u[1,1].u[2,2].Yd1]*Tr[d[1,2]]
          - 25/8*MatrixProduct[u[1,1].u[2,2].Yd1]*Tr[l[1,2]]
          - 11/4*MatrixProduct[u[1,1].u[2,2].Yd2]*lam[1,2,2,1]
          - 1/4*MatrixProduct[u[1,1].u[2,2].Yd2]*lam[1,1,2,2]
          + 6*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha3
          - 159/32*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha2
          + 27/4*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha2*z3
          - 9/64*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha2*z2
          - 261/32*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha2*Doub2
          + 27/8*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha2*Doub2*z2
          + 75/16*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha2*Doub1
          - 27/4*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha2*Doub1*z2
          + 135/16*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha2*Doub1*Doub2
          - 27/8*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha2*Doub1*Doub2*z2
          + 373/160*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha1
          + 9/20*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha1*z3
          - 9/320*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha1*z2
          - 39/160*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha1*Doub2
          + 27/40*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha1*Doub2*z2
          - 45/16*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha1*Doub1
          - 9/20*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha1*Doub1*z2
          + 39/40*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha1*Doub1*Doub2*
         z3
          - 9/320*MatrixProduct[u[1,1].u[2,2].Yd2]*alpha1*Doub1*Doub2*
         z2
          + 5/8*MatrixProduct[u[1,1].d[1,1].u[1,1].Yd2]
          - 39/16*MatrixProduct[u[1,1].d[1,1].u[1,2].Yd1]
          - 7/32*MatrixProduct[u[1,1].d[1,1].d[1,1].Yd2]
          + MatrixProduct[u[1,1].d[1,1].d[1,2].Yd1]
          + 3/2*MatrixProduct[u[1,1].d[1,1].Yd1]*lam[1,1,1,2]
          + 9/4*MatrixProduct[u[1,1].d[1,1].Yd2]*lam[1,2,2,1]
          - 3/4*MatrixProduct[u[1,1].d[1,1].Yd2]*lam[1,1,2,2]
          + 16/3*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha3
          - 4*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha3*z3
          + 453/64*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha2
          - 45/64*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha2*z2
          - 81/16*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha2*Doub2
          + 9/16*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha2*Doub2*z2
          - 183/32*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha2*Doub1
          - 9/8*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha2*Doub1*z3
          + 45/64*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha2*Doub1*z2
          + 81/16*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha2*Doub1*Doub2
          - 9/16*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha2*Doub1*Doub2*z2
          - 1583/960*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha1
          + 2/5*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha1*z3
          + 9/320*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha1*z2
          + 63/160*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha1*Doub2
          + 179/160*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha1*Doub1
          + 9/40*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha1*Doub1*z2
          - 63/160*MatrixProduct[u[1,1].d[1,1].Yd2]*alpha1*Doub1*Doub2
          + 9/16*MatrixProduct[u[1,1].d[1,1].Yd2]*Tr[u[1,1]]
          + 9/16*MatrixProduct[u[1,1].d[1,1].Yd2]*Tr[d[1,1]]
          + 3/16*MatrixProduct[u[1,1].d[1,1].Yd2]*Tr[l[1,1]]
          - 1/2*MatrixProduct[u[1,1].d[1,2].u[1,1].Yd1]
          + 29/16*MatrixProduct[u[1,1].d[1,2].u[2,1].Yd2]
          - 3/2*MatrixProduct[u[1,1].d[1,2].u[2,2].Yd1]
          + 1/2*MatrixProduct[u[1,1].d[1,2].d[1,1].Yd1]
          + 3*MatrixProduct[u[1,1].d[1,2].d[1,1].Yd1]*z3
          - 4*MatrixProduct[u[1,1].d[1,2].Yd1]*lam[1,2,2,1]
          + 4*MatrixProduct[u[1,1].d[1,2].Yd1]*lam[1,1,2,2]
          + 3*MatrixProduct[u[1,1].d[1,2].Yd1]*lam[1,1,1,1]
          - 112/3*MatrixProduct[u[1,1].d[1,2].Yd1]*alpha3
          + 9/4*MatrixProduct[u[1,1].d[1,2].Yd1]*alpha2
          - 9/2*MatrixProduct[u[1,1].d[1,2].Yd1]*alpha2*z3
          + 3/4*MatrixProduct[u[1,1].d[1,2].Yd1]*alpha2*Doub1
          + 9/2*MatrixProduct[u[1,1].d[1,2].Yd1]*alpha2*Doub1*z3
          - 59/12*MatrixProduct[u[1,1].d[1,2].Yd1]*alpha1
          - 3/10*MatrixProduct[u[1,1].d[1,2].Yd1]*alpha1*z3
          + 9/20*MatrixProduct[u[1,1].d[1,2].Yd1]*alpha1*z2
          + 117/20*MatrixProduct[u[1,1].d[1,2].Yd1]*alpha1*Doub1
          - 9/10*MatrixProduct[u[1,1].d[1,2].Yd1]*alpha1*Doub1*z3
          - 9/20*MatrixProduct[u[1,1].d[1,2].Yd1]*alpha1*Doub1*z2
          + 3*MatrixProduct[u[1,1].d[1,2].Yd1]*Tr[u[1,1]]
          + 3*MatrixProduct[u[1,1].d[1,2].Yd1]*Tr[d[1,1]]
          + MatrixProduct[u[1,1].d[1,2].Yd1]*Tr[l[1,1]]
          + 3*MatrixProduct[u[1,1].d[1,2].Yd2]*lam[1,1,2,1]
          - 87/32*MatrixProduct[u[1,1].d[1,2].Yd2]*Tr[u[2,1]]
          - 87/32*MatrixProduct[u[1,1].d[1,2].Yd2]*Tr[d[2,1]]
          - 29/32*MatrixProduct[u[1,1].d[1,2].Yd2]*Tr[l[2,1]]
          - 3/4*MatrixProduct[u[1,1].d[2,1].u[1,2].Yd2]
          - 19/32*MatrixProduct[u[1,1].d[2,1].d[1,2].Yd2]
          + 3/2*MatrixProduct[u[1,1].d[2,1].Yd1]*lam[1,2,1,2]
          + 3/2*MatrixProduct[u[1,1].d[2,1].Yd2]*lam[1,2,2,2]
          + 9/32*MatrixProduct[u[1,1].d[2,1].Yd2]*Tr[u[1,2]]
          + 9/32*MatrixProduct[u[1,1].d[2,1].Yd2]*Tr[d[1,2]]
          + 3/32*MatrixProduct[u[1,1].d[2,1].Yd2]*Tr[l[1,2]]
          - 31/16*MatrixProduct[u[1,1].d[2,2].u[1,1].Yd2]
          + 1/16*MatrixProduct[u[1,1].d[2,2].u[1,2].Yd1]
          - 9/8*MatrixProduct[u[1,1].d[2,2].d[1,1].Yd2]
          + 3*MatrixProduct[u[1,1].d[2,2].d[1,1].Yd2]*z3
          + 3*MatrixProduct[u[1,1].d[2,2].d[1,2].Yd1]
          + 3*MatrixProduct[u[1,1].d[2,2].Yd1]*lam[1,1,1,2]
          + 6*MatrixProduct[u[1,1].d[2,2].Yd1]*Tr[u[1,2]]
          + 6*MatrixProduct[u[1,1].d[2,2].Yd1]*Tr[d[1,2]]
          + 2*MatrixProduct[u[1,1].d[2,2].Yd1]*Tr[l[1,2]]
          + 1/4*MatrixProduct[u[1,1].d[2,2].Yd2]*lam[1,2,2,1]
          + 11/4*MatrixProduct[u[1,1].d[2,2].Yd2]*lam[1,1,2,2]
          - 10*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha3
          + 81/32*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha2
          - 9/64*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha2*z2
          - 129/32*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha2*Doub2
          + 9/64*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha2*Doub2*z2
          - 45/16*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha2*Doub1
          + 9/64*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha2*Doub1*z2
          + 69/16*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha2*Doub1*Doub2
          - 9/64*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha2*Doub1*Doub2*z2
          - 1013/160*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha1
          + 153/320*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha1*z2
          + 973/160*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha1*Doub2
          - 27/20*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha1*Doub2*z3
          - 153/320*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha1*Doub2*z2
          + 119/10*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha1*Doub1
          - 27/20*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha1*Doub1*z3
          - 153/320*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha1*Doub1*z2
          - 957/80*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha1*Doub1*Doub2
          + 27/10*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha1*Doub1*Doub2*
         z3
          + 153/320*MatrixProduct[u[1,1].d[2,2].Yd2]*alpha1*Doub1*Doub2
         *z2
          - 3*MatrixProduct[u[1,1].Yd1]*lam[1,1,2,2]*lam[1,2,2,2]
          - 3*MatrixProduct[u[1,1].Yd1]*lam[1,1,2,1]*lam[1,2,1,2]
          - 3*MatrixProduct[u[1,1].Yd1]*lam[1,1,1,2]*lam[1,2,2,1]
          - 3*MatrixProduct[u[1,1].Yd1]*lam[1,1,1,1]*lam[1,1,1,2]
          + 3*MatrixProduct[u[1,1].Yd1]*alpha2*lam[1,1,1,2]
          - 3/2*MatrixProduct[u[1,1].Yd1]*alpha2*lam[1,1,1,2]*Doub2
          - 3*MatrixProduct[u[1,1].Yd1]*alpha2*lam[1,1,1,2]*Doub1
          + 3/2*MatrixProduct[u[1,1].Yd1]*alpha2*lam[1,1,1,2]*Doub1*Doub2
          + 12*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1].d[1,2]]
          - 18*MatrixProduct[u[1,1].Yd1]*Tr[u[1,1].d[1,2]]*z3
          + 3*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*lam[1,2,2,1]
          - 3*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*lam[1,1,2,2]
          + 153/8*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha2
          - 27/16*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha2*z2
          - 477/32*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha2*Doub2*z2
          - 333/16*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 45/8*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha1
          + 27/80*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha1*z2
          + 621/160*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha1*Doub2
          - 27/160*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha1*Doub2*z2
          + 81/16*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha1*Doub1
          - 27/80*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha1*Doub1*z2
          - 531/160*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 12*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2].d[1,1]]
          - 18*MatrixProduct[u[1,1].Yd1]*Tr[u[1,2].d[1,1]]*z3
          + 3*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*lam[1,2,2,1]
          - 3*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*lam[1,1,2,2]
          + 153/8*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha2
          - 27/16*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha2*z2
          - 477/32*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha2*Doub2*z2
          - 333/16*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 45/8*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha1
          + 27/80*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha1*z2
          + 621/160*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha1*Doub2
          - 27/160*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha1*Doub2*z2
          + 81/16*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha1*Doub1
          - 27/80*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha1*Doub1*z2
          - 531/160*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[u[1,1].Yd1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2*z2
          + MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*lam[1,2,2,1]
          - MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*lam[1,1,2,2]
          + 51/8*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha2
          - 9/16*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha2*z2
          - 159/32*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha2*Doub2
          + 9/32*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha2*Doub2*z2
          - 111/16*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha2*Doub1
          + 9/16*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha2*Doub1*z2
          + 177/32*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          - 9/32*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 15/8*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha1
          + 9/80*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha1*z2
          + 207/160*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha1*Doub2
          - 9/160*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha1*Doub2*z2
          + 27/16*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha1*Doub1
          - 9/80*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha1*Doub1*z2
          - 177/160*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          + 9/160*MatrixProduct[u[1,1].Yd1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 51/16*MatrixProduct[u[1,1].Yd2]*lam[1,2,2,1]^2
          - 177/32*MatrixProduct[u[1,1].Yd2]*lam[1,2,2,2]*lam[2,1,2,2]
          - 177/32*MatrixProduct[u[1,1].Yd2]*lam[1,2,1,2]*lam[2,1,2,1]
          - 75/16*MatrixProduct[u[1,1].Yd2]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[1,1].Yd2]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/16*MatrixProduct[u[1,1].Yd2]*lam[1,1,2,2]^2
          + 3/2*MatrixProduct[u[1,1].Yd2]*lam[1,1,2,1]*lam[1,2,2,2]
          + 3/2*MatrixProduct[u[1,1].Yd2]*lam[1,1,1,2]*lam[2,1,2,2]
          - 243/32*MatrixProduct[u[1,1].Yd2]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[u[1,1].Yd2]*lam[1,1,1,1]*lam[1,1,2,2]
          - 33/32*MatrixProduct[u[1,1].Yd2]*lam[1,1,1,1]^2
          - 4/3*MatrixProduct[u[1,1].Yd2]*alpha3*lam[1,2,2,1]
          + 4/3*MatrixProduct[u[1,1].Yd2]*alpha3*lam[1,1,2,2]
          + 2779/36*MatrixProduct[u[1,1].Yd2]*alpha3^2
          - 34*MatrixProduct[u[1,1].Yd2]*alpha3^2*z3
          - 11/3*MatrixProduct[u[1,1].Yd2]*alpha3^2*Ng
          + 15/8*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,2,2,1]
          + 27/8*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,2,2,1]*Doub2
          - 9/4*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,2,2,1]*Doub2*z3
          + 15/8*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1
          - 3/2*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 9/4*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1*Doub2*z3
          + 9/8*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,1,2,2]
          - 21/8*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,1,2,2]*Doub2
          - 9/4*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,1,2,2]*Doub2*z3
          - 9/8*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,1,2,2]*Doub1
          - 9/2*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,1,2,2]*Doub1*z3
          - 3*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,1,2,2]*Doub1*Doub2
          + 27/4*MatrixProduct[u[1,1].Yd2]*alpha2*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 127/4*MatrixProduct[u[1,1].Yd2]*alpha2*alpha3
          - 9/4*MatrixProduct[u[1,1].Yd2]*alpha2*alpha3*z2
          - 47/4*MatrixProduct[u[1,1].Yd2]*alpha2*alpha3*Doub2
          + 9*MatrixProduct[u[1,1].Yd2]*alpha2*alpha3*Doub2*z3
          + 9/4*MatrixProduct[u[1,1].Yd2]*alpha2*alpha3*Doub2*z2
          + 291/8*MatrixProduct[u[1,1].Yd2]*alpha2*alpha3*Doub1
          + 9/4*MatrixProduct[u[1,1].Yd2]*alpha2*alpha3*Doub1*z2
          + 47/4*MatrixProduct[u[1,1].Yd2]*alpha2*alpha3*Doub1*Doub2
          - 9*MatrixProduct[u[1,1].Yd2]*alpha2*alpha3*Doub1*Doub2*z3
          - 9/4*MatrixProduct[u[1,1].Yd2]*alpha2*alpha3*Doub1*Doub2*z2
          - 15183/256*MatrixProduct[u[1,1].Yd2]*alpha2^2
          + 81/4*MatrixProduct[u[1,1].Yd2]*alpha2^2*z3
          + 63/128*MatrixProduct[u[1,1].Yd2]*alpha2^2*z2
          + 135/32*MatrixProduct[u[1,1].Yd2]*alpha2^2*Ng
          + 2403/64*MatrixProduct[u[1,1].Yd2]*alpha2^2*Doub2
          - 135/8*MatrixProduct[u[1,1].Yd2]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[u[1,1].Yd2]*alpha2^2*Doub2*z2
          + 38037/512*MatrixProduct[u[1,1].Yd2]*alpha2^2*Doub1
          - 207/8*MatrixProduct[u[1,1].Yd2]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[u[1,1].Yd2]*alpha2^2*Doub1*z2
          - 99/16*MatrixProduct[u[1,1].Yd2]*alpha2^2*Doub1*Ng
          - 10023/256*MatrixProduct[u[1,1].Yd2]*alpha2^2*Doub1*Doub2
          + 261/16*MatrixProduct[u[1,1].Yd2]*alpha2^2*Doub1*Doub2*z3
          + 63/128*MatrixProduct[u[1,1].Yd2]*alpha2^2*Doub1*Doub2*z2
          - 7/24*MatrixProduct[u[1,1].Yd2]*alpha1*lam[1,2,2,1]
          + 21/40*MatrixProduct[u[1,1].Yd2]*alpha1*lam[1,2,2,1]*Doub2
          - 9/20*MatrixProduct[u[1,1].Yd2]*alpha1*lam[1,2,2,1]*Doub2*z3
          + 57/40*MatrixProduct[u[1,1].Yd2]*alpha1*lam[1,2,2,1]*Doub1
          - 9/10*MatrixProduct[u[1,1].Yd2]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 3/5*MatrixProduct[u[1,1].Yd2]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/20*MatrixProduct[u[1,1].Yd2]*alpha1*lam[1,2,2,1]*Doub1*Doub2*
         z3
          + 7/24*MatrixProduct[u[1,1].Yd2]*alpha1*lam[1,1,2,2]
          - 21/40*MatrixProduct[u[1,1].Yd2]*alpha1*lam[1,1,2,2]*Doub2
          + 9/20*MatrixProduct[u[1,1].Yd2]*alpha1*lam[1,1,2,2]*Doub2*z3
          - 57/40*MatrixProduct[u[1,1].Yd2]*alpha1*lam[1,1,2,2]*Doub1
          + 9/10*MatrixProduct[u[1,1].Yd2]*alpha1*lam[1,1,2,2]*Doub1*z3
          + 3/5*MatrixProduct[u[1,1].Yd2]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          - 27/20*MatrixProduct[u[1,1].Yd2]*alpha1*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 1237/180*MatrixProduct[u[1,1].Yd2]*alpha1*alpha3
          + 8*MatrixProduct[u[1,1].Yd2]*alpha1*alpha3*z3
          + 27/20*MatrixProduct[u[1,1].Yd2]*alpha1*alpha3*z2
          + 47/20*MatrixProduct[u[1,1].Yd2]*alpha1*alpha3*Doub2
          - 9/5*MatrixProduct[u[1,1].Yd2]*alpha1*alpha3*Doub2*z3
          - 9/20*MatrixProduct[u[1,1].Yd2]*alpha1*alpha3*Doub2*z2
          - 19/120*MatrixProduct[u[1,1].Yd2]*alpha1*alpha3*Doub1
          - 24/5*MatrixProduct[u[1,1].Yd2]*alpha1*alpha3*Doub1*z3
          - 27/20*MatrixProduct[u[1,1].Yd2]*alpha1*alpha3*Doub1*z2
          - 47/20*MatrixProduct[u[1,1].Yd2]*alpha1*alpha3*Doub1*Doub2
          + 9/5*MatrixProduct[u[1,1].Yd2]*alpha1*alpha3*Doub1*Doub2*z3
          + 9/20*MatrixProduct[u[1,1].Yd2]*alpha1*alpha3*Doub1*Doub2*z2
          + 2149/640*MatrixProduct[u[1,1].Yd2]*alpha1*alpha2
          - 63/320*MatrixProduct[u[1,1].Yd2]*alpha1*alpha2*z2
          - 59/32*MatrixProduct[u[1,1].Yd2]*alpha1*alpha2*Doub2
          + 9/10*MatrixProduct[u[1,1].Yd2]*alpha1*alpha2*Doub2*z3
          + 9/80*MatrixProduct[u[1,1].Yd2]*alpha1*alpha2*Doub2*z2
          - 5841/1280*MatrixProduct[u[1,1].Yd2]*alpha1*alpha2*Doub1
          + 9/10*MatrixProduct[u[1,1].Yd2]*alpha1*alpha2*Doub1*z3
          + 63/320*MatrixProduct[u[1,1].Yd2]*alpha1*alpha2*Doub1*z2
          + 511/160*MatrixProduct[u[1,1].Yd2]*alpha1*alpha2*Doub1*Doub2
          - 9/40*MatrixProduct[u[1,1].Yd2]*alpha1*alpha2*Doub1*Doub2*z3
          - 9/80*MatrixProduct[u[1,1].Yd2]*alpha1*alpha2*Doub1*Doub2*z2
          - 63767/57600*MatrixProduct[u[1,1].Yd2]*alpha1^2
          + 2/25*MatrixProduct[u[1,1].Yd2]*alpha1^2*z3
          + 27/640*MatrixProduct[u[1,1].Yd2]*alpha1^2*z2
          - 1219/480*MatrixProduct[u[1,1].Yd2]*alpha1^2*Ng
          - 83/320*MatrixProduct[u[1,1].Yd2]*alpha1^2*Doub2
          + 3/200*MatrixProduct[u[1,1].Yd2]*alpha1^2*Doub2*z3
          - 9/640*MatrixProduct[u[1,1].Yd2]*alpha1^2*Doub2*z2
          + 12311/38400*MatrixProduct[u[1,1].Yd2]*alpha1^2*Doub1
          + 81/100*MatrixProduct[u[1,1].Yd2]*alpha1^2*Doub1*z3
          - 27/640*MatrixProduct[u[1,1].Yd2]*alpha1^2*Doub1*z2
          + 177/80*MatrixProduct[u[1,1].Yd2]*alpha1^2*Doub1*Ng
          + 3931/6400*MatrixProduct[u[1,1].Yd2]*alpha1^2*Doub1*Doub2
          - 9/16*MatrixProduct[u[1,1].Yd2]*alpha1^2*Doub1*Doub2*z3
          + 9/640*MatrixProduct[u[1,1].Yd2]*alpha1^2*Doub1*Doub2*z2
          - 6*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*lam[1,2,2,1]
          + 6*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*alpha3
          + 12*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*alpha3*z3
          + 549/32*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*alpha2
          - 315/32*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*alpha2*Doub2
          - 351/16*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*alpha2*Doub1
          + 315/32*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2
          - 313/160*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*alpha1
          - 39/10*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*alpha1*z3
          + 63/32*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*alpha1*Doub2
          + 147/40*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*alpha1*Doub1
          + 27/10*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*alpha1*Doub1*z3
          - 63/32*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]^2
          - 27/8*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*Tr[d[1,1]]
          - 9/8*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1]]*Tr[l[1,1]]
          + 9/2*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1].u[1,1]]
          + 15/2*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1].u[2,2]]
          - 9*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1].u[2,2]]*z3
          + 3/2*MatrixProduct[u[1,1].Yd2]*Tr[u[1,1].d[2,2]]
          - 27/16*MatrixProduct[u[1,1].Yd2]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[u[1,1].Yd2]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[u[1,1].Yd2]*Tr[u[1,2]]*Tr[l[2,1]]
          - 3*MatrixProduct[u[1,1].Yd2]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[u[1,1].Yd2]*Tr[u[1,2].u[2,1]]*z3
          + 21/2*MatrixProduct[u[1,1].Yd2]*Tr[u[1,2].d[2,1]]
          - 18*MatrixProduct[u[1,1].Yd2]*Tr[u[1,2].d[2,1]]*z3
          - 27/16*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1]]*Tr[l[1,2]]
          + 21/2*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1].d[1,2]]
          - 18*MatrixProduct[u[1,1].Yd2]*Tr[u[2,1].d[1,2]]*z3
          - 3/2*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha2
          - 27/16*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha2*z2
          - 207/8*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha2*Doub2
          + 27/16*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha2*Doub2*z2
          - 45/2*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 171/40*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha1
          + 27/80*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha1*z2
          + 171/40*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha1*Doub2
          - 27/80*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha1*Doub2*z2
          + 9/2*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha1*Doub1
          - 27/80*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha1*Doub1*z2
          - 9/2*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 3/2*MatrixProduct[u[1,1].Yd2]*Tr[u[2,2].d[1,1]]
          - 6*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*lam[1,2,2,1]
          + 6*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*alpha3
          + 12*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*alpha3*z3
          + 549/32*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*alpha2
          - 315/32*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*alpha2*Doub2
          - 351/16*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*alpha2*Doub1
          + 315/32*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2
          - 121/160*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*alpha1
          - 24/5*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*alpha1*z3
          + 63/32*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*alpha1*Doub2
          + 147/40*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*alpha1*Doub1
          + 27/10*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*alpha1*Doub1*z3
          - 63/32*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]^2
          - 9/8*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1]]*Tr[l[1,1]]
          + 9/2*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1].d[1,1]]
          + 15/2*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1].d[2,2]]
          - 9*MatrixProduct[u[1,1].Yd2]*Tr[d[1,1].d[2,2]]*z3
          - 27/16*MatrixProduct[u[1,1].Yd2]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[u[1,1].Yd2]*Tr[d[1,2]]*Tr[l[2,1]]
          - 3*MatrixProduct[u[1,1].Yd2]*Tr[d[1,2].d[2,1]]
          + 9*MatrixProduct[u[1,1].Yd2]*Tr[d[1,2].d[2,1]]*z3
          - 9/16*MatrixProduct[u[1,1].Yd2]*Tr[d[2,1]]*Tr[l[1,2]]
          - 3/2*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha2
          - 27/16*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha2*z2
          - 207/8*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha2*Doub2
          + 27/16*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha2*Doub2*z2
          - 45/2*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 171/40*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha1
          + 27/80*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha1*z2
          + 171/40*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha1*Doub2
          - 27/80*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha1*Doub2*z2
          + 9/2*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha1*Doub1
          - 27/80*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha1*Doub1*z2
          - 9/2*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[u[1,1].Yd2]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2*z2
          - 2*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]*lam[1,2,2,1]
          + 2*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]*lam[1,1,2,2]
          + 5/12*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]*alpha3
          + 183/32*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]*alpha2
          - 105/32*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]*alpha2*Doub2
          - 117/16*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]*alpha2*Doub1
          + 105/32*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2
          - 761/480*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]*alpha1
          - 3/5*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]*alpha1*z3
          + 21/32*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]*alpha1*Doub2
          + 49/40*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]*alpha1*Doub1
          + 9/10*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]*alpha1*Doub1*z3
          - 21/32*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2
          - 3/16*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1]]^2
          + 3/2*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1].l[1,1]]
          + 5/2*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1].l[2,2]]
          - 3*MatrixProduct[u[1,1].Yd2]*Tr[l[1,1].l[2,2]]*z3
          - 3/16*MatrixProduct[u[1,1].Yd2]*Tr[l[1,2]]*Tr[l[2,1]]
          - MatrixProduct[u[1,1].Yd2]*Tr[l[1,2].l[2,1]]
          + 3*MatrixProduct[u[1,1].Yd2]*Tr[l[1,2].l[2,1]]*z3
          - 1/2*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*lam[1,2,2,1]
          + 1/2*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha2
          - 9/16*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha2*z2
          - 69/8*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha2*Doub2
          + 9/16*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha2*Doub2*z2
          - 15/2*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha2*Doub1
          + 9/16*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha2*Doub1*z2
          + 15/2*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 57/40*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha1
          + 9/80*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha1*z2
          + 57/40*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha1*Doub2
          - 9/80*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha1*Doub2*z2
          + 3/2*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha1*Doub1
          - 9/80*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha1*Doub1*z2
          - 3/2*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha1*Doub1*Doub2
          + 9/80*MatrixProduct[u[1,1].Yd2]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2*z2
          - 11/16*MatrixProduct[u[1,2].u[1,1].u[1,1].Yd1]
          - 35/16*MatrixProduct[u[1,2].u[1,1].u[2,1].Yd2]
          + 3/4*MatrixProduct[u[1,2].u[1,1].u[2,1].Yd2]*z3
          + 33/16*MatrixProduct[u[1,2].u[1,1].u[2,2].Yd1]
          - 3*MatrixProduct[u[1,2].u[1,1].u[2,2].Yd1]*z3
          - 1/8*MatrixProduct[u[1,2].u[1,1].d[2,1].Yd2]
          + 6*MatrixProduct[u[1,2].u[1,1].d[2,2].Yd1]*z3
          - 9/4*MatrixProduct[u[1,2].u[1,1].Yd1]*lam[1,2,2,1]
          - 9/4*MatrixProduct[u[1,2].u[1,1].Yd1]*lam[1,1,2,2]
          - 7/3*MatrixProduct[u[1,2].u[1,1].Yd1]*alpha3
          + 24*MatrixProduct[u[1,2].u[1,1].Yd1]*alpha3*z3
          - 771/64*MatrixProduct[u[1,2].u[1,1].Yd1]*alpha2
          + 9/4*MatrixProduct[u[1,2].u[1,1].Yd1]*alpha2*z3
          + 33/16*MatrixProduct[u[1,2].u[1,1].Yd1]*alpha2*Doub2
          + 489/32*MatrixProduct[u[1,2].u[1,1].Yd1]*alpha2*Doub1
          - 27/4*MatrixProduct[u[1,2].u[1,1].Yd1]*alpha2*Doub1*z3
          - 33/16*MatrixProduct[u[1,2].u[1,1].Yd1]*alpha2*Doub1*Doub2
          - 2809/960*MatrixProduct[u[1,2].u[1,1].Yd1]*alpha1
          - 21/20*MatrixProduct[u[1,2].u[1,1].Yd1]*alpha1*z3
          + 9/16*MatrixProduct[u[1,2].u[1,1].Yd1]*alpha1*Doub2
          + 889/160*MatrixProduct[u[1,2].u[1,1].Yd1]*alpha1*Doub1
          - 9/20*MatrixProduct[u[1,2].u[1,1].Yd1]*alpha1*Doub1*z3
          - 9/16*MatrixProduct[u[1,2].u[1,1].Yd1]*alpha1*Doub1*Doub2
          - 51/16*MatrixProduct[u[1,2].u[1,1].Yd1]*Tr[u[1,1]]
          - 51/16*MatrixProduct[u[1,2].u[1,1].Yd1]*Tr[d[1,1]]
          - 17/16*MatrixProduct[u[1,2].u[1,1].Yd1]*Tr[l[1,1]]
          + 3*MatrixProduct[u[1,2].u[1,1].Yd2]*lam[2,1,2,2]
          + 3/2*MatrixProduct[u[1,2].u[1,1].Yd2]*lam[1,1,2,1]
          + 123/16*MatrixProduct[u[1,2].u[1,1].Yd2]*Tr[u[2,1]]
          + 123/16*MatrixProduct[u[1,2].u[1,1].Yd2]*Tr[d[2,1]]
          + 41/16*MatrixProduct[u[1,2].u[1,1].Yd2]*Tr[l[2,1]]
          + 25/16*MatrixProduct[u[1,2].u[1,2].u[2,1].Yd1]
          - 5*MatrixProduct[u[1,2].u[1,2].d[2,1].Yd1]
          - 15/2*MatrixProduct[u[1,2].u[1,2].Yd1]*lam[2,1,2,2]
          - 9/2*MatrixProduct[u[1,2].u[1,2].Yd1]*lam[1,1,2,1]
          - 297/16*MatrixProduct[u[1,2].u[1,2].Yd1]*Tr[u[2,1]]
          - 297/16*MatrixProduct[u[1,2].u[1,2].Yd1]*Tr[d[2,1]]
          - 99/16*MatrixProduct[u[1,2].u[1,2].Yd1]*Tr[l[2,1]]
          - 3*MatrixProduct[u[1,2].u[1,2].Yd2]*lam[2,1,2,1]
          + 15/16*MatrixProduct[u[1,2].u[2,1].u[1,1].Yd2]
          - 7/16*MatrixProduct[u[1,2].u[2,1].u[1,2].Yd1]
          + 3/4*MatrixProduct[u[1,2].u[2,1].u[2,2].Yd2]
          - 9/4*MatrixProduct[u[1,2].u[2,1].u[2,2].Yd2]*z3
          + 5/32*MatrixProduct[u[1,2].u[2,1].d[1,1].Yd2]
          - 3/2*MatrixProduct[u[1,2].u[2,1].d[1,2].Yd1]
          - 5/4*MatrixProduct[u[1,2].u[2,1].d[2,2].Yd2]
          + 6*MatrixProduct[u[1,2].u[2,1].d[2,2].Yd2]*z3
          - 9/2*MatrixProduct[u[1,2].u[2,1].Yd1]*lam[1,2,2,2]
          - 3/16*MatrixProduct[u[1,2].u[2,1].Yd1]*Tr[u[1,2]]
          - 3/16*MatrixProduct[u[1,2].u[2,1].Yd1]*Tr[d[1,2]]
          - 1/16*MatrixProduct[u[1,2].u[2,1].Yd1]*Tr[l[1,2]]
          - MatrixProduct[u[1,2].u[2,1].Yd2]*lam[1,2,2,1]
          + 3*MatrixProduct[u[1,2].u[2,1].Yd2]*lam[2,2,2,2]
          + 5/2*MatrixProduct[u[1,2].u[2,1].Yd2]*lam[1,1,2,2]
          - 14*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha3
          + 16*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha3*z3
          - 69/32*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha2
          - 9/2*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha2*z3
          + 9/32*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha2*z2
          - 201/64*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha2*Doub2
          + 9/2*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha2*Doub2*z3
          - 9/32*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha2*Doub2*z2
          + 27/32*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha2*Doub1
          - 9/32*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha2*Doub1*z2
          + 207/64*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha2*Doub1*Doub2
          - 9/4*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha2*Doub1*Doub2*z3
          + 9/32*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha2*Doub1*Doub2*z2
          - 549/320*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha1
          - 19/10*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha1*z3
          + 12/5*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha1*Doub2
          + 9/5*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha1*Doub2*z3
          - 9/80*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha1*Doub2*z2
          - 89/160*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha1*Doub1
          + 27/160*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha1*Doub1*z2
          + 537/320*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha1*Doub1*Doub2*
         z3
          - 9/160*MatrixProduct[u[1,2].u[2,1].Yd2]*alpha1*Doub1*Doub2*
         z2
          - 21/4*MatrixProduct[u[1,2].u[2,1].Yd2]*Tr[u[1,1]]
          + 99/16*MatrixProduct[u[1,2].u[2,1].Yd2]*Tr[u[2,2]]
          - 21/4*MatrixProduct[u[1,2].u[2,1].Yd2]*Tr[d[1,1]]
          + 99/16*MatrixProduct[u[1,2].u[2,1].Yd2]*Tr[d[2,2]]
          - 7/4*MatrixProduct[u[1,2].u[2,1].Yd2]*Tr[l[1,1]]
          + 33/16*MatrixProduct[u[1,2].u[2,1].Yd2]*Tr[l[2,2]]
          - 3/2*MatrixProduct[u[1,2].u[2,2].u[1,1].Yd1]
          - 3*MatrixProduct[u[1,2].u[2,2].u[2,1].Yd2]
          + 3*MatrixProduct[u[1,2].u[2,2].u[2,1].Yd2]*z3
          + 27/8*MatrixProduct[u[1,2].u[2,2].u[2,2].Yd1]
          - 3*MatrixProduct[u[1,2].u[2,2].u[2,2].Yd1]*z3
          + 3/4*MatrixProduct[u[1,2].u[2,2].d[1,1].Yd1]
          - 87/32*MatrixProduct[u[1,2].u[2,2].d[2,1].Yd2]
          - 7/4*MatrixProduct[u[1,2].u[2,2].d[2,2].Yd1]
          + 3/4*MatrixProduct[u[1,2].u[2,2].Yd1]*lam[1,2,2,1]
          - 15/2*MatrixProduct[u[1,2].u[2,2].Yd1]*lam[2,2,2,2]
          - 21/4*MatrixProduct[u[1,2].u[2,2].Yd1]*lam[1,1,2,2]
          + 21*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha3
          + 24*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha3*z3
          - 777/64*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha2
          + 27/4*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha2*z3
          + 867/32*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha2*Doub2
          - 18*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha2*Doub2*z3
          + 15/4*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha2*Doub1
          - 27/4*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha2*Doub1*z3
          - 135/16*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha2*Doub1*Doub2
          + 9*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha2*Doub1*Doub2*z3
          - 2457/320*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha1
          + 9/4*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha1*z3
          + 1607/160*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha1*Doub2
          - 39/10*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha1*Doub2*z3
          + 27/40*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha1*Doub1
          + 9/20*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha1*Doub1*z3
          - 147/80*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha1*Doub1*Doub2
          + 9/5*MatrixProduct[u[1,2].u[2,2].Yd1]*alpha1*Doub1*Doub2*z3
          + 9/2*MatrixProduct[u[1,2].u[2,2].Yd1]*Tr[u[1,1]]
          - 225/16*MatrixProduct[u[1,2].u[2,2].Yd1]*Tr[u[2,2]]
          + 9/2*MatrixProduct[u[1,2].u[2,2].Yd1]*Tr[d[1,1]]
          - 225/16*MatrixProduct[u[1,2].u[2,2].Yd1]*Tr[d[2,2]]
          + 3/2*MatrixProduct[u[1,2].u[2,2].Yd1]*Tr[l[1,1]]
          - 75/16*MatrixProduct[u[1,2].u[2,2].Yd1]*Tr[l[2,2]]
          - 3*MatrixProduct[u[1,2].u[2,2].Yd2]*lam[2,1,2,2]
          - 3/4*MatrixProduct[u[1,2].u[2,2].Yd2]*Tr[u[2,1]]
          - 3/4*MatrixProduct[u[1,2].u[2,2].Yd2]*Tr[d[2,1]]
          - 1/4*MatrixProduct[u[1,2].u[2,2].Yd2]*Tr[l[2,1]]
          - 7/16*MatrixProduct[u[1,2].d[1,1].u[2,1].Yd2]
          - 19/16*MatrixProduct[u[1,2].d[1,1].u[2,2].Yd1]
          + 21/16*MatrixProduct[u[1,2].d[1,1].d[1,1].Yd1]
          - 3*MatrixProduct[u[1,2].d[1,1].d[1,1].Yd1]*z3
          - 7/32*MatrixProduct[u[1,2].d[1,1].d[2,1].Yd2]
          + 3/4*MatrixProduct[u[1,2].d[1,1].d[2,2].Yd1]
          + 13/4*MatrixProduct[u[1,2].d[1,1].Yd1]*lam[1,2,2,1]
          - 7/4*MatrixProduct[u[1,2].d[1,1].Yd1]*lam[1,1,2,2]
          - 9/2*MatrixProduct[u[1,2].d[1,1].Yd1]*lam[1,1,1,1]
          + 23*MatrixProduct[u[1,2].d[1,1].Yd1]*alpha3
          + 8*MatrixProduct[u[1,2].d[1,1].Yd1]*alpha3*z3
          - 675/64*MatrixProduct[u[1,2].d[1,1].Yd1]*alpha2
          + 27/4*MatrixProduct[u[1,2].d[1,1].Yd1]*alpha2*z3
          + 21/16*MatrixProduct[u[1,2].d[1,1].Yd1]*alpha2*Doub2
          + 393/32*MatrixProduct[u[1,2].d[1,1].Yd1]*alpha2*Doub1
          - 27/4*MatrixProduct[u[1,2].d[1,1].Yd1]*alpha2*Doub1*z3
          - 21/16*MatrixProduct[u[1,2].d[1,1].Yd1]*alpha2*Doub1*Doub2
          - 175/64*MatrixProduct[u[1,2].d[1,1].Yd1]*alpha1
          + 59/20*MatrixProduct[u[1,2].d[1,1].Yd1]*alpha1*z3
          - 39/80*MatrixProduct[u[1,2].d[1,1].Yd1]*alpha1*Doub2
          + 499/160*MatrixProduct[u[1,2].d[1,1].Yd1]*alpha1*Doub1
          - 63/20*MatrixProduct[u[1,2].d[1,1].Yd1]*alpha1*Doub1*z3
          + 39/80*MatrixProduct[u[1,2].d[1,1].Yd1]*alpha1*Doub1*Doub2
          - 51/16*MatrixProduct[u[1,2].d[1,1].Yd1]*Tr[u[1,1]]
          - 51/16*MatrixProduct[u[1,2].d[1,1].Yd1]*Tr[d[1,1]]
          - 17/16*MatrixProduct[u[1,2].d[1,1].Yd1]*Tr[l[1,1]]
          + 3/2*MatrixProduct[u[1,2].d[1,1].Yd2]*lam[2,1,2,2]
          - 9/2*MatrixProduct[u[1,2].d[1,1].Yd2]*lam[1,1,2,1]
          + 57/32*MatrixProduct[u[1,2].d[1,1].Yd2]*Tr[u[2,1]]
          + 57/32*MatrixProduct[u[1,2].d[1,1].Yd2]*Tr[d[2,1]]
          + 19/32*MatrixProduct[u[1,2].d[1,1].Yd2]*Tr[l[2,1]]
          - MatrixProduct[u[1,2].d[1,2].u[2,1].Yd1]
          + 33/16*MatrixProduct[u[1,2].d[1,2].d[2,1].Yd1]
          - 3/2*MatrixProduct[u[1,2].d[1,2].Yd1]*lam[1,1,2,1]
          + 21/16*MatrixProduct[u[1,2].d[1,2].Yd1]*Tr[u[2,1]]
          + 21/16*MatrixProduct[u[1,2].d[1,2].Yd1]*Tr[d[2,1]]
          + 7/16*MatrixProduct[u[1,2].d[1,2].Yd1]*Tr[l[2,1]]
          - 3/2*MatrixProduct[u[1,2].d[1,2].Yd2]*lam[2,1,2,1]
          + 21/16*MatrixProduct[u[1,2].d[2,1].u[1,1].Yd2]
          - 3/2*MatrixProduct[u[1,2].d[2,1].u[1,2].Yd1]
          - 3/4*MatrixProduct[u[1,2].d[2,1].u[2,2].Yd2]
          + 3/2*MatrixProduct[u[1,2].d[2,1].d[1,1].Yd2]
          - 3*MatrixProduct[u[1,2].d[2,1].d[1,1].Yd2]*z3
          + 1/16*MatrixProduct[u[1,2].d[2,1].d[1,2].Yd1]
          - 19/32*MatrixProduct[u[1,2].d[2,1].d[2,2].Yd2]
          + 3/2*MatrixProduct[u[1,2].d[2,1].Yd1]*lam[1,2,2,2]
          - 9/2*MatrixProduct[u[1,2].d[2,1].Yd1]*lam[1,1,1,2]
          - 75/16*MatrixProduct[u[1,2].d[2,1].Yd1]*Tr[u[1,2]]
          - 75/16*MatrixProduct[u[1,2].d[2,1].Yd1]*Tr[d[1,2]]
          - 25/16*MatrixProduct[u[1,2].d[2,1].Yd1]*Tr[l[1,2]]
          + 1/2*MatrixProduct[u[1,2].d[2,1].Yd2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[1,2].d[2,1].Yd2]*lam[2,2,2,2]
          - 5*MatrixProduct[u[1,2].d[2,1].Yd2]*lam[1,1,2,2]
          + 70/3*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha3
          - 4*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha3*z3
          + 291/64*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha2
          - 9/16*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha2*z2
          - 273/64*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha2*Doub2
          + 9/16*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha2*Doub2*z2
          - 63/32*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha2*Doub1
          + 9/32*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha2*Doub1*z2
          + 195/64*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha2*Doub1*Doub2
          - 9/8*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha2*Doub1*Doub2*z2
          - 1213/192*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha1
          + 4*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha1*z3
          + 341/64*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha1*Doub2
          - 18/5*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha1*Doub2*z2
          + 9/160*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha1*Doub1
          + 27/20*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha1*Doub1*z2
          + 261/320*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha1*Doub1*Doub2*z3
          + 9/160*MatrixProduct[u[1,2].d[2,1].Yd2]*alpha1*Doub1*Doub2*
         z2
          + 9/32*MatrixProduct[u[1,2].d[2,1].Yd2]*Tr[u[1,1]]
          + 9/32*MatrixProduct[u[1,2].d[2,1].Yd2]*Tr[u[2,2]]
          + 9/32*MatrixProduct[u[1,2].d[2,1].Yd2]*Tr[d[1,1]]
          + 9/32*MatrixProduct[u[1,2].d[2,1].Yd2]*Tr[d[2,2]]
          + 3/32*MatrixProduct[u[1,2].d[2,1].Yd2]*Tr[l[1,1]]
          + 3/32*MatrixProduct[u[1,2].d[2,1].Yd2]*Tr[l[2,2]]
          + 1/2*MatrixProduct[u[1,2].d[2,2].u[1,1].Yd1]
          + 1/8*MatrixProduct[u[1,2].d[2,2].u[2,1].Yd2]
          - 27/16*MatrixProduct[u[1,2].d[2,2].u[2,2].Yd1]
          - 1/4*MatrixProduct[u[1,2].d[2,2].d[1,1].Yd1]
          + 3/8*MatrixProduct[u[1,2].d[2,2].d[2,1].Yd2]
          + 45/16*MatrixProduct[u[1,2].d[2,2].d[2,2].Yd1]
          - 9/4*MatrixProduct[u[1,2].d[2,2].Yd1]*lam[1,2,2,1]
          + 3/4*MatrixProduct[u[1,2].d[2,2].Yd1]*lam[1,1,2,2]
          - 67/3*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha3
          + 8*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha3*z3
          - 531/64*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha2
          + 9/4*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha2*z3
          + 327/32*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha2*Doub2
          - 9/2*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha2*Doub2*z3
          + 39/4*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha2*Doub1
          - 9/4*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha2*Doub1*z3
          - 111/16*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha2*Doub1*Doub2
          + 9/2*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha2*Doub1*Doub2*z3
          + 643/192*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha1
          - 19/20*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha1*z3
          - 95/32*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha1*Doub2
          + 3/10*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha1*Doub2*z3
          + 83/40*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha1*Doub1
          - 33/20*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha1*Doub1*z3
          - 99/80*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha1*Doub1*Doub2
          + 9/10*MatrixProduct[u[1,2].d[2,2].Yd1]*alpha1*Doub1*Doub2*z3
          - 3/2*MatrixProduct[u[1,2].d[2,2].Yd1]*Tr[u[1,1]]
          + 21/16*MatrixProduct[u[1,2].d[2,2].Yd1]*Tr[u[2,2]]
          - 3/2*MatrixProduct[u[1,2].d[2,2].Yd1]*Tr[d[1,1]]
          + 21/16*MatrixProduct[u[1,2].d[2,2].Yd1]*Tr[d[2,2]]
          - 1/2*MatrixProduct[u[1,2].d[2,2].Yd1]*Tr[l[1,1]]
          + 7/16*MatrixProduct[u[1,2].d[2,2].Yd1]*Tr[l[2,2]]
          - 3/2*MatrixProduct[u[1,2].d[2,2].Yd2]*lam[2,1,2,2]
          - 39/32*MatrixProduct[u[1,2].d[2,2].Yd2]*Tr[u[2,1]]
          - 39/32*MatrixProduct[u[1,2].d[2,2].Yd2]*Tr[d[2,1]]
          - 13/32*MatrixProduct[u[1,2].d[2,2].Yd2]*Tr[l[2,1]]
          + 11/4*MatrixProduct[u[1,2].Yd1]*lam[1,2,2,1]^2
          + 39/8*MatrixProduct[u[1,2].Yd1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 39/8*MatrixProduct[u[1,2].Yd1]*lam[1,2,1,2]*lam[2,1,2,1]
          + 17/4*MatrixProduct[u[1,2].Yd1]*lam[1,1,2,2]*lam[1,2,2,1]
          - 9/2*MatrixProduct[u[1,2].Yd1]*lam[1,1,2,2]*lam[2,2,2,2]
          + 5/4*MatrixProduct[u[1,2].Yd1]*lam[1,1,2,2]^2
          - 9/2*MatrixProduct[u[1,2].Yd1]*lam[1,1,2,1]*lam[1,2,2,2]
          - 9/2*MatrixProduct[u[1,2].Yd1]*lam[1,1,1,2]*lam[2,1,2,2]
          + 93/8*MatrixProduct[u[1,2].Yd1]*lam[1,1,1,2]*lam[1,1,2,1]
          - 9/2*MatrixProduct[u[1,2].Yd1]*lam[1,1,1,1]*lam[1,1,2,2]
          + 27/8*MatrixProduct[u[1,2].Yd1]*lam[1,1,1,1]^2
          + 4/3*MatrixProduct[u[1,2].Yd1]*alpha3*lam[1,2,2,1]
          - 4/3*MatrixProduct[u[1,2].Yd1]*alpha3*lam[1,1,2,2]
          - 2689/9*MatrixProduct[u[1,2].Yd1]*alpha3^2
          + 120*MatrixProduct[u[1,2].Yd1]*alpha3^2*z3
          + 52/3*MatrixProduct[u[1,2].Yd1]*alpha3^2*Ng
          + 9/8*MatrixProduct[u[1,2].Yd1]*alpha2*lam[1,2,2,1]
          - 33/8*MatrixProduct[u[1,2].Yd1]*alpha2*lam[1,2,2,1]*Doub2
          - 9/2*MatrixProduct[u[1,2].Yd1]*alpha2*lam[1,2,2,1]*Doub2*z3
          - 9/8*MatrixProduct[u[1,2].Yd1]*alpha2*lam[1,2,2,1]*Doub1
          - 3/2*MatrixProduct[u[1,2].Yd1]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 9/2*MatrixProduct[u[1,2].Yd1]*alpha2*lam[1,2,2,1]*Doub1*Doub2*z3
          + 15/8*MatrixProduct[u[1,2].Yd1]*alpha2*lam[1,1,2,2]
          + 15/8*MatrixProduct[u[1,2].Yd1]*alpha2*lam[1,1,2,2]*Doub2
          + 15/8*MatrixProduct[u[1,2].Yd1]*alpha2*lam[1,1,2,2]*Doub1
          + 147/4*MatrixProduct[u[1,2].Yd1]*alpha2*alpha3
          - 84*MatrixProduct[u[1,2].Yd1]*alpha2*alpha3*z3
          + 13*MatrixProduct[u[1,2].Yd1]*alpha2*alpha3*Doub1
          - 24*MatrixProduct[u[1,2].Yd1]*alpha2*alpha3*Doub1*z3
          + 3015/128*MatrixProduct[u[1,2].Yd1]*alpha2^2
          - 27/2*MatrixProduct[u[1,2].Yd1]*alpha2^2*z3
          - 21/8*MatrixProduct[u[1,2].Yd1]*alpha2^2*Ng
          - 207/64*MatrixProduct[u[1,2].Yd1]*alpha2^2*Doub2
          + 9/2*MatrixProduct[u[1,2].Yd1]*alpha2^2*Doub2*z3
          - 4413/128*MatrixProduct[u[1,2].Yd1]*alpha2^2*Doub1
          + 135/4*MatrixProduct[u[1,2].Yd1]*alpha2^2*Doub1*z3
          + 51/8*MatrixProduct[u[1,2].Yd1]*alpha2^2*Doub1*Ng
          + 189/64*MatrixProduct[u[1,2].Yd1]*alpha2^2*Doub1*Doub2
          - 9/4*MatrixProduct[u[1,2].Yd1]*alpha2^2*Doub1*Doub2*z3
          + 7/24*MatrixProduct[u[1,2].Yd1]*alpha1*lam[1,2,2,1]
          - 3/8*MatrixProduct[u[1,2].Yd1]*alpha1*lam[1,2,2,1]*Doub2
          - 39/40*MatrixProduct[u[1,2].Yd1]*alpha1*lam[1,2,2,1]*Doub1
          - 7/24*MatrixProduct[u[1,2].Yd1]*alpha1*lam[1,1,2,2]
          + 3/8*MatrixProduct[u[1,2].Yd1]*alpha1*lam[1,1,2,2]*Doub2
          + 39/40*MatrixProduct[u[1,2].Yd1]*alpha1*lam[1,1,2,2]*Doub1
          + 455/36*MatrixProduct[u[1,2].Yd1]*alpha1*alpha3
          - 20*MatrixProduct[u[1,2].Yd1]*alpha1*alpha3*z3
          + 17/15*MatrixProduct[u[1,2].Yd1]*alpha1*alpha3*Doub1
          - 8/5*MatrixProduct[u[1,2].Yd1]*alpha1*alpha3*Doub1*z3
          - 81/320*MatrixProduct[u[1,2].Yd1]*alpha1*alpha2
          + 21/10*MatrixProduct[u[1,2].Yd1]*alpha1*alpha2*z3
          + 3/5*MatrixProduct[u[1,2].Yd1]*alpha1*alpha2*Doub2
          - 9/20*MatrixProduct[u[1,2].Yd1]*alpha1*alpha2*Doub2*z3
          + 299/64*MatrixProduct[u[1,2].Yd1]*alpha1*alpha2*Doub1
          - 24/5*MatrixProduct[u[1,2].Yd1]*alpha1*alpha2*Doub1*z3
          - 51/20*MatrixProduct[u[1,2].Yd1]*alpha1*alpha2*Doub1*Doub2
          - 9/20*MatrixProduct[u[1,2].Yd1]*alpha1*alpha2*Doub1*Doub2*z3
          - 3209/28800*MatrixProduct[u[1,2].Yd1]*alpha1^2
          + 1/50*MatrixProduct[u[1,2].Yd1]*alpha1^2*z3
          - 7/120*MatrixProduct[u[1,2].Yd1]*alpha1^2*Ng
          - 789/1600*MatrixProduct[u[1,2].Yd1]*alpha1^2*Doub2
          + 21/50*MatrixProduct[u[1,2].Yd1]*alpha1^2*Doub2*z3
          + 9637/9600*MatrixProduct[u[1,2].Yd1]*alpha1^2*Doub1
          - 7/20*MatrixProduct[u[1,2].Yd1]*alpha1^2*Doub1*z3
          + 59/40*MatrixProduct[u[1,2].Yd1]*alpha1^2*Doub1*Ng
          + 879/1600*MatrixProduct[u[1,2].Yd1]*alpha1^2*Doub1*Doub2
          + 9/100*MatrixProduct[u[1,2].Yd1]*alpha1^2*Doub1*Doub2*z3
          + 3*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*lam[1,2,2,1]
          - 3*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*lam[1,1,2,2]
          + 39*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*alpha3
          - 48*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*alpha3*z3
          - 1071/32*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*alpha2
          + 135/4*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*alpha2*z3
          + 477/16*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*alpha2*Doub1
          - 81/4*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*alpha2*Doub1*z3
          - 2727/160*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*alpha1
          + 57/4*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*alpha1*z3
          + 1353/80*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*alpha1*Doub1
          - 243/20*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*alpha1*Doub1*z3
          + 9*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]^2
          + 18*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*Tr[d[1,1]]
          + 6*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1]]*Tr[l[1,1]]
          - 225/16*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1].u[1,1]]
          - 171/16*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1].u[2,2]]*z3
          - 15/8*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1].d[1,1]]
          + 117/16*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1].d[2,2]]
          - 18*MatrixProduct[u[1,2].Yd1]*Tr[u[1,1].d[2,2]]*z3
          + 9*MatrixProduct[u[1,2].Yd1]*Tr[u[1,2]]*Tr[u[2,1]]
          + 9*MatrixProduct[u[1,2].Yd1]*Tr[u[1,2]]*Tr[d[2,1]]
          + 3*MatrixProduct[u[1,2].Yd1]*Tr[u[1,2]]*Tr[l[2,1]]
          - 27/8*MatrixProduct[u[1,2].Yd1]*Tr[u[1,2].u[2,1]]
          - 9*MatrixProduct[u[1,2].Yd1]*Tr[u[1,2].u[2,1]]*z3
          + 15/4*MatrixProduct[u[1,2].Yd1]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*Tr[d[1,2]]
          + 3*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1]]*Tr[l[1,2]]
          + 15/4*MatrixProduct[u[1,2].Yd1]*Tr[u[2,1].d[1,2]]
          + 9/2*MatrixProduct[u[1,2].Yd1]*Tr[u[2,2]]*lam[1,2,2,1]
          - 9/2*MatrixProduct[u[1,2].Yd1]*Tr[u[2,2]]*lam[1,1,2,2]
          - 27/4*MatrixProduct[u[1,2].Yd1]*Tr[u[2,2]]*alpha2
          + 27/4*MatrixProduct[u[1,2].Yd1]*Tr[u[2,2]]*alpha2*Doub2
          - 27/20*MatrixProduct[u[1,2].Yd1]*Tr[u[2,2]]*alpha1
          + 27/20*MatrixProduct[u[1,2].Yd1]*Tr[u[2,2]]*alpha1*Doub2
          + 117/16*MatrixProduct[u[1,2].Yd1]*Tr[u[2,2].d[1,1]]
          - 18*MatrixProduct[u[1,2].Yd1]*Tr[u[2,2].d[1,1]]*z3
          + 3*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*lam[1,2,2,1]
          - 3*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*lam[1,1,2,2]
          + 39*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*alpha3
          - 48*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*alpha3*z3
          - 1071/32*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*alpha2
          + 135/4*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*alpha2*z3
          + 477/16*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*alpha2*Doub1
          - 81/4*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*alpha2*Doub1*z3
          - 3339/160*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*alpha1
          + 357/20*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*alpha1*z3
          + 1353/80*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*alpha1*Doub1
          - 243/20*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*alpha1*Doub1*z3
          + 9*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]^2
          + 6*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1]]*Tr[l[1,1]]
          - 225/16*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1].d[1,1]]
          - 171/16*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[u[1,2].Yd1]*Tr[d[1,1].d[2,2]]*z3
          + 9*MatrixProduct[u[1,2].Yd1]*Tr[d[1,2]]*Tr[d[2,1]]
          + 3*MatrixProduct[u[1,2].Yd1]*Tr[d[1,2]]*Tr[l[2,1]]
          - 27/8*MatrixProduct[u[1,2].Yd1]*Tr[d[1,2].d[2,1]]
          - 9*MatrixProduct[u[1,2].Yd1]*Tr[d[1,2].d[2,1]]*z3
          + 3*MatrixProduct[u[1,2].Yd1]*Tr[d[2,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[u[1,2].Yd1]*Tr[d[2,2]]*lam[1,2,2,1]
          - 9/2*MatrixProduct[u[1,2].Yd1]*Tr[d[2,2]]*lam[1,1,2,2]
          - 27/4*MatrixProduct[u[1,2].Yd1]*Tr[d[2,2]]*alpha2
          + 27/4*MatrixProduct[u[1,2].Yd1]*Tr[d[2,2]]*alpha2*Doub2
          - 27/20*MatrixProduct[u[1,2].Yd1]*Tr[d[2,2]]*alpha1
          + 27/20*MatrixProduct[u[1,2].Yd1]*Tr[d[2,2]]*alpha1*Doub2
          + MatrixProduct[u[1,2].Yd1]*Tr[l[1,1]]*lam[1,2,2,1]
          - MatrixProduct[u[1,2].Yd1]*Tr[l[1,1]]*lam[1,1,2,2]
          - 4*MatrixProduct[u[1,2].Yd1]*Tr[l[1,1]]*alpha3
          - 357/32*MatrixProduct[u[1,2].Yd1]*Tr[l[1,1]]*alpha2
          + 45/4*MatrixProduct[u[1,2].Yd1]*Tr[l[1,1]]*alpha2*z3
          + 159/16*MatrixProduct[u[1,2].Yd1]*Tr[l[1,1]]*alpha2*Doub1
          - 27/4*MatrixProduct[u[1,2].Yd1]*Tr[l[1,1]]*alpha2*Doub1*z3
          - 433/160*MatrixProduct[u[1,2].Yd1]*Tr[l[1,1]]*alpha1
          + 39/20*MatrixProduct[u[1,2].Yd1]*Tr[l[1,1]]*alpha1*z3
          + 451/80*MatrixProduct[u[1,2].Yd1]*Tr[l[1,1]]*alpha1*Doub1
          - 81/20*MatrixProduct[u[1,2].Yd1]*Tr[l[1,1]]*alpha1*Doub1*z3
          + MatrixProduct[u[1,2].Yd1]*Tr[l[1,1]]^2
          - 75/16*MatrixProduct[u[1,2].Yd1]*Tr[l[1,1].l[1,1]]
          - 57/16*MatrixProduct[u[1,2].Yd1]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[u[1,2].Yd1]*Tr[l[1,1].l[2,2]]*z3
          + MatrixProduct[u[1,2].Yd1]*Tr[l[1,2]]*Tr[l[2,1]]
          - 9/8*MatrixProduct[u[1,2].Yd1]*Tr[l[1,2].l[2,1]]
          - 3*MatrixProduct[u[1,2].Yd1]*Tr[l[1,2].l[2,1]]*z3
          + 3/2*MatrixProduct[u[1,2].Yd1]*Tr[l[2,2]]*lam[1,2,2,1]
          - 3/2*MatrixProduct[u[1,2].Yd1]*Tr[l[2,2]]*lam[1,1,2,2]
          - 9/4*MatrixProduct[u[1,2].Yd1]*Tr[l[2,2]]*alpha2
          + 9/4*MatrixProduct[u[1,2].Yd1]*Tr[l[2,2]]*alpha2*Doub2
          - 9/20*MatrixProduct[u[1,2].Yd1]*Tr[l[2,2]]*alpha1
          + 9/20*MatrixProduct[u[1,2].Yd1]*Tr[l[2,2]]*alpha1*Doub2
          - 21/32*MatrixProduct[u[1,2].Yd2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 21/32*MatrixProduct[u[1,2].Yd2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 21/32*MatrixProduct[u[1,2].Yd2]*lam[2,1,2,1]*lam[1,2,2,2]
          + 75/32*MatrixProduct[u[1,2].Yd2]*lam[1,1,2,2]*lam[2,1,2,2]
          + 75/32*MatrixProduct[u[1,2].Yd2]*lam[1,1,2,1]*lam[1,2,2,1]
          - 21/32*MatrixProduct[u[1,2].Yd2]*lam[1,1,2,1]*lam[1,1,2,2]
          + 75/32*MatrixProduct[u[1,2].Yd2]*lam[1,1,1,2]*lam[2,1,2,1]
          + 75/32*MatrixProduct[u[1,2].Yd2]*lam[1,1,1,1]*lam[1,1,2,1]
          + 3*MatrixProduct[u[1,2].Yd2]*alpha2*lam[2,1,2,2]
          - 9*MatrixProduct[u[1,2].Yd2]*alpha2*lam[2,1,2,2]*Doub2*z3
          + 9/2*MatrixProduct[u[1,2].Yd2]*alpha2*lam[2,1,2,2]*Doub1
          - 9/2*MatrixProduct[u[1,2].Yd2]*alpha2*lam[2,1,2,2]*Doub1*z3
          - 15/2*MatrixProduct[u[1,2].Yd2]*alpha2*lam[2,1,2,2]*Doub1*Doub2
          + 27/2*MatrixProduct[u[1,2].Yd2]*alpha2*lam[2,1,2,2]*Doub1*Doub2*
         z3
          + 117/16*MatrixProduct[u[1,2].Yd2]*Tr[u[1,1]]*Tr[u[2,1]]
          + 117/16*MatrixProduct[u[1,2].Yd2]*Tr[u[1,1]]*Tr[d[2,1]]
          + 39/16*MatrixProduct[u[1,2].Yd2]*Tr[u[1,1]]*Tr[l[2,1]]
          - 153/16*MatrixProduct[u[1,2].Yd2]*Tr[u[1,1].u[2,1]]
          - 15/16*MatrixProduct[u[1,2].Yd2]*Tr[u[1,1].d[2,1]]
          - 3*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*lam[1,2,2,1]
          + 3*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*lam[1,1,2,2]
          + 97/4*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha3
          - 36*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha3*z3
          - 261/16*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha2
          + 135/4*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha2*z3
          - 981/128*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha2*Doub2
          - 81/8*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha2*Doub2*z3
          + 9/128*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha2*Doub1
          - 81/8*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha2*Doub1*z3
          + 495/32*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          - 19*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha1
          + 207/20*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha1*z3
          + 6603/640*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha1*Doub2
          - 189/40*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha1*Doub2*z3
          + 5421/640*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha1*Doub1
          - 189/40*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha1*Doub1*z3
          + 9/5*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*alpha1*Doub1*Doub2
          + 117/16*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*Tr[u[2,2]]
          + 117/16*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*Tr[d[1,1]]
          + 117/16*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*Tr[d[2,2]]
          + 39/16*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*Tr[l[1,1]]
          + 39/16*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1]]*Tr[l[2,2]]
          - 153/16*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1].u[2,2]]
          - 15/16*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1].d[1,1]]
          + 177/16*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1].d[2,2]]
          - 18*MatrixProduct[u[1,2].Yd2]*Tr[u[2,1].d[2,2]]*z3
          + 117/16*MatrixProduct[u[1,2].Yd2]*Tr[u[2,2]]*Tr[d[2,1]]
          + 39/16*MatrixProduct[u[1,2].Yd2]*Tr[u[2,2]]*Tr[l[2,1]]
          + 177/16*MatrixProduct[u[1,2].Yd2]*Tr[u[2,2].d[2,1]]
          - 18*MatrixProduct[u[1,2].Yd2]*Tr[u[2,2].d[2,1]]*z3
          + 117/16*MatrixProduct[u[1,2].Yd2]*Tr[d[1,1]]*Tr[d[2,1]]
          + 39/16*MatrixProduct[u[1,2].Yd2]*Tr[d[1,1]]*Tr[l[2,1]]
          - 153/16*MatrixProduct[u[1,2].Yd2]*Tr[d[1,1].d[2,1]]
          - 3*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*lam[1,2,2,1]
          + 3*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*lam[1,1,2,2]
          + 97/4*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha3
          - 36*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha3*z3
          - 261/16*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha2
          + 135/4*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha2*z3
          - 981/128*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha2*Doub2
          - 81/8*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha2*Doub2*z3
          + 9/128*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha2*Doub1
          - 81/8*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha2*Doub1*z3
          + 495/32*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          - 173/8*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha1
          + 261/20*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha1*z3
          + 6603/640*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha1*Doub2
          - 189/40*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha1*Doub2*z3
          + 5421/640*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha1*Doub1
          - 189/40*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha1*Doub1*z3
          + 9/5*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*alpha1*Doub1*Doub2
          + 117/16*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*Tr[d[2,2]]
          + 39/16*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*Tr[l[1,1]]
          + 39/16*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1]]*Tr[l[2,2]]
          - 153/16*MatrixProduct[u[1,2].Yd2]*Tr[d[2,1].d[2,2]]
          + 39/16*MatrixProduct[u[1,2].Yd2]*Tr[d[2,2]]*Tr[l[2,1]]
          + 13/16*MatrixProduct[u[1,2].Yd2]*Tr[l[1,1]]*Tr[l[2,1]]
          - 51/16*MatrixProduct[u[1,2].Yd2]*Tr[l[1,1].l[2,1]]
          - MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*lam[1,2,2,1]
          + MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*lam[1,1,2,2]
          - 43/12*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha3
          - 87/16*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha2
          + 45/4*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha2*z3
          - 327/128*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha2*Doub2
          - 27/8*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha2*Doub2*z3
          + 3/128*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha2*Doub1
          - 27/8*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha2*Doub1*z3
          + 165/32*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          - 103/24*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha1
          + 27/20*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha1*z3
          + 2201/640*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha1*Doub2
          - 63/40*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha1*Doub2*z3
          + 1807/640*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha1*Doub1
          - 63/40*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha1*Doub1*z3
          + 3/5*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*alpha1*Doub1*Doub2
          + 13/16*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1]]*Tr[l[2,2]]
          - 51/16*MatrixProduct[u[1,2].Yd2]*Tr[l[2,1].l[2,2]]
          + 5/16*MatrixProduct[u[2,1].u[1,1].u[1,2].Yd2]
          - 7/32*MatrixProduct[u[2,1].u[1,1].d[1,2].Yd2]
          - 6*MatrixProduct[u[2,1].u[1,1].Yd2]*lam[1,1,1,2]
          - 3/4*MatrixProduct[u[2,1].u[1,1].Yd2]*Tr[u[1,2]]
          - 3/4*MatrixProduct[u[2,1].u[1,1].Yd2]*Tr[d[1,2]]
          - 1/4*MatrixProduct[u[2,1].u[1,1].Yd2]*Tr[l[1,2]]
          + 5/2*MatrixProduct[u[2,1].u[1,2].u[1,1].Yd2]
          - 9/4*MatrixProduct[u[2,1].u[1,2].u[1,1].Yd2]*z3
          - MatrixProduct[u[2,1].u[1,2].u[1,2].Yd1]
          - 5/16*MatrixProduct[u[2,1].u[1,2].u[2,2].Yd2]
          - 3/2*MatrixProduct[u[2,1].u[1,2].d[1,1].Yd2]
          - 4*MatrixProduct[u[2,1].u[1,2].d[1,2].Yd1]
          + 6*MatrixProduct[u[2,1].u[1,2].d[1,2].Yd1]*z3
          - 19/32*MatrixProduct[u[2,1].u[1,2].d[2,2].Yd2]
          - 3/2*MatrixProduct[u[2,1].u[1,2].Yd1]*lam[1,1,1,2]
          + 3*MatrixProduct[u[2,1].u[1,2].Yd1]*Tr[u[1,2]]
          + 3*MatrixProduct[u[2,1].u[1,2].Yd1]*Tr[d[1,2]]
          + MatrixProduct[u[2,1].u[1,2].Yd1]*Tr[l[1,2]]
          - 5/2*MatrixProduct[u[2,1].u[1,2].Yd2]*lam[1,2,2,1]
          - 5*MatrixProduct[u[2,1].u[1,2].Yd2]*lam[1,1,2,2]
          + 28/3*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha3
          + 16*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha3*z3
          - 9/4*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha2
          + 9/32*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha2*z2
          - 93/32*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha2*Doub2
          - 9/32*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha2*Doub2*z2
          + 351/32*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha2*Doub1
          - 27/4*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha2*Doub1*z3
          - 6209/960*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha1
          + 7/5*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha1*z3
          + 693/320*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha1*Doub2
          - 9/10*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha1*Doub2*z2
          + 2377/320*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha1*Doub1
          - 33/20*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha1*Doub1*z2
          - 879/320*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha1*Doub1*Doub2
          + 9/5*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha1*Doub1*Doub2*z3
          + 9/160*MatrixProduct[u[2,1].u[1,2].Yd2]*alpha1*Doub1*Doub2*
         z2
          - 123/16*MatrixProduct[u[2,1].u[1,2].Yd2]*Tr[u[1,1]]
          + 9/4*MatrixProduct[u[2,1].u[1,2].Yd2]*Tr[u[2,2]]
          - 123/16*MatrixProduct[u[2,1].u[1,2].Yd2]*Tr[d[1,1]]
          + 9/4*MatrixProduct[u[2,1].u[1,2].Yd2]*Tr[d[2,2]]
          - 41/16*MatrixProduct[u[2,1].u[1,2].Yd2]*Tr[l[1,1]]
          + 3/4*MatrixProduct[u[2,1].u[1,2].Yd2]*Tr[l[2,2]]
          - 6*MatrixProduct[u[2,1].u[2,1].Yd2]*lam[1,2,1,2]
          + 17/8*MatrixProduct[u[2,1].u[2,2].u[1,2].Yd2]
          - 9/4*MatrixProduct[u[2,1].u[2,2].u[1,2].Yd2]*z3
          - 41/8*MatrixProduct[u[2,1].u[2,2].d[1,2].Yd2]
          + 6*MatrixProduct[u[2,1].u[2,2].d[1,2].Yd2]*z3
          - 3/2*MatrixProduct[u[2,1].u[2,2].Yd1]*lam[1,2,1,2]
          - 15/2*MatrixProduct[u[2,1].u[2,2].Yd2]*lam[1,2,2,2]
          - 123/16*MatrixProduct[u[2,1].u[2,2].Yd2]*Tr[u[1,2]]
          - 123/16*MatrixProduct[u[2,1].u[2,2].Yd2]*Tr[d[1,2]]
          - 41/16*MatrixProduct[u[2,1].u[2,2].Yd2]*Tr[l[1,2]]
          - 17/16*MatrixProduct[u[2,1].d[1,1].u[1,2].Yd2]
          + 11/8*MatrixProduct[u[2,1].d[1,1].d[1,2].Yd2]
          + 9/32*MatrixProduct[u[2,1].d[1,1].Yd2]*Tr[u[1,2]]
          + 9/32*MatrixProduct[u[2,1].d[1,1].Yd2]*Tr[d[1,2]]
          + 3/32*MatrixProduct[u[2,1].d[1,1].Yd2]*Tr[l[1,2]]
          + 1/4*MatrixProduct[u[2,1].d[1,2].u[1,1].Yd2]
          - 3/2*MatrixProduct[u[2,1].d[1,2].u[1,2].Yd1]
          + 5/16*MatrixProduct[u[2,1].d[1,2].u[2,2].Yd2]
          + 45/32*MatrixProduct[u[2,1].d[1,2].d[1,1].Yd2]
          - 3/2*MatrixProduct[u[2,1].d[1,2].d[1,2].Yd1]
          + 3*MatrixProduct[u[2,1].d[1,2].d[1,2].Yd1]*z3
          + 9/2*MatrixProduct[u[2,1].d[1,2].Yd1]*lam[1,1,1,2]
          - 3*MatrixProduct[u[2,1].d[1,2].Yd1]*Tr[u[1,2]]
          - 3*MatrixProduct[u[2,1].d[1,2].Yd1]*Tr[d[1,2]]
          - MatrixProduct[u[2,1].d[1,2].Yd1]*Tr[l[1,2]]
          + MatrixProduct[u[2,1].d[1,2].Yd2]*lam[1,2,2,1]
          + 7/2*MatrixProduct[u[2,1].d[1,2].Yd2]*lam[1,1,2,2]
          - 22*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha3
          - 4*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha3*z3
          + 435/64*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha2
          - 9/2*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha2*z3
          - 9/16*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha2*z2
          - 57/64*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha2*Doub2
          + 9/2*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha2*Doub2*z3
          + 9/16*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha2*Doub2*z2
          - 195/32*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha2*Doub1
          + 9/2*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha2*Doub1*z2
          + 291/64*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha2*Doub1*Doub2
          - 45/8*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha2*Doub1*Doub2*z2
          - 15/64*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha1
          + 1/10*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha1*z3
          + 527/320*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha1*Doub2
          + 3/10*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha1*Doub2*z3
          - 9/80*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha1*Doub2*z2
          - 209/160*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha1*Doub1
          - 3/10*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha1*Doub1*z3
          + 27/160*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha1*Doub1*z2
          + 39/64*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha1*Doub1*Doub2*
         z3
          - 9/160*MatrixProduct[u[2,1].d[1,2].Yd2]*alpha1*Doub1*Doub2*
         z2
          + 201/32*MatrixProduct[u[2,1].d[1,2].Yd2]*Tr[u[1,1]]
          - 87/32*MatrixProduct[u[2,1].d[1,2].Yd2]*Tr[u[2,2]]
          + 201/32*MatrixProduct[u[2,1].d[1,2].Yd2]*Tr[d[1,1]]
          - 87/32*MatrixProduct[u[2,1].d[1,2].Yd2]*Tr[d[2,2]]
          + 67/32*MatrixProduct[u[2,1].d[1,2].Yd2]*Tr[l[1,1]]
          - 29/32*MatrixProduct[u[2,1].d[1,2].Yd2]*Tr[l[2,2]]
          - 21/8*MatrixProduct[u[2,1].d[2,2].u[1,2].Yd2]
          + 41/32*MatrixProduct[u[2,1].d[2,2].d[1,2].Yd2]
          + 3*MatrixProduct[u[2,1].d[2,2].d[1,2].Yd2]*z3
          + 9/2*MatrixProduct[u[2,1].d[2,2].Yd1]*lam[1,2,1,2]
          + 9/2*MatrixProduct[u[2,1].d[2,2].Yd2]*lam[1,2,2,2]
          + 201/32*MatrixProduct[u[2,1].d[2,2].Yd2]*Tr[u[1,2]]
          + 201/32*MatrixProduct[u[2,1].d[2,2].Yd2]*Tr[d[1,2]]
          + 67/32*MatrixProduct[u[2,1].d[2,2].Yd2]*Tr[l[1,2]]
          - 3*MatrixProduct[u[2,1].Yd1]*lam[1,2,2,2]^2
          - 6*MatrixProduct[u[2,1].Yd1]*lam[1,2,1,2]*lam[1,2,2,1]
          - 3*MatrixProduct[u[2,1].Yd1]*lam[1,1,1,2]^2
          + 3*MatrixProduct[u[2,1].Yd1]*alpha2*lam[1,2,1,2]
          + 3*MatrixProduct[u[2,1].Yd1]*alpha2*lam[1,2,1,2]*Doub2
          - 9/2*MatrixProduct[u[2,1].Yd1]*alpha2*lam[1,2,1,2]*Doub2*z3
          - 9*MatrixProduct[u[2,1].Yd1]*alpha2*lam[1,2,1,2]*Doub1*z3
          - 6*MatrixProduct[u[2,1].Yd1]*alpha2*lam[1,2,1,2]*Doub1*Doub2
          + 27/2*MatrixProduct[u[2,1].Yd1]*alpha2*lam[1,2,1,2]*Doub1*Doub2*
         z3
          + 24*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2].d[1,2]]
          - 36*MatrixProduct[u[2,1].Yd1]*Tr[u[1,2].d[1,2]]*z3
          - 129/32*MatrixProduct[u[2,1].Yd2]*lam[1,2,2,2]*lam[1,2,2,1]
          - 129/32*MatrixProduct[u[2,1].Yd2]*lam[1,2,2,2]*lam[2,2,2,2]
          - 129/32*MatrixProduct[u[2,1].Yd2]*lam[1,2,1,2]*lam[2,1,2,2]
          - 33/32*MatrixProduct[u[2,1].Yd2]*lam[1,1,2,2]*lam[1,2,2,2]
          - 33/32*MatrixProduct[u[2,1].Yd2]*lam[1,1,2,1]*lam[1,2,1,2]
          - 33/32*MatrixProduct[u[2,1].Yd2]*lam[1,1,1,2]*lam[1,2,2,1]
          - 129/32*MatrixProduct[u[2,1].Yd2]*lam[1,1,1,2]*lam[1,1,2,2]
          - 33/32*MatrixProduct[u[2,1].Yd2]*lam[1,1,1,1]*lam[1,1,1,2]
          + 3*MatrixProduct[u[2,1].Yd2]*alpha2*lam[1,2,2,2]
          + 3/2*MatrixProduct[u[2,1].Yd2]*alpha2*lam[1,2,2,2]*Doub2
          - 9/2*MatrixProduct[u[2,1].Yd2]*alpha2*lam[1,2,2,2]*Doub1*z3
          - 9/2*MatrixProduct[u[2,1].Yd2]*alpha2*lam[1,2,2,2]*Doub1*Doub2
          + 9/2*MatrixProduct[u[2,1].Yd2]*alpha2*lam[1,2,2,2]*Doub1*Doub2*z3
          - 27/16*MatrixProduct[u[2,1].Yd2]*Tr[u[1,1]]*Tr[u[1,2]]
          - 27/16*MatrixProduct[u[2,1].Yd2]*Tr[u[1,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[u[2,1].Yd2]*Tr[u[1,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[u[2,1].Yd2]*Tr[u[1,1].u[1,2]]
          - 3/2*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*alpha3
          + 12*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*alpha3*z3
          + 333/32*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*alpha2
          - 765/128*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*alpha2*Doub2
          - 207/128*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*alpha2*Doub1
          - 243/32*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          - 529/160*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*alpha1
          - 39/10*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*alpha1*z3
          + 567/128*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*alpha1*Doub2
          + 27/20*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*alpha1*Doub2*z3
          + 2469/640*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*alpha1*Doub1
          + 27/20*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*alpha1*Doub1*z3
          - 261/80*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*Tr[u[2,2]]
          - 27/16*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*Tr[d[1,1]]
          - 27/16*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2].u[2,2]]
          + 12*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2].d[2,2]]
          - 18*MatrixProduct[u[2,1].Yd2]*Tr[u[1,2].d[2,2]]*z3
          - 27/16*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2]]*Tr[l[1,2]]
          + 12*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2].d[1,2]]
          - 18*MatrixProduct[u[2,1].Yd2]*Tr[u[2,2].d[1,2]]*z3
          - 27/16*MatrixProduct[u[2,1].Yd2]*Tr[d[1,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[u[2,1].Yd2]*Tr[d[1,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[u[2,1].Yd2]*Tr[d[1,1].d[1,2]]
          - 3/2*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*alpha3
          + 12*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*alpha3*z3
          + 333/32*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*alpha2
          - 765/128*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*alpha2*Doub2
          - 207/128*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*alpha2*Doub1
          - 243/32*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          - 337/160*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*alpha1
          - 24/5*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*alpha1*z3
          + 567/128*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*alpha1*Doub2
          + 27/20*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*alpha1*Doub2*z3
          + 2469/640*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*alpha1*Doub1
          + 27/20*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*alpha1*Doub1*z3
          - 261/80*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[u[2,1].Yd2]*Tr[d[1,2].d[2,2]]
          - 9/16*MatrixProduct[u[2,1].Yd2]*Tr[d[2,2]]*Tr[l[1,2]]
          - 3/16*MatrixProduct[u[2,1].Yd2]*Tr[l[1,1]]*Tr[l[1,2]]
          + 3/2*MatrixProduct[u[2,1].Yd2]*Tr[l[1,1].l[1,2]]
          - 1/2*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*lam[1,2,2,1]
          + 1/2*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*lam[1,1,2,2]
          + 5/12*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*alpha3
          + 111/32*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*alpha2
          - 255/128*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*alpha2*Doub2
          - 69/128*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*alpha2*Doub1
          - 81/32*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          - 977/480*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*alpha1
          - 3/5*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*alpha1*z3
          + 189/128*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*alpha1*Doub2
          + 9/20*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*alpha1*Doub2*z3
          + 823/640*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*alpha1*Doub1
          + 9/20*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*alpha1*Doub1*z3
          - 87/80*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          - 3/16*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2]]*Tr[l[2,2]]
          + 3/2*MatrixProduct[u[2,1].Yd2]*Tr[l[1,2].l[2,2]]
          - 3/16*MatrixProduct[u[2,2].u[1,1].u[1,1].Yd2]
          - 1/4*MatrixProduct[u[2,2].u[1,1].u[1,2].Yd1]
          - 7/8*MatrixProduct[u[2,2].u[1,1].u[2,2].Yd2]
          - 1/4*MatrixProduct[u[2,2].u[1,1].d[1,1].Yd2]
          - 1/2*MatrixProduct[u[2,2].u[1,1].d[1,2].Yd1]
          + 9/8*MatrixProduct[u[2,2].u[1,1].d[2,2].Yd2]
          - 3*MatrixProduct[u[2,2].u[1,1].Yd1]*Tr[u[1,2]]
          - 3*MatrixProduct[u[2,2].u[1,1].Yd1]*Tr[d[1,2]]
          - MatrixProduct[u[2,2].u[1,1].Yd1]*Tr[l[1,2]]
          - 5/2*MatrixProduct[u[2,2].u[1,1].Yd2]*lam[1,2,2,1]
          - 7/2*MatrixProduct[u[2,2].u[1,1].Yd2]*lam[1,1,2,2]
          + 5*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha3
          + 8*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha3*z3
          - 513/64*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha2
          + 27/4*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha2*z3
          - 9/64*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha2*z2
          + 21/4*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha2*Doub2
          - 27/4*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha2*Doub2*z2
          + 357/32*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha2*Doub1
          - 9*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha2*Doub1*z2
          - 213/32*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha2*Doub1*Doub2
          + 9*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha2*Doub1*Doub2*z2
          - 1753/320*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha1
          + 17/20*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha1*z3
          - 9/320*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha1*z2
          - 2/5*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha1*Doub2
          + 51/20*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha1*Doub2*z2
          + 901/160*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha1*Doub1
          - 12/5*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha1*Doub1*z2
          + 351/160*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha1*Doub1*Doub2
          - 9/5*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha1*Doub1*Doub2*z3
          - 9/320*MatrixProduct[u[2,2].u[1,1].Yd2]*alpha1*Doub1*Doub2*
         z2
          - 75/16*MatrixProduct[u[2,2].u[1,1].Yd2]*Tr[u[1,1]]
          + 3/2*MatrixProduct[u[2,2].u[1,1].Yd2]*Tr[u[2,2]]
          - 75/16*MatrixProduct[u[2,2].u[1,1].Yd2]*Tr[d[1,1]]
          + 3/2*MatrixProduct[u[2,2].u[1,1].Yd2]*Tr[d[2,2]]
          - 25/16*MatrixProduct[u[2,2].u[1,1].Yd2]*Tr[l[1,1]]
          + 1/2*MatrixProduct[u[2,2].u[1,1].Yd2]*Tr[l[2,2]]
          - 1/4*MatrixProduct[u[2,2].u[1,2].u[1,1].Yd1]
          + 9/16*MatrixProduct[u[2,2].u[1,2].u[2,1].Yd2]
          - 9/4*MatrixProduct[u[2,2].u[1,2].u[2,1].Yd2]*z3
          + 7/4*MatrixProduct[u[2,2].u[1,2].u[2,2].Yd1]
          + 3/4*MatrixProduct[u[2,2].u[1,2].d[1,1].Yd1]
          - 5/2*MatrixProduct[u[2,2].u[1,2].d[2,1].Yd2]
          - 15/4*MatrixProduct[u[2,2].u[1,2].d[2,2].Yd1]
          + 6*MatrixProduct[u[2,2].u[1,2].d[2,2].Yd1]*z3
          - 5/2*MatrixProduct[u[2,2].u[1,2].Yd1]*lam[1,2,2,1]
          + MatrixProduct[u[2,2].u[1,2].Yd1]*lam[1,1,2,2]
          - 4/3*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha3
          + 16*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha3*z3
          - 9*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha2
          + 9/4*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha2*z3
          + 75/8*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha2*Doub2
          - 27/4*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha2*Doub2*z3
          - 63/16*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha2*Doub1
          + 45/8*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha2*Doub1*z3
          + 81/16*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha2*Doub1*Doub2
          - 45/8*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha2*Doub1*Doub2*z3
          + 293/60*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha1
          - 29/20*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha1*z3
          - 97/40*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha1*Doub2
          - 33/20*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha1*Doub2*z3
          - 107/80*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha1*Doub1
          + 21/8*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha1*Doub1*z3
          - 3/16*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[u[2,2].u[1,2].Yd1]*alpha1*Doub1*Doub2*z3
          + 9/2*MatrixProduct[u[2,2].u[1,2].Yd1]*Tr[u[1,1]]
          - 9/2*MatrixProduct[u[2,2].u[1,2].Yd1]*Tr[u[2,2]]
          + 9/2*MatrixProduct[u[2,2].u[1,2].Yd1]*Tr[d[1,1]]
          - 9/2*MatrixProduct[u[2,2].u[1,2].Yd1]*Tr[d[2,2]]
          + 3/2*MatrixProduct[u[2,2].u[1,2].Yd1]*Tr[l[1,1]]
          - 3/2*MatrixProduct[u[2,2].u[1,2].Yd1]*Tr[l[2,2]]
          - 15/2*MatrixProduct[u[2,2].u[1,2].Yd2]*lam[2,1,2,2]
          - 63/8*MatrixProduct[u[2,2].u[1,2].Yd2]*Tr[u[2,1]]
          - 63/8*MatrixProduct[u[2,2].u[1,2].Yd2]*Tr[d[2,1]]
          - 21/8*MatrixProduct[u[2,2].u[1,2].Yd2]*Tr[l[2,1]]
          + 3/4*MatrixProduct[u[2,2].u[2,1].u[1,2].Yd2]
          - 67/32*MatrixProduct[u[2,2].u[2,1].d[1,2].Yd2]
          - 6*MatrixProduct[u[2,2].u[2,1].Yd2]*lam[1,2,2,2]
          - 159/16*MatrixProduct[u[2,2].u[2,1].Yd2]*Tr[u[1,2]]
          - 159/16*MatrixProduct[u[2,2].u[2,1].Yd2]*Tr[d[1,2]]
          - 53/16*MatrixProduct[u[2,2].u[2,1].Yd2]*Tr[l[1,2]]
          + 3/2*MatrixProduct[u[2,2].u[2,2].u[1,1].Yd2]
          - 13/4*MatrixProduct[u[2,2].u[2,2].u[1,2].Yd1]
          + 9/8*MatrixProduct[u[2,2].u[2,2].u[2,2].Yd2]
          - 9/4*MatrixProduct[u[2,2].u[2,2].u[2,2].Yd2]*z3
          + 3/2*MatrixProduct[u[2,2].u[2,2].d[1,1].Yd2]
          - 183/32*MatrixProduct[u[2,2].u[2,2].d[2,2].Yd2]
          + 6*MatrixProduct[u[2,2].u[2,2].d[2,2].Yd2]*z3
          - 3/2*MatrixProduct[u[2,2].u[2,2].Yd1]*lam[1,2,2,2]
          + 9*MatrixProduct[u[2,2].u[2,2].Yd1]*Tr[u[1,2]]
          + 9*MatrixProduct[u[2,2].u[2,2].Yd1]*Tr[d[1,2]]
          + 3*MatrixProduct[u[2,2].u[2,2].Yd1]*Tr[l[1,2]]
          - 15/2*MatrixProduct[u[2,2].u[2,2].Yd2]*lam[2,2,2,2]
          + 13*MatrixProduct[u[2,2].u[2,2].Yd2]*alpha3
          + 40*MatrixProduct[u[2,2].u[2,2].Yd2]*alpha3*z3
          - 1233/64*MatrixProduct[u[2,2].u[2,2].Yd2]*alpha2
          + 9*MatrixProduct[u[2,2].u[2,2].Yd2]*alpha2*z3
          + 9/64*MatrixProduct[u[2,2].u[2,2].Yd2]*alpha2*z2
          + 453/16*MatrixProduct[u[2,2].u[2,2].Yd2]*alpha2*Doub2
          - 81/4*MatrixProduct[u[2,2].u[2,2].Yd2]*alpha2*Doub2*z3
          - 9/64*MatrixProduct[u[2,2].u[2,2].Yd2]*alpha2*Doub2*z2
          - 113/16*MatrixProduct[u[2,2].u[2,2].Yd2]*alpha1
          + 4/5*MatrixProduct[u[2,2].u[2,2].Yd2]*alpha1*z3
          - 9/320*MatrixProduct[u[2,2].u[2,2].Yd2]*alpha1*z2
          + 3303/320*MatrixProduct[u[2,2].u[2,2].Yd2]*alpha1*Doub2
          - 33/20*MatrixProduct[u[2,2].u[2,2].Yd2]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[u[2,2].u[2,2].Yd2]*alpha1*Doub2*z2
          - 69/8*MatrixProduct[u[2,2].u[2,2].Yd2]*Tr[u[2,2]]
          - 69/8*MatrixProduct[u[2,2].u[2,2].Yd2]*Tr[d[2,2]]
          - 23/8*MatrixProduct[u[2,2].u[2,2].Yd2]*Tr[l[2,2]]
          - 1/4*MatrixProduct[u[2,2].d[1,1].u[1,1].Yd2]
          + 1/4*MatrixProduct[u[2,2].d[1,1].u[1,2].Yd1]
          - 7/8*MatrixProduct[u[2,2].d[1,1].u[2,2].Yd2]
          - 3/16*MatrixProduct[u[2,2].d[1,1].d[1,1].Yd2]
          + 3/2*MatrixProduct[u[2,2].d[1,1].d[1,2].Yd1]
          - 3*MatrixProduct[u[2,2].d[1,1].d[1,2].Yd1]*z3
          + 9/8*MatrixProduct[u[2,2].d[1,1].d[2,2].Yd2]
          - 9/2*MatrixProduct[u[2,2].d[1,1].Yd1]*lam[1,1,1,2]
          + 3/2*MatrixProduct[u[2,2].d[1,1].Yd1]*Tr[u[1,2]]
          + 3/2*MatrixProduct[u[2,2].d[1,1].Yd1]*Tr[d[1,2]]
          + 1/2*MatrixProduct[u[2,2].d[1,1].Yd1]*Tr[l[1,2]]
          - MatrixProduct[u[2,2].d[1,1].Yd2]*lam[1,2,2,1]
          - 7/2*MatrixProduct[u[2,2].d[1,1].Yd2]*lam[1,1,2,2]
          + 5*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha3
          + 8*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha3*z3
          - 513/64*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha2
          + 27/4*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha2*z3
          - 9/64*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha2*z2
          + 21/4*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha2*Doub2
          - 27/4*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha2*Doub2*z2
          + 357/32*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha2*Doub1
          - 9*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha2*Doub1*z2
          - 213/32*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha2*Doub1*Doub2
          + 9*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha2*Doub1*Doub2*z2
          + 619/320*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha1
          - 13/20*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha1*z3
          + 9/320*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha1*z2
          + 253/80*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha1*Doub2
          - 39/20*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha1*Doub2*z2
          - 469/160*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha1*Doub1
          + 3/5*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha1*Doub1*z2
          - 351/160*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha1*Doub1*Doub2
          + 9/5*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha1*Doub1*Doub2*z3
          + 9/320*MatrixProduct[u[2,2].d[1,1].Yd2]*alpha1*Doub1*Doub2*
         z2
          - 75/16*MatrixProduct[u[2,2].d[1,1].Yd2]*Tr[u[1,1]]
          + 3/2*MatrixProduct[u[2,2].d[1,1].Yd2]*Tr[u[2,2]]
          - 75/16*MatrixProduct[u[2,2].d[1,1].Yd2]*Tr[d[1,1]]
          + 3/2*MatrixProduct[u[2,2].d[1,1].Yd2]*Tr[d[2,2]]
          - 25/16*MatrixProduct[u[2,2].d[1,1].Yd2]*Tr[l[1,1]]
          + 1/2*MatrixProduct[u[2,2].d[1,1].Yd2]*Tr[l[2,2]]
          + 1/4*MatrixProduct[u[2,2].d[1,2].u[2,1].Yd2]
          - 2*MatrixProduct[u[2,2].d[1,2].u[2,2].Yd1]
          + 47/32*MatrixProduct[u[2,2].d[1,2].d[2,1].Yd2]
          + 8*MatrixProduct[u[2,2].d[1,2].Yd1]*alpha3
          - 11*MatrixProduct[u[2,2].d[1,2].Yd1]*alpha1
          + 18/5*MatrixProduct[u[2,2].d[1,2].Yd1]*alpha1*z3
          + 9/20*MatrixProduct[u[2,2].d[1,2].Yd1]*alpha1*z2
          + 17/2*MatrixProduct[u[2,2].d[1,2].Yd1]*alpha1*Doub2
          - 9/20*MatrixProduct[u[2,2].d[1,2].Yd1]*alpha1*Doub2*z2
          + 241/20*MatrixProduct[u[2,2].d[1,2].Yd1]*alpha1*Doub1
          - 99/20*MatrixProduct[u[2,2].d[1,2].Yd1]*alpha1*Doub1*z3
          - 9/20*MatrixProduct[u[2,2].d[1,2].Yd1]*alpha1*Doub1*z2
          - 189/20*MatrixProduct[u[2,2].d[1,2].Yd1]*alpha1*Doub1*Doub2
          + 27/20*MatrixProduct[u[2,2].d[1,2].Yd1]*alpha1*Doub1*Doub2*
         z3
          + 9/20*MatrixProduct[u[2,2].d[1,2].Yd1]*alpha1*Doub1*Doub2*z2
          + 51/32*MatrixProduct[u[2,2].d[1,2].Yd2]*Tr[u[2,1]]
          + 51/32*MatrixProduct[u[2,2].d[1,2].Yd2]*Tr[d[2,1]]
          + 17/32*MatrixProduct[u[2,2].d[1,2].Yd2]*Tr[l[2,1]]
          - 3/16*MatrixProduct[u[2,2].d[2,1].u[1,2].Yd2]
          + 25/16*MatrixProduct[u[2,2].d[2,1].d[1,2].Yd2]
          - 3*MatrixProduct[u[2,2].d[2,1].d[1,2].Yd2]*z3
          - 9/2*MatrixProduct[u[2,2].d[2,1].Yd1]*lam[1,2,1,2]
          - 9/2*MatrixProduct[u[2,2].d[2,1].Yd2]*lam[1,2,2,2]
          - 141/32*MatrixProduct[u[2,2].d[2,1].Yd2]*Tr[u[1,2]]
          - 141/32*MatrixProduct[u[2,2].d[2,1].Yd2]*Tr[d[1,2]]
          - 47/32*MatrixProduct[u[2,2].d[2,1].Yd2]*Tr[l[1,2]]
          - 1/4*MatrixProduct[u[2,2].d[2,2].u[1,1].Yd2]
          + 3/4*MatrixProduct[u[2,2].d[2,2].u[1,2].Yd1]
          - 37/16*MatrixProduct[u[2,2].d[2,2].u[2,2].Yd2]
          - 1/4*MatrixProduct[u[2,2].d[2,2].d[1,1].Yd2]
          + 83/32*MatrixProduct[u[2,2].d[2,2].d[2,2].Yd2]
          - 3/2*MatrixProduct[u[2,2].d[2,2].Yd1]*Tr[u[1,2]]
          - 3/2*MatrixProduct[u[2,2].d[2,2].Yd1]*Tr[d[1,2]]
          - 1/2*MatrixProduct[u[2,2].d[2,2].Yd1]*Tr[l[1,2]]
          - 9*MatrixProduct[u[2,2].d[2,2].Yd2]*alpha3
          + 4*MatrixProduct[u[2,2].d[2,2].Yd2]*alpha3*z3
          - 39/32*MatrixProduct[u[2,2].d[2,2].Yd2]*alpha2
          + 9/4*MatrixProduct[u[2,2].d[2,2].Yd2]*alpha2*z3
          - 45/64*MatrixProduct[u[2,2].d[2,2].Yd2]*alpha2*z2
          + 117/16*MatrixProduct[u[2,2].d[2,2].Yd2]*alpha2*Doub2
          - 27/8*MatrixProduct[u[2,2].d[2,2].Yd2]*alpha2*Doub2*z3
          + 45/64*MatrixProduct[u[2,2].d[2,2].Yd2]*alpha2*Doub2*z2
          - 93/10*MatrixProduct[u[2,2].d[2,2].Yd2]*alpha1
          + 61/20*MatrixProduct[u[2,2].d[2,2].Yd2]*alpha1*z3
          + 153/320*MatrixProduct[u[2,2].d[2,2].Yd2]*alpha1*z2
          + 807/80*MatrixProduct[u[2,2].d[2,2].Yd2]*alpha1*Doub2
          - 153/40*MatrixProduct[u[2,2].d[2,2].Yd2]*alpha1*Doub2*z3
          - 153/320*MatrixProduct[u[2,2].d[2,2].Yd2]*alpha1*Doub2*z2
          + 3/8*MatrixProduct[u[2,2].d[2,2].Yd2]*Tr[u[2,2]]
          + 3/8*MatrixProduct[u[2,2].d[2,2].Yd2]*Tr[d[2,2]]
          + 1/8*MatrixProduct[u[2,2].d[2,2].Yd2]*Tr[l[2,2]]
          + 3/8*MatrixProduct[u[2,2].Yd1]*lam[1,2,2,2]*lam[1,2,2,1]
          + 3/8*MatrixProduct[u[2,2].Yd1]*lam[1,2,2,2]*lam[2,2,2,2]
          + 3/8*MatrixProduct[u[2,2].Yd1]*lam[1,2,1,2]*lam[2,1,2,2]
          + 27/8*MatrixProduct[u[2,2].Yd1]*lam[1,1,2,2]*lam[1,2,2,2]
          + 27/8*MatrixProduct[u[2,2].Yd1]*lam[1,1,2,1]*lam[1,2,1,2]
          + 27/8*MatrixProduct[u[2,2].Yd1]*lam[1,1,1,2]*lam[1,2,2,1]
          + 3/8*MatrixProduct[u[2,2].Yd1]*lam[1,1,1,2]*lam[1,1,2,2]
          + 27/8*MatrixProduct[u[2,2].Yd1]*lam[1,1,1,1]*lam[1,1,1,2]
          + 3*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,2,2,2]
          - 3/2*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,2,2,2]*Doub2
          - 9/2*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,2,2,2]*Doub2*z3
          - 9/2*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,2,2,2]*Doub1*z3
          - 3/2*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,2,2,2]*Doub1*Doub2
          + 9*MatrixProduct[u[2,2].Yd1]*alpha2*lam[1,2,2,2]*Doub1*Doub2*z3
          + 9*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*Tr[u[1,2]]
          + 9*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*Tr[d[1,2]]
          + 3*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1]]*Tr[l[1,2]]
          - 225/16*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1].u[1,2]]
          - 15/16*MatrixProduct[u[2,2].Yd1]*Tr[u[1,1].d[1,2]]
          + 3/2*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*lam[1,2,2,1]
          - 3/2*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*lam[1,1,2,2]
          + 39*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha3
          - 48*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha3*z3
          - 243/32*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha2
          + 135/4*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha2*z3
          - 27/16*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha2*z2
          - 171/8*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub2
          - 81/8*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub2*z2
          - 225/32*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub1
          - 81/8*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub1*z2
          + 1035/32*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 3411/160*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha1
          + 57/4*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha1*z3
          + 27/80*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha1*z2
          + 417/40*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub2
          - 243/40*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub2*z3
          - 27/80*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub2*z2
          + 1209/160*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub1
          - 243/40*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub1*z2
          + 513/160*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 9*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*Tr[u[2,2]]
          + 9*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*Tr[d[1,1]]
          + 9*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*Tr[d[2,2]]
          + 3*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*Tr[l[1,1]]
          + 3*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2]]*Tr[l[2,2]]
          - 225/16*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2].u[2,2]]
          - 15/16*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2].d[1,1]]
          + 177/16*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2].d[2,2]]
          - 18*MatrixProduct[u[2,2].Yd1]*Tr[u[1,2].d[2,2]]*z3
          + 9*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*Tr[d[1,2]]
          + 3*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2]]*Tr[l[1,2]]
          + 177/16*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2].d[1,2]]
          - 18*MatrixProduct[u[2,2].Yd1]*Tr[u[2,2].d[1,2]]*z3
          + 9*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*Tr[d[1,2]]
          + 3*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1]]*Tr[l[1,2]]
          - 225/16*MatrixProduct[u[2,2].Yd1]*Tr[d[1,1].d[1,2]]
          + 3/2*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*lam[1,2,2,1]
          - 3/2*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*lam[1,1,2,2]
          + 39*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha3
          - 48*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha3*z3
          - 243/32*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha2
          + 135/4*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha2*z3
          - 27/16*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha2*z2
          - 171/8*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub2
          - 81/8*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub2*z2
          - 225/32*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub1
          - 81/8*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub1*z2
          + 1035/32*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 4023/160*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha1
          + 357/20*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha1*z3
          + 27/80*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha1*z2
          + 417/40*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub2
          - 243/40*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub2*z3
          - 27/80*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub2*z2
          + 1209/160*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub1
          - 243/40*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub1*z2
          + 513/160*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          + 27/160*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 9*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*Tr[d[2,2]]
          + 3*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*Tr[l[1,1]]
          + 3*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2]]*Tr[l[2,2]]
          - 225/16*MatrixProduct[u[2,2].Yd1]*Tr[d[1,2].d[2,2]]
          + 3*MatrixProduct[u[2,2].Yd1]*Tr[d[2,2]]*Tr[l[1,2]]
          + MatrixProduct[u[2,2].Yd1]*Tr[l[1,1]]*Tr[l[1,2]]
          - 75/16*MatrixProduct[u[2,2].Yd1]*Tr[l[1,1].l[1,2]]
          + 1/2*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*lam[1,2,2,1]
          - 1/2*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*lam[1,1,2,2]
          - 4*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha3
          - 81/32*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha2
          + 45/4*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha2*z3
          - 9/16*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha2*z2
          - 57/8*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub2
          - 27/8*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub2*z3
          + 9/16*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub2*z2
          - 75/32*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub1
          - 27/8*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub1*z2
          + 345/32*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          - 9/32*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 661/160*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha1
          + 39/20*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha1*z3
          + 9/80*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha1*z2
          + 139/40*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub2
          - 81/40*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub2*z3
          - 9/80*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub2*z2
          + 403/160*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub1
          - 81/40*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub1*z3
          - 9/160*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          + 9/160*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          + MatrixProduct[u[2,2].Yd1]*Tr[l[1,2]]*Tr[l[2,2]]
          - 75/16*MatrixProduct[u[2,2].Yd1]*Tr[l[1,2].l[2,2]]
          + 41/16*MatrixProduct[u[2,2].Yd2]*lam[1,2,2,1]^2
          - 21/32*MatrixProduct[u[2,2].Yd2]*lam[2,2,2,2]^2
          + 33/32*MatrixProduct[u[2,2].Yd2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 75/32*MatrixProduct[u[2,2].Yd2]*lam[1,2,1,2]*lam[2,1,2,1]
          - 7/16*MatrixProduct[u[2,2].Yd2]*lam[1,1,2,2]*lam[1,2,2,1]
          - 7/16*MatrixProduct[u[2,2].Yd2]*lam[1,1,2,2]^2
          + 75/32*MatrixProduct[u[2,2].Yd2]*lam[1,1,1,2]*lam[1,1,2,1]
          - 2659/12*MatrixProduct[u[2,2].Yd2]*alpha3^2
          + 86*MatrixProduct[u[2,2].Yd2]*alpha3^2*z3
          + 41/3*MatrixProduct[u[2,2].Yd2]*alpha3^2*Ng
          + 3*MatrixProduct[u[2,2].Yd2]*alpha2*lam[2,2,2,2]
          - 3*MatrixProduct[u[2,2].Yd2]*alpha2*lam[2,2,2,2]*Doub2
          + 5*MatrixProduct[u[2,2].Yd2]*alpha2*alpha3
          - 84*MatrixProduct[u[2,2].Yd2]*alpha2*alpha3*z3
          - 9/4*MatrixProduct[u[2,2].Yd2]*alpha2*alpha3*z2
          + 395/8*MatrixProduct[u[2,2].Yd2]*alpha2*alpha3*Doub2
          - 24*MatrixProduct[u[2,2].Yd2]*alpha2*alpha3*Doub2*z3
          + 9/4*MatrixProduct[u[2,2].Yd2]*alpha2*alpha3*Doub2*z2
          - 9153/256*MatrixProduct[u[2,2].Yd2]*alpha2^2
          + 27/4*MatrixProduct[u[2,2].Yd2]*alpha2^2*z3
          + 63/128*MatrixProduct[u[2,2].Yd2]*alpha2^2*z2
          + 51/32*MatrixProduct[u[2,2].Yd2]*alpha2^2*Ng
          + 19233/512*MatrixProduct[u[2,2].Yd2]*alpha2^2*Doub2
          + 153/16*MatrixProduct[u[2,2].Yd2]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[u[2,2].Yd2]*alpha2^2*Doub2*z2
          + 3/16*MatrixProduct[u[2,2].Yd2]*alpha2^2*Doub2*Ng
          - 39/256*MatrixProduct[u[2,2].Yd2]*alpha2^2*Doub1
          + 33/64*MatrixProduct[u[2,2].Yd2]*alpha2^2*Doub1*Doub2
          + 173/30*MatrixProduct[u[2,2].Yd2]*alpha1*alpha3
          - 12*MatrixProduct[u[2,2].Yd2]*alpha1*alpha3*z3
          + 27/20*MatrixProduct[u[2,2].Yd2]*alpha1*alpha3*z2
          + 39/40*MatrixProduct[u[2,2].Yd2]*alpha1*alpha3*Doub2
          - 32/5*MatrixProduct[u[2,2].Yd2]*alpha1*alpha3*Doub2*z3
          - 27/20*MatrixProduct[u[2,2].Yd2]*alpha1*alpha3*Doub2*z2
          + 1987/640*MatrixProduct[u[2,2].Yd2]*alpha1*alpha2
          + 21/10*MatrixProduct[u[2,2].Yd2]*alpha1*alpha2*z3
          - 63/320*MatrixProduct[u[2,2].Yd2]*alpha1*alpha2*z2
          - 629/1280*MatrixProduct[u[2,2].Yd2]*alpha1*alpha2*Doub2
          - 33/8*MatrixProduct[u[2,2].Yd2]*alpha1*alpha2*Doub2*z3
          + 63/320*MatrixProduct[u[2,2].Yd2]*alpha1*alpha2*Doub2*z2
          - 4679/3840*MatrixProduct[u[2,2].Yd2]*alpha1^2
          + 1/10*MatrixProduct[u[2,2].Yd2]*alpha1^2*z3
          + 27/640*MatrixProduct[u[2,2].Yd2]*alpha1^2*z2
          - 1247/480*MatrixProduct[u[2,2].Yd2]*alpha1^2*Ng
          + 19897/12800*MatrixProduct[u[2,2].Yd2]*alpha1^2*Doub2
          + 169/400*MatrixProduct[u[2,2].Yd2]*alpha1^2*Doub2*z3
          - 27/640*MatrixProduct[u[2,2].Yd2]*alpha1^2*Doub2*z2
          + 59/16*MatrixProduct[u[2,2].Yd2]*alpha1^2*Doub2*Ng
          - 1949/6400*MatrixProduct[u[2,2].Yd2]*alpha1^2*Doub1
          + 777/1600*MatrixProduct[u[2,2].Yd2]*alpha1^2*Doub1*Doub2
          - 51/16*MatrixProduct[u[2,2].Yd2]*Tr[u[1,1].u[2,2]]
          - 51/16*MatrixProduct[u[2,2].Yd2]*Tr[u[1,1].d[2,2]]
          + 117/16*MatrixProduct[u[2,2].Yd2]*Tr[u[1,2]]*Tr[u[2,1]]
          + 117/16*MatrixProduct[u[2,2].Yd2]*Tr[u[1,2]]*Tr[d[2,1]]
          + 39/16*MatrixProduct[u[2,2].Yd2]*Tr[u[1,2]]*Tr[l[2,1]]
          - 51/8*MatrixProduct[u[2,2].Yd2]*Tr[u[1,2].u[2,1]]
          + 9/4*MatrixProduct[u[2,2].Yd2]*Tr[u[1,2].d[2,1]]
          + 117/16*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*Tr[d[1,2]]
          + 39/16*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1]]*Tr[l[1,2]]
          + 9/4*MatrixProduct[u[2,2].Yd2]*Tr[u[2,1].d[1,2]]
          + 97/4*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*alpha3
          - 36*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*alpha3*z3
          + 45/16*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*alpha2
          + 135/4*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*alpha2*z3
          - 27/16*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*alpha2*z2
          - 45/4*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*alpha2*Doub2
          - 81/4*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*alpha2*Doub2*z2
          - 197/8*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*alpha1
          + 207/20*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*alpha1*z3
          + 27/80*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*alpha1*z2
          + 2097/80*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*alpha1*Doub2
          - 189/20*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*alpha1*Doub2*z3
          - 27/80*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*alpha1*Doub2*z2
          + 117/16*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]^2
          + 117/8*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*Tr[d[2,2]]
          + 39/8*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2]]*Tr[l[2,2]]
          - 153/16*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2].u[2,2]]
          - 51/16*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2].d[1,1]]
          + 177/8*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2].d[2,2]]
          - 36*MatrixProduct[u[2,2].Yd2]*Tr[u[2,2].d[2,2]]*z3
          - 51/16*MatrixProduct[u[2,2].Yd2]*Tr[d[1,1].d[2,2]]
          + 117/16*MatrixProduct[u[2,2].Yd2]*Tr[d[1,2]]*Tr[d[2,1]]
          + 39/16*MatrixProduct[u[2,2].Yd2]*Tr[d[1,2]]*Tr[l[2,1]]
          - 51/8*MatrixProduct[u[2,2].Yd2]*Tr[d[1,2].d[2,1]]
          + 39/16*MatrixProduct[u[2,2].Yd2]*Tr[d[2,1]]*Tr[l[1,2]]
          + 97/4*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*alpha3
          - 36*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*alpha3*z3
          + 45/16*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*alpha2
          + 135/4*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*alpha2*z3
          - 27/16*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*alpha2*z2
          - 45/4*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*alpha2*Doub2
          - 81/4*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*alpha2*Doub2*z2
          - 109/4*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*alpha1
          + 261/20*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*alpha1*z3
          + 27/80*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*alpha1*z2
          + 2097/80*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*alpha1*Doub2
          - 189/20*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*alpha1*Doub2*z3
          - 27/80*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*alpha1*Doub2*z2
          + 117/16*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]^2
          + 39/8*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2]]*Tr[l[2,2]]
          - 153/16*MatrixProduct[u[2,2].Yd2]*Tr[d[2,2].d[2,2]]
          - 17/16*MatrixProduct[u[2,2].Yd2]*Tr[l[1,1].l[2,2]]
          + 13/16*MatrixProduct[u[2,2].Yd2]*Tr[l[1,2]]*Tr[l[2,1]]
          - 17/8*MatrixProduct[u[2,2].Yd2]*Tr[l[1,2].l[2,1]]
          - 43/12*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]*alpha3
          + 15/16*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]*alpha2
          + 45/4*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]*alpha2*z3
          - 9/16*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]*alpha2*z2
          - 15/4*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]*alpha2*Doub2
          - 27/4*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]*alpha2*Doub2*z3
          + 9/16*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]*alpha2*Doub2*z2
          - 37/6*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]*alpha1
          + 27/20*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]*alpha1*z3
          + 9/80*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]*alpha1*z2
          + 699/80*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]*alpha1*Doub2
          - 63/20*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]*alpha1*Doub2*z3
          - 9/80*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]*alpha1*Doub2*z2
          + 13/16*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2]]^2
          - 51/16*MatrixProduct[u[2,2].Yd2]*Tr[l[2,2].l[2,2]]
          - 7/32*MatrixProduct[d[1,1].u[1,1].u[1,1].Yd2]
          - 7/4*MatrixProduct[d[1,1].u[1,1].u[1,2].Yd1]
          + 5/8*MatrixProduct[d[1,1].u[1,1].d[1,1].Yd2]
          + 9/4*MatrixProduct[d[1,1].u[1,1].d[1,2].Yd1]
          - 3*MatrixProduct[d[1,1].u[1,1].d[1,2].Yd1]*z3
          + 3/4*MatrixProduct[d[1,1].u[1,1].Yd1]*lam[1,1,1,2]
          - 3*MatrixProduct[d[1,1].u[1,1].Yd2]*lam[1,2,2,1]
          - 3/4*MatrixProduct[d[1,1].u[1,1].Yd2]*lam[1,1,2,2]
          + 16/3*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha3
          - 4*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha3*z3
          + 453/64*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha2
          - 45/64*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha2*z2
          - 81/16*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha2*Doub2
          + 9/16*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha2*Doub2*z2
          - 183/32*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha2*Doub1
          - 9/8*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha2*Doub1*z3
          + 45/64*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha2*Doub1*z2
          + 81/16*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha2*Doub1*Doub2
          - 9/16*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha2*Doub1*Doub2*z2
          + 1873/960*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha1
          + 2/5*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha1*z3
          + 9/320*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha1*z2
          - 63/160*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha1*Doub2
          - 437/160*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha1*Doub1
          + 9/40*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha1*Doub1*z2
          + 63/160*MatrixProduct[d[1,1].u[1,1].Yd2]*alpha1*Doub1*Doub2
          + 9/16*MatrixProduct[d[1,1].u[1,1].Yd2]*Tr[u[1,1]]
          + 9/16*MatrixProduct[d[1,1].u[1,1].Yd2]*Tr[d[1,1]]
          + 3/16*MatrixProduct[d[1,1].u[1,1].Yd2]*Tr[l[1,1]]
          - 15/4*MatrixProduct[d[1,1].u[1,2].u[1,1].Yd1]
          + 6*MatrixProduct[d[1,1].u[1,2].u[1,1].Yd1]*z3
          + 29/32*MatrixProduct[d[1,1].u[1,2].u[2,1].Yd2]
          - 9/4*MatrixProduct[d[1,1].u[1,2].u[2,2].Yd1]
          - 1/4*MatrixProduct[d[1,1].u[1,2].d[1,1].Yd1]
          + 3*MatrixProduct[d[1,1].u[1,2].d[1,1].Yd1]*z3
          + 1/4*MatrixProduct[d[1,1].u[1,2].d[2,1].Yd2]
          + 3/4*MatrixProduct[d[1,1].u[1,2].d[2,2].Yd1]
          + 7/2*MatrixProduct[d[1,1].u[1,2].Yd1]*lam[1,2,2,1]
          + MatrixProduct[d[1,1].u[1,2].Yd1]*lam[1,1,2,2]
          - 4/3*MatrixProduct[d[1,1].u[1,2].Yd1]*alpha3
          + 16*MatrixProduct[d[1,1].u[1,2].Yd1]*alpha3*z3
          - 27/4*MatrixProduct[d[1,1].u[1,2].Yd1]*alpha2
          - 9/4*MatrixProduct[d[1,1].u[1,2].Yd1]*alpha2*z3
          + 27/16*MatrixProduct[d[1,1].u[1,2].Yd1]*alpha2*Doub2
          + 21/2*MatrixProduct[d[1,1].u[1,2].Yd1]*alpha2*Doub1
          - 9/4*MatrixProduct[d[1,1].u[1,2].Yd1]*alpha2*Doub1*z3
          - 27/16*MatrixProduct[d[1,1].u[1,2].Yd1]*alpha2*Doub1*Doub2
          - 25/6*MatrixProduct[d[1,1].u[1,2].Yd1]*alpha1
          - 29/20*MatrixProduct[d[1,1].u[1,2].Yd1]*alpha1*z3
          + 3/80*MatrixProduct[d[1,1].u[1,2].Yd1]*alpha1*Doub2
          + 109/20*MatrixProduct[d[1,1].u[1,2].Yd1]*alpha1*Doub1
          - 9/20*MatrixProduct[d[1,1].u[1,2].Yd1]*alpha1*Doub1*z3
          - 3/80*MatrixProduct[d[1,1].u[1,2].Yd1]*alpha1*Doub1*Doub2
          - 135/32*MatrixProduct[d[1,1].u[1,2].Yd2]*Tr[u[2,1]]
          - 135/32*MatrixProduct[d[1,1].u[1,2].Yd2]*Tr[d[2,1]]
          - 45/32*MatrixProduct[d[1,1].u[1,2].Yd2]*Tr[l[2,1]]
          - 1/2*MatrixProduct[d[1,1].u[2,1].u[1,2].Yd2]
          + 29/16*MatrixProduct[d[1,1].u[2,1].d[1,2].Yd2]
          - 3*MatrixProduct[d[1,1].u[2,1].d[1,2].Yd2]*z3
          - 3/2*MatrixProduct[d[1,1].u[2,1].Yd1]*lam[1,2,1,2]
          - 9/2*MatrixProduct[d[1,1].u[2,1].Yd2]*lam[1,2,2,2]
          + 3/2*MatrixProduct[d[1,1].u[2,1].Yd2]*lam[1,1,1,2]
          + 9/32*MatrixProduct[d[1,1].u[2,1].Yd2]*Tr[u[1,2]]
          + 9/32*MatrixProduct[d[1,1].u[2,1].Yd2]*Tr[d[1,2]]
          + 3/32*MatrixProduct[d[1,1].u[2,1].Yd2]*Tr[l[1,2]]
          - 17/8*MatrixProduct[d[1,1].u[2,2].u[1,1].Yd2]
          - 7/4*MatrixProduct[d[1,1].u[2,2].u[1,2].Yd1]
          + 6*MatrixProduct[d[1,1].u[2,2].u[1,2].Yd1]*z3
          - 15/16*MatrixProduct[d[1,1].u[2,2].d[1,1].Yd2]
          + 3*MatrixProduct[d[1,1].u[2,2].d[1,1].Yd2]*z3
          + 3/4*MatrixProduct[d[1,1].u[2,2].d[1,2].Yd1]
          + 3*MatrixProduct[d[1,1].u[2,2].Yd1]*lam[1,2,2,2]
          + 3/4*MatrixProduct[d[1,1].u[2,2].Yd1]*lam[1,1,1,2]
          + 9/2*MatrixProduct[d[1,1].u[2,2].Yd1]*Tr[u[1,2]]
          + 9/2*MatrixProduct[d[1,1].u[2,2].Yd1]*Tr[d[1,2]]
          + 3/2*MatrixProduct[d[1,1].u[2,2].Yd1]*Tr[l[1,2]]
          + 5/2*MatrixProduct[d[1,1].u[2,2].Yd2]*lam[1,2,2,1]
          - 1/4*MatrixProduct[d[1,1].u[2,2].Yd2]*lam[1,1,2,2]
          + 6*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha3
          - 159/32*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha2
          + 27/4*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha2*z3
          - 9/64*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha2*z2
          - 261/32*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha2*Doub2
          + 27/8*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha2*Doub2*z2
          + 75/16*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha2*Doub1
          - 27/4*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha2*Doub1*z2
          + 135/16*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha2*Doub1*Doub2
          - 27/8*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha2*Doub1*Doub2*z2
          - 413/160*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha1
          - 9/20*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha1*z3
          + 9/320*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha1*z2
          + 93/160*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha1*Doub2
          - 27/40*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha1*Doub2*z2
          + 45/16*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha1*Doub1
          + 9/20*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha1*Doub1*z3
          - 9/320*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha1*Doub1*z2
          - 39/40*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha1*Doub1*Doub2
          + 27/40*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha1*Doub1*Doub2*
         z3
          + 9/320*MatrixProduct[d[1,1].u[2,2].Yd2]*alpha1*Doub1*Doub2*
         z2
          - 7/32*MatrixProduct[d[1,1].d[1,1].u[1,1].Yd2]
          + 11/4*MatrixProduct[d[1,1].d[1,1].u[1,2].Yd1]
          - 3/4*MatrixProduct[d[1,1].d[1,1].d[1,1].Yd2]
          + 3/4*MatrixProduct[d[1,1].d[1,1].d[1,1].Yd2]*z3
          - 21/4*MatrixProduct[d[1,1].d[1,1].d[1,2].Yd1]
          + 33/4*MatrixProduct[d[1,1].d[1,1].Yd1]*lam[1,1,1,2]
          + 5/2*MatrixProduct[d[1,1].d[1,1].Yd2]*lam[1,2,2,1]
          + 11/4*MatrixProduct[d[1,1].d[1,1].Yd2]*lam[1,1,2,2]
          + 3/2*MatrixProduct[d[1,1].d[1,1].Yd2]*lam[1,1,1,1]
          - 20/3*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha3
          + 15/8*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha2
          + 9/64*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha2*z2
          - 45/64*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha2*Doub2
          - 9/32*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha2*Doub2*z2
          - 147/32*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha2*Doub1
          + 9/4*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha2*Doub1*z3
          - 9/64*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha2*Doub1*z2
          + 45/64*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha2*Doub1*Doub2
          + 9/32*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha2*Doub1*Doub2*z2
          + 3559/960*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha1
          - 9/320*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha1*z2
          - 21/16*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha1*Doub2
          - 255/64*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha1*Doub1
          - 3/20*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha1*Doub1*z2
          + 21/16*MatrixProduct[d[1,1].d[1,1].Yd2]*alpha1*Doub1*Doub2
          + 15/16*MatrixProduct[d[1,1].d[1,1].Yd2]*Tr[u[1,1]]
          + 15/16*MatrixProduct[d[1,1].d[1,1].Yd2]*Tr[d[1,1]]
          + 5/16*MatrixProduct[d[1,1].d[1,1].Yd2]*Tr[l[1,1]]
          - 1/4*MatrixProduct[d[1,1].d[1,2].u[1,1].Yd1]
          - 1/2*MatrixProduct[d[1,1].d[1,2].u[2,1].Yd2]
          + 3/4*MatrixProduct[d[1,1].d[1,2].u[2,2].Yd1]
          - 15/4*MatrixProduct[d[1,1].d[1,2].d[1,1].Yd1]
          - 1/2*MatrixProduct[d[1,1].d[1,2].d[2,1].Yd2]
          + 3/4*MatrixProduct[d[1,1].d[1,2].d[2,1].Yd2]*z3
          - 17/4*MatrixProduct[d[1,1].d[1,2].d[2,2].Yd1]
          + 4*MatrixProduct[d[1,1].d[1,2].Yd1]*lam[1,2,2,1]
          + 2*MatrixProduct[d[1,1].d[1,2].Yd1]*lam[1,1,2,2]
          + 3*MatrixProduct[d[1,1].d[1,2].Yd1]*lam[1,1,1,1]
          - 56/3*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha3
          - 9/2*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha2
          + 27/2*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha2*z3
          + 3*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha2*Doub2
          - 9/2*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha2*Doub2*z3
          + 15/4*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha2*Doub1
          - 27/2*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha2*Doub1*z3
          - 3*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha2*Doub1*Doub2
          + 9/2*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha2*Doub1*Doub2*z3
          + 221/30*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha1
          + 27/10*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha1*z3
          - 9/20*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha1*z2
          + 3/5*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha1*Doub2
          - 9/10*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha1*Doub2*z3
          - 141/20*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha1*Doub1
          - 27/10*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha1*Doub1*z3
          + 9/20*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha1*Doub1*z2
          - 3/5*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha1*Doub1*Doub2
          + 9/10*MatrixProduct[d[1,1].d[1,2].Yd1]*alpha1*Doub1*Doub2*z3
          - 3*MatrixProduct[d[1,1].d[1,2].Yd1]*Tr[u[1,1]]
          - 3*MatrixProduct[d[1,1].d[1,2].Yd1]*Tr[d[1,1]]
          - MatrixProduct[d[1,1].d[1,2].Yd1]*Tr[l[1,1]]
          + 3*MatrixProduct[d[1,1].d[1,2].Yd2]*lam[2,1,2,2]
          + 9/2*MatrixProduct[d[1,1].d[1,2].Yd2]*lam[1,1,2,1]
          + 3/16*MatrixProduct[d[1,1].d[1,2].Yd2]*Tr[u[2,1]]
          + 3/16*MatrixProduct[d[1,1].d[1,2].Yd2]*Tr[d[2,1]]
          + 1/16*MatrixProduct[d[1,1].d[1,2].Yd2]*Tr[l[2,1]]
          + 45/32*MatrixProduct[d[1,1].d[2,1].u[1,2].Yd2]
          - 13/16*MatrixProduct[d[1,1].d[2,1].d[1,2].Yd2]
          + 9/2*MatrixProduct[d[1,1].d[2,1].Yd1]*lam[1,2,1,2]
          + 3/2*MatrixProduct[d[1,1].d[2,1].Yd2]*lam[1,2,2,2]
          + 3/2*MatrixProduct[d[1,1].d[2,1].Yd2]*lam[1,1,1,2]
          - 3/4*MatrixProduct[d[1,1].d[2,1].Yd2]*Tr[u[1,2]]
          - 3/4*MatrixProduct[d[1,1].d[2,1].Yd2]*Tr[d[1,2]]
          - 1/4*MatrixProduct[d[1,1].d[2,1].Yd2]*Tr[l[1,2]]
          - 9/8*MatrixProduct[d[1,1].d[2,2].u[1,1].Yd2]
          + 3*MatrixProduct[d[1,1].d[2,2].u[1,1].Yd2]*z3
          + 7/4*MatrixProduct[d[1,1].d[2,2].u[1,2].Yd1]
          - 3*MatrixProduct[d[1,1].d[2,2].u[1,2].Yd1]*z3
          - 31/16*MatrixProduct[d[1,1].d[2,2].d[1,1].Yd2]
          - 9/4*MatrixProduct[d[1,1].d[2,2].d[1,2].Yd1]
          + 3*MatrixProduct[d[1,1].d[2,2].Yd1]*lam[1,2,2,2]
          + 15/4*MatrixProduct[d[1,1].d[2,2].Yd1]*lam[1,1,1,2]
          - 3/2*MatrixProduct[d[1,1].d[2,2].Yd1]*Tr[u[1,2]]
          - 3/2*MatrixProduct[d[1,1].d[2,2].Yd1]*Tr[d[1,2]]
          - 1/2*MatrixProduct[d[1,1].d[2,2].Yd1]*Tr[l[1,2]]
          + 5/2*MatrixProduct[d[1,1].d[2,2].Yd2]*lam[1,2,2,1]
          + 11/4*MatrixProduct[d[1,1].d[2,2].Yd2]*lam[1,1,2,2]
          - 10*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha3
          + 81/32*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha2
          - 9/64*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha2*z2
          - 129/32*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha2*Doub2
          + 9/64*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha2*Doub2*z2
          - 45/16*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha2*Doub1
          + 9/64*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha2*Doub1*z2
          + 69/16*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha2*Doub1*Doub2
          - 9/64*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha2*Doub1*Doub2*z2
          + 1493/160*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha1
          - 153/320*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha1*z2
          - 295/32*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha1*Doub2
          + 27/20*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha1*Doub2*z3
          + 153/320*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha1*Doub2*z2
          - 119/10*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha1*Doub1
          + 27/20*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha1*Doub1*z3
          + 153/320*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha1*Doub1*z2
          + 957/80*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha1*Doub1*Doub2
          - 27/10*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha1*Doub1*Doub2*
         z3
          - 153/320*MatrixProduct[d[1,1].d[2,2].Yd2]*alpha1*Doub1*Doub2
         *z2
          + 3*MatrixProduct[d[1,1].Yd1]*lam[1,2,2,2]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[1,1].Yd1]*lam[1,2,1,2]*lam[2,1,2,2]
          + 9/2*MatrixProduct[d[1,1].Yd1]*lam[1,1,2,2]*lam[1,2,2,2]
          + 15/2*MatrixProduct[d[1,1].Yd1]*lam[1,1,2,1]*lam[1,2,1,2]
          + 9*MatrixProduct[d[1,1].Yd1]*lam[1,1,1,2]*lam[1,2,2,1]
          + 15/2*MatrixProduct[d[1,1].Yd1]*lam[1,1,1,2]*lam[1,1,2,2]
          + 12*MatrixProduct[d[1,1].Yd1]*lam[1,1,1,1]*lam[1,1,1,2]
          + 4*MatrixProduct[d[1,1].Yd1]*alpha3*lam[1,1,1,2]
          + 3/8*MatrixProduct[d[1,1].Yd1]*alpha2*lam[1,1,1,2]
          - 33/8*MatrixProduct[d[1,1].Yd1]*alpha2*lam[1,1,1,2]*Doub2
          - 69/4*MatrixProduct[d[1,1].Yd1]*alpha2*lam[1,1,1,2]*Doub1
          + 33/8*MatrixProduct[d[1,1].Yd1]*alpha2*lam[1,1,1,2]*Doub1*Doub2
          + 23/40*MatrixProduct[d[1,1].Yd1]*alpha1*lam[1,1,1,2]
          - 9/8*MatrixProduct[d[1,1].Yd1]*alpha1*lam[1,1,1,2]*Doub2
          - 81/20*MatrixProduct[d[1,1].Yd1]*alpha1*lam[1,1,1,2]*Doub1
          + 9/8*MatrixProduct[d[1,1].Yd1]*alpha1*lam[1,1,1,2]*Doub1*Doub2
          + 45/2*MatrixProduct[d[1,1].Yd1]*Tr[u[1,1]]*lam[1,1,1,2]
          + 9/2*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha2
          - 27/16*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha2*z2
          - 585/32*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha2*Doub2*z2
          - 387/16*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 117/8*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha1
          - 81/80*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha1*z2
          - 1683/160*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha1*Doub2
          + 81/160*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha1*Doub2*z2
          - 225/16*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha1*Doub1
          + 81/80*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha1*Doub1*z2
          + 1593/160*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          - 81/160*MatrixProduct[d[1,1].Yd1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 27/2*MatrixProduct[d[1,1].Yd1]*Tr[u[2,1]]*lam[1,2,1,2]
          + 45/2*MatrixProduct[d[1,1].Yd1]*Tr[d[1,1]]*lam[1,1,1,2]
          + 9/2*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha2
          - 27/16*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha2*z2
          - 585/32*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha2*Doub2*z2
          - 387/16*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 117/8*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha1
          - 81/80*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha1*z2
          - 1683/160*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha1*Doub2
          + 81/160*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha1*Doub2*z2
          - 225/16*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha1*Doub1
          + 81/80*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha1*Doub1*z2
          + 1593/160*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          - 81/160*MatrixProduct[d[1,1].Yd1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 27/2*MatrixProduct[d[1,1].Yd1]*Tr[d[2,1]]*lam[1,2,1,2]
          + 15/2*MatrixProduct[d[1,1].Yd1]*Tr[l[1,1]]*lam[1,1,1,2]
          + 3/2*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha2
          - 9/16*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha2*z2
          - 195/32*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha2*Doub2
          + 9/32*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha2*Doub2*z2
          - 129/16*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha2*Doub1
          + 9/16*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha2*Doub1*z2
          + 177/32*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          - 9/32*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 39/8*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha1
          - 27/80*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha1*z2
          - 561/160*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha1*Doub2
          + 27/160*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha1*Doub2*z2
          - 75/16*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha1*Doub1
          + 27/80*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha1*Doub1*z2
          + 531/160*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[d[1,1].Yd1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/2*MatrixProduct[d[1,1].Yd1]*Tr[l[2,1]]*lam[1,2,1,2]
          + 45/16*MatrixProduct[d[1,1].Yd2]*lam[1,2,2,1]^2
          + 3/2*MatrixProduct[d[1,1].Yd2]*lam[2,2,2,2]*lam[1,2,2,1]
          + 255/32*MatrixProduct[d[1,1].Yd2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 111/32*MatrixProduct[d[1,1].Yd2]*lam[1,2,1,2]*lam[2,1,2,1]
          + 117/16*MatrixProduct[d[1,1].Yd2]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[1,1].Yd2]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/16*MatrixProduct[d[1,1].Yd2]*lam[1,1,2,2]^2
          + 3*MatrixProduct[d[1,1].Yd2]*lam[1,1,2,1]*lam[1,2,2,2]
          + 3*MatrixProduct[d[1,1].Yd2]*lam[1,1,1,2]*lam[2,1,2,2]
          + 189/32*MatrixProduct[d[1,1].Yd2]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[d[1,1].Yd2]*lam[1,1,1,1]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[1,1].Yd2]*lam[1,1,1,1]*lam[1,1,2,2]
          - 33/32*MatrixProduct[d[1,1].Yd2]*lam[1,1,1,1]^2
          + 8/3*MatrixProduct[d[1,1].Yd2]*alpha3*lam[1,2,2,1]
          + 4/3*MatrixProduct[d[1,1].Yd2]*alpha3*lam[1,1,2,2]
          + 2779/36*MatrixProduct[d[1,1].Yd2]*alpha3^2
          - 34*MatrixProduct[d[1,1].Yd2]*alpha3^2*z3
          - 11/3*MatrixProduct[d[1,1].Yd2]*alpha3^2*Ng
          - 3/4*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,2,2,1]
          - 6*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,2,2,1]*Doub2
          - 3*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1
          - 9/2*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1*z3
          - 3/2*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 9/2*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,2,2,1]*Doub1*Doub2*z3
          + 9/8*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,1,2,2]
          - 21/8*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,1,2,2]*Doub2
          - 9/4*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,1,2,2]*Doub2*z3
          - 9/8*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,1,2,2]*Doub1
          - 9/2*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,1,2,2]*Doub1*z3
          - 3*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,1,2,2]*Doub1*Doub2
          + 27/4*MatrixProduct[d[1,1].Yd2]*alpha2*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 127/4*MatrixProduct[d[1,1].Yd2]*alpha2*alpha3
          - 9/4*MatrixProduct[d[1,1].Yd2]*alpha2*alpha3*z2
          - 47/4*MatrixProduct[d[1,1].Yd2]*alpha2*alpha3*Doub2
          + 9*MatrixProduct[d[1,1].Yd2]*alpha2*alpha3*Doub2*z3
          + 9/4*MatrixProduct[d[1,1].Yd2]*alpha2*alpha3*Doub2*z2
          + 291/8*MatrixProduct[d[1,1].Yd2]*alpha2*alpha3*Doub1
          + 9/4*MatrixProduct[d[1,1].Yd2]*alpha2*alpha3*Doub1*z2
          + 47/4*MatrixProduct[d[1,1].Yd2]*alpha2*alpha3*Doub1*Doub2
          - 9*MatrixProduct[d[1,1].Yd2]*alpha2*alpha3*Doub1*Doub2*z3
          - 9/4*MatrixProduct[d[1,1].Yd2]*alpha2*alpha3*Doub1*Doub2*z2
          - 15183/256*MatrixProduct[d[1,1].Yd2]*alpha2^2
          + 81/4*MatrixProduct[d[1,1].Yd2]*alpha2^2*z3
          + 63/128*MatrixProduct[d[1,1].Yd2]*alpha2^2*z2
          + 135/32*MatrixProduct[d[1,1].Yd2]*alpha2^2*Ng
          + 2403/64*MatrixProduct[d[1,1].Yd2]*alpha2^2*Doub2
          - 135/8*MatrixProduct[d[1,1].Yd2]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[d[1,1].Yd2]*alpha2^2*Doub2*z2
          + 38037/512*MatrixProduct[d[1,1].Yd2]*alpha2^2*Doub1
          - 207/8*MatrixProduct[d[1,1].Yd2]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[d[1,1].Yd2]*alpha2^2*Doub1*z2
          - 99/16*MatrixProduct[d[1,1].Yd2]*alpha2^2*Doub1*Ng
          - 10023/256*MatrixProduct[d[1,1].Yd2]*alpha2^2*Doub1*Doub2
          + 261/16*MatrixProduct[d[1,1].Yd2]*alpha2^2*Doub1*Doub2*z3
          + 63/128*MatrixProduct[d[1,1].Yd2]*alpha2^2*Doub1*Doub2*z2
          + 23/60*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,2,2,1]
          + 3/20*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,2,2,1]*Doub2
          - 9/10*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,2,2,1]*Doub2*z3
          - 33/20*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,2,2,1]*Doub1
          - 9/5*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 6/5*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/10*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,2,2,1]*Doub1*Doub2*
         z3
          + 23/120*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,1,2,2]
          + 3/40*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,1,2,2]*Doub2
          - 9/20*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,1,2,2]*Doub2*z3
          - 33/40*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,1,2,2]*Doub1
          - 9/10*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,1,2,2]*Doub1*z3
          - 3/5*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          + 27/20*MatrixProduct[d[1,1].Yd2]*alpha1*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 34/45*MatrixProduct[d[1,1].Yd2]*alpha1*alpha3
          - 8/5*MatrixProduct[d[1,1].Yd2]*alpha1*alpha3*z3
          - 27/20*MatrixProduct[d[1,1].Yd2]*alpha1*alpha3*z2
          - 47/20*MatrixProduct[d[1,1].Yd2]*alpha1*alpha3*Doub2
          + 9/5*MatrixProduct[d[1,1].Yd2]*alpha1*alpha3*Doub2*z3
          + 9/20*MatrixProduct[d[1,1].Yd2]*alpha1*alpha3*Doub2*z2
          + 43/120*MatrixProduct[d[1,1].Yd2]*alpha1*alpha3*Doub1
          + 24/5*MatrixProduct[d[1,1].Yd2]*alpha1*alpha3*Doub1*z3
          + 27/20*MatrixProduct[d[1,1].Yd2]*alpha1*alpha3*Doub1*z2
          + 47/20*MatrixProduct[d[1,1].Yd2]*alpha1*alpha3*Doub1*Doub2
          - 9/5*MatrixProduct[d[1,1].Yd2]*alpha1*alpha3*Doub1*Doub2*z3
          - 9/20*MatrixProduct[d[1,1].Yd2]*alpha1*alpha3*Doub1*Doub2*z2
          - 353/640*MatrixProduct[d[1,1].Yd2]*alpha1*alpha2
          + 9/40*MatrixProduct[d[1,1].Yd2]*alpha1*alpha2*z2
          + 5489/640*MatrixProduct[d[1,1].Yd2]*alpha1*alpha2*Doub2
          - 63/20*MatrixProduct[d[1,1].Yd2]*alpha1*alpha2*Doub2*z3
          - 9/64*MatrixProduct[d[1,1].Yd2]*alpha1*alpha2*Doub2*z2
          + 267/256*MatrixProduct[d[1,1].Yd2]*alpha1*alpha2*Doub1
          + 9/8*MatrixProduct[d[1,1].Yd2]*alpha1*alpha2*Doub1*z3
          - 9/40*MatrixProduct[d[1,1].Yd2]*alpha1*alpha2*Doub1*z2
          - 6353/640*MatrixProduct[d[1,1].Yd2]*alpha1*alpha2*Doub1*
         Doub2
          + 99/40*MatrixProduct[d[1,1].Yd2]*alpha1*alpha2*Doub1*Doub2*
         z3
          + 9/64*MatrixProduct[d[1,1].Yd2]*alpha1*alpha2*Doub1*Doub2*z2
          - 12131/57600*MatrixProduct[d[1,1].Yd2]*alpha1^2
          + 29/100*MatrixProduct[d[1,1].Yd2]*alpha1^2*z3
          + 189/3200*MatrixProduct[d[1,1].Yd2]*alpha1^2*z2
          + 1289/480*MatrixProduct[d[1,1].Yd2]*alpha1^2*Ng
          + 3617/3200*MatrixProduct[d[1,1].Yd2]*alpha1^2*Doub2
          - 69/200*MatrixProduct[d[1,1].Yd2]*alpha1^2*Doub2*z3
          - 63/3200*MatrixProduct[d[1,1].Yd2]*alpha1^2*Doub2*z2
          + 8647/38400*MatrixProduct[d[1,1].Yd2]*alpha1^2*Doub1
          - 3/40*MatrixProduct[d[1,1].Yd2]*alpha1^2*Doub1*z3
          - 189/3200*MatrixProduct[d[1,1].Yd2]*alpha1^2*Doub1*z2
          - 261/80*MatrixProduct[d[1,1].Yd2]*alpha1^2*Doub1*Ng
          - 8467/6400*MatrixProduct[d[1,1].Yd2]*alpha1^2*Doub1*Doub2
          + 63/400*MatrixProduct[d[1,1].Yd2]*alpha1^2*Doub1*Doub2*z3
          + 63/3200*MatrixProduct[d[1,1].Yd2]*alpha1^2*Doub1*Doub2*z2
          + 12*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*lam[1,2,2,1]
          + 6*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*alpha3
          + 12*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*alpha3*z3
          + 549/32*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*alpha2
          - 315/32*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*alpha2*Doub2
          - 351/16*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*alpha2*Doub1
          + 315/32*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2
          + 617/40*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*alpha1
          - 57/10*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*alpha1*z3
          - 63/32*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*alpha1*Doub2
          - 2973/160*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*alpha1*Doub1
          + 27/5*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*alpha1*Doub1*z3
          + 63/32*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]^2
          - 27/8*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*Tr[d[1,1]]
          - 9/8*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1]]*Tr[l[1,1]]
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1].u[1,1]]
          + 3/2*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1].u[2,2]]
          + 15/2*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1].d[2,2]]
          - 9*MatrixProduct[d[1,1].Yd2]*Tr[u[1,1].d[2,2]]*z3
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[u[1,2]]*lam[2,1,2,2]
          - 27/16*MatrixProduct[d[1,1].Yd2]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[d[1,1].Yd2]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[d[1,1].Yd2]*Tr[u[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[d[1,1].Yd2]*Tr[u[1,2].u[2,1]]
          - 15/2*MatrixProduct[d[1,1].Yd2]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[d[1,1].Yd2]*Tr[u[1,2].d[2,1]]*z3
          + 27/2*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*lam[1,2,2,2]
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*lam[1,1,1,2]
          - 27/16*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1]]*Tr[l[1,2]]
          - 15/2*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[d[1,1].Yd2]*Tr[u[2,1].d[1,2]]*z3
          + 3*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha2
          - 27/16*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha2*z2
          - 207/8*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha2*Doub2
          + 27/16*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha2*Doub2*z2
          - 45/2*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 189/40*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha1
          - 27/80*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha1*z2
          - 189/40*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha1*Doub2
          + 27/80*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha1*Doub2*z2
          - 9/2*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha1*Doub1
          + 27/80*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha1*Doub1*z2
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha1*Doub1*Doub2
          - 27/80*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 15/2*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2].d[1,1]]
          - 9*MatrixProduct[d[1,1].Yd2]*Tr[u[2,2].d[1,1]]*z3
          + 12*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*lam[1,2,2,1]
          + 6*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*alpha3
          + 12*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*alpha3*z3
          + 549/32*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*alpha2
          - 315/32*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*alpha2*Doub2
          - 351/16*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*alpha2*Doub1
          + 315/32*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2
          + 133/8*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*alpha1
          - 33/5*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*alpha1*z3
          - 63/32*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*alpha1*Doub2
          - 2973/160*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*alpha1*Doub1
          + 27/5*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*alpha1*Doub1*z3
          + 63/32*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]^2
          - 9/8*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1]]*Tr[l[1,1]]
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1].d[1,1]]
          + 3/2*MatrixProduct[d[1,1].Yd2]*Tr[d[1,1].d[2,2]]
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[d[1,2]]*lam[2,1,2,2]
          - 27/16*MatrixProduct[d[1,1].Yd2]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[d[1,1].Yd2]*Tr[d[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[d[1,1].Yd2]*Tr[d[1,2].d[2,1]]
          + 27/2*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*lam[1,2,2,2]
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*lam[1,1,1,2]
          - 9/16*MatrixProduct[d[1,1].Yd2]*Tr[d[2,1]]*Tr[l[1,2]]
          + 3*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha2
          - 27/16*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha2*z2
          - 207/8*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha2*Doub2
          + 27/16*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha2*Doub2*z2
          - 45/2*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 189/40*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha1
          - 27/80*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha1*z2
          - 189/40*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha1*Doub2
          + 27/80*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha1*Doub2*z2
          - 9/2*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha1*Doub1
          + 27/80*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha1*Doub1*z2
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha1*Doub1*Doub2
          - 27/80*MatrixProduct[d[1,1].Yd2]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 4*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*lam[1,2,2,1]
          + 2*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*lam[1,1,2,2]
          + 5/12*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*alpha3
          + 183/32*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*alpha2
          - 105/32*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*alpha2*Doub2
          - 117/16*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*alpha2*Doub1
          + 105/32*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2
          + 101/24*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*alpha1
          - 6/5*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*alpha1*z3
          - 21/32*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*alpha1*Doub2
          - 991/160*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*alpha1*Doub1
          + 9/5*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*alpha1*Doub1*z3
          + 21/32*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2
          - 3/16*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1]]^2
          + 3/2*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1].l[1,1]]
          + 1/2*MatrixProduct[d[1,1].Yd2]*Tr[l[1,1].l[2,2]]
          + 3/2*MatrixProduct[d[1,1].Yd2]*Tr[l[1,2]]*lam[2,1,2,2]
          - 3/16*MatrixProduct[d[1,1].Yd2]*Tr[l[1,2]]*Tr[l[2,1]]
          + MatrixProduct[d[1,1].Yd2]*Tr[l[1,2].l[2,1]]
          + 9/2*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*lam[1,2,2,2]
          + 3/2*MatrixProduct[d[1,1].Yd2]*Tr[l[2,1]]*lam[1,1,1,2]
          + MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*lam[1,2,2,1]
          + 1/2*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha2
          - 9/16*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha2*z2
          - 69/8*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha2*Doub2
          + 9/16*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha2*Doub2*z2
          - 15/2*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha2*Doub1
          + 9/16*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha2*Doub1*z2
          + 15/2*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 63/40*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha1
          - 9/80*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha1*z2
          - 63/40*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha1*Doub2
          + 9/80*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha1*Doub2*z2
          - 3/2*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha1*Doub1
          + 9/80*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha1*Doub1*z2
          + 3/2*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha1*Doub1*Doub2
          - 9/80*MatrixProduct[d[1,1].Yd2]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2*z2
          - 7/32*MatrixProduct[d[1,2].u[1,1].u[1,1].Yd1]
          + 9/32*MatrixProduct[d[1,2].u[1,1].u[2,1].Yd2]
          - 1/2*MatrixProduct[d[1,2].u[1,1].u[2,2].Yd1]
          + 1/16*MatrixProduct[d[1,2].u[1,1].d[1,1].Yd1]
          + 3/8*MatrixProduct[d[1,2].u[1,1].d[2,1].Yd2]
          + 1/2*MatrixProduct[d[1,2].u[1,1].d[2,2].Yd1]
          - 3*MatrixProduct[d[1,2].u[1,1].d[2,2].Yd1]*z3
          + 1/4*MatrixProduct[d[1,2].u[1,1].Yd1]*lam[1,2,2,1]
          + 1/2*MatrixProduct[d[1,2].u[1,1].Yd1]*lam[1,1,2,2]
          + 10*MatrixProduct[d[1,2].u[1,1].Yd1]*alpha3
          - 8*MatrixProduct[d[1,2].u[1,1].Yd1]*alpha3*z3
          - 159/64*MatrixProduct[d[1,2].u[1,1].Yd1]*alpha2
          + 9/2*MatrixProduct[d[1,2].u[1,1].Yd1]*alpha2*z3
          - 129/64*MatrixProduct[d[1,2].u[1,1].Yd1]*alpha2*Doub1
          + 823/320*MatrixProduct[d[1,2].u[1,1].Yd1]*alpha1
          - 1/10*MatrixProduct[d[1,2].u[1,1].Yd1]*alpha1*z3
          - 9/40*MatrixProduct[d[1,2].u[1,1].Yd1]*alpha1*z2
          - 21/80*MatrixProduct[d[1,2].u[1,1].Yd1]*alpha1*Doub2
          + 9/80*MatrixProduct[d[1,2].u[1,1].Yd1]*alpha1*Doub2*z2
          - 847/320*MatrixProduct[d[1,2].u[1,1].Yd1]*alpha1*Doub1
          + 9/40*MatrixProduct[d[1,2].u[1,1].Yd1]*alpha1*Doub1*z2
          + 21/80*MatrixProduct[d[1,2].u[1,1].Yd1]*alpha1*Doub1*Doub2
          - 9/80*MatrixProduct[d[1,2].u[1,1].Yd1]*alpha1*Doub1*Doub2*z2
          + 33/16*MatrixProduct[d[1,2].u[1,1].Yd1]*Tr[u[1,1]]
          + 33/16*MatrixProduct[d[1,2].u[1,1].Yd1]*Tr[d[1,1]]
          + 11/16*MatrixProduct[d[1,2].u[1,1].Yd1]*Tr[l[1,1]]
          - 15/4*MatrixProduct[d[1,2].u[1,1].Yd2]*lam[2,1,2,2]
          + 3/32*MatrixProduct[d[1,2].u[1,1].Yd2]*Tr[u[2,1]]
          + 3/32*MatrixProduct[d[1,2].u[1,1].Yd2]*Tr[d[2,1]]
          + 1/32*MatrixProduct[d[1,2].u[1,1].Yd2]*Tr[l[2,1]]
          - 35/8*MatrixProduct[d[1,2].u[1,2].u[2,1].Yd1]
          + 6*MatrixProduct[d[1,2].u[1,2].u[2,1].Yd1]*z3
          + 13/16*MatrixProduct[d[1,2].u[1,2].d[2,1].Yd1]
          + 3*MatrixProduct[d[1,2].u[1,2].d[2,1].Yd1]*z3
          + 9/2*MatrixProduct[d[1,2].u[1,2].Yd1]*lam[2,1,2,2]
          + 27/4*MatrixProduct[d[1,2].u[1,2].Yd1]*Tr[u[2,1]]
          + 27/4*MatrixProduct[d[1,2].u[1,2].Yd1]*Tr[d[2,1]]
          + 9/4*MatrixProduct[d[1,2].u[1,2].Yd1]*Tr[l[2,1]]
          - 11/16*MatrixProduct[d[1,2].u[2,1].u[1,1].Yd2]
          - 7/8*MatrixProduct[d[1,2].u[2,1].u[1,2].Yd1]
          - 3/32*MatrixProduct[d[1,2].u[2,1].u[2,2].Yd2]
          + 5/32*MatrixProduct[d[1,2].u[2,1].d[1,1].Yd2]
          + 29/16*MatrixProduct[d[1,2].u[2,1].d[1,2].Yd1]
          + 55/32*MatrixProduct[d[1,2].u[2,1].d[2,2].Yd2]
          - 3*MatrixProduct[d[1,2].u[2,1].d[2,2].Yd2]*z3
          - 3/2*MatrixProduct[d[1,2].u[2,1].Yd1]*lam[1,2,2,2]
          + 9/4*MatrixProduct[d[1,2].u[2,1].Yd1]*Tr[u[1,2]]
          + 9/4*MatrixProduct[d[1,2].u[2,1].Yd1]*Tr[d[1,2]]
          + 3/4*MatrixProduct[d[1,2].u[2,1].Yd1]*Tr[l[1,2]]
          + 3/2*MatrixProduct[d[1,2].u[2,1].Yd2]*lam[1,2,2,1]
          - 9/2*MatrixProduct[d[1,2].u[2,1].Yd2]*lam[2,2,2,2]
          + 22*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha3
          - 12*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha3*z3
          + 189/64*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha2
          + 9/2*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha2*z3
          - 9/16*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha2*z2
          - 273/64*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha2*Doub2
          + 9/16*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha2*Doub2*z2
          - 87/32*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha2*Doub1
          + 9/32*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha2*Doub1*z2
          + 51/64*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha2*Doub1*Doub2
          + 9/8*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha2*Doub1*Doub2*z2
          + 1447/320*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha1
          + 3/10*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha1*z3
          - 9/20*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha1*z2
          - 1269/320*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha1*Doub2
          + 9/20*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha1*Doub2*z2
          - 87/160*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha1*Doub1
          + 9/160*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha1*Doub1*z2
          + 147/320*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha1*Doub1*Doub2*z3
          - 9/160*MatrixProduct[d[1,2].u[2,1].Yd2]*alpha1*Doub1*Doub2*
         z2
          + 27/32*MatrixProduct[d[1,2].u[2,1].Yd2]*Tr[u[1,1]]
          + 27/32*MatrixProduct[d[1,2].u[2,1].Yd2]*Tr[u[2,2]]
          + 27/32*MatrixProduct[d[1,2].u[2,1].Yd2]*Tr[d[1,1]]
          + 27/32*MatrixProduct[d[1,2].u[2,1].Yd2]*Tr[d[2,2]]
          + 9/32*MatrixProduct[d[1,2].u[2,1].Yd2]*Tr[l[1,1]]
          + 9/32*MatrixProduct[d[1,2].u[2,1].Yd2]*Tr[l[2,2]]
          - 29/16*MatrixProduct[d[1,2].u[2,2].u[2,1].Yd2]
          - 129/32*MatrixProduct[d[1,2].u[2,2].u[2,2].Yd1]
          + 6*MatrixProduct[d[1,2].u[2,2].u[2,2].Yd1]*z3
          - 29/32*MatrixProduct[d[1,2].u[2,2].d[1,1].Yd1]
          - 11/16*MatrixProduct[d[1,2].u[2,2].d[2,1].Yd2]
          + 3*MatrixProduct[d[1,2].u[2,2].d[2,1].Yd2]*z3
          + 53/32*MatrixProduct[d[1,2].u[2,2].d[2,2].Yd1]
          - 7/4*MatrixProduct[d[1,2].u[2,2].Yd1]*lam[1,2,2,1]
          + 3*MatrixProduct[d[1,2].u[2,2].Yd1]*lam[2,2,2,2]
          + 5/2*MatrixProduct[d[1,2].u[2,2].Yd1]*lam[1,1,2,2]
          - 14*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha3
          + 16*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha3*z3
          - 9/64*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha2
          - 9*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha2*z3
          - 87/64*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha2*Doub2
          + 27/4*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha2*Doub2*z3
          - 81/32*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha2*Doub1
          + 9/4*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha2*Doub1*z3
          + 63/8*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha2*Doub1*Doub2
          - 27/4*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha2*Doub1*Doub2*z3
          - 507/320*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha1
          - MatrixProduct[d[1,2].u[2,2].Yd1]*alpha1*z3
          + 9/40*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha1*z2
          + 9/16*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha1*Doub2
          + 9/20*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha1*Doub2*z2
          + 451/160*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha1*Doub1
          - 9/4*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha1*Doub1*z3
          - 9/80*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha1*Doub1*z2
          - 537/320*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha1*Doub1*Doub2
          + 27/20*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[d[1,2].u[2,2].Yd1]*alpha1*Doub1*Doub2*
         z2
          - 21/4*MatrixProduct[d[1,2].u[2,2].Yd1]*Tr[u[1,1]]
          + 99/16*MatrixProduct[d[1,2].u[2,2].Yd1]*Tr[u[2,2]]
          - 21/4*MatrixProduct[d[1,2].u[2,2].Yd1]*Tr[d[1,1]]
          + 99/16*MatrixProduct[d[1,2].u[2,2].Yd1]*Tr[d[2,2]]
          - 7/4*MatrixProduct[d[1,2].u[2,2].Yd1]*Tr[l[1,1]]
          + 33/16*MatrixProduct[d[1,2].u[2,2].Yd1]*Tr[l[2,2]]
          + 9/4*MatrixProduct[d[1,2].u[2,2].Yd2]*lam[2,1,2,2]
          - 141/32*MatrixProduct[d[1,2].u[2,2].Yd2]*Tr[u[2,1]]
          - 141/32*MatrixProduct[d[1,2].u[2,2].Yd2]*Tr[d[2,1]]
          - 47/32*MatrixProduct[d[1,2].u[2,2].Yd2]*Tr[l[2,1]]
          + 1/16*MatrixProduct[d[1,2].d[1,1].u[1,1].Yd1]
          - 5/16*MatrixProduct[d[1,2].d[1,1].u[2,1].Yd2]
          + 51/32*MatrixProduct[d[1,2].d[1,1].u[2,2].Yd1]
          - 33/32*MatrixProduct[d[1,2].d[1,1].d[1,1].Yd1]
          + 3/2*MatrixProduct[d[1,2].d[1,1].d[1,1].Yd1]*z3
          - 1/4*MatrixProduct[d[1,2].d[1,1].d[2,1].Yd2]
          - 45/32*MatrixProduct[d[1,2].d[1,1].d[2,2].Yd1]
          + 7/4*MatrixProduct[d[1,2].d[1,1].Yd1]*lam[1,2,2,1]
          + 7/2*MatrixProduct[d[1,2].d[1,1].Yd1]*lam[1,1,2,2]
          + 3*MatrixProduct[d[1,2].d[1,1].Yd1]*lam[1,1,1,1]
          - 38/3*MatrixProduct[d[1,2].d[1,1].Yd1]*alpha3
          - 57/64*MatrixProduct[d[1,2].d[1,1].Yd1]*alpha2
          + 63/64*MatrixProduct[d[1,2].d[1,1].Yd1]*alpha2*Doub1
          - 9/4*MatrixProduct[d[1,2].d[1,1].Yd1]*alpha2*Doub1*z3
          + 4501/960*MatrixProduct[d[1,2].d[1,1].Yd1]*alpha1
          - 9/80*MatrixProduct[d[1,2].d[1,1].Yd1]*alpha1*z2
          - 327/160*MatrixProduct[d[1,2].d[1,1].Yd1]*alpha1*Doub2
          - 1569/320*MatrixProduct[d[1,2].d[1,1].Yd1]*alpha1*Doub1
          + 3/20*MatrixProduct[d[1,2].d[1,1].Yd1]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[d[1,2].d[1,1].Yd1]*alpha1*Doub1*z2
          + 327/160*MatrixProduct[d[1,2].d[1,1].Yd1]*alpha1*Doub1*Doub2
          + 15/16*MatrixProduct[d[1,2].d[1,1].Yd1]*Tr[u[1,1]]
          + 15/16*MatrixProduct[d[1,2].d[1,1].Yd1]*Tr[d[1,1]]
          + 5/16*MatrixProduct[d[1,2].d[1,1].Yd1]*Tr[l[1,1]]
          + 9/4*MatrixProduct[d[1,2].d[1,1].Yd2]*lam[2,1,2,2]
          + 9/2*MatrixProduct[d[1,2].d[1,1].Yd2]*lam[1,1,2,1]
          - 3/2*MatrixProduct[d[1,2].d[1,1].Yd2]*Tr[u[2,1]]
          - 3/2*MatrixProduct[d[1,2].d[1,1].Yd2]*Tr[d[2,1]]
          - 1/2*MatrixProduct[d[1,2].d[1,1].Yd2]*Tr[l[2,1]]
          + 13/16*MatrixProduct[d[1,2].d[1,2].u[2,1].Yd1]
          - 35/8*MatrixProduct[d[1,2].d[1,2].d[2,1].Yd1]
          + 3/2*MatrixProduct[d[1,2].d[1,2].d[2,1].Yd1]*z3
          + 3*MatrixProduct[d[1,2].d[1,2].Yd1]*lam[2,1,2,2]
          + 6*MatrixProduct[d[1,2].d[1,2].Yd1]*lam[1,1,2,1]
          + 3/16*MatrixProduct[d[1,2].d[1,2].Yd1]*Tr[u[2,1]]
          + 3/16*MatrixProduct[d[1,2].d[1,2].Yd1]*Tr[d[2,1]]
          + 1/16*MatrixProduct[d[1,2].d[1,2].Yd1]*Tr[l[2,1]]
          + 15/2*MatrixProduct[d[1,2].d[1,2].Yd2]*lam[2,1,2,1]
          + 21/16*MatrixProduct[d[1,2].d[2,1].u[1,2].Yd1]
          + 45/32*MatrixProduct[d[1,2].d[2,1].u[2,2].Yd2]
          - 3/2*MatrixProduct[d[1,2].d[2,1].d[1,1].Yd2]
          + 9/4*MatrixProduct[d[1,2].d[2,1].d[1,1].Yd2]*z3
          - 31/8*MatrixProduct[d[1,2].d[2,1].d[1,2].Yd1]
          - 13/16*MatrixProduct[d[1,2].d[2,1].d[2,2].Yd2]
          + 9/2*MatrixProduct[d[1,2].d[2,1].Yd1]*lam[1,2,2,2]
          + 6*MatrixProduct[d[1,2].d[2,1].Yd1]*lam[1,1,1,2]
          + 27/16*MatrixProduct[d[1,2].d[2,1].Yd1]*Tr[u[1,2]]
          + 27/16*MatrixProduct[d[1,2].d[2,1].Yd1]*Tr[d[1,2]]
          + 9/16*MatrixProduct[d[1,2].d[2,1].Yd1]*Tr[l[1,2]]
          + 5/2*MatrixProduct[d[1,2].d[2,1].Yd2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[1,2].d[2,1].Yd2]*lam[2,2,2,2]
          + 5*MatrixProduct[d[1,2].d[2,1].Yd2]*lam[1,1,2,2]
          - 38/3*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha3
          - 21/32*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha2
          + 9/32*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha2*z2
          + 15/32*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha2*Doub2
          - 9/32*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha2*Doub2*z2
          - 81/32*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha2*Doub1
          + 9/4*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha2*Doub1*z3
          + 1181/192*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha1
          - 9/80*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha1*z2
          - 2457/320*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha1*Doub2
          + 3/2*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha1*Doub2*z3
          - 1487/320*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha1*Doub1
          + 3/20*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha1*Doub1*z3
          + 9/32*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha1*Doub1*z2
          + 1911/320*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha1*Doub1*
         Doub2
          - 9/5*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha1*Doub1*Doub2*z3
          - 27/160*MatrixProduct[d[1,2].d[2,1].Yd2]*alpha1*Doub1*Doub2*
         z2
          + 27/16*MatrixProduct[d[1,2].d[2,1].Yd2]*Tr[u[1,1]]
          - 3/4*MatrixProduct[d[1,2].d[2,1].Yd2]*Tr[u[2,2]]
          + 27/16*MatrixProduct[d[1,2].d[2,1].Yd2]*Tr[d[1,1]]
          - 3/4*MatrixProduct[d[1,2].d[2,1].Yd2]*Tr[d[2,2]]
          + 9/16*MatrixProduct[d[1,2].d[2,1].Yd2]*Tr[l[1,1]]
          - 1/4*MatrixProduct[d[1,2].d[2,1].Yd2]*Tr[l[2,2]]
          - MatrixProduct[d[1,2].d[2,2].u[1,1].Yd1]
          - 55/32*MatrixProduct[d[1,2].d[2,2].u[2,1].Yd2]
          + 3*MatrixProduct[d[1,2].d[2,2].u[2,1].Yd2]*z3
          + 85/32*MatrixProduct[d[1,2].d[2,2].u[2,2].Yd1]
          - 3*MatrixProduct[d[1,2].d[2,2].u[2,2].Yd1]*z3
          - 13/32*MatrixProduct[d[1,2].d[2,2].d[1,1].Yd1]
          - 55/16*MatrixProduct[d[1,2].d[2,2].d[2,1].Yd2]
          + 9/4*MatrixProduct[d[1,2].d[2,2].d[2,1].Yd2]*z3
          - 209/32*MatrixProduct[d[1,2].d[2,2].d[2,2].Yd1]
          + 25/4*MatrixProduct[d[1,2].d[2,2].Yd1]*lam[1,2,2,1]
          + 3*MatrixProduct[d[1,2].d[2,2].Yd1]*lam[2,2,2,2]
          + 7/2*MatrixProduct[d[1,2].d[2,2].Yd1]*lam[1,1,2,2]
          - 46/3*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha3
          - 345/64*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha2
          + 27/2*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha2*z3
          - 111/64*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha2*Doub2
          - 27/4*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha2*Doub2*z3
          - 237/32*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha2*Doub1
          - 9/4*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha2*Doub1*z3
          + 111/8*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha2*Doub1*Doub2
          - 27/4*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha2*Doub1*Doub2*z3
          + 269/960*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha1
          + 27/10*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha1*z3
          - 27/32*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha1*Doub2
          - 33/20*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha1*Doub2*z3
          + 9/160*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha1*Doub2*z2
          - 361/160*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha1*Doub1
          + 9/20*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha1*Doub1*z3
          - 9/80*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha1*Doub1*z2
          + 171/64*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[d[1,2].d[2,2].Yd1]*alpha1*Doub1*Doub2*
         z2
          - 9/4*MatrixProduct[d[1,2].d[2,2].Yd1]*Tr[u[1,1]]
          + 3/16*MatrixProduct[d[1,2].d[2,2].Yd1]*Tr[u[2,2]]
          - 9/4*MatrixProduct[d[1,2].d[2,2].Yd1]*Tr[d[1,1]]
          + 3/16*MatrixProduct[d[1,2].d[2,2].Yd1]*Tr[d[2,2]]
          - 3/4*MatrixProduct[d[1,2].d[2,2].Yd1]*Tr[l[1,1]]
          + 1/16*MatrixProduct[d[1,2].d[2,2].Yd1]*Tr[l[2,2]]
          + 45/4*MatrixProduct[d[1,2].d[2,2].Yd2]*lam[2,1,2,2]
          - 9/16*MatrixProduct[d[1,2].d[2,2].Yd2]*Tr[u[2,1]]
          - 9/16*MatrixProduct[d[1,2].d[2,2].Yd2]*Tr[d[2,1]]
          - 3/16*MatrixProduct[d[1,2].d[2,2].Yd2]*Tr[l[2,1]]
          + 21/8*MatrixProduct[d[1,2].Yd1]*lam[1,2,2,1]^2
          + 3/2*MatrixProduct[d[1,2].Yd1]*lam[2,2,2,2]*lam[1,2,2,1]
          + 87/16*MatrixProduct[d[1,2].Yd1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 15/16*MatrixProduct[d[1,2].Yd1]*lam[1,2,1,2]*lam[2,1,2,1]
          + 21/8*MatrixProduct[d[1,2].Yd1]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3*MatrixProduct[d[1,2].Yd1]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/8*MatrixProduct[d[1,2].Yd1]*lam[1,1,2,2]^2
          + 9/2*MatrixProduct[d[1,2].Yd1]*lam[1,1,2,1]*lam[1,2,2,2]
          + 9/2*MatrixProduct[d[1,2].Yd1]*lam[1,1,1,2]*lam[2,1,2,2]
          + 21/16*MatrixProduct[d[1,2].Yd1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[d[1,2].Yd1]*lam[1,1,1,1]*lam[1,2,2,1]
          + 3*MatrixProduct[d[1,2].Yd1]*lam[1,1,1,1]*lam[1,1,2,2]
          - 33/16*MatrixProduct[d[1,2].Yd1]*lam[1,1,1,1]^2
          + 4/3*MatrixProduct[d[1,2].Yd1]*alpha3*lam[1,2,2,1]
          + 8/3*MatrixProduct[d[1,2].Yd1]*alpha3*lam[1,1,2,2]
          + 2779/18*MatrixProduct[d[1,2].Yd1]*alpha3^2
          - 68*MatrixProduct[d[1,2].Yd1]*alpha3^2*z3
          - 22/3*MatrixProduct[d[1,2].Yd1]*alpha3^2*Ng
          + 9/8*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,2,2,1]
          + 15/8*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,2,2,1]*Doub2
          - 9/4*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,2,2,1]*Doub2*z3
          - 45/8*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,2,2,1]*Doub1
          - 9/2*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,2,2,1]*Doub1*z3
          - 3*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 27/4*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,2,2,1]*Doub1*Doub2*
         z3
          - 3/4*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,1,2,2]
          + 3/4*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,1,2,2]*Doub2
          - 45/4*MatrixProduct[d[1,2].Yd1]*alpha2*lam[1,1,2,2]*Doub1
          - 57/2*MatrixProduct[d[1,2].Yd1]*alpha2*alpha3
          + 36*MatrixProduct[d[1,2].Yd1]*alpha2*alpha3*z3
          + MatrixProduct[d[1,2].Yd1]*alpha2*alpha3*Doub1
          - 477/64*MatrixProduct[d[1,2].Yd1]*alpha2^2
          + 9*MatrixProduct[d[1,2].Yd1]*alpha2^2*z3
          + 3/16*MatrixProduct[d[1,2].Yd1]*alpha2^2*Ng
          + 561/128*MatrixProduct[d[1,2].Yd1]*alpha2^2*Doub2
          - 9/4*MatrixProduct[d[1,2].Yd1]*alpha2^2*Doub2*z3
          + 10473/256*MatrixProduct[d[1,2].Yd1]*alpha2^2*Doub1
          - 45/8*MatrixProduct[d[1,2].Yd1]*alpha2^2*Doub1*z3
          - 21/4*MatrixProduct[d[1,2].Yd1]*alpha2^2*Doub1*Ng
          - 267/64*MatrixProduct[d[1,2].Yd1]*alpha2^2*Doub1*Doub2
          - 27/8*MatrixProduct[d[1,2].Yd1]*alpha2^2*Doub1*Doub2*z3
          + 23/120*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,2,2,1]
          - 9/40*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,2,2,1]*Doub2
          - 9/20*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,2,2,1]*Doub2*z3
          - 21/40*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,2,2,1]*Doub1
          - 9/10*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 3/5*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/20*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,2,2,1]*Doub1*Doub2*
         z3
          + 23/60*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,1,2,2]
          - 9/20*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,1,2,2]*Doub2
          - 9/10*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,1,2,2]*Doub2*z3
          - 21/20*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,1,2,2]*Doub1
          - 9/5*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,1,2,2]*Doub1*z3
          - 6/5*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          + 27/10*MatrixProduct[d[1,2].Yd1]*alpha1*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 359/45*MatrixProduct[d[1,2].Yd1]*alpha1*alpha3
          - 4/5*MatrixProduct[d[1,2].Yd1]*alpha1*alpha3*z3
          - 9/5*MatrixProduct[d[1,2].Yd1]*alpha1*alpha3*z2
          - 47/10*MatrixProduct[d[1,2].Yd1]*alpha1*alpha3*Doub2
          + 18/5*MatrixProduct[d[1,2].Yd1]*alpha1*alpha3*Doub2*z3
          + 9/10*MatrixProduct[d[1,2].Yd1]*alpha1*alpha3*Doub2*z2
          + 229/30*MatrixProduct[d[1,2].Yd1]*alpha1*alpha3*Doub1
          + 24/5*MatrixProduct[d[1,2].Yd1]*alpha1*alpha3*Doub1*z3
          + 9/5*MatrixProduct[d[1,2].Yd1]*alpha1*alpha3*Doub1*z2
          + 47/10*MatrixProduct[d[1,2].Yd1]*alpha1*alpha3*Doub1*Doub2
          - 18/5*MatrixProduct[d[1,2].Yd1]*alpha1*alpha3*Doub1*Doub2*z3
          - 9/10*MatrixProduct[d[1,2].Yd1]*alpha1*alpha3*Doub1*Doub2*z2
          + 9/32*MatrixProduct[d[1,2].Yd1]*alpha1*alpha2
          + 27/160*MatrixProduct[d[1,2].Yd1]*alpha1*alpha2*z2
          + 3681/640*MatrixProduct[d[1,2].Yd1]*alpha1*alpha2*Doub2
          - 27/40*MatrixProduct[d[1,2].Yd1]*alpha1*alpha2*Doub2*z3
          - 27/320*MatrixProduct[d[1,2].Yd1]*alpha1*alpha2*Doub2*z2
          + 587/640*MatrixProduct[d[1,2].Yd1]*alpha1*alpha2*Doub1
          + 27/20*MatrixProduct[d[1,2].Yd1]*alpha1*alpha2*Doub1*z3
          - 27/160*MatrixProduct[d[1,2].Yd1]*alpha1*alpha2*Doub1*z2
          - 3969/640*MatrixProduct[d[1,2].Yd1]*alpha1*alpha2*Doub1*
         Doub2
          + 27/40*MatrixProduct[d[1,2].Yd1]*alpha1*alpha2*Doub1*Doub2*
         z3
          + 27/320*MatrixProduct[d[1,2].Yd1]*alpha1*alpha2*Doub1*Doub2*
         z2
          - 1267/14400*MatrixProduct[d[1,2].Yd1]*alpha1^2
          + 4/25*MatrixProduct[d[1,2].Yd1]*alpha1^2*z3
          + 63/800*MatrixProduct[d[1,2].Yd1]*alpha1^2*z2
          + 869/240*MatrixProduct[d[1,2].Yd1]*alpha1^2*Ng
          + 1747/800*MatrixProduct[d[1,2].Yd1]*alpha1^2*Doub2
          - 147/200*MatrixProduct[d[1,2].Yd1]*alpha1^2*Doub2*z3
          - 63/1600*MatrixProduct[d[1,2].Yd1]*alpha1^2*Doub2*z2
          + 223/3840*MatrixProduct[d[1,2].Yd1]*alpha1^2*Doub1
          + 3/200*MatrixProduct[d[1,2].Yd1]*alpha1^2*Doub1*z3
          - 63/800*MatrixProduct[d[1,2].Yd1]*alpha1^2*Doub1*z2
          - 9/2*MatrixProduct[d[1,2].Yd1]*alpha1^2*Doub1*Ng
          - 8227/3200*MatrixProduct[d[1,2].Yd1]*alpha1^2*Doub1*Doub2
          + 27/50*MatrixProduct[d[1,2].Yd1]*alpha1^2*Doub1*Doub2*z3
          + 63/1600*MatrixProduct[d[1,2].Yd1]*alpha1^2*Doub1*Doub2*z2
          + 6*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*lam[1,2,2,1]
          + 12*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*lam[1,1,2,2]
          - 59/2*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*alpha3
          + 24*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*alpha3*z3
          + 1107/16*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*alpha2
          - 54*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*alpha2*z3
          - 2385/32*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*alpha2*Doub1
          + 81/2*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*alpha2*Doub1*z3
          + 721/40*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*alpha1
          - 51/10*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*alpha1*z3
          - 63/16*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*alpha1*Doub2
          - 735/32*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*alpha1*Doub1
          + 27/5*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*alpha1*Doub1*z3
          + 63/16*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2
          - 27/8*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]^2
          - 27/4*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*Tr[d[1,1]]
          - 9/4*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1]]*Tr[l[1,1]]
          + 9*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1].u[1,1]]
          + 3*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1].u[2,2]]
          - 3*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[d[1,2].Yd1]*Tr[u[1,1].d[2,2]]*z3
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[u[1,2]]*lam[2,1,2,2]
          - 27/8*MatrixProduct[d[1,2].Yd1]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/8*MatrixProduct[d[1,2].Yd1]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[d[1,2].Yd1]*Tr[u[1,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[d[1,2].Yd1]*Tr[u[1,2].u[2,1]]
          + 3*MatrixProduct[d[1,2].Yd1]*Tr[u[1,2].d[2,1]]
          - 9*MatrixProduct[d[1,2].Yd1]*Tr[u[1,2].d[2,1]]*z3
          + 27/2*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*lam[1,2,2,2]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*lam[1,1,1,2]
          - 27/8*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1]]*Tr[l[1,2]]
          + 3*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1].d[1,2]]
          - 9*MatrixProduct[d[1,2].Yd1]*Tr[u[2,1].d[1,2]]*z3
          + 3/2*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2]]*lam[1,2,2,1]
          + 3*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2]]*lam[1,1,2,2]
          + 99/10*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2]]*alpha1
          - 27/40*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2]]*alpha1*z2
          - 99/10*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2]]*alpha1*Doub2
          + 27/40*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2]]*alpha1*Doub2*z2
          - 9*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2]]*alpha1*Doub1*z2
          + 9*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2]]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2*z2
          - 3*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[d[1,2].Yd1]*Tr[u[2,2].d[1,1]]*z3
          + 6*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*lam[1,2,2,1]
          + 12*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*lam[1,1,2,2]
          - 59/2*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*alpha3
          + 24*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*alpha3*z3
          + 1107/16*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*alpha2
          - 54*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*alpha2*z3
          - 2385/32*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*alpha2*Doub1
          + 81/2*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*alpha2*Doub1*z3
          + 817/40*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*alpha1
          - 69/10*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*alpha1*z3
          - 63/16*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*alpha1*Doub2
          - 735/32*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*alpha1*Doub1
          + 27/5*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*alpha1*Doub1*z3
          + 63/16*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/8*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]^2
          - 9/4*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1]]*Tr[l[1,1]]
          + 9*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1].d[1,1]]
          + 3*MatrixProduct[d[1,2].Yd1]*Tr[d[1,1].d[2,2]]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[d[1,2]]*lam[2,1,2,2]
          - 27/8*MatrixProduct[d[1,2].Yd1]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[d[1,2].Yd1]*Tr[d[1,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[d[1,2].Yd1]*Tr[d[1,2].d[2,1]]
          + 27/2*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*lam[1,2,2,2]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*lam[1,1,1,2]
          - 9/8*MatrixProduct[d[1,2].Yd1]*Tr[d[2,1]]*Tr[l[1,2]]
          + 3/2*MatrixProduct[d[1,2].Yd1]*Tr[d[2,2]]*lam[1,2,2,1]
          + 3*MatrixProduct[d[1,2].Yd1]*Tr[d[2,2]]*lam[1,1,2,2]
          + 99/10*MatrixProduct[d[1,2].Yd1]*Tr[d[2,2]]*alpha1
          - 27/40*MatrixProduct[d[1,2].Yd1]*Tr[d[2,2]]*alpha1*z2
          - 99/10*MatrixProduct[d[1,2].Yd1]*Tr[d[2,2]]*alpha1*Doub2
          + 27/40*MatrixProduct[d[1,2].Yd1]*Tr[d[2,2]]*alpha1*Doub2*z2
          - 9*MatrixProduct[d[1,2].Yd1]*Tr[d[2,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[d[1,2].Yd1]*Tr[d[2,2]]*alpha1*Doub1*z2
          + 9*MatrixProduct[d[1,2].Yd1]*Tr[d[2,2]]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[d[1,2].Yd1]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 2*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*lam[1,2,2,1]
          + 4*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*lam[1,1,2,2]
          + 5/6*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*alpha3
          + 369/16*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*alpha2
          - 18*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*alpha2*z3
          - 795/32*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*alpha2*Doub1*z3
          + 497/120*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*alpha1
          - 3/10*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*alpha1*z3
          - 21/16*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*alpha1*Doub2
          - 245/32*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*alpha1*Doub1
          + 9/5*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*alpha1*Doub1*z3
          + 21/16*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2
          - 3/8*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1]]^2
          + 3*MatrixProduct[d[1,2].Yd1]*Tr[l[1,1].l[1,1]]
          + MatrixProduct[d[1,2].Yd1]*Tr[l[1,1].l[2,2]]
          + 3/2*MatrixProduct[d[1,2].Yd1]*Tr[l[1,2]]*lam[2,1,2,2]
          - 3/8*MatrixProduct[d[1,2].Yd1]*Tr[l[1,2]]*Tr[l[2,1]]
          + 2*MatrixProduct[d[1,2].Yd1]*Tr[l[1,2].l[2,1]]
          + 9/2*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*lam[1,2,2,2]
          + 3/2*MatrixProduct[d[1,2].Yd1]*Tr[l[2,1]]*lam[1,1,1,2]
          + 1/2*MatrixProduct[d[1,2].Yd1]*Tr[l[2,2]]*lam[1,2,2,1]
          + MatrixProduct[d[1,2].Yd1]*Tr[l[2,2]]*lam[1,1,2,2]
          + 33/10*MatrixProduct[d[1,2].Yd1]*Tr[l[2,2]]*alpha1
          - 9/40*MatrixProduct[d[1,2].Yd1]*Tr[l[2,2]]*alpha1*z2
          - 33/10*MatrixProduct[d[1,2].Yd1]*Tr[l[2,2]]*alpha1*Doub2
          + 9/40*MatrixProduct[d[1,2].Yd1]*Tr[l[2,2]]*alpha1*Doub2*z2
          - 3*MatrixProduct[d[1,2].Yd1]*Tr[l[2,2]]*alpha1*Doub1
          + 9/40*MatrixProduct[d[1,2].Yd1]*Tr[l[2,2]]*alpha1*Doub1*z2
          + 3*MatrixProduct[d[1,2].Yd1]*Tr[l[2,2]]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[d[1,2].Yd1]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 189/32*MatrixProduct[d[1,2].Yd2]*lam[2,1,2,2]*lam[1,2,2,1]
          + 285/32*MatrixProduct[d[1,2].Yd2]*lam[2,1,2,2]*lam[2,2,2,2]
          + 141/32*MatrixProduct[d[1,2].Yd2]*lam[2,1,2,1]*lam[1,2,2,2]
          + 141/32*MatrixProduct[d[1,2].Yd2]*lam[1,1,2,2]*lam[2,1,2,2]
          - 3/32*MatrixProduct[d[1,2].Yd2]*lam[1,1,2,1]*lam[1,2,2,1]
          + 45/32*MatrixProduct[d[1,2].Yd2]*lam[1,1,2,1]*lam[1,1,2,2]
          + 45/32*MatrixProduct[d[1,2].Yd2]*lam[1,1,1,2]*lam[2,1,2,1]
          - 99/32*MatrixProduct[d[1,2].Yd2]*lam[1,1,1,1]*lam[1,1,2,1]
          + 4*MatrixProduct[d[1,2].Yd2]*alpha3*lam[2,1,2,2]
          + 3/8*MatrixProduct[d[1,2].Yd2]*alpha2*lam[2,1,2,2]
          - 15/4*MatrixProduct[d[1,2].Yd2]*alpha2*lam[2,1,2,2]*Doub2
          - 45/8*MatrixProduct[d[1,2].Yd2]*alpha2*lam[2,1,2,2]*Doub1
          - 9*MatrixProduct[d[1,2].Yd2]*alpha2*lam[2,1,2,2]*Doub1*z3
          - 63/8*MatrixProduct[d[1,2].Yd2]*alpha2*lam[2,1,2,2]*Doub1*Doub2
          + 9*MatrixProduct[d[1,2].Yd2]*alpha2*lam[2,1,2,2]*Doub1*Doub2*z3
          + 23/40*MatrixProduct[d[1,2].Yd2]*alpha1*lam[2,1,2,2]
          - 9/20*MatrixProduct[d[1,2].Yd2]*alpha1*lam[2,1,2,2]*Doub2
          - 9/8*MatrixProduct[d[1,2].Yd2]*alpha1*lam[2,1,2,2]*Doub1
          - 27/10*MatrixProduct[d[1,2].Yd2]*alpha1*lam[2,1,2,2]*Doub1*z3
          - 99/40*MatrixProduct[d[1,2].Yd2]*alpha1*lam[2,1,2,2]*Doub1*Doub2
          + 27/10*MatrixProduct[d[1,2].Yd2]*alpha1*lam[2,1,2,2]*Doub1*Doub2*
         z3
          + 27/2*MatrixProduct[d[1,2].Yd2]*Tr[u[1,1]]*lam[2,1,2,2]
          - 81/16*MatrixProduct[d[1,2].Yd2]*Tr[u[1,1]]*Tr[u[2,1]]
          - 81/16*MatrixProduct[d[1,2].Yd2]*Tr[u[1,1]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[d[1,2].Yd2]*Tr[u[1,1]]*Tr[l[2,1]]
          + 27/2*MatrixProduct[d[1,2].Yd2]*Tr[u[1,1].u[2,1]]
          + 9/2*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*lam[1,2,2,1]
          + 27/2*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*lam[2,2,2,2]
          + 9/2*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*lam[1,1,2,2]
          - 177/4*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha3
          + 36*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha3*z3
          + 2763/32*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha2
          - 54*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha2*z3
          - 4437/128*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha2*Doub2
          + 81/4*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha2*Doub2*z3
          - 3879/128*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha2*Doub1
          + 81/4*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha2*Doub1*z3
          - 63/2*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          + 669/20*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha1
          - 54/5*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha1*z3
          - 12483/640*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha1*Doub2
          + 27/5*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha1*Doub2*z3
          - 11193/640*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha1*Doub1
          + 27/5*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha1*Doub1*z3
          - 729/160*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          - 81/16*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*Tr[u[2,2]]
          - 81/16*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*Tr[d[1,1]]
          - 81/16*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*Tr[d[2,2]]
          - 27/16*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*Tr[l[1,1]]
          - 27/16*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[d[1,2].Yd2]*Tr[u[2,1].u[2,2]]
          + 9*MatrixProduct[d[1,2].Yd2]*Tr[u[2,2]]*lam[2,1,2,2]
          - 81/16*MatrixProduct[d[1,2].Yd2]*Tr[u[2,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[d[1,2].Yd2]*Tr[u[2,2]]*Tr[l[2,1]]
          + 27/2*MatrixProduct[d[1,2].Yd2]*Tr[d[1,1]]*lam[2,1,2,2]
          - 81/16*MatrixProduct[d[1,2].Yd2]*Tr[d[1,1]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[d[1,2].Yd2]*Tr[d[1,1]]*Tr[l[2,1]]
          + 27/2*MatrixProduct[d[1,2].Yd2]*Tr[d[1,1].d[2,1]]
          + 9/2*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*lam[1,2,2,1]
          + 27/2*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*lam[2,2,2,2]
          + 9/2*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*lam[1,1,2,2]
          - 177/4*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha3
          + 36*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha3*z3
          + 2763/32*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha2
          - 54*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha2*z3
          - 4437/128*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha2*Doub2
          + 81/4*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha2*Doub2*z3
          - 3879/128*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha2*Doub1
          + 81/4*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha2*Doub1*z3
          - 63/2*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          + 741/20*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha1
          - 27/2*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha1*z3
          - 12483/640*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha1*Doub2
          + 27/5*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha1*Doub2*z3
          - 11193/640*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha1*Doub1
          + 27/5*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha1*Doub1*z3
          - 729/160*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          - 81/16*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*Tr[d[2,2]]
          - 27/16*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*Tr[l[1,1]]
          - 27/16*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[d[1,2].Yd2]*Tr[d[2,1].d[2,2]]
          + 9*MatrixProduct[d[1,2].Yd2]*Tr[d[2,2]]*lam[2,1,2,2]
          - 27/16*MatrixProduct[d[1,2].Yd2]*Tr[d[2,2]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[d[1,2].Yd2]*Tr[l[1,1]]*lam[2,1,2,2]
          - 9/16*MatrixProduct[d[1,2].Yd2]*Tr[l[1,1]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[d[1,2].Yd2]*Tr[l[1,1].l[2,1]]
          + 3/2*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*lam[2,2,2,2]
          + 3/2*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha3
          + 921/32*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha2
          - 18*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha2*z3
          - 1479/128*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha2*Doub2
          + 27/4*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha2*Doub2*z3
          - 1293/128*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha2*Doub1
          + 27/4*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha2*Doub1*z3
          - 21/2*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          + 167/20*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha1
          - 3/2*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha1*z3
          - 4161/640*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha1*Doub2
          + 9/5*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha1*Doub2*z3
          - 3731/640*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha1*Doub1
          + 9/5*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha1*Doub1*z3
          - 243/160*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          - 9/16*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[1,2].Yd2]*Tr[l[2,1].l[2,2]]
          + 3*MatrixProduct[d[1,2].Yd2]*Tr[l[2,2]]*lam[2,1,2,2]
          - 47/32*MatrixProduct[d[2,1].u[1,1].u[1,2].Yd2]
          + 17/16*MatrixProduct[d[2,1].u[1,1].d[1,2].Yd2]
          + 9/4*MatrixProduct[d[2,1].u[1,1].Yd1]*lam[1,2,1,2]
          + 3/4*MatrixProduct[d[2,1].u[1,1].Yd2]*lam[1,2,2,2]
          + 3*MatrixProduct[d[2,1].u[1,1].Yd2]*lam[1,1,1,2]
          + 9/32*MatrixProduct[d[2,1].u[1,1].Yd2]*Tr[u[1,2]]
          + 9/32*MatrixProduct[d[2,1].u[1,1].Yd2]*Tr[d[1,2]]
          + 3/32*MatrixProduct[d[2,1].u[1,1].Yd2]*Tr[l[1,2]]
          - 11/4*MatrixProduct[d[2,1].u[1,2].u[1,1].Yd2]
          + 6*MatrixProduct[d[2,1].u[1,2].u[1,1].Yd2]*z3
          - 3/2*MatrixProduct[d[2,1].u[1,2].u[1,2].Yd1]
          - 43/32*MatrixProduct[d[2,1].u[1,2].u[2,2].Yd2]
          + 17/16*MatrixProduct[d[2,1].u[1,2].d[1,1].Yd2]
          + 1/2*MatrixProduct[d[2,1].u[1,2].d[1,2].Yd1]
          + MatrixProduct[d[2,1].u[1,2].d[2,2].Yd2]
          + 3/2*MatrixProduct[d[2,1].u[1,2].Yd1]*lam[1,2,2,2]
          - 9/2*MatrixProduct[d[2,1].u[1,2].Yd1]*lam[1,1,1,2]
          - 9/2*MatrixProduct[d[2,1].u[1,2].Yd1]*Tr[u[1,2]]
          - 9/2*MatrixProduct[d[2,1].u[1,2].Yd1]*Tr[d[1,2]]
          - 3/2*MatrixProduct[d[2,1].u[1,2].Yd1]*Tr[l[1,2]]
          - 2*MatrixProduct[d[2,1].u[1,2].Yd2]*lam[1,2,2,1]
          + 1/2*MatrixProduct[d[2,1].u[1,2].Yd2]*lam[1,1,2,2]
          - 2*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha3
          + 12*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha3*z3
          + 339/64*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha2
          - 9*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha2*z3
          - 9/16*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha2*z2
          + 327/64*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha2*Doub2
          - 9/2*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha2*Doub2*z3
          + 9/16*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha2*Doub2*z2
          - 123/32*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha2*Doub1
          + 27/4*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha2*Doub1*z2
          - 93/64*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha2*Doub1*Doub2
          + 9/8*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha2*Doub1*Doub2*z3
          - 9/32*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha2*Doub1*Doub2*z2
          + 117/320*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha1
          - 3/5*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha1*z3
          + 367/320*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha1*Doub2
          - 3/10*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha1*Doub2*z3
          - 9/80*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha1*Doub2*z2
          - 233/160*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha1*Doub1
          - 3/20*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha1*Doub1*z3
          + 27/160*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha1*Doub1*z2
          + 39/64*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha1*Doub1*Doub2*z3
          - 9/160*MatrixProduct[d[2,1].u[1,2].Yd2]*alpha1*Doub1*Doub2*
         z2
          + 153/32*MatrixProduct[d[2,1].u[1,2].Yd2]*Tr[u[1,1]]
          - 135/32*MatrixProduct[d[2,1].u[1,2].Yd2]*Tr[u[2,2]]
          + 153/32*MatrixProduct[d[2,1].u[1,2].Yd2]*Tr[d[1,1]]
          - 135/32*MatrixProduct[d[2,1].u[1,2].Yd2]*Tr[d[2,2]]
          + 51/32*MatrixProduct[d[2,1].u[1,2].Yd2]*Tr[l[1,1]]
          - 45/32*MatrixProduct[d[2,1].u[1,2].Yd2]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[2,1].u[2,1].Yd2]*lam[1,2,1,2]
          - 35/8*MatrixProduct[d[2,1].u[2,2].u[1,2].Yd2]
          + 6*MatrixProduct[d[2,1].u[2,2].u[1,2].Yd2]*z3
          + 13/8*MatrixProduct[d[2,1].u[2,2].d[1,2].Yd2]
          - 15/4*MatrixProduct[d[2,1].u[2,2].Yd1]*lam[1,2,1,2]
          + 3/4*MatrixProduct[d[2,1].u[2,2].Yd2]*lam[1,2,2,2]
          + 153/32*MatrixProduct[d[2,1].u[2,2].Yd2]*Tr[u[1,2]]
          + 153/32*MatrixProduct[d[2,1].u[2,2].Yd2]*Tr[d[1,2]]
          + 51/32*MatrixProduct[d[2,1].u[2,2].Yd2]*Tr[l[1,2]]
          + 9/8*MatrixProduct[d[2,1].d[1,1].u[1,2].Yd2]
          - 83/16*MatrixProduct[d[2,1].d[1,1].d[1,2].Yd2]
          + 3/4*MatrixProduct[d[2,1].d[1,1].d[1,2].Yd2]*z3
          + 15/4*MatrixProduct[d[2,1].d[1,1].Yd1]*lam[1,2,1,2]
          + 15/4*MatrixProduct[d[2,1].d[1,1].Yd2]*lam[1,2,2,2]
          + 9/2*MatrixProduct[d[2,1].d[1,1].Yd2]*lam[1,1,1,2]
          + 27/16*MatrixProduct[d[2,1].d[1,1].Yd2]*Tr[u[1,2]]
          + 27/16*MatrixProduct[d[2,1].d[1,1].Yd2]*Tr[d[1,2]]
          + 9/16*MatrixProduct[d[2,1].d[1,1].Yd2]*Tr[l[1,2]]
          + 37/32*MatrixProduct[d[2,1].d[1,2].u[1,1].Yd2]
          - 3*MatrixProduct[d[2,1].d[1,2].u[1,1].Yd2]*z3
          + 3*MatrixProduct[d[2,1].d[1,2].u[1,2].Yd1]*z3
          + 1/4*MatrixProduct[d[2,1].d[1,2].u[2,2].Yd2]
          - 33/16*MatrixProduct[d[2,1].d[1,2].d[1,1].Yd2]
          - 5/2*MatrixProduct[d[2,1].d[1,2].d[1,2].Yd1]
          - 19/4*MatrixProduct[d[2,1].d[1,2].d[2,2].Yd2]
          + 3/4*MatrixProduct[d[2,1].d[1,2].d[2,2].Yd2]*z3
          + 3*MatrixProduct[d[2,1].d[1,2].Yd1]*lam[1,2,2,2]
          + 9/2*MatrixProduct[d[2,1].d[1,2].Yd1]*lam[1,1,1,2]
          - 3/2*MatrixProduct[d[2,1].d[1,2].Yd1]*Tr[u[1,2]]
          - 3/2*MatrixProduct[d[2,1].d[1,2].Yd1]*Tr[d[1,2]]
          - 1/2*MatrixProduct[d[2,1].d[1,2].Yd1]*Tr[l[1,2]]
          + 11/2*MatrixProduct[d[2,1].d[1,2].Yd2]*lam[1,2,2,1]
          + 3*MatrixProduct[d[2,1].d[1,2].Yd2]*lam[2,2,2,2]
          + 7/2*MatrixProduct[d[2,1].d[1,2].Yd2]*lam[1,1,2,2]
          - 46/3*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha3
          - 165/32*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha2
          + 27/2*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha2*z3
          + 9/32*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha2*z2
          + 159/64*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha2*Doub2
          - 9*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha2*Doub2*z3
          - 9/32*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha2*Doub2*z2
          - 81/32*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha2*Doub1
          - 9/2*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha2*Doub1*z3
          - 9/32*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha2*Doub1*z2
          + 111/64*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha2*Doub1*Doub2
          + 9/4*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha2*Doub1*Doub2*z3
          + 9/32*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha2*Doub1*Doub2*z2
          + 1673/960*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha1
          + 27/10*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha1*z3
          - 459/160*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha1*Doub2
          - 3/2*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha1*Doub2*z2
          - 269/160*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha1*Doub1
          - 27/160*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha1*Doub1*z2
          + 171/64*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[d[2,1].d[1,2].Yd2]*alpha1*Doub1*Doub2*
         z2
          - 9/4*MatrixProduct[d[2,1].d[1,2].Yd2]*Tr[u[1,1]]
          + 3/16*MatrixProduct[d[2,1].d[1,2].Yd2]*Tr[u[2,2]]
          - 9/4*MatrixProduct[d[2,1].d[1,2].Yd2]*Tr[d[1,1]]
          + 3/16*MatrixProduct[d[2,1].d[1,2].Yd2]*Tr[d[2,2]]
          - 3/4*MatrixProduct[d[2,1].d[1,2].Yd2]*Tr[l[1,1]]
          + 1/16*MatrixProduct[d[2,1].d[1,2].Yd2]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[2,1].d[2,1].Yd2]*lam[1,2,1,2]
          + 65/32*MatrixProduct[d[2,1].d[2,2].u[1,2].Yd2]
          - 5*MatrixProduct[d[2,1].d[2,2].d[1,2].Yd2]
          + 21/4*MatrixProduct[d[2,1].d[2,2].Yd1]*lam[1,2,1,2]
          + 39/4*MatrixProduct[d[2,1].d[2,2].Yd2]*lam[1,2,2,2]
          - 9/4*MatrixProduct[d[2,1].d[2,2].Yd2]*Tr[u[1,2]]
          - 9/4*MatrixProduct[d[2,1].d[2,2].Yd2]*Tr[d[1,2]]
          - 3/4*MatrixProduct[d[2,1].d[2,2].Yd2]*Tr[l[1,2]]
          + 15/2*MatrixProduct[d[2,1].Yd1]*lam[1,2,2,2]^2
          + 9*MatrixProduct[d[2,1].Yd1]*lam[1,2,1,2]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[2,1].Yd1]*lam[1,2,1,2]*lam[2,2,2,2]
          + 6*MatrixProduct[d[2,1].Yd1]*lam[1,1,2,2]*lam[1,2,1,2]
          + 9*MatrixProduct[d[2,1].Yd1]*lam[1,1,1,2]*lam[1,2,2,2]
          + 15/2*MatrixProduct[d[2,1].Yd1]*lam[1,1,1,2]^2
          + 9/2*MatrixProduct[d[2,1].Yd1]*lam[1,1,1,1]*lam[1,2,1,2]
          + 4*MatrixProduct[d[2,1].Yd1]*alpha3*lam[1,2,1,2]
          + 3/8*MatrixProduct[d[2,1].Yd1]*alpha2*lam[1,2,1,2]
          - 81/8*MatrixProduct[d[2,1].Yd1]*alpha2*lam[1,2,1,2]*Doub2
          - 9*MatrixProduct[d[2,1].Yd1]*alpha2*lam[1,2,1,2]*Doub2*z3
          - 33/8*MatrixProduct[d[2,1].Yd1]*alpha2*lam[1,2,1,2]*Doub1
          - 3*MatrixProduct[d[2,1].Yd1]*alpha2*lam[1,2,1,2]*Doub1*Doub2
          + 9*MatrixProduct[d[2,1].Yd1]*alpha2*lam[1,2,1,2]*Doub1*Doub2*z3
          + 23/40*MatrixProduct[d[2,1].Yd1]*alpha1*lam[1,2,1,2]
          - 99/40*MatrixProduct[d[2,1].Yd1]*alpha1*lam[1,2,1,2]*Doub2
          - 27/10*MatrixProduct[d[2,1].Yd1]*alpha1*lam[1,2,1,2]*Doub2*z3
          - 27/40*MatrixProduct[d[2,1].Yd1]*alpha1*lam[1,2,1,2]*Doub1
          - 9/10*MatrixProduct[d[2,1].Yd1]*alpha1*lam[1,2,1,2]*Doub1*Doub2
          + 27/10*MatrixProduct[d[2,1].Yd1]*alpha1*lam[1,2,1,2]*Doub1*Doub2*
         z3
          + 9*MatrixProduct[d[2,1].Yd1]*Tr[u[1,1]]*lam[1,2,1,2]
          + 9*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*lam[1,2,2,2]
          + 27/2*MatrixProduct[d[2,1].Yd1]*Tr[u[1,2]]*lam[1,1,1,2]
          + 27/2*MatrixProduct[d[2,1].Yd1]*Tr[u[2,2]]*lam[1,2,1,2]
          + 9*MatrixProduct[d[2,1].Yd1]*Tr[d[1,1]]*lam[1,2,1,2]
          + 9*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*lam[1,2,2,2]
          + 27/2*MatrixProduct[d[2,1].Yd1]*Tr[d[1,2]]*lam[1,1,1,2]
          + 27/2*MatrixProduct[d[2,1].Yd1]*Tr[d[2,2]]*lam[1,2,1,2]
          + 3*MatrixProduct[d[2,1].Yd1]*Tr[l[1,1]]*lam[1,2,1,2]
          + 3*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*lam[1,2,2,2]
          + 9/2*MatrixProduct[d[2,1].Yd1]*Tr[l[1,2]]*lam[1,1,1,2]
          + 9/2*MatrixProduct[d[2,1].Yd1]*Tr[l[2,2]]*lam[1,2,1,2]
          + 255/32*MatrixProduct[d[2,1].Yd2]*lam[1,2,2,2]*lam[1,2,2,1]
          + 351/32*MatrixProduct[d[2,1].Yd2]*lam[1,2,2,2]*lam[2,2,2,2]
          + 207/32*MatrixProduct[d[2,1].Yd2]*lam[1,2,1,2]*lam[2,1,2,2]
          + 207/32*MatrixProduct[d[2,1].Yd2]*lam[1,1,2,2]*lam[1,2,2,2]
          + 111/32*MatrixProduct[d[2,1].Yd2]*lam[1,1,2,1]*lam[1,2,1,2]
          + 63/32*MatrixProduct[d[2,1].Yd2]*lam[1,1,1,2]*lam[1,2,2,1]
          + 111/32*MatrixProduct[d[2,1].Yd2]*lam[1,1,1,2]*lam[1,1,2,2]
          - 33/32*MatrixProduct[d[2,1].Yd2]*lam[1,1,1,1]*lam[1,1,1,2]
          + 4*MatrixProduct[d[2,1].Yd2]*alpha3*lam[1,2,2,2]
          + 3/8*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,2,2,2]
          - 81/4*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,2,2,2]*Doub2
          - 9/2*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,2,2,2]*Doub2*z3
          + 27/8*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,2,2,2]*Doub1
          - 9/4*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,2,2,2]*Doub1*z3
          - 3/8*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,2,2,2]*Doub1*Doub2
          + 27/4*MatrixProduct[d[2,1].Yd2]*alpha2*lam[1,2,2,2]*Doub1*Doub2*
         z3
          + 23/40*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,2,2,2]
          - 9/4*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,2,2,2]*Doub2
          - 27/10*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,2,2,2]*Doub2*z3
          - 9/40*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,2,2,2]*Doub1
          - 27/20*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,2,2,2]*Doub1*z3
          - 63/40*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,2,2,2]*Doub1*Doub2
          + 81/20*MatrixProduct[d[2,1].Yd2]*alpha1*lam[1,2,2,2]*Doub1*Doub2*
         z3
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1]]*lam[1,2,2,2]
          - 27/16*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1]]*Tr[u[1,2]]
          - 27/16*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[u[1,1].u[1,2]]
          + 9*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*lam[2,2,2,2]
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha3
          + 12*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha3*z3
          + 549/32*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha2
          - 1341/128*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha2*Doub2
          - 639/128*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha2*Doub1
          - 207/32*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          + 1013/40*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha1
          - 57/10*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha1*z3
          - 27/40*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha1*z2
          - 12027/640*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha1*Doub2
          + 27/10*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha1*Doub2*z3
          + 27/40*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha1*Doub2*z2
          - 1377/128*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha1*Doub1
          + 27/10*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 27/16*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*Tr[u[2,2]]
          - 27/16*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*Tr[d[1,1]]
          - 27/16*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[u[1,2].u[2,2]]
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[u[2,1]]*lam[1,2,1,2]
          + 18*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*lam[1,2,2,2]
          - 27/16*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[d[2,1].Yd2]*Tr[u[2,2]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1]]*lam[1,2,2,2]
          - 27/16*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[d[1,1].d[1,2]]
          + 9*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*lam[2,2,2,2]
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*lam[1,1,2,2]
          - 59/4*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha3
          + 12*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha3*z3
          + 549/32*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha2
          - 1341/128*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha2*Doub2
          - 639/128*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha2*Doub1
          - 207/32*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          + 1061/40*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha1
          - 33/5*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha1*z3
          - 27/40*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha1*z2
          - 12027/640*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha1*Doub2
          + 27/10*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha1*Doub2*z3
          + 27/40*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha1*Doub2*z2
          - 1377/128*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha1*Doub1
          + 27/10*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 27/16*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[d[1,2].d[2,2]]
          + 9/2*MatrixProduct[d[2,1].Yd2]*Tr[d[2,1]]*lam[1,2,1,2]
          + 18*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*lam[1,2,2,2]
          - 9/16*MatrixProduct[d[2,1].Yd2]*Tr[d[2,2]]*Tr[l[1,2]]
          + 3/2*MatrixProduct[d[2,1].Yd2]*Tr[l[1,1]]*lam[1,2,2,2]
          - 3/16*MatrixProduct[d[2,1].Yd2]*Tr[l[1,1]]*Tr[l[1,2]]
          + 3/2*MatrixProduct[d[2,1].Yd2]*Tr[l[1,1].l[1,2]]
          + 3*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*lam[2,2,2,2]
          + 3/2*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*lam[1,1,2,2]
          + 5/12*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha3
          + 183/32*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha2
          - 447/128*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha2*Doub2
          - 213/128*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha2*Doub1
          - 69/32*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          + 901/120*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha1
          - 6/5*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha1*z3
          - 9/40*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha1*z2
          - 4009/640*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha1*Doub2
          + 9/10*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha1*Doub2*z3
          + 9/40*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha1*Doub2*z2
          - 459/128*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha1*Doub1
          + 9/10*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha1*Doub1*z2
          + 57/160*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          - 9/80*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 3/16*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2]]*Tr[l[2,2]]
          + 3/2*MatrixProduct[d[2,1].Yd2]*Tr[l[1,2].l[2,2]]
          + 3/2*MatrixProduct[d[2,1].Yd2]*Tr[l[2,1]]*lam[1,2,1,2]
          + 6*MatrixProduct[d[2,1].Yd2]*Tr[l[2,2]]*lam[1,2,2,2]
          - 1/32*MatrixProduct[d[2,2].u[1,1].u[1,1].Yd2]
          - 19/32*MatrixProduct[d[2,2].u[1,1].u[1,2].Yd1]
          - 1/8*MatrixProduct[d[2,2].u[1,1].u[2,2].Yd2]
          + 5/32*MatrixProduct[d[2,2].u[1,1].d[1,1].Yd2]
          - 27/32*MatrixProduct[d[2,2].u[1,1].d[2,2].Yd2]
          + 9/4*MatrixProduct[d[2,2].u[1,1].Yd1]*lam[1,2,2,2]
          - 3/16*MatrixProduct[d[2,2].u[1,1].Yd1]*Tr[u[1,2]]
          - 3/16*MatrixProduct[d[2,2].u[1,1].Yd1]*Tr[d[1,2]]
          - 1/16*MatrixProduct[d[2,2].u[1,1].Yd1]*Tr[l[1,2]]
          - 1/2*MatrixProduct[d[2,2].u[1,1].Yd2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[d[2,2].u[1,1].Yd2]*lam[2,2,2,2]
          + 7/2*MatrixProduct[d[2,2].u[1,1].Yd2]*lam[1,1,2,2]
          - 20/3*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha3
          + 105/64*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha2
          - 9/64*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha2*z2
          - 423/32*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha2*Doub2
          + 27/4*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha2*Doub2*z2
          - 195/64*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha2*Doub1
          + 9/64*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha2*Doub1*z2
          + 471/32*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha2*Doub1*Doub2
          - 9*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha2*Doub1*Doub2*z2
          + 1/960*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha1
          + 81/320*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha1*z2
          + 681/320*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha1*Doub2
          - 39/20*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha1*Doub2*z3
          - 63/320*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha1*Doub2*z2
          + 211/320*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha1*Doub1
          + 3/5*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha1*Doub1*z3
          - 9/64*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha1*Doub1*z2
          - 1317/320*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha1*Doub1*
         Doub2
          + 9/5*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha1*Doub1*Doub2*z3
          + 27/320*MatrixProduct[d[2,2].u[1,1].Yd2]*alpha1*Doub1*Doub2*
         z2
          + 27/16*MatrixProduct[d[2,2].u[1,1].Yd2]*Tr[u[1,1]]
          - 3/4*MatrixProduct[d[2,2].u[1,1].Yd2]*Tr[u[2,2]]
          + 27/16*MatrixProduct[d[2,2].u[1,1].Yd2]*Tr[d[1,1]]
          - 3/4*MatrixProduct[d[2,2].u[1,1].Yd2]*Tr[d[2,2]]
          + 9/16*MatrixProduct[d[2,2].u[1,1].Yd2]*Tr[l[1,1]]
          - 1/4*MatrixProduct[d[2,2].u[1,1].Yd2]*Tr[l[2,2]]
          + 13/32*MatrixProduct[d[2,2].u[1,2].u[1,1].Yd1]
          - 11/8*MatrixProduct[d[2,2].u[1,2].u[2,1].Yd2]
          + 6*MatrixProduct[d[2,2].u[1,2].u[2,1].Yd2]*z3
          - 99/32*MatrixProduct[d[2,2].u[1,2].u[2,2].Yd1]
          - 3/32*MatrixProduct[d[2,2].u[1,2].d[1,1].Yd1]
          + 17/8*MatrixProduct[d[2,2].u[1,2].d[2,1].Yd2]
          + 13/32*MatrixProduct[d[2,2].u[1,2].d[2,2].Yd1]
          + MatrixProduct[d[2,2].u[1,2].Yd1]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,2].u[1,2].Yd1]*lam[2,2,2,2]
          - 11/2*MatrixProduct[d[2,2].u[1,2].Yd1]*lam[1,1,2,2]
          + 68/3*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha3
          - 8*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha3*z3
          - 291/32*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha2
          + 45/4*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha2*z3
          + 27/4*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha2*Doub2
          - 27/4*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha2*Doub2*z3
          - 69/16*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha2*Doub1
          + 27/8*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha2*Doub1*z3
          + 33/16*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha2*Doub1*Doub2
          - 9/8*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha2*Doub1*Doub2*z3
          - 1/96*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha1
          - 11/20*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha1*z3
          - 9/20*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha1*z2
          + 61/32*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha1*Doub2
          + 9/20*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha1*Doub2*z2
          - 21/16*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha1*Doub1
          - 27/40*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha1*Doub1*z3
          + 9/40*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha1*Doub1*z2
          + 81/160*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha1*Doub1*Doub2
          + 9/40*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha1*Doub1*Doub2*z3
          - 9/80*MatrixProduct[d[2,2].u[1,2].Yd1]*alpha1*Doub1*Doub2*z2
          + 9/16*MatrixProduct[d[2,2].u[1,2].Yd1]*Tr[u[1,1]]
          + 9/16*MatrixProduct[d[2,2].u[1,2].Yd1]*Tr[u[2,2]]
          + 9/16*MatrixProduct[d[2,2].u[1,2].Yd1]*Tr[d[1,1]]
          + 9/16*MatrixProduct[d[2,2].u[1,2].Yd1]*Tr[d[2,2]]
          + 3/16*MatrixProduct[d[2,2].u[1,2].Yd1]*Tr[l[1,1]]
          + 3/16*MatrixProduct[d[2,2].u[1,2].Yd1]*Tr[l[2,2]]
          - 3/2*MatrixProduct[d[2,2].u[1,2].Yd2]*lam[2,1,2,2]
          + 225/32*MatrixProduct[d[2,2].u[1,2].Yd2]*Tr[u[2,1]]
          + 225/32*MatrixProduct[d[2,2].u[1,2].Yd2]*Tr[d[2,1]]
          + 75/32*MatrixProduct[d[2,2].u[1,2].Yd2]*Tr[l[2,1]]
          - 63/32*MatrixProduct[d[2,2].u[2,1].u[1,2].Yd2]
          + 33/16*MatrixProduct[d[2,2].u[2,1].d[1,2].Yd2]
          + 9/2*MatrixProduct[d[2,2].u[2,1].Yd2]*lam[1,2,2,2]
          + 81/32*MatrixProduct[d[2,2].u[2,1].Yd2]*Tr[u[1,2]]
          + 81/32*MatrixProduct[d[2,2].u[2,1].Yd2]*Tr[d[1,2]]
          + 27/32*MatrixProduct[d[2,2].u[2,1].Yd2]*Tr[l[1,2]]
          - MatrixProduct[d[2,2].u[2,2].u[1,1].Yd2]
          + 45/32*MatrixProduct[d[2,2].u[2,2].u[1,2].Yd1]
          - 95/16*MatrixProduct[d[2,2].u[2,2].u[2,2].Yd2]
          + 6*MatrixProduct[d[2,2].u[2,2].u[2,2].Yd2]*z3
          - MatrixProduct[d[2,2].u[2,2].d[1,1].Yd2]
          + 43/16*MatrixProduct[d[2,2].u[2,2].d[2,2].Yd2]
          - 15/4*MatrixProduct[d[2,2].u[2,2].Yd1]*lam[1,2,2,2]
          - 75/16*MatrixProduct[d[2,2].u[2,2].Yd1]*Tr[u[1,2]]
          - 75/16*MatrixProduct[d[2,2].u[2,2].Yd1]*Tr[d[1,2]]
          - 25/16*MatrixProduct[d[2,2].u[2,2].Yd1]*Tr[l[1,2]]
          + 3/4*MatrixProduct[d[2,2].u[2,2].Yd2]*lam[2,2,2,2]
          + 14*MatrixProduct[d[2,2].u[2,2].Yd2]*alpha3
          + 4*MatrixProduct[d[2,2].u[2,2].Yd2]*alpha3*z3
          - 69/32*MatrixProduct[d[2,2].u[2,2].Yd2]*alpha2
          + 9/4*MatrixProduct[d[2,2].u[2,2].Yd2]*alpha2*z3
          - 45/64*MatrixProduct[d[2,2].u[2,2].Yd2]*alpha2*z2
          + 177/64*MatrixProduct[d[2,2].u[2,2].Yd2]*alpha2*Doub2
          - 27/8*MatrixProduct[d[2,2].u[2,2].Yd2]*alpha2*Doub2*z3
          + 45/64*MatrixProduct[d[2,2].u[2,2].Yd2]*alpha2*Doub2*z2
          + 57/160*MatrixProduct[d[2,2].u[2,2].Yd2]*alpha1
          - 23/20*MatrixProduct[d[2,2].u[2,2].Yd2]*alpha1*z3
          - 63/320*MatrixProduct[d[2,2].u[2,2].Yd2]*alpha1*z2
          + 23/320*MatrixProduct[d[2,2].u[2,2].Yd2]*alpha1*Doub2
          - 9/40*MatrixProduct[d[2,2].u[2,2].Yd2]*alpha1*Doub2*z3
          + 63/320*MatrixProduct[d[2,2].u[2,2].Yd2]*alpha1*Doub2*z2
          + 21/8*MatrixProduct[d[2,2].u[2,2].Yd2]*Tr[u[2,2]]
          + 21/8*MatrixProduct[d[2,2].u[2,2].Yd2]*Tr[d[2,2]]
          + 7/8*MatrixProduct[d[2,2].u[2,2].Yd2]*Tr[l[2,2]]
          + 5/32*MatrixProduct[d[2,2].d[1,1].u[1,1].Yd2]
          - 3/32*MatrixProduct[d[2,2].d[1,1].u[1,2].Yd1]
          - 1/8*MatrixProduct[d[2,2].d[1,1].u[2,2].Yd2]
          - 1/32*MatrixProduct[d[2,2].d[1,1].d[1,1].Yd2]
          - MatrixProduct[d[2,2].d[1,1].d[1,2].Yd1]
          + 3/2*MatrixProduct[d[2,2].d[1,1].d[1,2].Yd1]*z3
          - 27/32*MatrixProduct[d[2,2].d[1,1].d[2,2].Yd2]
          + 3/4*MatrixProduct[d[2,2].d[1,1].Yd1]*lam[1,2,2,2]
          + 3*MatrixProduct[d[2,2].d[1,1].Yd1]*lam[1,1,1,2]
          - 3/4*MatrixProduct[d[2,2].d[1,1].Yd1]*Tr[u[1,2]]
          - 3/4*MatrixProduct[d[2,2].d[1,1].Yd1]*Tr[d[1,2]]
          - 1/4*MatrixProduct[d[2,2].d[1,1].Yd1]*Tr[l[1,2]]
          + 4*MatrixProduct[d[2,2].d[1,1].Yd2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[d[2,2].d[1,1].Yd2]*lam[2,2,2,2]
          + 7/2*MatrixProduct[d[2,2].d[1,1].Yd2]*lam[1,1,2,2]
          - 20/3*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha3
          + 105/64*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha2
          - 9/64*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha2*z2
          - 423/32*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha2*Doub2
          + 27/4*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha2*Doub2*z2
          - 195/64*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha2*Doub1
          + 9/64*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha2*Doub1*z2
          + 471/32*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha2*Doub1*Doub2
          - 9*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha2*Doub1*Doub2*z2
          + 431/192*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha1
          - 9/320*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha1*z2
          - 1593/320*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha1*Doub2
          + 33/20*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha1*Doub2*z3
          - 9/320*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha1*Doub2*z2
          - 107/64*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha1*Doub1
          + 3/10*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha1*Doub1*z3
          + 9/64*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha1*Doub1*z2
          + 1317/320*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha1*Doub1*
         Doub2
          - 9/5*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha1*Doub1*Doub2*z3
          - 27/320*MatrixProduct[d[2,2].d[1,1].Yd2]*alpha1*Doub1*Doub2*
         z2
          + 27/16*MatrixProduct[d[2,2].d[1,1].Yd2]*Tr[u[1,1]]
          - 3/4*MatrixProduct[d[2,2].d[1,1].Yd2]*Tr[u[2,2]]
          + 27/16*MatrixProduct[d[2,2].d[1,1].Yd2]*Tr[d[1,1]]
          - 3/4*MatrixProduct[d[2,2].d[1,1].Yd2]*Tr[d[2,2]]
          + 9/16*MatrixProduct[d[2,2].d[1,1].Yd2]*Tr[l[1,1]]
          - 1/4*MatrixProduct[d[2,2].d[1,1].Yd2]*Tr[l[2,2]]
          + 55/32*MatrixProduct[d[2,2].d[1,2].u[2,1].Yd2]
          - 3*MatrixProduct[d[2,2].d[1,2].u[2,1].Yd2]*z3
          + 1/2*MatrixProduct[d[2,2].d[1,2].u[2,2].Yd1]
          + 3*MatrixProduct[d[2,2].d[1,2].u[2,2].Yd1]*z3
          - 27/16*MatrixProduct[d[2,2].d[1,2].d[2,1].Yd2]
          - 7/2*MatrixProduct[d[2,2].d[1,2].d[2,2].Yd1]
          + 3/2*MatrixProduct[d[2,2].d[1,2].d[2,2].Yd1]*z3
          + 5/2*MatrixProduct[d[2,2].d[1,2].Yd1]*lam[1,2,2,1]
          + 5*MatrixProduct[d[2,2].d[1,2].Yd1]*lam[1,1,2,2]
          - 16*MatrixProduct[d[2,2].d[1,2].Yd1]*alpha3
          + 471/40*MatrixProduct[d[2,2].d[1,2].Yd1]*alpha1
          - 9/16*MatrixProduct[d[2,2].d[1,2].Yd1]*alpha1*z2
          - 127/10*MatrixProduct[d[2,2].d[1,2].Yd1]*alpha1*Doub2
          + 27/20*MatrixProduct[d[2,2].d[1,2].Yd1]*alpha1*Doub2*z3
          + 9/16*MatrixProduct[d[2,2].d[1,2].Yd1]*alpha1*Doub2*z2
          - 107/8*MatrixProduct[d[2,2].d[1,2].Yd1]*alpha1*Doub1
          + 27/20*MatrixProduct[d[2,2].d[1,2].Yd1]*alpha1*Doub1*z3
          + 9/16*MatrixProduct[d[2,2].d[1,2].Yd1]*alpha1*Doub1*z2
          + 291/20*MatrixProduct[d[2,2].d[1,2].Yd1]*alpha1*Doub1*Doub2
          - 27/10*MatrixProduct[d[2,2].d[1,2].Yd1]*alpha1*Doub1*Doub2*
         z3
          - 9/16*MatrixProduct[d[2,2].d[1,2].Yd1]*alpha1*Doub1*Doub2*z2
          + 12*MatrixProduct[d[2,2].d[1,2].Yd2]*lam[2,1,2,2]
          - 9/16*MatrixProduct[d[2,2].d[1,2].Yd2]*Tr[u[2,1]]
          - 9/16*MatrixProduct[d[2,2].d[1,2].Yd2]*Tr[d[2,1]]
          - 3/16*MatrixProduct[d[2,2].d[1,2].Yd2]*Tr[l[2,1]]
          + 21/16*MatrixProduct[d[2,2].d[2,1].u[1,2].Yd2]
          - 43/8*MatrixProduct[d[2,2].d[2,1].d[1,2].Yd2]
          + 9/4*MatrixProduct[d[2,2].d[2,1].d[1,2].Yd2]*z3
          + 6*MatrixProduct[d[2,2].d[2,1].Yd1]*lam[1,2,1,2]
          + 21/2*MatrixProduct[d[2,2].d[2,1].Yd2]*lam[1,2,2,2]
          + 27/8*MatrixProduct[d[2,2].d[2,1].Yd2]*Tr[u[1,2]]
          + 27/8*MatrixProduct[d[2,2].d[2,1].Yd2]*Tr[d[1,2]]
          + 9/8*MatrixProduct[d[2,2].d[2,1].Yd2]*Tr[l[1,2]]
          - 13/32*MatrixProduct[d[2,2].d[2,2].u[1,1].Yd2]
          - 19/32*MatrixProduct[d[2,2].d[2,2].u[1,2].Yd1]
          + 75/32*MatrixProduct[d[2,2].d[2,2].u[2,2].Yd2]
          - 13/32*MatrixProduct[d[2,2].d[2,2].d[1,1].Yd2]
          - 345/32*MatrixProduct[d[2,2].d[2,2].d[2,2].Yd2]
          + 9/4*MatrixProduct[d[2,2].d[2,2].d[2,2].Yd2]*z3
          + 45/4*MatrixProduct[d[2,2].d[2,2].Yd1]*lam[1,2,2,2]
          - 9/4*MatrixProduct[d[2,2].d[2,2].Yd1]*Tr[u[1,2]]
          - 9/4*MatrixProduct[d[2,2].d[2,2].Yd1]*Tr[d[1,2]]
          - 3/4*MatrixProduct[d[2,2].d[2,2].Yd1]*Tr[l[1,2]]
          + 63/4*MatrixProduct[d[2,2].d[2,2].Yd2]*lam[2,2,2,2]
          - 38*MatrixProduct[d[2,2].d[2,2].Yd2]*alpha3
          - 225/64*MatrixProduct[d[2,2].d[2,2].Yd2]*alpha2
          + 27/2*MatrixProduct[d[2,2].d[2,2].Yd2]*alpha2*z3
          + 9/64*MatrixProduct[d[2,2].d[2,2].Yd2]*alpha2*z2
          + 9/64*MatrixProduct[d[2,2].d[2,2].Yd2]*alpha2*Doub2
          - 27/2*MatrixProduct[d[2,2].d[2,2].Yd2]*alpha2*Doub2*z3
          - 9/64*MatrixProduct[d[2,2].d[2,2].Yd2]*alpha2*Doub2*z2
          + 1261/80*MatrixProduct[d[2,2].d[2,2].Yd2]*alpha1
          + 27/10*MatrixProduct[d[2,2].d[2,2].Yd2]*alpha1*z3
          - 189/320*MatrixProduct[d[2,2].d[2,2].Yd2]*alpha1*z2
          - 255/16*MatrixProduct[d[2,2].d[2,2].Yd2]*alpha1*Doub2
          - 27/10*MatrixProduct[d[2,2].d[2,2].Yd2]*alpha1*Doub2*z3
          + 189/320*MatrixProduct[d[2,2].d[2,2].Yd2]*alpha1*Doub2*z2
          - 9/8*MatrixProduct[d[2,2].d[2,2].Yd2]*Tr[u[2,2]]
          - 9/8*MatrixProduct[d[2,2].d[2,2].Yd2]*Tr[d[2,2]]
          - 3/8*MatrixProduct[d[2,2].d[2,2].Yd2]*Tr[l[2,2]]
          + 111/16*MatrixProduct[d[2,2].Yd1]*lam[1,2,2,2]*lam[1,2,2,1]
          + 159/16*MatrixProduct[d[2,2].Yd1]*lam[1,2,2,2]*lam[2,2,2,2]
          + 87/16*MatrixProduct[d[2,2].Yd1]*lam[1,2,1,2]*lam[2,1,2,2]
          + 87/16*MatrixProduct[d[2,2].Yd1]*lam[1,1,2,2]*lam[1,2,2,2]
          + 39/16*MatrixProduct[d[2,2].Yd1]*lam[1,1,2,1]*lam[1,2,1,2]
          + 15/16*MatrixProduct[d[2,2].Yd1]*lam[1,1,1,2]*lam[1,2,2,1]
          + 39/16*MatrixProduct[d[2,2].Yd1]*lam[1,1,1,2]*lam[1,1,2,2]
          - 33/16*MatrixProduct[d[2,2].Yd1]*lam[1,1,1,1]*lam[1,1,1,2]
          + 4*MatrixProduct[d[2,2].Yd1]*alpha3*lam[1,2,2,2]
          + 3/8*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,2,2,2]
          - 21/4*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,2,2,2]*Doub2
          - 9*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,2,2,2]*Doub2*z3
          - 45/8*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,2,2,2]*Doub1
          - 9/4*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,2,2,2]*Doub1*z3
          - 51/8*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,2,2,2]*Doub1*Doub2
          + 45/4*MatrixProduct[d[2,2].Yd1]*alpha2*lam[1,2,2,2]*Doub1*Doub2*
         z3
          + 23/40*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,2,2,2]
          - 63/20*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,2,2,2]*Doub2
          - 27/10*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,2,2,2]*Doub2*z3
          + 27/40*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,2,2,2]*Doub1
          - 27/20*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,2,2,2]*Doub1*z3
          - 63/40*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,2,2,2]*Doub1*Doub2
          + 81/20*MatrixProduct[d[2,2].Yd1]*alpha1*lam[1,2,2,2]*Doub1*Doub2*
         z3
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*lam[1,2,2,2]
          - 27/8*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*Tr[u[1,2]]
          - 27/8*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1]]*Tr[l[1,2]]
          + 9*MatrixProduct[d[2,2].Yd1]*Tr[u[1,1].u[1,2]]
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*lam[2,2,2,2]
          + 9*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*lam[1,1,2,2]
          - 59/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha3
          + 24*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha3*z3
          + 1521/16*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha2
          - 54*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha2*z3
          - 27/16*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha2*z2
          - 99/2*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub2
          + 81/4*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub2*z2
          - 1053/32*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub1
          + 81/4*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub1*z2
          - 18*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub1*Doub2
          - 27/32*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 91/4*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha1
          - 51/10*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha1*z3
          - 27/80*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha1*z2
          - 321/20*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub2
          + 27/10*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub2*z2
          - 819/80*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub1
          + 27/10*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub1*z3
          + 27/160*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub1*z2
          - 45/32*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 27/8*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*Tr[u[2,2]]
          - 27/8*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*Tr[d[1,1]]
          - 27/8*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*Tr[l[1,1]]
          - 9/8*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2]]*Tr[l[2,2]]
          + 9*MatrixProduct[d[2,2].Yd1]*Tr[u[1,2].u[2,2]]
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[u[2,1]]*lam[1,2,1,2]
          + 18*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*lam[1,2,2,2]
          - 27/8*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[d[2,2].Yd1]*Tr[u[2,2]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*lam[1,2,2,2]
          - 27/8*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1]]*Tr[l[1,2]]
          + 9*MatrixProduct[d[2,2].Yd1]*Tr[d[1,1].d[1,2]]
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*lam[2,2,2,2]
          + 9*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*lam[1,1,2,2]
          - 59/2*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha3
          + 24*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha3*z3
          + 1521/16*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha2
          - 54*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha2*z3
          - 27/16*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha2*z2
          - 99/2*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub2
          + 81/4*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub2*z2
          - 1053/32*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub1
          + 81/4*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub1*z2
          - 18*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub1*Doub2
          - 27/32*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 503/20*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha1
          - 69/10*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha1*z3
          - 27/80*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha1*z2
          - 321/20*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub2
          + 27/10*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub2*z2
          - 819/80*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub1
          + 27/10*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub1*z3
          + 27/160*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub1*z2
          - 45/32*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 27/8*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*Tr[l[1,1]]
          - 9/8*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2]]*Tr[l[2,2]]
          + 9*MatrixProduct[d[2,2].Yd1]*Tr[d[1,2].d[2,2]]
          + 9/2*MatrixProduct[d[2,2].Yd1]*Tr[d[2,1]]*lam[1,2,1,2]
          + 18*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*lam[1,2,2,2]
          - 9/8*MatrixProduct[d[2,2].Yd1]*Tr[d[2,2]]*Tr[l[1,2]]
          + 3/2*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*lam[1,2,2,2]
          - 3/8*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1]]*Tr[l[1,2]]
          + 3*MatrixProduct[d[2,2].Yd1]*Tr[l[1,1].l[1,2]]
          + 3/2*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*lam[2,2,2,2]
          + 3*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*lam[1,1,2,2]
          + 5/6*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha3
          + 507/16*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha2
          - 18*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha2*z3
          - 9/16*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha2*z2
          - 33/2*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub2
          + 27/4*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub2*z3
          + 9/16*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub2*z2
          - 351/32*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub1
          + 27/4*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub1*z2
          - 6*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub1*Doub2
          - 9/32*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 343/60*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha1
          - 3/10*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha1*z3
          - 9/80*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha1*z2
          - 107/20*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub2
          + 9/10*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub2*z2
          - 273/80*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub1
          + 9/10*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub1*z3
          + 9/160*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub1*z2
          - 15/32*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          - 9/160*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 3/8*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2]]*Tr[l[2,2]]
          + 3*MatrixProduct[d[2,2].Yd1]*Tr[l[1,2].l[2,2]]
          + 3/2*MatrixProduct[d[2,2].Yd1]*Tr[l[2,1]]*lam[1,2,1,2]
          + 6*MatrixProduct[d[2,2].Yd1]*Tr[l[2,2]]*lam[1,2,2,2]
          - 9/16*MatrixProduct[d[2,2].Yd2]*lam[1,2,2,1]^2
          + 285/32*MatrixProduct[d[2,2].Yd2]*lam[2,2,2,2]^2
          + 471/32*MatrixProduct[d[2,2].Yd2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 45/32*MatrixProduct[d[2,2].Yd2]*lam[1,2,1,2]*lam[2,1,2,1]
          + 15/16*MatrixProduct[d[2,2].Yd2]*lam[1,1,2,2]*lam[1,2,2,1]
          + 15/16*MatrixProduct[d[2,2].Yd2]*lam[1,1,2,2]^2
          - 99/32*MatrixProduct[d[2,2].Yd2]*lam[1,1,1,2]*lam[1,1,2,1]
          + 4*MatrixProduct[d[2,2].Yd2]*alpha3*lam[2,2,2,2]
          + 2779/12*MatrixProduct[d[2,2].Yd2]*alpha3^2
          - 102*MatrixProduct[d[2,2].Yd2]*alpha3^2*z3
          - 11*MatrixProduct[d[2,2].Yd2]*alpha3^2*Ng
          + 3/8*MatrixProduct[d[2,2].Yd2]*alpha2*lam[2,2,2,2]
          - 69/4*MatrixProduct[d[2,2].Yd2]*alpha2*lam[2,2,2,2]*Doub2
          - 241/4*MatrixProduct[d[2,2].Yd2]*alpha2*alpha3
          + 36*MatrixProduct[d[2,2].Yd2]*alpha2*alpha3*z3
          - 9/4*MatrixProduct[d[2,2].Yd2]*alpha2*alpha3*z2
          + 299/8*MatrixProduct[d[2,2].Yd2]*alpha2*alpha3*Doub2
          + 9/4*MatrixProduct[d[2,2].Yd2]*alpha2*alpha3*Doub2*z2
          - 17091/256*MatrixProduct[d[2,2].Yd2]*alpha2^2
          + 117/4*MatrixProduct[d[2,2].Yd2]*alpha2^2*z3
          + 63/128*MatrixProduct[d[2,2].Yd2]*alpha2^2*z2
          + 141/32*MatrixProduct[d[2,2].Yd2]*alpha2^2*Ng
          + 59175/512*MatrixProduct[d[2,2].Yd2]*alpha2^2*Doub2
          - 603/16*MatrixProduct[d[2,2].Yd2]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[d[2,2].Yd2]*alpha2^2*Doub2*z2
          - 183/16*MatrixProduct[d[2,2].Yd2]*alpha2^2*Doub2*Ng
          + 183/256*MatrixProduct[d[2,2].Yd2]*alpha2^2*Doub1
          - 159/64*MatrixProduct[d[2,2].Yd2]*alpha2^2*Doub1*Doub2
          + 23/40*MatrixProduct[d[2,2].Yd2]*alpha1*lam[2,2,2,2]
          - 81/20*MatrixProduct[d[2,2].Yd2]*alpha1*lam[2,2,2,2]*Doub2
          - 131/15*MatrixProduct[d[2,2].Yd2]*alpha1*alpha3
          - 12/5*MatrixProduct[d[2,2].Yd2]*alpha1*alpha3*z3
          - 63/20*MatrixProduct[d[2,2].Yd2]*alpha1*alpha3*z2
          + 959/120*MatrixProduct[d[2,2].Yd2]*alpha1*alpha3*Doub2
          + 48/5*MatrixProduct[d[2,2].Yd2]*alpha1*alpha3*Doub2*z3
          + 63/20*MatrixProduct[d[2,2].Yd2]*alpha1*alpha3*Doub2*z2
          - 173/640*MatrixProduct[d[2,2].Yd2]*alpha1*alpha2
          + 63/160*MatrixProduct[d[2,2].Yd2]*alpha1*alpha2*z2
          + 41/256*MatrixProduct[d[2,2].Yd2]*alpha1*alpha2*Doub2
          + 9/5*MatrixProduct[d[2,2].Yd2]*alpha1*alpha2*Doub2*z3
          - 63/160*MatrixProduct[d[2,2].Yd2]*alpha1*alpha2*Doub2*z2
          - 1911/6400*MatrixProduct[d[2,2].Yd2]*alpha1^2
          + 9/20*MatrixProduct[d[2,2].Yd2]*alpha1^2*z3
          + 441/3200*MatrixProduct[d[2,2].Yd2]*alpha1^2*z2
          + 1009/160*MatrixProduct[d[2,2].Yd2]*alpha1^2*Ng
          - 2371/38400*MatrixProduct[d[2,2].Yd2]*alpha1^2*Doub2
          - 177/400*MatrixProduct[d[2,2].Yd2]*alpha1^2*Doub2*z3
          - 441/3200*MatrixProduct[d[2,2].Yd2]*alpha1^2*Doub2*z2
          - 621/80*MatrixProduct[d[2,2].Yd2]*alpha1^2*Doub2*Ng
          + 4569/6400*MatrixProduct[d[2,2].Yd2]*alpha1^2*Doub1
          - 759/800*MatrixProduct[d[2,2].Yd2]*alpha1^2*Doub1*Doub2
          + 9/2*MatrixProduct[d[2,2].Yd2]*Tr[u[1,1].u[2,2]]
          + 9/2*MatrixProduct[d[2,2].Yd2]*Tr[u[1,1].d[2,2]]
          + 27/2*MatrixProduct[d[2,2].Yd2]*Tr[u[1,2]]*lam[2,1,2,2]
          - 81/16*MatrixProduct[d[2,2].Yd2]*Tr[u[1,2]]*Tr[u[2,1]]
          - 81/16*MatrixProduct[d[2,2].Yd2]*Tr[u[1,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[d[2,2].Yd2]*Tr[u[1,2]]*Tr[l[2,1]]
          + 9*MatrixProduct[d[2,2].Yd2]*Tr[u[1,2].u[2,1]]
          - 9/2*MatrixProduct[d[2,2].Yd2]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*lam[1,2,2,2]
          - 81/16*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1]]*Tr[l[1,2]]
          - 9/2*MatrixProduct[d[2,2].Yd2]*Tr[u[2,1].d[1,2]]
          + 45/2*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*lam[2,2,2,2]
          - 177/4*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*alpha3
          + 36*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*alpha3*z3
          + 3591/32*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*alpha2
          - 54*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*alpha2*z3
          - 27/16*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*alpha2*z2
          - 3915/32*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*alpha2*Doub2
          + 81/2*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*alpha2*Doub2*z2
          + 1923/40*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*alpha1
          - 54/5*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*alpha1*z3
          - 81/80*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*alpha1*z2
          - 2247/40*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*alpha1*Doub2
          + 54/5*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*alpha1*Doub2*z3
          + 81/80*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*alpha1*Doub2*z2
          - 81/16*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]^2
          - 81/8*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*Tr[d[2,2]]
          - 27/8*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2].u[2,2]]
          + 9/2*MatrixProduct[d[2,2].Yd2]*Tr[u[2,2].d[1,1]]
          + 9/2*MatrixProduct[d[2,2].Yd2]*Tr[d[1,1].d[2,2]]
          + 27/2*MatrixProduct[d[2,2].Yd2]*Tr[d[1,2]]*lam[2,1,2,2]
          - 81/16*MatrixProduct[d[2,2].Yd2]*Tr[d[1,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[d[2,2].Yd2]*Tr[d[1,2]]*Tr[l[2,1]]
          + 9*MatrixProduct[d[2,2].Yd2]*Tr[d[1,2].d[2,1]]
          + 9*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*lam[1,2,2,2]
          - 27/16*MatrixProduct[d[2,2].Yd2]*Tr[d[2,1]]*Tr[l[1,2]]
          + 45/2*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*lam[2,2,2,2]
          - 177/4*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*alpha3
          + 36*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*alpha3*z3
          + 3591/32*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*alpha2
          - 54*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*alpha2*z3
          - 27/16*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*alpha2*z2
          - 3915/32*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*alpha2*Doub2
          + 81/2*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*alpha2*Doub2*z2
          + 2067/40*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*alpha1
          - 27/2*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*alpha1*z3
          - 81/80*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*alpha1*z2
          - 2247/40*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*alpha1*Doub2
          + 54/5*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*alpha1*Doub2*z3
          + 81/80*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*alpha1*Doub2*z2
          - 81/16*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]^2
          - 27/8*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[d[2,2].Yd2]*Tr[d[2,2].d[2,2]]
          + 3/2*MatrixProduct[d[2,2].Yd2]*Tr[l[1,1].l[2,2]]
          + 9/2*MatrixProduct[d[2,2].Yd2]*Tr[l[1,2]]*lam[2,1,2,2]
          - 9/16*MatrixProduct[d[2,2].Yd2]*Tr[l[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[d[2,2].Yd2]*Tr[l[1,2].l[2,1]]
          + 3*MatrixProduct[d[2,2].Yd2]*Tr[l[2,1]]*lam[1,2,2,2]
          + 15/2*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*lam[2,2,2,2]
          + 5/4*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*alpha3
          + 1197/32*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*alpha2
          - 18*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*alpha2*z3
          - 9/16*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*alpha2*z2
          - 1305/32*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*alpha2*Doub2*z3
          + 9/16*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*alpha2*Doub2*z2
          + 529/40*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*alpha1
          - 3/2*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*alpha1*z3
          - 27/80*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*alpha1*z2
          - 749/40*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*alpha1*Doub2
          + 18/5*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]*alpha1*Doub2*z2
          - 9/16*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2]]^2
          + 9/2*MatrixProduct[d[2,2].Yd2]*Tr[l[2,2].l[2,2]]
          - 15/8*MatrixProduct[Yd1]*lam[1,2,2,2]*lam[1,2,2,1]^2
          - 9/4*MatrixProduct[Yd1]*lam[1,2,2,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yd1]*lam[1,2,2,2]*lam[2,2,2,2]^2
          - 9/2*MatrixProduct[Yd1]*lam[1,2,2,2]^2*lam[2,1,2,2]
          - 27/8*MatrixProduct[Yd1]*lam[1,2,1,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yd1]*lam[1,2,1,2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 9/4*MatrixProduct[Yd1]*lam[1,2,1,2]*lam[2,1,2,1]*lam[1,2,2,2]
          - 27/8*MatrixProduct[Yd1]*lam[1,1,2,2]*lam[1,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yd1]*lam[1,1,2,2]*lam[1,2,2,2]*lam[2,2,2,2]
          - 3*MatrixProduct[Yd1]*lam[1,1,2,2]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yd1]*lam[1,1,2,2]^2*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yd1]*lam[1,1,2,1]*lam[1,2,2,2]^2
          - 27/8*MatrixProduct[Yd1]*lam[1,1,2,1]*lam[1,2,1,2]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yd1]*lam[1,1,2,1]*lam[1,2,1,2]*lam[2,2,2,2]
          - 3*MatrixProduct[Yd1]*lam[1,1,2,1]*lam[1,1,2,2]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[1,2,2,1]^2
          - 3/4*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 21/8*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[1,2,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[1,2,1,2]*lam[2,1,2,1]
          - 27/8*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[1,1,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[1,1,2,2]^2
          - 21/8*MatrixProduct[Yd1]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yd1]*lam[1,1,1,2]^2*lam[2,1,2,2]
          - 9/2*MatrixProduct[Yd1]*lam[1,1,1,2]^2*lam[1,1,2,1]
          - 3/4*MatrixProduct[Yd1]*lam[1,1,1,1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yd1]*lam[1,1,1,1]*lam[1,2,1,2]*lam[2,1,2,2]
          - 9/8*MatrixProduct[Yd1]*lam[1,1,1,1]*lam[1,1,2,2]*lam[1,2,2,2]
          - 9/4*MatrixProduct[Yd1]*lam[1,1,1,1]*lam[1,1,2,1]*lam[1,2,1,2]
          - 9/4*MatrixProduct[Yd1]*lam[1,1,1,1]*lam[1,1,1,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yd1]*lam[1,1,1,1]*lam[1,1,1,2]*lam[1,1,2,2]
          - 9/4*MatrixProduct[Yd1]*lam[1,1,1,1]^2*lam[1,1,1,2]
          + 21/8*MatrixProduct[Yd1]*alpha2*lam[1,2,2,2]*lam[1,2,2,1]*Doub2
          + 57/64*MatrixProduct[Yd1]*alpha2*lam[1,2,2,2]*lam[1,2,2,1]*Doub1
          + 135/64*MatrixProduct[Yd1]*alpha2*lam[1,2,2,2]*lam[1,2,2,1]*Doub1*
         Doub2
          + 171/64*MatrixProduct[Yd1]*alpha2*lam[1,2,2,2]*lam[2,2,2,2]*Doub2
          + 81/32*MatrixProduct[Yd1]*alpha2*lam[1,2,2,2]*lam[2,2,2,2]*Doub1
          + 27/64*MatrixProduct[Yd1]*alpha2*lam[1,2,2,2]*lam[2,2,2,2]*Doub1*Doub2
          - 165/32*MatrixProduct[Yd1]*alpha2*lam[1,2,1,2]*lam[2,1,2,2]*Doub2
          + 447/64*MatrixProduct[Yd1]*alpha2*lam[1,2,1,2]*lam[2,1,2,2]*Doub1
          + 243/64*MatrixProduct[Yd1]*alpha2*lam[1,2,1,2]*lam[2,1,2,2]*Doub1*
         Doub2
          + 333/32*MatrixProduct[Yd1]*alpha2*lam[1,1,2,2]*lam[1,2,2,2]*Doub2
          - 333/64*MatrixProduct[Yd1]*alpha2*lam[1,1,2,2]*lam[1,2,2,2]*Doub1
          + 27/64*MatrixProduct[Yd1]*alpha2*lam[1,1,2,2]*lam[1,2,2,2]*Doub1*Doub2
          + 609/64*MatrixProduct[Yd1]*alpha2*lam[1,1,2,1]*lam[1,2,1,2]*Doub2
          - 123/16*MatrixProduct[Yd1]*alpha2*lam[1,1,2,1]*lam[1,2,1,2]*Doub1
          + 243/64*MatrixProduct[Yd1]*alpha2*lam[1,1,2,1]*lam[1,2,1,2]*Doub1*
         Doub2
          + 219/64*MatrixProduct[Yd1]*alpha2*lam[1,1,1,2]*lam[1,2,2,1]*Doub2
          + 3/32*MatrixProduct[Yd1]*alpha2*lam[1,1,1,2]*lam[1,2,2,1]*Doub1
          + 135/64*MatrixProduct[Yd1]*alpha2*lam[1,1,1,2]*lam[1,2,2,1]*Doub1*
         Doub2
          - 171/64*MatrixProduct[Yd1]*alpha2*lam[1,1,1,2]*lam[1,1,2,2]*Doub2
          + 63/8*MatrixProduct[Yd1]*alpha2*lam[1,1,1,2]*lam[1,1,2,2]*Doub1
          + 27/64*MatrixProduct[Yd1]*alpha2*lam[1,1,1,2]*lam[1,1,2,2]*Doub1*Doub2
          + 81/16*MatrixProduct[Yd1]*alpha2*lam[1,1,1,1]*lam[1,1,1,2]*Doub2
          + 9/64*MatrixProduct[Yd1]*alpha2*lam[1,1,1,1]*lam[1,1,1,2]*Doub1
          + 27/64*MatrixProduct[Yd1]*alpha2*lam[1,1,1,1]*lam[1,1,1,2]*Doub1*Doub2
          - 351/128*MatrixProduct[Yd1]*alpha2^2*lam[1,2,2,2]*Doub2
          + 27/16*MatrixProduct[Yd1]*alpha2^2*lam[1,2,2,2]*Doub2*z3
          + 9/128*MatrixProduct[Yd1]*alpha2^2*lam[1,2,2,2]*Doub1*Doub2
          - 27/16*MatrixProduct[Yd1]*alpha2^2*lam[1,2,2,2]*Doub1*Doub2*z3
          - 351/128*MatrixProduct[Yd1]*alpha2^2*lam[1,1,1,2]*Doub1
          + 27/16*MatrixProduct[Yd1]*alpha2^2*lam[1,1,1,2]*Doub1*z3
          + 9/128*MatrixProduct[Yd1]*alpha2^2*lam[1,1,1,2]*Doub1*Doub2
          - 27/16*MatrixProduct[Yd1]*alpha2^2*lam[1,1,1,2]*Doub1*Doub2*z3
          + 333/160*MatrixProduct[Yd1]*alpha1*lam[1,2,2,2]*lam[1,2,2,1]*Doub2
          - 333/320*MatrixProduct[Yd1]*alpha1*lam[1,2,2,2]*lam[1,2,2,1]*Doub1
          + 27/320*MatrixProduct[Yd1]*alpha1*lam[1,2,2,2]*lam[1,2,2,1]*Doub1*
         Doub2
          + 171/320*MatrixProduct[Yd1]*alpha1*lam[1,2,2,2]*lam[2,2,2,2]*Doub2
          + 81/160*MatrixProduct[Yd1]*alpha1*lam[1,2,2,2]*lam[2,2,2,2]*Doub1
          + 27/320*MatrixProduct[Yd1]*alpha1*lam[1,2,2,2]*lam[2,2,2,2]*Doub1*
         Doub2
          - 207/80*MatrixProduct[Yd1]*alpha1*lam[1,2,1,2]*lam[2,1,2,2]*Doub2
          + 837/320*MatrixProduct[Yd1]*alpha1*lam[1,2,1,2]*lam[2,1,2,2]*Doub1
          + 351/320*MatrixProduct[Yd1]*alpha1*lam[1,2,1,2]*lam[2,1,2,2]*Doub1*
         Doub2
          + 333/160*MatrixProduct[Yd1]*alpha1*lam[1,1,2,2]*lam[1,2,2,2]*Doub2
          - 333/320*MatrixProduct[Yd1]*alpha1*lam[1,1,2,2]*lam[1,2,2,2]*Doub1
          + 27/320*MatrixProduct[Yd1]*alpha1*lam[1,1,2,2]*lam[1,2,2,2]*Doub1*
         Doub2
          + 999/320*MatrixProduct[Yd1]*alpha1*lam[1,1,2,1]*lam[1,2,1,2]*Doub2
          - 99/32*MatrixProduct[Yd1]*alpha1*lam[1,1,2,1]*lam[1,2,1,2]*Doub1
          + 351/320*MatrixProduct[Yd1]*alpha1*lam[1,1,2,1]*lam[1,2,1,2]*Doub1*
         Doub2
          - 171/320*MatrixProduct[Yd1]*alpha1*lam[1,1,1,2]*lam[1,2,2,1]*Doub2
          + 63/40*MatrixProduct[Yd1]*alpha1*lam[1,1,1,2]*lam[1,2,2,1]*Doub1
          + 27/320*MatrixProduct[Yd1]*alpha1*lam[1,1,1,2]*lam[1,2,2,1]*Doub1*
         Doub2
          - 171/320*MatrixProduct[Yd1]*alpha1*lam[1,1,1,2]*lam[1,1,2,2]*Doub2
          + 63/40*MatrixProduct[Yd1]*alpha1*lam[1,1,1,2]*lam[1,1,2,2]*Doub1
          + 27/320*MatrixProduct[Yd1]*alpha1*lam[1,1,1,2]*lam[1,1,2,2]*Doub1*
         Doub2
          + 81/80*MatrixProduct[Yd1]*alpha1*lam[1,1,1,1]*lam[1,1,1,2]*Doub2
          + 9/320*MatrixProduct[Yd1]*alpha1*lam[1,1,1,1]*lam[1,1,1,2]*Doub1
          + 27/320*MatrixProduct[Yd1]*alpha1*lam[1,1,1,1]*lam[1,1,1,2]*Doub1*
         Doub2
          - 63/320*MatrixProduct[Yd1]*alpha1*alpha2*lam[1,2,2,2]*Doub2
          + 27/40*MatrixProduct[Yd1]*alpha1*alpha2*lam[1,2,2,2]*Doub2*z3
          + 9/320*MatrixProduct[Yd1]*alpha1*alpha2*lam[1,2,2,2]*Doub1*Doub2
          - 27/40*MatrixProduct[Yd1]*alpha1*alpha2*lam[1,2,2,2]*Doub1*Doub2*
         z3
          - 63/320*MatrixProduct[Yd1]*alpha1*alpha2*lam[1,1,1,2]*Doub1
          + 27/40*MatrixProduct[Yd1]*alpha1*alpha2*lam[1,1,1,2]*Doub1*z3
          + 9/320*MatrixProduct[Yd1]*alpha1*alpha2*lam[1,1,1,2]*Doub1*Doub2
          - 27/40*MatrixProduct[Yd1]*alpha1*alpha2*lam[1,1,1,2]*Doub1*Doub2*
         z3
          - 477/3200*MatrixProduct[Yd1]*alpha1^2*lam[1,2,2,2]*Doub2
          + 81/400*MatrixProduct[Yd1]*alpha1^2*lam[1,2,2,2]*Doub2*z3
          + 27/3200*MatrixProduct[Yd1]*alpha1^2*lam[1,2,2,2]*Doub1*Doub2
          - 81/400*MatrixProduct[Yd1]*alpha1^2*lam[1,2,2,2]*Doub1*Doub2*z3
          - 477/3200*MatrixProduct[Yd1]*alpha1^2*lam[1,1,1,2]*Doub1
          + 81/400*MatrixProduct[Yd1]*alpha1^2*lam[1,1,1,2]*Doub1*z3
          + 27/3200*MatrixProduct[Yd1]*alpha1^2*lam[1,1,1,2]*Doub1*Doub2
          - 81/400*MatrixProduct[Yd1]*alpha1^2*lam[1,1,1,2]*Doub1*Doub2*z3
          - 45/16*MatrixProduct[Yd1]*Tr[u[1,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[u[1,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd1]*Tr[u[1,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[u[1,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yd1]*Tr[u[1,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yd1]*Tr[u[1,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/16*MatrixProduct[Yd1]*Tr[u[1,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          + 27*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,1].u[1,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,1].d[1,2]]
          - 81/8*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*z2
          + 2889/32*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub2*z2
          + 3807/64*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*z2
          + 2889/160*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub2*z2
          + 3807/320*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*Doub1
         *Doub2*z2
          - 9/8*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[u[1,2].d[1,1]]
          + 27*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,1].d[1,2]]
          - 81/8*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*z2
          + 2889/32*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub2*z2
          + 3807/64*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*z2
          + 2889/160*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub2*z2
          + 3807/320*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,1].l[1,2]]
          - 27/8*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*z2
          + 963/32*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 1269/64*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*z2
          + 963/160*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 1269/320*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1]]*lam[1,1,1,2]
          - 75/32*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1].u[1,2]]
          + 9/2*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1].u[1,2]]*z3
          - 99/32*MatrixProduct[Yd1]*Tr[u[1,1].u[1,1].d[1,2]]
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*lam[1,1,2,2]
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha3
          - 36*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha2
          + 27/16*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha2*z2
          + 549/128*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha2*Doub2*z2
          - 6453/128*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 1563/80*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha1
          - 27/5*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha1*z3
          + 2781/640*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha1*Doub2*z2
          - 2829/128*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha1*Doub1*z3
          + 81/160*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2]]*alpha1*Doub1*
         Doub2
          - 33/32*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2].u[2,2]]
          + 15/4*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2].d[1,1]]
          - 33/16*MatrixProduct[Yd1]*Tr[u[1,1].u[1,2].d[2,2]]
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,1].u[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2]]*lam[1,1,1,2]
          - 45/32*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2].u[1,2]]
          + 9/2*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2].u[1,2]]*z3
          + 117/32*MatrixProduct[Yd1]*Tr[u[1,1].u[2,2].d[1,2]]
          + 9/16*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1].u[1,2]]
          + 9/16*MatrixProduct[Yd1]*Tr[u[1,1].d[1,1].d[1,2]]
          + 57/4*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha3
          - 12*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha3*z3
          + 1089/32*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha2
          - 27/8*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha2*z2
          + 1683/128*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha2*Doub2*z2
          - 2619/128*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 453/80*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha1
          + 39/10*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha1*z3
          - 27/80*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha1*z2
          - 549/640*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha1*Doub2*z2
          + 5073/640*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha1*Doub1
          - 9/5*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 15/32*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2].u[2,2]]
          + 15/4*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2].d[1,1]]
          - 9/8*MatrixProduct[Yd1]*Tr[u[1,1].d[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2].u[1,2]]
          - 33/16*MatrixProduct[Yd1]*Tr[u[1,1].d[2,2].d[1,2]]
          - 15/16*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/4*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/16*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[u[1,2]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 503/3*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha3^2
          - 108*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha3^2*z3
          - 16*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha3^2*Ng
          + 459/64*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*lam[1,1,2,2]*Doub2
          - 81/64*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*lam[1,1,2,2]*Doub1
          - 189/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 261/8*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*alpha3
          - 36*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*alpha3*z2
          + 177/8*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*alpha3*Doub2
          + 45*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*alpha3*Doub2*z3
          - 129/8*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*alpha3*Doub1
          + 81*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*alpha3*Doub1*z3
          - 69/2*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*alpha3*Doub1*
         Doub2
          - 36*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*alpha3*Doub1*Doub2*
         z3
          + 27/2*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2*alpha3*Doub1*
         Doub2*z2
          - 2007/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2
          + 27/2*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*Ng
          - 57015/512*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*Doub2
          + 243/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*Doub2*z3
          + 27/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*Doub2*z2
          + 675/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*Doub2*Ng
          - 64467/512*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*Doub1
          - 189/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*Doub1*z3
          + 27/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*Doub1*z2
          + 675/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*Doub1*Ng
          + 42039/128*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*Doub1*
         Doub2
          - 729/16*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*Doub1*Doub2*
         z3
          + 27/64*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*Doub1*Doub2*z2
          - 783/16*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha2^2*Doub1*Doub2*
         Ng
          + 459/160*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*lam[1,2,2,1]*Doub2
          - 81/160*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*lam[1,2,2,1]*Doub1
          - 189/80*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          + 459/320*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*lam[1,1,2,2]*Doub2
          - 81/320*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*lam[1,1,2,2]*Doub1
          - 189/160*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*lam[1,1,2,2]*Doub1*
         Doub2
          - 347/24*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha3
          + 12/5*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha3*z2
          + 177/40*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha3*Doub2
          + 9*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha3*Doub2*z3
          - 129/40*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha3*Doub1
          + 81/5*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha3*Doub1*z3
          - 69/10*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha3*Doub1*
         Doub2
          - 36/5*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha3*Doub1*
         Doub2*z3
          + 27/10*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha3*Doub1*
         Doub2*z2
          - 162/5*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha2
          + 99/20*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha2*z3
          - 27/160*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha2*z2
          + 40107/1280*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha2*
         Doub2
          - 63/80*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha2*Doub2*z3
          - 81/80*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha2*Doub2*z2
          + 28047/1280*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha2*
         Doub1
          + 81/80*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha2*Doub1*z3
          - 81/80*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha2*Doub1*z2
          - 669/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha2*Doub1*
         Doub2
          + 63/40*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 351/160*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z2
          - 1619/600*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2
          + 3/25*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*z3
          - 27/320*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*z2
          - 19/80*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*Ng
          + 34821/12800*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*Doub2
          + 63/800*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*Doub2*z3
          - 81/800*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*Doub2*z2
          + 135/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*Doub2*Ng
          + 20889/12800*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*Doub1
          + 351/800*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*Doub1*z3
          - 81/800*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*Doub1*z2
          + 135/32*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*Doub1*Ng
          - 405/128*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*Doub1*Doub2
          - 477/400*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*Doub1*Doub2*
         z3
          + 459/1600*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*Doub1*Doub2
         *z2
          - 783/80*MatrixProduct[Yd1]*Tr[u[1,2]]*alpha1^2*Doub1*Doub2*
         Ng
          + 18*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[1,1].u[2,2]]
          - 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,1].d[1,2]]
          - 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*z2
          + 1971/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub2*z2
          + 3807/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*z2
          + 1971/320*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub2*z2
          + 3807/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*Doub1
         *Doub2*z2
          - 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[u[2,2].d[1,1]]
          - 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*z2
          + 2889/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub2*z2
          + 3807/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*z2
          + 2889/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub2*z2
          + 3807/320*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*Doub1
         *Doub2*z2
          + 18*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*z2
          + 1971/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub2*z2
          + 3807/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*z2
          + 1971/320*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub2*z2
          + 3807/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*Doub1
         *Doub2*z2
          - 27/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*z2
          + 963/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*Doub2
         *z2
          + 1269/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*z2
          + 963/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub2*z2
          + 1269/320*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*Doub1
         *Doub2*z2
          + 6*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[1,2].l[2,1]]
          - 27/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*z2
          + 657/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*Doub2
         *z2
          + 1269/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*z2
          + 657/320*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 1269/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,2].u[1,2]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,2].u[1,2]]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yd1]*Tr[u[1,2].u[1,2].u[2,1]]
          + 9/2*MatrixProduct[Yd1]*Tr[u[1,2].u[1,2].u[2,1]]*z3
          + 15/2*MatrixProduct[Yd1]*Tr[u[1,2].u[1,2].d[2,1]]
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1]]*lam[1,1,1,2]
          - 15/16*MatrixProduct[Yd1]*Tr[u[1,2].u[2,1].d[1,2]]
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*lam[2,2,2,2]
          + 45/8*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*lam[1,1,2,2]
          + 15/4*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha3
          - 36*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha2
          + 27/16*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha2*z2
          - 7803/128*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha2*Doub2*z2
          + 1899/128*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 1563/80*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha1
          - 27/5*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha1*z3
          - 3099/128*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha1*Doub2*z3
          + 81/160*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha1*Doub2*z2
          + 4131/640*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2]]*alpha1*Doub1*
         Doub2
          - 75/32*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2].u[2,2]]
          + 9/2*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2].u[2,2]]*z3
          - 33/16*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2].d[1,1]]
          + 15/4*MatrixProduct[Yd1]*Tr[u[1,2].u[2,2].d[2,2]]
          + 57/4*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha3
          - 12*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha3*z3
          + 1089/32*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha2
          - 27/8*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha2*z2
          + 1683/128*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha2*Doub2*z2
          - 2619/128*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 1557/160*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha1
          + 33/5*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha1*z3
          - 27/80*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha1*z2
          - 549/640*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha1*Doub2*z2
          + 8013/640*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha1*Doub1
          - 63/10*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1]]*alpha1*Doub1*
         Doub2*z2
          - 9/8*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1].u[2,2]]
          - 99/32*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1].d[1,1]]
          - 15/32*MatrixProduct[Yd1]*Tr[u[1,2].d[1,1].d[2,2]]
          - 15/16*MatrixProduct[Yd1]*Tr[u[1,2].d[1,2].u[2,1]]
          - 15/16*MatrixProduct[Yd1]*Tr[u[1,2].d[1,2].d[2,1]]
          - 15/16*MatrixProduct[Yd1]*Tr[u[1,2].d[2,1].d[1,2]]
          + 57/4*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha3
          - 12*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha3*z3
          + 1089/32*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha2
          - 27/8*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha2*z2
          - 2709/128*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha2*Doub2*z2
          + 1773/128*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 1557/160*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha1
          + 33/5*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha1*z3
          - 27/80*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha1*z2
          + 7923/640*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha1*Doub2
          - 63/10*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha1*Doub2*z2
          - 459/640*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/16*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2].u[2,2]]
          + 117/32*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2].d[1,1]]
          - 99/32*MatrixProduct[Yd1]*Tr[u[1,2].d[2,2].d[2,2]]
          - 45/8*MatrixProduct[Yd1]*Tr[u[2,1]]*lam[1,2,2,2]^2
          - 45/8*MatrixProduct[Yd1]*Tr[u[2,1]]*lam[1,2,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[u[2,1]]*lam[1,2,1,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[u[2,1]]*lam[1,1,2,2]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yd1]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[u[2,1]]*lam[1,1,1,2]^2
          - 45/16*MatrixProduct[Yd1]*Tr[u[2,1]]*lam[1,1,1,1]*lam[1,2,1,2]
          - 459/64*MatrixProduct[Yd1]*Tr[u[2,1]]*alpha2*lam[1,2,1,2]*Doub2
          + 81/64*MatrixProduct[Yd1]*Tr[u[2,1]]*alpha2*lam[1,2,1,2]*Doub1
          + 189/32*MatrixProduct[Yd1]*Tr[u[2,1]]*alpha2*lam[1,2,1,2]*Doub1*
         Doub2
          - 1377/320*MatrixProduct[Yd1]*Tr[u[2,1]]*alpha1*lam[1,2,1,2]*Doub2
          + 243/320*MatrixProduct[Yd1]*Tr[u[2,1]]*alpha1*lam[1,2,1,2]*Doub1
          + 567/160*MatrixProduct[Yd1]*Tr[u[2,1]]*alpha1*lam[1,2,1,2]*Doub1*
         Doub2
          + 27*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[u[1,2].u[1,2]]
          - 9/4*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[u[1,2].d[1,2]]
          + 27*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[d[1,2].d[1,2]]
          + 9*MatrixProduct[Yd1]*Tr[u[2,1]]*Tr[l[1,2].l[1,2]]
          + 45/8*MatrixProduct[Yd1]*Tr[u[2,1].u[2,2]]*lam[1,2,1,2]
          + 15/2*MatrixProduct[Yd1]*Tr[u[2,1].d[1,2].d[1,2]]
          - 45/8*MatrixProduct[Yd1]*Tr[u[2,2]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yd1]*Tr[u[2,2]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[u[2,2]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[u[2,2]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yd1]*Tr[u[2,2]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/16*MatrixProduct[Yd1]*Tr[u[2,2]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[u[2,2]]*lam[1,1,1,2]*lam[1,1,2,2]
          + 27*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[u[1,2].u[2,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[u[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[u[2,2].d[1,2]]
          - 81/8*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*z2
          + 1971/64*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub2*z2
          + 3807/32*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*z2
          + 1971/320*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub2*z2
          + 3807/160*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 27*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[d[1,2].d[2,2]]
          - 27/8*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*z2
          + 657/64*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 1269/32*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*z2
          + 657/320*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 1269/160*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd1]*Tr[u[2,2]]*Tr[l[1,2].l[2,2]]
          + 45/8*MatrixProduct[Yd1]*Tr[u[2,2].u[2,2]]*lam[1,2,2,2]
          - 99/32*MatrixProduct[Yd1]*Tr[u[2,2].u[2,2].d[1,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[u[2,2].d[1,1].d[1,2]]
          + 57/4*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha3
          - 12*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha3*z3
          + 1089/32*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha2
          - 27/8*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha2*z2
          - 2709/128*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha2*Doub2*z2
          + 1773/128*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 453/80*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha1
          + 39/10*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha1*z3
          - 27/80*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha1*z2
          + 4983/640*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha1*Doub2
          - 9/5*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha1*Doub2*z2
          - 459/640*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha1*Doub1*z2
          - 9/4*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha1*Doub1*Doub2
          + 27/80*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 33/16*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2].d[1,1]]
          + 9/16*MatrixProduct[Yd1]*Tr[u[2,2].d[1,2].d[2,2]]
          + 15/4*MatrixProduct[Yd1]*Tr[u[2,2].d[2,2].d[1,2]]
          - 45/16*MatrixProduct[Yd1]*Tr[d[1,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[d[1,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd1]*Tr[d[1,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[d[1,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yd1]*Tr[d[1,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yd1]*Tr[d[1,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/16*MatrixProduct[Yd1]*Tr[d[1,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          + 27*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[u[1,1].u[1,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[u[1,1].d[1,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[u[1,2].d[1,1]]
          + 27*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,1].d[1,2]]
          - 81/8*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*z2
          + 2889/32*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub2*z2
          + 3807/64*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*z2
          + 2889/160*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub2*z2
          + 3807/320*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,1].l[1,2]]
          - 27/8*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*z2
          + 963/32*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 1269/64*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*z2
          + 963/160*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 1269/320*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1]]*lam[1,1,1,2]
          - 75/32*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1].d[1,2]]
          + 9/2*MatrixProduct[Yd1]*Tr[d[1,1].d[1,1].d[1,2]]*z3
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*lam[1,1,2,2]
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha3
          - 36*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha2
          + 27/16*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha2*z2
          + 549/128*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha2*Doub2*z2
          - 6453/128*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 717/32*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha1
          - 63/10*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha1*z3
          + 2781/640*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha1*Doub2*z2
          - 3417/128*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha1*Doub1
          + 9*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha1*Doub1*z3
          + 81/160*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2]]*alpha1*Doub1*
         Doub2
          - 45/32*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2].d[2,2]]
          + 9/2*MatrixProduct[Yd1]*Tr[d[1,1].d[1,2].d[2,2]]*z3
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,1].d[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2]]*lam[1,1,1,2]
          - 33/32*MatrixProduct[Yd1]*Tr[d[1,1].d[2,2].d[1,2]]
          - 15/16*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/4*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/16*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[d[1,2]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 551/3*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha3^2
          - 12*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha3^2*z3
          - 16*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha3^2*Ng
          + 459/64*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*lam[1,1,2,2]*Doub2
          - 81/64*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*lam[1,1,2,2]*Doub1
          - 189/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 261/8*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*alpha3
          - 36*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*alpha3*z2
          + 177/8*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*alpha3*Doub2
          + 45*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*alpha3*Doub2*z3
          - 129/8*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*alpha3*Doub1
          + 81*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*alpha3*Doub1*z3
          - 69/2*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*alpha3*Doub1*
         Doub2
          - 36*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*alpha3*Doub1*Doub2*
         z3
          + 27/2*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2*alpha3*Doub1*
         Doub2*z2
          - 1287/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2
          + 27/4*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*Ng
          - 57015/512*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*Doub2
          + 243/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*Doub2*z3
          + 27/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*Doub2*z2
          + 675/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*Doub2*Ng
          - 64467/512*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*Doub1
          - 189/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*Doub1*z3
          + 27/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*Doub1*z2
          + 675/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*Doub1*Ng
          + 42039/128*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*Doub1*
         Doub2
          - 729/16*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*Doub1*Doub2*
         z3
          + 27/64*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*Doub1*Doub2*z2
          - 783/16*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha2^2*Doub1*Doub2*
         Ng
          + 459/160*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*lam[1,2,2,1]*Doub2
          - 81/160*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*lam[1,2,2,1]*Doub1
          - 189/80*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          + 459/320*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*lam[1,1,2,2]*Doub2
          - 81/320*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*lam[1,1,2,2]*Doub1
          - 189/160*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*lam[1,1,2,2]*Doub1*
         Doub2
          - 307/120*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha3
          - 12*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha3*z2
          + 177/40*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha3*Doub2
          + 9*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha3*Doub2*z3
          - 129/40*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha3*Doub1
          + 81/5*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha3*Doub1*z3
          - 69/10*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha3*Doub1*
         Doub2
          - 36/5*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha3*Doub1*
         Doub2*z3
          + 27/10*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha3*Doub1*
         Doub2*z2
          - 4041/160*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha2
          + 9/10*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha2*z3
          + 27/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha2*z2
          + 35823/1280*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha2*
         Doub2
          - 171/80*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha2*Doub2*z3
          - 81/80*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha2*Doub2*z2
          + 5487/256*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha2*Doub1
          - 243/80*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha2*Doub1*z3
          - 81/80*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha2*Doub1*z2
          - 2787/160*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha2*Doub1*
         Doub2
          + 63/40*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 189/160*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z2
          - 1099/480*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2
          + 6/25*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*z3
          + 189/1600*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*z2
          + 77/80*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*Ng
          + 39789/12800*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*Doub2
          - 153/800*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*Doub2*z3
          - 81/800*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*Doub2*z2
          + 135/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*Doub2*Ng
          + 33201/12800*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*Doub1
          - 297/800*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*Doub1*z3
          - 81/800*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*Doub1*z2
          + 135/32*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*Doub1*Ng
          - 1809/640*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*Doub1*Doub2
          - 9/80*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*Doub1*Doub2*z3
          + 27/320*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*Doub1*Doub2*
         z2
          - 783/80*MatrixProduct[Yd1]*Tr[d[1,2]]*alpha1^2*Doub1*Doub2*
         Ng
          + 18*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[u[1,1].u[2,2]]
          - 81/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[u[2,1].d[1,2]]
          - 81/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[u[2,2].d[1,1]]
          + 18*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*z2
          + 1971/64*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub2*z2
          + 3807/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*z2
          + 1971/320*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub2*z2
          + 3807/160*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*Doub1
         *Doub2*z2
          - 27/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*z2
          + 963/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*Doub2
         *z2
          + 1269/64*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*z2
          + 963/160*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub2*z2
          + 1269/320*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*Doub1
         *Doub2*z2
          + 6*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[1,2].l[2,1]]
          - 27/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*z2
          + 657/64*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*Doub2
         *z2
          + 1269/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*z2
          + 657/320*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 1269/160*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*Doub1
         *Doub2*z2
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,2].d[1,2]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,2].d[1,2]]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yd1]*Tr[d[1,2].d[1,2].d[2,1]]
          + 9/2*MatrixProduct[Yd1]*Tr[d[1,2].d[1,2].d[2,1]]*z3
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,2].d[2,1]]*lam[1,1,1,2]
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*lam[2,2,2,2]
          + 45/8*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*lam[1,1,2,2]
          + 15/4*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha3
          - 36*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha2
          + 27/16*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha2*z2
          - 7803/128*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha2*Doub2*z2
          + 1899/128*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 717/32*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha1
          - 63/10*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha1*z3
          - 3687/128*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha1*Doub2
          + 9*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha1*Doub2*z3
          + 81/160*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha1*Doub2*z2
          + 4131/640*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha1*Doub1*z2
          - 459/80*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2]]*alpha1*Doub1*
         Doub2
          - 75/32*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2].d[2,2]]
          + 9/2*MatrixProduct[Yd1]*Tr[d[1,2].d[2,2].d[2,2]]*z3
          - 45/8*MatrixProduct[Yd1]*Tr[d[2,1]]*lam[1,2,2,2]^2
          - 45/8*MatrixProduct[Yd1]*Tr[d[2,1]]*lam[1,2,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[d[2,1]]*lam[1,2,1,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[d[2,1]]*lam[1,1,2,2]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yd1]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[d[2,1]]*lam[1,1,1,2]^2
          - 45/16*MatrixProduct[Yd1]*Tr[d[2,1]]*lam[1,1,1,1]*lam[1,2,1,2]
          - 459/64*MatrixProduct[Yd1]*Tr[d[2,1]]*alpha2*lam[1,2,1,2]*Doub2
          + 81/64*MatrixProduct[Yd1]*Tr[d[2,1]]*alpha2*lam[1,2,1,2]*Doub1
          + 189/32*MatrixProduct[Yd1]*Tr[d[2,1]]*alpha2*lam[1,2,1,2]*Doub1*
         Doub2
          - 1377/320*MatrixProduct[Yd1]*Tr[d[2,1]]*alpha1*lam[1,2,1,2]*Doub2
          + 243/320*MatrixProduct[Yd1]*Tr[d[2,1]]*alpha1*lam[1,2,1,2]*Doub1
          + 567/160*MatrixProduct[Yd1]*Tr[d[2,1]]*alpha1*lam[1,2,1,2]*Doub1*
         Doub2
          + 27*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[u[1,2].u[1,2]]
          - 9/4*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[u[1,2].d[1,2]]
          + 27*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[d[1,2].d[1,2]]
          + 9*MatrixProduct[Yd1]*Tr[d[2,1]]*Tr[l[1,2].l[1,2]]
          + 45/8*MatrixProduct[Yd1]*Tr[d[2,1].d[2,2]]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yd1]*Tr[d[2,2]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yd1]*Tr[d[2,2]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[d[2,2]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yd1]*Tr[d[2,2]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yd1]*Tr[d[2,2]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/16*MatrixProduct[Yd1]*Tr[d[2,2]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[d[2,2]]*lam[1,1,1,2]*lam[1,1,2,2]
          + 27*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[u[1,2].u[2,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[u[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[u[2,2].d[1,2]]
          + 27*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[d[1,2].d[2,2]]
          - 27/8*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*z2
          + 657/64*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 1269/32*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 3195/64*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*z2
          + 657/320*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 1269/160*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd1]*Tr[d[2,2]]*Tr[l[1,2].l[2,2]]
          + 45/8*MatrixProduct[Yd1]*Tr[d[2,2].d[2,2]]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yd1]*Tr[l[1,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd1]*Tr[l[1,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yd1]*Tr[l[1,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yd1]*Tr[l[1,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yd1]*Tr[l[1,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yd1]*Tr[l[1,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yd1]*Tr[l[1,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          + 9*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[u[1,1].u[1,2]]
          - 3/8*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[u[1,1].d[1,2]]
          - 3/8*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[u[1,2].d[1,1]]
          + 9*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[d[1,1].d[1,2]]
          + 3*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,1].l[1,2]]
          - 9/8*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2
          + 9/8*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*z2
          + 321/32*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 27/32*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 423/64*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 27/32*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 1065/64*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 9/16*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 9/40*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1
          + 9/40*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*z2
          + 321/160*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 27/160*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 423/320*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 27/160*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 213/64*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 9/80*MatrixProduct[Yd1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1]]*lam[1,1,1,2]
          - 25/32*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1].l[1,2]]
          + 3/2*MatrixProduct[Yd1]*Tr[l[1,1].l[1,1].l[1,2]]*z3
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*lam[1,2,2,1]
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*lam[1,1,2,2]
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*lam[1,1,1,1]
          + 333/32*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha2
          + 9/16*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha2*z2
          + 183/128*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha2*Doub2
          - 9/32*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha2*Doub2*z2
          - 2151/128*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha2*Doub1
          + 9/2*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha2*Doub1*z2
          - 15/4*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 909/160*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha1
          - 27/10*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha1*z3
          + 927/640*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha1*Doub2
          - 27/160*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha1*Doub2*z2
          - 747/128*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha1*Doub1*z2
          - 153/80*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2]]*alpha1*Doub1*
         Doub2
          - 15/32*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2].l[2,2]]
          + 3/2*MatrixProduct[Yd1]*Tr[l[1,1].l[1,2].l[2,2]]*z3
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,1].l[2,1]]*lam[1,2,1,2]
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*lam[1,2,2,2]
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2]]*lam[1,1,1,2]
          - 11/32*MatrixProduct[Yd1]*Tr[l[1,1].l[2,2].l[1,2]]
          - 5/16*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,2,2,1]^2
          - 15/16*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 5/4*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 5/16*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,1,2,2]^2
          - 15/8*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 15/16*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd1]*Tr[l[1,2]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 153/64*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2*lam[1,1,2,2]*Doub2
          - 27/64*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2*lam[1,1,2,2]*Doub1
          - 63/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 3*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2*alpha3
          - 18*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2*alpha3*z3
          + 3/2*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2*alpha3*Doub2
          + 9*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2*alpha3*Doub2*z3
          + 3/2*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2*alpha3*Doub1
          + 9*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2*alpha3*Doub1*z3
          - 429/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2
          + 9/4*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*z3
          - 45/64*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*z2
          + 15/16*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*Ng
          - 19005/512*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*Doub2
          + 81/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*Doub2*z3
          + 9/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*Doub2*z2
          + 225/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*Doub2*Ng
          - 21489/512*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*Doub1
          - 63/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*Doub1*z3
          + 9/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*Doub1*z2
          + 225/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*Doub1*Ng
          + 14013/128*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*Doub1*
         Doub2
          - 243/16*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*Doub1*Doub2*
         z3
          + 9/64*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*Doub1*Doub2*z2
          - 261/16*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha2^2*Doub1*Doub2*
         Ng
          + 153/160*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*lam[1,2,2,1]*Doub2
          - 27/160*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*lam[1,2,2,1]*Doub1
          - 63/80*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          + 153/320*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*lam[1,1,2,2]*Doub2
          - 27/320*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*lam[1,1,2,2]*Doub1
          - 63/160*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*lam[1,1,2,2]*Doub1*
         Doub2
          - 3/5*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha3
          - 18/5*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha3*z3
          + 3/10*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha3*Doub2
          + 9/5*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha3*Doub2*z3
          + 3/10*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha3*Doub1
          + 9/5*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha3*Doub1*z3
          - 1851/160*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha2
          + 9/5*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha2*z3
          - 27/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha2*z2
          + 15549/1280*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha2*
         Doub2
          + 63/80*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha2*Doub2*z3
          - 27/80*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha2*Doub2*z2
          + 8673/1280*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha2*Doub1
          + 279/80*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha2*Doub1*z3
          - 27/80*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha2*Doub1*z2
          - 297/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha2*Doub1*
         Doub2
          - 27/40*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 243/160*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z2
          - 291/160*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2
          + 99/50*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*z3
          - 297/1600*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*z2
          - 81/80*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*Ng
          + 7743/12800*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*Doub2
          + 189/800*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*Doub2*z3
          - 27/800*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*Doub2*z2
          + 45/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*Doub2*Ng
          - 2613/12800*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*Doub1
          + 621/800*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*Doub1*z3
          - 27/800*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*Doub1*z2
          + 45/32*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*Doub1*Ng
          - 843/640*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*Doub1*Doub2
          - 99/80*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*Doub1*Doub2*z3
          + 81/320*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*Doub1*Doub2*
         z2
          - 261/80*MatrixProduct[Yd1]*Tr[l[1,2]]*alpha1^2*Doub1*Doub2*
         Ng
          + 6*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[u[1,1].u[2,2]]
          - 27/8*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[u[1,1].d[2,2]]
          + 3*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[u[1,2].u[2,1]]
          + 3*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[u[1,2].d[2,1]]
          + 3*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[u[2,1].d[1,2]]
          - 27/8*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[u[2,2].d[1,1]]
          + 6*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[d[1,1].d[2,2]]
          + 3*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[d[1,2].d[2,1]]
          + 2*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[1,1].l[2,2]]
          + MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[1,2].l[2,1]]
          - 9/8*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2
          + 9/8*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*z2
          + 219/64*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 27/32*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*Doub2
         *z2
          + 423/32*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 27/32*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*Doub1
         *z2
          - 1065/64*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 9/16*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 9/40*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1
          + 9/40*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*z2
          + 219/320*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 27/160*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 423/160*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 27/160*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 213/64*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 9/80*MatrixProduct[Yd1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,2].l[1,2]]*lam[2,1,2,2]
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,2].l[1,2]]*lam[1,1,2,1]
          - 3/4*MatrixProduct[Yd1]*Tr[l[1,2].l[1,2].l[2,1]]
          + 3/2*MatrixProduct[Yd1]*Tr[l[1,2].l[1,2].l[2,1]]*z3
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*lam[1,2,2,2]
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,2].l[2,1]]*lam[1,1,1,2]
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*lam[1,2,2,1]
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*lam[2,2,2,2]
          + 15/8*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*lam[1,1,2,2]
          + 333/32*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha2
          + 9/16*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha2*z2
          - 2601/128*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha2*Doub2
          + 9/2*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha2*Doub2*z2
          + 633/128*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha2*Doub1
          - 9/32*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha2*Doub1*z2
          - 15/4*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 909/160*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha1
          - 27/10*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha1*z3
          - 837/128*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha1*Doub2*z2
          + 1377/640*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha1*Doub1
          - 27/160*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha1*Doub1*z2
          - 153/80*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2]]*alpha1*Doub1*
         Doub2
          - 25/32*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2].l[2,2]]
          + 3/2*MatrixProduct[Yd1]*Tr[l[1,2].l[2,2].l[2,2]]*z3
          - 15/8*MatrixProduct[Yd1]*Tr[l[2,1]]*lam[1,2,2,2]^2
          - 15/8*MatrixProduct[Yd1]*Tr[l[2,1]]*lam[1,2,1,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd1]*Tr[l[2,1]]*lam[1,2,1,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yd1]*Tr[l[2,1]]*lam[1,1,2,2]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yd1]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yd1]*Tr[l[2,1]]*lam[1,1,1,2]^2
          - 15/16*MatrixProduct[Yd1]*Tr[l[2,1]]*lam[1,1,1,1]*lam[1,2,1,2]
          - 153/64*MatrixProduct[Yd1]*Tr[l[2,1]]*alpha2*lam[1,2,1,2]*Doub2
          + 27/64*MatrixProduct[Yd1]*Tr[l[2,1]]*alpha2*lam[1,2,1,2]*Doub1
          + 63/32*MatrixProduct[Yd1]*Tr[l[2,1]]*alpha2*lam[1,2,1,2]*Doub1*
         Doub2
          - 459/320*MatrixProduct[Yd1]*Tr[l[2,1]]*alpha1*lam[1,2,1,2]*Doub2
          + 81/320*MatrixProduct[Yd1]*Tr[l[2,1]]*alpha1*lam[1,2,1,2]*Doub1
          + 189/160*MatrixProduct[Yd1]*Tr[l[2,1]]*alpha1*lam[1,2,1,2]*Doub1*
         Doub2
          + 9*MatrixProduct[Yd1]*Tr[l[2,1]]*Tr[u[1,2].u[1,2]]
          - 3/4*MatrixProduct[Yd1]*Tr[l[2,1]]*Tr[u[1,2].d[1,2]]
          + 9*MatrixProduct[Yd1]*Tr[l[2,1]]*Tr[d[1,2].d[1,2]]
          + 3*MatrixProduct[Yd1]*Tr[l[2,1]]*Tr[l[1,2].l[1,2]]
          + 15/8*MatrixProduct[Yd1]*Tr[l[2,1].l[2,2]]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yd1]*Tr[l[2,2]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd1]*Tr[l[2,2]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yd1]*Tr[l[2,2]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yd1]*Tr[l[2,2]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yd1]*Tr[l[2,2]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 15/16*MatrixProduct[Yd1]*Tr[l[2,2]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd1]*Tr[l[2,2]]*lam[1,1,1,2]*lam[1,1,2,2]
          + 9*MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[u[1,2].u[2,2]]
          - 3/8*MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[u[1,2].d[2,2]]
          - 3/8*MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[u[2,2].d[1,2]]
          + 9*MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[d[1,2].d[2,2]]
          + 3*MatrixProduct[Yd1]*Tr[l[2,2]]*Tr[l[1,2].l[2,2]]
          + 15/8*MatrixProduct[Yd1]*Tr[l[2,2].l[2,2]]*lam[1,2,2,2]
          - 5/8*MatrixProduct[Yd2]*lam[1,2,2,1]^3
          - 3/4*MatrixProduct[Yd2]*lam[2,2,2,2]*lam[1,2,2,1]^2
          - 9/4*MatrixProduct[Yd2]*lam[2,2,2,2]^3
          - 6*MatrixProduct[Yd2]*lam[1,2,2,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/4*MatrixProduct[Yd2]*lam[1,2,2,2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 15/4*MatrixProduct[Yd2]*lam[2,1,2,1]*lam[1,2,2,2]^2
          - 15/4*MatrixProduct[Yd2]*lam[1,2,1,2]*lam[2,1,2,2]^2
          - 27/8*MatrixProduct[Yd2]*lam[1,2,1,2]*lam[2,1,2,1]*lam[1,2,2,1]
          - 3/4*MatrixProduct[Yd2]*lam[1,2,1,2]*lam[2,1,2,1]*lam[2,2,2,2]
          - 3/2*MatrixProduct[Yd2]*lam[1,1,2,2]*lam[1,2,2,1]^2
          - 3/2*MatrixProduct[Yd2]*lam[1,1,2,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 9/2*MatrixProduct[Yd2]*lam[1,1,2,2]*lam[1,2,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yd2]*lam[1,1,2,2]*lam[1,2,1,2]*lam[2,1,2,1]
          - 3/4*MatrixProduct[Yd2]*lam[1,1,2,2]^2*lam[1,2,2,1]
          - 3/2*MatrixProduct[Yd2]*lam[1,1,2,2]^2*lam[2,2,2,2]
          - 1/2*MatrixProduct[Yd2]*lam[1,1,2,2]^3
          - 9/4*MatrixProduct[Yd2]*lam[1,1,2,1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yd2]*lam[1,1,2,1]*lam[1,2,1,2]*lam[2,1,2,2]
          - 27/8*MatrixProduct[Yd2]*lam[1,1,2,1]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yd2]*lam[1,1,2,1]^2*lam[1,2,1,2]
          - 9/4*MatrixProduct[Yd2]*lam[1,1,1,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yd2]*lam[1,1,1,2]*lam[2,1,2,1]*lam[1,2,2,2]
          - 27/8*MatrixProduct[Yd2]*lam[1,1,1,2]*lam[1,1,2,2]*lam[2,1,2,2]
          - 3*MatrixProduct[Yd2]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yd2]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/8*MatrixProduct[Yd2]*lam[1,1,1,2]^2*lam[2,1,2,1]
          - 3/8*MatrixProduct[Yd2]*lam[1,1,1,1]*lam[1,2,2,1]^2
          - 3/8*MatrixProduct[Yd2]*lam[1,1,1,1]*lam[1,2,1,2]*lam[2,1,2,1]
          - 3/4*MatrixProduct[Yd2]*lam[1,1,1,1]*lam[1,1,2,2]*lam[1,2,2,1]
          - 3/4*MatrixProduct[Yd2]*lam[1,1,1,1]*lam[1,1,2,2]^2
          - 9/4*MatrixProduct[Yd2]*lam[1,1,1,1]*lam[1,1,1,2]*lam[1,1,2,1]
          - 1249*MatrixProduct[Yd2]*alpha3^3
          + 4432/27*MatrixProduct[Yd2]*alpha3^3*Ng
          + 320/3*MatrixProduct[Yd2]*alpha3^3*Ng*z3
          + 560/81*MatrixProduct[Yd2]*alpha3^3*Ng^2
          + 153/16*MatrixProduct[Yd2]*alpha2*lam[1,2,2,1]^2*Doub2
          - 15/16*MatrixProduct[Yd2]*alpha2*lam[1,2,2,1]^2*Doub1
          - 39/8*MatrixProduct[Yd2]*alpha2*lam[1,2,2,1]^2*Doub1*Doub2
          + 45/8*MatrixProduct[Yd2]*alpha2*lam[2,2,2,2]^2*Doub2
          + 693/32*MatrixProduct[Yd2]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub2
          - 153/32*MatrixProduct[Yd2]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub1*
         Doub2
          + 609/32*MatrixProduct[Yd2]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub2
          - 117/32*MatrixProduct[Yd2]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub1
          - 39/4*MatrixProduct[Yd2]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub1*Doub2
          + 3/16*MatrixProduct[Yd2]*alpha2*lam[1,1,2,2]*lam[1,2,2,1]*Doub2
          + 57/16*MatrixProduct[Yd2]*alpha2*lam[1,1,2,2]*lam[1,2,2,1]*Doub1
          + 3/16*MatrixProduct[Yd2]*alpha2*lam[1,1,2,2]^2*Doub2
          + 57/16*MatrixProduct[Yd2]*alpha2*lam[1,1,2,2]^2*Doub1
          + 207/16*MatrixProduct[Yd2]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub2
          + 81/32*MatrixProduct[Yd2]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub1
          - 315/32*MatrixProduct[Yd2]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub1*
         Doub2
          + 531/8*MatrixProduct[Yd2]*alpha2*alpha3^2
          + 19*MatrixProduct[Yd2]*alpha2*alpha3^2*Ng
          - 24*MatrixProduct[Yd2]*alpha2*alpha3^2*Ng*z3
          - 3/2*MatrixProduct[Yd2]*alpha2^2*lam[1,2,2,1]*Doub1
          + 9/8*MatrixProduct[Yd2]*alpha2^2*lam[1,2,2,1]*Doub1*z3
          + 39/64*MatrixProduct[Yd2]*alpha2^2*lam[1,2,2,1]*Doub1*Doub2
          - 9/8*MatrixProduct[Yd2]*alpha2^2*lam[1,2,2,1]*Doub1*Doub2*z3
          - 171/64*MatrixProduct[Yd2]*alpha2^2*lam[2,2,2,2]*Doub2
          - 3*MatrixProduct[Yd2]*alpha2^2*lam[1,1,2,2]*Doub1
          + 9/4*MatrixProduct[Yd2]*alpha2^2*lam[1,1,2,2]*Doub1*z3
          + 39/32*MatrixProduct[Yd2]*alpha2^2*lam[1,1,2,2]*Doub1*Doub2
          - 9/4*MatrixProduct[Yd2]*alpha2^2*lam[1,1,2,2]*Doub1*Doub2*z3
          + 507/16*MatrixProduct[Yd2]*alpha2^2*alpha3
          - 39/4*MatrixProduct[Yd2]*alpha2^2*alpha3*Ng
          + 21/16*MatrixProduct[Yd2]*alpha2^2*alpha3*Doub2
          + 135/8*MatrixProduct[Yd2]*alpha2^2*alpha3*Doub2*Ng
          - 18*MatrixProduct[Yd2]*alpha2^2*alpha3*Doub2*Ng*z3
          - 27/16*MatrixProduct[Yd2]*alpha2^2*alpha3*Doub1
          + 69271/768*MatrixProduct[Yd2]*alpha2^3
          - 9/2*MatrixProduct[Yd2]*alpha2^3*z3
          - 2521/96*MatrixProduct[Yd2]*alpha2^3*Ng
          + 5/6*MatrixProduct[Yd2]*alpha2^3*Ng^2
          - 237167/2304*MatrixProduct[Yd2]*alpha2^3*Doub2
          + 117/16*MatrixProduct[Yd2]*alpha2^3*Doub2*z3
          + 803/36*MatrixProduct[Yd2]*alpha2^3*Doub2*Ng
          + 45/2*MatrixProduct[Yd2]*alpha2^3*Doub2*Ng*z3
          + 35/18*MatrixProduct[Yd2]*alpha2^3*Doub2*Ng^2
          - 1147/256*MatrixProduct[Yd2]*alpha2^3*Doub1
          + 1/3*MatrixProduct[Yd2]*alpha2^3*Doub1*Ng
          + 14513/2304*MatrixProduct[Yd2]*alpha2^3*Doub1*Doub2
          + 45/16*MatrixProduct[Yd2]*alpha2^3*Doub1*Doub2*z3
          + 19/36*MatrixProduct[Yd2]*alpha2^3*Doub1*Doub2*Ng
          + 3/80*MatrixProduct[Yd2]*alpha1*lam[1,2,2,1]^2*Doub2
          + 57/80*MatrixProduct[Yd2]*alpha1*lam[1,2,2,1]^2*Doub1
          + 9/8*MatrixProduct[Yd2]*alpha1*lam[2,2,2,2]^2*Doub2
          + 693/160*MatrixProduct[Yd2]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub2
          - 153/160*MatrixProduct[Yd2]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub1*
         Doub2
          + 909/160*MatrixProduct[Yd2]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub2
          - 261/160*MatrixProduct[Yd2]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub1
          - 117/40*MatrixProduct[Yd2]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub1*
         Doub2
          + 3/80*MatrixProduct[Yd2]*alpha1*lam[1,1,2,2]*lam[1,2,2,1]*Doub2
          + 57/80*MatrixProduct[Yd2]*alpha1*lam[1,1,2,2]*lam[1,2,2,1]*Doub1
          + 3/80*MatrixProduct[Yd2]*alpha1*lam[1,1,2,2]^2*Doub2
          + 57/80*MatrixProduct[Yd2]*alpha1*lam[1,1,2,2]^2*Doub1
          + 207/80*MatrixProduct[Yd2]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub2
          + 81/160*MatrixProduct[Yd2]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub1
          - 63/32*MatrixProduct[Yd2]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub1*Doub2
          + 2453/120*MatrixProduct[Yd2]*alpha1*alpha3^2
          + 214/45*MatrixProduct[Yd2]*alpha1*alpha3^2*Ng
          - 88/15*MatrixProduct[Yd2]*alpha1*alpha3^2*Ng*z3
          - 9/10*MatrixProduct[Yd2]*alpha1*alpha2*lam[1,2,2,1]*Doub1
          + 27/20*MatrixProduct[Yd2]*alpha1*alpha2*lam[1,2,2,1]*Doub1*z3
          + 117/160*MatrixProduct[Yd2]*alpha1*alpha2*lam[1,2,2,1]*Doub1*
         Doub2
          - 27/20*MatrixProduct[Yd2]*alpha1*alpha2*lam[1,2,2,1]*Doub1*Doub2*
         z3
          - 27/160*MatrixProduct[Yd2]*alpha1*alpha2*lam[2,2,2,2]*Doub2
          - 21/8*MatrixProduct[Yd2]*alpha1*alpha2*alpha3
          - 6/5*MatrixProduct[Yd2]*alpha1*alpha2*alpha3*Doub2
          - 2649/1280*MatrixProduct[Yd2]*alpha1*alpha2^2
          + 9/20*MatrixProduct[Yd2]*alpha1*alpha2^2*z3
          + 39/160*MatrixProduct[Yd2]*alpha1*alpha2^2*Ng
          - 4161/1280*MatrixProduct[Yd2]*alpha1*alpha2^2*Doub2
          - 63/80*MatrixProduct[Yd2]*alpha1*alpha2^2*Doub2*z3
          + 6/5*MatrixProduct[Yd2]*alpha1*alpha2^2*Doub2*Ng
          - 9/10*MatrixProduct[Yd2]*alpha1*alpha2^2*Doub2*Ng*z3
          - 123/1280*MatrixProduct[Yd2]*alpha1*alpha2^2*Doub1
          + 1353/1280*MatrixProduct[Yd2]*alpha1*alpha2^2*Doub1*Doub2
          - 27/80*MatrixProduct[Yd2]*alpha1*alpha2^2*Doub1*Doub2*z3
          - 3/25*MatrixProduct[Yd2]*alpha1^2*lam[1,2,2,1]*Doub1
          + 27/200*MatrixProduct[Yd2]*alpha1^2*lam[1,2,2,1]*Doub1*z3
          + 117/1600*MatrixProduct[Yd2]*alpha1^2*lam[1,2,2,1]*Doub1*Doub2
          - 27/200*MatrixProduct[Yd2]*alpha1^2*lam[1,2,2,1]*Doub1*Doub2*z3
          - 9/64*MatrixProduct[Yd2]*alpha1^2*lam[2,2,2,2]*Doub2
          - 6/25*MatrixProduct[Yd2]*alpha1^2*lam[1,1,2,2]*Doub1
          + 27/100*MatrixProduct[Yd2]*alpha1^2*lam[1,1,2,2]*Doub1*z3
          + 117/800*MatrixProduct[Yd2]*alpha1^2*lam[1,1,2,2]*Doub1*Doub2
          - 27/100*MatrixProduct[Yd2]*alpha1^2*lam[1,1,2,2]*Doub1*Doub2*z3
          - 683/1200*MatrixProduct[Yd2]*alpha1^2*alpha3
          - 2677/900*MatrixProduct[Yd2]*alpha1^2*alpha3*Ng
          + 88/75*MatrixProduct[Yd2]*alpha1^2*alpha3*Ng*z3
          - 43/240*MatrixProduct[Yd2]*alpha1^2*alpha3*Doub2
          + 99/40*MatrixProduct[Yd2]*alpha1^2*alpha3*Doub2*Ng
          - 66/25*MatrixProduct[Yd2]*alpha1^2*alpha3*Doub2*Ng*z3
          - 263/1200*MatrixProduct[Yd2]*alpha1^2*alpha3*Doub1
          + 531/6400*MatrixProduct[Yd2]*alpha1^2*alpha2
          - 29/800*MatrixProduct[Yd2]*alpha1^2*alpha2*Ng
          + 6/25*MatrixProduct[Yd2]*alpha1^2*alpha2*Ng*z3
          + 999/1280*MatrixProduct[Yd2]*alpha1^2*alpha2*Doub2
          - 9/80*MatrixProduct[Yd2]*alpha1^2*alpha2*Doub2*z3
          + 69/80*MatrixProduct[Yd2]*alpha1^2*alpha2*Doub2*Ng
          - 27/50*MatrixProduct[Yd2]*alpha1^2*alpha2*Doub2*Ng*z3
          - 2001/6400*MatrixProduct[Yd2]*alpha1^2*alpha2*Doub1
          + 9/100*MatrixProduct[Yd2]*alpha1^2*alpha2*Doub1*z3
          + 4059/6400*MatrixProduct[Yd2]*alpha1^2*alpha2*Doub1*Doub2
          - 81/400*MatrixProduct[Yd2]*alpha1^2*alpha2*Doub1*Doub2*z3
          + 3721/288000*MatrixProduct[Yd2]*alpha1^3
          - 3637/7200*MatrixProduct[Yd2]*alpha1^3*Ng
          + 38/75*MatrixProduct[Yd2]*alpha1^3*Ng*z3
          - 1/162*MatrixProduct[Yd2]*alpha1^3*Ng^2
          + 34577/288000*MatrixProduct[Yd2]*alpha1^3*Doub2
          - 9/400*MatrixProduct[Yd2]*alpha1^3*Doub2*z3
          + 3389/2700*MatrixProduct[Yd2]*alpha1^3*Doub2*Ng
          - 57/50*MatrixProduct[Yd2]*alpha1^3*Doub2*Ng*z3
          + 7/18*MatrixProduct[Yd2]*alpha1^3*Doub2*Ng^2
          - 607/11520*MatrixProduct[Yd2]*alpha1^3*Doub1
          + 9/500*MatrixProduct[Yd2]*alpha1^3*Doub1*z3
          + 8/675*MatrixProduct[Yd2]*alpha1^3*Doub1*Ng
          + 38773/288000*MatrixProduct[Yd2]*alpha1^3*Doub1*Doub2
          - 81/2000*MatrixProduct[Yd2]*alpha1^3*Doub1*Doub2*z3
          + 19/300*MatrixProduct[Yd2]*alpha1^3*Doub1*Doub2*Ng
          - 15/4*MatrixProduct[Yd2]*Tr[u[1,1]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yd2]*Tr[u[1,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[u[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/4*MatrixProduct[Yd2]*Tr[u[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yd2]*Tr[u[1,1]]*lam[1,1,2,2]^2
          - 135/16*MatrixProduct[Yd2]*Tr[u[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 46/3*MatrixProduct[Yd2]*Tr[u[1,1]]*alpha3^2
          + 309/64*MatrixProduct[Yd2]*Tr[u[1,1]]*alpha2^2
          - 663/64*MatrixProduct[Yd2]*Tr[u[1,1]]*alpha2^2*Doub2
          - 255/64*MatrixProduct[Yd2]*Tr[u[1,1]]*alpha2^2*Doub1
          + 147/32*MatrixProduct[Yd2]*Tr[u[1,1]]*alpha2^2*Doub1*Doub2
          + 5989/4800*MatrixProduct[Yd2]*Tr[u[1,1]]*alpha1^2
          - 2541/1600*MatrixProduct[Yd2]*Tr[u[1,1]]*alpha1^2*Doub2
          - 953/1600*MatrixProduct[Yd2]*Tr[u[1,1]]*alpha1^2*Doub1
          + 441/800*MatrixProduct[Yd2]*Tr[u[1,1]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[1,1].d[2,2]]
          + 18*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[1,2].u[2,1]]
          - 81/8*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[1,1].d[2,2]]
          + 18*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[d[1,2].d[2,1]]
          + 3*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[1,1].l[2,2]]
          + 6*MatrixProduct[Yd2]*Tr[u[1,1]]*Tr[l[1,2].l[2,1]]
          + 21/32*MatrixProduct[Yd2]*Tr[u[1,1].u[1,1].u[2,2]]
          + 21/32*MatrixProduct[Yd2]*Tr[u[1,1].u[1,1].d[2,2]]
          + 45/8*MatrixProduct[Yd2]*Tr[u[1,1].u[1,2]]*lam[1,1,2,1]
          - 3/16*MatrixProduct[Yd2]*Tr[u[1,1].u[1,2].u[2,1]]
          - 63/32*MatrixProduct[Yd2]*Tr[u[1,1].u[1,2].d[2,1]]
          + 45/8*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1]]*lam[1,1,1,2]
          - 45/16*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1].u[1,2]]
          + 9/2*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1].u[1,2]]*z3
          - 57/32*MatrixProduct[Yd2]*Tr[u[1,1].u[2,1].d[1,2]]
          + 15/2*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha3
          - 12*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha2
          + 549/32*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha2*Doub2
          - 81/32*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha2*Doub2*z2
          - 999/32*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 941/80*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha1
          - 39/5*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha1*z3
          + 549/160*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha1*Doub2*z2
          - 2469/160*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1
          + 9*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*z3
          + 27/160*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*z2
          - 279/80*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/16*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2].u[2,2]]
          + 9/32*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2].d[1,1]]
          - 15/8*MatrixProduct[Yd2]*Tr[u[1,1].u[2,2].d[2,2]]
          + 9/32*MatrixProduct[Yd2]*Tr[u[1,1].d[1,1].u[2,2]]
          + 9/32*MatrixProduct[Yd2]*Tr[u[1,1].d[1,1].d[2,2]]
          - 63/32*MatrixProduct[Yd2]*Tr[u[1,1].d[1,2].u[2,1]]
          + 87/16*MatrixProduct[Yd2]*Tr[u[1,1].d[1,2].d[2,1]]
          - 57/32*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1].u[1,2]]
          + 33/16*MatrixProduct[Yd2]*Tr[u[1,1].d[2,1].d[1,2]]
          - 15/4*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha2
          + 549/32*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha2*Doub2
          - 81/32*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha2*Doub2*z2
          - 999/32*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 1157/160*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha1
          + 39/10*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha1*z3
          + 27/80*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha1*z2
          - 567/160*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha1*Doub2*z2
          + 231/40*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1
          - 9/5*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*z2
          + 279/80*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          - 15/8*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2].u[2,2]]
          + 9/32*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2].d[1,1]]
          + 9/16*MatrixProduct[Yd2]*Tr[u[1,1].d[2,2].d[2,2]]
          - 45/8*MatrixProduct[Yd2]*Tr[u[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yd2]*Tr[u[1,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[u[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[u[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[u[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 135/32*MatrixProduct[Yd2]*Tr[u[1,2]]*alpha2*lam[2,1,2,2]*Doub2
          - 135/32*MatrixProduct[Yd2]*Tr[u[1,2]]*alpha2*lam[2,1,2,2]*Doub1
          + 81/32*MatrixProduct[Yd2]*Tr[u[1,2]]*alpha1*lam[2,1,2,2]*Doub2
          - 81/32*MatrixProduct[Yd2]*Tr[u[1,2]]*alpha1*lam[2,1,2,2]*Doub1
          - 81/8*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*z2
          + 4455/32*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub2
          - 243/16*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub2*z2
          + 81/4*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub1
          - 81/16*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub1
         *z2
          - 5103/32*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*z2
          + 891/32*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub2
          - 243/80*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub2*z2
          + 81/20*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*Doub1
          - 81/80*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*Doub1
         *z2
          - 5103/160*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 27*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1].u[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[u[2,2].d[2,1]]
          - 81/8*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*z2
          + 4455/32*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/16*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 81/4*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub1
          - 81/16*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub1
         *z2
          - 5103/32*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*z2
          + 891/32*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/80*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 81/20*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*Doub1
          - 81/80*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*Doub1
         *z2
          - 5103/160*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 27*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[d[2,1].d[2,2]]
          - 27/8*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 1485/32*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/16*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 27/4*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 297/32*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub2
         *z2
          + 27/20*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd2]*Tr[u[1,2]]*Tr[l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yd2]*Tr[u[1,2].u[1,2]]*lam[2,1,2,1]
          + 15/4*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*lam[1,2,2,1]
          + 15/2*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*lam[1,1,2,2]
          + 5/2*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha3
          - 24*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha3*z3
          + 135/32*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha2
          + 27/16*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha2*z2
          - 9/16*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha2*Doub2*z2
          - 405/16*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha2*Doub1*z3
          + 311/40*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha1
          + 12/5*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha1*z3
          + 549/80*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha1*Doub2
          - 81/80*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha1*Doub2*z2
          - 1263/160*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1
          - 9/2*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*z2
          - 279/40*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*
         Doub2
          + 27/40*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 33/8*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1].u[2,2]]
          + 9*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1].u[2,2]]*z3
          + 33/16*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1].d[1,1]]
          - 3/8*MatrixProduct[Yd2]*Tr[u[1,2].u[2,1].d[2,2]]
          + 135/8*MatrixProduct[Yd2]*Tr[u[1,2].u[2,2]]*lam[2,1,2,2]
          - 9/8*MatrixProduct[Yd2]*Tr[u[1,2].u[2,2].u[2,1]]
          - 9/32*MatrixProduct[Yd2]*Tr[u[1,2].u[2,2].d[2,1]]
          + 87/16*MatrixProduct[Yd2]*Tr[u[1,2].d[1,1].u[2,1]]
          - 63/32*MatrixProduct[Yd2]*Tr[u[1,2].d[1,1].d[2,1]]
          + 15/4*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1]]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1]]*lam[1,1,2,2]
          + 13*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1]]*alpha3
          + 225/32*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1]]*alpha2
          - 27/8*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1]]*alpha2*z2
          - 81/8*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1]]*alpha2*Doub2
          + 27/8*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1]]*alpha2*Doub2*z2
          + 45/8*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1]]*alpha2*Doub1
          + 251/160*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1]]*alpha1
          - 27/40*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1]]*alpha1*z2
          - 81/40*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1]]*alpha1*Doub2
          + 27/40*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1]]*alpha1*Doub2*z2
          + 9/8*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1]]*alpha1*Doub1
          + 129/32*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1].u[2,2]]
          - 57/32*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1].d[1,1]]
          - 9/32*MatrixProduct[Yd2]*Tr[u[1,2].d[2,1].d[2,2]]
          - 3/2*MatrixProduct[Yd2]*Tr[u[1,2].d[2,2].u[2,1]]
          + 129/32*MatrixProduct[Yd2]*Tr[u[1,2].d[2,2].d[2,1]]
          - 45/8*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/16*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*lam[1,2,2,2]*Doub2
          + 135/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha2*lam[1,2,2,2]*Doub1
          - 81/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*lam[1,2,2,2]*Doub2
          + 81/32*MatrixProduct[Yd2]*Tr[u[2,1]]*alpha1*lam[1,2,2,2]*Doub1
          + 27*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[1,2].u[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[u[2,2].d[1,2]]
          - 81/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*z2
          + 4455/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub2
          - 243/16*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub2*z2
          + 81/4*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub1
          - 81/16*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub1
         *z2
          - 5103/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*z2
          + 891/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub2
          - 243/80*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub2*z2
          + 81/20*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*Doub1
          - 81/80*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*Doub1
         *z2
          - 5103/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 27*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[d[1,2].d[2,2]]
          - 27/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*z2
          + 1485/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/16*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 27/4*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*z2
          + 297/32*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub2
         *z2
          + 27/20*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub1
          - 27/80*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd2]*Tr[u[2,1]]*Tr[l[1,2].l[2,2]]
          + 45/8*MatrixProduct[Yd2]*Tr[u[2,1].u[2,1]]*lam[1,2,1,2]
          + 135/8*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2]]*lam[1,2,2,2]
          + 129/32*MatrixProduct[Yd2]*Tr[u[2,1].u[2,2].d[1,2]]
          - 57/32*MatrixProduct[Yd2]*Tr[u[2,1].d[1,1].d[1,2]]
          + 15/4*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2]]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2]]*lam[1,1,2,2]
          + 13*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2]]*alpha3
          + 225/32*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2]]*alpha2
          - 27/8*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2]]*alpha2*z2
          - 81/8*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2]]*alpha2*Doub2
          + 27/8*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2]]*alpha2*Doub2*z2
          + 45/8*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2]]*alpha2*Doub1
          + 251/160*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2]]*alpha1
          - 27/40*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2]]*alpha1*z2
          - 81/40*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2]]*alpha1*Doub2
          + 27/40*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2]]*alpha1*Doub2*z2
          + 9/8*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2]]*alpha1*Doub1
          - 9/32*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2].u[2,2]]
          - 63/32*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2].d[1,1]]
          + 129/32*MatrixProduct[Yd2]*Tr[u[2,1].d[1,2].d[2,2]]
          - 9/32*MatrixProduct[Yd2]*Tr[u[2,1].d[2,2].d[1,2]]
          - 15/8*MatrixProduct[Yd2]*Tr[u[2,2]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yd2]*Tr[u[2,2]]*lam[2,2,2,2]^2
          - 135/8*MatrixProduct[Yd2]*Tr[u[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[u[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yd2]*Tr[u[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yd2]*Tr[u[2,2]]*lam[1,1,2,2]^2
          + 457/3*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha3^2
          - 108*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha3^2*z3
          - 16*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha3^2*Ng
          - 261/8*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2*alpha3
          - 36*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2*alpha3*z2
          - 57/2*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2*alpha3*Doub2
          + 90*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2*alpha3*Doub2*z3
          + 27/2*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2*alpha3*Doub2*z2
          - 3705/64*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2^2
          + 27/2*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2^2*Ng
          + 21183/256*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2^2*Doub2
          - 351/8*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2^2*Doub2*z3
          + 135/64*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2^2*Doub2*z2
          - 27/4*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2^2*Doub2*Ng
          + 63/128*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2^2*Doub1
          - 117/64*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha2^2*Doub1*Doub2
          - 347/24*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1*alpha3
          + 12/5*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1*alpha3*z2
          - 57/10*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1*alpha3*Doub2
          + 18*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1*alpha3*Doub2*z3
          + 27/10*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1*alpha3*Doub2*z2
          - 162/5*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1*alpha2
          + 99/20*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1*alpha2*z3
          - 27/160*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1*alpha2*z2
          + 20697/640*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1*alpha2*Doub2
          + 9/5*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1*alpha2*Doub2*z3
          + 27/160*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1*alpha2*Doub2*z2
          - 2321/1600*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1^2
          + 3/25*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1^2*z3
          - 27/320*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1^2*z2
          - 19/80*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1^2*Ng
          - 761/6400*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1^2*Doub2
          - 27/40*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1^2*Doub2*z3
          + 27/320*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1^2*Doub2*z2
          - 27/20*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1^2*Doub2*Ng
          - 339/3200*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1^2*Doub1
          - 351/1600*MatrixProduct[Yd2]*Tr[u[2,2]]*alpha1^2*Doub1*Doub2
          - 81/8*MatrixProduct[Yd2]*Tr[u[2,2]]^2*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[u[2,2]]^2*alpha2*z2
          - 81/8*MatrixProduct[Yd2]*Tr[u[2,2]]^2*alpha2*Doub2*z2
          - 81/40*MatrixProduct[Yd2]*Tr[u[2,2]]^2*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[u[2,2]]^2*alpha1*z2
          - 81/40*MatrixProduct[Yd2]*Tr[u[2,2]]^2*alpha1*Doub2*z2
          + 27*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[u[2,2].u[2,2]]
          - 9/4*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[u[2,2].d[2,2]]
          - 81/4*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha2
          + 81/4*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha2*z2
          - 81/4*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha2*Doub2*
         z2
          - 81/20*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha1
          + 81/20*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha1*z2
          - 81/20*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha1*Doub2
         *z2
          + 27*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[d[2,2].d[2,2]]
          - 27/4*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha2
          + 27/4*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha2*z2
          - 27/4*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha2*Doub2*
         z2
          - 27/20*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha1
          + 27/20*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha1*z2
          - 27/20*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha1*Doub2
         *z2
          + 9*MatrixProduct[Yd2]*Tr[u[2,2]]*Tr[l[2,2].l[2,2]]
          + 45/4*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2]]*lam[2,2,2,2]
          + 15/4*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2]]*alpha3
          - 36*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2]]*alpha2
          + 27/16*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2]]*alpha2*z2
          - 459/8*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2]]*alpha2*Doub2*z3
          - 27/16*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2]]*alpha2*Doub2*z2
          + 1563/80*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2]]*alpha1
          - 27/5*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2]]*alpha1*z3
          - 3759/160*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2]]*alpha1*Doub2*z3
          - 75/32*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2].u[2,2]]
          + 9/2*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2].u[2,2]]*z3
          + 9/16*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2].d[1,1]]
          + 39/32*MatrixProduct[Yd2]*Tr[u[2,2].u[2,2].d[2,2]]
          - 15/4*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha3
          - 12*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha3*z3
          + 27*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha2
          + 549/32*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha2*Doub2
          - 81/32*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha2*Doub2*z2
          - 999/32*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 113/10*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha1
          + 33/5*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha1*z3
          + 27/80*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha1*z2
          - 567/160*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha1*Doub2*z2
          + 1659/160*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1
          - 63/10*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*z2
          + 279/80*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 21/32*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1].d[1,1]]
          - 15/8*MatrixProduct[Yd2]*Tr[u[2,2].d[1,1].d[2,2]]
          - 3/2*MatrixProduct[Yd2]*Tr[u[2,2].d[1,2].d[2,1]]
          - 3/8*MatrixProduct[Yd2]*Tr[u[2,2].d[2,1].d[1,2]]
          + 57/2*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2]]*alpha3
          - 24*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2]]*alpha3*z3
          + 1089/16*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2]]*alpha2
          - 27/4*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2]]*alpha2*z2
          - 72*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2]]*alpha2*Doub2
          + 27/4*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2]]*alpha2*Doub2*z2
          - 2463/160*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2]]*alpha1
          + 21/2*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2]]*alpha1*z3
          - 27/40*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2]]*alpha1*z2
          + 2277/160*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2]]*alpha1*Doub2
          - 81/10*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2]]*alpha1*Doub2*z3
          + 27/40*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2]]*alpha1*Doub2*z2
          - 15/8*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2].d[1,1]]
          + 39/32*MatrixProduct[Yd2]*Tr[u[2,2].d[2,2].d[2,2]]
          - 15/4*MatrixProduct[Yd2]*Tr[d[1,1]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yd2]*Tr[d[1,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[d[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/4*MatrixProduct[Yd2]*Tr[d[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yd2]*Tr[d[1,1]]*lam[1,1,2,2]^2
          - 135/16*MatrixProduct[Yd2]*Tr[d[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 46/3*MatrixProduct[Yd2]*Tr[d[1,1]]*alpha3^2
          + 309/64*MatrixProduct[Yd2]*Tr[d[1,1]]*alpha2^2
          - 663/64*MatrixProduct[Yd2]*Tr[d[1,1]]*alpha2^2*Doub2
          - 255/64*MatrixProduct[Yd2]*Tr[d[1,1]]*alpha2^2*Doub1
          + 147/32*MatrixProduct[Yd2]*Tr[d[1,1]]*alpha2^2*Doub1*Doub2
          + 4237/4800*MatrixProduct[Yd2]*Tr[d[1,1]]*alpha1^2
          - 1713/1600*MatrixProduct[Yd2]*Tr[d[1,1]]*alpha1^2*Doub2
          - 953/1600*MatrixProduct[Yd2]*Tr[d[1,1]]*alpha1^2*Doub1
          + 441/800*MatrixProduct[Yd2]*Tr[d[1,1]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[u[1,1].d[2,2]]
          + 18*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[u[1,2].u[2,1]]
          - 81/8*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[u[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[1,1].d[2,2]]
          + 18*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[d[1,2].d[2,1]]
          + 3*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[1,1].l[2,2]]
          + 6*MatrixProduct[Yd2]*Tr[d[1,1]]*Tr[l[1,2].l[2,1]]
          + 21/32*MatrixProduct[Yd2]*Tr[d[1,1].d[1,1].d[2,2]]
          + 45/8*MatrixProduct[Yd2]*Tr[d[1,1].d[1,2]]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[d[1,1].d[1,2].d[2,1]]
          + 9/2*MatrixProduct[Yd2]*Tr[d[1,1].d[1,2].d[2,1]]*z3
          + 45/8*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1]]*lam[1,1,1,2]
          - 3/16*MatrixProduct[Yd2]*Tr[d[1,1].d[2,1].d[1,2]]
          + 15/2*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha2
          + 549/32*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha2*Doub2
          - 81/32*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha2*Doub2*z2
          - 999/32*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 1363/160*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha1
          - 33/10*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha1*z3
          + 549/160*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha1*Doub2*z2
          - 867/80*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*z3
          + 27/160*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*z2
          - 279/80*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/16*MatrixProduct[Yd2]*Tr[d[1,1].d[2,2].d[2,2]]
          - 45/8*MatrixProduct[Yd2]*Tr[d[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yd2]*Tr[d[1,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[d[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[d[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[d[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 135/32*MatrixProduct[Yd2]*Tr[d[1,2]]*alpha2*lam[2,1,2,2]*Doub2
          - 135/32*MatrixProduct[Yd2]*Tr[d[1,2]]*alpha2*lam[2,1,2,2]*Doub1
          + 81/32*MatrixProduct[Yd2]*Tr[d[1,2]]*alpha1*lam[2,1,2,2]*Doub2
          - 81/32*MatrixProduct[Yd2]*Tr[d[1,2]]*alpha1*lam[2,1,2,2]*Doub1
          + 27*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[u[2,1].u[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[u[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[u[2,2].d[2,1]]
          - 81/8*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*z2
          + 4455/32*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/16*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 81/4*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub1
          - 81/16*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub1
         *z2
          - 5103/32*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 81/40*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*z2
          + 891/32*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/80*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 81/20*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*Doub1
          - 81/80*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*Doub1
         *z2
          - 5103/160*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 27*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[d[2,1].d[2,2]]
          - 27/8*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 1485/32*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/16*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 27/4*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 297/32*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub2
         *z2
          + 27/20*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd2]*Tr[d[1,2]]*Tr[l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yd2]*Tr[d[1,2].d[1,2]]*lam[2,1,2,1]
          + 15/4*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*lam[1,2,2,1]
          + 15/2*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*lam[1,1,2,2]
          + 5/2*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha3
          - 24*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha3*z3
          + 135/32*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha2
          + 27/16*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha2*z2
          - 9/16*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha2*Doub2*z2
          - 405/16*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha2*Doub1*z3
          + 1111/80*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha1
          - 3*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha1*z3
          + 549/80*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha1*Doub2
          - 81/80*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha1*Doub2*z2
          - 2733/160*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*z2
          - 279/40*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*
         Doub2
          + 27/40*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 9/8*MatrixProduct[Yd2]*Tr[d[1,2].d[2,1].d[2,2]]
          + 135/8*MatrixProduct[Yd2]*Tr[d[1,2].d[2,2]]*lam[2,1,2,2]
          - 33/8*MatrixProduct[Yd2]*Tr[d[1,2].d[2,2].d[2,1]]
          + 9*MatrixProduct[Yd2]*Tr[d[1,2].d[2,2].d[2,1]]*z3
          - 45/8*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/16*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*lam[1,2,2,2]*Doub2
          + 135/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha2*lam[1,2,2,2]*Doub1
          - 81/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*lam[1,2,2,2]*Doub2
          + 81/32*MatrixProduct[Yd2]*Tr[d[2,1]]*alpha1*lam[1,2,2,2]*Doub1
          + 27*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[u[1,2].u[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[u[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[u[2,2].d[1,2]]
          + 27*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[d[1,2].d[2,2]]
          - 27/8*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*z2
          + 1485/32*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/16*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub2
         *z2
          + 27/4*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub1
         *z2
          - 1701/32*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 27/40*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*z2
          + 297/32*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub2
         *z2
          + 27/20*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub1
          - 27/80*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *z2
          - 1701/160*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 9*MatrixProduct[Yd2]*Tr[d[2,1]]*Tr[l[1,2].l[2,2]]
          + 45/8*MatrixProduct[Yd2]*Tr[d[2,1].d[2,1]]*lam[1,2,1,2]
          + 135/8*MatrixProduct[Yd2]*Tr[d[2,1].d[2,2]]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yd2]*Tr[d[2,2]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yd2]*Tr[d[2,2]]*lam[2,2,2,2]^2
          - 135/8*MatrixProduct[Yd2]*Tr[d[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yd2]*Tr[d[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yd2]*Tr[d[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yd2]*Tr[d[2,2]]*lam[1,1,2,2]^2
          + 505/3*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha3^2
          - 12*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha3^2*z3
          - 16*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha3^2*Ng
          - 261/8*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2*alpha3
          - 36*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2*alpha3*z2
          - 57/2*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2*alpha3*Doub2
          + 90*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2*alpha3*Doub2*z3
          + 27/2*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2*alpha3*Doub2*z2
          - 2265/64*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2^2
          + 27/4*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2^2*Ng
          + 21183/256*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2^2*Doub2
          - 351/8*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2^2*Doub2*z3
          + 135/64*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2^2*Doub2*z2
          - 27/4*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2^2*Doub2*Ng
          + 63/128*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2^2*Doub1
          - 117/64*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha2^2*Doub1*Doub2
          - 307/120*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1*alpha3
          - 12*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1*alpha3*z2
          - 57/10*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1*alpha3*Doub2
          + 18*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1*alpha3*Doub2*z3
          + 27/10*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1*alpha3*Doub2*z2
          - 4041/160*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1*alpha2
          + 9/10*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1*alpha2*z3
          + 27/32*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1*alpha2*z2
          + 20481/640*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1*alpha2*Doub2
          - 18/5*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1*alpha2*Doub2*z3
          - 27/32*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1*alpha2*Doub2*z2
          - 2251/1600*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1^2
          + 6/25*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1^2*z3
          + 189/1600*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1^2*z2
          + 77/80*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1^2*Ng
          + 11767/6400*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1^2*Doub2
          - 27/40*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1^2*Doub2*z3
          - 189/1600*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1^2*Doub2*z2
          - 27/20*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1^2*Doub2*Ng
          + 453/3200*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1^2*Doub1
          - 351/1600*MatrixProduct[Yd2]*Tr[d[2,2]]*alpha1^2*Doub1*Doub2
          + 27*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[u[2,2].u[2,2]]
          - 9/4*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[u[2,2].d[2,2]]
          - 81/8*MatrixProduct[Yd2]*Tr[d[2,2]]^2*alpha2
          + 81/8*MatrixProduct[Yd2]*Tr[d[2,2]]^2*alpha2*z2
          - 81/8*MatrixProduct[Yd2]*Tr[d[2,2]]^2*alpha2*Doub2*z2
          - 81/40*MatrixProduct[Yd2]*Tr[d[2,2]]^2*alpha1
          + 81/40*MatrixProduct[Yd2]*Tr[d[2,2]]^2*alpha1*z2
          - 81/40*MatrixProduct[Yd2]*Tr[d[2,2]]^2*alpha1*Doub2*z2
          + 27*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[d[2,2].d[2,2]]
          - 27/4*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha2
          + 27/4*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha2*z2
          - 27/4*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha2*Doub2*
         z2
          - 27/20*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha1
          + 27/20*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha1*z2
          - 27/20*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha1*Doub2
         *z2
          + 9*MatrixProduct[Yd2]*Tr[d[2,2]]*Tr[l[2,2].l[2,2]]
          + 45/4*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2]]*lam[2,2,2,2]
          + 15/4*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2]]*alpha3
          - 36*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2]]*alpha2
          + 27/16*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2]]*alpha2*z2
          - 459/8*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2]]*alpha2*Doub2*z3
          - 27/16*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2]]*alpha2*Doub2*z2
          + 717/32*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2]]*alpha1
          - 63/10*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2]]*alpha1*z3
          - 2247/80*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2]]*alpha1*Doub2
          + 9*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2]]*alpha1*Doub2*z3
          - 75/32*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2].d[2,2]]
          + 9/2*MatrixProduct[Yd2]*Tr[d[2,2].d[2,2].d[2,2]]*z3
          - 5/4*MatrixProduct[Yd2]*Tr[l[1,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yd2]*Tr[l[1,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yd2]*Tr[l[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 5/4*MatrixProduct[Yd2]*Tr[l[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 5/4*MatrixProduct[Yd2]*Tr[l[1,1]]*lam[1,1,2,2]^2
          - 45/16*MatrixProduct[Yd2]*Tr[l[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          + 103/64*MatrixProduct[Yd2]*Tr[l[1,1]]*alpha2^2
          - 221/64*MatrixProduct[Yd2]*Tr[l[1,1]]*alpha2^2*Doub2
          - 85/64*MatrixProduct[Yd2]*Tr[l[1,1]]*alpha2^2*Doub1
          + 49/32*MatrixProduct[Yd2]*Tr[l[1,1]]*alpha2^2*Doub1*Doub2
          + 3359/4800*MatrixProduct[Yd2]*Tr[l[1,1]]*alpha1^2
          - 1491/1600*MatrixProduct[Yd2]*Tr[l[1,1]]*alpha1^2*Doub2
          - 953/4800*MatrixProduct[Yd2]*Tr[l[1,1]]*alpha1^2*Doub1
          + 147/800*MatrixProduct[Yd2]*Tr[l[1,1]]*alpha1^2*Doub1*Doub2
          + 3*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[u[1,1].u[2,2]]
          + 3*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[u[1,1].d[2,2]]
          + 6*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[u[1,2].u[2,1]]
          - 27/8*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[u[1,2].d[2,1]]
          - 27/8*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[u[2,1].d[1,2]]
          + 3*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[u[2,2].d[1,1]]
          + 3*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[d[1,1].d[2,2]]
          + 6*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[d[1,2].d[2,1]]
          + MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[1,1].l[2,2]]
          + 2*MatrixProduct[Yd2]*Tr[l[1,1]]*Tr[l[1,2].l[2,1]]
          + 7/32*MatrixProduct[Yd2]*Tr[l[1,1].l[1,1].l[2,2]]
          + 15/8*MatrixProduct[Yd2]*Tr[l[1,1].l[1,2]]*lam[1,1,2,1]
          - 15/16*MatrixProduct[Yd2]*Tr[l[1,1].l[1,2].l[2,1]]
          + 3/2*MatrixProduct[Yd2]*Tr[l[1,1].l[1,2].l[2,1]]*z3
          + 15/8*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1]]*lam[1,1,1,2]
          - 1/16*MatrixProduct[Yd2]*Tr[l[1,1].l[2,1].l[1,2]]
          + 5/2*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*lam[1,2,2,1]
          + 5/4*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*lam[1,1,2,2]
          + 9*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha2
          + 183/32*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha2*Doub2*z2
          - 333/32*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha2*Doub1
          + 9/32*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*z2
          - 93/16*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*
         Doub2
          + 9/16*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 807/160*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha1
          - 9/2*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha1*z3
          + 183/160*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha1*Doub2
          - 27/160*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha1*Doub2*z2
          - 267/40*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*z3
          + 9/160*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*z2
          - 93/80*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*
         Doub2
          + 9/80*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 3/16*MatrixProduct[Yd2]*Tr[l[1,1].l[2,2].l[2,2]]
          - 15/8*MatrixProduct[Yd2]*Tr[l[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[l[1,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yd2]*Tr[l[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yd2]*Tr[l[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yd2]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd2]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/16*MatrixProduct[Yd2]*Tr[l[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 45/32*MatrixProduct[Yd2]*Tr[l[1,2]]*alpha2*lam[2,1,2,2]*Doub2
          - 45/32*MatrixProduct[Yd2]*Tr[l[1,2]]*alpha2*lam[2,1,2,2]*Doub1
          + 27/32*MatrixProduct[Yd2]*Tr[l[1,2]]*alpha1*lam[2,1,2,2]*Doub2
          - 27/32*MatrixProduct[Yd2]*Tr[l[1,2]]*alpha1*lam[2,1,2,2]*Doub1
          + 9*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[u[2,1].u[2,2]]
          - 3/8*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[u[2,1].d[2,2]]
          - 3/8*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[u[2,2].d[2,1]]
          + 9*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[d[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2
          + 9/8*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 495/32*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 27/16*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 9/4*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub1
          - 9/16*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         z2
          - 567/32*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 9/8*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 9/40*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1
          + 9/40*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 99/32*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub2
         *z2
          + 9/20*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1
          - 9/80*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1*
         z2
          - 567/160*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 9/40*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 3*MatrixProduct[Yd2]*Tr[l[1,2]]*Tr[l[2,1].l[2,2]]
          + 15/8*MatrixProduct[Yd2]*Tr[l[1,2].l[1,2]]*lam[2,1,2,1]
          + 5/4*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*lam[1,2,2,1]
          + 5/2*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*lam[1,1,2,2]
          + 45/32*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha2
          + 9/16*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha2*z2
          - 3/16*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha2*Doub2
          - 9/16*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha2*Doub2*z2
          - 135/16*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha2*Doub1
          + 9/2*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha2*Doub1*z3
          + 51/80*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha1
          + 9/5*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha1*z3
          + 183/80*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha1*Doub2*z2
          + 69/160*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1
          - 9/2*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*z2
          - 93/40*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*
         Doub2
          + 9/40*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 3/8*MatrixProduct[Yd2]*Tr[l[1,2].l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yd2]*Tr[l[1,2].l[2,2]]*lam[2,1,2,2]
          - 11/8*MatrixProduct[Yd2]*Tr[l[1,2].l[2,2].l[2,1]]
          + 3*MatrixProduct[Yd2]*Tr[l[1,2].l[2,2].l[2,1]]*z3
          - 15/8*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 15/16*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yd2]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 45/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2*lam[1,2,2,2]*Doub2
          + 45/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha2*lam[1,2,2,2]*Doub1
          - 27/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*lam[1,2,2,2]*Doub2
          + 27/32*MatrixProduct[Yd2]*Tr[l[2,1]]*alpha1*lam[1,2,2,2]*Doub1
          + 9*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[u[1,2].u[2,2]]
          - 3/8*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[u[1,2].d[2,2]]
          - 3/8*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[u[2,2].d[1,2]]
          + 9*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[d[1,2].d[2,2]]
          + 3*MatrixProduct[Yd2]*Tr[l[2,1]]*Tr[l[1,2].l[2,2]]
          + 15/8*MatrixProduct[Yd2]*Tr[l[2,1].l[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yd2]*Tr[l[2,1].l[2,2]]*lam[1,2,2,2]
          - 5/8*MatrixProduct[Yd2]*Tr[l[2,2]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yd2]*Tr[l[2,2]]*lam[2,2,2,2]^2
          - 45/8*MatrixProduct[Yd2]*Tr[l[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yd2]*Tr[l[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 5/8*MatrixProduct[Yd2]*Tr[l[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 5/8*MatrixProduct[Yd2]*Tr[l[2,2]]*lam[1,1,2,2]^2
          - 3*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2*alpha3
          - 18*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2*alpha3*z3
          + 3*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2*alpha3*Doub2
          + 18*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2*alpha3*Doub2*z3
          - 755/64*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2^2
          + 9/4*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2^2*z3
          - 45/64*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2^2*z2
          + 15/16*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2^2*Ng
          + 7061/256*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2^2*Doub2
          - 117/8*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2^2*Doub2*z3
          + 45/64*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2^2*Doub2*z2
          - 9/4*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2^2*Doub2*Ng
          + 21/128*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2^2*Doub1
          - 39/64*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha2^2*Doub1*Doub2
          - 3/5*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1*alpha3
          - 18/5*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1*alpha3*z3
          + 3/5*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1*alpha3*Doub2
          + 18/5*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1*alpha3*Doub2*z3
          - 1851/160*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1*alpha2
          + 9/5*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1*alpha2*z3
          - 27/32*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1*alpha2*z2
          + 6171/640*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1*alpha2*Doub2
          + 18/5*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1*alpha2*Doub2*z2
          - 5371/4800*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1^2
          + 99/50*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1^2*z3
          - 297/1600*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1^2*z2
          - 81/80*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1^2*Ng
          - 29993/19200*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1^2*Doub2
          - 9/40*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1^2*Doub2*z3
          + 297/1600*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1^2*Doub2*z2
          - 9/20*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1^2*Doub2*Ng
          - 729/3200*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1^2*Doub1
          - 117/1600*MatrixProduct[Yd2]*Tr[l[2,2]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yd2]*Tr[l[2,2]]*Tr[u[2,2].u[2,2]]
          - 3/4*MatrixProduct[Yd2]*Tr[l[2,2]]*Tr[u[2,2].d[2,2]]
          + 9*MatrixProduct[Yd2]*Tr[l[2,2]]*Tr[d[2,2].d[2,2]]
          - 9/8*MatrixProduct[Yd2]*Tr[l[2,2]]^2*alpha2
          + 9/8*MatrixProduct[Yd2]*Tr[l[2,2]]^2*alpha2*z2
          - 9/8*MatrixProduct[Yd2]*Tr[l[2,2]]^2*alpha2*Doub2*z2
          - 9/40*MatrixProduct[Yd2]*Tr[l[2,2]]^2*alpha1
          + 9/40*MatrixProduct[Yd2]*Tr[l[2,2]]^2*alpha1*z2
          - 9/40*MatrixProduct[Yd2]*Tr[l[2,2]]^2*alpha1*Doub2*z2
          + 3*MatrixProduct[Yd2]*Tr[l[2,2]]*Tr[l[2,2].l[2,2]]
          + 15/4*MatrixProduct[Yd2]*Tr[l[2,2].l[2,2]]*lam[2,2,2,2]
          + 333/32*MatrixProduct[Yd2]*Tr[l[2,2].l[2,2]]*alpha2
          + 9/16*MatrixProduct[Yd2]*Tr[l[2,2].l[2,2]]*alpha2*z2
          - 153/8*MatrixProduct[Yd2]*Tr[l[2,2].l[2,2]]*alpha2*Doub2
          + 9/2*MatrixProduct[Yd2]*Tr[l[2,2].l[2,2]]*alpha2*Doub2*z3
          - 9/16*MatrixProduct[Yd2]*Tr[l[2,2].l[2,2]]*alpha2*Doub2*z2
          + 909/160*MatrixProduct[Yd2]*Tr[l[2,2].l[2,2]]*alpha1
          - 27/10*MatrixProduct[Yd2]*Tr[l[2,2].l[2,2]]*alpha1*z3
          - 63/10*MatrixProduct[Yd2]*Tr[l[2,2].l[2,2]]*alpha1*Doub2
          - 25/32*MatrixProduct[Yd2]*Tr[l[2,2].l[2,2].l[2,2]]
          + 3/2*MatrixProduct[Yd2]*Tr[l[2,2].l[2,2].l[2,2]]*z3
          )

       - 1/2*MatrixProduct[Yd2]*ep);

(* Beta function for Yl[1] *)
   betaYl1 = (

       + fourpiinv * (
          + 3/4*MatrixProduct[l[1,1].Yl1]
          + 1/2*MatrixProduct[l[2,1].Yl2]
          + 1/4*MatrixProduct[l[2,2].Yl1]
          + 3/8*MatrixProduct[Yl1]*alpha2
          - 3/2*MatrixProduct[Yl1]*alpha2*Doub1
          - 33/40*MatrixProduct[Yl1]*alpha1
          - 3/10*MatrixProduct[Yl1]*alpha1*Doub1
          + 3/2*MatrixProduct[Yl1]*Tr[u[1,1]]
          + 3/2*MatrixProduct[Yl1]*Tr[d[1,1]]
          + 1/2*MatrixProduct[Yl1]*Tr[l[1,1]]
          + 3/2*MatrixProduct[Yl2]*Tr[u[2,1]]
          + 3/2*MatrixProduct[Yl2]*Tr[d[2,1]]
          + 1/2*MatrixProduct[Yl2]*Tr[l[2,1]]
          )

       + fourpiinv^2 * (
          + 3/4*MatrixProduct[l[1,1].l[1,1].Yl1]
          - 1/8*MatrixProduct[l[1,1].l[2,2].Yl1]
          - 3*MatrixProduct[l[1,1].Yl1]*lam[1,1,1,1]
          - 27/32*MatrixProduct[l[1,1].Yl1]*alpha2
          + 81/16*MatrixProduct[l[1,1].Yl1]*alpha2*Doub1
          + 189/160*MatrixProduct[l[1,1].Yl1]*alpha1
          + 99/80*MatrixProduct[l[1,1].Yl1]*alpha1*Doub1
          - 27/8*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]
          - 27/8*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]
          - 9/8*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]
          - 3*MatrixProduct[l[1,1].Yl2]*lam[1,1,2,1]
          - 9/4*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]
          - 9/4*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]
          - 3/4*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]
          + 7/8*MatrixProduct[l[1,2].l[2,1].Yl1]
          - 3*MatrixProduct[l[1,2].Yl1]*lam[1,1,2,1]
          - 9/8*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]
          - 9/8*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]
          - 3/8*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]
          - 3*MatrixProduct[l[1,2].Yl2]*lam[2,1,2,1]
          + 7/8*MatrixProduct[l[2,1].l[1,1].Yl2]
          - 1/8*MatrixProduct[l[2,1].l[1,2].Yl1]
          - 1/8*MatrixProduct[l[2,1].l[2,2].Yl2]
          - 3*MatrixProduct[l[2,1].Yl1]*lam[1,1,1,2]
          - 27/8*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]
          - 27/8*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]
          - 9/8*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]
          - MatrixProduct[l[2,1].Yl2]*lam[1,2,2,1]
          - 2*MatrixProduct[l[2,1].Yl2]*lam[1,1,2,2]
          + 3/16*MatrixProduct[l[2,1].Yl2]*alpha2
          + 3*MatrixProduct[l[2,1].Yl2]*alpha2*Doub2
          + 171/80*MatrixProduct[l[2,1].Yl2]*alpha1
          - 33/20*MatrixProduct[l[2,1].Yl2]*alpha1*Doub2
          + 9/20*MatrixProduct[l[2,1].Yl2]*alpha1*Doub1
          - 9/20*MatrixProduct[l[2,1].Yl2]*alpha1*Doub1*Doub2
          - 9/4*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]
          - 9/4*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]
          - 3/4*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]
          + MatrixProduct[l[2,2].l[2,1].Yl2]
          - 1/8*MatrixProduct[l[2,2].l[2,2].Yl1]
          - 2*MatrixProduct[l[2,2].Yl1]*lam[1,2,2,1]
          - MatrixProduct[l[2,2].Yl1]*lam[1,1,2,2]
          - 33/32*MatrixProduct[l[2,2].Yl1]*alpha2
          + 33/16*MatrixProduct[l[2,2].Yl1]*alpha2*Doub2
          + 9/8*MatrixProduct[l[2,2].Yl1]*alpha2*Doub1
          - 9/8*MatrixProduct[l[2,2].Yl1]*alpha2*Doub1*Doub2
          - 153/160*MatrixProduct[l[2,2].Yl1]*alpha1
          + 231/80*MatrixProduct[l[2,2].Yl1]*alpha1*Doub2
          + 9/40*MatrixProduct[l[2,2].Yl1]*alpha1*Doub1
          - 9/40*MatrixProduct[l[2,2].Yl1]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]
          - 9/8*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]
          - 3/8*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]
          - 3*MatrixProduct[l[2,2].Yl2]*lam[2,1,2,2]
          + 1/2*MatrixProduct[Yl1]*lam[1,2,2,1]^2
          + 3/4*MatrixProduct[Yl1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 3/4*MatrixProduct[Yl1]*lam[1,2,1,2]*lam[2,1,2,1]
          + 1/2*MatrixProduct[Yl1]*lam[1,1,2,2]*lam[1,2,2,1]
          + 1/2*MatrixProduct[Yl1]*lam[1,1,2,2]^2
          + 9/4*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/4*MatrixProduct[Yl1]*lam[1,1,1,1]^2
          + 381/64*MatrixProduct[Yl1]*alpha2^2
          - 3/4*MatrixProduct[Yl1]*alpha2^2*Ng
          - 3/32*MatrixProduct[Yl1]*alpha2^2*Doub2
          - 661/64*MatrixProduct[Yl1]*alpha2^2*Doub1
          + 5/4*MatrixProduct[Yl1]*alpha2^2*Doub1*Ng
          + 11/32*MatrixProduct[Yl1]*alpha2^2*Doub1*Doub2
          + 189/160*MatrixProduct[Yl1]*alpha1*alpha2
          - 81/160*MatrixProduct[Yl1]*alpha1*alpha2*Doub1
          - 27/1600*MatrixProduct[Yl1]*alpha1^2
          + 17/20*MatrixProduct[Yl1]*alpha1^2*Ng
          + 123/800*MatrixProduct[Yl1]*alpha1^2*Doub2
          + 231/1600*MatrixProduct[Yl1]*alpha1^2*Doub1
          + 1/4*MatrixProduct[Yl1]*alpha1^2*Doub1*Ng
          + 33/800*MatrixProduct[Yl1]*alpha1^2*Doub1*Doub2
          + 10*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha3
          - 117/16*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2*Doub1
          - 77/80*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1*Doub1
          - 27/8*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1]]
          - 9/8*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]
          + 3/4*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1]]
          - 9/8*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]
          - 9/4*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]
          + 3/2*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1]]
          + 3/2*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]
          + 10*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha3
          - 117/16*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2*Doub1
          - 137/80*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1*Doub1
          - 27/8*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1]]
          - 9/8*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]
          - 9/4*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]
          - 39/16*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha2*Doub1
          + 21/80*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1*Doub1
          - 9/8*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1]]
          - 3/8*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]
          - 3/4*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]
          + 3/4*MatrixProduct[Yl2]*lam[2,1,2,2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[Yl2]*lam[2,1,2,2]*lam[2,2,2,2]
          + 3/4*MatrixProduct[Yl2]*lam[2,1,2,1]*lam[1,2,2,2]
          + 3/4*MatrixProduct[Yl2]*lam[1,1,2,2]*lam[2,1,2,2]
          + 3/4*MatrixProduct[Yl2]*lam[1,1,2,1]*lam[1,2,2,1]
          + 3/4*MatrixProduct[Yl2]*lam[1,1,2,1]*lam[1,1,2,2]
          + 3/4*MatrixProduct[Yl2]*lam[1,1,1,2]*lam[2,1,2,1]
          + 3/4*MatrixProduct[Yl2]*lam[1,1,1,1]*lam[1,1,2,1]
          - 27/8*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]
          + 3/8*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]
          + 10*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha3
          - 117/16*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2
          - 9/8*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*Doub2
          + 9/8*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*Doub1
          + 81/8*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*Doub1*Doub2
          - 77/80*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1
          - 9/40*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*Doub2
          + 9/40*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*Doub1
          + 81/40*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*Doub1*Doub2
          - 27/8*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]
          + 3/8*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]
          + 3/8*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]
          + 3/8*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]
          - 27/8*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]
          + 10*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha3
          - 117/16*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2
          - 9/8*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*Doub2
          + 9/8*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*Doub1
          + 81/8*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*Doub1*Doub2
          - 137/80*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1
          - 9/40*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*Doub2
          + 9/40*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*Doub1
          + 81/40*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*Doub1*Doub2
          - 27/8*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]
          - 39/16*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2
          - 3/8*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2*Doub2
          + 3/8*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2*Doub1
          + 27/8*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2*Doub1*Doub2
          + 21/80*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1
          - 3/40*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*Doub2
          + 3/40*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]
          )

       + fourpiinv^3 * (
          - 345/32*MatrixProduct[l[1,1].l[1,1].l[1,1].Yl1]
          + 9/4*MatrixProduct[l[1,1].l[1,1].l[1,1].Yl1]*z3
          - 13/32*MatrixProduct[l[1,1].l[1,1].l[2,2].Yl1]
          + 63/4*MatrixProduct[l[1,1].l[1,1].Yl1]*lam[1,1,1,1]
          - 225/64*MatrixProduct[l[1,1].l[1,1].Yl1]*alpha2
          + 27/2*MatrixProduct[l[1,1].l[1,1].Yl1]*alpha2*z3
          + 9/64*MatrixProduct[l[1,1].l[1,1].Yl1]*alpha2*z2
          + 9/64*MatrixProduct[l[1,1].l[1,1].Yl1]*alpha2*Doub1
          - 27/2*MatrixProduct[l[1,1].l[1,1].Yl1]*alpha2*Doub1*z3
          - 9/64*MatrixProduct[l[1,1].l[1,1].Yl1]*alpha2*Doub1*z2
          + 129/80*MatrixProduct[l[1,1].l[1,1].Yl1]*alpha1
          + 27/10*MatrixProduct[l[1,1].l[1,1].Yl1]*alpha1*z3
          - 189/320*MatrixProduct[l[1,1].l[1,1].Yl1]*alpha1*z2
          - 867/80*MatrixProduct[l[1,1].l[1,1].Yl1]*alpha1*Doub1
          - 27/10*MatrixProduct[l[1,1].l[1,1].Yl1]*alpha1*Doub1*z3
          + 189/320*MatrixProduct[l[1,1].l[1,1].Yl1]*alpha1*Doub1*z2
          - 9/8*MatrixProduct[l[1,1].l[1,1].Yl1]*Tr[u[1,1]]
          - 9/8*MatrixProduct[l[1,1].l[1,1].Yl1]*Tr[d[1,1]]
          - 3/8*MatrixProduct[l[1,1].l[1,1].Yl1]*Tr[l[1,1]]
          + 45/4*MatrixProduct[l[1,1].l[1,1].Yl2]*lam[1,1,2,1]
          - 9/4*MatrixProduct[l[1,1].l[1,1].Yl2]*Tr[u[2,1]]
          - 9/4*MatrixProduct[l[1,1].l[1,1].Yl2]*Tr[d[2,1]]
          - 3/4*MatrixProduct[l[1,1].l[1,1].Yl2]*Tr[l[2,1]]
          - 43/8*MatrixProduct[l[1,1].l[1,2].l[2,1].Yl1]
          + 9/4*MatrixProduct[l[1,1].l[1,2].l[2,1].Yl1]*z3
          + 21/2*MatrixProduct[l[1,1].l[1,2].Yl1]*lam[1,1,2,1]
          + 27/8*MatrixProduct[l[1,1].l[1,2].Yl1]*Tr[u[2,1]]
          + 27/8*MatrixProduct[l[1,1].l[1,2].Yl1]*Tr[d[2,1]]
          + 9/8*MatrixProduct[l[1,1].l[1,2].Yl1]*Tr[l[2,1]]
          + 6*MatrixProduct[l[1,1].l[1,2].Yl2]*lam[2,1,2,1]
          - 7/2*MatrixProduct[l[1,1].l[2,1].l[1,1].Yl2]
          + 3/2*MatrixProduct[l[1,1].l[2,1].l[1,1].Yl2]*z3
          - 27/16*MatrixProduct[l[1,1].l[2,1].l[1,2].Yl1]
          + 12*MatrixProduct[l[1,1].l[2,1].Yl1]*lam[1,1,1,2]
          - 9/16*MatrixProduct[l[1,1].l[2,1].Yl1]*Tr[u[1,2]]
          - 9/16*MatrixProduct[l[1,1].l[2,1].Yl1]*Tr[d[1,2]]
          - 3/16*MatrixProduct[l[1,1].l[2,1].Yl1]*Tr[l[1,2]]
          + 5/2*MatrixProduct[l[1,1].l[2,1].Yl2]*lam[1,2,2,1]
          + 5*MatrixProduct[l[1,1].l[2,1].Yl2]*lam[1,1,2,2]
          + 63/40*MatrixProduct[l[1,1].l[2,1].Yl2]*alpha1
          - 9/16*MatrixProduct[l[1,1].l[2,1].Yl2]*alpha1*z2
          + 69/40*MatrixProduct[l[1,1].l[2,1].Yl2]*alpha1*Doub2
          + 27/20*MatrixProduct[l[1,1].l[2,1].Yl2]*alpha1*Doub2*z3
          + 9/16*MatrixProduct[l[1,1].l[2,1].Yl2]*alpha1*Doub2*z2
          - 21*MatrixProduct[l[1,1].l[2,1].Yl2]*alpha1*Doub1
          + 27/20*MatrixProduct[l[1,1].l[2,1].Yl2]*alpha1*Doub1*z3
          + 9/16*MatrixProduct[l[1,1].l[2,1].Yl2]*alpha1*Doub1*z2
          + 291/20*MatrixProduct[l[1,1].l[2,1].Yl2]*alpha1*Doub1*Doub2
          - 27/10*MatrixProduct[l[1,1].l[2,1].Yl2]*alpha1*Doub1*Doub2*
         z3
          - 9/16*MatrixProduct[l[1,1].l[2,1].Yl2]*alpha1*Doub1*Doub2*
         z2
          - 27/32*MatrixProduct[l[1,1].l[2,2].l[1,1].Yl1]
          - MatrixProduct[l[1,1].l[2,2].l[2,1].Yl2]
          + 3/2*MatrixProduct[l[1,1].l[2,2].l[2,1].Yl2]*z3
          - 1/32*MatrixProduct[l[1,1].l[2,2].l[2,2].Yl1]
          + 4*MatrixProduct[l[1,1].l[2,2].Yl1]*lam[1,2,2,1]
          + 7/2*MatrixProduct[l[1,1].l[2,2].Yl1]*lam[1,1,2,2]
          + 3/4*MatrixProduct[l[1,1].l[2,2].Yl1]*lam[1,1,1,1]
          + 105/64*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha2
          - 9/64*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha2*z2
          - 195/64*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha2*Doub2
          + 9/64*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha2*Doub2*z2
          - 423/32*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha2*Doub1
          + 27/4*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha2*Doub1*z3
          + 9/64*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha2*Doub1*z2
          + 471/32*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha2*Doub1*Doub2
          - 9*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha2*Doub1*Doub2*
         z2
          - 1191/320*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha1
          - 9/320*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha1*z2
          + 1761/320*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha1*Doub2
          + 9/10*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha1*Doub2*z3
          - 27/320*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha1*Doub2*z2
          - 2577/320*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha1*Doub1
          + 9/4*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha1*Doub1*z3
          + 63/320*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha1*Doub1*z2
          + 1317/320*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha1*Doub1*
         Doub2
          - 9/5*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha1*Doub1*Doub2*z3
          - 27/320*MatrixProduct[l[1,1].l[2,2].Yl1]*alpha1*Doub1*Doub2
         *z2
          - 3/4*MatrixProduct[l[1,1].l[2,2].Yl1]*Tr[u[1,1]]
          + 27/16*MatrixProduct[l[1,1].l[2,2].Yl1]*Tr[u[2,2]]
          - 3/4*MatrixProduct[l[1,1].l[2,2].Yl1]*Tr[d[1,1]]
          + 27/16*MatrixProduct[l[1,1].l[2,2].Yl1]*Tr[d[2,2]]
          - 1/4*MatrixProduct[l[1,1].l[2,2].Yl1]*Tr[l[1,1]]
          + 9/16*MatrixProduct[l[1,1].l[2,2].Yl1]*Tr[l[2,2]]
          + 3*MatrixProduct[l[1,1].l[2,2].Yl2]*lam[2,1,2,2]
          + 3/4*MatrixProduct[l[1,1].l[2,2].Yl2]*lam[1,1,2,1]
          - 3/4*MatrixProduct[l[1,1].l[2,2].Yl2]*Tr[u[2,1]]
          - 3/4*MatrixProduct[l[1,1].l[2,2].Yl2]*Tr[d[2,1]]
          - 1/4*MatrixProduct[l[1,1].l[2,2].Yl2]*Tr[l[2,1]]
          - 9/16*MatrixProduct[l[1,1].Yl1]*lam[1,2,2,1]^2
          - 99/32*MatrixProduct[l[1,1].Yl1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 45/32*MatrixProduct[l[1,1].Yl1]*lam[1,2,1,2]*lam[2,1,2,1]
          + 15/16*MatrixProduct[l[1,1].Yl1]*lam[1,1,2,2]*lam[1,2,2,1]
          + 15/16*MatrixProduct[l[1,1].Yl1]*lam[1,1,2,2]^2
          + 471/32*MatrixProduct[l[1,1].Yl1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 285/32*MatrixProduct[l[1,1].Yl1]*lam[1,1,1,1]^2
          + 3/8*MatrixProduct[l[1,1].Yl1]*alpha2*lam[1,1,1,1]
          - 69/4*MatrixProduct[l[1,1].Yl1]*alpha2*lam[1,1,1,1]*Doub1
          - 17091/256*MatrixProduct[l[1,1].Yl1]*alpha2^2
          + 117/4*MatrixProduct[l[1,1].Yl1]*alpha2^2*z3
          + 63/128*MatrixProduct[l[1,1].Yl1]*alpha2^2*z2
          + 141/32*MatrixProduct[l[1,1].Yl1]*alpha2^2*Ng
          + 183/256*MatrixProduct[l[1,1].Yl1]*alpha2^2*Doub2
          + 59175/512*MatrixProduct[l[1,1].Yl1]*alpha2^2*Doub1
          - 603/16*MatrixProduct[l[1,1].Yl1]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[l[1,1].Yl1]*alpha2^2*Doub1*z2
          - 183/16*MatrixProduct[l[1,1].Yl1]*alpha2^2*Doub1*Ng
          - 159/64*MatrixProduct[l[1,1].Yl1]*alpha2^2*Doub1*Doub2
          + 63/40*MatrixProduct[l[1,1].Yl1]*alpha1*lam[1,1,1,1]
          - 81/20*MatrixProduct[l[1,1].Yl1]*alpha1*lam[1,1,1,1]*Doub1
          - 2205/128*MatrixProduct[l[1,1].Yl1]*alpha1*alpha2
          + 27/5*MatrixProduct[l[1,1].Yl1]*alpha1*alpha2*z3
          - 27/80*MatrixProduct[l[1,1].Yl1]*alpha1*alpha2*z2
          + 14877/1280*MatrixProduct[l[1,1].Yl1]*alpha1*alpha2*Doub1
          + 27/4*MatrixProduct[l[1,1].Yl1]*alpha1*alpha2*Doub1*z3
          + 27/80*MatrixProduct[l[1,1].Yl1]*alpha1*alpha2*Doub1*z2
          - 10719/6400*MatrixProduct[l[1,1].Yl1]*alpha1^2
          + 81/100*MatrixProduct[l[1,1].Yl1]*alpha1^2*z3
          - 891/3200*MatrixProduct[l[1,1].Yl1]*alpha1^2*z2
          + 9/160*MatrixProduct[l[1,1].Yl1]*alpha1^2*Ng
          - 1647/6400*MatrixProduct[l[1,1].Yl1]*alpha1^2*Doub2
          + 56511/12800*MatrixProduct[l[1,1].Yl1]*alpha1^2*Doub1
          - 1701/400*MatrixProduct[l[1,1].Yl1]*alpha1^2*Doub1*z3
          + 891/3200*MatrixProduct[l[1,1].Yl1]*alpha1^2*Doub1*z2
          - 297/80*MatrixProduct[l[1,1].Yl1]*alpha1^2*Doub1*Ng
          - 81/200*MatrixProduct[l[1,1].Yl1]*alpha1^2*Doub1*Doub2
          + 45/2*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*lam[1,1,1,1]
          - 48*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*alpha3
          + 36*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*alpha3*z3
          + 3591/32*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*alpha2
          - 54*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*alpha2*z3
          - 27/16*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*alpha2*z2
          - 3915/32*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*alpha2*Doub1
          + 81/2*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*alpha2*Doub1*z2
          + 1941/80*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*alpha1
          + 9/5*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*alpha1*z3
          - 81/80*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*alpha1*z2
          - 459/16*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*alpha1*Doub1
          + 81/80*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*alpha1*Doub1*z2
          - 81/16*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]^2
          - 81/8*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*Tr[d[1,1]]
          - 27/8*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*Tr[l[1,1]]
          + 27/2*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1].u[1,1]]
          + 9/2*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1].u[2,2]]
          + 9/2*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*lam[1,1,2,1]
          - 81/16*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*Tr[u[2,1]]
          - 81/16*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*Tr[l[2,1]]
          + 9*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2].u[2,1]]
          - 9/2*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2].d[2,1]]
          + 27/2*MatrixProduct[l[1,1].Yl1]*Tr[u[2,1]]*lam[1,1,1,2]
          - 81/16*MatrixProduct[l[1,1].Yl1]*Tr[u[2,1]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[l[1,1].Yl1]*Tr[u[2,1]]*Tr[l[1,2]]
          - 9/2*MatrixProduct[l[1,1].Yl1]*Tr[u[2,1].d[1,2]]
          + 9/2*MatrixProduct[l[1,1].Yl1]*Tr[u[2,2].d[1,1]]
          + 45/2*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*lam[1,1,1,1]
          - 48*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*alpha3
          + 36*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*alpha3*z3
          + 3591/32*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*alpha2
          - 54*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*alpha2*z3
          - 27/16*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*alpha2*z2
          - 3915/32*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*alpha2*Doub1
          + 81/2*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*alpha2*Doub1*z2
          + 2229/80*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*alpha1
          - 9/10*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*alpha1*z3
          - 81/80*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*alpha1*z2
          - 459/16*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*alpha1*Doub1
          + 81/80*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*alpha1*Doub1*z2
          - 81/16*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]^2
          - 27/8*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*Tr[l[1,1]]
          + 27/2*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1].d[1,1]]
          + 9/2*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*lam[1,1,2,1]
          - 81/16*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*Tr[l[2,1]]
          + 9*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2].d[2,1]]
          + 27/2*MatrixProduct[l[1,1].Yl1]*Tr[d[2,1]]*lam[1,1,1,2]
          - 27/16*MatrixProduct[l[1,1].Yl1]*Tr[d[2,1]]*Tr[l[1,2]]
          + 15/2*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]*lam[1,1,1,1]
          + 1197/32*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]*alpha2
          - 18*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]*alpha2*z3
          - 9/16*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]*alpha2*z2
          - 1305/32*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]*alpha2*Doub1*z3
          + 9/16*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]*alpha2*Doub1*z2
          + 423/80*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]*alpha1
          + 27/10*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]*alpha1*z3
          - 27/80*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]*alpha1*z2
          - 153/16*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]*alpha1*Doub1
          + 27/80*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]*alpha1*Doub1*z2
          - 9/16*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]^2
          + 9/2*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1].l[1,1]]
          + 3/2*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*lam[1,1,2,1]
          - 9/16*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2].l[2,1]]
          + 9/2*MatrixProduct[l[1,1].Yl1]*Tr[l[2,1]]*lam[1,1,1,2]
          + 15/16*MatrixProduct[l[1,1].Yl2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 33/16*MatrixProduct[l[1,1].Yl2]*lam[2,1,2,2]*lam[2,2,2,2]
          + 39/16*MatrixProduct[l[1,1].Yl2]*lam[2,1,2,1]*lam[1,2,2,2]
          + 39/16*MatrixProduct[l[1,1].Yl2]*lam[1,1,2,2]*lam[2,1,2,2]
          + 111/16*MatrixProduct[l[1,1].Yl2]*lam[1,1,2,1]*lam[1,2,2,1]
          + 87/16*MatrixProduct[l[1,1].Yl2]*lam[1,1,2,1]*lam[1,1,2,2]
          + 87/16*MatrixProduct[l[1,1].Yl2]*lam[1,1,1,2]*lam[2,1,2,1]
          + 159/16*MatrixProduct[l[1,1].Yl2]*lam[1,1,1,1]*lam[1,1,2,1]
          + 3/8*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,1,2,1]
          - 45/8*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,1,2,1]*Doub2
          - 9/4*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,1,2,1]*Doub2*z3
          - 21/4*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,1,2,1]*Doub1
          - 9*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,1,2,1]*Doub1*z3
          - 51/8*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,1,2,1]*Doub1*Doub2
          + 45/4*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,1,2,1]*Doub1*Doub2*
         z3
          + 63/40*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,1,2,1]
          + 171/40*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,1,2,1]*Doub2
          - 27/20*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,1,2,1]*Doub2*z3
          - 27/4*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,1,2,1]*Doub1
          - 27/10*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,1,2,1]*Doub1*z3
          - 63/40*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,1,2,1]*Doub1*Doub2
          + 81/20*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,1,2,1]*Doub1*Doub2
         *z3
          + 18*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*lam[1,1,2,1]
          - 27/8*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*Tr[u[2,1]]
          - 27/8*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*Tr[l[2,1]]
          + 9*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1].u[2,1]]
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[u[1,2]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*lam[1,2,2,1]
          + 9*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*lam[1,1,1,1]
          - 32*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha3
          + 24*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha3*z3
          + 1521/16*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha2
          - 54*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha2*z3
          - 27/16*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha2*z2
          - 1053/32*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha2*Doub2
          + 81/4*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha2*Doub2*z2
          - 99/2*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha2*Doub1
          + 81/4*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha2*Doub1*z2
          - 18*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha2*Doub1*Doub2
          - 27/32*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 1153/40*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha1
          + 201/10*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha1*z3
          - 27/80*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha1*z2
          + 18*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha1*Doub2
          - 81/10*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha1*Doub2*z3
          + 27/160*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha1*Doub2*
         z2
          + 1071/80*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha1*Doub1
          - 81/10*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha1*Doub1*z2
          - 45/32*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 27/8*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*Tr[u[2,2]]
          - 27/8*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*Tr[d[1,1]]
          - 27/8*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*Tr[l[1,1]]
          - 9/8*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*Tr[l[2,2]]
          + 9*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1].u[2,2]]
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*lam[1,1,2,1]
          - 27/8*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*Tr[l[2,1]]
          + 18*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*lam[1,1,2,1]
          - 27/8*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*Tr[l[2,1]]
          + 9*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1].d[2,1]]
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[d[1,2]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*lam[1,2,2,1]
          + 9*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*lam[1,1,1,1]
          - 32*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha3
          + 24*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha3*z3
          + 1521/16*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha2
          - 54*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha2*z3
          - 27/16*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha2*z2
          - 1053/32*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha2*Doub2
          + 81/4*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha2*Doub2*z2
          - 99/2*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha2*Doub1
          + 81/4*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha2*Doub1*z3
          + 27/16*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha2*Doub1*z2
          - 18*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha2*Doub1*Doub2
          - 27/32*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 1057/40*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha1
          + 183/10*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha1*z3
          - 27/80*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha1*z2
          + 18*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha1*Doub2
          - 81/10*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha1*Doub2*z3
          + 27/160*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha1*Doub2*
         z2
          + 1071/80*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha1*Doub1
          - 81/10*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha1*Doub1*z2
          - 45/32*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 27/8*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*Tr[l[1,1]]
          - 9/8*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*Tr[l[2,2]]
          + 9*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1].d[2,2]]
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*lam[1,1,2,1]
          - 9/8*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]*lam[1,1,2,1]
          - 3/8*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]*Tr[l[2,1]]
          + 3*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1].l[2,1]]
          + 3/2*MatrixProduct[l[1,1].Yl2]*Tr[l[1,2]]*lam[2,1,2,1]
          + 3/2*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*lam[1,2,2,1]
          + 3*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*lam[1,1,2,2]
          + 3/2*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*lam[1,1,1,1]
          + 507/16*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha2
          - 18*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha2*z3
          - 9/16*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha2*z2
          - 351/32*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha2*Doub2
          + 27/4*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha2*Doub2*z2
          - 33/2*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha2*Doub1
          + 27/4*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha2*Doub1*z3
          + 9/16*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha2*Doub1*z2
          - 6*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha2*Doub1*Doub2
          - 9/32*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 459/40*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha1
          + 81/10*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha1*z3
          - 9/80*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha1*z2
          + 6*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha1*Doub2
          - 27/10*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha1*Doub2*z3
          + 9/160*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha1*Doub2*z2
          + 357/80*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha1*Doub1
          - 27/10*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha1*Doub1*z2
          - 15/32*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          - 9/160*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 3/8*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*Tr[l[2,2]]
          + 3*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1].l[2,2]]
          + 3/2*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*lam[1,1,2,1]
          - 5*MatrixProduct[l[1,2].l[1,1].l[2,1].Yl1]
          + 39/4*MatrixProduct[l[1,2].l[1,1].Yl1]*lam[1,1,2,1]
          - 9/4*MatrixProduct[l[1,2].l[1,1].Yl1]*Tr[u[2,1]]
          - 9/4*MatrixProduct[l[1,2].l[1,1].Yl1]*Tr[d[2,1]]
          - 3/4*MatrixProduct[l[1,2].l[1,1].Yl1]*Tr[l[2,1]]
          + 21/4*MatrixProduct[l[1,2].l[1,1].Yl2]*lam[2,1,2,1]
          + 9/2*MatrixProduct[l[1,2].l[1,2].Yl1]*lam[2,1,2,1]
          - 19/4*MatrixProduct[l[1,2].l[2,1].l[1,1].Yl1]
          + 3/4*MatrixProduct[l[1,2].l[2,1].l[1,1].Yl1]*z3
          - 5/2*MatrixProduct[l[1,2].l[2,1].l[2,1].Yl2]
          - 33/16*MatrixProduct[l[1,2].l[2,1].l[2,2].Yl1]
          + 11/2*MatrixProduct[l[1,2].l[2,1].Yl1]*lam[1,2,2,1]
          + 7/2*MatrixProduct[l[1,2].l[2,1].Yl1]*lam[1,1,2,2]
          + 3*MatrixProduct[l[1,2].l[2,1].Yl1]*lam[1,1,1,1]
          - 165/32*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha2
          + 27/2*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha2*z3
          + 9/32*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha2*z2
          - 81/32*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha2*Doub2
          - 9/2*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha2*Doub2*z3
          - 9/32*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha2*Doub2*z2
          + 159/64*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha2*Doub1
          - 9*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha2*Doub1*z3
          - 9/32*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha2*Doub1*z2
          + 111/64*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha2*Doub1*Doub2
          + 9/4*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha2*Doub1*Doub2*z3
          + 9/32*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha2*Doub1*Doub2*
         z2
          + 1203/320*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha1
          + 27/10*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha1*z3
          + 99/160*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha1*Doub2
          - 9/5*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha1*Doub2*z3
          - 63/160*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha1*Doub2*z2
          - 351/32*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha1*Doub1
          - 9/10*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha1*Doub1*z2
          + 171/64*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[l[1,2].l[2,1].Yl1]*alpha1*Doub1*Doub2*
         z2
          + 3/16*MatrixProduct[l[1,2].l[2,1].Yl1]*Tr[u[1,1]]
          - 9/4*MatrixProduct[l[1,2].l[2,1].Yl1]*Tr[u[2,2]]
          + 3/16*MatrixProduct[l[1,2].l[2,1].Yl1]*Tr[d[1,1]]
          - 9/4*MatrixProduct[l[1,2].l[2,1].Yl1]*Tr[d[2,2]]
          + 1/16*MatrixProduct[l[1,2].l[2,1].Yl1]*Tr[l[1,1]]
          - 3/4*MatrixProduct[l[1,2].l[2,1].Yl1]*Tr[l[2,2]]
          + 9/2*MatrixProduct[l[1,2].l[2,1].Yl2]*lam[2,1,2,2]
          + 3*MatrixProduct[l[1,2].l[2,1].Yl2]*lam[1,1,2,1]
          - 3/2*MatrixProduct[l[1,2].l[2,1].Yl2]*Tr[u[2,1]]
          - 3/2*MatrixProduct[l[1,2].l[2,1].Yl2]*Tr[d[2,1]]
          - 1/2*MatrixProduct[l[1,2].l[2,1].Yl2]*Tr[l[2,1]]
          - 83/16*MatrixProduct[l[1,2].l[2,2].l[2,1].Yl1]
          + 3/4*MatrixProduct[l[1,2].l[2,2].l[2,1].Yl1]*z3
          + 9/2*MatrixProduct[l[1,2].l[2,2].Yl1]*lam[2,1,2,2]
          + 15/4*MatrixProduct[l[1,2].l[2,2].Yl1]*lam[1,1,2,1]
          + 27/16*MatrixProduct[l[1,2].l[2,2].Yl1]*Tr[u[2,1]]
          + 27/16*MatrixProduct[l[1,2].l[2,2].Yl1]*Tr[d[2,1]]
          + 9/16*MatrixProduct[l[1,2].l[2,2].Yl1]*Tr[l[2,1]]
          + 15/4*MatrixProduct[l[1,2].l[2,2].Yl2]*lam[2,1,2,1]
          + 63/32*MatrixProduct[l[1,2].Yl1]*lam[2,1,2,2]*lam[1,2,2,1]
          - 33/32*MatrixProduct[l[1,2].Yl1]*lam[2,1,2,2]*lam[2,2,2,2]
          + 111/32*MatrixProduct[l[1,2].Yl1]*lam[2,1,2,1]*lam[1,2,2,2]
          + 111/32*MatrixProduct[l[1,2].Yl1]*lam[1,1,2,2]*lam[2,1,2,2]
          + 255/32*MatrixProduct[l[1,2].Yl1]*lam[1,1,2,1]*lam[1,2,2,1]
          + 207/32*MatrixProduct[l[1,2].Yl1]*lam[1,1,2,1]*lam[1,1,2,2]
          + 207/32*MatrixProduct[l[1,2].Yl1]*lam[1,1,1,2]*lam[2,1,2,1]
          + 351/32*MatrixProduct[l[1,2].Yl1]*lam[1,1,1,1]*lam[1,1,2,1]
          + 3/8*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,1,2,1]
          + 27/8*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,1,2,1]*Doub2
          - 9/4*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,1,2,1]*Doub2*z3
          - 81/4*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,1,2,1]*Doub1
          - 9/2*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,1,2,1]*Doub1*z3
          - 3/8*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,1,2,1]*Doub1*Doub2
          + 27/4*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,1,2,1]*Doub1*Doub2*
         z3
          + 63/40*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,1,2,1]
          - 153/40*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,1,2,1]*Doub2
          - 27/20*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,1,2,1]*Doub2*z3
          + 27/20*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,1,2,1]*Doub1
          - 27/10*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,1,2,1]*Doub1*z3
          - 63/40*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,1,2,1]*Doub1*Doub2
          + 81/20*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,1,2,1]*Doub1*Doub2
         *z3
          + 18*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1].u[2,1]]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[u[1,2]]*lam[2,1,2,1]
          + 9*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*lam[1,1,1,1]
          - 16*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha3
          + 12*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha3*z3
          + 549/32*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha2
          - 639/128*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha2*Doub2
          - 1341/128*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha2*Doub1
          - 207/32*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          + 4247/80*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha1
          - 183/10*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha1*z3
          - 27/40*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha1*z2
          - 16353/640*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha1*
         Doub2
          + 81/10*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha1*Doub2*z2
          - 21879/640*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha1*
         Doub1
          + 81/10*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha1*Doub1*z3
          + 27/40*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 27/16*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*Tr[u[2,2]]
          - 27/16*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*Tr[d[1,1]]
          - 27/16*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1].u[2,2]]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2]]*Tr[l[2,1]]
          + 18*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1].d[2,1]]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[d[1,2]]*lam[2,1,2,1]
          + 9*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*lam[1,1,1,1]
          - 16*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha3
          + 12*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha3*z3
          + 549/32*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha2
          - 639/128*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha2*Doub2
          - 1341/128*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha2*Doub1
          - 207/32*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          + 4343/80*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha1
          - 96/5*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha1*z3
          - 27/40*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha1*z2
          - 16353/640*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha1*
         Doub2
          + 81/10*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha1*Doub2*z2
          - 21879/640*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha1*
         Doub1
          + 81/10*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha1*Doub1*z3
          + 27/40*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 27/16*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1].d[2,2]]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[d[2,2]]*lam[1,1,2,1]
          - 9/16*MatrixProduct[l[1,2].Yl1]*Tr[d[2,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]*lam[1,1,2,1]
          - 3/16*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]*Tr[l[2,1]]
          + 3/2*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1].l[2,1]]
          + 3/2*MatrixProduct[l[1,2].Yl1]*Tr[l[1,2]]*lam[2,1,2,1]
          + 3*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*lam[1,1,2,2]
          + 3/2*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*lam[1,1,1,1]
          + 183/32*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha2
          - 213/128*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha2*Doub2
          - 447/128*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha2*Doub1
          - 69/32*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          + 1341/80*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha1
          - 27/5*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha1*z3
          - 9/40*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha1*z2
          - 5451/640*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha1*Doub2
          + 27/10*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha1*Doub2*z2
          - 7293/640*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha1*Doub1
          + 27/10*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha1*Doub1*z3
          + 9/40*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha1*Doub1*z2
          + 57/160*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          - 9/80*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 3/16*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*Tr[l[2,2]]
          + 3/2*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1].l[2,2]]
          + 3/2*MatrixProduct[l[1,2].Yl1]*Tr[l[2,2]]*lam[1,1,2,1]
          + 15/2*MatrixProduct[l[1,2].Yl2]*lam[2,1,2,2]^2
          + 9*MatrixProduct[l[1,2].Yl2]*lam[2,1,2,1]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[1,2].Yl2]*lam[2,1,2,1]*lam[2,2,2,2]
          + 6*MatrixProduct[l[1,2].Yl2]*lam[1,1,2,2]*lam[2,1,2,1]
          + 9*MatrixProduct[l[1,2].Yl2]*lam[1,1,2,1]*lam[2,1,2,2]
          + 15/2*MatrixProduct[l[1,2].Yl2]*lam[1,1,2,1]^2
          + 9/2*MatrixProduct[l[1,2].Yl2]*lam[1,1,1,1]*lam[2,1,2,1]
          + 3/8*MatrixProduct[l[1,2].Yl2]*alpha2*lam[2,1,2,1]
          - 33/8*MatrixProduct[l[1,2].Yl2]*alpha2*lam[2,1,2,1]*Doub2
          - 81/8*MatrixProduct[l[1,2].Yl2]*alpha2*lam[2,1,2,1]*Doub1
          - 9*MatrixProduct[l[1,2].Yl2]*alpha2*lam[2,1,2,1]*Doub1*z3
          - 3*MatrixProduct[l[1,2].Yl2]*alpha2*lam[2,1,2,1]*Doub1*Doub2
          + 9*MatrixProduct[l[1,2].Yl2]*alpha2*lam[2,1,2,1]*Doub1*Doub2*z3
          + 63/40*MatrixProduct[l[1,2].Yl2]*alpha1*lam[2,1,2,1]
          - 27/40*MatrixProduct[l[1,2].Yl2]*alpha1*lam[2,1,2,1]*Doub2
          - 99/40*MatrixProduct[l[1,2].Yl2]*alpha1*lam[2,1,2,1]*Doub1
          - 27/10*MatrixProduct[l[1,2].Yl2]*alpha1*lam[2,1,2,1]*Doub1*z3
          - 9/10*MatrixProduct[l[1,2].Yl2]*alpha1*lam[2,1,2,1]*Doub1*Doub2
          + 27/10*MatrixProduct[l[1,2].Yl2]*alpha1*lam[2,1,2,1]*Doub1*Doub2
         *z3
          + 27/2*MatrixProduct[l[1,2].Yl2]*Tr[u[1,1]]*lam[2,1,2,1]
          + 27/2*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*lam[2,1,2,2]
          + 9*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*lam[1,1,2,1]
          + 9*MatrixProduct[l[1,2].Yl2]*Tr[u[2,2]]*lam[2,1,2,1]
          + 27/2*MatrixProduct[l[1,2].Yl2]*Tr[d[1,1]]*lam[2,1,2,1]
          + 27/2*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*lam[2,1,2,2]
          + 9*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*lam[1,1,2,1]
          + 9*MatrixProduct[l[1,2].Yl2]*Tr[d[2,2]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[l[1,2].Yl2]*Tr[l[1,1]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*lam[2,1,2,2]
          + 3*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*lam[1,1,2,1]
          + 3*MatrixProduct[l[1,2].Yl2]*Tr[l[2,2]]*lam[2,1,2,1]
          - 209/32*MatrixProduct[l[2,1].l[1,1].l[1,1].Yl2]
          - 55/16*MatrixProduct[l[2,1].l[1,1].l[1,2].Yl1]
          + 9/4*MatrixProduct[l[2,1].l[1,1].l[1,2].Yl1]*z3
          - 13/32*MatrixProduct[l[2,1].l[1,1].l[2,2].Yl2]
          + 45/4*MatrixProduct[l[2,1].l[1,1].Yl1]*lam[1,1,1,2]
          - 9/16*MatrixProduct[l[2,1].l[1,1].Yl1]*Tr[u[1,2]]
          - 9/16*MatrixProduct[l[2,1].l[1,1].Yl1]*Tr[d[1,2]]
          - 3/16*MatrixProduct[l[2,1].l[1,1].Yl1]*Tr[l[1,2]]
          + 25/4*MatrixProduct[l[2,1].l[1,1].Yl2]*lam[1,2,2,1]
          + 7/2*MatrixProduct[l[2,1].l[1,1].Yl2]*lam[1,1,2,2]
          + 3*MatrixProduct[l[2,1].l[1,1].Yl2]*lam[1,1,1,1]
          - 345/64*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha2
          + 27/2*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha2*z3
          - 237/32*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha2*Doub2
          - 9/4*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha2*Doub2*z3
          - 111/64*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha2*Doub1
          - 27/4*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha2*Doub1*z3
          + 111/8*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha2*Doub1*Doub2
          - 27/4*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha2*Doub1*Doub2*
         z3
          - 3009/320*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha1
          + 27/10*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha1*z3
          - 729/160*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha1*Doub2
          + 9/4*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha1*Doub2*z2
          + 1161/160*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha1*Doub1
          - 9/4*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha1*Doub1*z2
          + 171/64*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[l[2,1].l[1,1].Yl2]*alpha1*Doub1*Doub2*
         z2
          + 3/16*MatrixProduct[l[2,1].l[1,1].Yl2]*Tr[u[1,1]]
          - 9/4*MatrixProduct[l[2,1].l[1,1].Yl2]*Tr[u[2,2]]
          + 3/16*MatrixProduct[l[2,1].l[1,1].Yl2]*Tr[d[1,1]]
          - 9/4*MatrixProduct[l[2,1].l[1,1].Yl2]*Tr[d[2,2]]
          + 1/16*MatrixProduct[l[2,1].l[1,1].Yl2]*Tr[l[1,1]]
          - 3/4*MatrixProduct[l[2,1].l[1,1].Yl2]*Tr[l[2,2]]
          - 13/16*MatrixProduct[l[2,1].l[1,2].l[1,1].Yl1]
          - 31/8*MatrixProduct[l[2,1].l[1,2].l[2,1].Yl2]
          - 3/2*MatrixProduct[l[2,1].l[1,2].l[2,2].Yl1]
          + 9/4*MatrixProduct[l[2,1].l[1,2].l[2,2].Yl1]*z3
          + 5/2*MatrixProduct[l[2,1].l[1,2].Yl1]*lam[1,2,2,1]
          + 5*MatrixProduct[l[2,1].l[1,2].Yl1]*lam[1,1,2,2]
          + 3/2*MatrixProduct[l[2,1].l[1,2].Yl1]*lam[1,1,1,1]
          - 21/32*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha2
          + 9/32*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha2*z2
          - 81/32*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha2*Doub2
          + 9/4*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha2*Doub2*z3
          + 15/32*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha2*Doub1
          - 9/32*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha2*Doub1*z2
          + 843/320*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha1
          - 9/80*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha1*z2
          - 4431/320*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha1*Doub2
          - 9/20*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha1*Doub2*z3
          + 81/160*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha1*Doub2*z2
          + 807/320*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha1*Doub1
          + 9/10*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha1*Doub1*z3
          - 9/40*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha1*Doub1*z2
          + 1911/320*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha1*Doub1*
         Doub2
          - 9/5*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha1*Doub1*Doub2*z3
          - 27/160*MatrixProduct[l[2,1].l[1,2].Yl1]*alpha1*Doub1*Doub2
         *z2
          - 3/4*MatrixProduct[l[2,1].l[1,2].Yl1]*Tr[u[1,1]]
          + 27/16*MatrixProduct[l[2,1].l[1,2].Yl1]*Tr[u[2,2]]
          - 3/4*MatrixProduct[l[2,1].l[1,2].Yl1]*Tr[d[1,1]]
          + 27/16*MatrixProduct[l[2,1].l[1,2].Yl1]*Tr[d[2,2]]
          - 1/4*MatrixProduct[l[2,1].l[1,2].Yl1]*Tr[l[1,1]]
          + 9/16*MatrixProduct[l[2,1].l[1,2].Yl1]*Tr[l[2,2]]
          + 6*MatrixProduct[l[2,1].l[1,2].Yl2]*lam[2,1,2,2]
          + 9/2*MatrixProduct[l[2,1].l[1,2].Yl2]*lam[1,1,2,1]
          + 27/16*MatrixProduct[l[2,1].l[1,2].Yl2]*Tr[u[2,1]]
          + 27/16*MatrixProduct[l[2,1].l[1,2].Yl2]*Tr[d[2,1]]
          + 9/16*MatrixProduct[l[2,1].l[1,2].Yl2]*Tr[l[2,1]]
          - 35/8*MatrixProduct[l[2,1].l[2,1].l[1,2].Yl2]
          + 3/2*MatrixProduct[l[2,1].l[2,1].l[1,2].Yl2]*z3
          + 15/2*MatrixProduct[l[2,1].l[2,1].Yl1]*lam[1,2,1,2]
          + 6*MatrixProduct[l[2,1].l[2,1].Yl2]*lam[1,2,2,2]
          + 3*MatrixProduct[l[2,1].l[2,1].Yl2]*lam[1,1,1,2]
          + 3/16*MatrixProduct[l[2,1].l[2,1].Yl2]*Tr[u[1,2]]
          + 3/16*MatrixProduct[l[2,1].l[2,1].Yl2]*Tr[d[1,2]]
          + 1/16*MatrixProduct[l[2,1].l[2,1].Yl2]*Tr[l[1,2]]
          - 45/32*MatrixProduct[l[2,1].l[2,2].l[1,1].Yl2]
          - 1/4*MatrixProduct[l[2,1].l[2,2].l[1,2].Yl1]
          - 33/32*MatrixProduct[l[2,1].l[2,2].l[2,2].Yl2]
          + 3/2*MatrixProduct[l[2,1].l[2,2].l[2,2].Yl2]*z3
          + 9/2*MatrixProduct[l[2,1].l[2,2].Yl1]*lam[1,2,2,2]
          + 9/4*MatrixProduct[l[2,1].l[2,2].Yl1]*lam[1,1,1,2]
          - 3/2*MatrixProduct[l[2,1].l[2,2].Yl1]*Tr[u[1,2]]
          - 3/2*MatrixProduct[l[2,1].l[2,2].Yl1]*Tr[d[1,2]]
          - 1/2*MatrixProduct[l[2,1].l[2,2].Yl1]*Tr[l[1,2]]
          + 7/4*MatrixProduct[l[2,1].l[2,2].Yl2]*lam[1,2,2,1]
          + 3*MatrixProduct[l[2,1].l[2,2].Yl2]*lam[2,2,2,2]
          + 7/2*MatrixProduct[l[2,1].l[2,2].Yl2]*lam[1,1,2,2]
          - 57/64*MatrixProduct[l[2,1].l[2,2].Yl2]*alpha2
          + 63/64*MatrixProduct[l[2,1].l[2,2].Yl2]*alpha2*Doub2
          - 9/4*MatrixProduct[l[2,1].l[2,2].Yl2]*alpha2*Doub2*z3
          - 3369/320*MatrixProduct[l[2,1].l[2,2].Yl2]*alpha1
          - 9/80*MatrixProduct[l[2,1].l[2,2].Yl2]*alpha1*z2
          + 2463/320*MatrixProduct[l[2,1].l[2,2].Yl2]*alpha1*Doub2
          + 27/20*MatrixProduct[l[2,1].l[2,2].Yl2]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[l[2,1].l[2,2].Yl2]*alpha1*Doub2*z2
          - 327/160*MatrixProduct[l[2,1].l[2,2].Yl2]*alpha1*Doub1
          + 327/160*MatrixProduct[l[2,1].l[2,2].Yl2]*alpha1*Doub1*
         Doub2
          + 15/16*MatrixProduct[l[2,1].l[2,2].Yl2]*Tr[u[2,2]]
          + 15/16*MatrixProduct[l[2,1].l[2,2].Yl2]*Tr[d[2,2]]
          + 5/16*MatrixProduct[l[2,1].l[2,2].Yl2]*Tr[l[2,2]]
          - 3/32*MatrixProduct[l[2,1].Yl1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 99/32*MatrixProduct[l[2,1].Yl1]*lam[1,2,2,2]*lam[2,2,2,2]
          + 45/32*MatrixProduct[l[2,1].Yl1]*lam[1,2,1,2]*lam[2,1,2,2]
          + 45/32*MatrixProduct[l[2,1].Yl1]*lam[1,1,2,2]*lam[1,2,2,2]
          + 141/32*MatrixProduct[l[2,1].Yl1]*lam[1,1,2,1]*lam[1,2,1,2]
          + 189/32*MatrixProduct[l[2,1].Yl1]*lam[1,1,1,2]*lam[1,2,2,1]
          + 141/32*MatrixProduct[l[2,1].Yl1]*lam[1,1,1,2]*lam[1,1,2,2]
          + 285/32*MatrixProduct[l[2,1].Yl1]*lam[1,1,1,1]*lam[1,1,1,2]
          + 3/8*MatrixProduct[l[2,1].Yl1]*alpha2*lam[1,1,1,2]
          - 45/8*MatrixProduct[l[2,1].Yl1]*alpha2*lam[1,1,1,2]*Doub2
          - 9*MatrixProduct[l[2,1].Yl1]*alpha2*lam[1,1,1,2]*Doub2*z3
          - 15/4*MatrixProduct[l[2,1].Yl1]*alpha2*lam[1,1,1,2]*Doub1
          - 63/8*MatrixProduct[l[2,1].Yl1]*alpha2*lam[1,1,1,2]*Doub1*Doub2
          + 9*MatrixProduct[l[2,1].Yl1]*alpha2*lam[1,1,1,2]*Doub1*Doub2*z3
          + 63/40*MatrixProduct[l[2,1].Yl1]*alpha1*lam[1,1,1,2]
          - 9/8*MatrixProduct[l[2,1].Yl1]*alpha1*lam[1,1,1,2]*Doub2
          - 27/10*MatrixProduct[l[2,1].Yl1]*alpha1*lam[1,1,1,2]*Doub2*z3
          - 9/20*MatrixProduct[l[2,1].Yl1]*alpha1*lam[1,1,1,2]*Doub1
          - 99/40*MatrixProduct[l[2,1].Yl1]*alpha1*lam[1,1,1,2]*Doub1*Doub2
          + 27/10*MatrixProduct[l[2,1].Yl1]*alpha1*lam[1,1,1,2]*Doub1*Doub2
         *z3
          + 9*MatrixProduct[l[2,1].Yl1]*Tr[u[1,1]]*lam[1,1,1,2]
          - 81/16*MatrixProduct[l[2,1].Yl1]*Tr[u[1,1]]*Tr[u[1,2]]
          - 81/16*MatrixProduct[l[2,1].Yl1]*Tr[u[1,1]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[l[2,1].Yl1]*Tr[u[1,1]]*Tr[l[1,2]]
          + 27/2*MatrixProduct[l[2,1].Yl1]*Tr[u[1,1].u[1,2]]
          + 9/2*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*lam[1,1,2,2]
          + 27/2*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*lam[1,1,1,1]
          - 48*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*alpha3
          + 36*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*alpha3*z3
          + 2763/32*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*alpha2
          - 54*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*alpha2*z3
          - 3879/128*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*alpha2*Doub2
          + 81/4*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*alpha2*Doub2*z3
          - 4437/128*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*alpha2*Doub1
          + 81/4*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*alpha2*Doub1*z3
          - 63/2*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          + 699/80*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*alpha1
          + 9/5*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*alpha1*z3
          - 1917/640*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*alpha1*Doub2
          - 3591/640*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*alpha1*Doub1
          - 729/160*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          - 81/16*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*Tr[u[2,2]]
          - 81/16*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*Tr[d[1,1]]
          - 81/16*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*Tr[d[2,2]]
          - 27/16*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*Tr[l[1,1]]
          - 27/16*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2].u[2,2]]
          + 27/2*MatrixProduct[l[2,1].Yl1]*Tr[u[2,2]]*lam[1,1,1,2]
          - 81/16*MatrixProduct[l[2,1].Yl1]*Tr[u[2,2]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[l[2,1].Yl1]*Tr[u[2,2]]*Tr[l[1,2]]
          + 9*MatrixProduct[l[2,1].Yl1]*Tr[d[1,1]]*lam[1,1,1,2]
          - 81/16*MatrixProduct[l[2,1].Yl1]*Tr[d[1,1]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[l[2,1].Yl1]*Tr[d[1,1]]*Tr[l[1,2]]
          + 27/2*MatrixProduct[l[2,1].Yl1]*Tr[d[1,1].d[1,2]]
          + 9/2*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*lam[1,1,2,2]
          + 27/2*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*lam[1,1,1,1]
          - 48*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*alpha3
          + 36*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*alpha3*z3
          + 2763/32*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*alpha2
          - 54*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*alpha2*z3
          - 3879/128*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*alpha2*Doub2
          + 81/4*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*alpha2*Doub2*z3
          - 4437/128*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*alpha2*Doub1
          + 81/4*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*alpha2*Doub1*z3
          - 63/2*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          + 987/80*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*alpha1
          - 9/10*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*alpha1*z3
          - 1917/640*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*alpha1*Doub2
          - 3591/640*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*alpha1*Doub1
          - 729/160*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          - 81/16*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*Tr[d[2,2]]
          - 27/16*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*Tr[l[1,1]]
          - 27/16*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2].d[2,2]]
          + 27/2*MatrixProduct[l[2,1].Yl1]*Tr[d[2,2]]*lam[1,1,1,2]
          - 27/16*MatrixProduct[l[2,1].Yl1]*Tr[d[2,2]]*Tr[l[1,2]]
          + 3*MatrixProduct[l[2,1].Yl1]*Tr[l[1,1]]*lam[1,1,1,2]
          - 9/16*MatrixProduct[l[2,1].Yl1]*Tr[l[1,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[l[2,1].Yl1]*Tr[l[1,1].l[1,2]]
          + 3/2*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*lam[1,1,2,2]
          + 9/2*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*lam[1,1,1,1]
          + 921/32*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*alpha2
          - 18*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*alpha2*z3
          - 1293/128*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*alpha2*Doub2
          + 27/4*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*alpha2*Doub2*z3
          - 1479/128*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*alpha2*Doub1
          + 27/4*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*alpha2*Doub1*z3
          - 21/2*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          + 9/80*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*alpha1
          + 27/10*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*alpha1*z3
          - 639/640*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*alpha1*Doub2
          - 1197/640*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*alpha1*Doub1
          - 243/160*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          - 9/16*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2].l[2,2]]
          + 9/2*MatrixProduct[l[2,1].Yl1]*Tr[l[2,2]]*lam[1,1,1,2]
          + 21/8*MatrixProduct[l[2,1].Yl2]*lam[1,2,2,1]^2
          + 3/2*MatrixProduct[l[2,1].Yl2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 33/16*MatrixProduct[l[2,1].Yl2]*lam[2,2,2,2]^2
          + 21/16*MatrixProduct[l[2,1].Yl2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 15/16*MatrixProduct[l[2,1].Yl2]*lam[1,2,1,2]*lam[2,1,2,1]
          + 21/8*MatrixProduct[l[2,1].Yl2]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3*MatrixProduct[l[2,1].Yl2]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/8*MatrixProduct[l[2,1].Yl2]*lam[1,1,2,2]^2
          + 9/2*MatrixProduct[l[2,1].Yl2]*lam[1,1,2,1]*lam[1,2,2,2]
          + 9/2*MatrixProduct[l[2,1].Yl2]*lam[1,1,1,2]*lam[2,1,2,2]
          + 87/16*MatrixProduct[l[2,1].Yl2]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[l[2,1].Yl2]*lam[1,1,1,1]*lam[1,2,2,1]
          + 3*MatrixProduct[l[2,1].Yl2]*lam[1,1,1,1]*lam[1,1,2,2]
          + 9/8*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,2,2,1]
          - 45/8*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,2,2,1]*Doub2
          - 9/2*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,2,2,1]*Doub2*z3
          + 15/8*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,2,2,1]*Doub1
          - 9/4*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,2,2,1]*Doub1*z3
          - 3*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 27/4*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,2,2,1]*Doub1*Doub2*
         z3
          - 3/4*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,1,2,2]
          - 45/4*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,1,2,2]*Doub2
          + 3/4*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,1,2,2]*Doub1
          - 477/64*MatrixProduct[l[2,1].Yl2]*alpha2^2
          + 9*MatrixProduct[l[2,1].Yl2]*alpha2^2*z3
          + 3/16*MatrixProduct[l[2,1].Yl2]*alpha2^2*Ng
          + 10473/256*MatrixProduct[l[2,1].Yl2]*alpha2^2*Doub2
          - 45/8*MatrixProduct[l[2,1].Yl2]*alpha2^2*Doub2*z3
          - 21/4*MatrixProduct[l[2,1].Yl2]*alpha2^2*Doub2*Ng
          + 561/128*MatrixProduct[l[2,1].Yl2]*alpha2^2*Doub1
          - 9/4*MatrixProduct[l[2,1].Yl2]*alpha2^2*Doub1*z3
          - 267/64*MatrixProduct[l[2,1].Yl2]*alpha2^2*Doub1*Doub2
          - 27/8*MatrixProduct[l[2,1].Yl2]*alpha2^2*Doub1*Doub2*z3
          + 21/40*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,2,2,1]
          + 27/40*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,2,2,1]*Doub2
          - 9/10*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,2,2,1]*Doub2*z3
          - 57/40*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,2,2,1]*Doub1
          - 9/20*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 3/5*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/20*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,2,2,1]*Doub1*Doub2
         *z3
          + 21/20*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,1,2,2]
          + 27/20*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,1,2,2]*Doub2
          - 9/5*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,1,2,2]*Doub2*z3
          - 57/20*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,1,2,2]*Doub1
          - 9/10*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,1,2,2]*Doub1*z3
          - 6/5*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          + 27/10*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,1,2,2]*Doub1*Doub2
         *z3
          - 1107/160*MatrixProduct[l[2,1].Yl2]*alpha1*alpha2
          + 27/5*MatrixProduct[l[2,1].Yl2]*alpha1*alpha2*z3
          - 27/160*MatrixProduct[l[2,1].Yl2]*alpha1*alpha2*z2
          - 909/640*MatrixProduct[l[2,1].Yl2]*alpha1*alpha2*Doub2
          + 81/20*MatrixProduct[l[2,1].Yl2]*alpha1*alpha2*Doub2*z3
          + 27/160*MatrixProduct[l[2,1].Yl2]*alpha1*alpha2*Doub2*z2
          + 5409/640*MatrixProduct[l[2,1].Yl2]*alpha1*alpha2*Doub1
          + 81/40*MatrixProduct[l[2,1].Yl2]*alpha1*alpha2*Doub1*z3
          - 27/320*MatrixProduct[l[2,1].Yl2]*alpha1*alpha2*Doub1*z2
          - 909/128*MatrixProduct[l[2,1].Yl2]*alpha1*alpha2*Doub1*
         Doub2
          - 81/40*MatrixProduct[l[2,1].Yl2]*alpha1*alpha2*Doub1*Doub2*
         z3
          + 27/320*MatrixProduct[l[2,1].Yl2]*alpha1*alpha2*Doub1*Doub2
         *z2
          - 7947/1600*MatrixProduct[l[2,1].Yl2]*alpha1^2
          + 27/25*MatrixProduct[l[2,1].Yl2]*alpha1^2*z3
          + 297/800*MatrixProduct[l[2,1].Yl2]*alpha1^2*z2
          - 417/80*MatrixProduct[l[2,1].Yl2]*alpha1^2*Ng
          + 43929/6400*MatrixProduct[l[2,1].Yl2]*alpha1^2*Doub2
          - 189/40*MatrixProduct[l[2,1].Yl2]*alpha1^2*Doub2*z3
          - 297/800*MatrixProduct[l[2,1].Yl2]*alpha1^2*Doub2*z2
          + 18/5*MatrixProduct[l[2,1].Yl2]*alpha1^2*Doub2*Ng
          + 351/800*MatrixProduct[l[2,1].Yl2]*alpha1^2*Doub1
          - 243/200*MatrixProduct[l[2,1].Yl2]*alpha1^2*Doub1*z3
          + 297/1600*MatrixProduct[l[2,1].Yl2]*alpha1^2*Doub1*z2
          - 2547/3200*MatrixProduct[l[2,1].Yl2]*alpha1^2*Doub1*Doub2
          + 27/50*MatrixProduct[l[2,1].Yl2]*alpha1^2*Doub1*Doub2*z3
          - 297/1600*MatrixProduct[l[2,1].Yl2]*alpha1^2*Doub1*Doub2*z2
          + 3/2*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1]]*lam[1,2,2,1]
          + 3*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1]]*lam[1,1,2,2]
          + 117/10*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1]]*alpha1
          - 27/40*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1]]*alpha1*z2
          - 9*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1]]*alpha1*Doub2
          + 27/40*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1]]*alpha1*Doub2*z2
          - 117/10*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1]]*alpha1*Doub1*z2
          + 9*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1]]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 3*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1].u[2,2]]
          - 3*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1].d[2,2]]*z3
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*lam[2,1,2,2]
          + 27/2*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*lam[1,1,2,1]
          - 27/8*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/8*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2].u[2,1]]
          + 3*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2].d[2,1]]
          - 9*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2].d[2,1]]*z3
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[u[2,1]]*lam[1,1,1,2]
          - 27/8*MatrixProduct[l[2,1].Yl2]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[l[2,1].Yl2]*Tr[u[2,1]]*Tr[l[1,2]]
          + 3*MatrixProduct[l[2,1].Yl2]*Tr[u[2,1].d[1,2]]
          - 9*MatrixProduct[l[2,1].Yl2]*Tr[u[2,1].d[1,2]]*z3
          + 6*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*lam[1,2,2,1]
          + 12*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*lam[1,1,2,2]
          - 32*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*alpha3
          + 24*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*alpha3*z3
          + 1107/16*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*alpha2
          - 54*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*alpha2*z3
          - 2385/32*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*alpha2*Doub2
          + 81/2*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*alpha2*Doub2*z3
          - 653/20*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*alpha1
          + 201/10*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*alpha1*z3
          + 5409/160*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*alpha1*Doub2
          - 81/5*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*alpha1*Doub2*z3
          - 63/16*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*alpha1*Doub1
          + 63/16*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2
          - 27/8*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]^2
          - 27/4*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*Tr[d[2,2]]
          - 9/4*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*Tr[l[2,2]]
          + 9*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2].u[2,2]]
          - 3*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2].d[1,1]]*z3
          + 3/2*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1]]*lam[1,2,2,1]
          + 3*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1]]*lam[1,1,2,2]
          + 117/10*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1]]*alpha1
          - 27/40*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1]]*alpha1*z2
          - 9*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1]]*alpha1*Doub2
          + 27/40*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1]]*alpha1*Doub2*z2
          - 117/10*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1]]*alpha1*Doub1*z2
          + 9*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1]]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 3*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1].d[2,2]]
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*lam[2,1,2,2]
          + 27/2*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*lam[1,1,2,1]
          - 27/8*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2].d[2,1]]
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[d[2,1]]*lam[1,1,1,2]
          - 9/8*MatrixProduct[l[2,1].Yl2]*Tr[d[2,1]]*Tr[l[1,2]]
          + 6*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*lam[1,2,2,1]
          + 12*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*lam[1,1,2,2]
          - 32*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*alpha3
          + 24*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*alpha3*z3
          + 1107/16*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*alpha2
          - 54*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*alpha2*z3
          - 2385/32*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*alpha2*Doub2
          + 81/2*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*alpha2*Doub2*z3
          - 121/4*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*alpha1
          + 183/10*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*alpha1*z3
          + 5409/160*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*alpha1*Doub2
          - 81/5*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*alpha1*Doub2*z3
          - 63/16*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*alpha1*Doub1
          + 63/16*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/8*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]^2
          - 9/4*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*Tr[l[2,2]]
          + 9*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2].d[2,2]]
          + 1/2*MatrixProduct[l[2,1].Yl2]*Tr[l[1,1]]*lam[1,2,2,1]
          + MatrixProduct[l[2,1].Yl2]*Tr[l[1,1]]*lam[1,1,2,2]
          + 39/10*MatrixProduct[l[2,1].Yl2]*Tr[l[1,1]]*alpha1
          - 9/40*MatrixProduct[l[2,1].Yl2]*Tr[l[1,1]]*alpha1*z2
          - 3*MatrixProduct[l[2,1].Yl2]*Tr[l[1,1]]*alpha1*Doub2
          + 9/40*MatrixProduct[l[2,1].Yl2]*Tr[l[1,1]]*alpha1*Doub2*z2
          - 39/10*MatrixProduct[l[2,1].Yl2]*Tr[l[1,1]]*alpha1*Doub1
          + 9/40*MatrixProduct[l[2,1].Yl2]*Tr[l[1,1]]*alpha1*Doub1*z2
          + 3*MatrixProduct[l[2,1].Yl2]*Tr[l[1,1]]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[l[2,1].Yl2]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2*z2
          + MatrixProduct[l[2,1].Yl2]*Tr[l[1,1].l[2,2]]
          + 3/2*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*lam[2,1,2,2]
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*lam[1,1,2,1]
          - 3/8*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*Tr[l[2,1]]
          + 2*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2].l[2,1]]
          + 3/2*MatrixProduct[l[2,1].Yl2]*Tr[l[2,1]]*lam[1,1,1,2]
          + 2*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]*lam[1,2,2,1]
          + 4*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]*lam[1,1,2,2]
          + 369/16*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]*alpha2
          - 18*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]*alpha2*z3
          - 795/32*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]*alpha2*Doub2*z3
          - 51/4*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]*alpha1
          + 81/10*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]*alpha1*z3
          + 1803/160*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]*alpha1*Doub2
          - 27/5*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]*alpha1*Doub2*z3
          - 21/16*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]*alpha1*Doub1
          + 21/16*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2
          - 3/8*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]^2
          + 3*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2].l[2,2]]
          - 9/4*MatrixProduct[l[2,2].l[1,1].l[2,1].Yl2]
          - 31/16*MatrixProduct[l[2,2].l[1,1].l[2,2].Yl1]
          + 5/2*MatrixProduct[l[2,2].l[1,1].Yl1]*lam[1,2,2,1]
          + 11/4*MatrixProduct[l[2,2].l[1,1].Yl1]*lam[1,1,2,2]
          + 81/32*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha2
          - 9/64*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha2*z2
          - 45/16*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha2*Doub2
          + 9/64*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha2*Doub2*z2
          - 129/32*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha2*Doub1
          + 9/64*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha2*Doub1*z2
          + 69/16*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha2*Doub1*Doub2
          - 9/64*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha2*Doub1*Doub2*
         z2
          + 1341/160*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha1
          - 153/320*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha1*z2
          - 159/8*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha1*Doub2
          + 27/20*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha1*Doub2*z3
          + 153/320*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha1*Doub2*z2
          - 471/160*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha1*Doub1
          + 27/20*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha1*Doub1*z3
          + 153/320*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha1*Doub1*z2
          + 957/80*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha1*Doub1*Doub2
          - 27/10*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha1*Doub1*Doub2*
         z3
          - 153/320*MatrixProduct[l[2,2].l[1,1].Yl1]*alpha1*Doub1*
         Doub2*z2
          + 15/4*MatrixProduct[l[2,2].l[1,1].Yl2]*lam[2,1,2,2]
          + 3*MatrixProduct[l[2,2].l[1,1].Yl2]*lam[1,1,2,1]
          - 3/2*MatrixProduct[l[2,2].l[1,1].Yl2]*Tr[u[2,1]]
          - 3/2*MatrixProduct[l[2,2].l[1,1].Yl2]*Tr[d[2,1]]
          - 1/2*MatrixProduct[l[2,2].l[1,1].Yl2]*Tr[l[2,1]]
          - 13/16*MatrixProduct[l[2,2].l[1,2].l[2,1].Yl1]
          + 3/2*MatrixProduct[l[2,2].l[1,2].Yl1]*lam[2,1,2,2]
          + 3/2*MatrixProduct[l[2,2].l[1,2].Yl1]*lam[1,1,2,1]
          - 3/4*MatrixProduct[l[2,2].l[1,2].Yl1]*Tr[u[2,1]]
          - 3/4*MatrixProduct[l[2,2].l[1,2].Yl1]*Tr[d[2,1]]
          - 1/4*MatrixProduct[l[2,2].l[1,2].Yl1]*Tr[l[2,1]]
          + 9/2*MatrixProduct[l[2,2].l[1,2].Yl2]*lam[2,1,2,1]
          - 17/4*MatrixProduct[l[2,2].l[2,1].l[1,1].Yl2]
          - 1/2*MatrixProduct[l[2,2].l[2,1].l[1,2].Yl1]
          + 3/4*MatrixProduct[l[2,2].l[2,1].l[1,2].Yl1]*z3
          - 15/4*MatrixProduct[l[2,2].l[2,1].l[2,2].Yl2]
          + 9/2*MatrixProduct[l[2,2].l[2,1].Yl1]*lam[1,2,2,2]
          + 3*MatrixProduct[l[2,2].l[2,1].Yl1]*lam[1,1,1,2]
          + 3/16*MatrixProduct[l[2,2].l[2,1].Yl1]*Tr[u[1,2]]
          + 3/16*MatrixProduct[l[2,2].l[2,1].Yl1]*Tr[d[1,2]]
          + 1/16*MatrixProduct[l[2,2].l[2,1].Yl1]*Tr[l[1,2]]
          + 4*MatrixProduct[l[2,2].l[2,1].Yl2]*lam[1,2,2,1]
          + 3*MatrixProduct[l[2,2].l[2,1].Yl2]*lam[2,2,2,2]
          + 2*MatrixProduct[l[2,2].l[2,1].Yl2]*lam[1,1,2,2]
          - 9/2*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha2
          + 27/2*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha2*z3
          + 15/4*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha2*Doub2
          - 27/2*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha2*Doub2*z3
          + 3*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha2*Doub1
          - 9/2*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha2*Doub1*z3
          - 3*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha2*Doub1*Doub2
          + 9/2*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha2*Doub1*Doub2*z3
          + 27/10*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha1
          + 27/10*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha1*z3
          - 9/20*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha1*z2
          - 141/20*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha1*Doub2
          - 27/10*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha1*Doub2*z3
          + 9/20*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha1*Doub2*z2
          + 3/5*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha1*Doub1
          - 9/10*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha1*Doub1*z3
          - 3/5*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha1*Doub1*Doub2
          + 9/10*MatrixProduct[l[2,2].l[2,1].Yl2]*alpha1*Doub1*Doub2*
         z3
          - 3*MatrixProduct[l[2,2].l[2,1].Yl2]*Tr[u[2,2]]
          - 3*MatrixProduct[l[2,2].l[2,1].Yl2]*Tr[d[2,2]]
          - MatrixProduct[l[2,2].l[2,1].Yl2]*Tr[l[2,2]]
          - 21/4*MatrixProduct[l[2,2].l[2,2].l[2,1].Yl2]
          - 3/4*MatrixProduct[l[2,2].l[2,2].l[2,2].Yl1]
          + 3/4*MatrixProduct[l[2,2].l[2,2].l[2,2].Yl1]*z3
          + 5/2*MatrixProduct[l[2,2].l[2,2].Yl1]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[2,2].l[2,2].Yl1]*lam[2,2,2,2]
          + 11/4*MatrixProduct[l[2,2].l[2,2].Yl1]*lam[1,1,2,2]
          + 15/8*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha2
          + 9/64*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha2*z2
          - 147/32*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha2*Doub2
          + 9/4*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha2*Doub2*z3
          - 9/64*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha2*Doub2*z2
          - 45/64*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha2*Doub1
          - 9/32*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha2*Doub1*z2
          + 45/64*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha2*Doub1*Doub2
          + 9/32*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha2*Doub1*Doub2*
         z2
          + 3021/320*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha1
          - 9/320*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha1*z2
          - 735/64*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha1*Doub2
          - 27/20*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha1*Doub2*z3
          + 9/320*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha1*Doub2*z2
          - 21/16*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha1*Doub1
          + 21/16*MatrixProduct[l[2,2].l[2,2].Yl1]*alpha1*Doub1*Doub2
          + 15/16*MatrixProduct[l[2,2].l[2,2].Yl1]*Tr[u[2,2]]
          + 15/16*MatrixProduct[l[2,2].l[2,2].Yl1]*Tr[d[2,2]]
          + 5/16*MatrixProduct[l[2,2].l[2,2].Yl1]*Tr[l[2,2]]
          + 33/4*MatrixProduct[l[2,2].l[2,2].Yl2]*lam[2,1,2,2]
          + 45/16*MatrixProduct[l[2,2].Yl1]*lam[1,2,2,1]^2
          + 3/2*MatrixProduct[l[2,2].Yl1]*lam[2,2,2,2]*lam[1,2,2,1]
          - 33/32*MatrixProduct[l[2,2].Yl1]*lam[2,2,2,2]^2
          + 189/32*MatrixProduct[l[2,2].Yl1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 111/32*MatrixProduct[l[2,2].Yl1]*lam[1,2,1,2]*lam[2,1,2,1]
          + 117/16*MatrixProduct[l[2,2].Yl1]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[2,2].Yl1]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/16*MatrixProduct[l[2,2].Yl1]*lam[1,1,2,2]^2
          + 3*MatrixProduct[l[2,2].Yl1]*lam[1,1,2,1]*lam[1,2,2,2]
          + 3*MatrixProduct[l[2,2].Yl1]*lam[1,1,1,2]*lam[2,1,2,2]
          + 255/32*MatrixProduct[l[2,2].Yl1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[l[2,2].Yl1]*lam[1,1,1,1]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[2,2].Yl1]*lam[1,1,1,1]*lam[1,1,2,2]
          - 3/4*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,2,2,1]
          - 3*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,2,2,1]*Doub2
          - 9/2*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,2,2,1]*Doub2*z3
          - 6*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,2,2,1]*Doub1
          - 3/2*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 9/2*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,2,2,1]*Doub1*Doub2*
         z3
          + 9/8*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,1,2,2]
          - 9/8*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,1,2,2]*Doub2
          - 9/2*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,1,2,2]*Doub2*z3
          - 21/8*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,1,2,2]*Doub1
          - 9/4*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,1,2,2]*Doub1*z3
          - 3*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,1,2,2]*Doub1*Doub2
          + 27/4*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 15183/256*MatrixProduct[l[2,2].Yl1]*alpha2^2
          + 81/4*MatrixProduct[l[2,2].Yl1]*alpha2^2*z3
          + 63/128*MatrixProduct[l[2,2].Yl1]*alpha2^2*z2
          + 135/32*MatrixProduct[l[2,2].Yl1]*alpha2^2*Ng
          + 38037/512*MatrixProduct[l[2,2].Yl1]*alpha2^2*Doub2
          - 207/8*MatrixProduct[l[2,2].Yl1]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[l[2,2].Yl1]*alpha2^2*Doub2*z2
          - 99/16*MatrixProduct[l[2,2].Yl1]*alpha2^2*Doub2*Ng
          + 2403/64*MatrixProduct[l[2,2].Yl1]*alpha2^2*Doub1
          - 135/8*MatrixProduct[l[2,2].Yl1]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[l[2,2].Yl1]*alpha2^2*Doub1*z2
          - 10023/256*MatrixProduct[l[2,2].Yl1]*alpha2^2*Doub1*Doub2
          + 261/16*MatrixProduct[l[2,2].Yl1]*alpha2^2*Doub1*Doub2*z3
          + 63/128*MatrixProduct[l[2,2].Yl1]*alpha2^2*Doub1*Doub2*z2
          + 21/20*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,2,2,1]
          - 81/20*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,2,2,1]*Doub2
          - 9/5*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,2,2,1]*Doub2*z3
          + 51/20*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,2,2,1]*Doub1
          - 9/10*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 6/5*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/10*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,2,2,1]*Doub1*Doub2
         *z3
          + 21/40*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,1,2,2]
          - 81/40*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,1,2,2]*Doub2
          - 9/10*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,1,2,2]*Doub2*z3
          + 51/40*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,1,2,2]*Doub1
          - 9/20*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,1,2,2]*Doub1*z3
          - 3/5*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          + 27/20*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,1,2,2]*Doub1*Doub2
         *z3
          - 6597/640*MatrixProduct[l[2,2].Yl1]*alpha1*alpha2
          - 27/160*MatrixProduct[l[2,2].Yl1]*alpha1*alpha2*z2
          + 3339/256*MatrixProduct[l[2,2].Yl1]*alpha1*alpha2*Doub2
          + 27/8*MatrixProduct[l[2,2].Yl1]*alpha1*alpha2*Doub2*z3
          + 27/160*MatrixProduct[l[2,2].Yl1]*alpha1*alpha2*Doub2*z2
          + 2637/640*MatrixProduct[l[2,2].Yl1]*alpha1*alpha2*Doub1
          + 27/20*MatrixProduct[l[2,2].Yl1]*alpha1*alpha2*Doub1*z3
          + 27/64*MatrixProduct[l[2,2].Yl1]*alpha1*alpha2*Doub1*z2
          - 3501/640*MatrixProduct[l[2,2].Yl1]*alpha1*alpha2*Doub1*
         Doub2
          - 81/40*MatrixProduct[l[2,2].Yl1]*alpha1*alpha2*Doub1*Doub2*
         z3
          - 27/64*MatrixProduct[l[2,2].Yl1]*alpha1*alpha2*Doub1*Doub2*
         z2
          + 21069/6400*MatrixProduct[l[2,2].Yl1]*alpha1^2
          - 27/100*MatrixProduct[l[2,2].Yl1]*alpha1^2*z3
          - 2079/3200*MatrixProduct[l[2,2].Yl1]*alpha1^2*z2
          + 843/160*MatrixProduct[l[2,2].Yl1]*alpha1^2*Ng
          - 1323/512*MatrixProduct[l[2,2].Yl1]*alpha1^2*Doub2
          + 459/200*MatrixProduct[l[2,2].Yl1]*alpha1^2*Doub2*z3
          + 2079/3200*MatrixProduct[l[2,2].Yl1]*alpha1^2*Doub2*z2
          - 117/16*MatrixProduct[l[2,2].Yl1]*alpha1^2*Doub2*Ng
          + 1809/3200*MatrixProduct[l[2,2].Yl1]*alpha1^2*Doub1
          - 81/200*MatrixProduct[l[2,2].Yl1]*alpha1^2*Doub1*z3
          + 297/3200*MatrixProduct[l[2,2].Yl1]*alpha1^2*Doub1*z2
          - 4707/6400*MatrixProduct[l[2,2].Yl1]*alpha1^2*Doub1*Doub2
          - 297/400*MatrixProduct[l[2,2].Yl1]*alpha1^2*Doub1*Doub2*z3
          - 297/3200*MatrixProduct[l[2,2].Yl1]*alpha1^2*Doub1*Doub2*z2
          + 3*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha2
          - 27/16*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha2*z2
          - 45/2*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha2*Doub2*z2
          - 207/8*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha2*Doub1
          + 27/16*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2*z2
          + 153/40*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha1
          - 27/80*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha1*z2
          - 9/2*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha1*Doub2
          + 27/80*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha1*Doub2*z2
          - 153/40*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha1*Doub1
          + 27/80*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha1*Doub1*z2
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 3/2*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1].u[2,2]]
          + 15/2*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1].d[2,2]]
          - 9*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1].d[2,2]]*z3
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*lam[2,1,2,2]
          + 27/2*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2].u[2,1]]
          - 15/2*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2].d[2,1]]*z3
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[u[2,1]]*lam[1,1,1,2]
          - 27/16*MatrixProduct[l[2,2].Yl1]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[l[2,2].Yl1]*Tr[u[2,1]]*Tr[l[1,2]]
          - 15/2*MatrixProduct[l[2,2].Yl1]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[l[2,2].Yl1]*Tr[u[2,1].d[1,2]]*z3
          + 12*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*lam[1,2,2,1]
          + 6*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*lam[1,1,2,2]
          - 16*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*alpha3
          + 12*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*alpha3*z3
          + 549/32*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*alpha2
          - 351/16*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*alpha2*Doub2
          - 315/32*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*alpha2*Doub1
          + 315/32*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2
          + 3311/80*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*alpha1
          - 183/10*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*alpha1*z3
          - 1503/32*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*alpha1*Doub2
          + 81/5*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*alpha1*Doub2*z3
          - 63/32*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*alpha1*Doub1
          + 63/32*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]^2
          - 27/8*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2].u[2,2]]
          + 15/2*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2].d[1,1]]
          - 9*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2].d[1,1]]*z3
          + 3*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha2
          - 27/16*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha2*z2
          - 45/2*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha2*Doub2*z2
          - 207/8*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha2*Doub1
          + 27/16*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2*z2
          + 153/40*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha1
          - 27/80*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha1*z2
          - 9/2*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha1*Doub2
          + 27/80*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha1*Doub2*z2
          - 153/40*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha1*Doub1
          + 27/80*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha1*Doub1*z2
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 3/2*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1].d[2,2]]
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*lam[2,1,2,2]
          + 27/2*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*lam[1,1,2,1]
          - 27/16*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2].d[2,1]]
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[d[2,1]]*lam[1,1,1,2]
          - 9/16*MatrixProduct[l[2,2].Yl1]*Tr[d[2,1]]*Tr[l[1,2]]
          + 12*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*lam[1,2,2,1]
          + 6*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*lam[1,1,2,2]
          - 16*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*alpha3
          + 12*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*alpha3*z3
          + 549/32*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*alpha2
          - 351/16*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*alpha2*Doub2
          - 315/32*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*alpha2*Doub1
          + 315/32*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2
          + 3407/80*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*alpha1
          - 96/5*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*alpha1*z3
          - 1503/32*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*alpha1*Doub2
          + 81/5*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*alpha1*Doub2*z3
          - 63/32*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*alpha1*Doub1
          + 63/32*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]^2
          - 9/8*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2].d[2,2]]
          + MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*lam[1,2,2,1]
          + 1/2*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha2
          - 9/16*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha2*z2
          - 15/2*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha2*Doub2
          + 9/16*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha2*Doub2*z2
          - 69/8*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha2*Doub1
          + 9/16*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha2*Doub1*z2
          + 15/2*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2*z2
          + 51/40*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha1
          - 9/80*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha1*z2
          - 3/2*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha1*Doub2
          + 9/80*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha1*Doub2*z2
          - 51/40*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha1*Doub1
          + 9/80*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha1*Doub1*z2
          + 3/2*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2
          - 9/80*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 1/2*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1].l[2,2]]
          + 3/2*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*lam[2,1,2,2]
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*lam[1,1,2,1]
          - 3/16*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*Tr[l[2,1]]
          + MatrixProduct[l[2,2].Yl1]*Tr[l[1,2].l[2,1]]
          + 3/2*MatrixProduct[l[2,2].Yl1]*Tr[l[2,1]]*lam[1,1,1,2]
          + 4*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]*lam[1,2,2,1]
          + 2*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]*lam[1,1,2,2]
          + 183/32*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]*alpha2
          - 117/16*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]*alpha2*Doub2
          - 105/32*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]*alpha2*Doub1
          + 105/32*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2
          + 1029/80*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]*alpha1
          - 27/5*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]*alpha1*z3
          - 501/32*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]*alpha1*Doub2
          + 27/5*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]*alpha1*Doub2*z3
          - 21/32*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]*alpha1*Doub1
          + 21/32*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2
          - 3/16*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]^2
          + 3/2*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2].l[2,2]]
          + 9*MatrixProduct[l[2,2].Yl2]*lam[2,1,2,2]*lam[1,2,2,1]
          + 12*MatrixProduct[l[2,2].Yl2]*lam[2,1,2,2]*lam[2,2,2,2]
          + 15/2*MatrixProduct[l[2,2].Yl2]*lam[2,1,2,1]*lam[1,2,2,2]
          + 15/2*MatrixProduct[l[2,2].Yl2]*lam[1,1,2,2]*lam[2,1,2,2]
          + 3*MatrixProduct[l[2,2].Yl2]*lam[1,1,2,1]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[2,2].Yl2]*lam[1,1,2,1]*lam[1,1,2,2]
          + 9/2*MatrixProduct[l[2,2].Yl2]*lam[1,1,1,2]*lam[2,1,2,1]
          + 3/8*MatrixProduct[l[2,2].Yl2]*alpha2*lam[2,1,2,2]
          - 69/4*MatrixProduct[l[2,2].Yl2]*alpha2*lam[2,1,2,2]*Doub2
          - 33/8*MatrixProduct[l[2,2].Yl2]*alpha2*lam[2,1,2,2]*Doub1
          + 33/8*MatrixProduct[l[2,2].Yl2]*alpha2*lam[2,1,2,2]*Doub1*Doub2
          + 63/40*MatrixProduct[l[2,2].Yl2]*alpha1*lam[2,1,2,2]
          - 81/20*MatrixProduct[l[2,2].Yl2]*alpha1*lam[2,1,2,2]*Doub2
          - 9/8*MatrixProduct[l[2,2].Yl2]*alpha1*lam[2,1,2,2]*Doub1
          + 9/8*MatrixProduct[l[2,2].Yl2]*alpha1*lam[2,1,2,2]*Doub1*Doub2
          + 27/2*MatrixProduct[l[2,2].Yl2]*Tr[u[1,2]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha2
          - 27/16*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha2*z2
          - 387/16*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha2*Doub2*z2
          - 585/32*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 621/40*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha1
          - 81/80*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha1*z2
          - 1161/80*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha1*Doub2
          + 81/80*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha1*Doub2*z2
          - 351/32*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha1*Doub1
          + 81/160*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha1*Doub1*
         z2
          + 1593/160*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha1*Doub1
         *Doub2
          - 81/160*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 45/2*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*lam[2,1,2,2]
          + 27/2*MatrixProduct[l[2,2].Yl2]*Tr[d[1,2]]*lam[2,1,2,1]
          + 9/2*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha2
          - 27/16*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha2*z2
          - 387/16*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha2*Doub2
          + 27/16*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha2*Doub2*z2
          - 585/32*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 621/40*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha1
          - 81/80*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha1*z2
          - 1161/80*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha1*Doub2
          + 81/80*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha1*Doub2*z2
          - 351/32*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha1*Doub1
          + 81/160*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha1*Doub1*
         z2
          + 1593/160*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha1*Doub1
         *Doub2
          - 81/160*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 45/2*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*lam[2,1,2,2]
          + 9/2*MatrixProduct[l[2,2].Yl2]*Tr[l[1,2]]*lam[2,1,2,1]
          + 3/2*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha2
          - 9/16*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha2*z2
          - 129/16*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha2*Doub2
          + 9/16*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha2*Doub2*z2
          - 195/32*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha2*Doub1
          + 9/32*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha2*Doub1*z2
          + 177/32*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          - 9/32*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 207/40*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha1
          - 27/80*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha1*z2
          - 387/80*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha1*Doub2
          + 27/80*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha1*Doub2*z2
          - 117/32*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha1*Doub1
          + 27/160*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha1*Doub1*
         z2
          + 531/160*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 15/2*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]*lam[2,1,2,2]
          - 5/8*MatrixProduct[Yl1]*lam[1,2,2,1]^3
          - 3/8*MatrixProduct[Yl1]*lam[2,2,2,2]*lam[1,2,2,1]^2
          - 3*MatrixProduct[Yl1]*lam[1,2,2,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yl1]*lam[1,2,2,2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yl1]*lam[2,1,2,1]*lam[1,2,2,2]^2
          - 15/8*MatrixProduct[Yl1]*lam[1,2,1,2]*lam[2,1,2,2]^2
          - 27/8*MatrixProduct[Yl1]*lam[1,2,1,2]*lam[2,1,2,1]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yl1]*lam[1,2,1,2]*lam[2,1,2,1]*lam[2,2,2,2]
          - 3/2*MatrixProduct[Yl1]*lam[1,1,2,2]*lam[1,2,2,1]^2
          - 3/4*MatrixProduct[Yl1]*lam[1,1,2,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yl1]*lam[1,1,2,2]*lam[1,2,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yl1]*lam[1,1,2,2]*lam[1,2,1,2]*lam[2,1,2,1]
          - 3/4*MatrixProduct[Yl1]*lam[1,1,2,2]^2*lam[1,2,2,1]
          - 3/4*MatrixProduct[Yl1]*lam[1,1,2,2]^2*lam[2,2,2,2]
          - 1/2*MatrixProduct[Yl1]*lam[1,1,2,2]^3
          - 9/4*MatrixProduct[Yl1]*lam[1,1,2,1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yl1]*lam[1,1,2,1]*lam[1,2,1,2]*lam[2,1,2,2]
          - 27/8*MatrixProduct[Yl1]*lam[1,1,2,1]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/4*MatrixProduct[Yl1]*lam[1,1,2,1]^2*lam[1,2,1,2]
          - 9/4*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[2,1,2,1]*lam[1,2,2,2]
          - 27/8*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[1,1,2,2]*lam[2,1,2,2]
          - 6*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,2,2,1]
          - 9/2*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/4*MatrixProduct[Yl1]*lam[1,1,1,2]^2*lam[2,1,2,1]
          - 3/4*MatrixProduct[Yl1]*lam[1,1,1,1]*lam[1,2,2,1]^2
          - 3/4*MatrixProduct[Yl1]*lam[1,1,1,1]*lam[1,2,1,2]*lam[2,1,2,1]
          - 3/2*MatrixProduct[Yl1]*lam[1,1,1,1]*lam[1,1,2,2]*lam[1,2,2,1]
          - 3/2*MatrixProduct[Yl1]*lam[1,1,1,1]*lam[1,1,2,2]^2
          - 45/4*MatrixProduct[Yl1]*lam[1,1,1,1]*lam[1,1,1,2]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yl1]*lam[1,1,1,1]^3
          - 15/16*MatrixProduct[Yl1]*alpha2*lam[1,2,2,1]^2*Doub2
          + 153/16*MatrixProduct[Yl1]*alpha2*lam[1,2,2,1]^2*Doub1
          - 39/8*MatrixProduct[Yl1]*alpha2*lam[1,2,2,1]^2*Doub1*Doub2
          + 81/32*MatrixProduct[Yl1]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub2
          + 207/16*MatrixProduct[Yl1]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub1
          - 315/32*MatrixProduct[Yl1]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub1*
         Doub2
          - 117/32*MatrixProduct[Yl1]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub2
          + 609/32*MatrixProduct[Yl1]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub1
          - 39/4*MatrixProduct[Yl1]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub1*Doub2
          + 57/16*MatrixProduct[Yl1]*alpha2*lam[1,1,2,2]*lam[1,2,2,1]*Doub2
          + 3/16*MatrixProduct[Yl1]*alpha2*lam[1,1,2,2]*lam[1,2,2,1]*Doub1
          + 57/16*MatrixProduct[Yl1]*alpha2*lam[1,1,2,2]^2*Doub2
          + 3/16*MatrixProduct[Yl1]*alpha2*lam[1,1,2,2]^2*Doub1
          + 693/32*MatrixProduct[Yl1]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub1
          - 153/32*MatrixProduct[Yl1]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub1*
         Doub2
          + 45/8*MatrixProduct[Yl1]*alpha2*lam[1,1,1,1]^2*Doub1
          - 3/2*MatrixProduct[Yl1]*alpha2^2*lam[1,2,2,1]*Doub2
          + 9/8*MatrixProduct[Yl1]*alpha2^2*lam[1,2,2,1]*Doub2*z3
          + 39/64*MatrixProduct[Yl1]*alpha2^2*lam[1,2,2,1]*Doub1*Doub2
          - 9/8*MatrixProduct[Yl1]*alpha2^2*lam[1,2,2,1]*Doub1*Doub2*z3
          - 3*MatrixProduct[Yl1]*alpha2^2*lam[1,1,2,2]*Doub2
          + 9/4*MatrixProduct[Yl1]*alpha2^2*lam[1,1,2,2]*Doub2*z3
          + 39/32*MatrixProduct[Yl1]*alpha2^2*lam[1,1,2,2]*Doub1*Doub2
          - 9/4*MatrixProduct[Yl1]*alpha2^2*lam[1,1,2,2]*Doub1*Doub2*z3
          - 171/64*MatrixProduct[Yl1]*alpha2^2*lam[1,1,1,1]*Doub1
          - 9/4*MatrixProduct[Yl1]*alpha2^2*alpha3*Ng
          + 135/8*MatrixProduct[Yl1]*alpha2^2*alpha3*Doub1*Ng
          - 18*MatrixProduct[Yl1]*alpha2^2*alpha3*Doub1*Ng*z3
          + 69271/768*MatrixProduct[Yl1]*alpha2^3
          - 9/2*MatrixProduct[Yl1]*alpha2^3*z3
          - 2521/96*MatrixProduct[Yl1]*alpha2^3*Ng
          + 5/6*MatrixProduct[Yl1]*alpha2^3*Ng^2
          - 1147/256*MatrixProduct[Yl1]*alpha2^3*Doub2
          + 1/3*MatrixProduct[Yl1]*alpha2^3*Doub2*Ng
          - 237167/2304*MatrixProduct[Yl1]*alpha2^3*Doub1
          + 117/16*MatrixProduct[Yl1]*alpha2^3*Doub1*z3
          + 803/36*MatrixProduct[Yl1]*alpha2^3*Doub1*Ng
          + 45/2*MatrixProduct[Yl1]*alpha2^3*Doub1*Ng*z3
          + 35/18*MatrixProduct[Yl1]*alpha2^3*Doub1*Ng^2
          + 14513/2304*MatrixProduct[Yl1]*alpha2^3*Doub1*Doub2
          + 45/16*MatrixProduct[Yl1]*alpha2^3*Doub1*Doub2*z3
          + 19/36*MatrixProduct[Yl1]*alpha2^3*Doub1*Doub2*Ng
          + 57/80*MatrixProduct[Yl1]*alpha1*lam[1,2,2,1]^2*Doub2
          + 3/80*MatrixProduct[Yl1]*alpha1*lam[1,2,2,1]^2*Doub1
          + 81/160*MatrixProduct[Yl1]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub2
          + 207/80*MatrixProduct[Yl1]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub1
          - 63/32*MatrixProduct[Yl1]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub1*
         Doub2
          - 261/160*MatrixProduct[Yl1]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub2
          + 909/160*MatrixProduct[Yl1]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub1
          - 117/40*MatrixProduct[Yl1]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub1*
         Doub2
          + 57/80*MatrixProduct[Yl1]*alpha1*lam[1,1,2,2]*lam[1,2,2,1]*Doub2
          + 3/80*MatrixProduct[Yl1]*alpha1*lam[1,1,2,2]*lam[1,2,2,1]*Doub1
          + 57/80*MatrixProduct[Yl1]*alpha1*lam[1,1,2,2]^2*Doub2
          + 3/80*MatrixProduct[Yl1]*alpha1*lam[1,1,2,2]^2*Doub1
          + 693/160*MatrixProduct[Yl1]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub1
          - 153/160*MatrixProduct[Yl1]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub1*
         Doub2
          + 9/8*MatrixProduct[Yl1]*alpha1*lam[1,1,1,1]^2*Doub1
          + 9/10*MatrixProduct[Yl1]*alpha1*alpha2*lam[1,2,2,1]*Doub2
          + 27/20*MatrixProduct[Yl1]*alpha1*alpha2*lam[1,2,2,1]*Doub2*z3
          + 117/160*MatrixProduct[Yl1]*alpha1*alpha2*lam[1,2,2,1]*Doub1*
         Doub2
          - 27/20*MatrixProduct[Yl1]*alpha1*alpha2*lam[1,2,2,1]*Doub1*Doub2
         *z3
          + 261/160*MatrixProduct[Yl1]*alpha1*alpha2*lam[1,1,1,1]*Doub1
          + 14031/1280*MatrixProduct[Yl1]*alpha1*alpha2^2
          - 27/20*MatrixProduct[Yl1]*alpha1*alpha2^2*z3
          - 369/160*MatrixProduct[Yl1]*alpha1*alpha2^2*Ng
          - 819/1280*MatrixProduct[Yl1]*alpha1*alpha2^2*Doub2
          + 711/1280*MatrixProduct[Yl1]*alpha1*alpha2^2*Doub1
          + 81/80*MatrixProduct[Yl1]*alpha1*alpha2^2*Doub1*z3
          - 9/10*MatrixProduct[Yl1]*alpha1*alpha2^2*Doub1*Ng*z3
          + 1161/1280*MatrixProduct[Yl1]*alpha1*alpha2^2*Doub1*Doub2
          - 27/80*MatrixProduct[Yl1]*alpha1*alpha2^2*Doub1*Doub2*z3
          - 18/25*MatrixProduct[Yl1]*alpha1^2*lam[1,2,2,1]*Doub2
          + 27/200*MatrixProduct[Yl1]*alpha1^2*lam[1,2,2,1]*Doub2*z3
          + 117/1600*MatrixProduct[Yl1]*alpha1^2*lam[1,2,2,1]*Doub1*Doub2
          - 27/200*MatrixProduct[Yl1]*alpha1^2*lam[1,2,2,1]*Doub1*Doub2*z3
          - 36/25*MatrixProduct[Yl1]*alpha1^2*lam[1,1,2,2]*Doub2
          + 27/100*MatrixProduct[Yl1]*alpha1^2*lam[1,1,2,2]*Doub2*z3
          + 117/800*MatrixProduct[Yl1]*alpha1^2*lam[1,1,2,2]*Doub1*Doub2
          - 27/100*MatrixProduct[Yl1]*alpha1^2*lam[1,1,2,2]*Doub1*Doub2*z3
          - 621/320*MatrixProduct[Yl1]*alpha1^2*lam[1,1,1,1]*Doub1
          + 957/100*MatrixProduct[Yl1]*alpha1^2*alpha3*Ng
          - 264/25*MatrixProduct[Yl1]*alpha1^2*alpha3*Ng*z3
          + 99/40*MatrixProduct[Yl1]*alpha1^2*alpha3*Doub1*Ng
          - 66/25*MatrixProduct[Yl1]*alpha1^2*alpha3*Doub1*Ng*z3
          - 1053/6400*MatrixProduct[Yl1]*alpha1^2*alpha2
          + 531/800*MatrixProduct[Yl1]*alpha1^2*alpha2*Ng
          - 54/25*MatrixProduct[Yl1]*alpha1^2*alpha2*Ng*z3
          + 12231/6400*MatrixProduct[Yl1]*alpha1^2*alpha2*Doub2
          - 81/100*MatrixProduct[Yl1]*alpha1^2*alpha2*Doub2*z3
          + 8667/6400*MatrixProduct[Yl1]*alpha1^2*alpha2*Doub1
          - 81/80*MatrixProduct[Yl1]*alpha1^2*alpha2*Doub1*z3
          - 27/80*MatrixProduct[Yl1]*alpha1^2*alpha2*Doub1*Ng
          - 27/50*MatrixProduct[Yl1]*alpha1^2*alpha2*Doub1*Ng*z3
          + 3483/6400*MatrixProduct[Yl1]*alpha1^2*alpha2*Doub1*Doub2
          - 81/400*MatrixProduct[Yl1]*alpha1^2*alpha2*Doub1*Doub2*z3
          - 83511/32000*MatrixProduct[Yl1]*alpha1^3
          + 3387/800*MatrixProduct[Yl1]*alpha1^3*Ng
          - 114/25*MatrixProduct[Yl1]*alpha1^3*Ng*z3
          + 31/18*MatrixProduct[Yl1]*alpha1^3*Ng^2
          + 2813/6400*MatrixProduct[Yl1]*alpha1^3*Doub2
          - 81/500*MatrixProduct[Yl1]*alpha1^3*Doub2*z3
          + 22/75*MatrixProduct[Yl1]*alpha1^3*Doub2*Ng
          + 59273/32000*MatrixProduct[Yl1]*alpha1^3*Doub1
          - 81/400*MatrixProduct[Yl1]*alpha1^3*Doub1*z3
          + 701/300*MatrixProduct[Yl1]*alpha1^3*Doub1*Ng
          - 57/50*MatrixProduct[Yl1]*alpha1^3*Doub1*Ng*z3
          + 7/18*MatrixProduct[Yl1]*alpha1^3*Doub1*Ng^2
          + 6317/32000*MatrixProduct[Yl1]*alpha1^3*Doub1*Doub2
          - 81/2000*MatrixProduct[Yl1]*alpha1^3*Doub1*Doub2*z3
          + 19/300*MatrixProduct[Yl1]*alpha1^3*Doub1*Doub2*Ng
          - 15/8*MatrixProduct[Yl1]*Tr[u[1,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yl1]*Tr[u[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yl1]*Tr[u[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yl1]*Tr[u[1,1]]*lam[1,1,2,2]^2
          - 135/8*MatrixProduct[Yl1]*Tr[u[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 135/16*MatrixProduct[Yl1]*Tr[u[1,1]]*lam[1,1,1,1]^2
          + 455/3*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha3^2
          - 12*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha3^2*z3
          - 16*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha3^2*Ng
          - 189/8*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2*alpha3
          + 18*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2*alpha3*z2
          - 75/2*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2*alpha3*Doub1
          + 36*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2*alpha3*Doub1*z3
          + 27/2*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2*alpha3*Doub1*z2
          - 3705/64*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2^2
          + 27/2*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2^2*Ng
          + 63/128*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2^2*Doub2
          + 21183/256*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2^2*Doub1
          - 351/8*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2^2*Doub1*z3
          + 135/64*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2^2*Doub1*z2
          - 27/4*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2^2*Doub1*Ng
          - 117/64*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha2^2*Doub1*Doub2
          - 1519/120*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1*alpha3
          + 66/5*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1*alpha3*z2
          - 15/2*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1*alpha3*Doub1
          + 36/5*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1*alpha3*Doub1*z3
          + 27/10*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1*alpha3*Doub1*z2
          - 747/20*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1*alpha2
          - 603/20*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1*alpha2*z3
          - 27/160*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1*alpha2*z2
          + 27321/640*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1*alpha2*
         Doub1
          + 153/10*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1*alpha2*Doub1*
         z3
          + 27/160*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1*alpha2*Doub1*
         z2
          - 13363/4800*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1^2
          - 969/50*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1^2*z3
          - 27/320*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1^2*z2
          - 19/80*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1^2*Ng
          - 339/3200*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1^2*Doub2
          - 7641/6400*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1^2*Doub1
          + 81/40*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1^2*Doub1*z3
          + 27/320*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1^2*Doub1*z2
          - 27/20*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1^2*Doub1*Ng
          - 351/1600*MatrixProduct[Yl1]*Tr[u[1,1]]*alpha1^2*Doub1*
         Doub2
          - 81/8*MatrixProduct[Yl1]*Tr[u[1,1]]^2*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[u[1,1]]^2*alpha2*z2
          - 81/8*MatrixProduct[Yl1]*Tr[u[1,1]]^2*alpha2*Doub1*z2
          - 81/40*MatrixProduct[Yl1]*Tr[u[1,1]]^2*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[u[1,1]]^2*alpha1*z2
          - 81/40*MatrixProduct[Yl1]*Tr[u[1,1]]^2*alpha1*Doub1*z2
          + 27*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,1].u[1,1]]
          - 9/4*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,1].d[1,1]]
          - 81/4*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha2
          + 81/4*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha2*z2
          - 81/4*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha2*Doub1
         *z2
          - 81/20*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha1
          + 81/20*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha1*z2
          - 81/20*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,1]]*alpha1*
         Doub1*z2
          + 27*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,1].d[1,1]]
          - 27/4*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha2
          + 27/4*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha2*z2
          - 27/4*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha2*Doub1
         *z2
          - 27/20*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha1
          + 27/20*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha1*z2
          - 27/20*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,1]]*alpha1*
         Doub1*z2
          + 9*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,1].l[1,1]]
          + 45/4*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1]]*alpha3
          - 36*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1]]*alpha3*z3
          + 999/32*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1]]*alpha2
          + 27/16*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1]]*alpha2*z2
          - 459/8*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1]]*alpha2*Doub1*z3
          - 27/16*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1]]*alpha2*Doub1*z2
          + 1563/80*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1]]*alpha1
          - 27/5*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1]]*alpha1*z3
          - 3759/160*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1]]*alpha1*Doub1*z3
          - 75/32*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1].u[1,1]]
          + 9/2*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1].u[1,1]]*z3
          + 9/16*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1].u[2,2]]
          + 39/32*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1].d[1,1]]
          + 9/16*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1].d[2,2]]
          + 135/8*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*lam[1,1,2,1]
          - 9/8*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2].u[2,1]]
          - 9/32*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2].d[2,1]]
          + 135/8*MatrixProduct[Yl1]*Tr[u[1,1].u[2,1]]*lam[1,1,1,2]
          - 33/8*MatrixProduct[Yl1]*Tr[u[1,1].u[2,1].u[1,2]]
          + 9*MatrixProduct[Yl1]*Tr[u[1,1].u[2,1].u[1,2]]*z3
          + 129/32*MatrixProduct[Yl1]*Tr[u[1,1].u[2,1].d[1,2]]
          + 15/2*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha3
          - 12*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha2
          - 999/32*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha2*Doub2*z2
          + 549/32*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha2*Doub1
          - 81/32*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 941/80*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha1
          - 39/5*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha1*z3
          - 2469/160*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha1*Doub2
          + 9*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha1*Doub2*z3
          + 27/160*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha1*Doub2*
         z2
          + 549/160*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*
         z2
          - 279/80*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 21/32*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2].u[2,2]]
          - 15/8*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2].d[1,1]]
          + 9/32*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2].d[2,2]]
          + 57/2*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1]]*alpha3
          - 24*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1]]*alpha3*z3
          + 1089/16*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1]]*alpha2
          - 27/4*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1]]*alpha2*z2
          - 72*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1]]*alpha2*Doub1
          + 27/4*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1]]*alpha2*Doub1*z2
          - 2463/160*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1]]*alpha1
          + 21/2*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1]]*alpha1*z3
          - 27/40*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1]]*alpha1*z2
          + 2277/160*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1]]*alpha1*Doub1
          - 81/10*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1]]*alpha1*Doub1*z3
          + 27/40*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1]]*alpha1*Doub1*z2
          - 15/8*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1].u[2,2]]
          + 39/32*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1].d[1,1]]
          - 15/8*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1].d[2,2]]
          - 9/32*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2].u[2,1]]
          - 3/8*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2].d[2,1]]
          + 129/32*MatrixProduct[Yl1]*Tr[u[1,1].d[2,1].u[1,2]]
          - 3/2*MatrixProduct[Yl1]*Tr[u[1,1].d[2,1].d[1,2]]
          - 15/4*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha2
          - 999/32*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha2*Doub2*z2
          + 549/32*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha2*Doub1
          - 81/32*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 113/10*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha1
          + 33/5*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha1*z3
          + 27/80*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha1*z2
          + 1659/160*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha1*Doub2
          - 63/10*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha1*Doub2*
         z2
          - 567/160*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*
         z2
          + 279/80*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/32*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2].u[2,2]]
          - 15/8*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2].d[1,1]]
          + 21/32*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2].d[2,2]]
          - 45/16*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 135/16*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 135/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*lam[1,1,2,1]*Doub2
          - 135/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*lam[1,1,2,1]*Doub1
          + 81/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*lam[1,1,2,1]*Doub2
          - 81/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*lam[1,1,2,1]*Doub1
          + 27*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[1,1].u[2,1]]
          - 9/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*z2
          + 81/4*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub2
          - 81/16*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub2*z2
          + 4455/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub1
          - 243/16*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*z2
          + 81/20*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub2*z2
          + 891/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1
          - 243/80*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1*Doub2*z2
          - 9/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1].d[1,1]]
          + 27*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*z2
          + 81/4*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub2
          - 81/16*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 4455/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/16*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*z2
          + 81/20*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 891/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/80*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1].l[2,1]]
          - 27/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 27/4*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub2*z2
          + 1485/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/16*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*z2
          - 1701/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 27/20*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 27/80*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 297/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 1701/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,2].u[1,2]]*lam[2,1,2,1]
          + 15/4*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*lam[1,2,2,1]
          + 15/2*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*lam[1,1,2,2]
          + 5/2*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha3
          - 24*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha3*z3
          + 135/32*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha2
          + 27/16*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha2*z2
          - 405/16*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha2*Doub2*z3
          - 9/16*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha2*Doub1*z2
          + 311/40*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha1
          + 12/5*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha1*z3
          - 1263/160*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha1*Doub2
          - 9/2*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha1*Doub2*z2
          + 549/80*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha1*Doub1
          - 81/80*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*z2
          - 279/40*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*
         Doub2
          + 27/40*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 45/16*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1].u[2,2]]
          + 9/2*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1].u[2,2]]*z3
          - 3/2*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1].d[1,1]]
          + 87/16*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1].d[2,2]]
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*lam[2,1,2,2]
          - 3/16*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2].u[2,1]]
          - 63/32*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2].d[2,1]]
          - 3/8*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1].u[2,1]]
          - 9/32*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1].d[2,1]]
          + 15/4*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1]]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1]]*lam[1,1,2,2]
          + 13*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1]]*alpha3
          + 225/32*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1]]*alpha2
          - 27/8*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1]]*alpha2*z2
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1]]*alpha2*Doub2
          - 81/8*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1]]*alpha2*Doub1
          + 27/8*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1]]*alpha2*Doub1*z2
          + 251/160*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1]]*alpha1
          - 27/40*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1]]*alpha1*z2
          + 9/8*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1]]*alpha1*Doub2
          - 81/40*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1]]*alpha1*Doub1
          + 27/40*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1]]*alpha1*Doub1*z2
          - 57/32*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1].u[2,2]]
          + 129/32*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1].d[1,1]]
          - 63/32*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1].d[2,2]]
          + 33/16*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2].u[2,1]]
          - 57/32*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2].d[2,1]]
          - 45/16*MatrixProduct[Yl1]*Tr[u[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[u[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl1]*Tr[u[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[u[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yl1]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yl1]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/16*MatrixProduct[Yl1]*Tr[u[2,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          - 135/32*MatrixProduct[Yl1]*Tr[u[2,1]]*alpha2*lam[1,1,1,2]*Doub2
          + 135/32*MatrixProduct[Yl1]*Tr[u[2,1]]*alpha2*lam[1,1,1,2]*Doub1
          - 81/32*MatrixProduct[Yl1]*Tr[u[2,1]]*alpha1*lam[1,1,1,2]*Doub2
          + 81/32*MatrixProduct[Yl1]*Tr[u[2,1]]*alpha1*lam[1,1,1,2]*Doub1
          + 27*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[u[1,1].u[1,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[u[1,1].d[1,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[u[1,2].d[1,1]]
          + 27*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,1].d[1,2]]
          - 81/8*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*z2
          + 81/4*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub2
          - 81/16*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub2*z2
          + 4455/32*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub1
          - 243/16*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*z2
          + 81/20*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub2*z2
          + 891/32*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1
          - 243/80*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,1].l[1,2]]
          - 27/8*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*z2
          + 27/4*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub2*z2
          + 1485/32*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/16*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*z2
          - 1701/32*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*z2
          + 27/20*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 27/80*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 297/32*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 1701/160*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2*z2
          + 45/8*MatrixProduct[Yl1]*Tr[u[2,1].u[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yl1]*Tr[u[2,1].u[2,2]]*lam[1,2,2,2]
          - 57/32*MatrixProduct[Yl1]*Tr[u[2,1].u[2,2].d[1,2]]
          + 129/32*MatrixProduct[Yl1]*Tr[u[2,1].d[1,1].d[1,2]]
          + 15/4*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2]]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2]]*lam[1,1,2,2]
          + 13*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2]]*alpha3
          + 225/32*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2]]*alpha2
          - 27/8*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2]]*alpha2*z2
          + 45/8*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2]]*alpha2*Doub2
          - 81/8*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2]]*alpha2*Doub1
          + 27/8*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2]]*alpha2*Doub1*z2
          + 251/160*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2]]*alpha1
          - 27/40*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2]]*alpha1*z2
          + 9/8*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2]]*alpha1*Doub2
          - 81/40*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2]]*alpha1*Doub1*z2
          - 63/32*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2].u[2,2]]
          - 9/32*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2].d[1,1]]
          - 57/32*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2].d[2,2]]
          - 63/32*MatrixProduct[Yl1]*Tr[u[2,1].d[2,2].d[1,2]]
          - 15/4*MatrixProduct[Yl1]*Tr[u[2,2]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yl1]*Tr[u[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[u[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/4*MatrixProduct[Yl1]*Tr[u[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yl1]*Tr[u[2,2]]*lam[1,1,2,2]^2
          - 135/16*MatrixProduct[Yl1]*Tr[u[2,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          + 309/64*MatrixProduct[Yl1]*Tr[u[2,2]]*alpha2^2
          - 255/64*MatrixProduct[Yl1]*Tr[u[2,2]]*alpha2^2*Doub2
          - 663/64*MatrixProduct[Yl1]*Tr[u[2,2]]*alpha2^2*Doub1
          + 147/32*MatrixProduct[Yl1]*Tr[u[2,2]]*alpha2^2*Doub1*Doub2
          - 7257/1600*MatrixProduct[Yl1]*Tr[u[2,2]]*alpha1^2
          + 927/1600*MatrixProduct[Yl1]*Tr[u[2,2]]*alpha1^2*Doub2
          - 2541/1600*MatrixProduct[Yl1]*Tr[u[2,2]]*alpha1^2*Doub1
          + 441/800*MatrixProduct[Yl1]*Tr[u[2,2]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[u[1,1].d[2,2]]
          + 18*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[u[1,2].u[2,1]]
          - 81/8*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[u[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,1].d[2,2]]
          + 18*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2].d[2,1]]
          + 3*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,1].l[2,2]]
          + 6*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2].l[2,1]]
          + 21/32*MatrixProduct[Yl1]*Tr[u[2,2].u[2,2].d[1,1]]
          - 15/4*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha3
          - 12*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha3*z3
          + 27*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha2
          - 999/32*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha2*Doub2*z2
          + 549/32*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha2*Doub1
          - 81/32*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 1157/160*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha1
          + 39/10*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha1*z3
          + 27/80*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha1*z2
          + 231/40*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha1*Doub2
          - 9/5*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha1*Doub2*
         z2
          - 567/160*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*
         z2
          + 279/80*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 9/16*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1].d[1,1]]
          + 9/32*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1].d[2,2]]
          + 33/16*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2].d[2,1]]
          + 87/16*MatrixProduct[Yl1]*Tr[u[2,2].d[2,1].d[1,2]]
          + 9/32*MatrixProduct[Yl1]*Tr[u[2,2].d[2,2].d[1,1]]
          - 15/8*MatrixProduct[Yl1]*Tr[d[1,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yl1]*Tr[d[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yl1]*Tr[d[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yl1]*Tr[d[1,1]]*lam[1,1,2,2]^2
          - 135/8*MatrixProduct[Yl1]*Tr[d[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 135/16*MatrixProduct[Yl1]*Tr[d[1,1]]*lam[1,1,1,1]^2
          + 455/3*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha3^2
          - 12*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha3^2*z3
          - 16*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha3^2*Ng
          - 189/8*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2*alpha3
          + 18*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2*alpha3*z2
          - 75/2*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2*alpha3*Doub1
          + 36*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2*alpha3*Doub1*z3
          + 27/2*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2*alpha3*Doub1*z2
          - 2265/64*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2^2
          + 27/4*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2^2*Ng
          + 63/128*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2^2*Doub2
          + 21183/256*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2^2*Doub1
          - 351/8*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2^2*Doub1*z3
          + 135/64*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2^2*Doub1*z2
          - 27/4*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2^2*Doub1*Ng
          - 117/64*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha2^2*Doub1*Doub2
          - 91/120*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1*alpha3
          - 6/5*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1*alpha3*z2
          - 15/2*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1*alpha3*Doub1
          + 36/5*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1*alpha3*Doub1*z3
          + 27/10*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1*alpha3*Doub1*z2
          - 5409/160*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1*alpha2
          - 63/5*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1*alpha2*z3
          + 27/32*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1*alpha2*z2
          + 5421/128*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1*alpha2*Doub1
          + 99/10*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1*alpha2*Doub1*z3
          - 27/32*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1*alpha2*Doub1*z2
          - 11713/4800*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1^2
          - 123/50*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1^2*z3
          + 189/1600*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1^2*z2
          + 77/80*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1^2*Ng
          + 453/3200*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1^2*Doub2
          + 4887/6400*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1^2*Doub1
          + 81/40*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1^2*Doub1*z3
          - 189/1600*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1^2*Doub1*z2
          - 27/20*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1^2*Doub1*Ng
          - 351/1600*MatrixProduct[Yl1]*Tr[d[1,1]]*alpha1^2*Doub1*
         Doub2
          + 27*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[u[1,1].u[1,1]]
          - 9/4*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[u[1,1].d[1,1]]
          - 81/8*MatrixProduct[Yl1]*Tr[d[1,1]]^2*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[d[1,1]]^2*alpha2*z2
          - 81/8*MatrixProduct[Yl1]*Tr[d[1,1]]^2*alpha2*Doub1*z2
          - 81/40*MatrixProduct[Yl1]*Tr[d[1,1]]^2*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[d[1,1]]^2*alpha1*z2
          - 81/40*MatrixProduct[Yl1]*Tr[d[1,1]]^2*alpha1*Doub1*z2
          + 27*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,1].d[1,1]]
          - 27/4*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha2
          + 27/4*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha2*z2
          - 27/4*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha2*Doub1
         *z2
          - 27/20*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha1
          + 27/20*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha1*z2
          - 27/20*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,1]]*alpha1*
         Doub1*z2
          + 9*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,1].l[1,1]]
          + 45/4*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1]]*alpha3
          - 36*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1]]*alpha3*z3
          + 999/32*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1]]*alpha2
          + 27/16*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1]]*alpha2*z2
          - 459/8*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1]]*alpha2*Doub1*z3
          - 27/16*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1]]*alpha2*Doub1*z2
          + 717/32*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1]]*alpha1
          - 63/10*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1]]*alpha1*z3
          - 2247/80*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1]]*alpha1*Doub1
          + 9*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1]]*alpha1*Doub1*z3
          - 75/32*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1].d[1,1]]
          + 9/2*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1].d[1,1]]*z3
          + 9/16*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1].d[2,2]]
          + 135/8*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*lam[1,1,2,1]
          - 33/8*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2].d[2,1]]
          + 9*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2].d[2,1]]*z3
          + 135/8*MatrixProduct[Yl1]*Tr[d[1,1].d[2,1]]*lam[1,1,1,2]
          - 9/8*MatrixProduct[Yl1]*Tr[d[1,1].d[2,1].d[1,2]]
          + 15/2*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha2
          - 999/32*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha2*Doub2*z2
          + 549/32*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha2*Doub1
          - 81/32*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 1363/160*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha1
          - 33/10*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha1*z3
          - 867/80*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha1*Doub2*z3
          + 27/160*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha1*Doub2*
         z2
          + 549/160*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*
         z2
          - 279/80*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 21/32*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2].d[2,2]]
          - 45/16*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 135/16*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 135/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*lam[1,1,2,1]*Doub2
          - 135/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*lam[1,1,2,1]*Doub1
          + 81/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*lam[1,1,2,1]*Doub2
          - 81/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*lam[1,1,2,1]*Doub1
          + 27*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[u[1,1].u[2,1]]
          - 9/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[u[1,1].d[2,1]]
          - 9/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[u[2,1].d[1,1]]
          + 27*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*z2
          + 81/4*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub2
          - 81/16*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 4455/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/16*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*z2
          + 81/20*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 891/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/80*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1].l[2,1]]
          - 27/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 27/4*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub2*z2
          + 1485/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/16*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*z2
          - 1701/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 27/20*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 27/80*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 297/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 1701/160*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,2].d[1,2]]*lam[2,1,2,1]
          + 15/4*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*lam[1,2,2,1]
          + 15/2*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*lam[1,1,2,2]
          + 5/2*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha3
          - 24*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha3*z3
          + 135/32*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha2
          + 27/16*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha2*z2
          - 405/16*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha2*Doub2*z3
          - 9/16*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha2*Doub1*z2
          + 1111/80*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha1
          - 3*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha1*z3
          - 2733/160*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha1*Doub2*z2
          + 549/80*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha1*Doub1
          - 81/80*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*z2
          - 279/40*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*
         Doub2
          + 27/40*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 3/16*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1].d[2,2]]
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2].d[2,1]]
          + 9/2*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2].d[2,1]]*z3
          - 45/16*MatrixProduct[Yl1]*Tr[d[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[d[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl1]*Tr[d[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[d[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yl1]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yl1]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/16*MatrixProduct[Yl1]*Tr[d[2,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          - 135/32*MatrixProduct[Yl1]*Tr[d[2,1]]*alpha2*lam[1,1,1,2]*Doub2
          + 135/32*MatrixProduct[Yl1]*Tr[d[2,1]]*alpha2*lam[1,1,1,2]*Doub1
          - 81/32*MatrixProduct[Yl1]*Tr[d[2,1]]*alpha1*lam[1,1,1,2]*Doub2
          + 81/32*MatrixProduct[Yl1]*Tr[d[2,1]]*alpha1*lam[1,1,1,2]*Doub1
          + 27*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[u[1,1].u[1,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[u[1,1].d[1,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[u[1,2].d[1,1]]
          + 27*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[d[1,1].d[1,2]]
          + 9*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,1].l[1,2]]
          - 27/8*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*z2
          + 27/4*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub2*z2
          + 1485/32*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/16*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*z2
          - 1701/32*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*z2
          + 27/20*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 27/80*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 297/32*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 1701/160*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2*z2
          + 45/8*MatrixProduct[Yl1]*Tr[d[2,1].d[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yl1]*Tr[d[2,1].d[2,2]]*lam[1,2,2,2]
          - 15/4*MatrixProduct[Yl1]*Tr[d[2,2]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yl1]*Tr[d[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[d[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/4*MatrixProduct[Yl1]*Tr[d[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yl1]*Tr[d[2,2]]*lam[1,1,2,2]^2
          - 135/16*MatrixProduct[Yl1]*Tr[d[2,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          + 309/64*MatrixProduct[Yl1]*Tr[d[2,2]]*alpha2^2
          - 255/64*MatrixProduct[Yl1]*Tr[d[2,2]]*alpha2^2*Doub2
          - 663/64*MatrixProduct[Yl1]*Tr[d[2,2]]*alpha2^2*Doub1
          + 147/32*MatrixProduct[Yl1]*Tr[d[2,2]]*alpha2^2*Doub1*Doub2
          - 4161/1600*MatrixProduct[Yl1]*Tr[d[2,2]]*alpha1^2
          + 927/1600*MatrixProduct[Yl1]*Tr[d[2,2]]*alpha1^2*Doub2
          - 1713/1600*MatrixProduct[Yl1]*Tr[d[2,2]]*alpha1^2*Doub1
          + 441/800*MatrixProduct[Yl1]*Tr[d[2,2]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[u[1,1].d[2,2]]
          + 18*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[u[1,2].u[2,1]]
          - 81/8*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[u[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[d[1,1].d[2,2]]
          + 18*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[d[1,2].d[2,1]]
          + 3*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,1].l[2,2]]
          + 6*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2].l[2,1]]
          - 5/8*MatrixProduct[Yl1]*Tr[l[1,1]]*lam[1,2,2,1]^2
          - 15/16*MatrixProduct[Yl1]*Tr[l[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 5/8*MatrixProduct[Yl1]*Tr[l[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 5/8*MatrixProduct[Yl1]*Tr[l[1,1]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yl1]*Tr[l[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[l[1,1]]*lam[1,1,1,1]^2
          - 755/64*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha2^2
          + 9/4*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha2^2*z3
          - 45/64*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha2^2*z2
          + 15/16*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha2^2*Ng
          + 21/128*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha2^2*Doub2
          + 7061/256*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha2^2*Doub1
          - 117/8*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha2^2*Doub1*z3
          + 45/64*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha2^2*Doub1*z2
          - 9/4*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha2^2*Doub1*Ng
          - 39/64*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha2^2*Doub1*Doub2
          - 1539/160*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1*alpha2
          - 27/10*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1*alpha2*z3
          - 27/32*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1*alpha2*z2
          + 8379/640*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1*alpha2*Doub1
          + 81/10*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1*alpha2*Doub1*z2
          + 2103/1600*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1^2
          + 27/25*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1^2*z3
          - 297/1600*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1^2*z2
          - 81/80*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1^2*Ng
          - 729/3200*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1^2*Doub2
          - 12291/6400*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1^2*Doub1
          + 27/40*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1^2*Doub1*z3
          + 297/1600*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1^2*Doub1*z2
          - 9/20*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1^2*Doub1*Ng
          - 117/1600*MatrixProduct[Yl1]*Tr[l[1,1]]*alpha1^2*Doub1*
         Doub2
          + 9*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[u[1,1].u[1,1]]
          - 3/4*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[u[1,1].d[1,1]]
          + 9*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[d[1,1].d[1,1]]
          - 9/8*MatrixProduct[Yl1]*Tr[l[1,1]]^2*alpha2
          + 9/8*MatrixProduct[Yl1]*Tr[l[1,1]]^2*alpha2*z2
          - 9/8*MatrixProduct[Yl1]*Tr[l[1,1]]^2*alpha2*Doub1*z2
          - 9/40*MatrixProduct[Yl1]*Tr[l[1,1]]^2*alpha1
          + 9/40*MatrixProduct[Yl1]*Tr[l[1,1]]^2*alpha1*z2
          - 9/40*MatrixProduct[Yl1]*Tr[l[1,1]]^2*alpha1*Doub1*z2
          + 3*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,1].l[1,1]]
          + 15/4*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1]]*lam[1,1,1,1]
          + 333/32*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1]]*alpha2
          + 9/16*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1]]*alpha2*z2
          - 153/8*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1]]*alpha2*Doub1
          + 9/2*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1]]*alpha2*Doub1*z3
          - 9/16*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1]]*alpha2*Doub1*z2
          + 909/160*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1]]*alpha1
          - 27/10*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1]]*alpha1*z3
          - 63/10*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1]]*alpha1*Doub1
          - 25/32*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1].l[1,1]]
          + 3/2*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1].l[1,1]]*z3
          + 3/16*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1].l[2,2]]
          + 45/8*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*lam[1,1,2,1]
          - 11/8*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2].l[2,1]]
          + 3*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2].l[2,1]]*z3
          + 45/8*MatrixProduct[Yl1]*Tr[l[1,1].l[2,1]]*lam[1,1,1,2]
          - 3/8*MatrixProduct[Yl1]*Tr[l[1,1].l[2,1].l[1,2]]
          + 5/2*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*lam[1,2,2,1]
          + 5/4*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*lam[1,1,2,2]
          + 9*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha2
          - 333/32*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha2*Doub2
          + 9/32*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha2*Doub2*z2
          + 183/32*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*z2
          - 93/16*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*
         Doub2
          + 9/16*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 807/160*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha1
          - 9/2*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha1*z3
          - 267/40*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha1*Doub2*z3
          + 9/160*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha1*Doub2*z2
          + 183/160*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha1*Doub1
          - 27/160*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*
         z2
          - 93/80*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*
         Doub2
          + 9/80*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 7/32*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2].l[2,2]]
          - 15/16*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/8*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 45/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2*lam[1,1,2,1]*Doub2
          - 45/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2*lam[1,1,2,1]*Doub1
          + 27/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*lam[1,1,2,1]*Doub2
          - 27/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*lam[1,1,2,1]*Doub1
          + 9*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[u[1,1].u[2,1]]
          - 3/8*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[u[1,1].d[2,1]]
          - 3/8*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[u[2,1].d[1,1]]
          + 9*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[d[1,1].d[2,1]]
          + 3*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[1,1].l[2,1]]
          - 9/8*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2
          + 9/8*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 9/4*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub2
          - 9/16*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub2
         *z2
          + 495/32*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 27/16*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*z2
          - 567/32*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 9/8*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 9/40*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1
          + 9/40*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 9/20*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub2
          - 9/80*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub2
         *z2
          + 99/32*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 27/80*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 567/160*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 9/40*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,2].l[1,2]]*lam[2,1,2,1]
          + 5/4*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*lam[1,2,2,1]
          + 5/2*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*lam[1,1,2,2]
          + 45/32*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha2
          + 9/16*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha2*z2
          - 135/16*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha2*Doub2
          + 9/2*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha2*Doub2*z3
          - 3/16*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha2*Doub1
          - 9/16*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha2*Doub1*z2
          + 51/80*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha1
          + 9/5*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha1*z3
          + 69/160*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha1*Doub2
          - 9/2*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha1*Doub2*z2
          + 183/80*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha1*Doub1
          - 27/80*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*z2
          - 93/40*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*
         Doub2
          + 9/40*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 1/16*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1].l[2,2]]
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2].l[2,1]]
          + 3/2*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2].l[2,1]]*z3
          - 15/16*MatrixProduct[Yl1]*Tr[l[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl1]*Tr[l[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yl1]*Tr[l[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yl1]*Tr[l[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yl1]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yl1]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yl1]*Tr[l[2,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          - 45/32*MatrixProduct[Yl1]*Tr[l[2,1]]*alpha2*lam[1,1,1,2]*Doub2
          + 45/32*MatrixProduct[Yl1]*Tr[l[2,1]]*alpha2*lam[1,1,1,2]*Doub1
          - 27/32*MatrixProduct[Yl1]*Tr[l[2,1]]*alpha1*lam[1,1,1,2]*Doub2
          + 27/32*MatrixProduct[Yl1]*Tr[l[2,1]]*alpha1*lam[1,1,1,2]*Doub1
          + 9*MatrixProduct[Yl1]*Tr[l[2,1]]*Tr[u[1,1].u[1,2]]
          - 3/8*MatrixProduct[Yl1]*Tr[l[2,1]]*Tr[u[1,1].d[1,2]]
          - 3/8*MatrixProduct[Yl1]*Tr[l[2,1]]*Tr[u[1,2].d[1,1]]
          + 9*MatrixProduct[Yl1]*Tr[l[2,1]]*Tr[d[1,1].d[1,2]]
          + 3*MatrixProduct[Yl1]*Tr[l[2,1]]*Tr[l[1,1].l[1,2]]
          + 15/8*MatrixProduct[Yl1]*Tr[l[2,1].l[2,1]]*lam[1,2,1,2]
          + 15/8*MatrixProduct[Yl1]*Tr[l[2,1].l[2,2]]*lam[1,2,2,2]
          - 5/4*MatrixProduct[Yl1]*Tr[l[2,2]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yl1]*Tr[l[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yl1]*Tr[l[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 5/4*MatrixProduct[Yl1]*Tr[l[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 5/4*MatrixProduct[Yl1]*Tr[l[2,2]]*lam[1,1,2,2]^2
          - 45/16*MatrixProduct[Yl1]*Tr[l[2,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          + 103/64*MatrixProduct[Yl1]*Tr[l[2,2]]*alpha2^2
          - 85/64*MatrixProduct[Yl1]*Tr[l[2,2]]*alpha2^2*Doub2
          - 221/64*MatrixProduct[Yl1]*Tr[l[2,2]]*alpha2^2*Doub1
          + 49/32*MatrixProduct[Yl1]*Tr[l[2,2]]*alpha2^2*Doub1*Doub2
          - 4827/1600*MatrixProduct[Yl1]*Tr[l[2,2]]*alpha1^2
          + 309/1600*MatrixProduct[Yl1]*Tr[l[2,2]]*alpha1^2*Doub2
          - 1491/1600*MatrixProduct[Yl1]*Tr[l[2,2]]*alpha1^2*Doub1
          + 147/800*MatrixProduct[Yl1]*Tr[l[2,2]]*alpha1^2*Doub1*Doub2
          + 3*MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[u[1,1].u[2,2]]
          + 3*MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[u[1,1].d[2,2]]
          + 6*MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[u[1,2].u[2,1]]
          - 27/8*MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[u[1,2].d[2,1]]
          - 27/8*MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[u[2,1].d[1,2]]
          + 3*MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[u[2,2].d[1,1]]
          + 3*MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[d[1,1].d[2,2]]
          + 6*MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[d[1,2].d[2,1]]
          + MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[l[1,1].l[2,2]]
          + 2*MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[l[1,2].l[2,1]]
          - 15/8*MatrixProduct[Yl2]*lam[2,1,2,2]*lam[1,2,2,1]^2
          - 9/4*MatrixProduct[Yl2]*lam[2,1,2,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yl2]*lam[2,1,2,2]*lam[2,2,2,2]^2
          - 9/2*MatrixProduct[Yl2]*lam[1,2,2,2]*lam[2,1,2,2]^2
          - 27/8*MatrixProduct[Yl2]*lam[2,1,2,1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yl2]*lam[2,1,2,1]*lam[1,2,2,2]*lam[2,2,2,2]
          - 9/4*MatrixProduct[Yl2]*lam[1,2,1,2]*lam[2,1,2,1]*lam[2,1,2,2]
          - 27/8*MatrixProduct[Yl2]*lam[1,1,2,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yl2]*lam[1,1,2,2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 3*MatrixProduct[Yl2]*lam[1,1,2,2]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yl2]*lam[1,1,2,2]^2*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yl2]*lam[1,1,2,1]*lam[1,2,2,1]^2
          - 3/4*MatrixProduct[Yl2]*lam[1,1,2,1]*lam[2,2,2,2]*lam[1,2,2,1]
          - 21/8*MatrixProduct[Yl2]*lam[1,1,2,1]*lam[1,2,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yl2]*lam[1,1,2,1]*lam[1,2,1,2]*lam[2,1,2,1]
          - 27/8*MatrixProduct[Yl2]*lam[1,1,2,1]*lam[1,1,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yl2]*lam[1,1,2,1]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yl2]*lam[1,1,2,1]*lam[1,1,2,2]^2
          - 15/8*MatrixProduct[Yl2]*lam[1,1,2,1]^2*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yl2]*lam[1,1,1,2]*lam[2,1,2,2]^2
          - 27/8*MatrixProduct[Yl2]*lam[1,1,1,2]*lam[2,1,2,1]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yl2]*lam[1,1,1,2]*lam[2,1,2,1]*lam[2,2,2,2]
          - 3*MatrixProduct[Yl2]*lam[1,1,1,2]*lam[1,1,2,2]*lam[2,1,2,1]
          - 21/8*MatrixProduct[Yl2]*lam[1,1,1,2]*lam[1,1,2,1]*lam[2,1,2,2]
          - 9/2*MatrixProduct[Yl2]*lam[1,1,1,2]*lam[1,1,2,1]^2
          - 3/4*MatrixProduct[Yl2]*lam[1,1,1,1]*lam[2,1,2,2]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yl2]*lam[1,1,1,1]*lam[2,1,2,1]*lam[1,2,2,2]
          - 9/8*MatrixProduct[Yl2]*lam[1,1,1,1]*lam[1,1,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yl2]*lam[1,1,1,1]*lam[1,1,2,1]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yl2]*lam[1,1,1,1]*lam[1,1,2,1]*lam[1,1,2,2]
          - 9/4*MatrixProduct[Yl2]*lam[1,1,1,1]*lam[1,1,1,2]*lam[2,1,2,1]
          - 9/4*MatrixProduct[Yl2]*lam[1,1,1,1]^2*lam[1,1,2,1]
          + 3/32*MatrixProduct[Yl2]*alpha2*lam[2,1,2,2]*lam[1,2,2,1]*Doub2
          + 219/64*MatrixProduct[Yl2]*alpha2*lam[2,1,2,2]*lam[1,2,2,1]*Doub1
          + 135/64*MatrixProduct[Yl2]*alpha2*lam[2,1,2,2]*lam[1,2,2,1]*Doub1*
         Doub2
          + 9/64*MatrixProduct[Yl2]*alpha2*lam[2,1,2,2]*lam[2,2,2,2]*Doub2
          + 81/16*MatrixProduct[Yl2]*alpha2*lam[2,1,2,2]*lam[2,2,2,2]*Doub1
          + 27/64*MatrixProduct[Yl2]*alpha2*lam[2,1,2,2]*lam[2,2,2,2]*Doub1*
         Doub2
          - 123/16*MatrixProduct[Yl2]*alpha2*lam[2,1,2,1]*lam[1,2,2,2]*Doub2
          + 609/64*MatrixProduct[Yl2]*alpha2*lam[2,1,2,1]*lam[1,2,2,2]*Doub1
          + 243/64*MatrixProduct[Yl2]*alpha2*lam[2,1,2,1]*lam[1,2,2,2]*Doub1*
         Doub2
          + 63/8*MatrixProduct[Yl2]*alpha2*lam[1,1,2,2]*lam[2,1,2,2]*Doub2
          - 171/64*MatrixProduct[Yl2]*alpha2*lam[1,1,2,2]*lam[2,1,2,2]*Doub1
          + 27/64*MatrixProduct[Yl2]*alpha2*lam[1,1,2,2]*lam[2,1,2,2]*Doub1*
         Doub2
          + 57/64*MatrixProduct[Yl2]*alpha2*lam[1,1,2,1]*lam[1,2,2,1]*Doub2
          + 21/8*MatrixProduct[Yl2]*alpha2*lam[1,1,2,1]*lam[1,2,2,1]*Doub1
          + 135/64*MatrixProduct[Yl2]*alpha2*lam[1,1,2,1]*lam[1,2,2,1]*Doub1*
         Doub2
          - 333/64*MatrixProduct[Yl2]*alpha2*lam[1,1,2,1]*lam[1,1,2,2]*Doub2
          + 333/32*MatrixProduct[Yl2]*alpha2*lam[1,1,2,1]*lam[1,1,2,2]*Doub1
          + 27/64*MatrixProduct[Yl2]*alpha2*lam[1,1,2,1]*lam[1,1,2,2]*Doub1*
         Doub2
          + 447/64*MatrixProduct[Yl2]*alpha2*lam[1,1,1,2]*lam[2,1,2,1]*Doub2
          - 165/32*MatrixProduct[Yl2]*alpha2*lam[1,1,1,2]*lam[2,1,2,1]*Doub1
          + 243/64*MatrixProduct[Yl2]*alpha2*lam[1,1,1,2]*lam[2,1,2,1]*Doub1*
         Doub2
          + 81/32*MatrixProduct[Yl2]*alpha2*lam[1,1,1,1]*lam[1,1,2,1]*Doub2
          + 171/64*MatrixProduct[Yl2]*alpha2*lam[1,1,1,1]*lam[1,1,2,1]*Doub1
          + 27/64*MatrixProduct[Yl2]*alpha2*lam[1,1,1,1]*lam[1,1,2,1]*Doub1*
         Doub2
          - 351/128*MatrixProduct[Yl2]*alpha2^2*lam[2,1,2,2]*Doub2
          + 27/16*MatrixProduct[Yl2]*alpha2^2*lam[2,1,2,2]*Doub2*z3
          + 9/128*MatrixProduct[Yl2]*alpha2^2*lam[2,1,2,2]*Doub1*Doub2
          - 27/16*MatrixProduct[Yl2]*alpha2^2*lam[2,1,2,2]*Doub1*Doub2*z3
          - 351/128*MatrixProduct[Yl2]*alpha2^2*lam[1,1,2,1]*Doub1
          + 27/16*MatrixProduct[Yl2]*alpha2^2*lam[1,1,2,1]*Doub1*z3
          + 9/128*MatrixProduct[Yl2]*alpha2^2*lam[1,1,2,1]*Doub1*Doub2
          - 27/16*MatrixProduct[Yl2]*alpha2^2*lam[1,1,2,1]*Doub1*Doub2*z3
          + 63/40*MatrixProduct[Yl2]*alpha1*lam[2,1,2,2]*lam[1,2,2,1]*Doub2
          - 171/320*MatrixProduct[Yl2]*alpha1*lam[2,1,2,2]*lam[1,2,2,1]*Doub1
          + 27/320*MatrixProduct[Yl2]*alpha1*lam[2,1,2,2]*lam[1,2,2,1]*Doub1*
         Doub2
          + 9/320*MatrixProduct[Yl2]*alpha1*lam[2,1,2,2]*lam[2,2,2,2]*Doub2
          + 81/80*MatrixProduct[Yl2]*alpha1*lam[2,1,2,2]*lam[2,2,2,2]*Doub1
          + 27/320*MatrixProduct[Yl2]*alpha1*lam[2,1,2,2]*lam[2,2,2,2]*Doub1*
         Doub2
          - 99/32*MatrixProduct[Yl2]*alpha1*lam[2,1,2,1]*lam[1,2,2,2]*Doub2
          + 999/320*MatrixProduct[Yl2]*alpha1*lam[2,1,2,1]*lam[1,2,2,2]*Doub1
          + 351/320*MatrixProduct[Yl2]*alpha1*lam[2,1,2,1]*lam[1,2,2,2]*Doub1*
         Doub2
          + 63/40*MatrixProduct[Yl2]*alpha1*lam[1,1,2,2]*lam[2,1,2,2]*Doub2
          - 171/320*MatrixProduct[Yl2]*alpha1*lam[1,1,2,2]*lam[2,1,2,2]*Doub1
          + 27/320*MatrixProduct[Yl2]*alpha1*lam[1,1,2,2]*lam[2,1,2,2]*Doub1*
         Doub2
          - 333/320*MatrixProduct[Yl2]*alpha1*lam[1,1,2,1]*lam[1,2,2,1]*Doub2
          + 333/160*MatrixProduct[Yl2]*alpha1*lam[1,1,2,1]*lam[1,2,2,1]*Doub1
          + 27/320*MatrixProduct[Yl2]*alpha1*lam[1,1,2,1]*lam[1,2,2,1]*Doub1*
         Doub2
          - 333/320*MatrixProduct[Yl2]*alpha1*lam[1,1,2,1]*lam[1,1,2,2]*Doub2
          + 333/160*MatrixProduct[Yl2]*alpha1*lam[1,1,2,1]*lam[1,1,2,2]*Doub1
          + 27/320*MatrixProduct[Yl2]*alpha1*lam[1,1,2,1]*lam[1,1,2,2]*Doub1*
         Doub2
          + 837/320*MatrixProduct[Yl2]*alpha1*lam[1,1,1,2]*lam[2,1,2,1]*Doub2
          - 207/80*MatrixProduct[Yl2]*alpha1*lam[1,1,1,2]*lam[2,1,2,1]*Doub1
          + 351/320*MatrixProduct[Yl2]*alpha1*lam[1,1,1,2]*lam[2,1,2,1]*Doub1*
         Doub2
          + 81/160*MatrixProduct[Yl2]*alpha1*lam[1,1,1,1]*lam[1,1,2,1]*Doub2
          + 171/320*MatrixProduct[Yl2]*alpha1*lam[1,1,1,1]*lam[1,1,2,1]*Doub1
          + 27/320*MatrixProduct[Yl2]*alpha1*lam[1,1,1,1]*lam[1,1,2,1]*Doub1*
         Doub2
          + 513/320*MatrixProduct[Yl2]*alpha1*alpha2*lam[2,1,2,2]*Doub2
          + 27/40*MatrixProduct[Yl2]*alpha1*alpha2*lam[2,1,2,2]*Doub2*z3
          + 9/320*MatrixProduct[Yl2]*alpha1*alpha2*lam[2,1,2,2]*Doub1*Doub2
          - 27/40*MatrixProduct[Yl2]*alpha1*alpha2*lam[2,1,2,2]*Doub1*Doub2
         *z3
          + 513/320*MatrixProduct[Yl2]*alpha1*alpha2*lam[1,1,2,1]*Doub1
          + 27/40*MatrixProduct[Yl2]*alpha1*alpha2*lam[1,1,2,1]*Doub1*z3
          + 9/320*MatrixProduct[Yl2]*alpha1*alpha2*lam[1,1,2,1]*Doub1*Doub2
          - 27/40*MatrixProduct[Yl2]*alpha1*alpha2*lam[1,1,2,1]*Doub1*Doub2
         *z3
          - 6237/3200*MatrixProduct[Yl2]*alpha1^2*lam[2,1,2,2]*Doub2
          + 81/400*MatrixProduct[Yl2]*alpha1^2*lam[2,1,2,2]*Doub2*z3
          + 27/3200*MatrixProduct[Yl2]*alpha1^2*lam[2,1,2,2]*Doub1*Doub2
          - 81/400*MatrixProduct[Yl2]*alpha1^2*lam[2,1,2,2]*Doub1*Doub2*z3
          - 6237/3200*MatrixProduct[Yl2]*alpha1^2*lam[1,1,2,1]*Doub1
          + 81/400*MatrixProduct[Yl2]*alpha1^2*lam[1,1,2,1]*Doub1*z3
          + 27/3200*MatrixProduct[Yl2]*alpha1^2*lam[1,1,2,1]*Doub1*Doub2
          - 81/400*MatrixProduct[Yl2]*alpha1^2*lam[1,1,2,1]*Doub1*Doub2*z3
          - 45/16*MatrixProduct[Yl2]*Tr[u[1,1]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[u[1,1]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[u[1,1]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[u[1,1]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yl2]*Tr[u[1,1]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[u[1,1]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 135/16*MatrixProduct[Yl2]*Tr[u[1,1]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 27*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[1,1].u[2,1]]
          - 9/8*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*z2
          + 3807/32*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub2*z2
          + 1971/64*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*z2
          + 3807/160*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub2*z2
          + 1971/320*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1]]*alpha1*
         Doub1*Doub2*z2
          - 9/8*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1].d[1,1]]
          + 27*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*z2
          + 3807/32*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 1971/64*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*z2
          + 3807/160*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 1971/320*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[1,1].l[2,1]]
          - 27/8*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*z2
          + 1269/32*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*
         Doub2*z2
          + 657/64*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*z2
          + 1269/160*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 657/320*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 45/8*MatrixProduct[Yl2]*Tr[u[1,1].u[1,1]]*lam[1,1,2,1]
          - 75/32*MatrixProduct[Yl2]*Tr[u[1,1].u[1,1].u[2,1]]
          + 9/2*MatrixProduct[Yl2]*Tr[u[1,1].u[1,1].u[2,1]]*z3
          - 99/32*MatrixProduct[Yl2]*Tr[u[1,1].u[1,1].d[2,1]]
          + 45/8*MatrixProduct[Yl2]*Tr[u[1,1].u[1,2]]*lam[2,1,2,1]
          + 45/8*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*lam[1,1,2,2]
          + 45/8*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha3
          - 36*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha3*z3
          + 999/32*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha2
          + 27/16*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha2*z2
          + 1899/128*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha2*Doub2*z2
          - 7803/128*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 1563/80*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha1
          - 27/5*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha1*z3
          + 4131/640*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha1*Doub2*
         z2
          - 3099/128*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha1*Doub1*z3
          + 81/160*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha1*Doub1*
         z2
          - 459/80*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*alpha1*Doub1*
         Doub2
          - 45/32*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1].u[2,2]]
          + 9/2*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1].u[2,2]]*z3
          + 9/16*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1].d[1,1]]
          - 9/8*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1].d[2,2]]
          + 45/8*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*lam[1,1,2,1]
          - 33/32*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2].u[2,1]]
          - 15/32*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2].d[2,1]]
          + 15/4*MatrixProduct[Yl2]*Tr[u[1,1].d[1,1].u[2,1]]
          + 15/4*MatrixProduct[Yl2]*Tr[u[1,1].d[1,1].d[2,1]]
          + 57/4*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha3
          - 12*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha3*z3
          + 1089/32*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha2
          - 27/8*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha2*z2
          + 1773/128*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha2*Doub2*z2
          - 2709/128*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 453/80*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha1
          + 39/10*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha1*z3
          - 27/80*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha1*z2
          - 459/640*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha1*Doub2*
         z2
          + 4983/640*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha1*Doub1
          - 9/5*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha1*Doub1*
         z2
          - 9/4*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1]]*alpha1*Doub1*
         Doub2*z2
          + 117/32*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1].u[2,2]]
          + 9/16*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1].d[1,1]]
          - 33/16*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1].d[2,2]]
          - 33/16*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2].u[2,1]]
          - 9/8*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2].d[2,1]]
          - 45/8*MatrixProduct[Yl2]*Tr[u[1,2]]*lam[2,1,2,2]^2
          - 45/8*MatrixProduct[Yl2]*Tr[u[1,2]]*lam[2,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[u[1,2]]*lam[2,1,2,1]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[u[1,2]]*lam[1,1,2,2]*lam[2,1,2,1]
          - 45/8*MatrixProduct[Yl2]*Tr[u[1,2]]*lam[1,1,2,1]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[u[1,2]]*lam[1,1,2,1]^2
          - 45/16*MatrixProduct[Yl2]*Tr[u[1,2]]*lam[1,1,1,1]*lam[2,1,2,1]
          + 81/64*MatrixProduct[Yl2]*Tr[u[1,2]]*alpha2*lam[2,1,2,1]*Doub2
          - 459/64*MatrixProduct[Yl2]*Tr[u[1,2]]*alpha2*lam[2,1,2,1]*Doub1
          + 189/32*MatrixProduct[Yl2]*Tr[u[1,2]]*alpha2*lam[2,1,2,1]*Doub1*
         Doub2
          + 243/320*MatrixProduct[Yl2]*Tr[u[1,2]]*alpha1*lam[2,1,2,1]*Doub2
          - 1377/320*MatrixProduct[Yl2]*Tr[u[1,2]]*alpha1*lam[2,1,2,1]*
         Doub1
          + 567/160*MatrixProduct[Yl2]*Tr[u[1,2]]*alpha1*lam[2,1,2,1]*Doub1
         *Doub2
          + 27*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1].u[2,1]]
          - 9/4*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1].d[2,1]]
          + 27*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1].d[2,1]]
          + 9*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1].l[2,1]]
          + 45/8*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1].u[2,1]]
          + 9/2*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1].u[2,1]]*z3
          - 15/16*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1].d[2,1]]
          + 45/8*MatrixProduct[Yl2]*Tr[u[1,2].u[2,2]]*lam[2,1,2,1]
          - 15/16*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1].u[2,1]]
          + 15/2*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1].d[2,1]]
          - 15/16*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/4*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/16*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 455/3*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha3^2
          - 12*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha3^2*z3
          - 16*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha3^2*Ng
          - 81/64*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*lam[1,1,2,2]*Doub2
          + 459/64*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*lam[1,1,2,2]*Doub1
          - 189/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 189/8*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*alpha3
          + 18*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*alpha3*z2
          - 165/8*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*alpha3*Doub2
          + 54*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*alpha3*Doub2*z3
          + 141/8*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*alpha3*Doub1
          + 18*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*alpha3*Doub1*z3
          - 69/2*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*alpha3*Doub1*
         Doub2
          - 36*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*alpha3*Doub1*Doub2
         *z3
          + 27/2*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*alpha3*Doub1*
         Doub2*z2
          - 2007/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2
          + 27/2*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*Ng
          - 64467/512*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*Doub2
          - 189/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*Doub2*z3
          + 27/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*Doub2*z2
          + 675/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*Doub2*Ng
          - 57015/512*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*Doub1
          + 243/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*Doub1*z3
          + 27/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*Doub1*z2
          + 675/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*Doub1*Ng
          + 42039/128*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*Doub1*
         Doub2
          - 729/16*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*Doub1*Doub2*
         z3
          + 27/64*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*Doub1*Doub2*
         z2
          - 783/16*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2^2*Doub1*Doub2*
         Ng
          - 81/160*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*lam[1,2,2,1]*Doub2
          + 459/160*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*lam[1,2,2,1]*Doub1
          - 189/80*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          - 81/320*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*lam[1,1,2,2]*Doub2
          + 459/320*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*lam[1,1,2,2]*Doub1
          - 189/160*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*lam[1,1,2,2]*Doub1
         *Doub2
          - 1519/120*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha3
          + 66/5*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha3*z2
          - 33/8*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha3*Doub2
          + 54/5*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha3*Doub2*z3
          + 141/40*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha3*Doub1
          + 18/5*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha3*Doub1*z3
          - 69/10*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha3*Doub1*
         Doub2
          - 36/5*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha3*Doub1*
         Doub2*z3
          + 27/10*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha3*Doub1*
         Doub2*z2
          - 747/20*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha2
          - 603/20*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha2*z3
          - 27/160*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha2*z2
          + 41583/1280*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha2*
         Doub2
          - 27/80*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha2*Doub2*z3
          - 81/80*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha2*Doub2*z2
          + 57099/1280*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha2*
         Doub1
          - 171/80*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha2*Doub1*
         z3
          - 81/80*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha2*Doub1*z2
          - 1101/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha2*Doub1*
         Doub2
          + 711/40*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 351/160*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z2
          + 1051/600*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2
          - 969/50*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*z3
          - 27/320*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*z2
          - 19/80*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*Ng
          - 16551/12800*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*Doub2
          + 3591/800*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*Doub2*z3
          - 81/800*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*Doub2*z2
          + 135/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*Doub2*Ng
          - 14139/12800*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*Doub1
          + 3303/800*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*Doub1*z3
          - 81/800*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*Doub1*z2
          + 135/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*Doub1*Ng
          + 171/128*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*Doub1*Doub2
          - 2637/400*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*Doub1*
         Doub2*z3
          + 459/1600*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*Doub1*
         Doub2*z2
          - 783/80*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1^2*Doub1*Doub2*
         Ng
          + 18*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[1,1].u[2,2]]
          - 81/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,1].d[1,2]]
          - 81/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*z2
          + 3807/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub2*z2
          + 2889/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*z2
          + 3807/320*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub2*z2
          + 2889/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2]]*alpha1*
         Doub1*Doub2*z2
          - 81/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2].d[1,1]]
          - 81/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*z2
          + 3807/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub2*z2
          + 1971/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*z2
          + 3807/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub2*z2
          + 1971/320*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1]]*alpha1*
         Doub1*Doub2*z2
          + 18*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*z2
          + 3807/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub2*z2
          + 2889/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*z2
          + 3807/320*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub2*z2
          + 2889/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2*z2
          - 27/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*z2
          + 1269/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*
         Doub2*z2
          + 657/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*z2
          + 1269/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub2*z2
          + 657/320*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2*z2
          + 6*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2].l[2,1]]
          - 27/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*z2
          + 1269/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*
         Doub2*z2
          + 963/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*z2
          + 1269/320*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 963/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2*z2
          + 45/8*MatrixProduct[Yl2]*Tr[u[2,1].u[2,1]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yl2]*Tr[u[2,1].u[2,1]]*lam[1,1,1,2]
          + 15/2*MatrixProduct[Yl2]*Tr[u[2,1].u[2,1].d[1,2]]
          + 45/8*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*lam[2,2,2,2]
          + 45/8*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*lam[1,1,2,2]
          + 15/4*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha3
          - 36*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha2
          + 27/16*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha2*z2
          - 6453/128*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha2*Doub2*z2
          + 549/128*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 1563/80*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha1
          - 27/5*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha1*z3
          - 2829/128*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha1*Doub2*z3
          + 81/160*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha1*Doub2*
         z2
          + 2781/640*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha1*Doub1*
         z2
          - 459/80*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*alpha1*Doub1*
         Doub2
          - 75/32*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2].u[2,2]]
          + 9/2*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2].u[2,2]]*z3
          - 9/8*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2].d[1,1]]
          + 9/16*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2].d[2,2]]
          + 57/4*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha3
          - 12*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha3*z3
          + 1089/32*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha2
          - 27/8*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha2*z2
          + 1773/128*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha2*Doub2*z2
          - 2709/128*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 1557/160*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha1
          + 33/5*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha1*z3
          - 27/80*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha1*z2
          - 459/640*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha1*Doub2*
         z2
          + 7923/640*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha1*Doub1
          - 63/10*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha1*Doub1*
         z2
          - 9/4*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1]]*alpha1*Doub1*
         Doub2*z2
          - 33/16*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1].u[2,2]]
          - 99/32*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1].d[1,1]]
          + 117/32*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1].d[2,2]]
          - 15/16*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2].d[2,1]]
          - 15/16*MatrixProduct[Yl2]*Tr[u[2,1].d[2,1].d[1,2]]
          + 57/4*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha3*z3
          + 1089/32*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha2
          - 27/8*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha2*z2
          - 2619/128*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha2*Doub2*z2
          + 1683/128*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 1557/160*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha1
          + 33/5*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha1*z3
          - 27/80*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha1*z2
          + 8013/640*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha1*Doub2
          - 63/10*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha1*Doub2*
         z2
          - 549/640*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha1*Doub1*
         z2
          - 9/4*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 15/4*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2].u[2,2]]
          - 15/32*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2].d[1,1]]
          - 99/32*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2].d[2,2]]
          - 45/8*MatrixProduct[Yl2]*Tr[u[2,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yl2]*Tr[u[2,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[u[2,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[u[2,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[u[2,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[u[2,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[u[2,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 27*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[u[2,1].u[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[u[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[u[2,2].d[2,1]]
          - 81/8*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*z2
          + 3807/64*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 2889/32*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*z2
          + 3807/320*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 2889/160*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 27*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,1].d[2,2]]
          - 27/8*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*z2
          + 1269/64*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*
         Doub2*z2
          + 963/32*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*z2
          + 1269/320*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 963/160*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2]]*lam[2,1,2,2]
          - 99/32*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2].d[2,1]]
          - 33/16*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1].d[2,1]]
          + 57/4*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha3
          - 12*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha3*z3
          + 1089/32*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha2
          - 27/8*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha2*z2
          - 2619/128*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha2*Doub2*z2
          + 1683/128*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 453/80*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha1
          + 39/10*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha1*z3
          - 27/80*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha1*z2
          + 5073/640*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha1*Doub2
          - 9/5*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha1*Doub2*
         z2
          - 549/640*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha1*Doub1*
         z2
          - 9/4*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 9/8*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1].d[1,1]]
          + 15/4*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1].d[2,2]]
          + 9/16*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2].d[2,1]]
          - 45/16*MatrixProduct[Yl2]*Tr[d[1,1]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[d[1,1]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[d[1,1]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[d[1,1]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yl2]*Tr[d[1,1]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[d[1,1]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 135/16*MatrixProduct[Yl2]*Tr[d[1,1]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 27*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[u[1,1].u[2,1]]
          - 9/8*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[u[1,1].d[2,1]]
          - 9/8*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[u[2,1].d[1,1]]
          + 27*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[1,1].d[2,1]]
          - 81/8*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*z2
          + 3807/32*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 1971/64*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*z2
          + 3807/160*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 1971/320*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[1,1].l[2,1]]
          - 27/8*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*z2
          + 1269/32*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*
         Doub2*z2
          + 657/64*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*z2
          + 1269/160*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 657/320*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 45/8*MatrixProduct[Yl2]*Tr[d[1,1].d[1,1]]*lam[1,1,2,1]
          - 75/32*MatrixProduct[Yl2]*Tr[d[1,1].d[1,1].d[2,1]]
          + 9/2*MatrixProduct[Yl2]*Tr[d[1,1].d[1,1].d[2,1]]*z3
          + 45/8*MatrixProduct[Yl2]*Tr[d[1,1].d[1,2]]*lam[2,1,2,1]
          + 45/8*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*lam[1,1,2,2]
          + 45/8*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha3
          - 36*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha3*z3
          + 999/32*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha2
          + 27/16*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha2*z2
          + 1899/128*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha2*Doub2*z2
          - 7803/128*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 717/32*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha1
          - 63/10*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha1*z3
          + 4131/640*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha1*Doub2*
         z2
          - 3687/128*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha1*Doub1
          + 9*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha1*Doub1*z3
          + 81/160*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha1*Doub1*
         z2
          - 459/80*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*alpha1*Doub1*
         Doub2
          - 33/32*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1].d[2,2]]
          + 45/8*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*lam[1,1,2,1]
          - 45/32*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2].d[2,1]]
          + 9/2*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2].d[2,1]]*z3
          - 45/8*MatrixProduct[Yl2]*Tr[d[1,2]]*lam[2,1,2,2]^2
          - 45/8*MatrixProduct[Yl2]*Tr[d[1,2]]*lam[2,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[d[1,2]]*lam[2,1,2,1]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[d[1,2]]*lam[1,1,2,2]*lam[2,1,2,1]
          - 45/8*MatrixProduct[Yl2]*Tr[d[1,2]]*lam[1,1,2,1]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[d[1,2]]*lam[1,1,2,1]^2
          - 45/16*MatrixProduct[Yl2]*Tr[d[1,2]]*lam[1,1,1,1]*lam[2,1,2,1]
          + 81/64*MatrixProduct[Yl2]*Tr[d[1,2]]*alpha2*lam[2,1,2,1]*Doub2
          - 459/64*MatrixProduct[Yl2]*Tr[d[1,2]]*alpha2*lam[2,1,2,1]*Doub1
          + 189/32*MatrixProduct[Yl2]*Tr[d[1,2]]*alpha2*lam[2,1,2,1]*Doub1*
         Doub2
          + 243/320*MatrixProduct[Yl2]*Tr[d[1,2]]*alpha1*lam[2,1,2,1]*Doub2
          - 1377/320*MatrixProduct[Yl2]*Tr[d[1,2]]*alpha1*lam[2,1,2,1]*
         Doub1
          + 567/160*MatrixProduct[Yl2]*Tr[d[1,2]]*alpha1*lam[2,1,2,1]*Doub1
         *Doub2
          + 27*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[u[2,1].u[2,1]]
          - 9/4*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[u[2,1].d[2,1]]
          + 27*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1].d[2,1]]
          + 9*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1].l[2,1]]
          + 45/8*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1].d[2,1]]
          + 9/2*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1].d[2,1]]*z3
          + 45/8*MatrixProduct[Yl2]*Tr[d[1,2].d[2,2]]*lam[2,1,2,1]
          - 15/16*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/4*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/16*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 455/3*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha3^2
          - 12*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha3^2*z3
          - 16*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha3^2*Ng
          - 81/64*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*lam[1,1,2,2]*Doub2
          + 459/64*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*lam[1,1,2,2]*Doub1
          - 189/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 189/8*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*alpha3
          + 18*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*alpha3*z2
          - 165/8*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*alpha3*Doub2
          + 54*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*alpha3*Doub2*z3
          + 141/8*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*alpha3*Doub1
          + 18*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*alpha3*Doub1*z3
          - 69/2*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*alpha3*Doub1*
         Doub2
          - 36*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*alpha3*Doub1*Doub2
         *z3
          + 27/2*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*alpha3*Doub1*
         Doub2*z2
          - 1287/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2
          + 27/4*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*Ng
          - 64467/512*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*Doub2
          - 189/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*Doub2*z3
          + 27/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*Doub2*z2
          + 675/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*Doub2*Ng
          - 57015/512*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*Doub1
          + 243/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*Doub1*z3
          + 27/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*Doub1*z2
          + 675/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*Doub1*Ng
          + 42039/128*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*Doub1*
         Doub2
          - 729/16*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*Doub1*Doub2*
         z3
          + 27/64*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*Doub1*Doub2*
         z2
          - 783/16*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2^2*Doub1*Doub2*
         Ng
          - 81/160*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*lam[1,2,2,1]*Doub2
          + 459/160*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*lam[1,2,2,1]*Doub1
          - 189/80*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          - 81/320*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*lam[1,1,2,2]*Doub2
          + 459/320*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*lam[1,1,2,2]*Doub1
          - 189/160*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*lam[1,1,2,2]*Doub1
         *Doub2
          - 91/120*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha3
          - 6/5*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha3*z2
          - 33/8*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha3*Doub2
          + 54/5*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha3*Doub2*z3
          + 141/40*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha3*Doub1
          + 18/5*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha3*Doub1*z3
          - 69/10*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha3*Doub1*
         Doub2
          - 36/5*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha3*Doub1*
         Doub2*z3
          + 27/10*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha3*Doub1*
         Doub2*z2
          - 5409/160*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha2
          - 63/5*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha2*z3
          + 27/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha2*z2
          + 40971/1280*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha2*
         Doub2
          - 351/80*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha2*Doub2*
         z3
          - 81/80*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha2*Doub2*z2
          + 10563/256*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha2*
         Doub1
          - 279/80*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha2*Doub1*
         z3
          - 81/80*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha2*Doub1*z2
          - 4947/160*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha2*Doub1
         *Doub2
          + 711/40*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 189/160*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z2
          + 77/480*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2
          - 123/50*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*z3
          + 189/1600*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*z2
          + 77/80*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*Ng
          - 4239/12800*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*Doub2
          + 2943/800*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*Doub2*z3
          - 81/800*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*Doub2*z2
          + 135/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*Doub2*Ng
          - 9171/12800*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*Doub1
          + 3087/800*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*Doub1*z3
          - 81/800*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*Doub1*z2
          + 135/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*Doub1*Ng
          + 1071/640*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*Doub1*
         Doub2
          - 441/80*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*Doub1*Doub2*
         z3
          + 27/320*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*Doub1*Doub2*
         z2
          - 783/80*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1^2*Doub1*Doub2*
         Ng
          + 18*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[u[1,1].u[2,2]]
          - 81/8*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[u[2,1].d[1,2]]
          - 81/8*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[u[2,2].d[1,1]]
          + 18*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*z2
          + 3807/64*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub2*z2
          + 2889/32*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*z2
          + 3807/320*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub2*z2
          + 2889/160*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2*z2
          - 27/8*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*z2
          + 1269/32*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*
         Doub2*z2
          + 657/64*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*z2
          + 1269/160*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub2*z2
          + 657/320*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2*z2
          + 6*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2].l[2,1]]
          - 27/8*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*z2
          + 1269/64*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*
         Doub2*z2
          + 963/32*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*z2
          + 1269/320*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 963/160*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2*z2
          + 45/8*MatrixProduct[Yl2]*Tr[d[2,1].d[2,1]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yl2]*Tr[d[2,1].d[2,1]]*lam[1,1,1,2]
          + 45/8*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*lam[2,2,2,2]
          + 45/8*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*lam[1,1,2,2]
          + 15/4*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha3
          - 36*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha2
          + 27/16*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha2*z2
          - 6453/128*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha2*Doub2*z2
          + 549/128*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 717/32*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha1
          - 63/10*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha1*z3
          - 3417/128*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha1*Doub2
          + 9*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha1*Doub2*z3
          + 81/160*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha1*Doub2*
         z2
          + 2781/640*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha1*Doub1*
         z2
          - 459/80*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*alpha1*Doub1*
         Doub2
          - 75/32*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2].d[2,2]]
          + 9/2*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2].d[2,2]]*z3
          - 45/8*MatrixProduct[Yl2]*Tr[d[2,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yl2]*Tr[d[2,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[d[2,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[d[2,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[d[2,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[d[2,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[d[2,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 27*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[u[2,1].u[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[u[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[u[2,2].d[2,1]]
          + 27*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[d[2,1].d[2,2]]
          - 27/8*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*z2
          + 1269/64*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*
         Doub2*z2
          + 963/32*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*z2
          + 1269/320*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 963/160*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2]]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yl2]*Tr[l[1,1]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl2]*Tr[l[1,1]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yl2]*Tr[l[1,1]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yl2]*Tr[l[1,1]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yl2]*Tr[l[1,1]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/8*MatrixProduct[Yl2]*Tr[l[1,1]]*lam[1,1,1,2]*lam[2,1,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[l[1,1]]*lam[1,1,1,1]*lam[1,1,2,1]
          + 9*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[u[1,1].u[2,1]]
          - 3/8*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[u[1,1].d[2,1]]
          - 3/8*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[u[2,1].d[1,1]]
          + 9*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[d[1,1].d[2,1]]
          + 3*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[1,1].l[2,1]]
          - 9/8*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2
          + 9/8*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*z2
          + 423/32*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 27/32*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*
         Doub2*z2
          + 219/64*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1
          - 27/32*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1*z2
          - 1065/64*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 9/16*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 9/40*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1
          + 9/40*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*z2
          + 423/160*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 27/160*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 219/320*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 27/160*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 213/64*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 9/80*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 15/8*MatrixProduct[Yl2]*Tr[l[1,1].l[1,1]]*lam[1,1,2,1]
          - 25/32*MatrixProduct[Yl2]*Tr[l[1,1].l[1,1].l[2,1]]
          + 3/2*MatrixProduct[Yl2]*Tr[l[1,1].l[1,1].l[2,1]]*z3
          + 15/8*MatrixProduct[Yl2]*Tr[l[1,1].l[1,2]]*lam[2,1,2,1]
          + 15/8*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*lam[1,2,2,1]
          + 15/8*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*lam[1,1,2,2]
          + 15/8*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*lam[1,1,1,1]
          + 333/32*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha2
          + 9/16*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha2*z2
          + 633/128*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha2*Doub2
          - 9/32*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha2*Doub2*z2
          - 2601/128*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha2*Doub1
          + 9/2*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha2*Doub1*z2
          - 15/4*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha2*Doub1*
         Doub2*z2
          + 909/160*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha1
          - 27/10*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha1*z3
          + 1377/640*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha1*Doub2
          - 27/160*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha1*Doub2*
         z2
          - 837/128*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha1*Doub1*
         z2
          - 153/80*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*alpha1*Doub1*
         Doub2
          - 11/32*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1].l[2,2]]
          + 15/8*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*lam[2,1,2,2]
          + 15/8*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*lam[1,1,2,1]
          - 15/32*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2].l[2,1]]
          + 3/2*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2].l[2,1]]*z3
          - 15/8*MatrixProduct[Yl2]*Tr[l[1,2]]*lam[2,1,2,2]^2
          - 15/8*MatrixProduct[Yl2]*Tr[l[1,2]]*lam[2,1,2,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl2]*Tr[l[1,2]]*lam[2,1,2,1]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yl2]*Tr[l[1,2]]*lam[1,1,2,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yl2]*Tr[l[1,2]]*lam[1,1,2,1]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yl2]*Tr[l[1,2]]*lam[1,1,2,1]^2
          - 15/16*MatrixProduct[Yl2]*Tr[l[1,2]]*lam[1,1,1,1]*lam[2,1,2,1]
          + 27/64*MatrixProduct[Yl2]*Tr[l[1,2]]*alpha2*lam[2,1,2,1]*Doub2
          - 153/64*MatrixProduct[Yl2]*Tr[l[1,2]]*alpha2*lam[2,1,2,1]*Doub1
          + 63/32*MatrixProduct[Yl2]*Tr[l[1,2]]*alpha2*lam[2,1,2,1]*Doub1*
         Doub2
          + 81/320*MatrixProduct[Yl2]*Tr[l[1,2]]*alpha1*lam[2,1,2,1]*Doub2
          - 459/320*MatrixProduct[Yl2]*Tr[l[1,2]]*alpha1*lam[2,1,2,1]*Doub1
          + 189/160*MatrixProduct[Yl2]*Tr[l[1,2]]*alpha1*lam[2,1,2,1]*Doub1
         *Doub2
          + 9*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[u[2,1].u[2,1]]
          - 3/4*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[u[2,1].d[2,1]]
          + 9*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[d[2,1].d[2,1]]
          + 3*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1].l[2,1]]
          + 15/8*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*lam[2,1,2,2]
          + 15/8*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*lam[1,1,2,1]
          - 3/4*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1].l[2,1]]
          + 3/2*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1].l[2,1]]*z3
          + 15/8*MatrixProduct[Yl2]*Tr[l[1,2].l[2,2]]*lam[2,1,2,1]
          - 5/16*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,2,2,1]^2
          - 15/16*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 5/4*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 5/16*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,1,2,2]^2
          - 15/8*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 15/16*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,1,1,1]*lam[1,1,2,2]
          - 27/64*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2*lam[1,1,2,2]*Doub2
          + 153/64*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2*lam[1,1,2,2]*Doub1
          - 63/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 429/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2
          + 9/4*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*z3
          - 45/64*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*z2
          + 15/16*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*Ng
          - 21489/512*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*Doub2
          - 63/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*Doub2*z3
          + 9/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*Doub2*z2
          + 225/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*Doub2*Ng
          - 19005/512*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*Doub1
          + 81/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*Doub1*z3
          + 9/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*Doub1*z2
          + 225/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*Doub1*Ng
          + 14013/128*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*Doub1*
         Doub2
          - 243/16*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*Doub1*Doub2*
         z3
          + 9/64*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*Doub1*Doub2*z2
          - 261/16*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2^2*Doub1*Doub2*
         Ng
          - 27/160*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*lam[1,2,2,1]*Doub2
          + 153/160*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*lam[1,2,2,1]*Doub1
          - 63/80*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          - 27/320*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*lam[1,1,2,2]*Doub2
          + 153/320*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*lam[1,1,2,2]*Doub1
          - 63/160*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*lam[1,1,2,2]*Doub1*
         Doub2
          - 1539/160*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*alpha2
          - 27/10*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*alpha2*z3
          - 27/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*alpha2*z2
          + 2637/256*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*alpha2*Doub2
          + 243/80*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*alpha2*Doub2*
         z3
          - 27/80*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*alpha2*Doub2*z2
          + 21213/1280*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*alpha2*
         Doub1
          + 27/80*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*alpha2*Doub1*z3
          - 27/80*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*alpha2*Doub1*z2
          - 441/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*alpha2*Doub1*
         Doub2
          + 189/40*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 243/160*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*alpha2*Doub1*
         Doub2*z2
          + 693/160*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2
          + 27/25*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*z3
          - 297/1600*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*z2
          - 81/80*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*Ng
          - 15093/12800*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*Doub2
          + 1701/800*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*Doub2*z3
          - 27/800*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*Doub2*z2
          + 45/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*Doub2*Ng
          - 8577/12800*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*Doub1
          + 1269/800*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*Doub1*z3
          - 27/800*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*Doub1*z2
          + 45/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*Doub1*Ng
          + 117/640*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*Doub1*Doub2
          - 243/80*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*Doub1*Doub2*
         z3
          + 81/320*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*Doub1*Doub2*
         z2
          - 261/80*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1^2*Doub1*Doub2*
         Ng
          + 6*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[u[1,1].u[2,2]]
          - 27/8*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[u[1,1].d[2,2]]
          + 3*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[u[1,2].u[2,1]]
          + 3*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[u[1,2].d[2,1]]
          + 3*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[u[2,1].d[1,2]]
          - 27/8*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[u[2,2].d[1,1]]
          + 6*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[d[1,1].d[2,2]]
          + 3*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[d[1,2].d[2,1]]
          + 2*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[1,1].l[2,2]]
          + MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[1,2].l[2,1]]
          - 9/8*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2
          + 9/8*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*z2
          + 423/64*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 27/32*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*
         Doub2*z2
          + 321/32*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 27/32*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1*z2
          - 1065/64*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 9/16*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 9/40*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1
          + 9/40*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*z2
          + 423/320*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 27/160*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 321/160*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 27/160*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 213/64*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 9/80*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[2,2]]*alpha1*Doub1
         *Doub2*z2
          + 15/8*MatrixProduct[Yl2]*Tr[l[2,1].l[2,1]]*lam[1,2,2,2]
          + 15/8*MatrixProduct[Yl2]*Tr[l[2,1].l[2,1]]*lam[1,1,1,2]
          + 15/8*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*lam[1,2,2,1]
          + 15/8*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*lam[2,2,2,2]
          + 15/8*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*lam[1,1,2,2]
          + 333/32*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha2
          + 9/16*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha2*z2
          - 2151/128*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha2*Doub2
          + 9/2*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha2*Doub2*z2
          + 183/128*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha2*Doub1
          - 9/32*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha2*Doub1*z2
          - 15/4*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 909/160*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha1
          - 27/10*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha1*z3
          - 747/128*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha1*Doub2*
         z2
          + 927/640*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha1*Doub1
          - 27/160*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha1*Doub1*
         z2
          - 153/80*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*alpha1*Doub1*
         Doub2
          - 25/32*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2].l[2,2]]
          + 3/2*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2].l[2,2]]*z3
          - 15/8*MatrixProduct[Yl2]*Tr[l[2,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[l[2,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yl2]*Tr[l[2,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yl2]*Tr[l[2,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yl2]*Tr[l[2,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl2]*Tr[l[2,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/16*MatrixProduct[Yl2]*Tr[l[2,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 9*MatrixProduct[Yl2]*Tr[l[2,2]]*Tr[u[2,1].u[2,2]]
          - 3/8*MatrixProduct[Yl2]*Tr[l[2,2]]*Tr[u[2,1].d[2,2]]
          - 3/8*MatrixProduct[Yl2]*Tr[l[2,2]]*Tr[u[2,2].d[2,1]]
          + 9*MatrixProduct[Yl2]*Tr[l[2,2]]*Tr[d[2,1].d[2,2]]
          + 3*MatrixProduct[Yl2]*Tr[l[2,2]]*Tr[l[2,1].l[2,2]]
          + 15/8*MatrixProduct[Yl2]*Tr[l[2,2].l[2,2]]*lam[2,1,2,2]
          )

       - 1/2*MatrixProduct[Yl1]*ep);

(* Beta function for Yl[2] *)
   betaYl2 = (

       + fourpiinv * (
          + 1/4*MatrixProduct[l[1,1].Yl2]
          + 1/2*MatrixProduct[l[1,2].Yl1]
          + 3/4*MatrixProduct[l[2,2].Yl2]
          + 3/2*MatrixProduct[Yl1]*Tr[u[1,2]]
          + 3/2*MatrixProduct[Yl1]*Tr[d[1,2]]
          + 1/2*MatrixProduct[Yl1]*Tr[l[1,2]]
          + 3/8*MatrixProduct[Yl2]*alpha2
          - 3/2*MatrixProduct[Yl2]*alpha2*Doub2
          - 33/40*MatrixProduct[Yl2]*alpha1
          - 3/10*MatrixProduct[Yl2]*alpha1*Doub2
          + 3/2*MatrixProduct[Yl2]*Tr[u[2,2]]
          + 3/2*MatrixProduct[Yl2]*Tr[d[2,2]]
          + 1/2*MatrixProduct[Yl2]*Tr[l[2,2]]
          )

       + fourpiinv^2 * (
          - 1/8*MatrixProduct[l[1,1].l[1,1].Yl2]
          + MatrixProduct[l[1,1].l[1,2].Yl1]
          - 3*MatrixProduct[l[1,1].Yl1]*lam[1,1,1,2]
          - 2*MatrixProduct[l[1,1].Yl2]*lam[1,2,2,1]
          - MatrixProduct[l[1,1].Yl2]*lam[1,1,2,2]
          - 33/32*MatrixProduct[l[1,1].Yl2]*alpha2
          + 9/8*MatrixProduct[l[1,1].Yl2]*alpha2*Doub2
          + 33/16*MatrixProduct[l[1,1].Yl2]*alpha2*Doub1
          - 9/8*MatrixProduct[l[1,1].Yl2]*alpha2*Doub1*Doub2
          - 153/160*MatrixProduct[l[1,1].Yl2]*alpha1
          + 9/40*MatrixProduct[l[1,1].Yl2]*alpha1*Doub2
          + 231/80*MatrixProduct[l[1,1].Yl2]*alpha1*Doub1
          - 9/40*MatrixProduct[l[1,1].Yl2]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]
          - 9/8*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]
          - 3/8*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]
          - 1/8*MatrixProduct[l[1,2].l[1,1].Yl1]
          - 1/8*MatrixProduct[l[1,2].l[2,1].Yl2]
          + 7/8*MatrixProduct[l[1,2].l[2,2].Yl1]
          - MatrixProduct[l[1,2].Yl1]*lam[1,2,2,1]
          - 2*MatrixProduct[l[1,2].Yl1]*lam[1,1,2,2]
          + 3/16*MatrixProduct[l[1,2].Yl1]*alpha2
          + 3*MatrixProduct[l[1,2].Yl1]*alpha2*Doub1
          + 171/80*MatrixProduct[l[1,2].Yl1]*alpha1
          + 9/20*MatrixProduct[l[1,2].Yl1]*alpha1*Doub2
          - 33/20*MatrixProduct[l[1,2].Yl1]*alpha1*Doub1
          - 9/20*MatrixProduct[l[1,2].Yl1]*alpha1*Doub1*Doub2
          - 9/4*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]
          - 9/4*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]
          - 3/4*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]
          - 3*MatrixProduct[l[1,2].Yl2]*lam[2,1,2,2]
          - 27/8*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]
          - 27/8*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]
          - 9/8*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]
          + 7/8*MatrixProduct[l[2,1].l[1,2].Yl2]
          - 3*MatrixProduct[l[2,1].Yl1]*lam[1,2,1,2]
          - 3*MatrixProduct[l[2,1].Yl2]*lam[1,2,2,2]
          - 9/8*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]
          - 9/8*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]
          - 3/8*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]
          - 1/8*MatrixProduct[l[2,2].l[1,1].Yl2]
          + 3/4*MatrixProduct[l[2,2].l[2,2].Yl2]
          - 3*MatrixProduct[l[2,2].Yl1]*lam[1,2,2,2]
          - 9/4*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]
          - 9/4*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]
          - 3/4*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]
          - 3*MatrixProduct[l[2,2].Yl2]*lam[2,2,2,2]
          - 27/32*MatrixProduct[l[2,2].Yl2]*alpha2
          + 81/16*MatrixProduct[l[2,2].Yl2]*alpha2*Doub2
          + 189/160*MatrixProduct[l[2,2].Yl2]*alpha1
          + 99/80*MatrixProduct[l[2,2].Yl2]*alpha1*Doub2
          - 27/8*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]
          - 27/8*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]
          - 9/8*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]
          + 3/4*MatrixProduct[Yl1]*lam[1,2,2,2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[Yl1]*lam[1,2,2,2]*lam[2,2,2,2]
          + 3/4*MatrixProduct[Yl1]*lam[1,2,1,2]*lam[2,1,2,2]
          + 3/4*MatrixProduct[Yl1]*lam[1,1,2,2]*lam[1,2,2,2]
          + 3/4*MatrixProduct[Yl1]*lam[1,1,2,1]*lam[1,2,1,2]
          + 3/4*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[1,1,2,2]
          + 3/4*MatrixProduct[Yl1]*lam[1,1,1,1]*lam[1,1,1,2]
          - 27/8*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]
          + 3/8*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]
          + 10*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha3
          - 117/16*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2
          + 9/8*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*Doub2
          - 9/8*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*Doub1
          + 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*Doub1*Doub2
          - 77/80*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1
          + 9/40*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*Doub2
          - 9/40*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*Doub1
          + 81/40*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*Doub1*Doub2
          - 27/8*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]
          + 3/8*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]
          + 3/8*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]
          + 3/8*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]
          - 27/8*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]
          + 10*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha3
          - 117/16*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2
          + 9/8*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*Doub2
          - 9/8*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*Doub1
          + 81/8*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*Doub1*Doub2
          - 137/80*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1
          + 9/40*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*Doub2
          - 9/40*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*Doub1
          + 81/40*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*Doub1*Doub2
          - 27/8*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]
          - 39/16*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2
          + 3/8*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2*Doub2
          - 3/8*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2*Doub1
          + 27/8*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2*Doub1*Doub2
          + 21/80*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1
          + 3/40*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*Doub2
          - 3/40*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*Doub1*Doub2
          - 9/8*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]
          + 1/2*MatrixProduct[Yl2]*lam[1,2,2,1]^2
          + 3/4*MatrixProduct[Yl2]*lam[2,2,2,2]^2
          + 9/4*MatrixProduct[Yl2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 3/4*MatrixProduct[Yl2]*lam[1,2,1,2]*lam[2,1,2,1]
          + 1/2*MatrixProduct[Yl2]*lam[1,1,2,2]*lam[1,2,2,1]
          + 1/2*MatrixProduct[Yl2]*lam[1,1,2,2]^2
          + 3/4*MatrixProduct[Yl2]*lam[1,1,1,2]*lam[1,1,2,1]
          + 381/64*MatrixProduct[Yl2]*alpha2^2
          - 3/4*MatrixProduct[Yl2]*alpha2^2*Ng
          - 661/64*MatrixProduct[Yl2]*alpha2^2*Doub2
          + 5/4*MatrixProduct[Yl2]*alpha2^2*Doub2*Ng
          - 3/32*MatrixProduct[Yl2]*alpha2^2*Doub1
          + 11/32*MatrixProduct[Yl2]*alpha2^2*Doub1*Doub2
          + 189/160*MatrixProduct[Yl2]*alpha1*alpha2
          - 81/160*MatrixProduct[Yl2]*alpha1*alpha2*Doub2
          - 27/1600*MatrixProduct[Yl2]*alpha1^2
          + 17/20*MatrixProduct[Yl2]*alpha1^2*Ng
          + 231/1600*MatrixProduct[Yl2]*alpha1^2*Doub2
          + 1/4*MatrixProduct[Yl2]*alpha1^2*Doub2*Ng
          + 123/800*MatrixProduct[Yl2]*alpha1^2*Doub1
          + 33/800*MatrixProduct[Yl2]*alpha1^2*Doub1*Doub2
          - 9/8*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]
          - 9/4*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]
          + 3/2*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1]]
          + 3/2*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2]]
          + 10*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha3
          - 117/16*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2*Doub2
          - 77/80*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1*Doub2
          - 27/8*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]
          + 3/4*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]
          - 9/4*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]
          + 10*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha3
          - 117/16*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2*Doub2
          - 137/80*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1*Doub2
          - 27/8*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2]]
          - 3/8*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]
          - 3/4*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]
          - 39/16*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha2*Doub2
          + 21/80*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1*Doub2
          - 9/8*MatrixProduct[Yl2]*Tr[l[2,2].l[2,2]]
          )

       + fourpiinv^3 * (
          - 3/4*MatrixProduct[l[1,1].l[1,1].l[1,1].Yl2]
          + 3/4*MatrixProduct[l[1,1].l[1,1].l[1,1].Yl2]*z3
          - 21/4*MatrixProduct[l[1,1].l[1,1].l[1,2].Yl1]
          + 33/4*MatrixProduct[l[1,1].l[1,1].Yl1]*lam[1,1,1,2]
          + 5/2*MatrixProduct[l[1,1].l[1,1].Yl2]*lam[1,2,2,1]
          + 11/4*MatrixProduct[l[1,1].l[1,1].Yl2]*lam[1,1,2,2]
          + 3/2*MatrixProduct[l[1,1].l[1,1].Yl2]*lam[1,1,1,1]
          + 15/8*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha2
          + 9/64*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha2*z2
          - 45/64*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha2*Doub2
          - 9/32*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha2*Doub2*z2
          - 147/32*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha2*Doub1
          + 9/4*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha2*Doub1*z3
          - 9/64*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha2*Doub1*z2
          + 45/64*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha2*Doub1*Doub2
          + 9/32*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha2*Doub1*Doub2*
         z2
          + 3021/320*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha1
          - 9/320*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha1*z2
          - 21/16*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha1*Doub2
          - 735/64*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha1*Doub1
          - 27/20*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha1*Doub1*z3
          + 9/320*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha1*Doub1*z2
          + 21/16*MatrixProduct[l[1,1].l[1,1].Yl2]*alpha1*Doub1*Doub2
          + 15/16*MatrixProduct[l[1,1].l[1,1].Yl2]*Tr[u[1,1]]
          + 15/16*MatrixProduct[l[1,1].l[1,1].Yl2]*Tr[d[1,1]]
          + 5/16*MatrixProduct[l[1,1].l[1,1].Yl2]*Tr[l[1,1]]
          - 15/4*MatrixProduct[l[1,1].l[1,2].l[1,1].Yl1]
          - 1/2*MatrixProduct[l[1,1].l[1,2].l[2,1].Yl2]
          + 3/4*MatrixProduct[l[1,1].l[1,2].l[2,1].Yl2]*z3
          - 17/4*MatrixProduct[l[1,1].l[1,2].l[2,2].Yl1]
          + 4*MatrixProduct[l[1,1].l[1,2].Yl1]*lam[1,2,2,1]
          + 2*MatrixProduct[l[1,1].l[1,2].Yl1]*lam[1,1,2,2]
          + 3*MatrixProduct[l[1,1].l[1,2].Yl1]*lam[1,1,1,1]
          - 9/2*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha2
          + 27/2*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha2*z3
          + 3*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha2*Doub2
          - 9/2*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha2*Doub2*z3
          + 15/4*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha2*Doub1
          - 27/2*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha2*Doub1*z3
          - 3*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha2*Doub1*Doub2
          + 9/2*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha2*Doub1*Doub2*z3
          + 27/10*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha1
          + 27/10*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha1*z3
          - 9/20*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha1*z2
          + 3/5*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha1*Doub2
          - 9/10*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha1*Doub2*z3
          - 141/20*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha1*Doub1
          - 27/10*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha1*Doub1*z3
          + 9/20*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha1*Doub1*z2
          - 3/5*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha1*Doub1*Doub2
          + 9/10*MatrixProduct[l[1,1].l[1,2].Yl1]*alpha1*Doub1*Doub2*
         z3
          - 3*MatrixProduct[l[1,1].l[1,2].Yl1]*Tr[u[1,1]]
          - 3*MatrixProduct[l[1,1].l[1,2].Yl1]*Tr[d[1,1]]
          - MatrixProduct[l[1,1].l[1,2].Yl1]*Tr[l[1,1]]
          + 3*MatrixProduct[l[1,1].l[1,2].Yl2]*lam[2,1,2,2]
          + 9/2*MatrixProduct[l[1,1].l[1,2].Yl2]*lam[1,1,2,1]
          + 3/16*MatrixProduct[l[1,1].l[1,2].Yl2]*Tr[u[2,1]]
          + 3/16*MatrixProduct[l[1,1].l[1,2].Yl2]*Tr[d[2,1]]
          + 1/16*MatrixProduct[l[1,1].l[1,2].Yl2]*Tr[l[2,1]]
          - 13/16*MatrixProduct[l[1,1].l[2,1].l[1,2].Yl2]
          + 9/2*MatrixProduct[l[1,1].l[2,1].Yl1]*lam[1,2,1,2]
          + 3/2*MatrixProduct[l[1,1].l[2,1].Yl2]*lam[1,2,2,2]
          + 3/2*MatrixProduct[l[1,1].l[2,1].Yl2]*lam[1,1,1,2]
          - 3/4*MatrixProduct[l[1,1].l[2,1].Yl2]*Tr[u[1,2]]
          - 3/4*MatrixProduct[l[1,1].l[2,1].Yl2]*Tr[d[1,2]]
          - 1/4*MatrixProduct[l[1,1].l[2,1].Yl2]*Tr[l[1,2]]
          - 31/16*MatrixProduct[l[1,1].l[2,2].l[1,1].Yl2]
          - 9/4*MatrixProduct[l[1,1].l[2,2].l[1,2].Yl1]
          + 3*MatrixProduct[l[1,1].l[2,2].Yl1]*lam[1,2,2,2]
          + 15/4*MatrixProduct[l[1,1].l[2,2].Yl1]*lam[1,1,1,2]
          - 3/2*MatrixProduct[l[1,1].l[2,2].Yl1]*Tr[u[1,2]]
          - 3/2*MatrixProduct[l[1,1].l[2,2].Yl1]*Tr[d[1,2]]
          - 1/2*MatrixProduct[l[1,1].l[2,2].Yl1]*Tr[l[1,2]]
          + 5/2*MatrixProduct[l[1,1].l[2,2].Yl2]*lam[1,2,2,1]
          + 11/4*MatrixProduct[l[1,1].l[2,2].Yl2]*lam[1,1,2,2]
          + 81/32*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha2
          - 9/64*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha2*z2
          - 129/32*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha2*Doub2
          + 9/64*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha2*Doub2*z2
          - 45/16*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha2*Doub1
          + 9/64*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha2*Doub1*z2
          + 69/16*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha2*Doub1*Doub2
          - 9/64*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha2*Doub1*Doub2*
         z2
          + 1341/160*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha1
          - 153/320*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha1*z2
          - 471/160*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha1*Doub2
          + 27/20*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha1*Doub2*z3
          + 153/320*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha1*Doub2*z2
          - 159/8*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha1*Doub1
          + 27/20*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha1*Doub1*z3
          + 153/320*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha1*Doub1*z2
          + 957/80*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha1*Doub1*Doub2
          - 27/10*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha1*Doub1*Doub2*
         z3
          - 153/320*MatrixProduct[l[1,1].l[2,2].Yl2]*alpha1*Doub1*
         Doub2*z2
          + 3*MatrixProduct[l[1,1].Yl1]*lam[1,2,2,2]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[1,1].Yl1]*lam[1,2,1,2]*lam[2,1,2,2]
          + 9/2*MatrixProduct[l[1,1].Yl1]*lam[1,1,2,2]*lam[1,2,2,2]
          + 15/2*MatrixProduct[l[1,1].Yl1]*lam[1,1,2,1]*lam[1,2,1,2]
          + 9*MatrixProduct[l[1,1].Yl1]*lam[1,1,1,2]*lam[1,2,2,1]
          + 15/2*MatrixProduct[l[1,1].Yl1]*lam[1,1,1,2]*lam[1,1,2,2]
          + 12*MatrixProduct[l[1,1].Yl1]*lam[1,1,1,1]*lam[1,1,1,2]
          + 3/8*MatrixProduct[l[1,1].Yl1]*alpha2*lam[1,1,1,2]
          - 33/8*MatrixProduct[l[1,1].Yl1]*alpha2*lam[1,1,1,2]*Doub2
          - 69/4*MatrixProduct[l[1,1].Yl1]*alpha2*lam[1,1,1,2]*Doub1
          + 33/8*MatrixProduct[l[1,1].Yl1]*alpha2*lam[1,1,1,2]*Doub1*Doub2
          + 63/40*MatrixProduct[l[1,1].Yl1]*alpha1*lam[1,1,1,2]
          - 9/8*MatrixProduct[l[1,1].Yl1]*alpha1*lam[1,1,1,2]*Doub2
          - 81/20*MatrixProduct[l[1,1].Yl1]*alpha1*lam[1,1,1,2]*Doub1
          + 9/8*MatrixProduct[l[1,1].Yl1]*alpha1*lam[1,1,1,2]*Doub1*Doub2
          + 45/2*MatrixProduct[l[1,1].Yl1]*Tr[u[1,1]]*lam[1,1,1,2]
          + 9/2*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha2
          - 27/16*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha2*z2
          - 585/32*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha2*Doub2*z2
          - 387/16*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 621/40*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha1
          - 81/80*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha1*z2
          - 351/32*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha1*Doub2
          + 81/160*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha1*Doub2*
         z2
          - 1161/80*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha1*Doub1
          + 81/80*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha1*Doub1*z2
          + 1593/160*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha1*Doub1
         *Doub2
          - 81/160*MatrixProduct[l[1,1].Yl1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 27/2*MatrixProduct[l[1,1].Yl1]*Tr[u[2,1]]*lam[1,2,1,2]
          + 45/2*MatrixProduct[l[1,1].Yl1]*Tr[d[1,1]]*lam[1,1,1,2]
          + 9/2*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha2
          - 27/16*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha2*z2
          - 585/32*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha2*Doub2*z2
          - 387/16*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha2*Doub1*z2
          + 531/32*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          - 27/32*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 621/40*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha1
          - 81/80*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha1*z2
          - 351/32*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha1*Doub2
          + 81/160*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha1*Doub2*
         z2
          - 1161/80*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha1*Doub1
          + 81/80*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha1*Doub1*z2
          + 1593/160*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha1*Doub1
         *Doub2
          - 81/160*MatrixProduct[l[1,1].Yl1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 27/2*MatrixProduct[l[1,1].Yl1]*Tr[d[2,1]]*lam[1,2,1,2]
          + 15/2*MatrixProduct[l[1,1].Yl1]*Tr[l[1,1]]*lam[1,1,1,2]
          + 3/2*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha2
          - 9/16*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha2*z2
          - 195/32*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha2*Doub2
          + 9/32*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha2*Doub2*z2
          - 129/16*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha2*Doub1
          + 9/16*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha2*Doub1*z2
          + 177/32*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          - 9/32*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 207/40*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha1
          - 27/80*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha1*z2
          - 117/32*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha1*Doub2
          + 27/160*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha1*Doub2*
         z2
          - 387/80*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha1*Doub1
          + 27/80*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha1*Doub1*z2
          + 531/160*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[l[1,1].Yl1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/2*MatrixProduct[l[1,1].Yl1]*Tr[l[2,1]]*lam[1,2,1,2]
          + 45/16*MatrixProduct[l[1,1].Yl2]*lam[1,2,2,1]^2
          + 3/2*MatrixProduct[l[1,1].Yl2]*lam[2,2,2,2]*lam[1,2,2,1]
          + 255/32*MatrixProduct[l[1,1].Yl2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 111/32*MatrixProduct[l[1,1].Yl2]*lam[1,2,1,2]*lam[2,1,2,1]
          + 117/16*MatrixProduct[l[1,1].Yl2]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[1,1].Yl2]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/16*MatrixProduct[l[1,1].Yl2]*lam[1,1,2,2]^2
          + 3*MatrixProduct[l[1,1].Yl2]*lam[1,1,2,1]*lam[1,2,2,2]
          + 3*MatrixProduct[l[1,1].Yl2]*lam[1,1,1,2]*lam[2,1,2,2]
          + 189/32*MatrixProduct[l[1,1].Yl2]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[l[1,1].Yl2]*lam[1,1,1,1]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[1,1].Yl2]*lam[1,1,1,1]*lam[1,1,2,2]
          - 33/32*MatrixProduct[l[1,1].Yl2]*lam[1,1,1,1]^2
          - 3/4*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,2,2,1]
          - 6*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,2,2,1]*Doub2
          - 3*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,2,2,1]*Doub1
          - 9/2*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,2,2,1]*Doub1*z3
          - 3/2*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 9/2*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,2,2,1]*Doub1*Doub2*
         z3
          + 9/8*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,1,2,2]
          - 21/8*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,1,2,2]*Doub2
          - 9/4*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,1,2,2]*Doub2*z3
          - 9/8*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,1,2,2]*Doub1
          - 9/2*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,1,2,2]*Doub1*z3
          - 3*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,1,2,2]*Doub1*Doub2
          + 27/4*MatrixProduct[l[1,1].Yl2]*alpha2*lam[1,1,2,2]*Doub1*Doub2*
         z3
          - 15183/256*MatrixProduct[l[1,1].Yl2]*alpha2^2
          + 81/4*MatrixProduct[l[1,1].Yl2]*alpha2^2*z3
          + 63/128*MatrixProduct[l[1,1].Yl2]*alpha2^2*z2
          + 135/32*MatrixProduct[l[1,1].Yl2]*alpha2^2*Ng
          + 2403/64*MatrixProduct[l[1,1].Yl2]*alpha2^2*Doub2
          - 135/8*MatrixProduct[l[1,1].Yl2]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[l[1,1].Yl2]*alpha2^2*Doub2*z2
          + 38037/512*MatrixProduct[l[1,1].Yl2]*alpha2^2*Doub1
          - 207/8*MatrixProduct[l[1,1].Yl2]*alpha2^2*Doub1*z3
          - 63/128*MatrixProduct[l[1,1].Yl2]*alpha2^2*Doub1*z2
          - 99/16*MatrixProduct[l[1,1].Yl2]*alpha2^2*Doub1*Ng
          - 10023/256*MatrixProduct[l[1,1].Yl2]*alpha2^2*Doub1*Doub2
          + 261/16*MatrixProduct[l[1,1].Yl2]*alpha2^2*Doub1*Doub2*z3
          + 63/128*MatrixProduct[l[1,1].Yl2]*alpha2^2*Doub1*Doub2*z2
          + 21/20*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,2,2,1]
          + 51/20*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,2,2,1]*Doub2
          - 9/10*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,2,2,1]*Doub2*z3
          - 81/20*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,2,2,1]*Doub1
          - 9/5*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 6/5*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/10*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,2,2,1]*Doub1*Doub2
         *z3
          + 21/40*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,1,2,2]
          + 51/40*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,1,2,2]*Doub2
          - 9/20*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,1,2,2]*Doub2*z3
          - 81/40*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,1,2,2]*Doub1
          - 9/10*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,1,2,2]*Doub1*z3
          - 3/5*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          + 27/20*MatrixProduct[l[1,1].Yl2]*alpha1*lam[1,1,2,2]*Doub1*Doub2
         *z3
          - 6597/640*MatrixProduct[l[1,1].Yl2]*alpha1*alpha2
          - 27/160*MatrixProduct[l[1,1].Yl2]*alpha1*alpha2*z2
          + 2637/640*MatrixProduct[l[1,1].Yl2]*alpha1*alpha2*Doub2
          + 27/20*MatrixProduct[l[1,1].Yl2]*alpha1*alpha2*Doub2*z3
          + 27/64*MatrixProduct[l[1,1].Yl2]*alpha1*alpha2*Doub2*z2
          + 3339/256*MatrixProduct[l[1,1].Yl2]*alpha1*alpha2*Doub1
          + 27/8*MatrixProduct[l[1,1].Yl2]*alpha1*alpha2*Doub1*z3
          + 27/160*MatrixProduct[l[1,1].Yl2]*alpha1*alpha2*Doub1*z2
          - 3501/640*MatrixProduct[l[1,1].Yl2]*alpha1*alpha2*Doub1*
         Doub2
          - 81/40*MatrixProduct[l[1,1].Yl2]*alpha1*alpha2*Doub1*Doub2*
         z3
          - 27/64*MatrixProduct[l[1,1].Yl2]*alpha1*alpha2*Doub1*Doub2*
         z2
          + 21069/6400*MatrixProduct[l[1,1].Yl2]*alpha1^2
          - 27/100*MatrixProduct[l[1,1].Yl2]*alpha1^2*z3
          - 2079/3200*MatrixProduct[l[1,1].Yl2]*alpha1^2*z2
          + 843/160*MatrixProduct[l[1,1].Yl2]*alpha1^2*Ng
          + 1809/3200*MatrixProduct[l[1,1].Yl2]*alpha1^2*Doub2
          - 81/200*MatrixProduct[l[1,1].Yl2]*alpha1^2*Doub2*z3
          + 297/3200*MatrixProduct[l[1,1].Yl2]*alpha1^2*Doub2*z2
          - 1323/512*MatrixProduct[l[1,1].Yl2]*alpha1^2*Doub1
          + 459/200*MatrixProduct[l[1,1].Yl2]*alpha1^2*Doub1*z3
          + 2079/3200*MatrixProduct[l[1,1].Yl2]*alpha1^2*Doub1*z2
          - 117/16*MatrixProduct[l[1,1].Yl2]*alpha1^2*Doub1*Ng
          - 4707/6400*MatrixProduct[l[1,1].Yl2]*alpha1^2*Doub1*Doub2
          - 297/400*MatrixProduct[l[1,1].Yl2]*alpha1^2*Doub1*Doub2*z3
          - 297/3200*MatrixProduct[l[1,1].Yl2]*alpha1^2*Doub1*Doub2*z2
          + 12*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*lam[1,2,2,1]
          + 6*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*lam[1,1,2,2]
          - 16*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*alpha3
          + 12*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*alpha3*z3
          + 549/32*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*alpha2
          - 315/32*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*alpha2*Doub2
          - 351/16*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*alpha2*Doub1
          + 315/32*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*alpha2*Doub1*
         Doub2
          + 3311/80*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*alpha1
          - 183/10*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*alpha1*z3
          - 63/32*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*alpha1*Doub2
          - 1503/32*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*alpha1*Doub1
          + 81/5*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*alpha1*Doub1*z3
          + 63/32*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]^2
          - 27/8*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*Tr[d[1,1]]
          - 9/8*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1]]*Tr[l[1,1]]
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1].u[1,1]]
          + 3/2*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1].u[2,2]]
          + 15/2*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1].d[2,2]]
          - 9*MatrixProduct[l[1,1].Yl2]*Tr[u[1,1].d[2,2]]*z3
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[u[1,2]]*lam[2,1,2,2]
          - 27/16*MatrixProduct[l[1,1].Yl2]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/16*MatrixProduct[l[1,1].Yl2]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[l[1,1].Yl2]*Tr[u[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[l[1,1].Yl2]*Tr[u[1,2].u[2,1]]
          - 15/2*MatrixProduct[l[1,1].Yl2]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[l[1,1].Yl2]*Tr[u[1,2].d[2,1]]*z3
          + 27/2*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*lam[1,2,2,2]
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*lam[1,1,1,2]
          - 27/16*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1]]*Tr[l[1,2]]
          - 15/2*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[l[1,1].Yl2]*Tr[u[2,1].d[1,2]]*z3
          + 3*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha2
          - 27/16*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha2*z2
          - 207/8*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha2*Doub2
          + 27/16*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha2*Doub2*z2
          - 45/2*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 153/40*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha1
          - 27/80*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha1*z2
          - 153/40*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha1*Doub2
          + 27/80*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha1*Doub2*z2
          - 9/2*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha1*Doub1
          + 27/80*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha1*Doub1*z2
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 15/2*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2].d[1,1]]
          - 9*MatrixProduct[l[1,1].Yl2]*Tr[u[2,2].d[1,1]]*z3
          + 12*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*lam[1,2,2,1]
          + 6*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*lam[1,1,2,2]
          - 16*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*alpha3
          + 12*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*alpha3*z3
          + 549/32*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*alpha2
          - 315/32*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*alpha2*Doub2
          - 351/16*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*alpha2*Doub1
          + 315/32*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*alpha2*Doub1*
         Doub2
          + 3407/80*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*alpha1
          - 96/5*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*alpha1*z3
          - 63/32*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*alpha1*Doub2
          - 1503/32*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*alpha1*Doub1
          + 81/5*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*alpha1*Doub1*z3
          + 63/32*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/16*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]^2
          - 9/8*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1]]*Tr[l[1,1]]
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1].d[1,1]]
          + 3/2*MatrixProduct[l[1,1].Yl2]*Tr[d[1,1].d[2,2]]
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[d[1,2]]*lam[2,1,2,2]
          - 27/16*MatrixProduct[l[1,1].Yl2]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/16*MatrixProduct[l[1,1].Yl2]*Tr[d[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[l[1,1].Yl2]*Tr[d[1,2].d[2,1]]
          + 27/2*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*lam[1,2,2,2]
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*lam[1,1,1,2]
          - 9/16*MatrixProduct[l[1,1].Yl2]*Tr[d[2,1]]*Tr[l[1,2]]
          + 3*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*lam[1,1,2,2]
          + 207/8*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha2
          - 27/16*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha2*z2
          - 207/8*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha2*Doub2
          + 27/16*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha2*Doub2*z2
          - 45/2*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha2*Doub1
          + 27/16*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha2*Doub1*z2
          + 45/2*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 153/40*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha1
          - 27/80*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha1*z2
          - 153/40*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha1*Doub2
          + 27/80*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha1*Doub2*z2
          - 9/2*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha1*Doub1
          + 27/80*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha1*Doub1*z2
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[l[1,1].Yl2]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 4*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]*lam[1,2,2,1]
          + 2*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]*lam[1,1,2,2]
          + 183/32*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]*alpha2
          - 105/32*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]*alpha2*Doub2
          - 117/16*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]*alpha2*Doub1
          + 105/32*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]*alpha2*Doub1*
         Doub2
          + 1029/80*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]*alpha1
          - 27/5*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]*alpha1*z3
          - 21/32*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]*alpha1*Doub2
          - 501/32*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]*alpha1*Doub1
          + 27/5*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]*alpha1*Doub1*z3
          + 21/32*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2
          - 3/16*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1]]^2
          + 3/2*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1].l[1,1]]
          + 1/2*MatrixProduct[l[1,1].Yl2]*Tr[l[1,1].l[2,2]]
          + 3/2*MatrixProduct[l[1,1].Yl2]*Tr[l[1,2]]*lam[2,1,2,2]
          - 3/16*MatrixProduct[l[1,1].Yl2]*Tr[l[1,2]]*Tr[l[2,1]]
          + MatrixProduct[l[1,1].Yl2]*Tr[l[1,2].l[2,1]]
          + 9/2*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*lam[1,2,2,2]
          + 3/2*MatrixProduct[l[1,1].Yl2]*Tr[l[2,1]]*lam[1,1,1,2]
          + MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*lam[1,2,2,1]
          + 1/2*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*lam[1,1,2,2]
          + 69/8*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha2
          - 9/16*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha2*z2
          - 69/8*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha2*Doub2
          + 9/16*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha2*Doub2*z2
          - 15/2*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha2*Doub1
          + 9/16*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha2*Doub1*z2
          + 15/2*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 51/40*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha1
          - 9/80*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha1*z2
          - 51/40*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha1*Doub2
          + 9/80*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha1*Doub2*z2
          - 3/2*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha1*Doub1
          + 9/80*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha1*Doub1*z2
          + 3/2*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2
          - 9/80*MatrixProduct[l[1,1].Yl2]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2*z2
          - 33/32*MatrixProduct[l[1,2].l[1,1].l[1,1].Yl1]
          + 3/2*MatrixProduct[l[1,2].l[1,1].l[1,1].Yl1]*z3
          - 1/4*MatrixProduct[l[1,2].l[1,1].l[2,1].Yl2]
          - 45/32*MatrixProduct[l[1,2].l[1,1].l[2,2].Yl1]
          + 7/4*MatrixProduct[l[1,2].l[1,1].Yl1]*lam[1,2,2,1]
          + 7/2*MatrixProduct[l[1,2].l[1,1].Yl1]*lam[1,1,2,2]
          + 3*MatrixProduct[l[1,2].l[1,1].Yl1]*lam[1,1,1,1]
          - 57/64*MatrixProduct[l[1,2].l[1,1].Yl1]*alpha2
          + 63/64*MatrixProduct[l[1,2].l[1,1].Yl1]*alpha2*Doub1
          - 9/4*MatrixProduct[l[1,2].l[1,1].Yl1]*alpha2*Doub1*z3
          - 3369/320*MatrixProduct[l[1,2].l[1,1].Yl1]*alpha1
          - 9/80*MatrixProduct[l[1,2].l[1,1].Yl1]*alpha1*z2
          - 327/160*MatrixProduct[l[1,2].l[1,1].Yl1]*alpha1*Doub2
          + 2463/320*MatrixProduct[l[1,2].l[1,1].Yl1]*alpha1*Doub1
          + 27/20*MatrixProduct[l[1,2].l[1,1].Yl1]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[l[1,2].l[1,1].Yl1]*alpha1*Doub1*z2
          + 327/160*MatrixProduct[l[1,2].l[1,1].Yl1]*alpha1*Doub1*
         Doub2
          + 15/16*MatrixProduct[l[1,2].l[1,1].Yl1]*Tr[u[1,1]]
          + 15/16*MatrixProduct[l[1,2].l[1,1].Yl1]*Tr[d[1,1]]
          + 5/16*MatrixProduct[l[1,2].l[1,1].Yl1]*Tr[l[1,1]]
          + 9/4*MatrixProduct[l[1,2].l[1,1].Yl2]*lam[2,1,2,2]
          + 9/2*MatrixProduct[l[1,2].l[1,1].Yl2]*lam[1,1,2,1]
          - 3/2*MatrixProduct[l[1,2].l[1,1].Yl2]*Tr[u[2,1]]
          - 3/2*MatrixProduct[l[1,2].l[1,1].Yl2]*Tr[d[2,1]]
          - 1/2*MatrixProduct[l[1,2].l[1,1].Yl2]*Tr[l[2,1]]
          - 35/8*MatrixProduct[l[1,2].l[1,2].l[2,1].Yl1]
          + 3/2*MatrixProduct[l[1,2].l[1,2].l[2,1].Yl1]*z3
          + 3*MatrixProduct[l[1,2].l[1,2].Yl1]*lam[2,1,2,2]
          + 6*MatrixProduct[l[1,2].l[1,2].Yl1]*lam[1,1,2,1]
          + 3/16*MatrixProduct[l[1,2].l[1,2].Yl1]*Tr[u[2,1]]
          + 3/16*MatrixProduct[l[1,2].l[1,2].Yl1]*Tr[d[2,1]]
          + 1/16*MatrixProduct[l[1,2].l[1,2].Yl1]*Tr[l[2,1]]
          + 15/2*MatrixProduct[l[1,2].l[1,2].Yl2]*lam[2,1,2,1]
          - 3/2*MatrixProduct[l[1,2].l[2,1].l[1,1].Yl2]
          + 9/4*MatrixProduct[l[1,2].l[2,1].l[1,1].Yl2]*z3
          - 31/8*MatrixProduct[l[1,2].l[2,1].l[1,2].Yl1]
          - 13/16*MatrixProduct[l[1,2].l[2,1].l[2,2].Yl2]
          + 9/2*MatrixProduct[l[1,2].l[2,1].Yl1]*lam[1,2,2,2]
          + 6*MatrixProduct[l[1,2].l[2,1].Yl1]*lam[1,1,1,2]
          + 27/16*MatrixProduct[l[1,2].l[2,1].Yl1]*Tr[u[1,2]]
          + 27/16*MatrixProduct[l[1,2].l[2,1].Yl1]*Tr[d[1,2]]
          + 9/16*MatrixProduct[l[1,2].l[2,1].Yl1]*Tr[l[1,2]]
          + 5/2*MatrixProduct[l[1,2].l[2,1].Yl2]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[1,2].l[2,1].Yl2]*lam[2,2,2,2]
          + 5*MatrixProduct[l[1,2].l[2,1].Yl2]*lam[1,1,2,2]
          - 21/32*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha2
          + 9/32*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha2*z2
          + 15/32*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha2*Doub2
          - 9/32*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha2*Doub2*z2
          - 81/32*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha2*Doub1
          + 9/4*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha2*Doub1*z3
          + 843/320*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha1
          - 9/80*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha1*z2
          + 807/320*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha1*Doub2
          + 9/10*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha1*Doub2*z3
          - 9/40*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha1*Doub2*z2
          - 4431/320*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha1*Doub1
          - 9/20*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha1*Doub1*z3
          + 81/160*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha1*Doub1*z2
          + 1911/320*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha1*Doub1*
         Doub2
          - 9/5*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha1*Doub1*Doub2*z3
          - 27/160*MatrixProduct[l[1,2].l[2,1].Yl2]*alpha1*Doub1*Doub2
         *z2
          + 27/16*MatrixProduct[l[1,2].l[2,1].Yl2]*Tr[u[1,1]]
          - 3/4*MatrixProduct[l[1,2].l[2,1].Yl2]*Tr[u[2,2]]
          + 27/16*MatrixProduct[l[1,2].l[2,1].Yl2]*Tr[d[1,1]]
          - 3/4*MatrixProduct[l[1,2].l[2,1].Yl2]*Tr[d[2,2]]
          + 9/16*MatrixProduct[l[1,2].l[2,1].Yl2]*Tr[l[1,1]]
          - 1/4*MatrixProduct[l[1,2].l[2,1].Yl2]*Tr[l[2,2]]
          - 13/32*MatrixProduct[l[1,2].l[2,2].l[1,1].Yl1]
          - 55/16*MatrixProduct[l[1,2].l[2,2].l[2,1].Yl2]
          + 9/4*MatrixProduct[l[1,2].l[2,2].l[2,1].Yl2]*z3
          - 209/32*MatrixProduct[l[1,2].l[2,2].l[2,2].Yl1]
          + 25/4*MatrixProduct[l[1,2].l[2,2].Yl1]*lam[1,2,2,1]
          + 3*MatrixProduct[l[1,2].l[2,2].Yl1]*lam[2,2,2,2]
          + 7/2*MatrixProduct[l[1,2].l[2,2].Yl1]*lam[1,1,2,2]
          - 345/64*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha2
          + 27/2*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha2*z3
          - 111/64*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha2*Doub2
          - 27/4*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha2*Doub2*z3
          - 237/32*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha2*Doub1
          - 9/4*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha2*Doub1*z3
          + 111/8*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha2*Doub1*Doub2
          - 27/4*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha2*Doub1*Doub2*
         z3
          - 3009/320*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha1
          + 27/10*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha1*z3
          + 1161/160*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha1*Doub2
          - 9/4*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha1*Doub2*z2
          - 729/160*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha1*Doub1
          + 9/4*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha1*Doub1*z2
          + 171/64*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[l[1,2].l[2,2].Yl1]*alpha1*Doub1*Doub2*
         z2
          - 9/4*MatrixProduct[l[1,2].l[2,2].Yl1]*Tr[u[1,1]]
          + 3/16*MatrixProduct[l[1,2].l[2,2].Yl1]*Tr[u[2,2]]
          - 9/4*MatrixProduct[l[1,2].l[2,2].Yl1]*Tr[d[1,1]]
          + 3/16*MatrixProduct[l[1,2].l[2,2].Yl1]*Tr[d[2,2]]
          - 3/4*MatrixProduct[l[1,2].l[2,2].Yl1]*Tr[l[1,1]]
          + 1/16*MatrixProduct[l[1,2].l[2,2].Yl1]*Tr[l[2,2]]
          + 45/4*MatrixProduct[l[1,2].l[2,2].Yl2]*lam[2,1,2,2]
          - 9/16*MatrixProduct[l[1,2].l[2,2].Yl2]*Tr[u[2,1]]
          - 9/16*MatrixProduct[l[1,2].l[2,2].Yl2]*Tr[d[2,1]]
          - 3/16*MatrixProduct[l[1,2].l[2,2].Yl2]*Tr[l[2,1]]
          + 21/8*MatrixProduct[l[1,2].Yl1]*lam[1,2,2,1]^2
          + 3/2*MatrixProduct[l[1,2].Yl1]*lam[2,2,2,2]*lam[1,2,2,1]
          + 87/16*MatrixProduct[l[1,2].Yl1]*lam[1,2,2,2]*lam[2,1,2,2]
          + 15/16*MatrixProduct[l[1,2].Yl1]*lam[1,2,1,2]*lam[2,1,2,1]
          + 21/8*MatrixProduct[l[1,2].Yl1]*lam[1,1,2,2]*lam[1,2,2,1]
          + 3*MatrixProduct[l[1,2].Yl1]*lam[1,1,2,2]*lam[2,2,2,2]
          + 21/8*MatrixProduct[l[1,2].Yl1]*lam[1,1,2,2]^2
          + 9/2*MatrixProduct[l[1,2].Yl1]*lam[1,1,2,1]*lam[1,2,2,2]
          + 9/2*MatrixProduct[l[1,2].Yl1]*lam[1,1,1,2]*lam[2,1,2,2]
          + 21/16*MatrixProduct[l[1,2].Yl1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/2*MatrixProduct[l[1,2].Yl1]*lam[1,1,1,1]*lam[1,2,2,1]
          + 3*MatrixProduct[l[1,2].Yl1]*lam[1,1,1,1]*lam[1,1,2,2]
          - 33/16*MatrixProduct[l[1,2].Yl1]*lam[1,1,1,1]^2
          + 9/8*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,2,2,1]
          + 15/8*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,2,2,1]*Doub2
          - 9/4*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,2,2,1]*Doub2*z3
          - 45/8*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,2,2,1]*Doub1
          - 9/2*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,2,2,1]*Doub1*z3
          - 3*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 27/4*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,2,2,1]*Doub1*Doub2*
         z3
          - 3/4*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,1,2,2]
          + 3/4*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,1,2,2]*Doub2
          - 45/4*MatrixProduct[l[1,2].Yl1]*alpha2*lam[1,1,2,2]*Doub1
          - 477/64*MatrixProduct[l[1,2].Yl1]*alpha2^2
          + 9*MatrixProduct[l[1,2].Yl1]*alpha2^2*z3
          + 3/16*MatrixProduct[l[1,2].Yl1]*alpha2^2*Ng
          + 561/128*MatrixProduct[l[1,2].Yl1]*alpha2^2*Doub2
          - 9/4*MatrixProduct[l[1,2].Yl1]*alpha2^2*Doub2*z3
          + 10473/256*MatrixProduct[l[1,2].Yl1]*alpha2^2*Doub1
          - 45/8*MatrixProduct[l[1,2].Yl1]*alpha2^2*Doub1*z3
          - 21/4*MatrixProduct[l[1,2].Yl1]*alpha2^2*Doub1*Ng
          - 267/64*MatrixProduct[l[1,2].Yl1]*alpha2^2*Doub1*Doub2
          - 27/8*MatrixProduct[l[1,2].Yl1]*alpha2^2*Doub1*Doub2*z3
          + 21/40*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,2,2,1]
          - 57/40*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,2,2,1]*Doub2
          - 9/20*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,2,2,1]*Doub2*z3
          + 27/40*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,2,2,1]*Doub1
          - 9/10*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,2,2,1]*Doub1*z3
          - 3/5*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,2,2,1]*Doub1*Doub2
          + 27/20*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,2,2,1]*Doub1*Doub2
         *z3
          + 21/20*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,1,2,2]
          - 57/20*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,1,2,2]*Doub2
          - 9/10*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,1,2,2]*Doub2*z3
          + 27/20*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,1,2,2]*Doub1
          - 9/5*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,1,2,2]*Doub1*z3
          - 6/5*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,1,2,2]*Doub1*Doub2
          + 27/10*MatrixProduct[l[1,2].Yl1]*alpha1*lam[1,1,2,2]*Doub1*Doub2
         *z3
          - 1107/160*MatrixProduct[l[1,2].Yl1]*alpha1*alpha2
          + 27/5*MatrixProduct[l[1,2].Yl1]*alpha1*alpha2*z3
          - 27/160*MatrixProduct[l[1,2].Yl1]*alpha1*alpha2*z2
          + 5409/640*MatrixProduct[l[1,2].Yl1]*alpha1*alpha2*Doub2
          + 81/40*MatrixProduct[l[1,2].Yl1]*alpha1*alpha2*Doub2*z3
          - 27/320*MatrixProduct[l[1,2].Yl1]*alpha1*alpha2*Doub2*z2
          - 909/640*MatrixProduct[l[1,2].Yl1]*alpha1*alpha2*Doub1
          + 81/20*MatrixProduct[l[1,2].Yl1]*alpha1*alpha2*Doub1*z3
          + 27/160*MatrixProduct[l[1,2].Yl1]*alpha1*alpha2*Doub1*z2
          - 909/128*MatrixProduct[l[1,2].Yl1]*alpha1*alpha2*Doub1*
         Doub2
          - 81/40*MatrixProduct[l[1,2].Yl1]*alpha1*alpha2*Doub1*Doub2*
         z3
          + 27/320*MatrixProduct[l[1,2].Yl1]*alpha1*alpha2*Doub1*Doub2
         *z2
          - 7947/1600*MatrixProduct[l[1,2].Yl1]*alpha1^2
          + 27/25*MatrixProduct[l[1,2].Yl1]*alpha1^2*z3
          + 297/800*MatrixProduct[l[1,2].Yl1]*alpha1^2*z2
          - 417/80*MatrixProduct[l[1,2].Yl1]*alpha1^2*Ng
          + 351/800*MatrixProduct[l[1,2].Yl1]*alpha1^2*Doub2
          - 243/200*MatrixProduct[l[1,2].Yl1]*alpha1^2*Doub2*z3
          + 297/1600*MatrixProduct[l[1,2].Yl1]*alpha1^2*Doub2*z2
          + 43929/6400*MatrixProduct[l[1,2].Yl1]*alpha1^2*Doub1
          - 189/40*MatrixProduct[l[1,2].Yl1]*alpha1^2*Doub1*z3
          - 297/800*MatrixProduct[l[1,2].Yl1]*alpha1^2*Doub1*z2
          + 18/5*MatrixProduct[l[1,2].Yl1]*alpha1^2*Doub1*Ng
          - 2547/3200*MatrixProduct[l[1,2].Yl1]*alpha1^2*Doub1*Doub2
          + 27/50*MatrixProduct[l[1,2].Yl1]*alpha1^2*Doub1*Doub2*z3
          - 297/1600*MatrixProduct[l[1,2].Yl1]*alpha1^2*Doub1*Doub2*z2
          + 6*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*lam[1,2,2,1]
          + 12*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*lam[1,1,2,2]
          - 32*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*alpha3
          + 24*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*alpha3*z3
          + 1107/16*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*alpha2
          - 54*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*alpha2*z3
          - 2385/32*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*alpha2*Doub1
          + 81/2*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*alpha2*Doub1*z3
          - 653/20*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*alpha1
          + 201/10*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*alpha1*z3
          - 63/16*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*alpha1*Doub2
          + 5409/160*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*alpha1*Doub1
          - 81/5*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*alpha1*Doub1*z3
          + 63/16*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*alpha1*Doub1*
         Doub2
          - 27/8*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]^2
          - 27/4*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*Tr[d[1,1]]
          - 9/4*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1]]*Tr[l[1,1]]
          + 9*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1].u[1,1]]
          + 3*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1].u[2,2]]
          - 3*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[l[1,2].Yl1]*Tr[u[1,1].d[2,2]]*z3
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[u[1,2]]*lam[2,1,2,2]
          - 27/8*MatrixProduct[l[1,2].Yl1]*Tr[u[1,2]]*Tr[u[2,1]]
          - 27/8*MatrixProduct[l[1,2].Yl1]*Tr[u[1,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[l[1,2].Yl1]*Tr[u[1,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[l[1,2].Yl1]*Tr[u[1,2].u[2,1]]
          + 3*MatrixProduct[l[1,2].Yl1]*Tr[u[1,2].d[2,1]]
          - 9*MatrixProduct[l[1,2].Yl1]*Tr[u[1,2].d[2,1]]*z3
          + 27/2*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*lam[1,2,2,2]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*lam[1,1,1,2]
          - 27/8*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1]]*Tr[l[1,2]]
          + 3*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1].d[1,2]]
          - 9*MatrixProduct[l[1,2].Yl1]*Tr[u[2,1].d[1,2]]*z3
          + 3/2*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2]]*lam[1,2,2,1]
          + 3*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2]]*lam[1,1,2,2]
          + 117/10*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2]]*alpha1
          - 27/40*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2]]*alpha1*z2
          - 117/10*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2]]*alpha1*Doub2
          + 27/40*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2]]*alpha1*Doub2*z2
          - 9*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2]]*alpha1*Doub1*z2
          + 9*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2]]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2]]*alpha1*Doub1*
         Doub2*z2
          - 3*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[l[1,2].Yl1]*Tr[u[2,2].d[1,1]]*z3
          + 6*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*lam[1,2,2,1]
          + 12*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*lam[1,1,2,2]
          - 32*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*alpha3
          + 24*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*alpha3*z3
          + 1107/16*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*alpha2
          - 54*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*alpha2*z3
          - 2385/32*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*alpha2*Doub1
          + 81/2*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*alpha2*Doub1*z3
          - 121/4*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*alpha1
          + 183/10*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*alpha1*z3
          - 63/16*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*alpha1*Doub2
          + 5409/160*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*alpha1*Doub1
          - 81/5*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*alpha1*Doub1*z3
          + 63/16*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/8*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]^2
          - 9/4*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1]]*Tr[l[1,1]]
          + 9*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1].d[1,1]]
          + 3*MatrixProduct[l[1,2].Yl1]*Tr[d[1,1].d[2,2]]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[d[1,2]]*lam[2,1,2,2]
          - 27/8*MatrixProduct[l[1,2].Yl1]*Tr[d[1,2]]*Tr[d[2,1]]
          - 9/8*MatrixProduct[l[1,2].Yl1]*Tr[d[1,2]]*Tr[l[2,1]]
          + 6*MatrixProduct[l[1,2].Yl1]*Tr[d[1,2].d[2,1]]
          + 27/2*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*lam[1,2,2,2]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*lam[1,1,1,2]
          - 9/8*MatrixProduct[l[1,2].Yl1]*Tr[d[2,1]]*Tr[l[1,2]]
          + 3/2*MatrixProduct[l[1,2].Yl1]*Tr[d[2,2]]*lam[1,2,2,1]
          + 3*MatrixProduct[l[1,2].Yl1]*Tr[d[2,2]]*lam[1,1,2,2]
          + 117/10*MatrixProduct[l[1,2].Yl1]*Tr[d[2,2]]*alpha1
          - 27/40*MatrixProduct[l[1,2].Yl1]*Tr[d[2,2]]*alpha1*z2
          - 117/10*MatrixProduct[l[1,2].Yl1]*Tr[d[2,2]]*alpha1*Doub2
          + 27/40*MatrixProduct[l[1,2].Yl1]*Tr[d[2,2]]*alpha1*Doub2*z2
          - 9*MatrixProduct[l[1,2].Yl1]*Tr[d[2,2]]*alpha1*Doub1
          + 27/40*MatrixProduct[l[1,2].Yl1]*Tr[d[2,2]]*alpha1*Doub1*z2
          + 9*MatrixProduct[l[1,2].Yl1]*Tr[d[2,2]]*alpha1*Doub1*Doub2
          - 27/40*MatrixProduct[l[1,2].Yl1]*Tr[d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 2*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]*lam[1,2,2,1]
          + 4*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]*lam[1,1,2,2]
          + 369/16*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]*alpha2
          - 18*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]*alpha2*z3
          - 795/32*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]*alpha2*Doub1*z3
          - 51/4*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]*alpha1
          + 81/10*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]*alpha1*z3
          - 21/16*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]*alpha1*Doub2
          + 1803/160*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]*alpha1*Doub1
          - 27/5*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]*alpha1*Doub1*z3
          + 21/16*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]*alpha1*Doub1*
         Doub2
          - 3/8*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1]]^2
          + 3*MatrixProduct[l[1,2].Yl1]*Tr[l[1,1].l[1,1]]
          + MatrixProduct[l[1,2].Yl1]*Tr[l[1,1].l[2,2]]
          + 3/2*MatrixProduct[l[1,2].Yl1]*Tr[l[1,2]]*lam[2,1,2,2]
          - 3/8*MatrixProduct[l[1,2].Yl1]*Tr[l[1,2]]*Tr[l[2,1]]
          + 2*MatrixProduct[l[1,2].Yl1]*Tr[l[1,2].l[2,1]]
          + 9/2*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*lam[1,2,2,2]
          + 3/2*MatrixProduct[l[1,2].Yl1]*Tr[l[2,1]]*lam[1,1,1,2]
          + 1/2*MatrixProduct[l[1,2].Yl1]*Tr[l[2,2]]*lam[1,2,2,1]
          + MatrixProduct[l[1,2].Yl1]*Tr[l[2,2]]*lam[1,1,2,2]
          + 39/10*MatrixProduct[l[1,2].Yl1]*Tr[l[2,2]]*alpha1
          - 9/40*MatrixProduct[l[1,2].Yl1]*Tr[l[2,2]]*alpha1*z2
          - 39/10*MatrixProduct[l[1,2].Yl1]*Tr[l[2,2]]*alpha1*Doub2
          + 9/40*MatrixProduct[l[1,2].Yl1]*Tr[l[2,2]]*alpha1*Doub2*z2
          - 3*MatrixProduct[l[1,2].Yl1]*Tr[l[2,2]]*alpha1*Doub1
          + 9/40*MatrixProduct[l[1,2].Yl1]*Tr[l[2,2]]*alpha1*Doub1*z2
          + 3*MatrixProduct[l[1,2].Yl1]*Tr[l[2,2]]*alpha1*Doub1*Doub2
          - 9/40*MatrixProduct[l[1,2].Yl1]*Tr[l[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 189/32*MatrixProduct[l[1,2].Yl2]*lam[2,1,2,2]*lam[1,2,2,1]
          + 285/32*MatrixProduct[l[1,2].Yl2]*lam[2,1,2,2]*lam[2,2,2,2]
          + 141/32*MatrixProduct[l[1,2].Yl2]*lam[2,1,2,1]*lam[1,2,2,2]
          + 141/32*MatrixProduct[l[1,2].Yl2]*lam[1,1,2,2]*lam[2,1,2,2]
          - 3/32*MatrixProduct[l[1,2].Yl2]*lam[1,1,2,1]*lam[1,2,2,1]
          + 45/32*MatrixProduct[l[1,2].Yl2]*lam[1,1,2,1]*lam[1,1,2,2]
          + 45/32*MatrixProduct[l[1,2].Yl2]*lam[1,1,1,2]*lam[2,1,2,1]
          - 99/32*MatrixProduct[l[1,2].Yl2]*lam[1,1,1,1]*lam[1,1,2,1]
          + 3/8*MatrixProduct[l[1,2].Yl2]*alpha2*lam[2,1,2,2]
          - 15/4*MatrixProduct[l[1,2].Yl2]*alpha2*lam[2,1,2,2]*Doub2
          - 45/8*MatrixProduct[l[1,2].Yl2]*alpha2*lam[2,1,2,2]*Doub1
          - 9*MatrixProduct[l[1,2].Yl2]*alpha2*lam[2,1,2,2]*Doub1*z3
          - 63/8*MatrixProduct[l[1,2].Yl2]*alpha2*lam[2,1,2,2]*Doub1*Doub2
          + 9*MatrixProduct[l[1,2].Yl2]*alpha2*lam[2,1,2,2]*Doub1*Doub2*z3
          + 63/40*MatrixProduct[l[1,2].Yl2]*alpha1*lam[2,1,2,2]
          - 9/20*MatrixProduct[l[1,2].Yl2]*alpha1*lam[2,1,2,2]*Doub2
          - 9/8*MatrixProduct[l[1,2].Yl2]*alpha1*lam[2,1,2,2]*Doub1
          - 27/10*MatrixProduct[l[1,2].Yl2]*alpha1*lam[2,1,2,2]*Doub1*z3
          - 99/40*MatrixProduct[l[1,2].Yl2]*alpha1*lam[2,1,2,2]*Doub1*Doub2
          + 27/10*MatrixProduct[l[1,2].Yl2]*alpha1*lam[2,1,2,2]*Doub1*Doub2
         *z3
          + 27/2*MatrixProduct[l[1,2].Yl2]*Tr[u[1,1]]*lam[2,1,2,2]
          - 81/16*MatrixProduct[l[1,2].Yl2]*Tr[u[1,1]]*Tr[u[2,1]]
          - 81/16*MatrixProduct[l[1,2].Yl2]*Tr[u[1,1]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[l[1,2].Yl2]*Tr[u[1,1]]*Tr[l[2,1]]
          + 27/2*MatrixProduct[l[1,2].Yl2]*Tr[u[1,1].u[2,1]]
          + 9/2*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*lam[1,2,2,1]
          + 27/2*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*lam[2,2,2,2]
          + 9/2*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*lam[1,1,2,2]
          - 48*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*alpha3
          + 36*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*alpha3*z3
          + 2763/32*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*alpha2
          - 54*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*alpha2*z3
          - 4437/128*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*alpha2*Doub2
          + 81/4*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*alpha2*Doub2*z3
          - 3879/128*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*alpha2*Doub1
          + 81/4*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*alpha2*Doub1*z3
          - 63/2*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*alpha2*Doub1*
         Doub2
          + 699/80*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*alpha1
          + 9/5*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*alpha1*z3
          - 3591/640*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*alpha1*Doub2
          - 1917/640*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*alpha1*Doub1
          - 729/160*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*alpha1*Doub1*
         Doub2
          - 81/16*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*Tr[u[2,2]]
          - 81/16*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*Tr[d[1,1]]
          - 81/16*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*Tr[d[2,2]]
          - 27/16*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*Tr[l[1,1]]
          - 27/16*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[l[1,2].Yl2]*Tr[u[2,1].u[2,2]]
          + 9*MatrixProduct[l[1,2].Yl2]*Tr[u[2,2]]*lam[2,1,2,2]
          - 81/16*MatrixProduct[l[1,2].Yl2]*Tr[u[2,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[l[1,2].Yl2]*Tr[u[2,2]]*Tr[l[2,1]]
          + 27/2*MatrixProduct[l[1,2].Yl2]*Tr[d[1,1]]*lam[2,1,2,2]
          - 81/16*MatrixProduct[l[1,2].Yl2]*Tr[d[1,1]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[l[1,2].Yl2]*Tr[d[1,1]]*Tr[l[2,1]]
          + 27/2*MatrixProduct[l[1,2].Yl2]*Tr[d[1,1].d[2,1]]
          + 9/2*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*lam[1,2,2,1]
          + 27/2*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*lam[2,2,2,2]
          + 9/2*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*lam[1,1,2,2]
          - 48*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*alpha3
          + 36*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*alpha3*z3
          + 2763/32*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*alpha2
          - 54*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*alpha2*z3
          - 4437/128*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*alpha2*Doub2
          + 81/4*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*alpha2*Doub2*z3
          - 3879/128*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*alpha2*Doub1
          + 81/4*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*alpha2*Doub1*z3
          - 63/2*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*alpha2*Doub1*
         Doub2
          + 987/80*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*alpha1
          - 9/10*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*alpha1*z3
          - 3591/640*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*alpha1*Doub2
          - 1917/640*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*alpha1*Doub1
          - 729/160*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*alpha1*Doub1*
         Doub2
          - 81/16*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*Tr[d[2,2]]
          - 27/16*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*Tr[l[1,1]]
          - 27/16*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[l[1,2].Yl2]*Tr[d[2,1].d[2,2]]
          + 9*MatrixProduct[l[1,2].Yl2]*Tr[d[2,2]]*lam[2,1,2,2]
          - 27/16*MatrixProduct[l[1,2].Yl2]*Tr[d[2,2]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[l[1,2].Yl2]*Tr[l[1,1]]*lam[2,1,2,2]
          - 9/16*MatrixProduct[l[1,2].Yl2]*Tr[l[1,1]]*Tr[l[2,1]]
          + 9/2*MatrixProduct[l[1,2].Yl2]*Tr[l[1,1].l[2,1]]
          + 3/2*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*lam[2,2,2,2]
          + 3/2*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*lam[1,1,2,2]
          + 921/32*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*alpha2
          - 18*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*alpha2*z3
          - 1479/128*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*alpha2*Doub2
          + 27/4*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*alpha2*Doub2*z3
          - 1293/128*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*alpha2*Doub1
          + 27/4*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*alpha2*Doub1*z3
          - 21/2*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2
          + 9/80*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*alpha1
          + 27/10*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*alpha1*z3
          - 1197/640*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*alpha1*Doub2
          - 639/640*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*alpha1*Doub1
          - 243/160*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*alpha1*Doub1*
         Doub2
          - 9/16*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[l[1,2].Yl2]*Tr[l[2,1].l[2,2]]
          + 3*MatrixProduct[l[1,2].Yl2]*Tr[l[2,2]]*lam[2,1,2,2]
          - 83/16*MatrixProduct[l[2,1].l[1,1].l[1,2].Yl2]
          + 3/4*MatrixProduct[l[2,1].l[1,1].l[1,2].Yl2]*z3
          + 15/4*MatrixProduct[l[2,1].l[1,1].Yl1]*lam[1,2,1,2]
          + 15/4*MatrixProduct[l[2,1].l[1,1].Yl2]*lam[1,2,2,2]
          + 9/2*MatrixProduct[l[2,1].l[1,1].Yl2]*lam[1,1,1,2]
          + 27/16*MatrixProduct[l[2,1].l[1,1].Yl2]*Tr[u[1,2]]
          + 27/16*MatrixProduct[l[2,1].l[1,1].Yl2]*Tr[d[1,2]]
          + 9/16*MatrixProduct[l[2,1].l[1,1].Yl2]*Tr[l[1,2]]
          - 33/16*MatrixProduct[l[2,1].l[1,2].l[1,1].Yl2]
          - 5/2*MatrixProduct[l[2,1].l[1,2].l[1,2].Yl1]
          - 19/4*MatrixProduct[l[2,1].l[1,2].l[2,2].Yl2]
          + 3/4*MatrixProduct[l[2,1].l[1,2].l[2,2].Yl2]*z3
          + 3*MatrixProduct[l[2,1].l[1,2].Yl1]*lam[1,2,2,2]
          + 9/2*MatrixProduct[l[2,1].l[1,2].Yl1]*lam[1,1,1,2]
          - 3/2*MatrixProduct[l[2,1].l[1,2].Yl1]*Tr[u[1,2]]
          - 3/2*MatrixProduct[l[2,1].l[1,2].Yl1]*Tr[d[1,2]]
          - 1/2*MatrixProduct[l[2,1].l[1,2].Yl1]*Tr[l[1,2]]
          + 11/2*MatrixProduct[l[2,1].l[1,2].Yl2]*lam[1,2,2,1]
          + 3*MatrixProduct[l[2,1].l[1,2].Yl2]*lam[2,2,2,2]
          + 7/2*MatrixProduct[l[2,1].l[1,2].Yl2]*lam[1,1,2,2]
          - 165/32*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha2
          + 27/2*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha2*z3
          + 9/32*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha2*z2
          + 159/64*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha2*Doub2
          - 9*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha2*Doub2*z3
          - 9/32*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha2*Doub2*z2
          - 81/32*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha2*Doub1
          - 9/2*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha2*Doub1*z3
          - 9/32*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha2*Doub1*z2
          + 111/64*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha2*Doub1*Doub2
          + 9/4*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha2*Doub1*Doub2*z3
          + 9/32*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha2*Doub1*Doub2*
         z2
          + 1203/320*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha1
          + 27/10*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha1*z3
          - 351/32*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha1*Doub2
          - 9/10*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha1*Doub2*z2
          + 99/160*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha1*Doub1
          - 9/5*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha1*Doub1*z3
          - 63/160*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha1*Doub1*z2
          + 171/64*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha1*Doub1*Doub2
          - 27/20*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha1*Doub1*Doub2*
         z3
          + 9/160*MatrixProduct[l[2,1].l[1,2].Yl2]*alpha1*Doub1*Doub2*
         z2
          - 9/4*MatrixProduct[l[2,1].l[1,2].Yl2]*Tr[u[1,1]]
          + 3/16*MatrixProduct[l[2,1].l[1,2].Yl2]*Tr[u[2,2]]
          - 9/4*MatrixProduct[l[2,1].l[1,2].Yl2]*Tr[d[1,1]]
          + 3/16*MatrixProduct[l[2,1].l[1,2].Yl2]*Tr[d[2,2]]
          - 3/4*MatrixProduct[l[2,1].l[1,2].Yl2]*Tr[l[1,1]]
          + 1/16*MatrixProduct[l[2,1].l[1,2].Yl2]*Tr[l[2,2]]
          + 9/2*MatrixProduct[l[2,1].l[2,1].Yl2]*lam[1,2,1,2]
          - 5*MatrixProduct[l[2,1].l[2,2].l[1,2].Yl2]
          + 21/4*MatrixProduct[l[2,1].l[2,2].Yl1]*lam[1,2,1,2]
          + 39/4*MatrixProduct[l[2,1].l[2,2].Yl2]*lam[1,2,2,2]
          - 9/4*MatrixProduct[l[2,1].l[2,2].Yl2]*Tr[u[1,2]]
          - 9/4*MatrixProduct[l[2,1].l[2,2].Yl2]*Tr[d[1,2]]
          - 3/4*MatrixProduct[l[2,1].l[2,2].Yl2]*Tr[l[1,2]]
          + 15/2*MatrixProduct[l[2,1].Yl1]*lam[1,2,2,2]^2
          + 9*MatrixProduct[l[2,1].Yl1]*lam[1,2,1,2]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[2,1].Yl1]*lam[1,2,1,2]*lam[2,2,2,2]
          + 6*MatrixProduct[l[2,1].Yl1]*lam[1,1,2,2]*lam[1,2,1,2]
          + 9*MatrixProduct[l[2,1].Yl1]*lam[1,1,1,2]*lam[1,2,2,2]
          + 15/2*MatrixProduct[l[2,1].Yl1]*lam[1,1,1,2]^2
          + 9/2*MatrixProduct[l[2,1].Yl1]*lam[1,1,1,1]*lam[1,2,1,2]
          + 3/8*MatrixProduct[l[2,1].Yl1]*alpha2*lam[1,2,1,2]
          - 81/8*MatrixProduct[l[2,1].Yl1]*alpha2*lam[1,2,1,2]*Doub2
          - 9*MatrixProduct[l[2,1].Yl1]*alpha2*lam[1,2,1,2]*Doub2*z3
          - 33/8*MatrixProduct[l[2,1].Yl1]*alpha2*lam[1,2,1,2]*Doub1
          - 3*MatrixProduct[l[2,1].Yl1]*alpha2*lam[1,2,1,2]*Doub1*Doub2
          + 9*MatrixProduct[l[2,1].Yl1]*alpha2*lam[1,2,1,2]*Doub1*Doub2*z3
          + 63/40*MatrixProduct[l[2,1].Yl1]*alpha1*lam[1,2,1,2]
          - 99/40*MatrixProduct[l[2,1].Yl1]*alpha1*lam[1,2,1,2]*Doub2
          - 27/10*MatrixProduct[l[2,1].Yl1]*alpha1*lam[1,2,1,2]*Doub2*z3
          - 27/40*MatrixProduct[l[2,1].Yl1]*alpha1*lam[1,2,1,2]*Doub1
          - 9/10*MatrixProduct[l[2,1].Yl1]*alpha1*lam[1,2,1,2]*Doub1*Doub2
          + 27/10*MatrixProduct[l[2,1].Yl1]*alpha1*lam[1,2,1,2]*Doub1*Doub2
         *z3
          + 9*MatrixProduct[l[2,1].Yl1]*Tr[u[1,1]]*lam[1,2,1,2]
          + 9*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*lam[1,2,2,2]
          + 27/2*MatrixProduct[l[2,1].Yl1]*Tr[u[1,2]]*lam[1,1,1,2]
          + 27/2*MatrixProduct[l[2,1].Yl1]*Tr[u[2,2]]*lam[1,2,1,2]
          + 9*MatrixProduct[l[2,1].Yl1]*Tr[d[1,1]]*lam[1,2,1,2]
          + 9*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*lam[1,2,2,2]
          + 27/2*MatrixProduct[l[2,1].Yl1]*Tr[d[1,2]]*lam[1,1,1,2]
          + 27/2*MatrixProduct[l[2,1].Yl1]*Tr[d[2,2]]*lam[1,2,1,2]
          + 3*MatrixProduct[l[2,1].Yl1]*Tr[l[1,1]]*lam[1,2,1,2]
          + 3*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*lam[1,2,2,2]
          + 9/2*MatrixProduct[l[2,1].Yl1]*Tr[l[1,2]]*lam[1,1,1,2]
          + 9/2*MatrixProduct[l[2,1].Yl1]*Tr[l[2,2]]*lam[1,2,1,2]
          + 255/32*MatrixProduct[l[2,1].Yl2]*lam[1,2,2,2]*lam[1,2,2,1]
          + 351/32*MatrixProduct[l[2,1].Yl2]*lam[1,2,2,2]*lam[2,2,2,2]
          + 207/32*MatrixProduct[l[2,1].Yl2]*lam[1,2,1,2]*lam[2,1,2,2]
          + 207/32*MatrixProduct[l[2,1].Yl2]*lam[1,1,2,2]*lam[1,2,2,2]
          + 111/32*MatrixProduct[l[2,1].Yl2]*lam[1,1,2,1]*lam[1,2,1,2]
          + 63/32*MatrixProduct[l[2,1].Yl2]*lam[1,1,1,2]*lam[1,2,2,1]
          + 111/32*MatrixProduct[l[2,1].Yl2]*lam[1,1,1,2]*lam[1,1,2,2]
          - 33/32*MatrixProduct[l[2,1].Yl2]*lam[1,1,1,1]*lam[1,1,1,2]
          + 3/8*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,2,2,2]
          - 81/4*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,2,2,2]*Doub2
          - 9/2*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,2,2,2]*Doub2*z3
          + 27/8*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,2,2,2]*Doub1
          - 9/4*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,2,2,2]*Doub1*z3
          - 3/8*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,2,2,2]*Doub1*Doub2
          + 27/4*MatrixProduct[l[2,1].Yl2]*alpha2*lam[1,2,2,2]*Doub1*Doub2*
         z3
          + 63/40*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,2,2,2]
          + 27/20*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,2,2,2]*Doub2
          - 27/10*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,2,2,2]*Doub2*z3
          - 153/40*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,2,2,2]*Doub1
          - 27/20*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,2,2,2]*Doub1*z3
          - 63/40*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,2,2,2]*Doub1*Doub2
          + 81/20*MatrixProduct[l[2,1].Yl2]*alpha1*lam[1,2,2,2]*Doub1*Doub2
         *z3
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1]]*lam[1,2,2,2]
          - 27/16*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1]]*Tr[u[1,2]]
          - 27/16*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[u[1,1].u[1,2]]
          + 9*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*lam[2,2,2,2]
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*lam[1,1,2,2]
          - 16*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha3
          + 12*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha3*z3
          + 549/32*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha2
          - 1341/128*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha2*Doub2
          - 639/128*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha2*Doub1
          - 207/32*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2
          + 4247/80*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha1
          - 183/10*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha1*z3
          - 27/40*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha1*z2
          - 21879/640*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha1*
         Doub2
          + 81/10*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha1*Doub2*z3
          + 27/40*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha1*Doub2*z2
          - 16353/640*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha1*
         Doub1
          + 81/10*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 27/16*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*Tr[u[2,2]]
          - 27/16*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*Tr[d[1,1]]
          - 27/16*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[u[1,2].u[2,2]]
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[u[2,1]]*lam[1,2,1,2]
          + 18*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*lam[1,2,2,2]
          - 27/16*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[l[2,1].Yl2]*Tr[u[2,2]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1]]*lam[1,2,2,2]
          - 27/16*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1]]*Tr[d[1,2]]
          - 9/16*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[d[1,1].d[1,2]]
          + 9*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*lam[2,2,2,2]
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*lam[1,1,2,2]
          - 16*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha3
          + 12*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha3*z3
          + 549/32*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha2
          - 1341/128*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha2*Doub2
          - 639/128*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha2*Doub1
          - 207/32*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2
          + 4343/80*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha1
          - 96/5*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha1*z3
          - 27/40*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha1*z2
          - 21879/640*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha1*
         Doub2
          + 81/10*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha1*Doub2*z3
          + 27/40*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha1*Doub2*z2
          - 16353/640*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha1*
         Doub1
          + 81/10*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha1*Doub1*z2
          + 171/160*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 27/16*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*Tr[d[2,2]]
          - 9/16*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*Tr[l[1,1]]
          - 9/16*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2]]*Tr[l[2,2]]
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[d[1,2].d[2,2]]
          + 9/2*MatrixProduct[l[2,1].Yl2]*Tr[d[2,1]]*lam[1,2,1,2]
          + 18*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*lam[1,2,2,2]
          - 9/16*MatrixProduct[l[2,1].Yl2]*Tr[d[2,2]]*Tr[l[1,2]]
          + 3/2*MatrixProduct[l[2,1].Yl2]*Tr[l[1,1]]*lam[1,2,2,2]
          - 3/16*MatrixProduct[l[2,1].Yl2]*Tr[l[1,1]]*Tr[l[1,2]]
          + 3/2*MatrixProduct[l[2,1].Yl2]*Tr[l[1,1].l[1,2]]
          + 3*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*lam[2,2,2,2]
          + 3/2*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*lam[1,1,2,2]
          + 183/32*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha2
          - 447/128*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha2*Doub2
          - 213/128*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha2*Doub1
          - 69/32*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2
          + 1341/80*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha1
          - 27/5*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha1*z3
          - 9/40*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha1*z2
          - 7293/640*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha1*Doub2
          + 27/10*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha1*Doub2*z3
          + 9/40*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha1*Doub2*z2
          - 5451/640*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha1*Doub1
          + 27/10*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha1*Doub1*z2
          + 57/160*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          - 9/80*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 3/16*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2]]*Tr[l[2,2]]
          + 3/2*MatrixProduct[l[2,1].Yl2]*Tr[l[1,2].l[2,2]]
          + 3/2*MatrixProduct[l[2,1].Yl2]*Tr[l[2,1]]*lam[1,2,1,2]
          + 6*MatrixProduct[l[2,1].Yl2]*Tr[l[2,2]]*lam[1,2,2,2]
          - 1/32*MatrixProduct[l[2,2].l[1,1].l[1,1].Yl2]
          - MatrixProduct[l[2,2].l[1,1].l[1,2].Yl1]
          + 3/2*MatrixProduct[l[2,2].l[1,1].l[1,2].Yl1]*z3
          - 27/32*MatrixProduct[l[2,2].l[1,1].l[2,2].Yl2]
          + 3/4*MatrixProduct[l[2,2].l[1,1].Yl1]*lam[1,2,2,2]
          + 3*MatrixProduct[l[2,2].l[1,1].Yl1]*lam[1,1,1,2]
          - 3/4*MatrixProduct[l[2,2].l[1,1].Yl1]*Tr[u[1,2]]
          - 3/4*MatrixProduct[l[2,2].l[1,1].Yl1]*Tr[d[1,2]]
          - 1/4*MatrixProduct[l[2,2].l[1,1].Yl1]*Tr[l[1,2]]
          + 4*MatrixProduct[l[2,2].l[1,1].Yl2]*lam[1,2,2,1]
          + 3/4*MatrixProduct[l[2,2].l[1,1].Yl2]*lam[2,2,2,2]
          + 7/2*MatrixProduct[l[2,2].l[1,1].Yl2]*lam[1,1,2,2]
          + 105/64*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha2
          - 9/64*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha2*z2
          - 423/32*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha2*Doub2
          + 27/4*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha2*Doub2*z3
          + 9/64*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha2*Doub2*z2
          - 195/64*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha2*Doub1
          + 9/64*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha2*Doub1*z2
          + 471/32*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha2*Doub1*Doub2
          - 9*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha2*Doub1*Doub2*z3
          - 9/64*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha2*Doub1*Doub2*
         z2
          - 1191/320*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha1
          - 9/320*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha1*z2
          - 2577/320*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha1*Doub2
          + 9/4*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha1*Doub2*z3
          + 63/320*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha1*Doub2*z2
          + 1761/320*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha1*Doub1
          + 9/10*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha1*Doub1*z3
          - 27/320*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha1*Doub1*z2
          + 1317/320*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha1*Doub1*
         Doub2
          - 9/5*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha1*Doub1*Doub2*z3
          - 27/320*MatrixProduct[l[2,2].l[1,1].Yl2]*alpha1*Doub1*Doub2
         *z2
          + 27/16*MatrixProduct[l[2,2].l[1,1].Yl2]*Tr[u[1,1]]
          - 3/4*MatrixProduct[l[2,2].l[1,1].Yl2]*Tr[u[2,2]]
          + 27/16*MatrixProduct[l[2,2].l[1,1].Yl2]*Tr[d[1,1]]
          - 3/4*MatrixProduct[l[2,2].l[1,1].Yl2]*Tr[d[2,2]]
          + 9/16*MatrixProduct[l[2,2].l[1,1].Yl2]*Tr[l[1,1]]
          - 1/4*MatrixProduct[l[2,2].l[1,1].Yl2]*Tr[l[2,2]]
          - 27/16*MatrixProduct[l[2,2].l[1,2].l[2,1].Yl2]
          - 7/2*MatrixProduct[l[2,2].l[1,2].l[2,2].Yl1]
          + 3/2*MatrixProduct[l[2,2].l[1,2].l[2,2].Yl1]*z3
          + 5/2*MatrixProduct[l[2,2].l[1,2].Yl1]*lam[1,2,2,1]
          + 5*MatrixProduct[l[2,2].l[1,2].Yl1]*lam[1,1,2,2]
          + 63/40*MatrixProduct[l[2,2].l[1,2].Yl1]*alpha1
          - 9/16*MatrixProduct[l[2,2].l[1,2].Yl1]*alpha1*z2
          - 21*MatrixProduct[l[2,2].l[1,2].Yl1]*alpha1*Doub2
          + 27/20*MatrixProduct[l[2,2].l[1,2].Yl1]*alpha1*Doub2*z3
          + 9/16*MatrixProduct[l[2,2].l[1,2].Yl1]*alpha1*Doub2*z2
          + 69/40*MatrixProduct[l[2,2].l[1,2].Yl1]*alpha1*Doub1
          + 27/20*MatrixProduct[l[2,2].l[1,2].Yl1]*alpha1*Doub1*z3
          + 9/16*MatrixProduct[l[2,2].l[1,2].Yl1]*alpha1*Doub1*z2
          + 291/20*MatrixProduct[l[2,2].l[1,2].Yl1]*alpha1*Doub1*Doub2
          - 27/10*MatrixProduct[l[2,2].l[1,2].Yl1]*alpha1*Doub1*Doub2*
         z3
          - 9/16*MatrixProduct[l[2,2].l[1,2].Yl1]*alpha1*Doub1*Doub2*
         z2
          + 12*MatrixProduct[l[2,2].l[1,2].Yl2]*lam[2,1,2,2]
          - 9/16*MatrixProduct[l[2,2].l[1,2].Yl2]*Tr[u[2,1]]
          - 9/16*MatrixProduct[l[2,2].l[1,2].Yl2]*Tr[d[2,1]]
          - 3/16*MatrixProduct[l[2,2].l[1,2].Yl2]*Tr[l[2,1]]
          - 43/8*MatrixProduct[l[2,2].l[2,1].l[1,2].Yl2]
          + 9/4*MatrixProduct[l[2,2].l[2,1].l[1,2].Yl2]*z3
          + 6*MatrixProduct[l[2,2].l[2,1].Yl1]*lam[1,2,1,2]
          + 21/2*MatrixProduct[l[2,2].l[2,1].Yl2]*lam[1,2,2,2]
          + 27/8*MatrixProduct[l[2,2].l[2,1].Yl2]*Tr[u[1,2]]
          + 27/8*MatrixProduct[l[2,2].l[2,1].Yl2]*Tr[d[1,2]]
          + 9/8*MatrixProduct[l[2,2].l[2,1].Yl2]*Tr[l[1,2]]
          - 13/32*MatrixProduct[l[2,2].l[2,2].l[1,1].Yl2]
          - 345/32*MatrixProduct[l[2,2].l[2,2].l[2,2].Yl2]
          + 9/4*MatrixProduct[l[2,2].l[2,2].l[2,2].Yl2]*z3
          + 45/4*MatrixProduct[l[2,2].l[2,2].Yl1]*lam[1,2,2,2]
          - 9/4*MatrixProduct[l[2,2].l[2,2].Yl1]*Tr[u[1,2]]
          - 9/4*MatrixProduct[l[2,2].l[2,2].Yl1]*Tr[d[1,2]]
          - 3/4*MatrixProduct[l[2,2].l[2,2].Yl1]*Tr[l[1,2]]
          + 63/4*MatrixProduct[l[2,2].l[2,2].Yl2]*lam[2,2,2,2]
          - 225/64*MatrixProduct[l[2,2].l[2,2].Yl2]*alpha2
          + 27/2*MatrixProduct[l[2,2].l[2,2].Yl2]*alpha2*z3
          + 9/64*MatrixProduct[l[2,2].l[2,2].Yl2]*alpha2*z2
          + 9/64*MatrixProduct[l[2,2].l[2,2].Yl2]*alpha2*Doub2
          - 27/2*MatrixProduct[l[2,2].l[2,2].Yl2]*alpha2*Doub2*z3
          - 9/64*MatrixProduct[l[2,2].l[2,2].Yl2]*alpha2*Doub2*z2
          + 129/80*MatrixProduct[l[2,2].l[2,2].Yl2]*alpha1
          + 27/10*MatrixProduct[l[2,2].l[2,2].Yl2]*alpha1*z3
          - 189/320*MatrixProduct[l[2,2].l[2,2].Yl2]*alpha1*z2
          - 867/80*MatrixProduct[l[2,2].l[2,2].Yl2]*alpha1*Doub2
          - 27/10*MatrixProduct[l[2,2].l[2,2].Yl2]*alpha1*Doub2*z3
          + 189/320*MatrixProduct[l[2,2].l[2,2].Yl2]*alpha1*Doub2*z2
          - 9/8*MatrixProduct[l[2,2].l[2,2].Yl2]*Tr[u[2,2]]
          - 9/8*MatrixProduct[l[2,2].l[2,2].Yl2]*Tr[d[2,2]]
          - 3/8*MatrixProduct[l[2,2].l[2,2].Yl2]*Tr[l[2,2]]
          + 111/16*MatrixProduct[l[2,2].Yl1]*lam[1,2,2,2]*lam[1,2,2,1]
          + 159/16*MatrixProduct[l[2,2].Yl1]*lam[1,2,2,2]*lam[2,2,2,2]
          + 87/16*MatrixProduct[l[2,2].Yl1]*lam[1,2,1,2]*lam[2,1,2,2]
          + 87/16*MatrixProduct[l[2,2].Yl1]*lam[1,1,2,2]*lam[1,2,2,2]
          + 39/16*MatrixProduct[l[2,2].Yl1]*lam[1,1,2,1]*lam[1,2,1,2]
          + 15/16*MatrixProduct[l[2,2].Yl1]*lam[1,1,1,2]*lam[1,2,2,1]
          + 39/16*MatrixProduct[l[2,2].Yl1]*lam[1,1,1,2]*lam[1,1,2,2]
          - 33/16*MatrixProduct[l[2,2].Yl1]*lam[1,1,1,1]*lam[1,1,1,2]
          + 3/8*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,2,2,2]
          - 21/4*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,2,2,2]*Doub2
          - 9*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,2,2,2]*Doub2*z3
          - 45/8*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,2,2,2]*Doub1
          - 9/4*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,2,2,2]*Doub1*z3
          - 51/8*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,2,2,2]*Doub1*Doub2
          + 45/4*MatrixProduct[l[2,2].Yl1]*alpha2*lam[1,2,2,2]*Doub1*Doub2*
         z3
          + 63/40*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,2,2,2]
          - 27/4*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,2,2,2]*Doub2
          - 27/10*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,2,2,2]*Doub2*z3
          + 171/40*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,2,2,2]*Doub1
          - 27/20*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,2,2,2]*Doub1*z3
          - 63/40*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,2,2,2]*Doub1*Doub2
          + 81/20*MatrixProduct[l[2,2].Yl1]*alpha1*lam[1,2,2,2]*Doub1*Doub2
         *z3
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*lam[1,2,2,2]
          - 27/8*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*Tr[u[1,2]]
          - 27/8*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1]]*Tr[l[1,2]]
          + 9*MatrixProduct[l[2,2].Yl1]*Tr[u[1,1].u[1,2]]
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*lam[2,2,2,2]
          + 9*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*lam[1,1,2,2]
          - 32*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha3
          + 24*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha3*z3
          + 1521/16*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha2
          - 54*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha2*z3
          - 27/16*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha2*z2
          - 99/2*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha2*Doub2
          + 81/4*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha2*Doub2*z2
          - 1053/32*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha2*Doub1
          + 81/4*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha2*Doub1*z2
          - 18*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha2*Doub1*Doub2
          - 27/32*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 1153/40*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha1
          + 201/10*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha1*z3
          - 27/80*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha1*z2
          + 1071/80*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha1*Doub2
          - 81/10*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha1*Doub2*z2
          + 18*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha1*Doub1
          - 81/10*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha1*Doub1*z3
          + 27/160*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha1*Doub1*
         z2
          - 45/32*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 27/8*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*Tr[u[2,2]]
          - 27/8*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*Tr[d[1,1]]
          - 27/8*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*Tr[l[1,1]]
          - 9/8*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2]]*Tr[l[2,2]]
          + 9*MatrixProduct[l[2,2].Yl1]*Tr[u[1,2].u[2,2]]
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[u[2,1]]*lam[1,2,1,2]
          + 18*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*lam[1,2,2,2]
          - 27/8*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[l[2,2].Yl1]*Tr[u[2,2]]*Tr[l[1,2]]
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*lam[1,2,2,2]
          - 27/8*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*Tr[d[1,2]]
          - 9/8*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1]]*Tr[l[1,2]]
          + 9*MatrixProduct[l[2,2].Yl1]*Tr[d[1,1].d[1,2]]
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*lam[1,2,2,1]
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*lam[2,2,2,2]
          + 9*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*lam[1,1,2,2]
          - 32*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha3
          + 24*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha3*z3
          + 1521/16*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha2
          - 54*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha2*z3
          - 27/16*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha2*z2
          - 99/2*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha2*Doub2
          + 81/4*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha2*Doub2*z2
          - 1053/32*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha2*Doub1
          + 81/4*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha2*Doub1*z2
          - 18*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha2*Doub1*Doub2
          - 27/32*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 1057/40*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha1
          + 183/10*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha1*z3
          - 27/80*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha1*z2
          + 1071/80*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha1*Doub2
          - 81/10*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha1*Doub2*z3
          + 27/80*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha1*Doub2*z2
          + 18*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha1*Doub1
          - 81/10*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha1*Doub1*z3
          + 27/160*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha1*Doub1*
         z2
          - 45/32*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2
          - 27/160*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 27/8*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*Tr[d[2,2]]
          - 9/8*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*Tr[l[1,1]]
          - 9/8*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2]]*Tr[l[2,2]]
          + 9*MatrixProduct[l[2,2].Yl1]*Tr[d[1,2].d[2,2]]
          + 9/2*MatrixProduct[l[2,2].Yl1]*Tr[d[2,1]]*lam[1,2,1,2]
          + 18*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*lam[1,2,2,2]
          - 9/8*MatrixProduct[l[2,2].Yl1]*Tr[d[2,2]]*Tr[l[1,2]]
          + 3/2*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*lam[1,2,2,2]
          - 3/8*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1]]*Tr[l[1,2]]
          + 3*MatrixProduct[l[2,2].Yl1]*Tr[l[1,1].l[1,2]]
          + 3/2*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*lam[1,2,2,1]
          + 3/2*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*lam[2,2,2,2]
          + 3*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*lam[1,1,2,2]
          + 507/16*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha2
          - 18*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha2*z3
          - 9/16*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha2*z2
          - 33/2*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha2*Doub2
          + 27/4*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha2*Doub2*z3
          + 9/16*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha2*Doub2*z2
          - 351/32*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha2*Doub1
          + 27/4*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha2*Doub1*z2
          - 6*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha2*Doub1*Doub2
          - 9/32*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 459/40*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha1
          + 81/10*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha1*z3
          - 9/80*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha1*z2
          + 357/80*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha1*Doub2
          - 27/10*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha1*Doub2*z3
          + 9/80*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha1*Doub2*z2
          + 6*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha1*Doub1
          - 27/10*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha1*Doub1*z3
          + 9/160*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha1*Doub1*z2
          - 15/32*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2
          - 9/160*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 3/8*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2]]*Tr[l[2,2]]
          + 3*MatrixProduct[l[2,2].Yl1]*Tr[l[1,2].l[2,2]]
          + 3/2*MatrixProduct[l[2,2].Yl1]*Tr[l[2,1]]*lam[1,2,1,2]
          + 6*MatrixProduct[l[2,2].Yl1]*Tr[l[2,2]]*lam[1,2,2,2]
          - 9/16*MatrixProduct[l[2,2].Yl2]*lam[1,2,2,1]^2
          + 285/32*MatrixProduct[l[2,2].Yl2]*lam[2,2,2,2]^2
          + 471/32*MatrixProduct[l[2,2].Yl2]*lam[1,2,2,2]*lam[2,1,2,2]
          + 45/32*MatrixProduct[l[2,2].Yl2]*lam[1,2,1,2]*lam[2,1,2,1]
          + 15/16*MatrixProduct[l[2,2].Yl2]*lam[1,1,2,2]*lam[1,2,2,1]
          + 15/16*MatrixProduct[l[2,2].Yl2]*lam[1,1,2,2]^2
          - 99/32*MatrixProduct[l[2,2].Yl2]*lam[1,1,1,2]*lam[1,1,2,1]
          + 3/8*MatrixProduct[l[2,2].Yl2]*alpha2*lam[2,2,2,2]
          - 69/4*MatrixProduct[l[2,2].Yl2]*alpha2*lam[2,2,2,2]*Doub2
          - 17091/256*MatrixProduct[l[2,2].Yl2]*alpha2^2
          + 117/4*MatrixProduct[l[2,2].Yl2]*alpha2^2*z3
          + 63/128*MatrixProduct[l[2,2].Yl2]*alpha2^2*z2
          + 141/32*MatrixProduct[l[2,2].Yl2]*alpha2^2*Ng
          + 59175/512*MatrixProduct[l[2,2].Yl2]*alpha2^2*Doub2
          - 603/16*MatrixProduct[l[2,2].Yl2]*alpha2^2*Doub2*z3
          - 63/128*MatrixProduct[l[2,2].Yl2]*alpha2^2*Doub2*z2
          - 183/16*MatrixProduct[l[2,2].Yl2]*alpha2^2*Doub2*Ng
          + 183/256*MatrixProduct[l[2,2].Yl2]*alpha2^2*Doub1
          - 159/64*MatrixProduct[l[2,2].Yl2]*alpha2^2*Doub1*Doub2
          + 63/40*MatrixProduct[l[2,2].Yl2]*alpha1*lam[2,2,2,2]
          - 81/20*MatrixProduct[l[2,2].Yl2]*alpha1*lam[2,2,2,2]*Doub2
          - 2205/128*MatrixProduct[l[2,2].Yl2]*alpha1*alpha2
          + 27/5*MatrixProduct[l[2,2].Yl2]*alpha1*alpha2*z3
          - 27/80*MatrixProduct[l[2,2].Yl2]*alpha1*alpha2*z2
          + 14877/1280*MatrixProduct[l[2,2].Yl2]*alpha1*alpha2*Doub2
          + 27/4*MatrixProduct[l[2,2].Yl2]*alpha1*alpha2*Doub2*z3
          + 27/80*MatrixProduct[l[2,2].Yl2]*alpha1*alpha2*Doub2*z2
          - 10719/6400*MatrixProduct[l[2,2].Yl2]*alpha1^2
          + 81/100*MatrixProduct[l[2,2].Yl2]*alpha1^2*z3
          - 891/3200*MatrixProduct[l[2,2].Yl2]*alpha1^2*z2
          + 9/160*MatrixProduct[l[2,2].Yl2]*alpha1^2*Ng
          + 56511/12800*MatrixProduct[l[2,2].Yl2]*alpha1^2*Doub2
          - 1701/400*MatrixProduct[l[2,2].Yl2]*alpha1^2*Doub2*z3
          + 891/3200*MatrixProduct[l[2,2].Yl2]*alpha1^2*Doub2*z2
          - 297/80*MatrixProduct[l[2,2].Yl2]*alpha1^2*Doub2*Ng
          - 1647/6400*MatrixProduct[l[2,2].Yl2]*alpha1^2*Doub1
          - 81/200*MatrixProduct[l[2,2].Yl2]*alpha1^2*Doub1*Doub2
          + 9/2*MatrixProduct[l[2,2].Yl2]*Tr[u[1,1].u[2,2]]
          + 9/2*MatrixProduct[l[2,2].Yl2]*Tr[u[1,1].d[2,2]]
          + 27/2*MatrixProduct[l[2,2].Yl2]*Tr[u[1,2]]*lam[2,1,2,2]
          - 81/16*MatrixProduct[l[2,2].Yl2]*Tr[u[1,2]]*Tr[u[2,1]]
          - 81/16*MatrixProduct[l[2,2].Yl2]*Tr[u[1,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[l[2,2].Yl2]*Tr[u[1,2]]*Tr[l[2,1]]
          + 9*MatrixProduct[l[2,2].Yl2]*Tr[u[1,2].u[2,1]]
          - 9/2*MatrixProduct[l[2,2].Yl2]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*lam[1,2,2,2]
          - 81/16*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*Tr[d[1,2]]
          - 27/16*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1]]*Tr[l[1,2]]
          - 9/2*MatrixProduct[l[2,2].Yl2]*Tr[u[2,1].d[1,2]]
          + 45/2*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*lam[2,2,2,2]
          - 48*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*alpha3
          + 36*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*alpha3*z3
          + 3591/32*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*alpha2
          - 54*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*alpha2*z3
          - 27/16*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*alpha2*z2
          - 3915/32*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*alpha2*Doub2
          + 81/2*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*alpha2*Doub2*z2
          + 1941/80*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*alpha1
          + 9/5*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*alpha1*z3
          - 81/80*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*alpha1*z2
          - 459/16*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*alpha1*Doub2
          + 81/80*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*alpha1*Doub2*z2
          - 81/16*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]^2
          - 81/8*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*Tr[d[2,2]]
          - 27/8*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2].u[2,2]]
          + 9/2*MatrixProduct[l[2,2].Yl2]*Tr[u[2,2].d[1,1]]
          + 9/2*MatrixProduct[l[2,2].Yl2]*Tr[d[1,1].d[2,2]]
          + 27/2*MatrixProduct[l[2,2].Yl2]*Tr[d[1,2]]*lam[2,1,2,2]
          - 81/16*MatrixProduct[l[2,2].Yl2]*Tr[d[1,2]]*Tr[d[2,1]]
          - 27/16*MatrixProduct[l[2,2].Yl2]*Tr[d[1,2]]*Tr[l[2,1]]
          + 9*MatrixProduct[l[2,2].Yl2]*Tr[d[1,2].d[2,1]]
          + 9*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*lam[1,2,2,2]
          - 27/16*MatrixProduct[l[2,2].Yl2]*Tr[d[2,1]]*Tr[l[1,2]]
          + 45/2*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*lam[2,2,2,2]
          - 48*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*alpha3
          + 36*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*alpha3*z3
          + 3591/32*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*alpha2
          - 54*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*alpha2*z3
          - 27/16*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*alpha2*z2
          - 3915/32*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*alpha2*Doub2
          + 81/2*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*alpha2*Doub2*z3
          + 27/16*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*alpha2*Doub2*z2
          + 2229/80*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*alpha1
          - 9/10*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*alpha1*z3
          - 81/80*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*alpha1*z2
          - 459/16*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*alpha1*Doub2
          + 81/80*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*alpha1*Doub2*z2
          - 81/16*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]^2
          - 27/8*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2]]*Tr[l[2,2]]
          + 27/2*MatrixProduct[l[2,2].Yl2]*Tr[d[2,2].d[2,2]]
          + 3/2*MatrixProduct[l[2,2].Yl2]*Tr[l[1,1].l[2,2]]
          + 9/2*MatrixProduct[l[2,2].Yl2]*Tr[l[1,2]]*lam[2,1,2,2]
          - 9/16*MatrixProduct[l[2,2].Yl2]*Tr[l[1,2]]*Tr[l[2,1]]
          + 3*MatrixProduct[l[2,2].Yl2]*Tr[l[1,2].l[2,1]]
          + 3*MatrixProduct[l[2,2].Yl2]*Tr[l[2,1]]*lam[1,2,2,2]
          + 15/2*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]*lam[2,2,2,2]
          + 1197/32*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]*alpha2
          - 18*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]*alpha2*z3
          - 9/16*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]*alpha2*z2
          - 1305/32*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]*alpha2*Doub2*z3
          + 9/16*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]*alpha2*Doub2*z2
          + 423/80*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]*alpha1
          + 27/10*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]*alpha1*z3
          - 27/80*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]*alpha1*z2
          - 153/16*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]*alpha1*Doub2
          + 27/80*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]*alpha1*Doub2*z2
          - 9/16*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2]]^2
          + 9/2*MatrixProduct[l[2,2].Yl2]*Tr[l[2,2].l[2,2]]
          - 15/8*MatrixProduct[Yl1]*lam[1,2,2,2]*lam[1,2,2,1]^2
          - 9/4*MatrixProduct[Yl1]*lam[1,2,2,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yl1]*lam[1,2,2,2]*lam[2,2,2,2]^2
          - 9/2*MatrixProduct[Yl1]*lam[1,2,2,2]^2*lam[2,1,2,2]
          - 27/8*MatrixProduct[Yl1]*lam[1,2,1,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yl1]*lam[1,2,1,2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 9/4*MatrixProduct[Yl1]*lam[1,2,1,2]*lam[2,1,2,1]*lam[1,2,2,2]
          - 27/8*MatrixProduct[Yl1]*lam[1,1,2,2]*lam[1,2,2,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yl1]*lam[1,1,2,2]*lam[1,2,2,2]*lam[2,2,2,2]
          - 3*MatrixProduct[Yl1]*lam[1,1,2,2]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yl1]*lam[1,1,2,2]^2*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yl1]*lam[1,1,2,1]*lam[1,2,2,2]^2
          - 27/8*MatrixProduct[Yl1]*lam[1,1,2,1]*lam[1,2,1,2]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yl1]*lam[1,1,2,1]*lam[1,2,1,2]*lam[2,2,2,2]
          - 3*MatrixProduct[Yl1]*lam[1,1,2,1]*lam[1,1,2,2]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[1,2,2,1]^2
          - 3/4*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 21/8*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[1,2,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[1,2,1,2]*lam[2,1,2,1]
          - 27/8*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[1,1,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[1,1,2,2]^2
          - 21/8*MatrixProduct[Yl1]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yl1]*lam[1,1,1,2]^2*lam[2,1,2,2]
          - 9/2*MatrixProduct[Yl1]*lam[1,1,1,2]^2*lam[1,1,2,1]
          - 3/4*MatrixProduct[Yl1]*lam[1,1,1,1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 3/8*MatrixProduct[Yl1]*lam[1,1,1,1]*lam[1,2,1,2]*lam[2,1,2,2]
          - 9/8*MatrixProduct[Yl1]*lam[1,1,1,1]*lam[1,1,2,2]*lam[1,2,2,2]
          - 9/4*MatrixProduct[Yl1]*lam[1,1,1,1]*lam[1,1,2,1]*lam[1,2,1,2]
          - 9/4*MatrixProduct[Yl1]*lam[1,1,1,1]*lam[1,1,1,2]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yl1]*lam[1,1,1,1]*lam[1,1,1,2]*lam[1,1,2,2]
          - 9/4*MatrixProduct[Yl1]*lam[1,1,1,1]^2*lam[1,1,1,2]
          + 21/8*MatrixProduct[Yl1]*alpha2*lam[1,2,2,2]*lam[1,2,2,1]*Doub2
          + 57/64*MatrixProduct[Yl1]*alpha2*lam[1,2,2,2]*lam[1,2,2,1]*Doub1
          + 135/64*MatrixProduct[Yl1]*alpha2*lam[1,2,2,2]*lam[1,2,2,1]*Doub1*
         Doub2
          + 171/64*MatrixProduct[Yl1]*alpha2*lam[1,2,2,2]*lam[2,2,2,2]*Doub2
          + 81/32*MatrixProduct[Yl1]*alpha2*lam[1,2,2,2]*lam[2,2,2,2]*Doub1
          + 27/64*MatrixProduct[Yl1]*alpha2*lam[1,2,2,2]*lam[2,2,2,2]*Doub1*
         Doub2
          - 165/32*MatrixProduct[Yl1]*alpha2*lam[1,2,1,2]*lam[2,1,2,2]*Doub2
          + 447/64*MatrixProduct[Yl1]*alpha2*lam[1,2,1,2]*lam[2,1,2,2]*Doub1
          + 243/64*MatrixProduct[Yl1]*alpha2*lam[1,2,1,2]*lam[2,1,2,2]*Doub1*
         Doub2
          + 333/32*MatrixProduct[Yl1]*alpha2*lam[1,1,2,2]*lam[1,2,2,2]*Doub2
          - 333/64*MatrixProduct[Yl1]*alpha2*lam[1,1,2,2]*lam[1,2,2,2]*Doub1
          + 27/64*MatrixProduct[Yl1]*alpha2*lam[1,1,2,2]*lam[1,2,2,2]*Doub1*
         Doub2
          + 609/64*MatrixProduct[Yl1]*alpha2*lam[1,1,2,1]*lam[1,2,1,2]*Doub2
          - 123/16*MatrixProduct[Yl1]*alpha2*lam[1,1,2,1]*lam[1,2,1,2]*Doub1
          + 243/64*MatrixProduct[Yl1]*alpha2*lam[1,1,2,1]*lam[1,2,1,2]*Doub1*
         Doub2
          + 219/64*MatrixProduct[Yl1]*alpha2*lam[1,1,1,2]*lam[1,2,2,1]*Doub2
          + 3/32*MatrixProduct[Yl1]*alpha2*lam[1,1,1,2]*lam[1,2,2,1]*Doub1
          + 135/64*MatrixProduct[Yl1]*alpha2*lam[1,1,1,2]*lam[1,2,2,1]*Doub1*
         Doub2
          - 171/64*MatrixProduct[Yl1]*alpha2*lam[1,1,1,2]*lam[1,1,2,2]*Doub2
          + 63/8*MatrixProduct[Yl1]*alpha2*lam[1,1,1,2]*lam[1,1,2,2]*Doub1
          + 27/64*MatrixProduct[Yl1]*alpha2*lam[1,1,1,2]*lam[1,1,2,2]*Doub1*
         Doub2
          + 81/16*MatrixProduct[Yl1]*alpha2*lam[1,1,1,1]*lam[1,1,1,2]*Doub2
          + 9/64*MatrixProduct[Yl1]*alpha2*lam[1,1,1,1]*lam[1,1,1,2]*Doub1
          + 27/64*MatrixProduct[Yl1]*alpha2*lam[1,1,1,1]*lam[1,1,1,2]*Doub1*
         Doub2
          - 351/128*MatrixProduct[Yl1]*alpha2^2*lam[1,2,2,2]*Doub2
          + 27/16*MatrixProduct[Yl1]*alpha2^2*lam[1,2,2,2]*Doub2*z3
          + 9/128*MatrixProduct[Yl1]*alpha2^2*lam[1,2,2,2]*Doub1*Doub2
          - 27/16*MatrixProduct[Yl1]*alpha2^2*lam[1,2,2,2]*Doub1*Doub2*z3
          - 351/128*MatrixProduct[Yl1]*alpha2^2*lam[1,1,1,2]*Doub1
          + 27/16*MatrixProduct[Yl1]*alpha2^2*lam[1,1,1,2]*Doub1*z3
          + 9/128*MatrixProduct[Yl1]*alpha2^2*lam[1,1,1,2]*Doub1*Doub2
          - 27/16*MatrixProduct[Yl1]*alpha2^2*lam[1,1,1,2]*Doub1*Doub2*z3
          + 333/160*MatrixProduct[Yl1]*alpha1*lam[1,2,2,2]*lam[1,2,2,1]*Doub2
          - 333/320*MatrixProduct[Yl1]*alpha1*lam[1,2,2,2]*lam[1,2,2,1]*Doub1
          + 27/320*MatrixProduct[Yl1]*alpha1*lam[1,2,2,2]*lam[1,2,2,1]*Doub1*
         Doub2
          + 171/320*MatrixProduct[Yl1]*alpha1*lam[1,2,2,2]*lam[2,2,2,2]*Doub2
          + 81/160*MatrixProduct[Yl1]*alpha1*lam[1,2,2,2]*lam[2,2,2,2]*Doub1
          + 27/320*MatrixProduct[Yl1]*alpha1*lam[1,2,2,2]*lam[2,2,2,2]*Doub1*
         Doub2
          - 207/80*MatrixProduct[Yl1]*alpha1*lam[1,2,1,2]*lam[2,1,2,2]*Doub2
          + 837/320*MatrixProduct[Yl1]*alpha1*lam[1,2,1,2]*lam[2,1,2,2]*Doub1
          + 351/320*MatrixProduct[Yl1]*alpha1*lam[1,2,1,2]*lam[2,1,2,2]*Doub1*
         Doub2
          + 333/160*MatrixProduct[Yl1]*alpha1*lam[1,1,2,2]*lam[1,2,2,2]*Doub2
          - 333/320*MatrixProduct[Yl1]*alpha1*lam[1,1,2,2]*lam[1,2,2,2]*Doub1
          + 27/320*MatrixProduct[Yl1]*alpha1*lam[1,1,2,2]*lam[1,2,2,2]*Doub1*
         Doub2
          + 999/320*MatrixProduct[Yl1]*alpha1*lam[1,1,2,1]*lam[1,2,1,2]*Doub2
          - 99/32*MatrixProduct[Yl1]*alpha1*lam[1,1,2,1]*lam[1,2,1,2]*Doub1
          + 351/320*MatrixProduct[Yl1]*alpha1*lam[1,1,2,1]*lam[1,2,1,2]*Doub1*
         Doub2
          - 171/320*MatrixProduct[Yl1]*alpha1*lam[1,1,1,2]*lam[1,2,2,1]*Doub2
          + 63/40*MatrixProduct[Yl1]*alpha1*lam[1,1,1,2]*lam[1,2,2,1]*Doub1
          + 27/320*MatrixProduct[Yl1]*alpha1*lam[1,1,1,2]*lam[1,2,2,1]*Doub1*
         Doub2
          - 171/320*MatrixProduct[Yl1]*alpha1*lam[1,1,1,2]*lam[1,1,2,2]*Doub2
          + 63/40*MatrixProduct[Yl1]*alpha1*lam[1,1,1,2]*lam[1,1,2,2]*Doub1
          + 27/320*MatrixProduct[Yl1]*alpha1*lam[1,1,1,2]*lam[1,1,2,2]*Doub1*
         Doub2
          + 81/80*MatrixProduct[Yl1]*alpha1*lam[1,1,1,1]*lam[1,1,1,2]*Doub2
          + 9/320*MatrixProduct[Yl1]*alpha1*lam[1,1,1,1]*lam[1,1,1,2]*Doub1
          + 27/320*MatrixProduct[Yl1]*alpha1*lam[1,1,1,1]*lam[1,1,1,2]*Doub1*
         Doub2
          + 513/320*MatrixProduct[Yl1]*alpha1*alpha2*lam[1,2,2,2]*Doub2
          + 27/40*MatrixProduct[Yl1]*alpha1*alpha2*lam[1,2,2,2]*Doub2*z3
          + 9/320*MatrixProduct[Yl1]*alpha1*alpha2*lam[1,2,2,2]*Doub1*Doub2
          - 27/40*MatrixProduct[Yl1]*alpha1*alpha2*lam[1,2,2,2]*Doub1*Doub2
         *z3
          + 513/320*MatrixProduct[Yl1]*alpha1*alpha2*lam[1,1,1,2]*Doub1
          + 27/40*MatrixProduct[Yl1]*alpha1*alpha2*lam[1,1,1,2]*Doub1*z3
          + 9/320*MatrixProduct[Yl1]*alpha1*alpha2*lam[1,1,1,2]*Doub1*Doub2
          - 27/40*MatrixProduct[Yl1]*alpha1*alpha2*lam[1,1,1,2]*Doub1*Doub2
         *z3
          - 6237/3200*MatrixProduct[Yl1]*alpha1^2*lam[1,2,2,2]*Doub2
          + 81/400*MatrixProduct[Yl1]*alpha1^2*lam[1,2,2,2]*Doub2*z3
          + 27/3200*MatrixProduct[Yl1]*alpha1^2*lam[1,2,2,2]*Doub1*Doub2
          - 81/400*MatrixProduct[Yl1]*alpha1^2*lam[1,2,2,2]*Doub1*Doub2*z3
          - 6237/3200*MatrixProduct[Yl1]*alpha1^2*lam[1,1,1,2]*Doub1
          + 81/400*MatrixProduct[Yl1]*alpha1^2*lam[1,1,1,2]*Doub1*z3
          + 27/3200*MatrixProduct[Yl1]*alpha1^2*lam[1,1,1,2]*Doub1*Doub2
          - 81/400*MatrixProduct[Yl1]*alpha1^2*lam[1,1,1,2]*Doub1*Doub2*z3
          - 45/16*MatrixProduct[Yl1]*Tr[u[1,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[u[1,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl1]*Tr[u[1,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[u[1,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yl1]*Tr[u[1,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yl1]*Tr[u[1,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/16*MatrixProduct[Yl1]*Tr[u[1,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          + 27*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,1].u[1,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,1].d[1,2]]
          - 81/8*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*z2
          + 2889/32*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub2*z2
          + 3807/64*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*z2
          + 2889/160*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub2*z2
          + 3807/320*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2]]*alpha1*
         Doub1*Doub2*z2
          - 9/8*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[u[1,2].d[1,1]]
          + 27*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,1].d[1,2]]
          - 81/8*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*z2
          + 2889/32*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub2*z2
          + 3807/64*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*z2
          + 2889/160*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub2*z2
          + 3807/320*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,1].l[1,2]]
          - 27/8*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*z2
          + 963/32*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*
         Doub2*z2
          + 1269/64*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*z2
          + 963/160*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 1269/320*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[u[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2*z2
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1]]*lam[1,1,1,2]
          - 75/32*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1].u[1,2]]
          + 9/2*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1].u[1,2]]*z3
          - 99/32*MatrixProduct[Yl1]*Tr[u[1,1].u[1,1].d[1,2]]
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*lam[1,1,2,2]
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha3
          - 36*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha2
          + 27/16*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha2*z2
          + 549/128*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha2*Doub2*z2
          - 6453/128*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 1563/80*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha1
          - 27/5*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha1*z3
          + 2781/640*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha1*Doub2*
         z2
          - 2829/128*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha1*Doub1*z3
          + 81/160*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha1*Doub1*
         z2
          - 459/80*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2]]*alpha1*Doub1*
         Doub2
          - 33/32*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2].u[2,2]]
          + 15/4*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2].d[1,1]]
          - 33/16*MatrixProduct[Yl1]*Tr[u[1,1].u[1,2].d[2,2]]
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,1].u[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2]]*lam[1,1,1,2]
          - 45/32*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2].u[1,2]]
          + 9/2*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2].u[1,2]]*z3
          + 117/32*MatrixProduct[Yl1]*Tr[u[1,1].u[2,2].d[1,2]]
          + 9/16*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1].u[1,2]]
          + 9/16*MatrixProduct[Yl1]*Tr[u[1,1].d[1,1].d[1,2]]
          + 57/4*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha3
          - 12*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha3*z3
          + 1089/32*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha2
          - 27/8*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha2*z2
          + 1683/128*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha2*Doub2*z2
          - 2619/128*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 453/80*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha1
          + 39/10*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha1*z3
          - 27/80*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha1*z2
          - 549/640*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha1*Doub2*
         z2
          + 5073/640*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha1*Doub1
          - 9/5*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha1*Doub1*
         z2
          - 9/4*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 15/32*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2].u[2,2]]
          + 15/4*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2].d[1,1]]
          - 9/8*MatrixProduct[Yl1]*Tr[u[1,1].d[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2].u[1,2]]
          - 33/16*MatrixProduct[Yl1]*Tr[u[1,1].d[2,2].d[1,2]]
          - 15/16*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/4*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/16*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[u[1,2]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 455/3*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha3^2
          - 12*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha3^2*z3
          - 16*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha3^2*Ng
          + 459/64*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*lam[1,1,2,2]*Doub2
          - 81/64*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*lam[1,1,2,2]*Doub1
          - 189/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 189/8*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*alpha3
          + 18*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*alpha3*z2
          + 141/8*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*alpha3*Doub2
          + 18*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*alpha3*Doub2*z3
          - 165/8*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*alpha3*Doub1
          + 54*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*alpha3*Doub1*z3
          - 69/2*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*alpha3*Doub1*
         Doub2
          - 36*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*alpha3*Doub1*Doub2
         *z3
          + 27/2*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2*alpha3*Doub1*
         Doub2*z2
          - 2007/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2
          + 27/2*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*Ng
          - 57015/512*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*Doub2
          + 243/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*Doub2*z3
          + 27/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*Doub2*z2
          + 675/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*Doub2*Ng
          - 64467/512*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*Doub1
          - 189/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*Doub1*z3
          + 27/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*Doub1*z2
          + 675/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*Doub1*Ng
          + 42039/128*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*Doub1*
         Doub2
          - 729/16*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*Doub1*Doub2*
         z3
          + 27/64*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*Doub1*Doub2*
         z2
          - 783/16*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha2^2*Doub1*Doub2*
         Ng
          + 459/160*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*lam[1,2,2,1]*Doub2
          - 81/160*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*lam[1,2,2,1]*Doub1
          - 189/80*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          + 459/320*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*lam[1,1,2,2]*Doub2
          - 81/320*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*lam[1,1,2,2]*Doub1
          - 189/160*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*lam[1,1,2,2]*Doub1
         *Doub2
          - 1519/120*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha3
          + 66/5*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha3*z2
          + 141/40*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha3*Doub2
          + 18/5*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha3*Doub2*z3
          - 33/8*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha3*Doub1
          + 54/5*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha3*Doub1*z3
          - 69/10*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha3*Doub1*
         Doub2
          - 36/5*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha3*Doub1*
         Doub2*z3
          + 27/10*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha3*Doub1*
         Doub2*z2
          - 747/20*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha2
          - 603/20*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha2*z3
          - 27/160*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha2*z2
          + 57099/1280*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha2*
         Doub2
          - 171/80*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha2*Doub2*
         z3
          - 81/80*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha2*Doub2*z2
          + 41583/1280*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha2*
         Doub1
          - 27/80*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha2*Doub1*z3
          - 81/80*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha2*Doub1*z2
          - 1101/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha2*Doub1*
         Doub2
          + 711/40*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 351/160*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z2
          + 1051/600*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2
          - 969/50*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*z3
          - 27/320*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*z2
          - 19/80*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*Ng
          - 14139/12800*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*Doub2
          + 3303/800*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*Doub2*z3
          - 81/800*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*Doub2*z2
          + 135/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*Doub2*Ng
          - 16551/12800*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*Doub1
          + 3591/800*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*Doub1*z3
          - 81/800*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*Doub1*z2
          + 135/32*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*Doub1*Ng
          + 171/128*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*Doub1*Doub2
          - 2637/400*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*Doub1*
         Doub2*z3
          + 459/1600*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*Doub1*
         Doub2*z2
          - 783/80*MatrixProduct[Yl1]*Tr[u[1,2]]*alpha1^2*Doub1*Doub2*
         Ng
          + 18*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[1,1].u[2,2]]
          - 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,1].d[1,2]]
          - 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*z2
          + 1971/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub2*z2
          + 3807/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*z2
          + 1971/320*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub2*z2
          + 3807/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2]]*alpha1*
         Doub1*Doub2*z2
          - 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[u[2,2].d[1,1]]
          - 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*z2
          + 2889/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub2*z2
          + 3807/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*z2
          + 2889/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub2*z2
          + 3807/320*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1]]*alpha1*
         Doub1*Doub2*z2
          + 18*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*z2
          + 1971/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub2*z2
          + 3807/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*z2
          + 1971/320*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub2*z2
          + 3807/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2*z2
          - 27/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*z2
          + 963/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*
         Doub2*z2
          + 1269/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*z2
          + 963/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub2*z2
          + 1269/320*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2*z2
          + 6*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[1,2].l[2,1]]
          - 27/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*z2
          + 657/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*
         Doub2*z2
          + 1269/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*z2
          + 657/320*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 1269/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[u[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2*z2
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,2].u[1,2]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,2].u[1,2]]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yl1]*Tr[u[1,2].u[1,2].u[2,1]]
          + 9/2*MatrixProduct[Yl1]*Tr[u[1,2].u[1,2].u[2,1]]*z3
          + 15/2*MatrixProduct[Yl1]*Tr[u[1,2].u[1,2].d[2,1]]
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1]]*lam[1,1,1,2]
          - 15/16*MatrixProduct[Yl1]*Tr[u[1,2].u[2,1].d[1,2]]
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*lam[2,2,2,2]
          + 45/8*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*lam[1,1,2,2]
          + 15/4*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha3
          - 36*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha2
          + 27/16*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha2*z2
          - 7803/128*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha2*Doub2*z2
          + 1899/128*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 1563/80*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha1
          - 27/5*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha1*z3
          - 3099/128*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha1*Doub2*z3
          + 81/160*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha1*Doub2*
         z2
          + 4131/640*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha1*Doub1*
         z2
          - 459/80*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2]]*alpha1*Doub1*
         Doub2
          - 75/32*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2].u[2,2]]
          + 9/2*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2].u[2,2]]*z3
          - 33/16*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2].d[1,1]]
          + 15/4*MatrixProduct[Yl1]*Tr[u[1,2].u[2,2].d[2,2]]
          + 57/4*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha3
          - 12*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha3*z3
          + 1089/32*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha2
          - 27/8*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha2*z2
          + 1683/128*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha2*Doub2*z2
          - 2619/128*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 1557/160*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha1
          + 33/5*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha1*z3
          - 27/80*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha1*z2
          - 549/640*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha1*Doub2*
         z2
          + 8013/640*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha1*Doub1
          - 63/10*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha1*Doub1*
         z2
          - 9/4*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1]]*alpha1*Doub1*
         Doub2*z2
          - 9/8*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1].u[2,2]]
          - 99/32*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1].d[1,1]]
          - 15/32*MatrixProduct[Yl1]*Tr[u[1,2].d[1,1].d[2,2]]
          - 15/16*MatrixProduct[Yl1]*Tr[u[1,2].d[1,2].u[2,1]]
          - 15/16*MatrixProduct[Yl1]*Tr[u[1,2].d[1,2].d[2,1]]
          - 15/16*MatrixProduct[Yl1]*Tr[u[1,2].d[2,1].d[1,2]]
          + 57/4*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha3
          - 12*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha3*z3
          + 1089/32*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha2
          - 27/8*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha2*z2
          - 2709/128*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha2*Doub2*z2
          + 1773/128*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 1557/160*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha1
          + 33/5*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha1*z3
          - 27/80*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha1*z2
          + 7923/640*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha1*Doub2
          - 63/10*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha1*Doub2*
         z2
          - 459/640*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha1*Doub1*
         z2
          - 9/4*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/16*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2].u[2,2]]
          + 117/32*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2].d[1,1]]
          - 99/32*MatrixProduct[Yl1]*Tr[u[1,2].d[2,2].d[2,2]]
          - 45/8*MatrixProduct[Yl1]*Tr[u[2,1]]*lam[1,2,2,2]^2
          - 45/8*MatrixProduct[Yl1]*Tr[u[2,1]]*lam[1,2,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[u[2,1]]*lam[1,2,1,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[u[2,1]]*lam[1,1,2,2]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yl1]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[u[2,1]]*lam[1,1,1,2]^2
          - 45/16*MatrixProduct[Yl1]*Tr[u[2,1]]*lam[1,1,1,1]*lam[1,2,1,2]
          - 459/64*MatrixProduct[Yl1]*Tr[u[2,1]]*alpha2*lam[1,2,1,2]*Doub2
          + 81/64*MatrixProduct[Yl1]*Tr[u[2,1]]*alpha2*lam[1,2,1,2]*Doub1
          + 189/32*MatrixProduct[Yl1]*Tr[u[2,1]]*alpha2*lam[1,2,1,2]*Doub1*
         Doub2
          - 1377/320*MatrixProduct[Yl1]*Tr[u[2,1]]*alpha1*lam[1,2,1,2]*
         Doub2
          + 243/320*MatrixProduct[Yl1]*Tr[u[2,1]]*alpha1*lam[1,2,1,2]*Doub1
          + 567/160*MatrixProduct[Yl1]*Tr[u[2,1]]*alpha1*lam[1,2,1,2]*Doub1
         *Doub2
          + 27*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[u[1,2].u[1,2]]
          - 9/4*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[u[1,2].d[1,2]]
          + 27*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[d[1,2].d[1,2]]
          + 9*MatrixProduct[Yl1]*Tr[u[2,1]]*Tr[l[1,2].l[1,2]]
          + 45/8*MatrixProduct[Yl1]*Tr[u[2,1].u[2,2]]*lam[1,2,1,2]
          + 15/2*MatrixProduct[Yl1]*Tr[u[2,1].d[1,2].d[1,2]]
          - 45/8*MatrixProduct[Yl1]*Tr[u[2,2]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yl1]*Tr[u[2,2]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[u[2,2]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[u[2,2]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yl1]*Tr[u[2,2]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/16*MatrixProduct[Yl1]*Tr[u[2,2]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[u[2,2]]*lam[1,1,1,2]*lam[1,1,2,2]
          + 27*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[u[1,2].u[2,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[u[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[u[2,2].d[1,2]]
          - 81/8*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*z2
          + 1971/64*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub2*z2
          + 3807/32*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*z2
          + 1971/320*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub2*z2
          + 3807/160*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2*z2
          + 27*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[d[1,2].d[2,2]]
          - 27/8*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*z2
          + 657/64*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*
         Doub2*z2
          + 1269/32*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*z2
          + 657/320*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 1269/160*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl1]*Tr[u[2,2]]*Tr[l[1,2].l[2,2]]
          + 45/8*MatrixProduct[Yl1]*Tr[u[2,2].u[2,2]]*lam[1,2,2,2]
          - 99/32*MatrixProduct[Yl1]*Tr[u[2,2].u[2,2].d[1,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[u[2,2].d[1,1].d[1,2]]
          + 57/4*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha3
          - 12*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha3*z3
          + 1089/32*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha2
          - 27/8*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha2*z2
          - 2709/128*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha2*Doub2
          + 27/32*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha2*Doub2*z2
          + 1773/128*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha2*Doub1*z2
          - 459/16*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha2*Doub1*
         Doub2
          + 27/8*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha2*Doub1*
         Doub2*z2
          - 453/80*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha1
          + 39/10*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha1*z3
          - 27/80*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha1*z2
          + 4983/640*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha1*Doub2
          - 9/5*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha1*Doub2*z3
          - 27/160*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha1*Doub2*
         z2
          - 459/640*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha1*Doub1*
         z2
          - 9/4*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2]]*alpha1*Doub1*
         Doub2*z2
          - 33/16*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2].d[1,1]]
          + 9/16*MatrixProduct[Yl1]*Tr[u[2,2].d[1,2].d[2,2]]
          + 15/4*MatrixProduct[Yl1]*Tr[u[2,2].d[2,2].d[1,2]]
          - 45/16*MatrixProduct[Yl1]*Tr[d[1,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[d[1,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl1]*Tr[d[1,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[d[1,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yl1]*Tr[d[1,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/8*MatrixProduct[Yl1]*Tr[d[1,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/16*MatrixProduct[Yl1]*Tr[d[1,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          + 27*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[u[1,1].u[1,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[u[1,1].d[1,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[u[1,2].d[1,1]]
          + 27*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,1].d[1,2]]
          - 81/8*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*z2
          + 2889/32*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub2*z2
          + 3807/64*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*z2
          + 2889/160*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub2*z2
          + 3807/320*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,1].l[1,2]]
          - 27/8*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*z2
          + 963/32*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*
         Doub2*z2
          + 1269/64*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*z2
          + 963/160*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 1269/320*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[d[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2*z2
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1]]*lam[1,1,1,2]
          - 75/32*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1].d[1,2]]
          + 9/2*MatrixProduct[Yl1]*Tr[d[1,1].d[1,1].d[1,2]]*z3
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*lam[1,1,2,2]
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*lam[1,1,1,1]
          + 15/4*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha3
          - 36*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha2
          + 27/16*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha2*z2
          + 549/128*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha2*Doub2*z2
          - 6453/128*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha2*Doub1*z3
          + 27/32*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 717/32*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha1
          - 63/10*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha1*z3
          + 2781/640*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha1*Doub2*
         z2
          - 3417/128*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha1*Doub1
          + 9*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha1*Doub1*z3
          + 81/160*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha1*Doub1*
         z2
          - 459/80*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2]]*alpha1*Doub1*
         Doub2
          - 45/32*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2].d[2,2]]
          + 9/2*MatrixProduct[Yl1]*Tr[d[1,1].d[1,2].d[2,2]]*z3
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,1].d[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2]]*lam[1,1,1,2]
          - 33/32*MatrixProduct[Yl1]*Tr[d[1,1].d[2,2].d[1,2]]
          - 15/16*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/4*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 15/16*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,1,2,2]^2
          - 45/8*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[d[1,2]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 455/3*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha3^2
          - 12*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha3^2*z3
          - 16*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha3^2*Ng
          + 459/64*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*lam[1,1,2,2]*Doub2
          - 81/64*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*lam[1,1,2,2]*Doub1
          - 189/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 189/8*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*alpha3
          + 18*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*alpha3*z2
          + 141/8*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*alpha3*Doub2
          + 18*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*alpha3*Doub2*z3
          - 165/8*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*alpha3*Doub1
          + 54*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*alpha3*Doub1*z3
          - 69/2*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*alpha3*Doub1*
         Doub2
          - 36*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*alpha3*Doub1*Doub2
         *z3
          + 27/2*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2*alpha3*Doub1*
         Doub2*z2
          - 1287/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2
          + 27/4*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*Ng
          - 57015/512*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*Doub2
          + 243/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*Doub2*z3
          + 27/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*Doub2*z2
          + 675/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*Doub2*Ng
          - 64467/512*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*Doub1
          - 189/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*Doub1*z3
          + 27/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*Doub1*z2
          + 675/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*Doub1*Ng
          + 42039/128*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*Doub1*
         Doub2
          - 729/16*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*Doub1*Doub2*
         z3
          + 27/64*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*Doub1*Doub2*
         z2
          - 783/16*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha2^2*Doub1*Doub2*
         Ng
          + 459/160*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*lam[1,2,2,1]*Doub2
          - 81/160*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*lam[1,2,2,1]*Doub1
          - 189/80*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          + 459/320*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*lam[1,1,2,2]*Doub2
          - 81/320*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*lam[1,1,2,2]*Doub1
          - 189/160*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*lam[1,1,2,2]*Doub1
         *Doub2
          - 91/120*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha3
          - 6/5*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha3*z2
          + 141/40*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha3*Doub2
          + 18/5*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha3*Doub2*z3
          - 33/8*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha3*Doub1
          + 54/5*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha3*Doub1*z3
          - 69/10*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha3*Doub1*
         Doub2
          - 36/5*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha3*Doub1*
         Doub2*z3
          + 27/10*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha3*Doub1*
         Doub2*z2
          - 5409/160*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha2
          - 63/5*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha2*z3
          + 27/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha2*z2
          + 10563/256*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha2*
         Doub2
          - 279/80*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha2*Doub2*
         z3
          - 81/80*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha2*Doub2*z2
          + 40971/1280*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha2*
         Doub1
          - 351/80*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha2*Doub1*
         z3
          - 81/80*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha2*Doub1*z2
          - 4947/160*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha2*Doub1
         *Doub2
          + 711/40*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 189/160*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z2
          + 77/480*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2
          - 123/50*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*z3
          + 189/1600*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*z2
          + 77/80*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*Ng
          - 9171/12800*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*Doub2
          + 3087/800*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*Doub2*z3
          - 81/800*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*Doub2*z2
          + 135/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*Doub2*Ng
          - 4239/12800*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*Doub1
          + 2943/800*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*Doub1*z3
          - 81/800*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*Doub1*z2
          + 135/32*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*Doub1*Ng
          + 1071/640*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*Doub1*
         Doub2
          - 441/80*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*Doub1*Doub2*
         z3
          + 27/320*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*Doub1*Doub2*
         z2
          - 783/80*MatrixProduct[Yl1]*Tr[d[1,2]]*alpha1^2*Doub1*Doub2*
         Ng
          + 18*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[u[1,1].u[2,2]]
          - 81/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[u[1,1].d[2,2]]
          + 9*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[u[1,2].u[2,1]]
          + 9*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[u[1,2].d[2,1]]
          + 9*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[u[2,1].d[1,2]]
          - 81/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[u[2,2].d[1,1]]
          + 18*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[1,1].d[2,2]]
          + 9*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2
          + 81/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*z2
          + 1971/64*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub2
          - 243/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub2*z2
          + 3807/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1
          - 243/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1*z2
          - 9585/64*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2
          + 81/16*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha2*
         Doub1*Doub2*z2
          - 81/40*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1
          + 81/40*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*z2
          + 1971/320*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub2
          - 243/160*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub2*z2
          + 3807/160*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1
          - 243/160*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1*z2
          - 1917/64*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2
          + 81/80*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[d[2,2]]*alpha1*
         Doub1*Doub2*z2
          - 27/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2
          + 27/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*z2
          + 963/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*
         Doub2*z2
          + 1269/64*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1
          + 27/40*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*z2
          + 963/160*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub2*z2
          + 1269/320*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1]]*alpha1*
         Doub1*Doub2*z2
          + 6*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,1].l[2,2]]
          + 3*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[1,2].l[2,1]]
          - 27/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2
          + 27/8*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*z2
          + 657/64*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*
         Doub2*z2
          + 1269/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1
          + 27/40*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*z2
          + 657/320*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 1269/160*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[d[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2*z2
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,2].d[1,2]]*lam[2,1,2,2]
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,2].d[1,2]]*lam[1,1,2,1]
          - 9/4*MatrixProduct[Yl1]*Tr[d[1,2].d[1,2].d[2,1]]
          + 9/2*MatrixProduct[Yl1]*Tr[d[1,2].d[1,2].d[2,1]]*z3
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*lam[1,2,2,2]
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,2].d[2,1]]*lam[1,1,1,2]
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*lam[1,2,2,1]
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*lam[2,2,2,2]
          + 45/8*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*lam[1,1,2,2]
          + 15/4*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha3
          - 36*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha2
          + 27/16*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha2*z2
          - 7803/128*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha2*Doub2*z2
          + 1899/128*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha2*Doub1
          - 27/32*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha2*Doub1*z2
          - 45/4*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha2*Doub1*
         Doub2
          - 27/16*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 717/32*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha1
          - 63/10*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha1*z3
          - 3687/128*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha1*Doub2
          + 9*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha1*Doub2*z3
          + 81/160*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha1*Doub2*
         z2
          + 4131/640*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha1*Doub1
          - 81/160*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha1*Doub1*
         z2
          - 459/80*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2]]*alpha1*Doub1*
         Doub2
          - 75/32*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2].d[2,2]]
          + 9/2*MatrixProduct[Yl1]*Tr[d[1,2].d[2,2].d[2,2]]*z3
          - 45/8*MatrixProduct[Yl1]*Tr[d[2,1]]*lam[1,2,2,2]^2
          - 45/8*MatrixProduct[Yl1]*Tr[d[2,1]]*lam[1,2,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[d[2,1]]*lam[1,2,1,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[d[2,1]]*lam[1,1,2,2]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yl1]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[d[2,1]]*lam[1,1,1,2]^2
          - 45/16*MatrixProduct[Yl1]*Tr[d[2,1]]*lam[1,1,1,1]*lam[1,2,1,2]
          - 459/64*MatrixProduct[Yl1]*Tr[d[2,1]]*alpha2*lam[1,2,1,2]*Doub2
          + 81/64*MatrixProduct[Yl1]*Tr[d[2,1]]*alpha2*lam[1,2,1,2]*Doub1
          + 189/32*MatrixProduct[Yl1]*Tr[d[2,1]]*alpha2*lam[1,2,1,2]*Doub1*
         Doub2
          - 1377/320*MatrixProduct[Yl1]*Tr[d[2,1]]*alpha1*lam[1,2,1,2]*
         Doub2
          + 243/320*MatrixProduct[Yl1]*Tr[d[2,1]]*alpha1*lam[1,2,1,2]*Doub1
          + 567/160*MatrixProduct[Yl1]*Tr[d[2,1]]*alpha1*lam[1,2,1,2]*Doub1
         *Doub2
          + 27*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[u[1,2].u[1,2]]
          - 9/4*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[u[1,2].d[1,2]]
          + 27*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[d[1,2].d[1,2]]
          + 9*MatrixProduct[Yl1]*Tr[d[2,1]]*Tr[l[1,2].l[1,2]]
          + 45/8*MatrixProduct[Yl1]*Tr[d[2,1].d[2,2]]*lam[1,2,1,2]
          - 45/8*MatrixProduct[Yl1]*Tr[d[2,2]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yl1]*Tr[d[2,2]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[d[2,2]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yl1]*Tr[d[2,2]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yl1]*Tr[d[2,2]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/16*MatrixProduct[Yl1]*Tr[d[2,2]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[d[2,2]]*lam[1,1,1,2]*lam[1,1,2,2]
          + 27*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[u[1,2].u[2,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[u[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[u[2,2].d[1,2]]
          + 27*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[d[1,2].d[2,2]]
          - 27/8*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*z2
          + 657/64*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/32*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*
         Doub2*z2
          + 1269/32*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 81/32*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1*z2
          - 3195/64*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/16*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2*z2
          - 27/40*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*z2
          + 657/320*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/160*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 1269/160*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 81/160*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 639/64*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl1]*Tr[d[2,2]]*Tr[l[1,2].l[2,2]]
          + 45/8*MatrixProduct[Yl1]*Tr[d[2,2].d[2,2]]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yl1]*Tr[l[1,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl1]*Tr[l[1,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yl1]*Tr[l[1,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yl1]*Tr[l[1,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yl1]*Tr[l[1,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yl1]*Tr[l[1,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yl1]*Tr[l[1,1]]*lam[1,1,1,1]*lam[1,1,1,2]
          + 9*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[u[1,1].u[1,2]]
          - 3/8*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[u[1,1].d[1,2]]
          - 3/8*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[u[1,2].d[1,1]]
          + 9*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[d[1,1].d[1,2]]
          + 3*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,1].l[1,2]]
          - 9/8*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2
          + 9/8*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*z2
          + 321/32*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 27/32*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*
         Doub2*z2
          + 423/64*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1
          - 27/32*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1*z2
          - 1065/64*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 9/16*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 9/40*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1
          + 9/40*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*z2
          + 321/160*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 27/160*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 423/320*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 27/160*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 213/64*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 9/80*MatrixProduct[Yl1]*Tr[l[1,1]]*Tr[l[1,2]]*alpha1*Doub1
         *Doub2*z2
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1]]*lam[1,1,1,2]
          - 25/32*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1].l[1,2]]
          + 3/2*MatrixProduct[Yl1]*Tr[l[1,1].l[1,1].l[1,2]]*z3
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*lam[1,2,2,1]
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*lam[1,1,2,2]
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*lam[1,1,1,1]
          + 333/32*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha2
          + 9/16*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha2*z2
          + 183/128*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha2*Doub2
          - 9/32*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha2*Doub2*z2
          - 2151/128*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha2*Doub1
          + 9/2*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha2*Doub1*z3
          + 9/32*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha2*Doub1*z2
          - 15/4*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha2*Doub1*
         Doub2*z2
          + 909/160*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha1
          - 27/10*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha1*z3
          + 927/640*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha1*Doub2
          - 27/160*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha1*Doub2*
         z2
          - 747/128*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha1*Doub1
          + 27/160*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha1*Doub1*
         z2
          - 153/80*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2]]*alpha1*Doub1*
         Doub2
          - 15/32*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2].l[2,2]]
          + 3/2*MatrixProduct[Yl1]*Tr[l[1,1].l[1,2].l[2,2]]*z3
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,1].l[2,1]]*lam[1,2,1,2]
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*lam[1,2,2,2]
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2]]*lam[1,1,1,2]
          - 11/32*MatrixProduct[Yl1]*Tr[l[1,1].l[2,2].l[1,2]]
          - 5/16*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,2,2,1]^2
          - 15/16*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[2,2,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 5/4*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,1,2,2]*lam[2,2,2,2]
          - 5/16*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,1,2,2]^2
          - 15/8*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,1,1,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,1,1,2]*lam[1,1,2,1]
          - 15/16*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,1,1,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl1]*Tr[l[1,2]]*lam[1,1,1,1]*lam[1,1,2,2]
          + 153/64*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2*lam[1,1,2,2]*Doub2
          - 27/64*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2*lam[1,1,2,2]*Doub1
          - 63/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2*lam[1,1,2,2]*Doub1*
         Doub2
          - 429/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2
          + 9/4*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*z3
          - 45/64*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*z2
          + 15/16*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*Ng
          - 19005/512*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*Doub2
          + 81/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*Doub2*z3
          + 9/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*Doub2*z2
          + 225/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*Doub2*Ng
          - 21489/512*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*Doub1
          - 63/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*Doub1*z3
          + 9/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*Doub1*z2
          + 225/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*Doub1*Ng
          + 14013/128*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*Doub1*
         Doub2
          - 243/16*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*Doub1*Doub2*
         z3
          + 9/64*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*Doub1*Doub2*z2
          - 261/16*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha2^2*Doub1*Doub2*
         Ng
          + 153/160*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*lam[1,2,2,1]*Doub2
          - 27/160*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*lam[1,2,2,1]*Doub1
          - 63/80*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*lam[1,2,2,1]*Doub1*
         Doub2
          + 153/320*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*lam[1,1,2,2]*Doub2
          - 27/320*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*lam[1,1,2,2]*Doub1
          - 63/160*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*lam[1,1,2,2]*Doub1*
         Doub2
          - 1539/160*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*alpha2
          - 27/10*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*alpha2*z3
          - 27/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*alpha2*z2
          + 21213/1280*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*alpha2*
         Doub2
          + 27/80*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*alpha2*Doub2*z3
          - 27/80*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*alpha2*Doub2*z2
          + 2637/256*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*alpha2*Doub1
          + 243/80*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*alpha2*Doub1*
         z3
          - 27/80*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*alpha2*Doub1*z2
          - 441/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*alpha2*Doub1*
         Doub2
          + 189/40*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z3
          + 243/160*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1*alpha2*Doub1*
         Doub2*z2
          + 693/160*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2
          + 27/25*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*z3
          - 297/1600*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*z2
          - 81/80*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*Ng
          - 8577/12800*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*Doub2
          + 1269/800*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*Doub2*z3
          - 27/800*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*Doub2*z2
          + 45/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*Doub2*Ng
          - 15093/12800*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*Doub1
          + 1701/800*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*Doub1*z3
          - 27/800*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*Doub1*z2
          + 45/32*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*Doub1*Ng
          + 117/640*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*Doub1*Doub2
          - 243/80*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*Doub1*Doub2*
         z3
          + 81/320*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*Doub1*Doub2*
         z2
          - 261/80*MatrixProduct[Yl1]*Tr[l[1,2]]*alpha1^2*Doub1*Doub2*
         Ng
          + 6*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[u[1,1].u[2,2]]
          - 27/8*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[u[1,1].d[2,2]]
          + 3*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[u[1,2].u[2,1]]
          + 3*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[u[1,2].d[2,1]]
          + 3*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[u[2,1].d[1,2]]
          - 27/8*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[u[2,2].d[1,1]]
          + 6*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[d[1,1].d[2,2]]
          + 3*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[d[1,2].d[2,1]]
          + 2*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[1,1].l[2,2]]
          + MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[1,2].l[2,1]]
          - 9/8*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2
          + 9/8*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*z2
          + 219/64*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*
         Doub2
          - 27/32*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*
         Doub2*z2
          + 423/32*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1
          - 27/32*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1*z2
          - 1065/64*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*
         Doub1*Doub2
          + 9/16*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha2*Doub1
         *Doub2*z2
          - 9/40*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1
          + 9/40*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*z2
          + 219/320*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2
          - 27/160*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 423/160*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1
          - 27/160*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*z2
          - 213/64*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*
         Doub1*Doub2
          + 9/80*MatrixProduct[Yl1]*Tr[l[1,2]]*Tr[l[2,2]]*alpha1*Doub1
         *Doub2*z2
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,2].l[1,2]]*lam[2,1,2,2]
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,2].l[1,2]]*lam[1,1,2,1]
          - 3/4*MatrixProduct[Yl1]*Tr[l[1,2].l[1,2].l[2,1]]
          + 3/2*MatrixProduct[Yl1]*Tr[l[1,2].l[1,2].l[2,1]]*z3
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*lam[1,2,2,2]
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,2].l[2,1]]*lam[1,1,1,2]
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*lam[1,2,2,1]
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*lam[2,2,2,2]
          + 15/8*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*lam[1,1,2,2]
          + 333/32*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha2
          + 9/16*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha2*z2
          - 2601/128*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha2*Doub2
          + 9/2*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha2*Doub2*z3
          + 9/32*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha2*Doub2*z2
          + 633/128*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha2*Doub1
          - 9/32*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha2*Doub1*z2
          - 15/4*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha2*Doub1*
         Doub2
          - 9/16*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 909/160*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha1
          - 27/10*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha1*z3
          - 837/128*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha1*Doub2*
         z2
          + 1377/640*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha1*Doub1
          - 27/160*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha1*Doub1*
         z2
          - 153/80*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2]]*alpha1*Doub1*
         Doub2
          - 25/32*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2].l[2,2]]
          + 3/2*MatrixProduct[Yl1]*Tr[l[1,2].l[2,2].l[2,2]]*z3
          - 15/8*MatrixProduct[Yl1]*Tr[l[2,1]]*lam[1,2,2,2]^2
          - 15/8*MatrixProduct[Yl1]*Tr[l[2,1]]*lam[1,2,1,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl1]*Tr[l[2,1]]*lam[1,2,1,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yl1]*Tr[l[2,1]]*lam[1,1,2,2]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yl1]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yl1]*Tr[l[2,1]]*lam[1,1,1,2]^2
          - 15/16*MatrixProduct[Yl1]*Tr[l[2,1]]*lam[1,1,1,1]*lam[1,2,1,2]
          - 153/64*MatrixProduct[Yl1]*Tr[l[2,1]]*alpha2*lam[1,2,1,2]*Doub2
          + 27/64*MatrixProduct[Yl1]*Tr[l[2,1]]*alpha2*lam[1,2,1,2]*Doub1
          + 63/32*MatrixProduct[Yl1]*Tr[l[2,1]]*alpha2*lam[1,2,1,2]*Doub1*
         Doub2
          - 459/320*MatrixProduct[Yl1]*Tr[l[2,1]]*alpha1*lam[1,2,1,2]*Doub2
          + 81/320*MatrixProduct[Yl1]*Tr[l[2,1]]*alpha1*lam[1,2,1,2]*Doub1
          + 189/160*MatrixProduct[Yl1]*Tr[l[2,1]]*alpha1*lam[1,2,1,2]*Doub1
         *Doub2
          + 9*MatrixProduct[Yl1]*Tr[l[2,1]]*Tr[u[1,2].u[1,2]]
          - 3/4*MatrixProduct[Yl1]*Tr[l[2,1]]*Tr[u[1,2].d[1,2]]
          + 9*MatrixProduct[Yl1]*Tr[l[2,1]]*Tr[d[1,2].d[1,2]]
          + 3*MatrixProduct[Yl1]*Tr[l[2,1]]*Tr[l[1,2].l[1,2]]
          + 15/8*MatrixProduct[Yl1]*Tr[l[2,1].l[2,2]]*lam[1,2,1,2]
          - 15/8*MatrixProduct[Yl1]*Tr[l[2,2]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl1]*Tr[l[2,2]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yl1]*Tr[l[2,2]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yl1]*Tr[l[2,2]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yl1]*Tr[l[2,2]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 15/16*MatrixProduct[Yl1]*Tr[l[2,2]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl1]*Tr[l[2,2]]*lam[1,1,1,2]*lam[1,1,2,2]
          + 9*MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[u[1,2].u[2,2]]
          - 3/8*MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[u[1,2].d[2,2]]
          - 3/8*MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[u[2,2].d[1,2]]
          + 9*MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[d[1,2].d[2,2]]
          + 3*MatrixProduct[Yl1]*Tr[l[2,2]]*Tr[l[1,2].l[2,2]]
          + 15/8*MatrixProduct[Yl1]*Tr[l[2,2].l[2,2]]*lam[1,2,2,2]
          - 5/8*MatrixProduct[Yl2]*lam[1,2,2,1]^3
          - 3/4*MatrixProduct[Yl2]*lam[2,2,2,2]*lam[1,2,2,1]^2
          - 9/4*MatrixProduct[Yl2]*lam[2,2,2,2]^3
          - 6*MatrixProduct[Yl2]*lam[1,2,2,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/4*MatrixProduct[Yl2]*lam[1,2,2,2]*lam[2,1,2,2]*lam[2,2,2,2]
          - 15/4*MatrixProduct[Yl2]*lam[2,1,2,1]*lam[1,2,2,2]^2
          - 15/4*MatrixProduct[Yl2]*lam[1,2,1,2]*lam[2,1,2,2]^2
          - 27/8*MatrixProduct[Yl2]*lam[1,2,1,2]*lam[2,1,2,1]*lam[1,2,2,1]
          - 3/4*MatrixProduct[Yl2]*lam[1,2,1,2]*lam[2,1,2,1]*lam[2,2,2,2]
          - 3/2*MatrixProduct[Yl2]*lam[1,1,2,2]*lam[1,2,2,1]^2
          - 3/2*MatrixProduct[Yl2]*lam[1,1,2,2]*lam[2,2,2,2]*lam[1,2,2,1]
          - 9/2*MatrixProduct[Yl2]*lam[1,1,2,2]*lam[1,2,2,2]*lam[2,1,2,2]
          - 9/4*MatrixProduct[Yl2]*lam[1,1,2,2]*lam[1,2,1,2]*lam[2,1,2,1]
          - 3/4*MatrixProduct[Yl2]*lam[1,1,2,2]^2*lam[1,2,2,1]
          - 3/2*MatrixProduct[Yl2]*lam[1,1,2,2]^2*lam[2,2,2,2]
          - 1/2*MatrixProduct[Yl2]*lam[1,1,2,2]^3
          - 9/4*MatrixProduct[Yl2]*lam[1,1,2,1]*lam[1,2,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yl2]*lam[1,1,2,1]*lam[1,2,1,2]*lam[2,1,2,2]
          - 27/8*MatrixProduct[Yl2]*lam[1,1,2,1]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yl2]*lam[1,1,2,1]^2*lam[1,2,1,2]
          - 9/4*MatrixProduct[Yl2]*lam[1,1,1,2]*lam[2,1,2,2]*lam[1,2,2,1]
          - 9/8*MatrixProduct[Yl2]*lam[1,1,1,2]*lam[2,1,2,1]*lam[1,2,2,2]
          - 27/8*MatrixProduct[Yl2]*lam[1,1,1,2]*lam[1,1,2,2]*lam[2,1,2,2]
          - 3*MatrixProduct[Yl2]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,2,2,1]
          - 9/4*MatrixProduct[Yl2]*lam[1,1,1,2]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/8*MatrixProduct[Yl2]*lam[1,1,1,2]^2*lam[2,1,2,1]
          - 3/8*MatrixProduct[Yl2]*lam[1,1,1,1]*lam[1,2,2,1]^2
          - 3/8*MatrixProduct[Yl2]*lam[1,1,1,1]*lam[1,2,1,2]*lam[2,1,2,1]
          - 3/4*MatrixProduct[Yl2]*lam[1,1,1,1]*lam[1,1,2,2]*lam[1,2,2,1]
          - 3/4*MatrixProduct[Yl2]*lam[1,1,1,1]*lam[1,1,2,2]^2
          - 9/4*MatrixProduct[Yl2]*lam[1,1,1,1]*lam[1,1,1,2]*lam[1,1,2,1]
          + 153/16*MatrixProduct[Yl2]*alpha2*lam[1,2,2,1]^2*Doub2
          - 15/16*MatrixProduct[Yl2]*alpha2*lam[1,2,2,1]^2*Doub1
          - 39/8*MatrixProduct[Yl2]*alpha2*lam[1,2,2,1]^2*Doub1*Doub2
          + 45/8*MatrixProduct[Yl2]*alpha2*lam[2,2,2,2]^2*Doub2
          + 693/32*MatrixProduct[Yl2]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub2
          - 153/32*MatrixProduct[Yl2]*alpha2*lam[1,2,2,2]*lam[2,1,2,2]*Doub1*
         Doub2
          + 609/32*MatrixProduct[Yl2]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub2
          - 117/32*MatrixProduct[Yl2]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub1
          - 39/4*MatrixProduct[Yl2]*alpha2*lam[1,2,1,2]*lam[2,1,2,1]*Doub1*Doub2
          + 3/16*MatrixProduct[Yl2]*alpha2*lam[1,1,2,2]*lam[1,2,2,1]*Doub2
          + 57/16*MatrixProduct[Yl2]*alpha2*lam[1,1,2,2]*lam[1,2,2,1]*Doub1
          + 3/16*MatrixProduct[Yl2]*alpha2*lam[1,1,2,2]^2*Doub2
          + 57/16*MatrixProduct[Yl2]*alpha2*lam[1,1,2,2]^2*Doub1
          + 207/16*MatrixProduct[Yl2]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub2
          + 81/32*MatrixProduct[Yl2]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub1
          - 315/32*MatrixProduct[Yl2]*alpha2*lam[1,1,1,2]*lam[1,1,2,1]*Doub1*
         Doub2
          - 3/2*MatrixProduct[Yl2]*alpha2^2*lam[1,2,2,1]*Doub1
          + 9/8*MatrixProduct[Yl2]*alpha2^2*lam[1,2,2,1]*Doub1*z3
          + 39/64*MatrixProduct[Yl2]*alpha2^2*lam[1,2,2,1]*Doub1*Doub2
          - 9/8*MatrixProduct[Yl2]*alpha2^2*lam[1,2,2,1]*Doub1*Doub2*z3
          - 171/64*MatrixProduct[Yl2]*alpha2^2*lam[2,2,2,2]*Doub2
          - 3*MatrixProduct[Yl2]*alpha2^2*lam[1,1,2,2]*Doub1
          + 9/4*MatrixProduct[Yl2]*alpha2^2*lam[1,1,2,2]*Doub1*z3
          + 39/32*MatrixProduct[Yl2]*alpha2^2*lam[1,1,2,2]*Doub1*Doub2
          - 9/4*MatrixProduct[Yl2]*alpha2^2*lam[1,1,2,2]*Doub1*Doub2*z3
          - 9/4*MatrixProduct[Yl2]*alpha2^2*alpha3*Ng
          + 135/8*MatrixProduct[Yl2]*alpha2^2*alpha3*Doub2*Ng
          - 18*MatrixProduct[Yl2]*alpha2^2*alpha3*Doub2*Ng*z3
          + 69271/768*MatrixProduct[Yl2]*alpha2^3
          - 9/2*MatrixProduct[Yl2]*alpha2^3*z3
          - 2521/96*MatrixProduct[Yl2]*alpha2^3*Ng
          + 5/6*MatrixProduct[Yl2]*alpha2^3*Ng^2
          - 237167/2304*MatrixProduct[Yl2]*alpha2^3*Doub2
          + 117/16*MatrixProduct[Yl2]*alpha2^3*Doub2*z3
          + 803/36*MatrixProduct[Yl2]*alpha2^3*Doub2*Ng
          + 45/2*MatrixProduct[Yl2]*alpha2^3*Doub2*Ng*z3
          + 35/18*MatrixProduct[Yl2]*alpha2^3*Doub2*Ng^2
          - 1147/256*MatrixProduct[Yl2]*alpha2^3*Doub1
          + 1/3*MatrixProduct[Yl2]*alpha2^3*Doub1*Ng
          + 14513/2304*MatrixProduct[Yl2]*alpha2^3*Doub1*Doub2
          + 45/16*MatrixProduct[Yl2]*alpha2^3*Doub1*Doub2*z3
          + 19/36*MatrixProduct[Yl2]*alpha2^3*Doub1*Doub2*Ng
          + 3/80*MatrixProduct[Yl2]*alpha1*lam[1,2,2,1]^2*Doub2
          + 57/80*MatrixProduct[Yl2]*alpha1*lam[1,2,2,1]^2*Doub1
          + 9/8*MatrixProduct[Yl2]*alpha1*lam[2,2,2,2]^2*Doub2
          + 693/160*MatrixProduct[Yl2]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub2
          - 153/160*MatrixProduct[Yl2]*alpha1*lam[1,2,2,2]*lam[2,1,2,2]*Doub1*
         Doub2
          + 909/160*MatrixProduct[Yl2]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub2
          - 261/160*MatrixProduct[Yl2]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub1
          - 117/40*MatrixProduct[Yl2]*alpha1*lam[1,2,1,2]*lam[2,1,2,1]*Doub1*
         Doub2
          + 3/80*MatrixProduct[Yl2]*alpha1*lam[1,1,2,2]*lam[1,2,2,1]*Doub2
          + 57/80*MatrixProduct[Yl2]*alpha1*lam[1,1,2,2]*lam[1,2,2,1]*Doub1
          + 3/80*MatrixProduct[Yl2]*alpha1*lam[1,1,2,2]^2*Doub2
          + 57/80*MatrixProduct[Yl2]*alpha1*lam[1,1,2,2]^2*Doub1
          + 207/80*MatrixProduct[Yl2]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub2
          + 81/160*MatrixProduct[Yl2]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub1
          - 63/32*MatrixProduct[Yl2]*alpha1*lam[1,1,1,2]*lam[1,1,2,1]*Doub1*
         Doub2
          + 9/10*MatrixProduct[Yl2]*alpha1*alpha2*lam[1,2,2,1]*Doub1
          + 27/20*MatrixProduct[Yl2]*alpha1*alpha2*lam[1,2,2,1]*Doub1*z3
          + 117/160*MatrixProduct[Yl2]*alpha1*alpha2*lam[1,2,2,1]*Doub1*
         Doub2
          - 27/20*MatrixProduct[Yl2]*alpha1*alpha2*lam[1,2,2,1]*Doub1*Doub2
         *z3
          + 261/160*MatrixProduct[Yl2]*alpha1*alpha2*lam[2,2,2,2]*Doub2
          + 14031/1280*MatrixProduct[Yl2]*alpha1*alpha2^2
          - 27/20*MatrixProduct[Yl2]*alpha1*alpha2^2*z3
          - 369/160*MatrixProduct[Yl2]*alpha1*alpha2^2*Ng
          + 711/1280*MatrixProduct[Yl2]*alpha1*alpha2^2*Doub2
          + 81/80*MatrixProduct[Yl2]*alpha1*alpha2^2*Doub2*z3
          - 9/10*MatrixProduct[Yl2]*alpha1*alpha2^2*Doub2*Ng*z3
          - 819/1280*MatrixProduct[Yl2]*alpha1*alpha2^2*Doub1
          + 1161/1280*MatrixProduct[Yl2]*alpha1*alpha2^2*Doub1*Doub2
          - 27/80*MatrixProduct[Yl2]*alpha1*alpha2^2*Doub1*Doub2*z3
          - 18/25*MatrixProduct[Yl2]*alpha1^2*lam[1,2,2,1]*Doub1
          + 27/200*MatrixProduct[Yl2]*alpha1^2*lam[1,2,2,1]*Doub1*z3
          + 117/1600*MatrixProduct[Yl2]*alpha1^2*lam[1,2,2,1]*Doub1*Doub2
          - 27/200*MatrixProduct[Yl2]*alpha1^2*lam[1,2,2,1]*Doub1*Doub2*z3
          - 621/320*MatrixProduct[Yl2]*alpha1^2*lam[2,2,2,2]*Doub2
          - 36/25*MatrixProduct[Yl2]*alpha1^2*lam[1,1,2,2]*Doub1
          + 27/100*MatrixProduct[Yl2]*alpha1^2*lam[1,1,2,2]*Doub1*z3
          + 117/800*MatrixProduct[Yl2]*alpha1^2*lam[1,1,2,2]*Doub1*Doub2
          - 27/100*MatrixProduct[Yl2]*alpha1^2*lam[1,1,2,2]*Doub1*Doub2*z3
          + 957/100*MatrixProduct[Yl2]*alpha1^2*alpha3*Ng
          - 264/25*MatrixProduct[Yl2]*alpha1^2*alpha3*Ng*z3
          + 99/40*MatrixProduct[Yl2]*alpha1^2*alpha3*Doub2*Ng
          - 66/25*MatrixProduct[Yl2]*alpha1^2*alpha3*Doub2*Ng*z3
          - 1053/6400*MatrixProduct[Yl2]*alpha1^2*alpha2
          + 531/800*MatrixProduct[Yl2]*alpha1^2*alpha2*Ng
          - 54/25*MatrixProduct[Yl2]*alpha1^2*alpha2*Ng*z3
          + 8667/6400*MatrixProduct[Yl2]*alpha1^2*alpha2*Doub2
          - 81/80*MatrixProduct[Yl2]*alpha1^2*alpha2*Doub2*z3
          - 27/80*MatrixProduct[Yl2]*alpha1^2*alpha2*Doub2*Ng
          - 27/50*MatrixProduct[Yl2]*alpha1^2*alpha2*Doub2*Ng*z3
          + 12231/6400*MatrixProduct[Yl2]*alpha1^2*alpha2*Doub1
          - 81/100*MatrixProduct[Yl2]*alpha1^2*alpha2*Doub1*z3
          + 3483/6400*MatrixProduct[Yl2]*alpha1^2*alpha2*Doub1*Doub2
          - 81/400*MatrixProduct[Yl2]*alpha1^2*alpha2*Doub1*Doub2*z3
          - 83511/32000*MatrixProduct[Yl2]*alpha1^3
          + 3387/800*MatrixProduct[Yl2]*alpha1^3*Ng
          - 114/25*MatrixProduct[Yl2]*alpha1^3*Ng*z3
          + 31/18*MatrixProduct[Yl2]*alpha1^3*Ng^2
          + 59273/32000*MatrixProduct[Yl2]*alpha1^3*Doub2
          - 81/400*MatrixProduct[Yl2]*alpha1^3*Doub2*z3
          + 701/300*MatrixProduct[Yl2]*alpha1^3*Doub2*Ng
          - 57/50*MatrixProduct[Yl2]*alpha1^3*Doub2*Ng*z3
          + 7/18*MatrixProduct[Yl2]*alpha1^3*Doub2*Ng^2
          + 2813/6400*MatrixProduct[Yl2]*alpha1^3*Doub1
          - 81/500*MatrixProduct[Yl2]*alpha1^3*Doub1*z3
          + 22/75*MatrixProduct[Yl2]*alpha1^3*Doub1*Ng
          + 6317/32000*MatrixProduct[Yl2]*alpha1^3*Doub1*Doub2
          - 81/2000*MatrixProduct[Yl2]*alpha1^3*Doub1*Doub2*z3
          + 19/300*MatrixProduct[Yl2]*alpha1^3*Doub1*Doub2*Ng
          - 15/4*MatrixProduct[Yl2]*Tr[u[1,1]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yl2]*Tr[u[1,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[u[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/4*MatrixProduct[Yl2]*Tr[u[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yl2]*Tr[u[1,1]]*lam[1,1,2,2]^2
          - 135/16*MatrixProduct[Yl2]*Tr[u[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          + 309/64*MatrixProduct[Yl2]*Tr[u[1,1]]*alpha2^2
          - 663/64*MatrixProduct[Yl2]*Tr[u[1,1]]*alpha2^2*Doub2
          - 255/64*MatrixProduct[Yl2]*Tr[u[1,1]]*alpha2^2*Doub1
          + 147/32*MatrixProduct[Yl2]*Tr[u[1,1]]*alpha2^2*Doub1*Doub2
          - 7257/1600*MatrixProduct[Yl2]*Tr[u[1,1]]*alpha1^2
          - 2541/1600*MatrixProduct[Yl2]*Tr[u[1,1]]*alpha1^2*Doub2
          + 927/1600*MatrixProduct[Yl2]*Tr[u[1,1]]*alpha1^2*Doub1
          + 441/800*MatrixProduct[Yl2]*Tr[u[1,1]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[1,1].d[2,2]]
          + 18*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[1,2].u[2,1]]
          - 81/8*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[1,1].d[2,2]]
          + 18*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[d[1,2].d[2,1]]
          + 3*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[1,1].l[2,2]]
          + 6*MatrixProduct[Yl2]*Tr[u[1,1]]*Tr[l[1,2].l[2,1]]
          + 21/32*MatrixProduct[Yl2]*Tr[u[1,1].u[1,1].u[2,2]]
          + 21/32*MatrixProduct[Yl2]*Tr[u[1,1].u[1,1].d[2,2]]
          + 45/8*MatrixProduct[Yl2]*Tr[u[1,1].u[1,2]]*lam[1,1,2,1]
          - 3/16*MatrixProduct[Yl2]*Tr[u[1,1].u[1,2].u[2,1]]
          - 63/32*MatrixProduct[Yl2]*Tr[u[1,1].u[1,2].d[2,1]]
          + 45/8*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1]]*lam[1,1,1,2]
          - 45/16*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1].u[1,2]]
          + 9/2*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1].u[1,2]]*z3
          - 57/32*MatrixProduct[Yl2]*Tr[u[1,1].u[2,1].d[1,2]]
          + 15/2*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha3
          - 12*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha2
          + 549/32*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha2*Doub2
          - 81/32*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha2*Doub2*z2
          - 999/32*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 941/80*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha1
          - 39/5*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha1*z3
          + 549/160*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha1*Doub2*
         z2
          - 2469/160*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1
          + 9*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*z3
          + 27/160*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*
         z2
          - 279/80*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/16*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2].u[2,2]]
          + 9/32*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2].d[1,1]]
          - 15/8*MatrixProduct[Yl2]*Tr[u[1,1].u[2,2].d[2,2]]
          + 9/32*MatrixProduct[Yl2]*Tr[u[1,1].d[1,1].u[2,2]]
          + 9/32*MatrixProduct[Yl2]*Tr[u[1,1].d[1,1].d[2,2]]
          - 63/32*MatrixProduct[Yl2]*Tr[u[1,1].d[1,2].u[2,1]]
          + 87/16*MatrixProduct[Yl2]*Tr[u[1,1].d[1,2].d[2,1]]
          - 57/32*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1].u[1,2]]
          + 33/16*MatrixProduct[Yl2]*Tr[u[1,1].d[2,1].d[1,2]]
          - 15/4*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha2
          + 549/32*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha2*Doub2
          - 81/32*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha2*Doub2*z2
          - 999/32*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          - 1157/160*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha1
          + 39/10*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha1*z3
          + 27/80*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha1*z2
          - 567/160*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha1*Doub2*
         z2
          + 231/40*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1
          - 9/5*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*
         z2
          + 279/80*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          - 15/8*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2].u[2,2]]
          + 9/32*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2].d[1,1]]
          + 9/16*MatrixProduct[Yl2]*Tr[u[1,1].d[2,2].d[2,2]]
          - 45/8*MatrixProduct[Yl2]*Tr[u[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yl2]*Tr[u[1,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[u[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[u[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[u[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[u[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 135/32*MatrixProduct[Yl2]*Tr[u[1,2]]*alpha2*lam[2,1,2,2]*Doub2
          - 135/32*MatrixProduct[Yl2]*Tr[u[1,2]]*alpha2*lam[2,1,2,2]*Doub1
          + 81/32*MatrixProduct[Yl2]*Tr[u[1,2]]*alpha1*lam[2,1,2,2]*Doub2
          - 81/32*MatrixProduct[Yl2]*Tr[u[1,2]]*alpha1*lam[2,1,2,2]*Doub1
          - 81/8*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*z2
          + 4455/32*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub2
          - 243/16*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub2*z2
          + 81/4*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub1
          - 81/16*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*z2
          + 891/32*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub2
          - 243/80*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub2*z2
          + 81/20*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 27*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1].u[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[u[2,2].d[2,1]]
          - 81/8*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*z2
          + 4455/32*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/16*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 81/4*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub1
          - 81/16*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*z2
          + 891/32*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/80*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 81/20*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 27*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[d[2,1].d[2,2]]
          - 27/8*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 1485/32*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/16*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub2*z2
          + 27/4*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*z2
          - 1701/32*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 297/32*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 27/20*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 27/80*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 1701/160*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl2]*Tr[u[1,2]]*Tr[l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yl2]*Tr[u[1,2].u[1,2]]*lam[2,1,2,1]
          + 15/4*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*lam[1,2,2,1]
          + 15/2*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*lam[1,1,2,2]
          + 5/2*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha3
          - 24*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha3*z3
          + 135/32*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha2
          + 27/16*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha2*z2
          - 9/16*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha2*Doub2*z2
          - 405/16*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha2*Doub1*z3
          + 311/40*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha1
          + 12/5*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha1*z3
          + 549/80*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha1*Doub2
          - 81/80*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha1*Doub2*z2
          - 1263/160*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1
          - 9/2*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*z2
          - 279/40*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*
         Doub2
          + 27/40*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 33/8*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1].u[2,2]]
          + 9*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1].u[2,2]]*z3
          + 33/16*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1].d[1,1]]
          - 3/8*MatrixProduct[Yl2]*Tr[u[1,2].u[2,1].d[2,2]]
          + 135/8*MatrixProduct[Yl2]*Tr[u[1,2].u[2,2]]*lam[2,1,2,2]
          - 9/8*MatrixProduct[Yl2]*Tr[u[1,2].u[2,2].u[2,1]]
          - 9/32*MatrixProduct[Yl2]*Tr[u[1,2].u[2,2].d[2,1]]
          + 87/16*MatrixProduct[Yl2]*Tr[u[1,2].d[1,1].u[2,1]]
          - 63/32*MatrixProduct[Yl2]*Tr[u[1,2].d[1,1].d[2,1]]
          + 15/4*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1]]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1]]*lam[1,1,2,2]
          + 13*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1]]*alpha3
          + 225/32*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1]]*alpha2
          - 27/8*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1]]*alpha2*z2
          - 81/8*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1]]*alpha2*Doub2
          + 27/8*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1]]*alpha2*Doub2*z2
          + 45/8*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1]]*alpha2*Doub1
          + 251/160*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1]]*alpha1
          - 27/40*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1]]*alpha1*z2
          - 81/40*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1]]*alpha1*Doub2
          + 27/40*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1]]*alpha1*Doub2*z2
          + 9/8*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1]]*alpha1*Doub1
          + 129/32*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1].u[2,2]]
          - 57/32*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1].d[1,1]]
          - 9/32*MatrixProduct[Yl2]*Tr[u[1,2].d[2,1].d[2,2]]
          - 3/2*MatrixProduct[Yl2]*Tr[u[1,2].d[2,2].u[2,1]]
          + 129/32*MatrixProduct[Yl2]*Tr[u[1,2].d[2,2].d[2,1]]
          - 45/8*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/16*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[u[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*lam[1,2,2,2]*Doub2
          + 135/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha2*lam[1,2,2,2]*Doub1
          - 81/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*lam[1,2,2,2]*Doub2
          + 81/32*MatrixProduct[Yl2]*Tr[u[2,1]]*alpha1*lam[1,2,2,2]*Doub1
          + 27*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[1,2].u[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[u[2,2].d[1,2]]
          - 81/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*z2
          + 4455/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub2
          - 243/16*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub2*z2
          + 81/4*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub1
          - 81/16*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*z2
          + 891/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub2
          - 243/80*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub2*z2
          + 81/20*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2]]*alpha1*
         Doub1*Doub2*z2
          + 27*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[d[1,2].d[2,2]]
          - 27/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*z2
          + 1485/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/16*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub2*z2
          + 27/4*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*z2
          - 1701/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*z2
          + 297/32*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 27/20*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 27/80*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 1701/160*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl2]*Tr[u[2,1]]*Tr[l[1,2].l[2,2]]
          + 45/8*MatrixProduct[Yl2]*Tr[u[2,1].u[2,1]]*lam[1,2,1,2]
          + 135/8*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2]]*lam[1,2,2,2]
          + 129/32*MatrixProduct[Yl2]*Tr[u[2,1].u[2,2].d[1,2]]
          - 57/32*MatrixProduct[Yl2]*Tr[u[2,1].d[1,1].d[1,2]]
          + 15/4*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2]]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2]]*lam[1,1,2,2]
          + 13*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2]]*alpha3
          + 225/32*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2]]*alpha2
          - 27/8*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2]]*alpha2*z2
          - 81/8*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2]]*alpha2*Doub2
          + 27/8*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2]]*alpha2*Doub2*z2
          + 45/8*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2]]*alpha2*Doub1
          + 251/160*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2]]*alpha1
          - 27/40*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2]]*alpha1*z2
          - 81/40*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2]]*alpha1*Doub2
          + 27/40*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2]]*alpha1*Doub2*z2
          + 9/8*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2]]*alpha1*Doub1
          - 9/32*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2].u[2,2]]
          - 63/32*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2].d[1,1]]
          + 129/32*MatrixProduct[Yl2]*Tr[u[2,1].d[1,2].d[2,2]]
          - 9/32*MatrixProduct[Yl2]*Tr[u[2,1].d[2,2].d[1,2]]
          - 15/8*MatrixProduct[Yl2]*Tr[u[2,2]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yl2]*Tr[u[2,2]]*lam[2,2,2,2]^2
          - 135/8*MatrixProduct[Yl2]*Tr[u[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[u[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yl2]*Tr[u[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yl2]*Tr[u[2,2]]*lam[1,1,2,2]^2
          + 455/3*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha3^2
          - 12*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha3^2*z3
          - 16*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha3^2*Ng
          - 189/8*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2*alpha3
          + 18*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2*alpha3*z2
          - 75/2*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2*alpha3*Doub2
          + 36*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2*alpha3*Doub2*z3
          + 27/2*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2*alpha3*Doub2*z2
          - 3705/64*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2^2
          + 27/2*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2^2*Ng
          + 21183/256*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2^2*Doub2
          - 351/8*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2^2*Doub2*z3
          + 135/64*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2^2*Doub2*z2
          - 27/4*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2^2*Doub2*Ng
          + 63/128*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2^2*Doub1
          - 117/64*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha2^2*Doub1*Doub2
          - 1519/120*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1*alpha3
          + 66/5*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1*alpha3*z2
          - 15/2*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1*alpha3*Doub2
          + 36/5*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1*alpha3*Doub2*z3
          + 27/10*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1*alpha3*Doub2*z2
          - 747/20*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1*alpha2
          - 603/20*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1*alpha2*z3
          - 27/160*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1*alpha2*z2
          + 27321/640*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1*alpha2*
         Doub2
          + 153/10*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1*alpha2*Doub2*
         z3
          + 27/160*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1*alpha2*Doub2*
         z2
          - 13363/4800*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1^2
          - 969/50*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1^2*z3
          - 27/320*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1^2*z2
          - 19/80*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1^2*Ng
          - 7641/6400*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1^2*Doub2
          + 81/40*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1^2*Doub2*z3
          + 27/320*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1^2*Doub2*z2
          - 27/20*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1^2*Doub2*Ng
          - 339/3200*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1^2*Doub1
          - 351/1600*MatrixProduct[Yl2]*Tr[u[2,2]]*alpha1^2*Doub1*
         Doub2
          - 81/8*MatrixProduct[Yl2]*Tr[u[2,2]]^2*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[u[2,2]]^2*alpha2*z2
          - 81/8*MatrixProduct[Yl2]*Tr[u[2,2]]^2*alpha2*Doub2*z2
          - 81/40*MatrixProduct[Yl2]*Tr[u[2,2]]^2*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[u[2,2]]^2*alpha1*z2
          - 81/40*MatrixProduct[Yl2]*Tr[u[2,2]]^2*alpha1*Doub2*z2
          + 27*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[u[2,2].u[2,2]]
          - 9/4*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[u[2,2].d[2,2]]
          - 81/4*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha2
          + 81/4*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha2*z2
          - 81/4*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha2*Doub2
         *z2
          - 81/20*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha1
          + 81/20*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha1*z2
          - 81/20*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,2]]*alpha1*
         Doub2*z2
          + 27*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[d[2,2].d[2,2]]
          - 27/4*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha2
          + 27/4*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha2*z2
          - 27/4*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha2*Doub2
         *z2
          - 27/20*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha1
          + 27/20*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha1*z2
          - 27/20*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 9*MatrixProduct[Yl2]*Tr[u[2,2]]*Tr[l[2,2].l[2,2]]
          + 45/4*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2]]*lam[2,2,2,2]
          + 15/4*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2]]*alpha3
          - 36*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2]]*alpha2
          + 27/16*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2]]*alpha2*z2
          - 459/8*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2]]*alpha2*Doub2*z3
          - 27/16*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2]]*alpha2*Doub2*z2
          + 1563/80*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2]]*alpha1
          - 27/5*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2]]*alpha1*z3
          - 3759/160*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2]]*alpha1*Doub2
          + 9/2*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2]]*alpha1*Doub2*z3
          - 75/32*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2].u[2,2]]
          + 9/2*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2].u[2,2]]*z3
          + 9/16*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2].d[1,1]]
          + 39/32*MatrixProduct[Yl2]*Tr[u[2,2].u[2,2].d[2,2]]
          - 15/4*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha3
          - 12*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha3*z3
          + 27*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha2
          + 549/32*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha2*Doub2
          - 81/32*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha2*Doub2*z2
          - 999/32*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha2*Doub1*
         Doub2*z2
          - 113/10*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha1
          + 33/5*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha1*z3
          + 27/80*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha1*z2
          - 567/160*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha1*Doub2
          + 27/160*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha1*Doub2*
         z2
          + 1659/160*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1
          - 63/10*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*z3
          - 27/160*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*
         z2
          + 279/80*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*
         Doub2
          - 27/80*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1]]*alpha1*Doub1*
         Doub2*z2
          + 21/32*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1].d[1,1]]
          - 15/8*MatrixProduct[Yl2]*Tr[u[2,2].d[1,1].d[2,2]]
          - 3/2*MatrixProduct[Yl2]*Tr[u[2,2].d[1,2].d[2,1]]
          - 3/8*MatrixProduct[Yl2]*Tr[u[2,2].d[2,1].d[1,2]]
          + 57/2*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2]]*alpha3
          - 24*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2]]*alpha3*z3
          + 1089/16*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2]]*alpha2
          - 27/4*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2]]*alpha2*z2
          - 72*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2]]*alpha2*Doub2
          + 27/4*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2]]*alpha2*Doub2*z2
          - 2463/160*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2]]*alpha1
          + 21/2*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2]]*alpha1*z3
          - 27/40*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2]]*alpha1*z2
          + 2277/160*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2]]*alpha1*Doub2
          - 81/10*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2]]*alpha1*Doub2*z3
          + 27/40*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2]]*alpha1*Doub2*z2
          - 15/8*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2].d[1,1]]
          + 39/32*MatrixProduct[Yl2]*Tr[u[2,2].d[2,2].d[2,2]]
          - 15/4*MatrixProduct[Yl2]*Tr[d[1,1]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yl2]*Tr[d[1,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[d[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/4*MatrixProduct[Yl2]*Tr[d[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/4*MatrixProduct[Yl2]*Tr[d[1,1]]*lam[1,1,2,2]^2
          - 135/16*MatrixProduct[Yl2]*Tr[d[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          + 309/64*MatrixProduct[Yl2]*Tr[d[1,1]]*alpha2^2
          - 663/64*MatrixProduct[Yl2]*Tr[d[1,1]]*alpha2^2*Doub2
          - 255/64*MatrixProduct[Yl2]*Tr[d[1,1]]*alpha2^2*Doub1
          + 147/32*MatrixProduct[Yl2]*Tr[d[1,1]]*alpha2^2*Doub1*Doub2
          - 4161/1600*MatrixProduct[Yl2]*Tr[d[1,1]]*alpha1^2
          - 1713/1600*MatrixProduct[Yl2]*Tr[d[1,1]]*alpha1^2*Doub2
          + 927/1600*MatrixProduct[Yl2]*Tr[d[1,1]]*alpha1^2*Doub1
          + 441/800*MatrixProduct[Yl2]*Tr[d[1,1]]*alpha1^2*Doub1*Doub2
          + 9*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[u[1,1].u[2,2]]
          + 9*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[u[1,1].d[2,2]]
          + 18*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[u[1,2].u[2,1]]
          - 81/8*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[u[1,2].d[2,1]]
          - 81/8*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[u[2,1].d[1,2]]
          + 9*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[u[2,2].d[1,1]]
          + 9*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[1,1].d[2,2]]
          + 18*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[d[1,2].d[2,1]]
          + 3*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[1,1].l[2,2]]
          + 6*MatrixProduct[Yl2]*Tr[d[1,1]]*Tr[l[1,2].l[2,1]]
          + 21/32*MatrixProduct[Yl2]*Tr[d[1,1].d[1,1].d[2,2]]
          + 45/8*MatrixProduct[Yl2]*Tr[d[1,1].d[1,2]]*lam[1,1,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[d[1,1].d[1,2].d[2,1]]
          + 9/2*MatrixProduct[Yl2]*Tr[d[1,1].d[1,2].d[2,1]]*z3
          + 45/8*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1]]*lam[1,1,1,2]
          - 3/16*MatrixProduct[Yl2]*Tr[d[1,1].d[2,1].d[1,2]]
          + 15/2*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*lam[1,2,2,1]
          + 15/4*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*lam[1,1,2,2]
          + 5/4*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha3
          - 12*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha3*z3
          + 27*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha2
          + 549/32*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha2*Doub2
          - 81/32*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha2*Doub2*z2
          - 999/32*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha2*Doub1
          + 27/32*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*z2
          - 279/16*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*
         Doub2
          + 27/16*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 1363/160*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha1
          - 33/10*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha1*z3
          + 549/160*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha1*Doub2
          - 81/160*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha1*Doub2*
         z2
          - 867/80*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*z3
          + 27/160*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*
         z2
          - 279/80*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*
         Doub2
          + 27/80*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 9/16*MatrixProduct[Yl2]*Tr[d[1,1].d[2,2].d[2,2]]
          - 45/8*MatrixProduct[Yl2]*Tr[d[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yl2]*Tr[d[1,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[d[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[d[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[d[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[d[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 135/32*MatrixProduct[Yl2]*Tr[d[1,2]]*alpha2*lam[2,1,2,2]*Doub2
          - 135/32*MatrixProduct[Yl2]*Tr[d[1,2]]*alpha2*lam[2,1,2,2]*Doub1
          + 81/32*MatrixProduct[Yl2]*Tr[d[1,2]]*alpha1*lam[2,1,2,2]*Doub2
          - 81/32*MatrixProduct[Yl2]*Tr[d[1,2]]*alpha1*lam[2,1,2,2]*Doub1
          + 27*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[u[2,1].u[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[u[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[u[2,2].d[2,1]]
          - 81/8*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*z2
          + 4455/32*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub2
          - 243/16*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub2*z2
          + 81/4*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub1
          - 81/16*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*z2
          - 5103/32*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*
         Doub1*Doub2
          + 81/8*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 81/40*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*z2
          + 891/32*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2
          - 243/80*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub2*z2
          + 81/20*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1
          - 81/80*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*z2
          - 5103/160*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2
          + 81/40*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 27*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[d[2,1].d[2,2]]
          - 27/8*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2
          + 27/8*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 1485/32*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 81/16*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub2*z2
          + 27/4*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*z2
          - 1701/32*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1
          + 27/40*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 297/32*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 27/20*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1
          - 27/80*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*z2
          - 1701/160*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl2]*Tr[d[1,2]]*Tr[l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yl2]*Tr[d[1,2].d[1,2]]*lam[2,1,2,1]
          + 15/4*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*lam[1,2,2,1]
          + 15/2*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*lam[1,1,2,2]
          + 5/2*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha3
          - 24*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha3*z3
          + 135/32*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha2
          + 27/16*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha2*z2
          - 9/16*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha2*Doub2
          - 27/16*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha2*Doub2*z2
          - 405/16*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha2*Doub1
          + 27/2*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha2*Doub1*z3
          + 1111/80*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha1
          - 3*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha1*z3
          + 549/80*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha1*Doub2
          - 81/80*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha1*Doub2*z2
          - 2733/160*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*z3
          + 27/80*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*z2
          - 279/40*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*
         Doub2
          + 27/40*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 9/8*MatrixProduct[Yl2]*Tr[d[1,2].d[2,1].d[2,2]]
          + 135/8*MatrixProduct[Yl2]*Tr[d[1,2].d[2,2]]*lam[2,1,2,2]
          - 33/8*MatrixProduct[Yl2]*Tr[d[1,2].d[2,2].d[2,1]]
          + 9*MatrixProduct[Yl2]*Tr[d[1,2].d[2,2].d[2,1]]*z3
          - 45/8*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 135/16*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 45/8*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 45/16*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[d[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 135/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*lam[1,2,2,2]*Doub2
          + 135/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha2*lam[1,2,2,2]*Doub1
          - 81/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*lam[1,2,2,2]*Doub2
          + 81/32*MatrixProduct[Yl2]*Tr[d[2,1]]*alpha1*lam[1,2,2,2]*Doub1
          + 27*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[u[1,2].u[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[u[1,2].d[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[u[2,2].d[1,2]]
          + 27*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[d[1,2].d[2,2]]
          - 27/8*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2
          + 27/8*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*z2
          + 1485/32*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub2
          - 81/16*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub2*z2
          + 27/4*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub1
          - 27/16*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*z2
          - 1701/32*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*
         Doub1*Doub2
          + 27/8*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha2*Doub1
         *Doub2*z2
          - 27/40*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1
          + 27/40*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*z2
          + 297/32*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub2
          - 81/80*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub2*z2
          + 27/20*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1
          - 27/80*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*z2
          - 1701/160*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2
          + 27/40*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2]]*alpha1*
         Doub1*Doub2*z2
          + 9*MatrixProduct[Yl2]*Tr[d[2,1]]*Tr[l[1,2].l[2,2]]
          + 45/8*MatrixProduct[Yl2]*Tr[d[2,1].d[2,1]]*lam[1,2,1,2]
          + 135/8*MatrixProduct[Yl2]*Tr[d[2,1].d[2,2]]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yl2]*Tr[d[2,2]]*lam[1,2,2,1]^2
          - 135/16*MatrixProduct[Yl2]*Tr[d[2,2]]*lam[2,2,2,2]^2
          - 135/8*MatrixProduct[Yl2]*Tr[d[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 45/16*MatrixProduct[Yl2]*Tr[d[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 15/8*MatrixProduct[Yl2]*Tr[d[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 15/8*MatrixProduct[Yl2]*Tr[d[2,2]]*lam[1,1,2,2]^2
          + 455/3*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha3^2
          - 12*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha3^2*z3
          - 16*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha3^2*Ng
          - 189/8*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2*alpha3
          + 18*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2*alpha3*z3
          - 27/2*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2*alpha3*z2
          - 75/2*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2*alpha3*Doub2
          + 36*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2*alpha3*Doub2*z3
          + 27/2*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2*alpha3*Doub2*z2
          - 2265/64*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2^2
          + 27/4*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2^2*z3
          - 135/64*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2^2*z2
          + 45/16*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2^2*Ng
          + 21183/256*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2^2*Doub2
          - 351/8*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2^2*Doub2*z3
          + 135/64*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2^2*Doub2*z2
          - 27/4*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2^2*Doub2*Ng
          + 63/128*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2^2*Doub1
          - 117/64*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha2^2*Doub1*Doub2
          - 91/120*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1*alpha3
          - 6/5*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1*alpha3*z3
          - 27/10*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1*alpha3*z2
          - 15/2*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1*alpha3*Doub2
          + 36/5*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1*alpha3*Doub2*z3
          + 27/10*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1*alpha3*Doub2*z2
          - 5409/160*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1*alpha2
          - 63/5*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1*alpha2*z3
          + 27/32*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1*alpha2*z2
          + 5421/128*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1*alpha2*Doub2
          + 99/10*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1*alpha2*Doub2*z3
          - 27/32*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1*alpha2*Doub2*z2
          - 11713/4800*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1^2
          - 123/50*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1^2*z3
          + 189/1600*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1^2*z2
          + 77/80*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1^2*Ng
          + 4887/6400*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1^2*Doub2
          + 81/40*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1^2*Doub2*z3
          - 189/1600*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1^2*Doub2*z2
          - 27/20*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1^2*Doub2*Ng
          + 453/3200*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1^2*Doub1
          - 351/1600*MatrixProduct[Yl2]*Tr[d[2,2]]*alpha1^2*Doub1*
         Doub2
          + 27*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[u[2,2].u[2,2]]
          - 9/4*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[u[2,2].d[2,2]]
          - 81/8*MatrixProduct[Yl2]*Tr[d[2,2]]^2*alpha2
          + 81/8*MatrixProduct[Yl2]*Tr[d[2,2]]^2*alpha2*z2
          - 81/8*MatrixProduct[Yl2]*Tr[d[2,2]]^2*alpha2*Doub2*z2
          - 81/40*MatrixProduct[Yl2]*Tr[d[2,2]]^2*alpha1
          + 81/40*MatrixProduct[Yl2]*Tr[d[2,2]]^2*alpha1*z2
          - 81/40*MatrixProduct[Yl2]*Tr[d[2,2]]^2*alpha1*Doub2*z2
          + 27*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[d[2,2].d[2,2]]
          - 27/4*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha2
          + 27/4*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha2*z2
          - 27/4*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha2*Doub2
         *z2
          - 27/20*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha1
          + 27/20*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha1*z2
          - 27/20*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,2]]*alpha1*
         Doub2*z2
          + 9*MatrixProduct[Yl2]*Tr[d[2,2]]*Tr[l[2,2].l[2,2]]
          + 45/4*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2]]*lam[2,2,2,2]
          + 15/4*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2]]*alpha3
          - 36*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2]]*alpha3*z3
          + 999/32*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2]]*alpha2
          + 27/16*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2]]*alpha2*z2
          - 459/8*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2]]*alpha2*Doub2
          + 27/2*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2]]*alpha2*Doub2*z3
          - 27/16*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2]]*alpha2*Doub2*z2
          + 717/32*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2]]*alpha1
          - 63/10*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2]]*alpha1*z3
          - 2247/80*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2]]*alpha1*Doub2
          + 9*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2]]*alpha1*Doub2*z3
          - 75/32*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2].d[2,2]]
          + 9/2*MatrixProduct[Yl2]*Tr[d[2,2].d[2,2].d[2,2]]*z3
          - 5/4*MatrixProduct[Yl2]*Tr[l[1,1]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yl2]*Tr[l[1,1]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yl2]*Tr[l[1,1]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 5/4*MatrixProduct[Yl2]*Tr[l[1,1]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 5/4*MatrixProduct[Yl2]*Tr[l[1,1]]*lam[1,1,2,2]^2
          - 45/16*MatrixProduct[Yl2]*Tr[l[1,1]]*lam[1,1,1,2]*lam[1,1,2,1]
          + 103/64*MatrixProduct[Yl2]*Tr[l[1,1]]*alpha2^2
          - 221/64*MatrixProduct[Yl2]*Tr[l[1,1]]*alpha2^2*Doub2
          - 85/64*MatrixProduct[Yl2]*Tr[l[1,1]]*alpha2^2*Doub1
          + 49/32*MatrixProduct[Yl2]*Tr[l[1,1]]*alpha2^2*Doub1*Doub2
          - 4827/1600*MatrixProduct[Yl2]*Tr[l[1,1]]*alpha1^2
          - 1491/1600*MatrixProduct[Yl2]*Tr[l[1,1]]*alpha1^2*Doub2
          + 309/1600*MatrixProduct[Yl2]*Tr[l[1,1]]*alpha1^2*Doub1
          + 147/800*MatrixProduct[Yl2]*Tr[l[1,1]]*alpha1^2*Doub1*Doub2
          + 3*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[u[1,1].u[2,2]]
          + 3*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[u[1,1].d[2,2]]
          + 6*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[u[1,2].u[2,1]]
          - 27/8*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[u[1,2].d[2,1]]
          - 27/8*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[u[2,1].d[1,2]]
          + 3*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[u[2,2].d[1,1]]
          + 3*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[d[1,1].d[2,2]]
          + 6*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[d[1,2].d[2,1]]
          + MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[1,1].l[2,2]]
          + 2*MatrixProduct[Yl2]*Tr[l[1,1]]*Tr[l[1,2].l[2,1]]
          + 7/32*MatrixProduct[Yl2]*Tr[l[1,1].l[1,1].l[2,2]]
          + 15/8*MatrixProduct[Yl2]*Tr[l[1,1].l[1,2]]*lam[1,1,2,1]
          - 15/16*MatrixProduct[Yl2]*Tr[l[1,1].l[1,2].l[2,1]]
          + 3/2*MatrixProduct[Yl2]*Tr[l[1,1].l[1,2].l[2,1]]*z3
          + 15/8*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1]]*lam[1,1,1,2]
          - 1/16*MatrixProduct[Yl2]*Tr[l[1,1].l[2,1].l[1,2]]
          + 5/2*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*lam[1,2,2,1]
          + 5/4*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*lam[1,1,2,2]
          + 9*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha2
          + 183/32*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha2*Doub2
          - 27/32*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha2*Doub2*z2
          - 333/32*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha2*Doub1
          + 9/32*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*z2
          - 93/16*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*
         Doub2
          + 9/16*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha2*Doub1*
         Doub2*z2
          + 807/160*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha1
          - 9/2*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha1*z3
          + 183/160*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha1*Doub2
          - 27/160*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha1*Doub2*
         z2
          - 267/40*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1
          + 9/2*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*z3
          + 9/160*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*z2
          - 93/80*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*
         Doub2
          + 9/80*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2]]*alpha1*Doub1*
         Doub2*z2
          + 3/16*MatrixProduct[Yl2]*Tr[l[1,1].l[2,2].l[2,2]]
          - 15/8*MatrixProduct[Yl2]*Tr[l[1,2]]*lam[2,1,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[l[1,2]]*lam[2,1,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yl2]*Tr[l[1,2]]*lam[2,1,2,1]*lam[1,2,2,2]
          - 15/8*MatrixProduct[Yl2]*Tr[l[1,2]]*lam[1,1,2,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yl2]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl2]*Tr[l[1,2]]*lam[1,1,2,1]*lam[1,1,2,2]
          - 15/16*MatrixProduct[Yl2]*Tr[l[1,2]]*lam[1,1,1,2]*lam[2,1,2,1]
          + 45/32*MatrixProduct[Yl2]*Tr[l[1,2]]*alpha2*lam[2,1,2,2]*Doub2
          - 45/32*MatrixProduct[Yl2]*Tr[l[1,2]]*alpha2*lam[2,1,2,2]*Doub1
          + 27/32*MatrixProduct[Yl2]*Tr[l[1,2]]*alpha1*lam[2,1,2,2]*Doub2
          - 27/32*MatrixProduct[Yl2]*Tr[l[1,2]]*alpha1*lam[2,1,2,2]*Doub1
          + 9*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[u[2,1].u[2,2]]
          - 3/8*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[u[2,1].d[2,2]]
          - 3/8*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[u[2,2].d[2,1]]
          + 9*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[d[2,1].d[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2
          + 9/8*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*z2
          + 495/32*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*
         Doub2
          - 27/16*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*
         Doub2*z2
          + 9/4*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub1
          - 9/16*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub1
         *z2
          - 567/32*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*
         Doub1*Doub2
          + 9/8*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha2*Doub1*
         Doub2*z2
          - 9/40*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1
          + 9/40*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*z2
          + 99/32*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*
         Doub2
          - 27/80*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*
         Doub2*z2
          + 9/20*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1
          - 9/80*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *z2
          - 567/160*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*
         Doub1*Doub2
          + 9/40*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1]]*alpha1*Doub1
         *Doub2*z2
          + 3*MatrixProduct[Yl2]*Tr[l[1,2]]*Tr[l[2,1].l[2,2]]
          + 15/8*MatrixProduct[Yl2]*Tr[l[1,2].l[1,2]]*lam[2,1,2,1]
          + 5/4*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*lam[1,2,2,1]
          + 5/2*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*lam[1,1,2,2]
          + 45/32*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha2
          + 9/16*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha2*z2
          - 3/16*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha2*Doub2
          - 9/16*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha2*Doub2*z2
          - 135/16*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha2*Doub1
          + 9/2*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha2*Doub1*z3
          + 51/80*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha1
          + 9/5*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha1*z3
          + 183/80*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha1*Doub2
          - 27/80*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha1*Doub2*z2
          + 69/160*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1
          - 9/2*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*z3
          + 9/80*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*z2
          - 93/40*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*
         Doub2
          + 9/40*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1]]*alpha1*Doub1*
         Doub2*z2
          - 3/8*MatrixProduct[Yl2]*Tr[l[1,2].l[2,1].l[2,2]]
          + 45/8*MatrixProduct[Yl2]*Tr[l[1,2].l[2,2]]*lam[2,1,2,2]
          - 11/8*MatrixProduct[Yl2]*Tr[l[1,2].l[2,2].l[2,1]]
          + 3*MatrixProduct[Yl2]*Tr[l[1,2].l[2,2].l[2,1]]*z3
          - 15/8*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,2,2,2]*lam[1,2,2,1]
          - 45/16*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,2,2,2]*lam[2,2,2,2]
          - 15/8*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,2,1,2]*lam[2,1,2,2]
          - 15/8*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,1,2,2]*lam[1,2,2,2]
          - 15/16*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,1,2,1]*lam[1,2,1,2]
          - 15/16*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,2,2,1]
          - 15/16*MatrixProduct[Yl2]*Tr[l[2,1]]*lam[1,1,1,2]*lam[1,1,2,2]
          - 45/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2*lam[1,2,2,2]*Doub2
          + 45/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha2*lam[1,2,2,2]*Doub1
          - 27/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*lam[1,2,2,2]*Doub2
          + 27/32*MatrixProduct[Yl2]*Tr[l[2,1]]*alpha1*lam[1,2,2,2]*Doub1
          + 9*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[u[1,2].u[2,2]]
          - 3/8*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[u[1,2].d[2,2]]
          - 3/8*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[u[2,2].d[1,2]]
          + 9*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[d[1,2].d[2,2]]
          + 3*MatrixProduct[Yl2]*Tr[l[2,1]]*Tr[l[1,2].l[2,2]]
          + 15/8*MatrixProduct[Yl2]*Tr[l[2,1].l[2,1]]*lam[1,2,1,2]
          + 45/8*MatrixProduct[Yl2]*Tr[l[2,1].l[2,2]]*lam[1,2,2,2]
          - 5/8*MatrixProduct[Yl2]*Tr[l[2,2]]*lam[1,2,2,1]^2
          - 45/16*MatrixProduct[Yl2]*Tr[l[2,2]]*lam[2,2,2,2]^2
          - 45/8*MatrixProduct[Yl2]*Tr[l[2,2]]*lam[1,2,2,2]*lam[2,1,2,2]
          - 15/16*MatrixProduct[Yl2]*Tr[l[2,2]]*lam[1,2,1,2]*lam[2,1,2,1]
          - 5/8*MatrixProduct[Yl2]*Tr[l[2,2]]*lam[1,1,2,2]*lam[1,2,2,1]
          - 5/8*MatrixProduct[Yl2]*Tr[l[2,2]]*lam[1,1,2,2]^2
          - 755/64*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha2^2
          + 9/4*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha2^2*z3
          - 45/64*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha2^2*z2
          + 15/16*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha2^2*Ng
          + 7061/256*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha2^2*Doub2
          - 117/8*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha2^2*Doub2*z3
          + 45/64*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha2^2*Doub2*z2
          - 9/4*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha2^2*Doub2*Ng
          + 21/128*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha2^2*Doub1
          - 39/64*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha2^2*Doub1*Doub2
          - 1539/160*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1*alpha2
          - 27/10*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1*alpha2*z3
          - 27/32*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1*alpha2*z2
          + 8379/640*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1*alpha2*Doub2
          + 81/10*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1*alpha2*Doub2*z3
          + 27/32*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1*alpha2*Doub2*z2
          + 2103/1600*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1^2
          + 27/25*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1^2*z3
          - 297/1600*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1^2*z2
          - 81/80*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1^2*Ng
          - 12291/6400*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1^2*Doub2
          + 27/40*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1^2*Doub2*z3
          + 297/1600*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1^2*Doub2*z2
          - 9/20*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1^2*Doub2*Ng
          - 729/3200*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1^2*Doub1
          - 117/1600*MatrixProduct[Yl2]*Tr[l[2,2]]*alpha1^2*Doub1*
         Doub2
          + 9*MatrixProduct[Yl2]*Tr[l[2,2]]*Tr[u[2,2].u[2,2]]
          - 3/4*MatrixProduct[Yl2]*Tr[l[2,2]]*Tr[u[2,2].d[2,2]]
          + 9*MatrixProduct[Yl2]*Tr[l[2,2]]*Tr[d[2,2].d[2,2]]
          - 9/8*MatrixProduct[Yl2]*Tr[l[2,2]]^2*alpha2
          + 9/8*MatrixProduct[Yl2]*Tr[l[2,2]]^2*alpha2*z2
          - 9/8*MatrixProduct[Yl2]*Tr[l[2,2]]^2*alpha2*Doub2*z2
          - 9/40*MatrixProduct[Yl2]*Tr[l[2,2]]^2*alpha1
          + 9/40*MatrixProduct[Yl2]*Tr[l[2,2]]^2*alpha1*z2
          - 9/40*MatrixProduct[Yl2]*Tr[l[2,2]]^2*alpha1*Doub2*z2
          + 3*MatrixProduct[Yl2]*Tr[l[2,2]]*Tr[l[2,2].l[2,2]]
          + 15/4*MatrixProduct[Yl2]*Tr[l[2,2].l[2,2]]*lam[2,2,2,2]
          + 333/32*MatrixProduct[Yl2]*Tr[l[2,2].l[2,2]]*alpha2
          + 9/16*MatrixProduct[Yl2]*Tr[l[2,2].l[2,2]]*alpha2*z2
          - 153/8*MatrixProduct[Yl2]*Tr[l[2,2].l[2,2]]*alpha2*Doub2
          + 9/2*MatrixProduct[Yl2]*Tr[l[2,2].l[2,2]]*alpha2*Doub2*z3
          - 9/16*MatrixProduct[Yl2]*Tr[l[2,2].l[2,2]]*alpha2*Doub2*z2
          + 909/160*MatrixProduct[Yl2]*Tr[l[2,2].l[2,2]]*alpha1
          - 27/10*MatrixProduct[Yl2]*Tr[l[2,2].l[2,2]]*alpha1*z3
          - 63/10*MatrixProduct[Yl2]*Tr[l[2,2].l[2,2]]*alpha1*Doub2
          - 25/32*MatrixProduct[Yl2]*Tr[l[2,2].l[2,2].l[2,2]]
          + 3/2*MatrixProduct[Yl2]*Tr[l[2,2].l[2,2].l[2,2]]*z3
          )

       - 1/2*MatrixProduct[Yl2]*ep);
